/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
(function(){
var e,t=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/base/common/path","vs/base/common/strings","vs/platform/log/common/log","vs/base/common/platform","vs/workbench/api/common/extHostTypes","vs/base/common/arrays","vs/base/common/types","vs/base/common/async","vs/workbench/api/common/extHostRpcService","vs/nls","vs/nls!vs/workbench/services/extensions/node/extensionHostProcess","vs/base/common/objects","vs/base/common/errors","vs/base/common/network","vs/workbench/api/common/extHostTypeConverters","vs/base/common/cancellation","vs/base/node/pfs","vs/base/common/map","vs/base/common/resources","vs/workbench/api/common/extHostInitDataService","vs/base/common/buffer","vs/platform/extensions/common/extensions","child_process","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/base/common/extpath","vs/base/common/glob","fs","vs/base/common/process","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostExtensionService","vs/base/common/uuid","os","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/editor/common/core/range","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostDebugService","vs/base/common/assert","vs/base/common/json","vs/editor/common/core/position","vs/platform/configuration/common/configurationRegistry","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/base/common/collections","vs/base/common/decorators","vs/base/common/linkedList","vs/base/common/stopwatch","vs/base/common/amd","vs/base/common/marshalling","vs/base/common/normalization","util","vs/base/common/severity","vs/base/node/processes","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/serviceCollection","vs/platform/workspaces/common/workspaces","vs/workbench/contrib/terminal/common/terminal","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostSearch","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/codicons","vs/base/common/functional","vs/base/common/htmlContent","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/comparers","vs/base/common/uint","vs/base/common/labels","vs/base/common/uriIpc","string_decoder","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/node/ipc.net","net","vs/base/parts/quickopen/common/quickOpenScorer","vs/editor/common/model/wordHelper","vs/editor/common/modes/languageSelector","vs/platform/instantiation/common/descriptors","vs/editor/common/modes","vs/platform/files/common/files","vs/platform/log/node/spdlogService","vs/platform/markers/common/markers","vs/platform/product/common/product","vs/platform/configuration/common/configuration","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/shared/webview","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/terminal/node/terminal","vs/workbench/contrib/terminal/node/terminalEnvironment","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/services/search/common/searchExtTypes","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/numbers","vs/base/common/processes","vs/base/common/stream","vs/base/common/filters","vs/base/node/decoder","vs/base/node/encoding","vs/base/node/extpath","vs/editor/common/core/characterClassifier","vs/editor/common/core/selection","vs/editor/common/model","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/viewModel/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/severity","vs/nls!vs/base/node/processes","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/nls!vs/workbench/contrib/terminal/common/terminal","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/contextkey/common/contextkey","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/sign/node/signService","vs/platform/workspace/common/workspace","vs/workbench/api/common/cache","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/shared/semanticTokens","vs/workbench/api/common/extHostCodeInsets","vs/workbench/api/node/extHostStoragePaths","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/externalTerminal/common/externalTerminal","vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/terminalDataBuffering","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/contrib/terminal/node/terminalProcess","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/apiCommands","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostProgress","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/node/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostWebview","vs/workbench/api/common/extHostWindow","vs/workbench/api/node/extHostCLIServer","http","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/output/node/outputAppender","vs/workbench/api/node/extHostOutputService","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostTerminalService","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/services/extensions/node/proxyResolver","vs/workbench/api/node/extHostExtensionService","vs/workbench/services/search/node/ripgrepFileSearch","vscode-ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHost.services","vs/workbench/services/extensions/node/extensionHostProcessSetup","iconv-lite","stream","node-pty","vs/base/common/marked/marked","https","tls","url","vscode-proxy-agent","events","graceful-fs","vscode-minimist","vs/workbench/services/extensions/node/extensionHostProcess"],i=function(e){
for(var i=[],n=0,r=e.length;n<r;n++)i[n]=t[e[n]];return i};define(t[48],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=function(e,t){if(!e)throw new Error(t?"Assertion failed ("+t+")":"Assertion Failed")}})),define(t[74],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const i=/(\\)?\$\([a-z0-9\-]+?(?:~[a-z0-9\-]*?)?\)/gi;t.escapeCodicons=function(e){return e.replace(i,(e,t)=>t?e:`\\${e}`)};const n=/\\\$\([a-z0-9\-]+?(?:~[a-z0-9\-]*?)?\)/gi;t.markdownEscapeEscapedCodicons=function(e){return e.replace(n,e=>`\\${e}`)};const r=/(\\)?\$\\\(([a-z0-9\-]+?(?:~[a-z0-9\-]*?)?)\\\)/gi;t.markdownUnescapeCodicons=function(e){return e.replace(r,(e,t,i)=>t?e:`$(${i})`)};const s=/(\\)?\$\((([a-z0-9\-]+?)(?:~([a-z0-9\-]*?))?)\)/gi;t.renderCodicons=function(e){return e.replace(s,(e,t,i,n,r)=>t?`$(${i})`:`<span class="codicon codicon-${n}${r?` codicon-animation-${r}`:""}"></span>`)}})),define(t[55],i([0,1]),(function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});const i=Object.prototype.hasOwnProperty;t.values=function(e){const t=[];for(let n in e)i.call(e,n)&&t.push(e[n]);return t},t.size=function(e){let t=0;for(let n in e)i.call(e,n)&&(t+=1);return t},t.first=function(e){for(const t in e)if(i.call(e,t))return e[t]},t.forEach=function(e,t){for(let n in e)if(i.call(e,n)){if(!1===t({key:n,value:e[n]},(function(){delete e[n]})))return}},t.groupBy=function(e,t){const i=Object.create(null);for(const n of e){const e=t(n);let r=i[e];r||(r=i[e]=[]),r.push(n)}return i},t.fromMap=function(e){const t=Object.create(null);return e&&e.forEach((e,i)=>{t[i]=e}),t},t.mapValues=function(e){const t=[];return e.forEach(e=>t.push(e)),t};t.SetMap=class{constructor(){this.map=new Map}add(e,t){let i=this.map.get(e);i||(i=new Set,this.map.set(e,i)),i.add(t)}delete(e,t){const i=this.map.get(e);i&&(i.delete(t),0===i.size&&this.map.delete(e))}forEach(e,t){const i=this.map.get(e);i&&i.forEach(t)}}})),define(t[56],i([0,1]),(function(e,t){
"use strict";function i(e){return(t,i,n)=>{let r=null,s=null;if("function"==typeof n.value?(r="value",s=n.value):"function"==typeof n.get&&(r="get",s=n.get),!s)throw new Error("not supported");n[r]=e(s,i)}}Object.defineProperty(t,"__esModule",{value:!0}),t.createDecorator=i;let n=0;function r(){const e=`$memoize${n++}`;let t=void 0;const i=function(i,n,r){let s=null,o=null;if("function"==typeof r.value?(s="value",0!==(o=r.value).length&&console.warn("Memoize should only be used in functions with zero parameters")):"function"==typeof r.get&&(s="get",o=r.get),!o)throw new Error("not supported");const a=`${e}:${n}`;r[s]=function(...e){return t=this,this.hasOwnProperty(a)||Object.defineProperty(this,a,{configurable:!0,enumerable:!1,writable:!0,value:o.apply(this,e)}),this[a]}};return i.clear=()=>{void 0!==t&&Object.getOwnPropertyNames(t).forEach(i=>{0===i.indexOf(e)&&delete t[i]})},i}t.createMemoizer=r,t.memoize=function(e,t,i){return r()(e,t,i)},t.debounce=function(e,t,n){return i((i,r)=>{
const s=`$debounce$${r}`,o=`$debounce$result$${r}`;return function(...r){this[o]||(this[o]=n?n():void 0),clearTimeout(this[s]),t&&(this[o]=t(this[o],...r),r=[this[o]]),this[s]=setTimeout(()=>{i.apply(this,r),this[o]=n?n():void 0},e)}})},t.throttle=function(e,t,n){return i((i,r)=>{const s=`$throttle$timer$${r}`,o=`$throttle$result$${r}`,a=`$throttle$lastRun$${r}`,c=`$throttle$pending$${r}`;return function(...r){if(this[o]||(this[o]=n?n():void 0),null!==this[a]&&void 0!==this[a]||(this[a]=-Number.MAX_VALUE),t&&(this[o]=t(this[o],...r)),this[c])return;const l=this[a]+e;l<=Date.now()?(this[a]=Date.now(),i.apply(this,[this[o]]),this[o]=n?n():void 0):(this[c]=!0,this[s]=setTimeout(()=>{this[c]=!1,this[a]=Date.now(),i.apply(this,[this[o]]),this[o]=n?n():void 0},l-Date.now()))}})}})),define(t[19],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(e){setTimeout(()=>{
if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}addListener(e){return this.listeners.push(e),()=>{this._removeListener(e)}}emit(e){this.listeners.forEach(t=>{t(e)})}_removeListener(e){this.listeners.splice(this.listeners.indexOf(e),1)}setUnexpectedErrorHandler(e){this.unexpectedErrorHandler=e}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(e){this.unexpectedErrorHandler(e),this.emit(e)}onUnexpectedExternalError(e){this.unexpectedErrorHandler(e)}}t.ErrorHandler=i,t.errorHandler=new i,t.setUnexpectedErrorHandler=function(e){t.errorHandler.setUnexpectedErrorHandler(e)},t.onUnexpectedError=function(e){r(e)||t.errorHandler.onUnexpectedError(e)},t.onUnexpectedExternalError=function(e){r(e)||t.errorHandler.onUnexpectedExternalError(e)},t.transformErrorForSerialization=function(e){if(e instanceof Error){let{name:t,message:i}=e;return{$isError:!0,name:t,message:i,stack:e.stacktrace||e.stack}}return e};const n="Canceled";function r(e){
return e instanceof Error&&e.name===n&&e.message===n}t.isPromiseCanceledError=r,t.canceled=function(){const e=new Error(n);return e.name=e.message,e},t.illegalArgument=function(e){return e?new Error(`Illegal argument: ${e}`):new Error("Illegal argument")},t.illegalState=function(e){return e?new Error(`Illegal state: ${e}`):new Error("Illegal state")},t.readonly=function(e){return e?new Error(`readonly property '${e} cannot be changed'`):new Error("readonly property cannot be changed")},t.disposed=function(e){const t=new Error(`${e} has been disposed`);return t.name="DISPOSED",t},t.getErrorMessage=function(e){return e?e.message?e.message:e.stack?e.stack.split("\n")[0]:String(e):"Error"};class s extends Error{constructor(e){super("NotImplemented"),e&&(this.message=e)}}t.NotImplementedError=s})),define(t[12],i([0,1,19]),(function(e,t,i){"use strict";function n(e,t){let i=0,n=e.length;if(0===n)return 0;for(;i<n;){const r=Math.floor((i+n)/2);t(e[r])?n=r:i=r+1}return i}function r(e,t){return function e(t,i,n,r,s){
if(r<=n)return;const o=n+(r-n)/2|0;e(t,i,n,o,s);e(t,i,o+1,r,s);if(i(t[o],t[o+1])<=0)return;!function(e,t,i,n,r,s){let o=i,a=n+1;for(let t=i;t<=r;t++)s[t]=e[t];for(let c=i;c<=r;c++)o>n?e[c]=s[a++]:a>r?e[c]=s[o++]:t(s[a],s[o])<0?e[c]=s[a++]:e[c]=s[o++]}(t,i,n,o,r,s)}(e,t,0,e.length-1,[]),e}function s(e,t,i){const n=[];function r(e,t,i){if(0===t&&0===i.length)return;const r=n[n.length-1];r&&r.start+r.deleteCount===e?(r.deleteCount+=t,r.toInsert.push(...i)):n.push({start:e,deleteCount:t,toInsert:i})}let s=0,o=0;for(;;){if(s===e.length){r(s,0,t.slice(o));break}if(o===t.length){r(s,e.length-s,[]);break}const n=e[s],a=t[o],c=i(n,a);0===c?(s+=1,o+=1):c<0?(r(s,1,[]),s+=1):c>0&&(r(s,0,[a]),o+=1)}return n}function o(e,t,i,r,s){for(const o=i.length;r<s;r++){const s=e[r];if(t(s,i[o-1])<0){i.pop();const e=n(i,e=>t(s,e)<0);i.splice(e,0,s)}}}function a(e,t){for(let i=0;i<e.length;i++){if(t(e[i]))return i}return-1}Object.defineProperty(t,"__esModule",{value:!0}),t.tail=function(e,t=0){return e[e.length-(1+t)]},
t.tail2=function(e){if(0===e.length)throw new Error("Invalid tail call");return[e.slice(0,e.length-1),e[e.length-1]]},t.equals=function(e,t,i=((e,t)=>e===t)){if(e===t)return!0;if(!e||!t)return!1;if(e.length!==t.length)return!1;for(let n=0,r=e.length;n<r;n++)if(!i(e[n],t[n]))return!1;return!0},t.binarySearch=function(e,t,i){let n=0,r=e.length-1;for(;n<=r;){const s=(n+r)/2|0,o=i(e[s],t);if(o<0)n=s+1;else{if(!(o>0))return s;r=s-1}}return-(n+1)},t.findFirstInSorted=n,t.mergeSort=r,t.groupBy=function(e,t){const i=[];let n=void 0;for(const s of r(e.slice(0),t))n&&0===t(n[0],s)?n.push(s):(n=[s],i.push(n));return i},t.sortedDiff=s,t.delta=function(e,t,i){const n=s(e,t,i),r=[],o=[];for(const t of n)r.push(...e.slice(t.start,t.start+t.deleteCount)),o.push(...t.toInsert);return{removed:r,added:o}},t.top=function(e,t,i){if(0===i)return[];const n=e.slice(0,i).sort(t);return o(e,t,n,i,e.length),n},t.topAsync=function(e,t,n,r,s){return 0===n?Promise.resolve([]):new Promise((a,c)=>{(async()=>{
const a=e.length,c=e.slice(0,n).sort(t);for(let l=n,u=Math.min(n+r,a);l<a;l=u,u=Math.min(u+r,a)){if(l>n&&await new Promise(e=>setTimeout(e)),s&&s.isCancellationRequested)throw i.canceled();o(e,t,c,l,u)}return c})().then(a,c)})},t.coalesce=function(e){return e.filter(e=>!!e)},t.coalesceInPlace=function(e){let t=0;for(let i=0;i<e.length;i++)e[i]&&(e[t]=e[i],t+=1);e.length=t},t.move=function(e,t,i){e.splice(i,0,e.splice(t,1)[0])},t.isFalsyOrEmpty=function(e){return!Array.isArray(e)||0===e.length},t.isNonEmptyArray=function(e){return Array.isArray(e)&&e.length>0},t.distinct=function(e,t){if(!t)return e.filter((t,i)=>e.indexOf(t)===i);const i=Object.create(null);return e.filter(e=>{const n=t(e);return!i[n]&&(i[n]=!0,!0)})},t.distinctES6=function(e){const t=new Set;return e.filter(e=>!t.has(e)&&(t.add(e),!0))},t.fromSet=function(e){const t=[];return e.forEach(e=>t.push(e)),t},t.uniqueFilter=function(e){const t=Object.create(null);return i=>{const n=e(i);return!t[n]&&(t[n]=!0,!0)}},t.lastIndex=function(e,t){
for(let i=e.length-1;i>=0;i--){if(t(e[i]))return i}return-1},t.firstIndex=a,t.first=function(e,t,i){const n=a(e,t);return n<0?i:e[n]},t.firstOrDefault=function(e,t){return e.length>0?e[0]:t},t.commonPrefixLength=function(e,t,i=((e,t)=>e===t)){let n=0;for(let r=0,s=Math.min(e.length,t.length);r<s&&i(e[r],t[r]);r++)n++;return n},t.flatten=function(e){return[].concat(...e)},t.range=function(e,t){let i="number"==typeof t?e:0;"number"==typeof t?i=e:(i=0,t=e);const n=[];if(i<=t)for(let e=i;e<t;e++)n.push(e);else for(let e=i;e>t;e--)n.push(e);return n},t.fill=function(e,t,i=[]){for(let n=0;n<e;n++)i[n]=t;return i},t.index=function(e,t,i=(e=>e)){return e.reduce((e,n)=>{const r=t(n);return e[r]=i(n,e[r]),e},Object.create(null))},t.insert=function(e,t){return e.push(t),()=>{const i=e.indexOf(t);i>-1&&e.splice(i,1)}},t.arrayInsert=function(e,t,i){const n=e.slice(0,t),r=e.slice(t);return n.concat(i,r)},t.shuffle=function(e,t){let i;if("number"==typeof t){let e=t;i=()=>{const t=179426549*Math.sin(e++)
;return t-Math.floor(t)}}else i=Math.random;for(let t=e.length-1;t>0;t-=1){const n=Math.floor(i()*(t+1)),r=e[t];e[t]=e[n],e[n]=r}},t.pushToStart=function(e,t){const i=e.indexOf(t);i>-1&&(e.splice(i,1),e.unshift(t))},t.pushToEnd=function(e,t){const i=e.indexOf(t);i>-1&&(e.splice(i,1),e.push(t))},t.find=function(e,t){for(let i=0;i<e.length;i++){const n=e[i];if(t(n,i,e))return n}},t.mapArrayOrNot=function(e,t){return Array.isArray(e)?e.map(t):t(e)},t.asArray=function(e){return Array.isArray(e)?e:[e]},t.getRandomElement=function(e){return e[Math.floor(Math.random()*e.length)]}})),define(t[75],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=function(e){const t=this;let i,n=!1;return function(){return n?i:(n=!0,i=e.apply(t,arguments))}}})),define(t[76],i([0,1,12,74]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class r{constructor(e="",t=!1){var i,n;this._value=e,"boolean"==typeof t?(this._isTrusted=t,
this._supportThemeIcons=!1):(this._isTrusted=null!==(i=t.isTrusted)&&void 0!==i&&i,this._supportThemeIcons=null!==(n=t.supportThemeIcons)&&void 0!==n&&n)}get value(){return this._value}get isTrusted(){return this._isTrusted}get supportThemeIcons(){return this._supportThemeIcons}appendText(e){return this._value+=(this._supportThemeIcons?n.escapeCodicons(e):e).replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&").replace("\n","\n\n"),this}appendMarkdown(e){return this._value+=e,this}appendCodeblock(e,t){return this._value+="\n```",this._value+=e,this._value+="\n",this._value+=t,this._value+="\n```\n",this}}function s(e){return e instanceof r||!(!e||"object"!=typeof e)&&!("string"!=typeof e.value||"boolean"!=typeof e.isTrusted&&void 0!==e.isTrusted||"boolean"!=typeof e.supportThemeIcons&&void 0!==e.supportThemeIcons)}function o(e,t){return e===t||!(!e||!t)&&(e.value===t.value&&e.isTrusted===t.isTrusted&&e.supportThemeIcons===t.supportThemeIcons)}t.MarkdownString=r,t.isEmptyMarkdownString=function e(t){
return s(t)?!t.value:!Array.isArray(t)||t.every(e)},t.isMarkdownString=s,t.markedStringsEquals=function(e,t){return!e&&!t||!(!e||!t)&&(Array.isArray(e)&&Array.isArray(t)?i.equals(e,t,o):!(!s(e)||!s(t))&&o(e,t))},t.removeMarkdownEscapes=function(e){return e?e.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1"):e},t.parseHrefAndDimensions=function(e){const t=[],i=e.split("|").map(e=>e.trim());e=i[0];const n=i[1];if(n){const e=/height=(\d+)/.exec(n),i=/width=(\d+)/.exec(n),r=e?e[1]:"",s=i?i[1]:"",o=isFinite(parseInt(s)),a=isFinite(parseInt(r));o&&t.push(`width="${s}"`),a&&t.push(`height="${r}"`)}return{href:e,dimensions:t}}})),define(t[77],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(e){this._prefix=e,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}t.IdGenerator=i,t.defaultGenerator=new i("id#")})),define(t[78],i([0,1]),(function(e,t){"use strict";var i;Object.defineProperty(t,"__esModule",{value:!0}),t.FIN={done:!0,value:void 0},function(e){
const i={next:()=>t.FIN};e.empty=function(){return i},e.single=function(e){let i=!1;return{next:()=>i?t.FIN:(i=!0,{done:!1,value:e})}},e.fromArray=function(e,i=0,n=e.length){return{next:()=>i>=n?t.FIN:{done:!1,value:e[i++]}}},e.fromNativeIterator=function(e){return{next(){const i=e.next();return i.done?t.FIN:{done:!1,value:i.value}}}},e.from=function(t){return t?Array.isArray(t)?e.fromArray(t):t:e.empty()},e.map=function(e,i){return{next(){const n=e.next();return n.done?t.FIN:{done:!1,value:i(n.value)}}}},e.filter=function(e,i){return{next(){for(;;){const n=e.next();if(n.done)return t.FIN;if(i(n.value))return{done:!1,value:n.value}}}}},e.some=function(e,t){for(;;){const i=e.next();if(i.done)return!1;if(t(i.value))return!0}},e.forEach=function(e,t){for(let i=e.next();!i.done;i=e.next())t(i.value)},e.collect=function(e,t=Number.POSITIVE_INFINITY){const i=[];if(0===t)return i;let n=0;for(let r=e.next();!r.done&&(i.push(r.value),!(++n>=t));r=e.next());return i},e.concat=function(...e){let i=0;return{next(){
if(i>=e.length)return t.FIN;const n=e[i].next();return n.done?(i++,this.next()):n}}},e.chain=function(e){return new n(e)}}(i=t.Iterator||(t.Iterator={}));class n{constructor(e){this.it=e}next(){return this.it.next()}map(e){return new n(i.map(this.it,e))}filter(e){return new n(i.filter(this.it,e))}}t.ChainableIterator=n,t.getSequenceIterator=function(e){return Array.isArray(e)?i.fromArray(e):e||i.empty()};class r{constructor(e,t=0,i=e.length,n=t-1){this.items=e,this.start=t,this.end=i,this.index=n}first(){return this.index=this.start,this.current()}next(){return this.index=Math.min(this.index+1,this.end),this.current()}current(){return this.index===this.start-1||this.index===this.end?null:this.items[this.index]}}t.ArrayIterator=r;t.ArrayNavigator=class extends r{constructor(e,t=0,i=e.length,n=t-1){super(e,t,i,n)}current(){return super.current()}previous(){return this.index=Math.max(this.index-1,this.start-1),this.current()}first(){return this.index=this.start,this.current()}last(){return this.index=this.end-1,
this.current()}parent(){return null}};class s{constructor(e,t){this.iterator=e,this.fn=t}next(){return this.fn(this.iterator.next())}}t.MappedIterator=s;t.MappedNavigator=class extends s{constructor(e,t){super(e,t),this.navigator=e}current(){return this.fn(this.navigator.current())}previous(){return this.fn(this.navigator.previous())}parent(){return this.fn(this.navigator.parent())}first(){return this.fn(this.navigator.first())}last(){return this.fn(this.navigator.last())}next(){return this.fn(this.navigator.next())}}})),define(t[49],i([0,1]),(function(e,t){"use strict";var i,n;function r(e,t=!1){let i=0,n=e.length,r="",c=0,l=16,u=0;function h(t){let n=0,r=0;for(;n<t;){const t=e.charCodeAt(i);if(t>=48&&t<=57)r=16*r+t-48;else if(t>=65&&t<=70)r=16*r+t-65+10;else{if(!(t>=97&&t<=102))break;r=16*r+t-97+10}i++,n++}return n<t&&(r=-1),r}function d(){if(r="",u=0,c=i,i>=n)return c=n,l=17;let t=e.charCodeAt(i);if(s(t)){do{i++,r+=String.fromCharCode(t),t=e.charCodeAt(i)}while(s(t));return l=15}if(o(t))return i++,
r+=String.fromCharCode(t),13===t&&10===e.charCodeAt(i)&&(i++,r+="\n"),l=14;switch(t){case 123:return i++,l=1;case 125:return i++,l=2;case 91:return i++,l=3;case 93:return i++,l=4;case 58:return i++,l=6;case 44:return i++,l=5;case 34:return i++,r=function(){let t="",r=i;for(;;){if(i>=n){t+=e.substring(r,i),u=2;break}const s=e.charCodeAt(i);if(34===s){t+=e.substring(r,i),i++;break}if(92!==s){if(s>=0&&s<=31){if(o(s)){t+=e.substring(r,i),u=2;break}u=6}i++}else{if(t+=e.substring(r,i),++i>=n){u=2;break}switch(e.charCodeAt(i++)){case 34:t+='"';break;case 92:t+="\\";break;case 47:t+="/";break;case 98:t+="\b";break;case 102:t+="\f";break;case 110:t+="\n";break;case 114:t+="\r";break;case 116:t+="\t";break;case 117:const e=h(4);e>=0?t+=String.fromCharCode(e):u=4;break;default:u=5}r=i}}return t}(),l=10;case 47:const s=i-1;if(47===e.charCodeAt(i+1)){for(i+=2;i<n&&!o(e.charCodeAt(i));)i++;return r=e.substring(s,i),l=12}if(42===e.charCodeAt(i+1)){i+=2;const t=n-1;let o=!1;for(;i<t;){
if(42===e.charCodeAt(i)&&47===e.charCodeAt(i+1)){i+=2,o=!0;break}i++}return o||(i++,u=1),r=e.substring(s,i),l=13}return r+=String.fromCharCode(t),i++,l=16;case 45:if(r+=String.fromCharCode(t),++i===n||!a(e.charCodeAt(i)))return l=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=function(){const t=i;if(48===e.charCodeAt(i))i++;else for(i++;i<e.length&&a(e.charCodeAt(i));)i++;if(i<e.length&&46===e.charCodeAt(i)){if(!(++i<e.length&&a(e.charCodeAt(i))))return u=3,e.substring(t,i);for(i++;i<e.length&&a(e.charCodeAt(i));)i++}let n=i;if(i<e.length&&(69===e.charCodeAt(i)||101===e.charCodeAt(i)))if((++i<e.length&&43===e.charCodeAt(i)||45===e.charCodeAt(i))&&i++,i<e.length&&a(e.charCodeAt(i))){for(i++;i<e.length&&a(e.charCodeAt(i));)i++;n=i}else u=3;return e.substring(t,n)}(),l=11;default:for(;i<n&&p(t);)i++,t=e.charCodeAt(i);if(c!==i){switch(r=e.substring(c,i)){case"true":return l=8;case"false":return l=9;case"null":return l=7}return l=16}return r+=String.fromCharCode(t),
i++,l=16}}function p(e){if(s(e)||o(e))return!1;switch(e){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}return{setPosition:function(e){i=e,r="",c=0,l=16,u=0},getPosition:()=>i,scan:t?function(){let e;do{e=d()}while(e>=12&&e<=15);return e}:d,getToken:()=>l,getTokenValue:()=>r,getTokenOffset:()=>c,getTokenLength:()=>i-c,getTokenError:()=>u}}function s(e){return 32===e||9===e||11===e||12===e||160===e||5760===e||e>=8192&&e<=8203||8239===e||8287===e||12288===e||65279===e}function o(e){return 10===e||13===e||8232===e||8233===e}function a(e){return e>=48&&e<=57}function c(e,t,i=!1){return t>=e.offset&&t<e.offset+e.length||i&&t===e.offset+e.length}function l(e,t,n=i.DEFAULT){const s=r(e,!1);function o(e){return e?()=>e(s.getTokenOffset(),s.getTokenLength()):()=>!0}function a(e){return e?t=>e(t,s.getTokenOffset(),s.getTokenLength()):()=>!0}
const c=o(t.onObjectBegin),l=a(t.onObjectProperty),u=o(t.onObjectEnd),h=o(t.onArrayBegin),d=o(t.onArrayEnd),p=a(t.onLiteralValue),f=a(t.onSeparator),m=o(t.onComment),g=a(t.onError),v=n&&n.disallowComments,_=n&&n.allowTrailingComma;function y(){for(;;){const e=s.scan();switch(s.getTokenError()){case 4:w(14);break;case 5:w(15);break;case 3:w(13);break;case 1:v||w(11);break;case 2:w(12);break;case 6:w(16)}switch(e){case 12:case 13:v?w(10):m();break;case 16:w(1);break;case 15:case 14:break;default:return e}}}function w(e,t=[],i=[]){if(g(e),t.length+i.length>0){let e=s.getToken();for(;17!==e;){if(-1!==t.indexOf(e)){y();break}if(-1!==i.indexOf(e))break;e=y()}}}function x(e){const t=s.getTokenValue();return e?p(t):l(t),y(),!0}function b(){switch(s.getToken()){case 3:return function(){h(),y();let e=!1;for(;4!==s.getToken()&&17!==s.getToken();){if(5===s.getToken()){if(e||w(4,[],[]),f(","),y(),4===s.getToken()&&_)break}else e&&w(6,[],[]);b()||w(4,[],[4,5]),e=!0}return d(),4!==s.getToken()?w(8,[4],[]):y(),!0}();case 1:
return function(){c(),y();let e=!1;for(;2!==s.getToken()&&17!==s.getToken();){if(5===s.getToken()){if(e||w(4,[],[]),f(","),y(),2===s.getToken()&&_)break}else e&&w(6,[],[]);(10!==s.getToken()?(w(3,[],[2,5]),0):(x(!1),6===s.getToken()?(f(":"),y(),b()||w(4,[],[2,5])):w(5,[],[2,5]),1))||w(4,[],[2,5]),e=!0}return u(),2!==s.getToken()?w(7,[2],[]):y(),!0}();case 10:return x(!0);default:return function(){switch(s.getToken()){case 11:let e=0;try{"number"!=typeof(e=JSON.parse(s.getTokenValue()))&&(w(2),e=0)}catch(e){w(2)}p(e);break;case 7:p(null);break;case 8:p(!0);break;case 9:p(!1);break;default:return!1}return y(),!0}()}}return y(),17===s.getToken()?!!n.allowEmptyContent||(w(4,[],[]),!1):b()?(17!==s.getToken()&&w(9,[],[]),!0):(w(4,[],[]),!1)}function u(e){switch(typeof e){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":return e?Array.isArray(e)?"array":"object":"null";default:return"null"}}Object.defineProperty(t,"__esModule",{value:!0}),function(e){
e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",e[e.InvalidCharacter=6]="InvalidCharacter"}(t.ScanError||(t.ScanError={})),function(e){e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.Unknown=16]="Unknown",e[e.EOF=17]="EOF"}(t.SyntaxKind||(t.SyntaxKind={})),function(e){
e[e.InvalidSymbol=1]="InvalidSymbol",e[e.InvalidNumberFormat=2]="InvalidNumberFormat",e[e.PropertyNameExpected=3]="PropertyNameExpected",e[e.ValueExpected=4]="ValueExpected",e[e.ColonExpected=5]="ColonExpected",e[e.CommaExpected=6]="CommaExpected",e[e.CloseBraceExpected=7]="CloseBraceExpected",e[e.CloseBracketExpected=8]="CloseBracketExpected",e[e.EndOfFileExpected=9]="EndOfFileExpected",e[e.InvalidCommentToken=10]="InvalidCommentToken",e[e.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=12]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",e[e.InvalidUnicode=14]="InvalidUnicode",e[e.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",e[e.InvalidCharacter=16]="InvalidCharacter"}(t.ParseErrorCode||(t.ParseErrorCode={})),function(e){e.DEFAULT={allowTrailingComma:!0}}(i=t.ParseOptions||(t.ParseOptions={})),t.createScanner=r,function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",
e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",
e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",
e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"}(n||(n={})),t.getLocation=function(e,t){const i=[],n=new Object;let r=void 0;const s={value:{},offset:0,length:0,type:"object",parent:void 0};let o=!1;function a(e,t,i,n){s.value=e,s.offset=t,s.length=i,s.type=n,s.colonOffset=void 0,r=s}try{l(e,{onObjectBegin:(e,s)=>{if(t<=e)throw n;r=void 0,o=t>e,i.push("")},onObjectProperty:(e,r,s)=>{if(t<r)throw n;if(a(e,r,s,"property"),
i[i.length-1]=e,t<=r+s)throw n},onObjectEnd:(e,s)=>{if(t<=e)throw n;r=void 0,i.pop()},onArrayBegin:(e,s)=>{if(t<=e)throw n;r=void 0,i.push(0)},onArrayEnd:(e,s)=>{if(t<=e)throw n;r=void 0,i.pop()},onLiteralValue:(e,i,r)=>{if(t<i)throw n;if(a(e,i,r,u(e)),t<=i+r)throw n},onSeparator:(e,s,a)=>{if(t<=s)throw n;if(":"===e&&r&&"property"===r.type)r.colonOffset=s,o=!1,r=void 0;else if(","===e){const e=i[i.length-1];"number"==typeof e?i[i.length-1]=e+1:(o=!0,i[i.length-1]=""),r=void 0}}})}catch(e){if(e!==n)throw e}return{path:i,previousNode:r,isAtPropertyKey:o,matches:e=>{let t=0;for(let n=0;t<e.length&&n<i.length;n++)if(e[t]===i[n]||"*"===e[t])t++;else if("**"!==e[t])return!1;return t===e.length}}},t.parse=function(e,t=[],n=i.DEFAULT){let r=null,s=[];const o=[];function a(e){Array.isArray(s)?s.push(e):null!==r&&(s[r]=e)}return l(e,{onObjectBegin:()=>{const e={};a(e),o.push(s),s=e,r=null},onObjectProperty:e=>{r=e},onObjectEnd:()=>{s=o.pop()},onArrayBegin:()=>{const e=[];a(e),o.push(s),s=e,r=null},onArrayEnd:()=>{
s=o.pop()},onLiteralValue:a,onError:(e,i,n)=>{t.push({error:e,offset:i,length:n})}},n),s[0]},t.parseTree=function(e,t=[],n=i.DEFAULT){let r={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(e){"property"===r.type&&(r.length=e-r.offset,r=r.parent)}function o(e){return r.children.push(e),e}l(e,{onObjectBegin:e=>{r=o({type:"object",offset:e,length:-1,parent:r,children:[]})},onObjectProperty:(e,t,i)=>{(r=o({type:"property",offset:t,length:-1,parent:r,children:[]})).children.push({type:"string",value:e,offset:t,length:i,parent:r})},onObjectEnd:(e,t)=>{r.length=e+t-r.offset,r=r.parent,s(e+t)},onArrayBegin:(e,t)=>{r=o({type:"array",offset:e,length:-1,parent:r,children:[]})},onArrayEnd:(e,t)=>{r.length=e+t-r.offset,r=r.parent,s(e+t)},onLiteralValue:(e,t,i)=>{o({type:u(e),offset:t,length:i,parent:r,value:e}),s(t+i)},onSeparator:(e,t,i)=>{"property"===r.type&&(":"===e?r.colonOffset=t:","===e&&s(t))},onError:(e,i,n)=>{t.push({error:e,offset:i,length:n})}},n);const a=r.children[0]
;return a&&delete a.parent,a},t.findNodeAtLocation=function(e,t){if(!e)return;let i=e;for(let e of t)if("string"==typeof e){if("object"!==i.type||!Array.isArray(i.children))return;let t=!1;for(const n of i.children)if(Array.isArray(n.children)&&n.children[0].value===e){i=n.children[1],t=!0;break}if(!t)return}else{const t=e;if("array"!==i.type||t<0||!Array.isArray(i.children)||t>=i.children.length)return;i=i.children[t]}return i},t.getNodePath=function e(t){if(!t.parent||!t.parent.children)return[];const i=e(t.parent);if("property"===t.parent.type){const e=t.parent.children[0].value;i.push(e)}else if("array"===t.parent.type){const e=t.parent.children.indexOf(t);-1!==e&&i.push(e)}return i},t.getNodeValue=function e(t){switch(t.type){case"array":return t.children.map(e);case"object":const i=Object.create(null);for(let n of t.children){const t=n.children[1];t&&(i[n.children[0].value]=e(t))}return i;case"null":case"string":case"number":case"boolean":return t.value;default:return}},t.contains=c,
t.findNodeAtOffset=function e(t,i,n=!1){if(c(t,i,n)){const r=t.children;if(Array.isArray(r))for(let t=0;t<r.length&&r[t].offset<=i;t++){const s=e(r[t],i,n);if(s)return s}return t}},t.visit=l,t.stripComments=function(e,t){let i,n,s=r(e),o=[],a=0;do{switch(n=s.getPosition(),i=s.scan()){case 12:case 13:case 17:a!==n&&o.push(e.substring(a,n)),void 0!==t&&o.push(s.getTokenValue().replace(/[^\r\n]/g,t)),a=s.getPosition()}}while(17!==i);return o.join("")},t.getNodeType=u})),define(t[113],i([0,1,49]),(function(e,t,i){"use strict";function n(e,t){let i="";for(let n=0;n<t;n++)i+=e;return i}function r(e,t){for(let e=0;e<t.length;e++){const i=t.charAt(e);if("\r"===i)return e+1<t.length&&"\n"===t.charAt(e+1)?"\r\n":"\r";if("\n"===i)return"\n"}return e&&e.eol||"\n"}function s(e,t){return-1!=="\r\n".indexOf(e.charAt(t))}Object.defineProperty(t,"__esModule",{value:!0}),t.format=function(e,t,o){let a,c,l,u,h;if(t){for(u=t.offset,h=u+t.length,l=u;l>0&&!s(e,l-1);)l--;let i=h;for(;i<e.length&&!s(e,i);)i++;c=e.substring(l,i),
a=function(e,t){let i=0,n=0;const r=t.tabSize||4;for(;i<e.length;){const t=e.charAt(i);if(" "===t)n++;else{if("\t"!==t)break;n+=r}i++}return Math.floor(n/r)}(c,o)}else c=e,a=0,l=0,u=0,h=e.length;const d=r(o,e);let p,f=!1,m=0;p=o.insertSpaces?n(" ",o.tabSize||4):"\t";const g=i.createScanner(c,!1);let v=!1;function _(){return d+n(p,a+m)}function y(){let e=g.scan();for(f=!1;15===e||14===e;)f=f||14===e,e=g.scan();return v=16===e||0!==g.getTokenError(),e}const w=[];function x(t,i,n){!v&&i<h&&n>u&&e.substring(i,n)!==t&&w.push({offset:i,length:n-i,content:t})}let b=y();if(17!==b){const e=g.getTokenOffset()+l;x(n(p,a),l,e)}for(;17!==b;){let e=g.getTokenOffset()+g.getTokenLength()+l,t=y(),i="";for(;!f&&(12===t||13===t);){x(" ",e,g.getTokenOffset()+l),e=g.getTokenOffset()+g.getTokenLength()+l,i=12===t?_():"",t=y()}if(2===t)1!==b&&(m--,i=_());else if(4===t)3!==b&&(m--,i=_());else{switch(b){case 3:case 1:m++,i=_();break;case 5:case 12:i=_();break;case 13:i=f?_():" ";break;case 6:i=" ";break;case 10:if(6===t){i="";break}
case 7:case 8:case 9:case 11:case 2:case 4:12===t||13===t?i=" ":5!==t&&17!==t&&(v=!0);break;case 16:v=!0}!f||12!==t&&13!==t||(i=_())}x(i,e,g.getTokenOffset()+l),b=t}return w},t.getEOL=r,t.isEOL=s})),define(t[114],i([0,1,49,113,12]),(function(e,t,i,n,r){"use strict";function s(e,t,n,r,s){const a=t.slice(),c=i.parseTree(e,[]);let l=void 0,u=void 0;for(;a.length>0&&(u=a.pop(),void 0===(l=i.findNodeAtLocation(c,a))&&void 0!==n);)n="string"==typeof u?{[u]:n}:[n];if(l){if("object"===l.type&&"string"==typeof u&&Array.isArray(l.children)){const t=i.findNodeAtLocation(l,[u]);if(void 0!==t){if(void 0===n){if(!t.parent)throw new Error("Malformed AST");const i=l.children.indexOf(t.parent);let n,s=t.parent.offset+t.parent.length;if(i>0){const e=l.children[i-1];n=e.offset+e.length}else if(n=l.offset+1,l.children.length>1){s=l.children[1].offset}return o(e,{offset:n,length:s-n,content:""},r)}return o(e,{offset:t.offset,length:t.length,content:JSON.stringify(n)},r)}{if(void 0===n)return[]
;const t=`${JSON.stringify(u)}: ${JSON.stringify(n)}`,i=s?s(l.children.map(e=>e.children[0].value)):l.children.length;let a;if(i>0){const e=l.children[i-1];a={offset:e.offset+e.length,length:0,content:","+t}}else a=0===l.children.length?{offset:l.offset+1,length:0,content:t}:{offset:l.offset+1,length:0,content:t+","};return o(e,a,r)}}if("array"===l.type&&"number"==typeof u&&Array.isArray(l.children)){if(void 0!==n){const t=`${JSON.stringify(n)}`;let i;if(0===l.children.length||0===u)i={offset:l.offset+1,length:0,content:0===l.children.length?t:t+","};else{const e=-1===u||u>l.children.length?l.children.length:u,n=l.children[e-1];i={offset:n.offset+n.length,length:0,content:","+t}}return o(e,i,r)}{const t=u,i=l.children[t];let n;if(1===l.children.length)n={offset:l.offset+1,length:l.length-2,content:""};else if(l.children.length-1===t){const e=l.children[t-1],i=e.offset+e.length;n={offset:i,length:l.offset+l.length-2-i,content:""}}else n={offset:i.offset,length:l.children[t+1].offset-i.offset,content:""}
;return o(e,n,r)}}throw new Error(`Can not add ${"number"!=typeof u?"index":"property"} to parent of type ${l.type}`)}if(void 0===n)throw new Error("Can not delete in empty document");return o(e,{offset:c?c.offset:0,length:c?c.length:0,content:JSON.stringify(n)},r)}function o(e,t,i){let r=a(e,t),s=t.offset,o=t.offset+t.content.length;if(0===t.length||0===t.content.length){for(;s>0&&!n.isEOL(r,s-1);)s--;for(;o<r.length&&!n.isEOL(r,o);)o++}const c=n.format(r,{offset:s,length:o-s},i);for(let e=c.length-1;e>=0;e--){const t=c[e];r=a(r,t),s=Math.min(s,t.offset),o=Math.max(o,t.offset+t.length),o+=t.content.length-t.length}return[{offset:s,length:e.length-(r.length-o)-s,content:r.substring(s,o)}]}function a(e,t){return e.substring(0,t.offset)+t.content+e.substring(t.offset+t.length)}Object.defineProperty(t,"__esModule",{value:!0}),t.removeProperty=function(e,t,i){return s(e,t,void 0,i)},t.setProperty=s,t.withFormatting=o,t.applyEdit=a,t.applyEdits=function(e,t){let i=r.mergeSort(t,(e,t)=>{const i=e.offset-t.offset
;return 0===i?e.length-t.length:i}),n=e.length;for(let t=i.length-1;t>=0;t--){let r=i[t];if(!(r.offset+r.length<=n))throw new Error("Overlapping edit");e=a(e,r),n=r.offset}return e}})),define(t[6],i([0,1,75]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n=!1,r="__is_disposable_tracked__";function s(e){if(n&&e&&e!==l.None)try{e[r]=!0}catch(e){}}function o(e){if(!n)return e;const t=new Error("Potentially leaked disposable").stack;return setTimeout(()=>{e[r]||console.log(t)},3e3),e}function a(e){return Array.isArray(e)?(e.forEach(e=>{e&&(s(e),e.dispose())}),[]):e?(s(e),e.dispose(),e):void 0}t.isDisposable=function(e){return"function"==typeof e.dispose&&0===e.dispose.length},t.dispose=a,t.combinedDisposable=function(...e){return e.forEach(s),o({dispose:()=>a(e)})},t.toDisposable=function(e){const t=o({dispose:()=>{s(t),e()}});return t};class c{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(s(this),this._isDisposed=!0,this.clear())}
clear(){this._toDispose.forEach(e=>e.dispose()),this._toDispose.clear()}add(e){if(!e)return e;if(e===this)throw new Error("Cannot register a disposable on itself!");return s(e),this._isDisposed?c.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(e),e}}t.DisposableStore=c,c.DISABLE_DISPOSED_WARNING=!1;class l{constructor(){this._store=new c,o(this)}dispose(){s(this),this._store.dispose()}_register(e){if(e===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(e)}}t.Disposable=l,l.None=Object.freeze({dispose(){}});t.MutableDisposable=class{constructor(){this._isDisposed=!1,o(this)}get value(){return this._isDisposed?void 0:this._value}set value(e){this._isDisposed||e===this._value||(this._value&&this._value.dispose(),e&&s(e),this._value=e)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,s(this),
this._value&&this._value.dispose(),this._value=void 0}};t.ReferenceCollection=class{constructor(){this.references=new Map}acquire(e){let t=this.references.get(e);t||(t={counter:0,object:this.createReferencedObject(e)},this.references.set(e,t));const{object:n}=t,r=i.once(()=>{0==--t.counter&&(this.destroyReferencedObject(e,t.object),this.references.delete(e))});return t.counter++,{object:n,dispose:r}}};t.ImmortalReference=class{constructor(e){this.object=e}dispose(){}}})),define(t[57],i([0,1,78]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class n{constructor(e){this.element=e,this.next=n.Undefined,this.prev=n.Undefined}}n.Undefined=new n(void 0);t.LinkedList=class{constructor(){this._first=n.Undefined,this._last=n.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===n.Undefined}clear(){this._first=n.Undefined,this._last=n.Undefined,this._size=0}unshift(e){return this._insert(e,!1)}push(e){return this._insert(e,!0)}_insert(e,t){const i=new n(e)
;if(this._first===n.Undefined)this._first=i,this._last=i;else if(t){const e=this._last;this._last=i,i.prev=e,e.next=i}else{const e=this._first;this._first=i,i.next=e,e.prev=i}this._size+=1;let r=!1;return()=>{r||(r=!0,this._remove(i))}}shift(){if(this._first!==n.Undefined){const e=this._first.element;return this._remove(this._first),e}}pop(){if(this._last!==n.Undefined){const e=this._last.element;return this._remove(this._last),e}}_remove(e){if(e.prev!==n.Undefined&&e.next!==n.Undefined){const t=e.prev;t.next=e.next,e.next.prev=t}else e.prev===n.Undefined&&e.next===n.Undefined?(this._first=n.Undefined,this._last=n.Undefined):e.next===n.Undefined?(this._last=this._last.prev,this._last.next=n.Undefined):e.prev===n.Undefined&&(this._first=this._first.next,this._first.prev=n.Undefined);this._size-=1}iterator(){let e,t=this._first;return{next:()=>t===n.Undefined?i.FIN:(e?e.value=t.element:e={done:!1,value:t.element},t=t.next,e)}}toArray(){const e=[];for(let t=this._first;t!==n.Undefined;t=t.next)e.push(t.element)
;return e}}})),define(t[3],i([0,1,19,75,6,57]),(function(e,t,i,n,r,s){"use strict";var o;Object.defineProperty(t,"__esModule",{value:!0}),function(e){function t(e){return(t,i=null,n)=>{let r,s=!1;return r=e(e=>{if(!s)return r?r.dispose():s=!0,t.call(i,e)},null,n),s&&r.dispose(),r}}function i(e,t){return a((i,n=null,r)=>e(e=>i.call(n,t(e)),null,r))}function n(e,t){return a((i,n=null,r)=>e(e=>{t(e),i.call(n,e)},null,r))}function s(e,t){return a((i,n=null,r)=>e(e=>t(e)&&i.call(n,e),null,r))}function o(e,t,n){let r=n;return i(e,e=>r=t(r,e))}function a(e){let t;const i=new l({onFirstListenerAdd(){t=e(i.fire,i)},onLastListenerRemove(){t.dispose()}});return i.event}function c(e,t,i=100,n=!1,r){let s,o=void 0,a=void 0,c=0;const u=new l({leakWarningThreshold:r,onFirstListenerAdd(){s=e(e=>{c++,o=t(o,e),n&&!a&&(u.fire(o),o=void 0),clearTimeout(a),a=setTimeout(()=>{const e=o;o=void 0,a=void 0,(!n||c>1)&&u.fire(e),c=0},i)})},onLastListenerRemove(){s.dispose()}});return u.event}function u(e){let t,i=!0;return s(e,e=>{
const n=i||e!==t;return i=!1,t=e,n})}e.None=()=>r.Disposable.None,e.once=t,e.map=i,e.forEach=n,e.filter=s,e.signal=function(e){return e},e.any=function(...e){return(t,i=null,n)=>r.combinedDisposable(...e.map(e=>e(e=>t.call(i,e),null,n)))},e.reduce=o,e.snapshot=a,e.debounce=c,e.stopwatch=function(e){const n=(new Date).getTime();return i(t(e),e=>(new Date).getTime()-n)},e.latch=u,e.buffer=function(e,t=!1,i=[]){let n=i.slice(),r=e(e=>{n?n.push(e):o.fire(e)});const s=()=>{n&&n.forEach(e=>o.fire(e)),n=null},o=new l({onFirstListenerAdd(){r||(r=e(e=>o.fire(e)))},onFirstListenerDidAdd(){n&&(t?setTimeout(s):s())},onLastListenerRemove(){r&&r.dispose(),r=null}});return o.event};class h{constructor(e){this.event=e}map(e){return new h(i(this.event,e))}forEach(e){return new h(n(this.event,e))}filter(e){return new h(s(this.event,e))}reduce(e,t){return new h(o(this.event,e,t))}latch(){return new h(u(this.event))}debounce(e,t=100,i=!1,n){return new h(c(this.event,e,t,i,n))}on(e,t,i){return this.event(e,t,i)}once(e,i,n){
return t(this.event)(e,i,n)}}e.chain=function(e){return new h(e)},e.fromNodeEventEmitter=function(e,t,i=(e=>e)){const n=(...e)=>r.fire(i(...e)),r=new l({onFirstListenerAdd:()=>e.on(t,n),onLastListenerRemove:()=>e.removeListener(t,n)});return r.event},e.fromDOMEventEmitter=function(e,t,i=(e=>e)){const n=(...e)=>r.fire(i(...e)),r=new l({onFirstListenerAdd:()=>e.addEventListener(t,n),onLastListenerRemove:()=>e.removeEventListener(t,n)});return r.event},e.fromPromise=function(e){const t=new l;let i=!1;return e.then(void 0,()=>null).then(()=>{i?t.fire(void 0):setTimeout(()=>t.fire(void 0),0)}),i=!0,t.event},e.toPromise=function(e){return new Promise(i=>t(e)(i))}}(o=t.Event||(t.Event={}));let a=-1;t.setGlobalLeakWarningThreshold=function(e){const t=a;return a=e,{dispose(){a=t}}};class c{constructor(e,t=Math.random().toString(18).slice(2,5)){this.customThreshold=e,this.name=t,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(e){let t=a
;if("number"==typeof this.customThreshold&&(t=this.customThreshold),t<=0||e<t)return;this._stacks||(this._stacks=new Map);const i=(new Error).stack.split("\n").slice(3).join("\n"),n=this._stacks.get(i)||0;if(this._stacks.set(i,n+1),this._warnCountdown-=1,this._warnCountdown<=0){let i;this._warnCountdown=.5*t;let n=0;this._stacks.forEach((e,t)=>{(!i||n<e)&&(i=t,n=e)}),console.warn(`[${this.name}] potential listener LEAK detected, having ${e} listeners already. MOST frequent listener (${n}):`),console.warn(i)}return()=>{const e=this._stacks.get(i)||0;this._stacks.set(i,e-1)}}}class l{constructor(e){this._disposed=!1,this._options=e,this._leakageMon=a>0?new c(this._options&&this._options.leakWarningThreshold):void 0}get event(){return this._event||(this._event=(e,t,i)=>{this._listeners||(this._listeners=new s.LinkedList);const n=this._listeners.isEmpty();n&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const o=this._listeners.push(t?[e,t]:e);let a,c
;return n&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,e,t),this._leakageMon&&(a=this._leakageMon.check(this._listeners.size)),c={dispose:()=>{if(a&&a(),c.dispose=l._noop,!this._disposed&&(o(),this._options&&this._options.onLastListenerRemove)){this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)}}},i instanceof r.DisposableStore?i.add(c):Array.isArray(i)&&i.push(c),c}),this._event}fire(e){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new s.LinkedList);for(let t=this._listeners.iterator(),i=t.next();!i.done;i=t.next())this._deliveryQueue.push([i.value,e]);for(;this._deliveryQueue.size>0;){const[e,t]=this._deliveryQueue.shift();try{"function"==typeof e?e.call(void 0,t):e[0].call(e[1],t)}catch(e){i.onUnexpectedError(e)}}}}dispose(){this._listeners&&this._listeners.clear(),this._deliveryQueue&&this._deliveryQueue.clear(),
this._leakageMon&&this._leakageMon.dispose(),this._disposed=!0}}t.Emitter=l,l._noop=function(){};t.PauseableEmitter=class extends l{constructor(e){super(e),this._isPaused=0,this._eventQueue=new s.LinkedList,this._mergeFn=e&&e.merge}pause(){this._isPaused++}resume(){if(0!==this._isPaused&&0==--this._isPaused)if(this._mergeFn){const e=this._eventQueue.toArray();this._eventQueue.clear(),super.fire(this._mergeFn(e))}else for(;!this._isPaused&&0!==this._eventQueue.size;)super.fire(this._eventQueue.shift())}fire(e){this._listeners&&(0!==this._isPaused?this._eventQueue.push(e):super.fire(e))}};t.AsyncEmitter=class extends l{async fireAsync(e,t,n){if(this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new s.LinkedList);for(let t=this._listeners.iterator(),i=t.next();!i.done;i=t.next())this._asyncDeliveryQueue.push([i.value,e]);for(;this._asyncDeliveryQueue.size>0&&!t.isCancellationRequested;){const[e,t]=this._asyncDeliveryQueue.shift(),r=[],s=Object.assign(Object.assign({},t),{waitUntil:t=>{
if(Object.isFrozen(r))throw new Error("waitUntil can NOT be called asynchronous");n&&(t=n(t,"function"==typeof e?e:e[0])),r.push(t)}});try{"function"==typeof e?e.call(void 0,s):e[0].call(e[1],s)}catch(e){i.onUnexpectedError(e);continue}Object.freeze(r),await Promise.all(r).catch(e=>i.onUnexpectedError(e))}}}};t.EventMultiplexer=class{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new l({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(e){const t={event:e,listener:null};this.events.push(t),this.hasListeners&&this.hook(t);return r.toDisposable(n.once(()=>{this.hasListeners&&this.unhook(t);const e=this.events.indexOf(t);this.events.splice(e,1)}))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(e=>this.hook(e))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(e=>this.unhook(e))}hook(e){e.listener=e.event(e=>this.emitter.fire(e))}unhook(e){e.listener&&e.listener.dispose(),
e.listener=null}dispose(){this.emitter.dispose()}};t.EventBufferer=class{constructor(){this.buffers=[]}wrapEvent(e){return(t,i,n)=>e(e=>{const n=this.buffers[this.buffers.length-1];n?n.push(()=>t.call(i,e)):t.call(i,e)},void 0,n)}bufferEvents(e){const t=[];this.buffers.push(t);const i=e();return this.buffers.pop(),t.forEach(e=>e()),i}};t.Relay=class{constructor(){this.listening=!1,this.inputEvent=o.None,this.inputEventListener=r.Disposable.None,this.emitter=new l({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(e){this.inputEvent=e,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=e(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}})),define(t[22],i([0,1,3]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;const n=Object.freeze((function(e,t){const i=setTimeout(e.bind(t),0);return{dispose(){clearTimeout(i)}}}));var r;!function(e){e.isCancellationToken=function(t){return t===e.None||t===e.Cancelled||(t instanceof s||!(!t||"object"!=typeof t)&&("boolean"==typeof t.isCancellationRequested&&"function"==typeof t.onCancellationRequested))},e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:i.Event.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n})}(r=t.CancellationToken||(t.CancellationToken={}));class s{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?n:(this._emitter||(this._emitter=new i.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}t.CancellationTokenSource=class{constructor(e){
this._token=void 0,this._parentListener=void 0,this._parentListener=e&&e.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new s),this._token}cancel(){this._token?this._token instanceof s&&this._token.cancel():this._token=r.Cancelled}dispose(e=!1){e&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof s&&this._token.dispose():this._token=r.None}}})),define(t[14],i([0,1,22,19,3,6]),(function(e,t,i,n,r,s){"use strict";function o(e){return e&&"function"==typeof e.then}function a(e){const t=new i.CancellationTokenSource,r=e(t.token),s=new Promise((e,i)=>{t.token.onCancellationRequested(()=>{i(n.canceled())}),Promise.resolve(r).then(i=>{t.dispose(),e(i)},e=>{t.dispose(),i(e)})});return new class{cancel(){t.cancel()}then(e,t){return s.then(e,t)}catch(e){return this.then(void 0,e)}finally(e){return s.finally(e)}}}Object.defineProperty(t,"__esModule",{value:!0}),t.isThenable=o,t.createCancelablePromise=a,
t.raceCancellation=function(e,t,i){return Promise.race([e,new Promise(e=>t.onCancellationRequested(()=>e(i)))])},t.raceTimeout=function(e,t,i){let n=void 0;const r=setTimeout(()=>{null==n||n(),null==i||i()},t);return Promise.race([e.finally(()=>clearTimeout(r)),new Promise(e=>n=e)])},t.asPromise=function(e){return new Promise((t,i)=>{const n=e();o(n)?n.then(t,i):t(n)})};class c{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(e){if(this.activePromise){if(this.queuedPromiseFactory=e,!this.queuedPromise){const e=()=>{this.queuedPromise=null;const e=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,e};this.queuedPromise=new Promise(t=>{this.activePromise.then(e,e).then(t)})}return new Promise((e,t)=>{this.queuedPromise.then(e,t)})}return this.activePromise=e(),new Promise((e,t)=>{this.activePromise.then(t=>{this.activePromise=null,e(t)},e=>{this.activePromise=null,t(e)})})}}t.Throttler=c;t.Sequencer=class{constructor(){
this.current=Promise.resolve(null)}queue(e){return this.current=this.current.then(()=>e())}};class l{constructor(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(e,t=this.defaultDelay){return this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((e,t)=>{this.doResolve=e,this.doReject=t}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const e=this.task;return this.task=null,e()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},t),this.completionPromise}isTriggered(){return null!==this.timeout}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(n.canceled()),this.completionPromise=null)}cancelTimeout(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}t.Delayer=l;t.ThrottledDelayer=class{constructor(e){this.delayer=new l(e),this.throttler=new c}
trigger(e,t){return this.delayer.trigger(()=>this.throttler.queue(e),t)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}};function u(e,t){return t?new Promise((i,r)=>{const s=setTimeout(i,e);t.onCancellationRequested(()=>{clearTimeout(s),r(n.canceled())})}):a(t=>u(e,t))}t.Barrier=class{constructor(){this._isOpen=!1,this._promise=new Promise((e,t)=>{this._completePromise=e})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}},t.timeout=u,t.disposableTimeout=function(e,t=0){const i=setTimeout(e,t);return s.toDisposable(()=>clearTimeout(i))},t.ignoreErrors=function(e){return e.then(void 0,e=>void 0)},t.sequence=function(e){const t=[];let i=0;const n=e.length;return Promise.resolve(null).then((function r(s){null!=s&&t.push(s);const o=i<n?e[i++]():null;return o?o.then(r):Promise.resolve(t)}))},t.first=function(e,t=(e=>!!e),i=null){let n=0;const r=e.length,s=()=>{if(n>=r)return Promise.resolve(i)
;const o=e[n++];return Promise.resolve(o()).then(e=>t(e)?Promise.resolve(e):s())};return s()};class h{constructor(e){this._size=0,this.maxDegreeOfParalellism=e,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new r.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(e){return this._size++,new Promise((t,i)=>{this.outstandingPromises.push({factory:e,c:t,e:i}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const e=this.outstandingPromises.shift();this.runningPromises++;const t=e.factory();t.then(e.c,e.e),t.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}t.Limiter=h;class d extends h{constructor(){super(1)}}t.Queue=d;t.ResourceQueue=class{constructor(){this.queues=new Map}queueFor(e){const t=e.toString();if(!this.queues.has(t)){
const e=new d;e.onFinished(()=>{e.dispose(),this.queues.delete(t)}),this.queues.set(t,e)}return this.queues.get(t)}dispose(){this.queues.forEach(e=>e.dispose()),this.queues.clear()}};t.TimeoutTimer=class{constructor(e,t){this._token=-1,"function"==typeof e&&"number"==typeof t&&this.setIfNotSet(e,t)}dispose(){this.cancel()}cancel(){-1!==this._token&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(e,t){this.cancel(),this._token=setTimeout(()=>{this._token=-1,e()},t)}setIfNotSet(e,t){-1===this._token&&(this._token=setTimeout(()=>{this._token=-1,e()},t))}};t.IntervalTimer=class{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){-1!==this._token&&(clearInterval(this._token),this._token=-1)}cancelAndSet(e,t){this.cancel(),this._token=setInterval(()=>{e()},t)}};class p{constructor(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),
this.timeoutToken=-1)}schedule(e=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,e)}isScheduled(){return-1!==this.timeoutToken}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}t.RunOnceScheduler=p;t.RunOnceWorker=class extends p{constructor(e,t){super(e,t),this.units=[]}work(e){this.units.push(e),this.isScheduled()||this.schedule()}doRun(){const e=this.units;this.units=[],this.runner&&this.runner(e)}dispose(){this.units=[],super.dispose()}},function(){if("function"!=typeof requestIdleCallback||"function"!=typeof cancelIdleCallback){const e=Object.freeze({didTimeout:!0,timeRemaining:()=>15});t.runWhenIdle=t=>{const i=setTimeout(()=>t(e));let n=!1;return{dispose(){n||(n=!0,clearTimeout(i))}}}}else t.runWhenIdle=(e,t)=>{const i=requestIdleCallback(e,"number"==typeof t?{timeout:t}:void 0);let n=!1;return{dispose(){n||(n=!0,cancelIdleCallback(i))}}}}();t.IdleValue=class{constructor(e){this._didRun=!1,this._executor=()=>{try{this._value=e()
}catch(e){this._error=e}finally{this._didRun=!0}},this._handle=t.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}getValue(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}},t.retry=async function(e,t,i){let n;for(let r=0;r<i;r++)try{return await e()}catch(e){n=e,await u(t)}throw n};t.TaskSequentializer=class{hasPending(e){return!!this._pending&&("number"==typeof e?this._pending.taskId===e:!!this._pending)}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var e;null===(e=this._pending)||void 0===e||e.cancel()}setPending(e,t,i){return this._pending={taskId:e,cancel:()=>null==i?void 0:i(),promise:t},t.then(()=>this.donePending(e),()=>this.donePending(e)),t}donePending(e){this._pending&&e===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const e=this._next;this._next=void 0,e.run().then(e.promiseResolve,e.promiseReject)}}setNext(e){
if(this._next)this._next.run=e;else{let t,i;const n=new Promise((e,n)=>{t=e,i=n});this._next={run:e,promise:n,promiseResolve:t,promiseReject:i}}return this._next.promise}}})),function(t){"use strict";var i={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:g,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ *(#{1,6}) *([^\n]+?) *(?:#+ *)?(?:\n+|$)/,nptable:g,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?\\?>\\n*|<![A-Z][\\s\\S]*?>\\n*|<!\\[CDATA\\[[\\s\\S]*?\\]\\]>\\n*|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,table:g,
lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading| {0,3}>|<\/?(?:tag)(?: +|\n|\/?>)|<(?:script|pre|style|!--))[^\n]+)*)/,text:/^[^\n]+/};function n(e){this.tokens=[],this.tokens.links=Object.create(null),this.options=e||x.defaults,this.rules=i.normal,this.options.pedantic?this.rules=i.pedantic:this.options.gfm&&(this.options.tables?this.rules=i.tables:this.rules=i.gfm)}i._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,i._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,i.def=d(i.def).replace("label",i._label).replace("title",i._title).getRegex(),i.bullet=/(?:[*+-]|\d{1,9}\.)/,i.item=/^( *)(bull) ?[^\n]*(?:\n(?!\1bull ?)[^\n]*)*/,i.item=d(i.item,"gm").replace(/bull/g,i.bullet).getRegex(),i.list=d(i.list).replace(/bull/g,i.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+i.def.source+")").getRegex(),
i._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",i._comment=/<!--(?!-?>)[\s\S]*?-->/,i.html=d(i.html,"i").replace("comment",i._comment).replace("tag",i._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),i.paragraph=d(i.paragraph).replace("hr",i.hr).replace("heading",i.heading).replace("lheading",i.lheading).replace("tag",i._tag).getRegex(),i.blockquote=d(i.blockquote).replace("paragraph",i.paragraph).getRegex(),i.normal=v({},i),i.gfm=v({},i.normal,{fences:/^ {0,3}(`{3,}|~{3,})([^`\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,paragraph:/^/,heading:/^ *(#{1,6}) +([^\n]+?) *#* *(?:\n+|$)/}),
i.gfm.paragraph=d(i.paragraph).replace("(?!","(?!"+i.gfm.fences.source.replace("\\1","\\2")+"|"+i.list.source.replace("\\1","\\3")+"|").getRegex(),i.tables=v({},i.gfm,{nptable:/^ *([^|\n ].*\|.*)\n *([-:]+ *\|[-| :]*)(?:\n((?:.*[^>\n ].*(?:\n|$))*)\n*|$)/,table:/^ *\|(.+)\n *\|?( *[-:]+[-| :]*)(?:\n((?: *[^>\n ].*(?:\n|$))*)\n*|$)/}),i.pedantic=v({},i.normal,{html:d("^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:\"[^\"]*\"|'[^']*'|\\s[^'\"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))").replace("comment",i._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/}),n.rules=i,n.lex=function(e,t){return new n(t).lex(e)},n.prototype.lex=function(e){return e=e.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n"),this.token(e,!0)},
n.prototype.token=function(e,t){var n,r,s,o,a,c,l,u,h,d,p,f,m,g,v,w;for(e=e.replace(/^ +$/gm,"");e;)if((s=this.rules.newline.exec(e))&&(e=e.substring(s[0].length),s[0].length>1&&this.tokens.push({type:"space"})),s=this.rules.code.exec(e))e=e.substring(s[0].length),s=s[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:this.options.pedantic?s:y(s,"\n")});else if(s=this.rules.fences.exec(e))e=e.substring(s[0].length),this.tokens.push({type:"code",lang:s[2]?s[2].trim():s[2],text:s[3]||""});else if(s=this.rules.heading.exec(e))e=e.substring(s[0].length),this.tokens.push({type:"heading",depth:s[1].length,text:s[2]});else if((s=this.rules.nptable.exec(e))&&(c={type:"table",header:_(s[1].replace(/^ *| *\| *$/g,"")),align:s[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:s[3]?s[3].replace(/\n$/,"").split("\n"):[]}).header.length===c.align.length){for(e=e.substring(s[0].length),
p=0;p<c.align.length;p++)/^ *-+: *$/.test(c.align[p])?c.align[p]="right":/^ *:-+: *$/.test(c.align[p])?c.align[p]="center":/^ *:-+ *$/.test(c.align[p])?c.align[p]="left":c.align[p]=null;for(p=0;p<c.cells.length;p++)c.cells[p]=_(c.cells[p],c.header.length);this.tokens.push(c)}else if(s=this.rules.hr.exec(e))e=e.substring(s[0].length),this.tokens.push({type:"hr"});else if(s=this.rules.blockquote.exec(e))e=e.substring(s[0].length),this.tokens.push({type:"blockquote_start"}),s=s[0].replace(/^ *> ?/gm,""),this.token(s,t),this.tokens.push({type:"blockquote_end"});else if(s=this.rules.list.exec(e)){for(e=e.substring(s[0].length),l={type:"list_start",ordered:g=(o=s[2]).length>1,start:g?+o:"",loose:!1},this.tokens.push(l),u=[],n=!1,m=(s=s[0].match(this.rules.item)).length,p=0;p<m;p++)d=(c=s[p]).length,~(c=c.replace(/^ *([*+-]|\d+\.) */,"")).indexOf("\n ")&&(d-=c.length,c=this.options.pedantic?c.replace(/^ {1,4}/gm,""):c.replace(new RegExp("^ {1,"+d+"}","gm"),"")),p!==m-1&&(a=i.bullet.exec(s[p+1])[0],
(o.length>1?1===a.length:a.length>1||this.options.smartLists&&a!==o)&&(e=s.slice(p+1).join("\n")+e,p=m-1)),r=n||/\n\n(?!\s*$)/.test(c),p!==m-1&&(n="\n"===c.charAt(c.length-1),r||(r=n)),r&&(l.loose=!0),w=void 0,(v=/^\[[ xX]\] /.test(c))&&(w=" "!==c[1],c=c.replace(/^\[[ xX]\] +/,"")),h={type:"list_item_start",task:v,checked:w,loose:r},u.push(h),this.tokens.push(h),this.token(c,!1),this.tokens.push({type:"list_item_end"});if(l.loose)for(m=u.length,p=0;p<m;p++)u[p].loose=!0;this.tokens.push({type:"list_end"})}else if(s=this.rules.html.exec(e))e=e.substring(s[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:!this.options.sanitizer&&("pre"===s[1]||"script"===s[1]||"style"===s[1]),text:s[0]});else if(t&&(s=this.rules.def.exec(e)))e=e.substring(s[0].length),s[3]&&(s[3]=s[3].substring(1,s[3].length-1)),f=s[1].toLowerCase().replace(/\s+/g," "),this.tokens.links[f]||(this.tokens.links[f]={href:s[2],title:s[3]});else if((s=this.rules.table.exec(e))&&(c={type:"table",
header:_(s[1].replace(/^ *| *\| *$/g,"")),align:s[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:s[3]?s[3].replace(/\n$/,"").split("\n"):[]}).header.length===c.align.length){for(e=e.substring(s[0].length),p=0;p<c.align.length;p++)/^ *-+: *$/.test(c.align[p])?c.align[p]="right":/^ *:-+: *$/.test(c.align[p])?c.align[p]="center":/^ *:-+ *$/.test(c.align[p])?c.align[p]="left":c.align[p]=null;for(p=0;p<c.cells.length;p++)c.cells[p]=_(c.cells[p].replace(/^ *\| *| *\| *$/g,""),c.header.length);this.tokens.push(c)}else if(s=this.rules.lheading.exec(e))e=e.substring(s[0].length),this.tokens.push({type:"heading",depth:"="===s[2]?1:2,text:s[1]});else if(t&&(s=this.rules.paragraph.exec(e)))e=e.substring(s[0].length),this.tokens.push({type:"paragraph",text:"\n"===s[1].charAt(s[1].length-1)?s[1].slice(0,-1):s[1]});else if(s=this.rules.text.exec(e))e=e.substring(s[0].length),this.tokens.push({type:"text",text:s[0]});else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0));return this.tokens};var r={
escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:g,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(href(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,strong:/^__([^\s_])__(?!_)|^\*\*([^\s*])\*\*(?!\*)|^__([^\s][\s\S]*?[^\s])__(?!_)|^\*\*([^\s][\s\S]*?[^\s])\*\*(?!\*)/,em:/^_([^\s_])_(?!_)|^\*([^\s*"<\[])\*(?!\*)|^_([^\s][\s\S]*?[^\s_])_(?!_|[^\spunctuation])|^_([^\s_][\s\S]*?[^\s])_(?!_|[^\spunctuation])|^\*([^\s"<\[][\s\S]*?[^\s*])\*(?!\*)|^\*([^\s*"<\[][\s\S]*?[^\s])\*(?!\*)/,code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:g,text:/^(`+|[^`])(?:[\s\S]*?(?:(?=[\\<!\[`*]|\b_|$)|[^ ](?= {2,}\n))|(?= {2,}\n))/};function s(e,t){if(this.options=t||x.defaults,this.links=e,this.rules=r.normal,
this.renderer=this.options.renderer||new o,this.renderer.options=this.options,!this.links)throw new Error("Tokens array requires a `links` property.");this.options.pedantic?this.rules=r.pedantic:this.options.gfm&&(this.options.breaks?this.rules=r.breaks:this.rules=r.gfm)}function o(e){this.options=e||x.defaults}function a(){}function c(e){this.tokens=[],this.token=null,this.options=e||x.defaults,this.options.renderer=this.options.renderer||new o,this.renderer=this.options.renderer,this.renderer.options=this.options,this.slugger=new l}function l(){this.seen={}}function u(e,t){if(t){if(u.escapeTest.test(e))return e.replace(u.escapeReplace,(function(e){return u.replacements[e]}))}else if(u.escapeTestNoEncode.test(e))return e.replace(u.escapeReplaceNoEncode,(function(e){return u.replacements[e]}));return e}function h(e){return e.replace(/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/gi,(function(e,t){
return"colon"===(t=t.toLowerCase())?":":"#"===t.charAt(0)?"x"===t.charAt(1)?String.fromCharCode(parseInt(t.substring(2),16)):String.fromCharCode(+t.substring(1)):""}))}function d(e,t){return e=e.source||e,t=t||"",{replace:function(t,i){return i=(i=i.source||i).replace(/(^|[^\[])\^/g,"$1"),e=e.replace(t,i),this},getRegex:function(){return new RegExp(e,t)}}}function p(e,t,i){if(e){try{var n=decodeURIComponent(h(i)).replace(/[^\w:]/g,"").toLowerCase()}catch(e){return null}if(0===n.indexOf("javascript:")||0===n.indexOf("vbscript:")||0===n.indexOf("data:"))return null}t&&!m.test(i)&&(i=function(e,t){f[" "+e]||(/^[^:]+:\/*[^/]*$/.test(e)?f[" "+e]=e+"/":f[" "+e]=y(e,"/",!0));return e=f[" "+e],"//"===t.slice(0,2)?e.replace(/:[\s\S]*/,":")+t:"/"===t.charAt(0)?e.replace(/(:\/*[^/]*)[\s\S]*/,"$1")+t:e+t}(t,i));try{i=encodeURI(i).replace(/%25/g,"%")}catch(e){return null}return i}r._punctuation="!\"#$%&'()*+,\\-./:;<=>?@\\[^_{|}~",r.em=d(r.em).replace(/punctuation/g,r._punctuation).getRegex(),
r._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,r._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,r._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,r.autolink=d(r.autolink).replace("scheme",r._scheme).replace("email",r._email).getRegex(),r._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,r.tag=d(r.tag).replace("comment",i._comment).replace("attribute",r._attribute).getRegex(),r._label=/(?:\[[^\[\]]*\]|\\[\[\]]?|`[^`]*`|`(?!`)|[^\[\]\\`])*?/,r._href=/\s*(<(?:\\[<>]?|[^\s<>\\])*>|[^\s\x00-\x1f]*)/,r._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,r.link=d(r.link).replace("label",r._label).replace("href",r._href).replace("title",r._title).getRegex(),r.reflink=d(r.reflink).replace("label",r._label).getRegex(),r.normal=v({},r),r.pedantic=v({},r.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,
em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/,link:d(/^!?\[(label)\]\((.*?)\)/).replace("label",r._label).getRegex(),reflink:d(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",r._label).getRegex()}),r.gfm=v({},r.normal,{escape:d(r.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^~+(?=\S)([\s\S]*?\S)~+/,text:/^(`+|[^`])(?:[\s\S]*?(?:(?=[\\<!\[`*~]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?= {2,}\n|[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),r.gfm.url=d(r.gfm.url,"i").replace("email",r.gfm._extended_email).getRegex(),r.breaks=v({},r.gfm,{br:d(r.br).replace("{2,}","*").getRegex(),text:d(r.gfm.text).replace(/\{2,\}/g,"*").getRegex()}),s.rules=r,s.output=function(e,t,i){
return new s(t,i).output(e)},s.prototype.output=function(e){for(var t,i,n,r,o,a,c="";e;)if(o=this.rules.escape.exec(e))e=e.substring(o[0].length),c+=u(o[1]);else if(o=this.rules.tag.exec(e))!this.inLink&&/^<a /i.test(o[0])?this.inLink=!0:this.inLink&&/^<\/a>/i.test(o[0])&&(this.inLink=!1),!this.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(o[0])?this.inRawBlock=!0:this.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(o[0])&&(this.inRawBlock=!1),e=e.substring(o[0].length),c+=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(o[0]):u(o[0]):o[0];else if(o=this.rules.link.exec(e)){var l=w(o[2],"()");if(l>-1){var h=o[0].length-(o[2].length-l)-(o[3]||"").length;o[2]=o[2].substring(0,l),o[0]=o[0].substring(0,h).trim(),o[3]=""}e=e.substring(o[0].length),this.inLink=!0,n=o[2],this.options.pedantic?(t=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(n))?(n=t[1],r=t[3]):r="":r=o[3]?o[3].slice(1,-1):"",n=n.trim().replace(/^<([\s\S]*)>$/,"$1"),c+=this.outputLink(o,{href:s.escapes(n),title:s.escapes(r)}),
this.inLink=!1}else if((o=this.rules.reflink.exec(e))||(o=this.rules.nolink.exec(e))){if(e=e.substring(o[0].length),t=(o[2]||o[1]).replace(/\s+/g," "),!(t=this.links[t.toLowerCase()])||!t.href){c+=o[0].charAt(0),e=o[0].substring(1)+e;continue}this.inLink=!0,c+=this.outputLink(o,t),this.inLink=!1}else if(o=this.rules.strong.exec(e))e=e.substring(o[0].length),c+=this.renderer.strong(this.output(o[4]||o[3]||o[2]||o[1]));else if(o=this.rules.em.exec(e))e=e.substring(o[0].length),c+=this.renderer.em(this.output(o[6]||o[5]||o[4]||o[3]||o[2]||o[1]));else if(o=this.rules.code.exec(e))e=e.substring(o[0].length),c+=this.renderer.codespan(u(o[2].trim(),!0));else if(o=this.rules.br.exec(e))e=e.substring(o[0].length),c+=this.renderer.br();else if(o=this.rules.del.exec(e))e=e.substring(o[0].length),c+=this.renderer.del(this.output(o[1]));else if(o=this.rules.autolink.exec(e))e=e.substring(o[0].length),n="@"===o[2]?"mailto:"+(i=u(this.mangle(o[1]))):i=u(o[1]),
c+=this.renderer.link(n,null,i);else if(this.inLink||!(o=this.rules.url.exec(e))){if(o=this.rules.text.exec(e))e=e.substring(o[0].length),this.inRawBlock?c+=this.renderer.text(o[0]):c+=this.renderer.text(u(this.smartypants(o[0])));else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0))}else{if("@"===o[2])n="mailto:"+(i=u(o[0]));else{do{a=o[0],o[0]=this.rules._backpedal.exec(o[0])[0]}while(a!==o[0]);i=u(o[0]),n="www."===o[1]?"http://"+i:i}e=e.substring(o[0].length),c+=this.renderer.link(n,null,i)}return c},s.escapes=function(e){return e?e.replace(s.rules._escapes,"$1"):e},s.prototype.outputLink=function(e,t){var i=t.href,n=t.title?u(t.title):null;return"!"!==e[0].charAt(0)?this.renderer.link(i,n,this.output(e[1])):this.renderer.image(i,n,u(e[1]))},s.prototype.smartypants=function(e){
return this.options.smartypants?e.replace(/---/g,"—").replace(/--/g,"–").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1‘").replace(/'/g,"’").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1“").replace(/"/g,"”").replace(/\.{3}/g,"…"):e},s.prototype.mangle=function(e){if(!this.options.mangle)return e;for(var t,i="",n=e.length,r=0;r<n;r++)t=e.charCodeAt(r),Math.random()>.5&&(t="x"+t.toString(16)),i+="&#"+t+";";return i},o.prototype.code=function(e,t,i){var n=(t||"").match(/\S*/)[0];if(this.options.highlight){var r=this.options.highlight(e,n);null!=r&&r!==e&&(i=!0,e=r)}return n?'<pre><code class="'+this.options.langPrefix+u(n,!0)+'">'+(i?e:u(e,!0))+"</code></pre>\n":"<pre><code>"+(i?e:u(e,!0))+"</code></pre>"},o.prototype.blockquote=function(e){return"<blockquote>\n"+e+"</blockquote>\n"},o.prototype.html=function(e){return e},o.prototype.heading=function(e,t,i,n){return this.options.headerIds?"<h"+t+' id="'+this.options.headerPrefix+n.slug(i)+'">'+e+"</h"+t+">\n":"<h"+t+">"+e+"</h"+t+">\n"},o.prototype.hr=function(){
return this.options.xhtml?"<hr/>\n":"<hr>\n"},o.prototype.list=function(e,t,i){var n=t?"ol":"ul";return"<"+n+(t&&1!==i?' start="'+i+'"':"")+">\n"+e+"</"+n+">\n"},o.prototype.listitem=function(e){return"<li>"+e+"</li>\n"},o.prototype.checkbox=function(e){return"<input "+(e?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},o.prototype.paragraph=function(e){return"<p>"+e+"</p>\n"},o.prototype.table=function(e,t){return t&&(t="<tbody>"+t+"</tbody>"),"<table>\n<thead>\n"+e+"</thead>\n"+t+"</table>\n"},o.prototype.tablerow=function(e){return"<tr>\n"+e+"</tr>\n"},o.prototype.tablecell=function(e,t){var i=t.header?"th":"td";return(t.align?"<"+i+' align="'+t.align+'">':"<"+i+">")+e+"</"+i+">\n"},o.prototype.strong=function(e){return"<strong>"+e+"</strong>"},o.prototype.em=function(e){return"<em>"+e+"</em>"},o.prototype.codespan=function(e){return"<code>"+e+"</code>"},o.prototype.br=function(){return this.options.xhtml?"<br/>":"<br>"},o.prototype.del=function(e){return"<del>"+e+"</del>"
},o.prototype.link=function(e,t,i){if(null===(e=p(this.options.sanitize,this.options.baseUrl,e)))return i;var n='<a href="'+u(e)+'"';return t&&(n+=' title="'+t+'"'),n+=">"+i+"</a>"},o.prototype.image=function(e,t,i){if(null===(e=p(this.options.sanitize,this.options.baseUrl,e)))return i;var n='<img src="'+e+'" alt="'+i+'"';return t&&(n+=' title="'+t+'"'),n+=this.options.xhtml?"/>":">"},o.prototype.text=function(e){return e},a.prototype.strong=a.prototype.em=a.prototype.codespan=a.prototype.del=a.prototype.text=function(e){return e},a.prototype.link=a.prototype.image=function(e,t,i){return""+i},a.prototype.br=function(){return""},c.parse=function(e,t){return new c(t).parse(e)},c.prototype.parse=function(e){this.inline=new s(e.links,this.options),this.inlineText=new s(e.links,v({},this.options,{renderer:new a})),this.tokens=e.reverse();for(var t="";this.next();)t+=this.tok();return t},c.prototype.next=function(){return this.token=this.tokens.pop()},c.prototype.peek=function(){
return this.tokens[this.tokens.length-1]||0},c.prototype.parseText=function(){for(var e=this.token.text;"text"===this.peek().type;)e+="\n"+this.next().text;return this.inline.output(e)},c.prototype.tok=function(){switch(this.token.type){case"space":return"";case"hr":return this.renderer.hr();case"heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,h(this.inlineText.output(this.token.text)),this.slugger);case"code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case"table":var e,t,i,n,r="",s="";for(i="",e=0;e<this.token.header.length;e++)i+=this.renderer.tablecell(this.inline.output(this.token.header[e]),{header:!0,align:this.token.align[e]});for(r+=this.renderer.tablerow(i),e=0;e<this.token.cells.length;e++){for(t=this.token.cells[e],i="",n=0;n<t.length;n++)i+=this.renderer.tablecell(this.inline.output(t[n]),{header:!1,align:this.token.align[n]});s+=this.renderer.tablerow(i)}return this.renderer.table(r,s);case"blockquote_start":
for(s="";"blockquote_end"!==this.next().type;)s+=this.tok();return this.renderer.blockquote(s);case"list_start":s="";for(var o=this.token.ordered,a=this.token.start;"list_end"!==this.next().type;)s+=this.tok();return this.renderer.list(s,o,a);case"list_item_start":s="";var c=this.token.loose,l=this.token.checked,u=this.token.task;for(this.token.task&&(s+=this.renderer.checkbox(l));"list_item_end"!==this.next().type;)s+=c||"text"!==this.token.type?this.tok():this.parseText();return this.renderer.listitem(s,u,l);case"html":return this.renderer.html(this.token.text);case"paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));case"text":return this.renderer.paragraph(this.parseText());default:var d='Token with "'+this.token.type+'" type was not found.';if(!this.options.silent)throw new Error(d);console.log(d)}},l.prototype.slug=function(e){var t=e.toLowerCase().trim().replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")
;if(this.seen.hasOwnProperty(t)){var i=t;do{this.seen[i]++,t=i+"-"+this.seen[i]}while(this.seen.hasOwnProperty(t))}return this.seen[t]=0,t},u.escapeTest=/[&<>"']/,u.escapeReplace=/[&<>"']/g,u.replacements={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},u.escapeTestNoEncode=/[<>"']|&(?!#?\w+;)/,u.escapeReplaceNoEncode=/[<>"']|&(?!#?\w+;)/g;var f={},m=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function g(){}function v(e){for(var t,i,n=1;n<arguments.length;n++)for(i in t=arguments[n])Object.prototype.hasOwnProperty.call(t,i)&&(e[i]=t[i]);return e}function _(e,t){var i=e.replace(/\|/g,(function(e,t,i){for(var n=!1,r=t;--r>=0&&"\\"===i[r];)n=!n;return n?"|":" |"})).split(/ \|/),n=0;if(i.length>t)i.splice(t);else for(;i.length<t;)i.push("");for(;n<i.length;n++)i[n]=i[n].trim().replace(/\\\|/g,"|");return i}function y(e,t,i){if(0===e.length)return"";for(var n=0;n<e.length;){var r=e.charAt(e.length-n-1);if(r!==t||i){if(r===t||!i)break;n++}else n++}return e.substr(0,e.length-n)}function w(e,t){
if(-1===e.indexOf(t[1]))return-1;for(var i=0,n=0;n<e.length;n++)if("\\"===e[n])n++;else if(e[n]===t[0])i++;else if(e[n]===t[1]&&--i<0)return n;return-1}function x(e,t,i){if(null==e)throw new Error("marked(): input parameter is undefined or null");if("string"!=typeof e)throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(e)+", string expected");if(i||"function"==typeof t){i||(i=t,t=null);var r,s,o=(t=v({},x.defaults,t||{})).highlight,a=0;try{r=n.lex(e,t)}catch(e){return i(e)}s=r.length;var l=function(e){if(e)return t.highlight=o,i(e);var n;try{n=c.parse(r,t)}catch(t){e=t}return t.highlight=o,e?i(e):i(null,n)};if(!o||o.length<3)return l();if(delete t.highlight,!s)return l();for(;a<r.length;a++)!function(e){"code"!==e.type?--s||l():o(e.text,e.lang,(function(t,i){return t?l(t):null==i||i===e.text?--s||l():(e.text=i,e.escaped=!0,void(--s||l()))}))}(r[a])}else try{return t&&(t=v({},x.defaults,t)),c.parse(n.lex(e,t),t)}catch(e){
if(e.message+="\nPlease report this to https://github.com/markedjs/marked.",(t||x.defaults).silent)return"<p>An error occurred:</p><pre>"+u(e.message+"",!0)+"</pre>";throw e}}g.exec=g,x.options=x.setOptions=function(e){return v(x.defaults,e),x},x.getDefaults=function(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:new o,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tables:!0,xhtml:!1}},x.defaults=x.getDefaults(),x.Parser=c,x.parser=c.parse,x.Renderer=o,x.TextRenderer=a,x.Lexer=n,x.lexer=n.lex,x.InlineLexer=s,x.inlineLexer=s.output,x.Slugger=l,x.parse=x,e=x}.call(this),define("vs/base/common/marked/marked",(function(){return e})),define(t[115],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.clamp=function(e,t,i){return Math.min(Math.max(e,t),i)},t.rot=function(e,t){return(t+e%t)%t};t.Counter=class{constructor(){this._next=0}getNext(){return this._next++}}})),
define(t[10],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let i=!1,n=!1,r=!1,s=!1,o=!1,a=!1,c=void 0,l="en",u=void 0,h=void 0;const d="undefined"!=typeof process&&void 0!==process.versions&&void 0!==process.versions.electron&&"renderer"===process.type;if("object"!=typeof navigator||d){if("object"==typeof process){i="win32"===process.platform,n="darwin"===process.platform,r="linux"===process.platform,c="en",l="en";const e=process.env.VSCODE_NLS_CONFIG;if(e)try{const t=JSON.parse(e),i=t.availableLanguages["*"];c=t.locale,l=i||"en",u=t._translationsConfigFile}catch(e){}s=!0}}else h=navigator.userAgent,i=h.indexOf("Windows")>=0,n=h.indexOf("Macintosh")>=0,a=h.indexOf("Macintosh")>=0&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,r=h.indexOf("Linux")>=0,o=!0,l=c=navigator.language;!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={})),t.PlatformToString=function(e){switch(e){case 0:return"Web"
;case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}};let p=0;n?p=1:i?p=3:r&&(p=2),t.isWindows=i,t.isMacintosh=n,t.isLinux=r,t.isNative=s,t.isWeb=o,t.isIOS=a,t.platform=p,t.userAgent=h,t.isRootUser=function(){return s&&!i&&0===process.getuid()},t.language=l,function(e){e.value=function(){return t.language},e.isDefaultVariant=function(){return 2===t.language.length?"en"===t.language:t.language.length>=3&&("e"===t.language[0]&&"n"===t.language[1]&&"-"===t.language[2])},e.isDefault=function(){return"en"===t.language}}(t.Language||(t.Language={})),t.locale=c,t.translationsConfigFile=u;const f="object"==typeof self?self:"object"==typeof global?global:{};t.globals=f,t.setImmediate=function(){if(t.globals.setImmediate)return t.globals.setImmediate.bind(t.globals);if("function"==typeof t.globals.postMessage&&!t.globals.importScripts){let e=[];t.globals.addEventListener("message",t=>{if(t.data&&t.data.vscodeSetImmediateId)for(let i=0,n=e.length;i<n;i++){const n=e[i]
;if(n.id===t.data.vscodeSetImmediateId)return e.splice(i,1),void n.callback()}});let i=0;return n=>{const r=++i;e.push({id:r,callback:n}),t.globals.postMessage({vscodeSetImmediateId:r},"*")}}if("undefined"!=typeof process&&"function"==typeof process.nextTick)return process.nextTick.bind(process);const e=Promise.resolve();return t=>e.then(t)}(),function(e){e[e.Windows=1]="Windows",e[e.Macintosh=2]="Macintosh",e[e.Linux=3]="Linux"}(t.OperatingSystem||(t.OperatingSystem={})),t.OS=n?2:i?1:3})),define(t[35],i([0,1,10]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n="undefined"==typeof process?{cwd:()=>"/",env:Object.create(null),get platform(){return i.isWindows?"win32":i.isMacintosh?"darwin":"linux"},nextTick:e=>i.setImmediate(e)}:process;t.cwd=n.cwd,t.env=n.env,t.platform=n.platform,t.nextTick=n.nextTick})),define(t[7],i([0,1,35]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n=65,r=97,s=90,o=122,a=46,c=47,l=92;class u extends Error{
constructor(e,t,i){let n;"string"==typeof t&&0===t.indexOf("not ")?(n="must not be",t=t.replace(/^not /,"")):n="must be";const r=-1!==e.indexOf(".")?"property":"argument";let s=`The "${e}" ${r} ${n} of type ${t}`;super(s+=`. Received type ${typeof i}`),this.code="ERR_INVALID_ARG_TYPE"}}function h(e,t){if("string"!=typeof e)throw new u(t,"string",e)}function d(e){return e===c||e===l}function p(e){return e===c}function f(e){return e>=n&&e<=s||e>=r&&e<=o}function m(e,t,i,n){let r,s="",o=0,l=-1,u=0;for(let h=0;h<=e.length;++h){if(h<e.length)r=e.charCodeAt(h);else{if(n(r))break;r=c}if(n(r)){if(l===h-1||1===u);else if(l!==h-1&&2===u){if(s.length<2||2!==o||s.charCodeAt(s.length-1)!==a||s.charCodeAt(s.length-2)!==a){if(s.length>2){const e=s.lastIndexOf(i);-1===e?(s="",o=0):o=(s=s.slice(0,e)).length-1-s.lastIndexOf(i),l=h,u=0;continue}if(2===s.length||1===s.length){s="",o=0,l=h,u=0;continue}}t&&(s.length>0?s+=`${i}..`:s="..",o=2)}else s.length>0?s+=i+e.slice(l+1,h):s=e.slice(l+1,h),o=h-l-1;l=h,u=0
}else r===a&&-1!==u?++u:u=-1}return s}function g(e,t){const i=t.dir||t.root,n=t.base||(t.name||"")+(t.ext||"");return i?i===t.root?i+n:i+e+n:n}t.win32={resolve(...e){let t="",n="",r=!1;for(let s=e.length-1;s>=-1;s--){let o;if(s>=0?o=e[s]:t?void 0!==(o=i.env["="+t]||i.cwd())&&o.slice(0,3).toLowerCase()===t.toLowerCase()+"\\"||(o=t+"\\"):o=i.cwd(),h(o,"path"),0===o.length)continue;const a=o.length;let c=0,l="",u=!1;const p=o.charCodeAt(0);if(a>1)if(d(p))if(u=!0,d(o.charCodeAt(1))){let e=2,t=e;for(;e<a&&!d(o.charCodeAt(e));++e);if(e<a&&e!==t){const i=o.slice(t,e);for(t=e;e<a&&d(o.charCodeAt(e));++e);if(e<a&&e!==t){for(t=e;e<a&&!d(o.charCodeAt(e));++e);e===a?(l="\\\\"+i+"\\"+o.slice(t),c=e):e!==t&&(l="\\\\"+i+"\\"+o.slice(t,e),c=e)}}}else c=1;else f(p)&&58===o.charCodeAt(1)&&(l=o.slice(0,2),c=2,a>2&&d(o.charCodeAt(2))&&(u=!0,c=3));else d(p)&&(c=1,u=!0);if(!(l.length>0&&t.length>0&&l.toLowerCase()!==t.toLowerCase())&&(0===t.length&&l.length>0&&(t=l),r||(n=o.slice(c)+"\\"+n,r=u),t.length>0&&r))break}
return t+(r?"\\":"")+(n=m(n,!r,"\\",d))||"."},normalize(e){h(e,"path");const t=e.length;if(0===t)return".";let i,n=0,r=!1;const s=e.charCodeAt(0);if(t>1)if(d(s))if(r=!0,d(e.charCodeAt(1))){let r=2,s=r;for(;r<t&&!d(e.charCodeAt(r));++r);if(r<t&&r!==s){const o=e.slice(s,r);for(s=r;r<t&&d(e.charCodeAt(r));++r);if(r<t&&r!==s){for(s=r;r<t&&!d(e.charCodeAt(r));++r);if(r===t)return"\\\\"+o+"\\"+e.slice(s)+"\\";r!==s&&(i="\\\\"+o+"\\"+e.slice(s,r),n=r)}}}else n=1;else f(s)&&58===e.charCodeAt(1)&&(i=e.slice(0,2),n=2,t>2&&d(e.charCodeAt(2))&&(r=!0,n=3));else if(d(s))return"\\";let o;return 0!==(o=n<t?m(e.slice(n),!r,"\\",d):"").length||r||(o="."),o.length>0&&d(e.charCodeAt(t-1))&&(o+="\\"),void 0===i?r?o.length>0?"\\"+o:"\\":o.length>0?o:"":r?o.length>0?i+"\\"+o:i+"\\":o.length>0?i+o:i},isAbsolute(e){h(e,"path");const t=e.length;if(0===t)return!1;const i=e.charCodeAt(0);return!!d(i)||!!(f(i)&&t>2&&58===e.charCodeAt(1)&&d(e.charCodeAt(2)))},join(...e){if(0===e.length)return".";let i,n;for(let t=0;t<e.length;++t){
const r=e[t];h(r,"path"),r.length>0&&(void 0===i?i=n=r:i+="\\"+r)}if(void 0===i)return".";let r=!0,s=0;if("string"==typeof n&&d(n.charCodeAt(0))){++s;const e=n.length;e>1&&d(n.charCodeAt(1))&&(++s,e>2&&(d(n.charCodeAt(2))?++s:r=!1))}if(r){for(;s<i.length&&d(i.charCodeAt(s));++s);s>=2&&(i="\\"+i.slice(s))}return t.win32.normalize(i)},relative(e,i){if(h(e,"from"),h(i,"to"),e===i)return"";const n=t.win32.resolve(e),r=t.win32.resolve(i);if(n===r)return"";if((e=n.toLowerCase())===(i=r.toLowerCase()))return"";let s=0;for(;s<e.length&&e.charCodeAt(s)===l;++s);let o=e.length;for(;o-1>s&&e.charCodeAt(o-1)===l;--o);const a=o-s;let c=0;for(;c<i.length&&i.charCodeAt(c)===l;++c);let u=i.length;for(;u-1>c&&i.charCodeAt(u-1)===l;--u);const d=u-c,p=a<d?a:d;let f=-1,m=0;for(;m<=p;++m){if(m===p){if(d>p){if(i.charCodeAt(c+m)===l)return r.slice(c+m+1);if(2===m)return r.slice(c+m)}a>p&&(e.charCodeAt(s+m)===l?f=m:2===m&&(f=3));break}const t=e.charCodeAt(s+m);if(t!==i.charCodeAt(c+m))break;t===l&&(f=m)}if(m!==p&&-1===f)return r
;let g="";for(-1===f&&(f=0),m=s+f+1;m<=o;++m)m!==o&&e.charCodeAt(m)!==l||(0===g.length?g+="..":g+="\\..");return g.length>0?g+r.slice(c+f,u):(c+=f,r.charCodeAt(c)===l&&++c,r.slice(c,u))},toNamespacedPath(e){if("string"!=typeof e)return e;if(0===e.length)return"";const i=t.win32.resolve(e);if(i.length>=3)if(i.charCodeAt(0)===l){if(i.charCodeAt(1)===l){const e=i.charCodeAt(2);if(63!==e&&e!==a)return"\\\\?\\UNC\\"+i.slice(2)}}else if(f(i.charCodeAt(0))&&58===i.charCodeAt(1)&&i.charCodeAt(2)===l)return"\\\\?\\"+i;return e},dirname(e){h(e,"path");const t=e.length;if(0===t)return".";let i=-1,n=-1,r=!0,s=0;const o=e.charCodeAt(0);if(t>1)if(d(o)){if(i=s=1,d(e.charCodeAt(1))){let n=2,r=n;for(;n<t&&!d(e.charCodeAt(n));++n);if(n<t&&n!==r){for(r=n;n<t&&d(e.charCodeAt(n));++n);if(n<t&&n!==r){for(r=n;n<t&&!d(e.charCodeAt(n));++n);if(n===t)return e;n!==r&&(i=s=n+1)}}}}else f(o)&&58===e.charCodeAt(1)&&(i=s=2,t>2&&d(e.charCodeAt(2))&&(i=s=3));else if(d(o))return e;for(let i=t-1;i>=s;--i)if(d(e.charCodeAt(i))){if(!r){n=i;break
}}else r=!1;if(-1===n){if(-1===i)return".";n=i}return e.slice(0,n)},basename(e,t){void 0!==t&&h(t,"ext"),h(e,"path");let i,n=0,r=-1,s=!0;if(e.length>=2){f(e.charCodeAt(0))&&58===e.charCodeAt(1)&&(n=2)}if(void 0!==t&&t.length>0&&t.length<=e.length){if(t.length===e.length&&t===e)return"";let o=t.length-1,a=-1;for(i=e.length-1;i>=n;--i){const c=e.charCodeAt(i);if(d(c)){if(!s){n=i+1;break}}else-1===a&&(s=!1,a=i+1),o>=0&&(c===t.charCodeAt(o)?-1==--o&&(r=i):(o=-1,r=a))}return n===r?r=a:-1===r&&(r=e.length),e.slice(n,r)}for(i=e.length-1;i>=n;--i)if(d(e.charCodeAt(i))){if(!s){n=i+1;break}}else-1===r&&(s=!1,r=i+1);return-1===r?"":e.slice(n,r)},extname(e){h(e,"path");let t=0,i=-1,n=0,r=-1,s=!0,o=0;e.length>=2&&58===e.charCodeAt(1)&&f(e.charCodeAt(0))&&(t=n=2);for(let c=e.length-1;c>=t;--c){const t=e.charCodeAt(c);if(d(t)){if(!s){n=c+1;break}}else-1===r&&(s=!1,r=c+1),t===a?-1===i?i=c:1!==o&&(o=1):-1!==i&&(o=-1)}return-1===i||-1===r||0===o||1===o&&i===r-1&&i===n+1?"":e.slice(i,r)},format(e){
if(null===e||"object"!=typeof e)throw new u("pathObject","Object",e);return g("\\",e)},parse(e){h(e,"path");const t={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return t;const i=e.length;let n=0,r=e.charCodeAt(0);if(i>1){if(d(r)){if(n=1,d(e.charCodeAt(1))){let t=2,r=t;for(;t<i&&!d(e.charCodeAt(t));++t);if(t<i&&t!==r){for(r=t;t<i&&d(e.charCodeAt(t));++t);if(t<i&&t!==r){for(r=t;t<i&&!d(e.charCodeAt(t));++t);t===i?n=t:t!==r&&(n=t+1)}}}}else if(f(r)&&58===e.charCodeAt(1)){if(n=2,!(i>2))return t.root=t.dir=e,t;if(d(e.charCodeAt(2))){if(3===i)return t.root=t.dir=e,t;n=3}}}else if(d(r))return t.root=t.dir=e,t;n>0&&(t.root=e.slice(0,n));let s=-1,o=n,c=-1,l=!0,u=e.length-1,p=0;for(;u>=n;--u)if(d(r=e.charCodeAt(u))){if(!l){o=u+1;break}}else-1===c&&(l=!1,c=u+1),r===a?-1===s?s=u:1!==p&&(p=1):-1!==s&&(p=-1);return-1===s||-1===c||0===p||1===p&&s===c-1&&s===o+1?-1!==c&&(t.base=t.name=e.slice(o,c)):(t.name=e.slice(o,s),t.base=e.slice(o,c),t.ext=e.slice(s,c)),t.dir=o>0&&o!==n?e.slice(0,o-1):t.root,t},sep:"\\",
delimiter:";",win32:null,posix:null},t.posix={resolve(...e){let t="",n=!1;for(let r=e.length-1;r>=-1&&!n;r--){let s;h(s=r>=0?e[r]:i.cwd(),"path"),0!==s.length&&(t=s+"/"+t,n=s.charCodeAt(0)===c)}return t=m(t,!n,"/",p),n?t.length>0?"/"+t:"/":t.length>0?t:"."},normalize(e){if(h(e,"path"),0===e.length)return".";const t=e.charCodeAt(0)===c,i=e.charCodeAt(e.length-1)===c;return 0!==(e=m(e,!t,"/",p)).length||t||(e="."),e.length>0&&i&&(e+="/"),t?"/"+e:e},isAbsolute:e=>(h(e,"path"),e.length>0&&e.charCodeAt(0)===c),join(...e){if(0===e.length)return".";let i;for(let t=0;t<e.length;++t){const e=arguments[t];h(e,"path"),e.length>0&&(void 0===i?i=e:i+="/"+e)}return void 0===i?".":t.posix.normalize(i)},relative(e,i){if(h(e,"from"),h(i,"to"),e===i)return"";if((e=t.posix.resolve(e))===(i=t.posix.resolve(i)))return"";let n=1;for(;n<e.length&&e.charCodeAt(n)===c;++n);const r=e.length,s=r-n;let o=1;for(;o<i.length&&i.charCodeAt(o)===c;++o);const a=i.length-o,l=s<a?s:a;let u=-1,d=0;for(;d<=l;++d){if(d===l){if(a>l){
if(i.charCodeAt(o+d)===c)return i.slice(o+d+1);if(0===d)return i.slice(o+d)}else s>l&&(e.charCodeAt(n+d)===c?u=d:0===d&&(u=0));break}const t=e.charCodeAt(n+d);if(t!==i.charCodeAt(o+d))break;t===c&&(u=d)}let p="";for(d=n+u+1;d<=r;++d)d!==r&&e.charCodeAt(d)!==c||(0===p.length?p+="..":p+="/..");return p.length>0?p+i.slice(o+u):(o+=u,i.charCodeAt(o)===c&&++o,i.slice(o))},toNamespacedPath:e=>e,dirname(e){if(h(e,"path"),0===e.length)return".";const t=e.charCodeAt(0)===c;let i=-1,n=!0;for(let t=e.length-1;t>=1;--t)if(e.charCodeAt(t)===c){if(!n){i=t;break}}else n=!1;return-1===i?t?"/":".":t&&1===i?"//":e.slice(0,i)},basename(e,t){void 0!==t&&h(t,"ext"),h(e,"path");let i,n=0,r=-1,s=!0;if(void 0!==t&&t.length>0&&t.length<=e.length){if(t.length===e.length&&t===e)return"";let o=t.length-1,a=-1;for(i=e.length-1;i>=0;--i){const l=e.charCodeAt(i);if(l===c){if(!s){n=i+1;break}}else-1===a&&(s=!1,a=i+1),o>=0&&(l===t.charCodeAt(o)?-1==--o&&(r=i):(o=-1,r=a))}return n===r?r=a:-1===r&&(r=e.length),e.slice(n,r)}
for(i=e.length-1;i>=0;--i)if(e.charCodeAt(i)===c){if(!s){n=i+1;break}}else-1===r&&(s=!1,r=i+1);return-1===r?"":e.slice(n,r)},extname(e){h(e,"path");let t=-1,i=0,n=-1,r=!0,s=0;for(let o=e.length-1;o>=0;--o){const l=e.charCodeAt(o);if(l!==c)-1===n&&(r=!1,n=o+1),l===a?-1===t?t=o:1!==s&&(s=1):-1!==t&&(s=-1);else if(!r){i=o+1;break}}return-1===t||-1===n||0===s||1===s&&t===n-1&&t===i+1?"":e.slice(t,n)},format(e){if(null===e||"object"!=typeof e)throw new u("pathObject","Object",e);return g("/",e)},parse(e){h(e,"path");const t={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return t;const i=e.charCodeAt(0)===c;let n;i?(t.root="/",n=1):n=0;let r=-1,s=0,o=-1,l=!0,u=e.length-1,d=0;for(;u>=n;--u){const t=e.charCodeAt(u);if(t!==c)-1===o&&(l=!1,o=u+1),t===a?-1===r?r=u:1!==d&&(d=1):-1!==r&&(d=-1);else if(!l){s=u+1;break}}return-1===r||-1===o||0===d||1===d&&r===o-1&&r===s+1?-1!==o&&(t.base=t.name=0===s&&i?e.slice(1,o):e.slice(s,o)):(0===s&&i?(t.name=e.slice(1,r),t.base=e.slice(1,o)):(t.name=e.slice(s,r),
t.base=e.slice(s,o)),t.ext=e.slice(r,o)),s>0?t.dir=e.slice(0,s-1):i&&(t.dir="/"),t},sep:"/",delimiter:":",win32:null,posix:null},t.posix.win32=t.win32.win32=t.win32,t.posix.posix=t.win32.posix=t.posix,t.normalize="win32"===i.platform?t.win32.normalize:t.posix.normalize,t.isAbsolute="win32"===i.platform?t.win32.isAbsolute:t.posix.isAbsolute,t.join="win32"===i.platform?t.win32.join:t.posix.join,t.resolve="win32"===i.platform?t.win32.resolve:t.posix.resolve,t.relative="win32"===i.platform?t.win32.relative:t.posix.relative,t.dirname="win32"===i.platform?t.win32.dirname:t.posix.dirname,t.basename="win32"===i.platform?t.win32.basename:t.posix.basename,t.extname="win32"===i.platform?t.win32.extname:t.posix.extname,t.format="win32"===i.platform?t.win32.format:t.posix.format,t.parse="win32"===i.platform?t.win32.parse:t.posix.parse,t.toNamespacedPath="win32"===i.platform?t.win32.toNamespacedPath:t.posix.toNamespacedPath,t.sep="win32"===i.platform?t.win32.sep:t.posix.sep,
t.delimiter="win32"===i.platform?t.win32.delimiter:t.posix.delimiter})),define(t[116],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.stdout=0]="stdout",e[e.stderr=1]="stderr"}(t.Source||(t.Source={})),function(e){e[e.Success=0]="Success",e[e.Unknown=1]="Unknown",e[e.AccessDenied=2]="AccessDenied",e[e.ProcessNotFound=3]="ProcessNotFound"}(t.TerminateResponseCode||(t.TerminateResponseCode={})),t.sanitizeProcessEnvironment=function(e,...t){const i=t.reduce((e,t)=>(e[t]=!0,e),{}),n=[/^ELECTRON_.+$/,/^GOOGLE_API_KEY$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/];Object.keys(e).filter(e=>!i[e]).forEach(t=>{for(let i=0;i<n.length;i++)if(-1!==t.search(n[i])){delete e[t];break}})}})),define(t[58],i([0,1,10]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n=i.globals.performance&&"function"==typeof i.globals.performance.now;class r{constructor(e){this._highResolution=n&&e,this._startTime=this._now(),this._stopTime=-1}static create(e=!0){
return new r(e)}stop(){this._stopTime=this._now()}elapsed(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?i.globals.performance.now():(new Date).getTime()}}t.StopWatch=r})),define(t[117],i([0,1]),(function(e,t){"use strict";function i(e){return new n(e)}Object.defineProperty(t,"__esModule",{value:!0}),t.isReadableStream=function(e){const t=e;return t&&[t.on,t.pause,t.resume,t.destroy].every(e=>"function"==typeof e)},t.newWriteableStream=i;class n{constructor(e){this.reducer=e,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]}}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(e){this.state.destroyed||(this.state.flowing?this.listeners.data.forEach(t=>t(e)):this.buffer.data.push(e))}error(e){
this.state.destroyed||(this.state.flowing?this.listeners.error.forEach(t=>t(e)):this.buffer.error.push(e))}end(e){this.state.destroyed||(e instanceof Error?this.error(e):e&&this.write(e),this.state.flowing?(this.listeners.end.forEach(e=>e()),this.destroy()):this.state.ended=!0)}on(e,t){if(!this.state.destroyed)switch(e){case"data":this.listeners.data.push(t),this.resume();break;case"end":this.listeners.end.push(t),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(t),this.state.flowing&&this.flowErrors()}}flowData(){if(this.buffer.data.length>0){const e=this.reducer(this.buffer.data);this.listeners.data.forEach(t=>t(e)),this.buffer.data.length=0}}flowErrors(){if(this.listeners.error.length>0){for(const e of this.buffer.error)this.listeners.error.forEach(t=>t(e));this.buffer.error.length=0}}flowEnd(){return!!this.state.ended&&(this.listeners.end.forEach(e=>e()),this.listeners.end.length>0)}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,
this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0)}}t.consumeReadable=function(e,t){const i=[];let n;for(;null!==(n=e.read());)i.push(n);return t(i)},t.consumeReadableWithLimit=function(e,t,i){const n=[];let r=void 0;for(;null!==(r=e.read())&&n.length<i;)n.push(r);return null===r&&n.length>0?t(n):{read:()=>{if(n.length>0)return n.shift();if(void 0!==r){const e=r;return r=void 0,e}return e.read()}}},t.consumeStream=function(e,t){return new Promise((i,n)=>{const r=[];e.on("data",e=>r.push(e)),e.on("error",e=>n(e)),e.on("end",()=>i(t(r)))})},t.consumeStreamWithLimit=function(e,t,n){return new Promise((r,s)=>{const o=[];let a=void 0;e.on("data",e=>{if(!a&&o.length===n){for(a=i(t);o.length;)a.write(o.shift());return a.write(e),r(a)}a?a.write(e):o.push(e)}),e.on("error",e=>{if(!a)return s(e);a.error(e)}),e.on("end",()=>{if(!a)return r(t(o));for(;o.length;)a.write(o.shift());a.end()})})},t.toStream=function(e,t){const n=i(t)
;return n.end(e),n},t.toReadable=function(e){let t=!1;return{read:()=>t?null:(t=!0,e)}},t.transform=function(e,t,n){const r=i(n);return e.on("data",e=>r.write(t.data(e))),e.on("end",()=>r.end()),e.on("error",e=>r.error(t.error?t.error(e):e)),r}})),define(t[8],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isFalsyOrWhitespace=function(e){return!e||"string"!=typeof e||0===e.trim().length},t.pad=function(e,t,i="0"){const n=""+e,r=[n];for(let e=n.length;e<t;e++)r.push(i);return r.reverse().join("")};const i=/{(\d+)}/g;function n(e){return e.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}function r(e,t){if(!e||!t)return e;const i=t.length;if(0===i||0===e.length)return e;let n=0;for(;e.indexOf(t,n)===n;)n+=i;return e.substring(n)}function s(e,t){if(!e||!t)return e;const i=t.length,n=e.length;if(0===i||0===n)return e;let r=n,s=-1;for(;-1!==(s=e.lastIndexOf(t,r-1))&&s+i===r;){if(0===s)return"";r=s}return e.substring(0,r)}function o(e,t){return e<t?-1:e>t?1:0}function a(e){
return e>=97&&e<=122}function c(e){return e>=65&&e<=90}function l(e){return a(e)||c(e)}function u(e,t,i=e.length){for(let n=0;n<i;n++){const i=e.charCodeAt(n),r=t.charCodeAt(n);if(i!==r)if(l(i)&&l(r)){const e=Math.abs(i-r);if(0!==e&&32!==e)return!1}else if(String.fromCharCode(i).toLowerCase()!==String.fromCharCode(r).toLowerCase())return!1}return!0}function h(e,t,i,n,r,s){for(;t<i&&r<s;){if(e[t]!==n[r])return!1;t+=1,r+=1}return!0}function d(e){return 55296<=e&&e<=56319}function p(e){return 56320<=e&&e<=57343}function f(e,t,i){const n=e.charCodeAt(i);if(d(n)&&i+1<t){const t=e.charCodeAt(i+1);if(p(t))return t-56320+(n-55296<<10)+65536}return n}function m(e,t){const i=e.charCodeAt(t-1);if(p(i)&&t>1){const n=e.charCodeAt(t-2);if(d(n))return i-56320+(n-55296<<10)+65536}return i}function g(e,t){const i=P.getInstance(),n=e.length,r=t,s=f(e,n,t),o=i.getGraphemeBreakType(s);t+=s>=65536?2:1;let a=o;for(;t<n;){const r=f(e,n,t),s=i.getGraphemeBreakType(r);if(C(a,s))break;t+=r>=65536?2:1,a=s}const c=t;for(t=r,a=o;t>0;){
const n=m(e,t),r=i.getGraphemeBreakType(n);if(C(r,a))break;t-=n>=65536?2:1,a=r}return[t,c]}t.format=function(e,...t){return 0===t.length?e:e.replace(i,(function(e,i){const n=parseInt(i,10);return isNaN(n)||n<0||n>=t.length?e:t[n]}))},t.escape=function(e){return e.replace(/[<>&]/g,(function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}}))},t.escapeRegExpCharacters=n,t.trim=function(e,t=" "){return s(r(e,t),t)},t.ltrim=r,t.rtrim=s,t.convertSimple2RegExpPattern=function(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")},t.stripWildcards=function(e){return e.replace(/\*/g,"")},t.startsWith=function(e,t){if(e.length<t.length)return!1;if(e===t)return!0;for(let i=0;i<t.length;i++)if(e[i]!==t[i])return!1;return!0},t.endsWith=function(e,t){const i=e.length-t.length;return i>0?e.indexOf(t,i)===i:0===i&&e===t},t.createRegExp=function(e,t,i={}){if(!e)throw new Error("Cannot create regex from empty string");t||(e=n(e)),
i.wholeWord&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));let r="";return i.global&&(r+="g"),i.matchCase||(r+="i"),i.multiline&&(r+="m"),i.unicode&&(r+="u"),new RegExp(e,r)},t.regExpLeadsToEndlessLoop=function(e){return"^"!==e.source&&"^$"!==e.source&&"$"!==e.source&&"^\\s*$"!==e.source&&!(!e.exec("")||0!==e.lastIndex)},t.regExpContainsBackreference=function(e){return!!e.match(/([^\\]|^)(\\\\)*\\\d+/)},t.regExpFlags=function(e){return(e.global?"g":"")+(e.ignoreCase?"i":"")+(e.multiline?"m":"")+(e.unicode?"u":"")},t.firstNonWhitespaceIndex=function(e){for(let t=0,i=e.length;t<i;t++){const i=e.charCodeAt(t);if(32!==i&&9!==i)return t}return-1},t.getLeadingWhitespace=function(e,t=0,i=e.length){for(let n=t;n<i;n++){const i=e.charCodeAt(n);if(32!==i&&9!==i)return e.substring(t,n)}return e.substring(t,i)},t.lastNonWhitespaceIndex=function(e,t=e.length-1){for(let i=t;i>=0;i--){const t=e.charCodeAt(i);if(32!==t&&9!==t)return i}return-1},t.compare=o,
t.compareIgnoreCase=function(e,t){const i=Math.min(e.length,t.length);for(let n=0;n<i;n++){let i=e.charCodeAt(n),r=t.charCodeAt(n);if(i===r)continue;c(i)&&(i+=32),c(r)&&(r+=32);const s=i-r;if(0!==s)return a(i)&&a(r)?s:o(e.toLowerCase(),t.toLowerCase())}return e.length<t.length?-1:e.length>t.length?1:0},t.isLowerAsciiLetter=a,t.isUpperAsciiLetter=c,t.equalsIgnoreCase=function(e,t){return e.length===t.length&&u(e,t)},t.startsWithIgnoreCase=function(e,t){const i=t.length;return!(t.length>e.length)&&u(e,t,i)},t.commonPrefixLength=function(e,t){let i,n=Math.min(e.length,t.length);for(i=0;i<n;i++)if(e.charCodeAt(i)!==t.charCodeAt(i))return i;return n},t.commonSuffixLength=function(e,t){let i,n=Math.min(e.length,t.length);const r=e.length-1,s=t.length-1;for(i=0;i<n;i++)if(e.charCodeAt(r-i)!==t.charCodeAt(s-i))return i;return n},t.overlap=function(e,t){const i=e.length;let n=t.length,r=i-n;if(0===r)return e===t?i:0;for(r<0&&(n+=r,r=0);r<i&&n>0;){if(h(e,r,i,t,0,n))return n;n-=1,r+=1}return 0},t.isHighSurrogate=d,
t.isLowSurrogate=p,t.getNextCodePoint=f,t.nextCharLength=function(e,t){const i=P.getInstance(),n=t,r=e.length,s=f(e,r,t);t+=s>=65536?2:1;let o=i.getGraphemeBreakType(s);for(;t<r;){const n=f(e,r,t),s=i.getGraphemeBreakType(n);if(C(o,s))break;t+=n>=65536?2:1,o=s}return t-n},t.prevCharLength=function(e,t){const i=P.getInstance(),n=t,r=m(e,t);t-=r>=65536?2:1;let s=i.getGraphemeBreakType(r);for(;t>0;){const n=m(e,t),r=i.getGraphemeBreakType(n);if(C(r,s))break;t-=n>=65536?2:1,s=r}return n-t},t.getCharContainingOffset=function(e,t){return t>0&&p(e.charCodeAt(t))?g(e,t-1):g(e,t)},t.encodeUTF8=function(e){const t=e.length;let i=0,n=0;for(;n<t;){const r=f(e,t,n);n+=r>=65536?2:1,i+=r<128?1:r<2048?2:r<65536?3:4}const r=new Uint8Array(i);n=0;let s=0;for(;n<t;){const i=f(e,t,n);n+=i>=65536?2:1,i<128?r[s++]=i:i<2048?(r[s++]=192|(1984&i)>>>6,r[s++]=128|(63&i)>>>0):i<65536?(r[s++]=224|(61440&i)>>>12,r[s++]=128|(4032&i)>>>6,r[s++]=128|(63&i)>>>0):(r[s++]=240|(1835008&i)>>>18,r[s++]=128|(258048&i)>>>12,r[s++]=128|(4032&i)>>>6,
r[s++]=128|(63&i)>>>0)}return r},t.decodeUTF8=function(e){const t=e.byteLength,i=[];let n=0;for(;n<t;){const r=e[n];let s;if((s=r>=240&&n+3<t?(7&e[n++])<<18>>>0|(63&e[n++])<<12>>>0|(63&e[n++])<<6>>>0|(63&e[n++])<<0>>>0:r>=224&&n+2<t?(15&e[n++])<<12>>>0|(63&e[n++])<<6>>>0|(63&e[n++])<<0>>>0:r>=192&&n+1<t?(31&e[n++])<<6>>>0|(63&e[n++])<<0>>>0:e[n++])>=0&&s<=55295||s>=57344&&s<=65535)i.push(String.fromCharCode(s));else if(s>=65536&&s<=1114111){const e=s-65536,t=55296+((1047552&e)>>>10),n=56320+((1023&e)>>>0);i.push(String.fromCharCode(t)),i.push(String.fromCharCode(n))}else i.push(String.fromCharCode(65533))}return i.join("")}
;const v=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;t.containsRTL=function(e){return v.test(e)};const _=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDE73\uDE78-\uDE82\uDE90-\uDE95])/;t.containsEmoji=function(e){return _.test(e)};const y=/^[\t\n\r\x20-\x7E]*$/;function w(e){return(e=+e)>=11904&&e<=55215||e>=63744&&e<=64255||e>=65281&&e<=65374}t.isBasicASCII=function(e){return y.test(e)},t.containsFullWidthCharacter=function(e){
for(let t=0,i=e.length;t<i;t++)if(w(e.charCodeAt(t)))return!0;return!1},t.isFullWidthCharacter=w,t.isEmojiImprecise=function(e){return e>=127462&&e<=127487||e>=9728&&e<=10175||e>=127744&&e<=128591||e>=128640&&e<=128764||e>=128992&&e<=129003||e>=129280&&e<=129535||e>=129648&&e<=129651||e>=129656&&e<=129666||e>=129680&&e<=129685},t.lcut=function(e,t){if(e.length<t)return e;const i=/\b/g;let n=0;for(;i.test(e)&&!(e.length-i.lastIndex<t);)n=i.lastIndex,i.lastIndex+=1;return e.substring(n).replace(/^\s/,"")};const x=/\x1B\x5B[12]?K/g,b=/\x1b\[\d+m/g,E=/\x1b\[0?m/g;function S(e){return!!(e&&e.length>0&&65279===e.charCodeAt(0))}function C(e,t){return 0===e?5!==t&&7!==t:(2!==e||3!==t)&&(4===e||2===e||3===e||(4===t||2===t||3===t||(8!==e||8!==t&&9!==t&&11!==t&&12!==t)&&((11!==e&&9!==e||9!==t&&10!==t)&&((12!==e&&10!==e||10!==t)&&(5!==t&&13!==t&&(7!==t&&(1!==e&&((13!==e||14!==t)&&(6!==e||6!==t)))))))))}t.removeAnsiEscapeCodes=function(e){return e&&(e=(e=(e=e.replace(x,"")).replace(b,"")).replace(E,"")),e},
t.removeAccents=function(){if("function"!=typeof String.prototype.normalize)return function(e){return e};{const e=/[\u0300-\u036f]/g;return function(t){return t.normalize("NFD").replace(e,"")}}}(),t.UTF8_BOM_CHARACTER=String.fromCharCode(65279),t.startsWithUTF8BOM=S,t.stripUTF8BOM=function(e){return S(e)?e.substr(1):e},t.safeBtoa=function(e){return btoa(encodeURIComponent(e))},t.repeat=function(e,t){let i="";for(let n=0;n<t;n++)i+=e;return i},t.fuzzyContains=function(e,t){if(!e||!t)return!1;if(e.length<t.length)return!1;const i=t.length,n=e.toLowerCase();let r=0,s=-1;for(;r<i;){const e=n.indexOf(t[r],s+1);if(e<0)return!1;s=e,r++}return!0},t.containsUppercaseCharacter=function(e,t=!1){return!!e&&(t&&(e=e.replace(/\\./g,"")),e.toLowerCase()!==e)},t.uppercaseFirstLetter=function(e){return e.charAt(0).toUpperCase()+e.slice(1)},t.getNLines=function(e,t=1){if(0===t)return"";let i=-1;do{i=e.indexOf("\n",i+1),t--}while(t>0&&i>=0);return i>=0?e.substr(0,i):e},t.singleLetterHash=function(e){
return(e%=52)<26?String.fromCharCode(97+e):String.fromCharCode(65+e-26)},t.getGraphemeBreakType=function(e){return P.getInstance().getGraphemeBreakType(e)},t.breakBetweenGraphemeBreakType=C,function(e){e[e.Other=0]="Other",e[e.Prepend=1]="Prepend",e[e.CR=2]="CR",e[e.LF=3]="LF",e[e.Control=4]="Control",e[e.Extend=5]="Extend",e[e.Regional_Indicator=6]="Regional_Indicator",e[e.SpacingMark=7]="SpacingMark",e[e.L=8]="L",e[e.V=9]="V",e[e.T=10]="T",e[e.LV=11]="LV",e[e.LVT=12]="LVT",e[e.ZWJ=13]="ZWJ",e[e.Extended_Pictographic=14]="Extended_Pictographic"}(t.GraphemeBreakType||(t.GraphemeBreakType={}));class P{constructor(){
this._data=JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")
}static getInstance(){return P._INSTANCE||(P._INSTANCE=new P),P._INSTANCE}getGraphemeBreakType(e){if(e<32)return 10===e?3:13===e?2:4;if(e<127)return 0;const t=this._data,i=t.length/3;let n=1;for(;n<=i;)if(e<t[3*n])n*=2;else{if(!(e>t[3*n+1]))return t[3*n+2];n=2*n+1}return 0}}P._INSTANCE=null})),define(t[27],i([0,1,8,117]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const r="undefined"!=typeof Buffer,s="undefined"!=typeof TextEncoder,o="undefined"!=typeof TextDecoder;let a,c;class l{constructor(e){this.buffer=e,this.byteLength=this.buffer.byteLength}static alloc(e){return new l(r?Buffer.allocUnsafe(e):new Uint8Array(e))}static wrap(e){return r&&!Buffer.isBuffer(e)&&(e=Buffer.from(e.buffer,e.byteOffset,e.byteLength)),new l(e)}static fromString(e){return r?new l(Buffer.from(e)):s?(a||(a=new TextEncoder),new l(a.encode(e))):new l(i.encodeUTF8(e))}static concat(e,t){if(void 0===t){t=0;for(let i=0,n=e.length;i<n;i++)t+=e[i].byteLength}const i=l.alloc(t);let n=0
;for(let t=0,r=e.length;t<r;t++){const r=e[t];i.set(r,n),n+=r.byteLength}return i}toString(){return r?this.buffer.toString():o?(c||(c=new TextDecoder),c.decode(this.buffer)):i.decodeUTF8(this.buffer)}slice(e,t){return new l(this.buffer.subarray(e,t))}set(e,t){this.buffer.set(e.buffer,t)}readUInt32BE(e){return u(this.buffer,e)}writeUInt32BE(e,t){h(this.buffer,e,t)}readUInt8(e){return function(e,t){return e[t]}(this.buffer,e)}writeUInt8(e,t){!function(e,t,i){e[i]=t}(this.buffer,e,t)}}function u(e,t){return e[t]*2**24+65536*e[t+1]+256*e[t+2]+e[t+3]}function h(e,t,i){e[i+3]=t,t>>>=8,e[i+2]=t,t>>>=8,e[i+1]=t,t>>>=8,e[i]=t}t.VSBuffer=l,t.readUInt32BE=u,t.writeUInt32BE=h,t.readableToBuffer=function(e){return n.consumeReadable(e,e=>l.concat(e))},t.bufferToReadable=function(e){return n.toReadable(e)},t.streamToBuffer=function(e){return n.consumeStream(e,e=>l.concat(e))},t.bufferToStream=function(e){return n.toStream(e,e=>l.concat(e))},t.streamToBufferReadableStream=function(e){return n.transform(e,{
data:e=>"string"==typeof e?l.fromString(e):l.wrap(e)},e=>l.concat(e))},t.newWriteableBufferStream=function(){return n.newWriteableStream(e=>l.concat(e))}})),define(t[79],i([0,1,8,7,14]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const s=new r.IdleValue(()=>{const e=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:e,collatorIsNumeric:e.resolvedOptions().numeric}});function o(e,t,i=!1){const n=e||"",r=t||"",o=s.getValue().collator.compare(n,r);return s.getValue().collatorIsNumeric&&0===o&&n!==r?n<r?-1:1:o}t.compareFileNames=o;const a=/^(.*?)(\.([^.]*))?$/;function c(e){const t=e?a.exec(e):[];return[t&&t[1]||"",t&&t[3]||""]}function l(e,t,i=!1){return i||(e=e&&e.toLowerCase(),t=t&&t.toLowerCase()),e===t?0:e<t?-1:1}function u(e,t,n){const r=e.toLowerCase(),s=t.toLowerCase(),o=i.startsWith(r,n),a=i.startsWith(s,n);if(o!==a)return o?-1:1;if(o&&a){if(r.length<s.length)return-1;if(r.length>s.length)return 1}return 0}
t.noIntlCompareFileNames=function(e,t,i=!1){i||(e=e&&e.toLowerCase(),t=t&&t.toLowerCase());const[n,r]=c(e),[s,o]=c(t);return n!==s?n<s?-1:1:r===o?0:r<o?-1:1},t.compareFileExtensions=function(e,t){const[i,n]=c(e),[r,o]=c(t);let a=s.getValue().collator.compare(n,o);if(0===a){if(s.getValue().collatorIsNumeric&&n!==o)return n<o?-1:1;if(a=s.getValue().collator.compare(i,r),s.getValue().collatorIsNumeric&&0===a&&i!==r)return i<r?-1:1}return a},t.comparePaths=function(e,t,i=!1){const r=e.split(n.sep),s=t.split(n.sep),a=r.length-1,c=s.length-1;let u,h;for(let e=0;;e++){if(h=c===e,(u=a===e)&&h)return o(r[e],s[e],i);if(u)return-1;if(h)return 1;const t=l(r[e],s[e],i);if(0!==t)return t}},t.compareAnything=function(e,t,n){const r=e.toLowerCase(),s=t.toLowerCase(),a=u(e,t,n);if(a)return a;const c=i.endsWith(r,n);if(c!==i.endsWith(s,n))return c?-1:1;const l=o(r,s);return 0!==l?l:r.localeCompare(s)},t.compareByPrefix=u})),define(t[32],i([0,1,10,8,7]),(function(e,t,i,n,r){"use strict";function s(e){return 47===e||92===e}
Object.defineProperty(t,"__esModule",{value:!0}),t.isPathSeparator=s,t.toSlashes=function(e){return e.replace(/[\\/]/g,r.posix.sep)},t.getRoot=function(e,t=r.posix.sep){if(!e)return"";const i=e.length,n=e.charCodeAt(0);if(s(n)){if(s(e.charCodeAt(1))&&!s(e.charCodeAt(2))){let n=3;const r=n;for(;n<i&&!s(e.charCodeAt(n));n++);if(r!==n&&!s(e.charCodeAt(n+1)))for(n+=1;n<i;n++)if(s(e.charCodeAt(n)))return e.slice(0,n+1).replace(/[\\/]/g,t)}return t}if(l(n)&&58===e.charCodeAt(1))return s(e.charCodeAt(2))?e.slice(0,2)+t:e.slice(0,2);let o=e.indexOf("://");if(-1!==o)for(o+=3;o<i;o++)if(s(e.charCodeAt(o)))return e.slice(0,o+1);return""},t.isUNC=function(e){if(!i.isWindows)return!1;if(!e||e.length<5)return!1;let t=e.charCodeAt(0);if(92!==t)return!1;if(92!==(t=e.charCodeAt(1)))return!1;let n=2;const r=n;for(;n<e.length&&92!==(t=e.charCodeAt(n));n++);return r!==n&&(t=e.charCodeAt(n+1),!isNaN(t)&&92!==t)};const o=/[\\/:\*\?"<>\|]/g,a=/[\\/]/g,c=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])$/i;function l(e){
return e>=65&&e<=90||e>=97&&e<=122}t.isValidBasename=function(e,t=i.isWindows){const n=t?o:a;return!(!e||0===e.length||/^\s+$/.test(e))&&(n.lastIndex=0,!n.test(e)&&((!t||!c.test(e))&&("."!==e&&".."!==e&&((!t||"."!==e[e.length-1])&&((!t||e.length===e.trim().length)&&!(e.length>255))))))},t.isEqual=function(e,t,i){const r=e===t;return!i||r?r:!(!e||!t)&&n.equalsIgnoreCase(e,t)},t.isEqualOrParent=function(e,t,i,s=r.sep){if(e===t)return!0;if(!e||!t)return!1;if(t.length>e.length)return!1;if(i){if(!n.startsWithIgnoreCase(e,t))return!1;if(t.length===e.length)return!0;let i=t.length;return t.charAt(t.length-1)===s&&i--,e.charAt(i)===s}return t.charAt(t.length-1)!==s&&(t+=s),0===e.indexOf(t)},t.isWindowsDriveLetter=l,t.sanitizeFilePath=function(e,t){return i.isWindows&&n.endsWith(e,":")&&(e+=r.sep),r.isAbsolute(e)||(e=r.join(t,e)),e=r.normalize(e),i.isWindows?(e=n.rtrim(e,r.sep),n.endsWith(e,":")&&(e+=r.sep)):(e=n.rtrim(e,r.sep))||(e=r.sep),e},t.isRootOrDriveLetter=function(e){const t=r.normalize(e)
;return i.isWindows?!(e.length>3)&&(l(t.charCodeAt(0))&&58===t.charCodeAt(1)&&(2===e.length||92===t.charCodeAt(2))):t===r.posix.sep},t.indexOfPath=function(e,t,i){return t.length>e.length?-1:e===t?0:(i&&(e=e.toLowerCase(),t=t.toLowerCase()),e.indexOf(t))}})),define(t[13],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const i={number:"number",string:"string",undefined:"undefined",object:"object",function:"function"};function n(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==i.number||e.constructor!==Array)}function r(e){return typeof e===i.string||e instanceof String}function s(e){return!(typeof e!==i.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function o(e){return typeof e===i.undefined}function a(e){return o(e)||null===e}t.isArray=n,t.isString=r,t.isStringArray=function(e){return n(e)&&e.every(e=>r(e))},t.isObject=s,t.isNumber=function(e){return(typeof e===i.number||e instanceof Number)&&!isNaN(e)},
t.isBoolean=function(e){return!0===e||!1===e},t.isUndefined=o,t.isUndefinedOrNull=a,t.assertType=function(e,t){if(!e)throw new Error(t?`Unexpected type, expected '${t}'`:"Unexpected type")},t.assertIsDefined=function(e){if(a(e))throw new Error("Assertion Failed: argument is undefined or null");return e},t.assertAllDefined=function(...e){const t=[];for(let i=0;i<e.length;i++){const n=e[i];if(a(n))throw new Error(`Assertion Failed: argument at index ${i} is undefined or null`);t.push(n)}return t};const c=Object.prototype.hasOwnProperty;function l(e){return typeof e===i.function}function u(e,t){if(r(t)){if(typeof e!==t)throw new Error(`argument does not match constraint: typeof ${t}`)}else if(l(t)){try{if(e instanceof t)return}catch(e){}if(!a(e)&&e.constructor===t)return;if(1===t.length&&!0===t.call(void 0,e))return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function h(e){
let t=[],i=Object.getPrototypeOf(e);for(;Object.prototype!==i;)t=t.concat(Object.getOwnPropertyNames(i)),i=Object.getPrototypeOf(i);return t}t.isEmptyObject=function(e){if(!s(e))return!1;for(let t in e)if(c.call(e,t))return!1;return!0},t.isFunction=l,t.areFunctions=function(...e){return e.length>0&&e.every(l)},t.validateConstraints=function(e,t){const i=Math.min(e.length,t.length);for(let n=0;n<i;n++)u(e[n],t[n])},t.validateConstraint=u,t.getAllPropertyNames=h,t.getAllMethodNames=function(e){const t=[];for(const i of h(e))"function"==typeof e[i]&&t.push(i);return t},t.createProxyObject=function(e,t){const i=e=>(function(){const i=Array.prototype.slice.call(arguments,0);return t(e,i)});let n={};for(const t of e)n[t]=i(t);return n},t.withNullAsUndefined=function(e){return null===e?void 0:e},t.withUndefinedAsNull=function(e){return void 0===e?null:e}})),define(t[18],i([0,1,13]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.deepClone=function e(t){
if(!t||"object"!=typeof t)return t;if(t instanceof RegExp)return t;const i=Array.isArray(t)?[]:{};return Object.keys(t).forEach(n=>{t[n]&&"object"==typeof t[n]?i[n]=e(t[n]):i[n]=t[n]}),i},t.deepFreeze=function(e){if(!e||"object"!=typeof e)return e;const t=[e];for(;t.length>0;){const e=t.shift();Object.freeze(e);for(const i in e)if(n.call(e,i)){const n=e[i];"object"!=typeof n||Object.isFrozen(n)||t.push(n)}}return e};const n=Object.prototype.hasOwnProperty;function r(e,t){if(e===t)return!0;if(null==e||null==t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;let i,n;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(i=0;i<e.length;i++)if(!r(e[i],t[i]))return!1}else{const s=[];for(n in e)s.push(n);s.sort();const o=[];for(n in t)o.push(n);if(o.sort(),!r(s,o))return!1;for(i=0;i<s.length;i++)if(!r(e[s[i]],t[s[i]]))return!1}return!0}t.cloneAndChange=function(e,t){return function e(t,r,s){if(i.isUndefinedOrNull(t))return t;const o=r(t)
;if(void 0!==o)return o;if(i.isArray(t)){const i=[];for(const n of t)i.push(e(n,r,s));return i}if(i.isObject(t)){if(s.has(t))throw new Error("Cannot clone recursive data-structure");s.add(t);const i={};for(let o in t)n.call(t,o)&&(i[o]=e(t[o],r,s));return s.delete(t),i}return t}(e,t,new Set)},t.mixin=function e(t,n,r=!0){return i.isObject(t)?(i.isObject(n)&&Object.keys(n).forEach(s=>{s in t?r&&(i.isObject(t[s])&&i.isObject(n[s])?e(t[s],n[s],r):t[s]=n[s]):t[s]=n[s]}),t):n},t.assign=function(e,...t){return t.forEach(t=>Object.keys(t).forEach(i=>e[i]=t[i])),e},t.equals=r,t.safeStringify=function(e){const t=[];return JSON.stringify(e,(e,n)=>{if(i.isObject(n)||Array.isArray(n)){if(-1!==t.indexOf(n))return"[Circular]";t.push(n)}return n})},t.getOrDefault=function(e,t,i){const n=t(e);return void 0===n?i:n},t.distinct=function(e,t){const i=Object.create(null);return e&&t?(Object.keys(t).forEach(n=>{const s=e[n],o=t[n];r(s,o)||(i[n]=o)}),i):i}})),define(t[80],i([0,1]),(function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",e[e.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",e[e.MAX_UINT_8=255]="MAX_UINT_8",e[e.MAX_UINT_16=65535]="MAX_UINT_16",e[e.MAX_UINT_32=4294967295]="MAX_UINT_32",e[e.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"}(t.Constants||(t.Constants={})),t.toUint8=function(e){return e<0?0:e>255?255:0|e},t.toUint32=function(e){return e<0?0:e>4294967295?4294967295:0|e}})),define(t[2],i([0,1,10]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n=/^\w[\w\d+.-]*$/,r=/^\//,s=/^\/\//;const o="",a="/",c=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class l{constructor(e,t,i,c,l,u=!1){"object"==typeof e?(this.scheme=e.scheme||o,this.authority=e.authority||o,this.path=e.path||o,this.query=e.query||o,this.fragment=e.fragment||o):(this.scheme=function(e,t){return e||t?e:"file"}(e,u),this.authority=t||o,
this.path=function(e,t){switch(e){case"https":case"http":case"file":t?t[0]!==a&&(t=a+t):t=a}return t}(this.scheme,i||o),this.query=c||o,this.fragment=l||o,function(e,t){if(!e.scheme&&t)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${e.authority}", path: "${e.path}", query: "${e.query}", fragment: "${e.fragment}"}`);if(e.scheme&&!n.test(e.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(e.path)if(e.authority){if(!r.test(e.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(s.test(e.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}(this,u))}static isUri(e){
return e instanceof l||!!e&&("string"==typeof e.authority&&"string"==typeof e.fragment&&"string"==typeof e.path&&"string"==typeof e.query&&"string"==typeof e.scheme&&"function"==typeof e.fsPath&&"function"==typeof e.with&&"function"==typeof e.toString)}get fsPath(){return m(this)}with(e){if(!e)return this;let{scheme:t,authority:i,path:n,query:r,fragment:s}=e;return void 0===t?t=this.scheme:null===t&&(t=o),void 0===i?i=this.authority:null===i&&(i=o),void 0===n?n=this.path:null===n&&(n=o),void 0===r?r=this.query:null===r&&(r=o),void 0===s?s=this.fragment:null===s&&(s=o),t===this.scheme&&i===this.authority&&n===this.path&&r===this.query&&s===this.fragment?this:new h(t,i,n,r,s)}static parse(e,t=!1){const i=c.exec(e);return i?new h(i[2]||o,_(i[4]||o),_(i[5]||o),_(i[7]||o),_(i[9]||o),t):new h(o,o,o,o,o)}static file(e){let t=o;if(i.isWindows&&(e=e.replace(/\\/g,a)),e[0]===a&&e[1]===a){const i=e.indexOf(a,2);-1===i?(t=e.substring(2),e=a):(t=e.substring(2,i),e=e.substring(i)||a)}return new h("file",t,e,o,o)}
static from(e){return new h(e.scheme,e.authority,e.path,e.query,e.fragment)}toString(e=!1){return g(this,e)}toJSON(){return this}static revive(e){if(e){if(e instanceof l)return e;{const t=new h(e);return t._formatted=e.external,t._fsPath=e._sep===u?e.fsPath:null,t}}return e}}t.URI=l;const u=i.isWindows?1:void 0;class h extends l{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=m(this)),this._fsPath}toString(e=!1){return e?g(this,!0):(this._formatted||(this._formatted=g(this,!1)),this._formatted)}toJSON(){const e={$mid:1};return this._fsPath&&(e.fsPath=this._fsPath,e._sep=u),this._formatted&&(e.external=this._formatted),this.path&&(e.path=this.path),this.scheme&&(e.scheme=this.scheme),this.authority&&(e.authority=this.authority),this.query&&(e.query=this.query),this.fragment&&(e.fragment=this.fragment),e}}const d={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",
43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function p(e,t){let i=void 0,n=-1;for(let r=0;r<e.length;r++){const s=e.charCodeAt(r);if(s>=97&&s<=122||s>=65&&s<=90||s>=48&&s<=57||45===s||46===s||95===s||126===s||t&&47===s)-1!==n&&(i+=encodeURIComponent(e.substring(n,r)),n=-1),void 0!==i&&(i+=e.charAt(r));else{void 0===i&&(i=e.substr(0,r));const t=d[s];void 0!==t?(-1!==n&&(i+=encodeURIComponent(e.substring(n,r)),n=-1),i+=t):-1===n&&(n=r)}}return-1!==n&&(i+=encodeURIComponent(e.substring(n))),void 0!==i?i:e}function f(e){let t=void 0;for(let i=0;i<e.length;i++){const n=e.charCodeAt(i);35===n||63===n?(void 0===t&&(t=e.substr(0,i)),t+=d[n]):void 0!==t&&(t+=e[i])}return void 0!==t?t:e}function m(e){let t;return t=e.authority&&e.path.length>1&&"file"===e.scheme?`//${e.authority}${e.path}`:47===e.path.charCodeAt(0)&&(e.path.charCodeAt(1)>=65&&e.path.charCodeAt(1)<=90||e.path.charCodeAt(1)>=97&&e.path.charCodeAt(1)<=122)&&58===e.path.charCodeAt(2)?e.path[1].toLowerCase()+e.path.substr(2):e.path,
i.isWindows&&(t=t.replace(/\//g,"\\")),t}function g(e,t){const i=t?f:p;let n="",{scheme:r,authority:s,path:o,query:c,fragment:l}=e;if(r&&(n+=r,n+=":"),(s||"file"===r)&&(n+=a,n+=a),s){let e=s.indexOf("@");if(-1!==e){const t=s.substr(0,e);s=s.substr(e+1),-1===(e=t.indexOf(":"))?n+=i(t,!1):(n+=i(t.substr(0,e),!1),n+=":",n+=i(t.substr(e+1),!1)),n+="@"}-1===(e=(s=s.toLowerCase()).indexOf(":"))?n+=i(s,!1):(n+=i(s.substr(0,e),!1),n+=s.substr(e))}if(o){if(o.length>=3&&47===o.charCodeAt(0)&&58===o.charCodeAt(2)){const e=o.charCodeAt(1);e>=65&&e<=90&&(o=`/${String.fromCharCode(e+32)}:${o.substr(3)}`)}else if(o.length>=2&&58===o.charCodeAt(1)){const e=o.charCodeAt(0);e>=65&&e<=90&&(o=`${String.fromCharCode(e+32)}:${o.substr(2)}`)}n+=i(o,!0)}return c&&(n+="?",n+=i(c,!1)),l&&(n+="#",n+=t?l:p(l,!1)),n}const v=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function _(e){return e.match(v)?e.replace(v,e=>(function e(t){try{return decodeURIComponent(t)}catch(i){return t.length>3?t.substr(0,3)+e(t.substr(3)):t}})(e)):e}})),
define(t[59],i([0,1,2]),(function(e,t,i){"use strict";function n(e,t){return i.URI.parse(e.toUrl(t))}Object.defineProperty(t,"__esModule",{value:!0}),t.getPathFromAmdModule=function(e,t){return n(e,t).fsPath},t.getUriFromAmdModule=n,t.registerAndGetAmdImageURL=function(t){return e.toUrl(t)}})),define(t[24],i([0,1,2,78]),(function(e,t,i,n){"use strict";function r(e){const t=[];return e.forEach(e=>t.push(e)),t}function s(e){const t=[];return e.forEach((e,i)=>t.push(i)),t}Object.defineProperty(t,"__esModule",{value:!0}),t.values=r,t.keys=s,t.getOrSet=function(e,t,i){let n=e.get(t);return void 0===n&&(n=i,e.set(t,n)),n},t.mapToString=function(e){const t=[];return e.forEach((e,i)=>{t.push(`${i} => ${e}`)}),`Map(${e.size}) {${t.join(", ")}}`},t.setToString=function(e){const t=[];return e.forEach(e=>{t.push(e)}),`Set(${e.size}) {${t.join(", ")}}`},t.mapToSerializable=function(e){const t=[];return e.forEach((e,i)=>{t.push([i,e])}),t},t.serializableToMap=function(e){const t=new Map;for(const[i,n]of e)t.set(i,n)
;return t};class o{constructor(){this._value="",this._pos=0}reset(e){return this._value=e,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(e){return e.charCodeAt(0)-this._value.charCodeAt(this._pos)}value(){return this._value[this._pos]}}t.StringIterator=o;class a{constructor(e=!0){this._splitOnBackslash=e}reset(e){return this._value=e.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let e=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(47===t||this._splitOnBackslash&&92===t){if(!e)break;this._from++}else e=!1}return this}cmp(e){let t=0;const i=e.length;let n=this._from;for(;t<i&&n<this._to;){const i=e.charCodeAt(t)-this._value.charCodeAt(n);if(0!==i)return i;t+=1,n+=1}return i===this._to-this._from?0:t<i?-1:1}value(){return this._value.substring(this._from,this._to)}}t.PathIterator=a;class c{isEmpty(){
return!(this.left||this.mid||this.right||this.value)}}class l{constructor(e){this._iter=e}static forPaths(){return new l(new a)}static forStrings(){return new l(new o)}clear(){this._root=void 0}set(e,t){const i=this._iter.reset(e);let n;for(this._root||(this._root=new c,this._root.segment=i.value()),n=this._root;;){const e=i.cmp(n.segment);if(e>0)n.left||(n.left=new c,n.left.segment=i.value()),n=n.left;else if(e<0)n.right||(n.right=new c,n.right.segment=i.value()),n=n.right;else{if(!i.hasNext())break;i.next(),n.mid||(n.mid=new c,n.mid.segment=i.value()),n=n.mid}}const r=n.value;return n.value=t,n.key=e,r}get(e){const t=this._iter.reset(e);let i=this._root;for(;i;){const e=t.cmp(i.segment);if(e>0)i=i.left;else if(e<0)i=i.right;else{if(!t.hasNext())break;t.next(),i=i.mid}}return i?i.value:void 0}delete(e){const t=this._iter.reset(e),i=[];let n=this._root;for(;n;){const e=t.cmp(n.segment);if(e>0)i.push([1,n]),n=n.left;else if(e<0)i.push([-1,n]),n=n.right;else{if(!t.hasNext()){
for(n.value=void 0;i.length>0&&n.isEmpty();){let[e,t]=i.pop();switch(e){case 1:t.left=void 0;break;case 0:t.mid=void 0;break;case-1:t.right=void 0}n=t}break}t.next(),i.push([0,n]),n=n.mid}}}findSubstr(e){const t=this._iter.reset(e);let i=this._root,n=void 0;for(;i;){const e=t.cmp(i.segment);if(e>0)i=i.left;else if(e<0)i=i.right;else{if(!t.hasNext())break;t.next(),n=i.value||n,i=i.mid}}return i&&i.value||n}findSuperstr(e){const t=this._iter.reset(e);let i=this._root;for(;i;){const e=t.cmp(i.segment);if(e>0)i=i.left;else if(e<0)i=i.right;else{if(!t.hasNext())return i.mid?this._nodeIterator(i.mid):void 0;t.next(),i=i.mid}}}_nodeIterator(e){let t,i,r;return{next:()=>(r||(r=[],i=0,this._forEach(e,e=>r.push(e))),i>=r.length?n.FIN:(t?t.value=r[i++]:t={done:!1,value:r[i++]},t))}}forEach(e){this._forEach(this._root,e)}_forEach(e,t){e&&(this._forEach(e.left,t),e.value&&t(e.value,e.key),this._forEach(e.mid,t),this._forEach(e.right,t))}}t.TernarySearchTree=l;class u{constructor(){this.map=new Map,this.ignoreCase=!1}
set(e,t){this.map.set(this.toKey(e),t)}get(e){return this.map.get(this.toKey(e))}has(e){return this.map.has(this.toKey(e))}get size(){return this.map.size}clear(){this.map.clear()}delete(e){return this.map.delete(this.toKey(e))}forEach(e){this.map.forEach((t,n)=>e(t,i.URI.parse(n)))}values(){return r(this.map)}toKey(e){let t=e.toString();return this.ignoreCase&&(t=t.toLowerCase()),t}keys(){return s(this.map).map(e=>i.URI.parse(e))}clone(){const e=new u;return this.map.forEach((t,i)=>e.map.set(i,t)),e}}t.ResourceMap=u,function(e){e[e.None=0]="None",e[e.AsOld=1]="AsOld",e[e.AsNew=2]="AsNew"}(t.Touch||(t.Touch={}));class h{constructor(){this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var e;return null===(e=this._head)||void 0===e?void 0:e.value}get last(){var e;return null===(e=this._tail)||void 0===e?void 0:e.value}has(e){
return this._map.has(e)}get(e,t=0){const i=this._map.get(e);if(i)return 0!==t&&this.touch(i,t),i.value}set(e,t,i=0){let n=this._map.get(e);if(n)n.value=t,0!==i&&this.touch(n,i);else{switch(n={key:e,value:t,next:void 0,previous:void 0},i){case 0:this.addItemLast(n);break;case 1:this.addItemFirst(n);break;case 2:default:this.addItemLast(n)}this._map.set(e,n),this._size++}}delete(e){return!!this.remove(e)}remove(e){const t=this._map.get(e);if(t)return this._map.delete(e),this.removeItem(t),this._size--,t.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const e=this._head;return this._map.delete(e.key),this.removeItem(e),this._size--,e.value}forEach(e,t){let i=this._head;for(;i;)t?e.bind(t)(i.value,i.key,this):e(i.value,i.key,this),i=i.next}values(){const e=[];let t=this._head;for(;t;)e.push(t.value),t=t.next;return e}keys(){const e=[];let t=this._head;for(;t;)e.push(t.key),t=t.next;return e}trimOld(e){if(e>=this.size)return
;if(0===e)return void this.clear();let t=this._head,i=this.size;for(;t&&i>e;)this._map.delete(t.key),t=t.next,i--;this._head=t,this._size=i,t&&(t.previous=void 0)}addItemFirst(e){if(this._head||this._tail){if(!this._head)throw new Error("Invalid list");e.next=this._head,this._head.previous=e}else this._tail=e;this._head=e}addItemLast(e){if(this._head||this._tail){if(!this._tail)throw new Error("Invalid list");e.previous=this._tail,this._tail.next=e}else this._head=e;this._tail=e}removeItem(e){if(e===this._head&&e===this._tail)this._head=void 0,this._tail=void 0;else if(e===this._head){if(!e.next)throw new Error("Invalid list");e.next.previous=void 0,this._head=e.next}else if(e===this._tail){if(!e.previous)throw new Error("Invalid list");e.previous.next=void 0,this._tail=e.previous}else{const t=e.next,i=e.previous;if(!t||!i)throw new Error("Invalid list");t.previous=i,i.next=t}e.next=void 0,e.previous=void 0}touch(e,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(1===t||2===t)if(1===t){
if(e===this._head)return;const t=e.next,i=e.previous;e===this._tail?(i.next=void 0,this._tail=i):(t.previous=i,i.next=t),e.previous=void 0,e.next=this._head,this._head.previous=e,this._head=e}else if(2===t){if(e===this._tail)return;const t=e.next,i=e.previous;e===this._head?(t.previous=void 0,this._head=t):(t.previous=i,i.next=t),e.next=void 0,e.previous=this._tail,this._tail.next=e,this._tail=e}}toJSON(){const e=[];return this.forEach((t,i)=>{e.push([i,t])}),e}fromJSON(e){this.clear();for(const[t,i]of e)this.set(t,i)}}t.LinkedMap=h;t.LRUCache=class extends h{constructor(e,t=1){super(),this._limit=e,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(e){this._limit=e,this.checkTrim()}get ratio(){return this._ratio}set ratio(e){this._ratio=Math.min(Math.max(0,e),1),this.checkTrim()}get(e){return super.get(e,2)}peek(e){return super.get(e,0)}set(e,t){super.set(e,t,2),this.checkTrim()}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}})),
define(t[118],i([0,1,24,8]),(function(e,t,i,n){"use strict";function r(...e){return function(t,i){for(let n=0,r=e.length;n<r;n++){const r=e[n](t,i);if(r)return r}return null}}function s(e,t,i){if(!i||i.length<t.length)return null;let r;return(r=e?n.startsWithIgnoreCase(i,t):0===i.indexOf(t))?t.length>0?[{start:0,end:t.length}]:[]:null}function o(e,t){const i=t.toLowerCase().indexOf(e.toLowerCase());return-1===i?null:[{start:i,end:i+e.length}]}function a(e,t){return function e(t,i,n,r){if(n===t.length)return[];if(r===i.length)return null;if(t[n]===i[r]){let s=null;return(s=e(t,i,n+1,r+1))?m({start:r,end:r+1},s):null}return e(t,i,n,r+1)}(e.toLowerCase(),t.toLowerCase(),0,0)}function c(e){return 97<=e&&e<=122}function l(e){return 65<=e&&e<=90}function u(e){return 48<=e&&e<=57}function h(e){return 32===e||9===e||10===e||13===e}Object.defineProperty(t,"__esModule",{value:!0}),t.or=r,t.matchesStrictPrefix=s.bind(void 0,!1),t.matchesPrefix=s.bind(void 0,!0),t.matchesContiguousSubString=o,t.matchesSubString=a,
t.isUpper=l;const d=new Set;function p(e){return h(e)||d.has(e)}function f(e){return c(e)||l(e)||u(e)}function m(e,t){return 0===t.length?t=[e]:e.end===t[0].start?t[0].start=e.start:t.unshift(e),t}function g(e,t){for(let i=t;i<e.length;i++){const t=e.charCodeAt(i);if(l(t)||u(t)||i>0&&!f(e.charCodeAt(i-1)))return i}return e.length}function v(e,t,i,n){if(i===e.length)return[];if(n===t.length)return null;if(e[i]!==t[n].toLowerCase())return null;{let r=null,s=n+1;for(r=v(e,t,i+1,n+1);!r&&(s=g(t,s))<t.length;)r=v(e,t,i+1,s),s++;return null===r?null:m({start:n,end:n+1},r)}}function _(e,t){if(!t)return null;if(0===(t=t.trim()).length)return null;if(!function(e){let t=0,i=0,n=0,r=0;for(let s=0;s<e.length;s++)l(n=e.charCodeAt(s))&&t++,c(n)&&i++,h(n)&&r++;return 0!==t&&0!==i||0!==r?t<=5:e.length<=30}(e))return null;if(t.length>60)return null;const i=function(e){let t=0,i=0,n=0,r=0,s=0;for(let o=0;o<e.length;o++)l(s=e.charCodeAt(o))&&t++,c(s)&&i++,f(s)&&n++,u(s)&&r++;return{upperPercent:t/e.length,
lowerPercent:i/e.length,alphaPercent:n/e.length,numericPercent:r/e.length}}(t);if(!function(e){const{upperPercent:t,lowerPercent:i,alphaPercent:n,numericPercent:r}=e;return i>.2&&t<.8&&n>.6&&r<.2}(i)){if(!function(e){const{upperPercent:t,lowerPercent:i}=e;return 0===i&&t>.6}(i))return null;t=t.toLowerCase()}let n=null,r=0;for(e=e.toLowerCase();r<t.length&&null===(n=v(e,t,0,r));)r=g(t,r+1);return n}function y(e,t,i,n,r){if(i===e.length)return[];if(n===t.length)return null;if(s=e.charCodeAt(i),o=t.charCodeAt(n),s===o||p(s)&&p(o)){let s=null,o=n+1;if(s=y(e,t,i+1,n+1,r),!r)for(;!s&&(o=w(t,o))<t.length;)s=y(e,t,i+1,o,r),o++;return null===s?null:m({start:n,end:n+1},s)}return null;var s,o}function w(e,t){for(let i=t;i<e.length;i++)if(p(e.charCodeAt(i))||i>0&&p(e.charCodeAt(i-1)))return i;return e.length}"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(e=>d.add(e.charCodeAt(0))),t.matchesCamelCase=_,t.matchesWords=function(e,t,i=!1){if(!t||0===t.length)return null;let n=null,r=0;for(e=e.toLowerCase(),
t=t.toLowerCase();r<t.length&&null===(n=y(e,t,0,r,i));)r=w(t,r+1);return n};const x=r(t.matchesPrefix,_,o),b=r(t.matchesPrefix,_,a),E=new i.LRUCache(1e4);function S(e){if(void 0===e)return[];const t=e[1].toString(2),i=[];for(let n=e[2];n<C;n++)if("1"===t[t.length-(n+1)]){const e=i[i.length-1];e&&e.end===n?e.end=n+1:i.push({start:n,end:n+1})}return i}t.matchesFuzzy=function(e,t,i=!1){if("string"!=typeof e||"string"!=typeof t)return null;let r=E.get(e);r||(r=new RegExp(n.convertSimple2RegExpPattern(e),"i"),E.set(e,r));const s=r.exec(t);return s?[{start:s.index,end:s.index+s[0].length}]:i?b(e,t):x(e,t)},t.matchesFuzzy2=function(e,t){const i=N(e,e.toLowerCase(),0,t,t.toLowerCase(),0,!0);return i?S(i):null},t.anyScore=function(e,t,i,n,r,s){const o=N(e,t,0,n,r,0,!0);if(o)return o;let a=0,c=0,l=s;for(let e=0;e<t.length&&e<C;++e){const i=r.indexOf(t.charAt(e),l);if(i>=0)c+=1,a+=2**i,l=i+1;else if(0!==a)break}return[c,a,s]},t.createMatches=S;const C=128;function P(){const e=[],t=[0];for(let e=1;e<=C;e++)t.push(-e)
;for(let i=0;i<=C;i++){const n=t.slice(0);n[0]=-i,e.push(n)}return e}const D=P(),T=P(),I=P(),k=!1;function R(e,t,i,n,r){function s(e,t,i=" "){for(;e.length<t;)e=i+e;return e}let o=` |   |${n.split("").map(e=>s(e,3)).join("|")}\n`;for(let n=0;n<=i;n++)o+=0===n?" |":`${t[n-1]}|`,o+=e[n].slice(0,r+1).map(e=>s(e.toString(),3)).join("|")+"\n";return o}function A(e,t){if(t<0||t>=e.length)return!1;switch(e.charCodeAt(t)){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:return!0;default:return!1}}function O(e,t,i){return t[e]!==i[e]}function L(e,t,i,n,r,s){for(;t<i&&r<s;)e[t]===n[r]&&(t+=1),r+=1;return t===i}var M;function N(e,t,i,n,r,s,o){const a=e.length>C?C:e.length,c=n.length>C?C:n.length;if(i>=a||s>=c||a-i>c-s)return;if(!L(t,i,a,r,s,c))return;let l=1,u=1,h=i,d=s;for(l=1,h=i;h<a;l++,h++)for(u=1,d=s;d<c;u++,d++){const s=F(e,t,h,i,n,r,d);T[l][u]=s;const o=D[l-1][u-1]+(s>1?1:s),a=D[l-1][u]+-1,c=D[l][u-1]+-1;c>=a?c>o?(D[l][u]=c,I[l][u]=4):c===o?(D[l][u]=c,I[l][u]=6):(D[l][u]=o,
I[l][u]=2):a>o?(D[l][u]=a,I[l][u]=1):a===o?(D[l][u]=a,I[l][u]=3):(D[l][u]=o,I[l][u]=2)}return k&&function(e,t,i,n){e=e.substr(t),i=i.substr(n),console.log(R(D,e,e.length,i,i.length)),console.log(R(I,e,e.length,i,i.length)),console.log(R(T,e,e.length,i,i.length))}(e,i,n,s),H=0,$=-100,W=s,z=o,function e(t,i,n,r,s){if(H>=10||n<-25)return;let o=0;for(;t>0&&i>0;){const a=T[t][i],c=I[t][i];if(4===c)i-=1,s?n-=5:0!==r&&(n-=1),s=!1,o=0;else{if(!(2&c))return;if(4&c&&e(t,i-1,0!==r?n-1:n,r,s),n+=a,t-=1,s=!0,r+=2**((i-=1)+W),1===a){if(o+=1,0===t&&!z)return}else n+=1+o*(a-1),o=0}}n-=i>=3?9:3*i;H+=1;n>$&&($=n,U=r)}(l-1,u-1,a===c?1:0,0,!1),0!==H?[$,U,s]:void 0}function F(e,t,i,n,r,s,o){return t[i]!==s[o]?-1:o===i-n?e[i]===r[o]?7:5:!O(o,r,s)||0!==o&&O(o-1,r,s)?!A(s,o)||0!==o&&A(s,o-1)?A(s,o-1)||function(e,t){if(t<0||t>=e.length)return!1;switch(e.charCodeAt(t)){case 32:case 9:return!0;default:return!1}}(s,o-1)?5:1:5:e[i]===r[o]?7:5}t.isPatternInWord=L,function(e){e[e.Top=1]="Top",e[e.Diag=2]="Diag",e[e.Left=4]="Left"
}(M||(M={})),function(e){e.Default=Object.freeze([-100,0,0]),e.isDefault=function(e){return!e||-100===e[0]&&0===e[1]&&0===e[2]}}(t.FuzzyScore||(t.FuzzyScore={})),t.fuzzyScore=N;let H=0,U=0,$=0,W=0,z=!1;function B(e,t,i,n,r,s,o,a){let c=N(e,t,i,n,r,s,a);if(c&&!o)return c;if(e.length>=3){const t=Math.min(7,e.length-1);for(let o=i+1;o<t;o++){const t=j(e,o);if(t){const e=N(t,t.toLowerCase(),i,n,r,s,a);e&&(e[0]-=3,(!c||e[0]>c[0])&&(c=e))}}}return c}function j(e,t){if(t+1>=e.length)return;const i=e[t],n=e[t+1];return i!==n?e.slice(0,t)+n+i+e.slice(t+2):void 0}t.fuzzyScoreGracefulAggressive=function(e,t,i,n,r,s,o){return B(e,t,i,n,r,s,!0,o)},t.fuzzyScoreGraceful=function(e,t,i,n,r,s,o){return B(e,t,i,n,r,s,!1,o)}})),define(t[33],i([0,1,12,8,32,7,24,14]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getEmptyExpression=function(){return Object.create(null)};const c="**",l="/",u="[/\\\\]",h="[^/\\\\]",d=/\//g;function p(e){switch(e){case 0:return"";case 1:return`${h}*?`
;default:return`(?:${u}|${h}+${u}|${u}${h}+)*?`}}function f(e,t){if(!e)return[];const i=[];let n=!1,r=!1,s="";for(const o of e){switch(o){case t:if(!n&&!r){i.push(s),s="";continue}break;case"{":n=!0;break;case"}":n=!1;break;case"[":r=!0;break;case"]":r=!1}s+=o}return s&&i.push(s),i}t.splitGlobAware=f;const m=/^\*\*\/\*\.[\w\.-]+$/,g=/^\*\*\/([\w\.-]+)\/?$/,v=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,_=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,y=/^\*\*((\/[\w\.-]+)+)\/?$/,w=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,x=new o.LRUCache(1e4),b=function(){return!1},E=function(){return null};function S(e,t){if(!e)return E;let r;const s=`${r=(r="string"!=typeof e?e.pattern:e).trim()}_${!!t.trimForExclusions}`;let o,a=x.get(s);if(a)return C(a,e);if(m.test(r)){const e=r.substr(4);a=function(t,i){return"string"==typeof t&&n.endsWith(t,e)?r:null}}else a=(o=g.exec(P(r,t)))?function(e,t){const i=`/${e}`,r=`\\${e}`,s=function(s,o){
return"string"!=typeof s?null:o?o===e?t:null:s===e||n.endsWith(s,i)||n.endsWith(s,r)?t:null},o=[e];return s.basenames=o,s.patterns=[t],s.allBasenames=o,s}(o[1],r):(t.trimForExclusions?_:v).test(r)?function(e,t){const n=R(e.slice(1,-1).split(",").map(e=>S(e,t)).filter(e=>e!==E),e),r=n.length;if(!r)return E;if(1===r)return n[0];const s=function(t,i){for(let r=0,s=n.length;r<s;r++)if(n[r](t,i))return e;return null},o=i.first(n,e=>!!e.allBasenames);o&&(s.allBasenames=o.allBasenames);const a=n.reduce((e,t)=>t.allPaths?e.concat(t.allPaths):e,[]);a.length&&(s.allPaths=a);return s}(r,t):(o=y.exec(P(r,t)))?D(o[1].substr(1),r,!0):(o=w.exec(P(r,t)))?D(o[1],r,!1):function(e){try{const t=new RegExp(`^${function e(t){if(!t)return"";let i="";const r=f(t,l);if(r.every(e=>e===c))i=".*";else{let t=!1;r.forEach((s,o)=>{if(s===c)return void(t||(i+=p(2),t=!0));let a=!1,d="",m=!1,g="";for(const t of s)if("}"!==t&&a)d+=t;else if(!m||"]"===t&&g)switch(t){case"{":a=!0;continue;case"[":m=!0;continue;case"}":
const r=`(?:${f(d,",").map(t=>e(t)).join("|")})`;i+=r,a=!1,d="";break;case"]":i+="["+g+"]",m=!1,g="";break;case"?":i+=h;continue;case"*":i+=p(1);continue;default:i+=n.escapeRegExpCharacters(t)}else{let e;g+=e="-"===t?t:"^"!==t&&"!"!==t||g?t===l?"":n.escapeRegExpCharacters(t):"^"}o<r.length-1&&(r[o+1]!==c||o+2<r.length)&&(i+=u),t=!1})}return i}(e)}$`);return function(i){return t.lastIndex=0,"string"==typeof i&&t.test(i)?e:null}}catch(e){return E}}(r);return x.set(s,a),C(a,e)}function C(e,t){return"string"==typeof t?e:function(i,n){return r.isEqualOrParent(i,t.base)?e(s.relative(t.base,i),n):null}}function P(e,t){return t.trimForExclusions&&n.endsWith(e,"/**")?e.substr(0,e.length-2):e}function D(e,t,i){const r=s.sep!==s.posix.sep?e.replace(d,s.sep):e,o=s.sep+r,a=i?function(e,i){return"string"!=typeof e||e!==r&&!n.endsWith(e,o)?null:t}:function(e,i){return"string"==typeof e&&e===r?t:null};return a.allPaths=[(i?"*/":"./")+e],a}function T(e,t={}){if(!e)return b;if("string"==typeof e||k(e)){const i=S(e,t)
;if(i===E)return b;const n=function(e,t){return!!i(e,t)};return i.allBasenames&&(n.allBasenames=i.allBasenames),i.allPaths&&(n.allPaths=i.allPaths),n}return function(e,t){const n=R(Object.getOwnPropertyNames(e).map(i=>(function(e,t,i){if(!1===t)return E;const n=S(e,i);if(n===E)return E;if("boolean"==typeof t)return n;if(t){const i=t.when;if("string"==typeof i){const t=(t,r,s,o)=>{if(!o||!n(t,r))return null;const c=o(i.replace("$(basename)",s));return a.isThenable(c)?c.then(t=>t?e:null):c?e:null};return t.requiresSiblings=!0,t}}return n})(i,e[i],t)).filter(e=>e!==E)),r=n.length;if(!r)return E;if(!n.some(e=>!!e.requiresSiblings)){if(1===r)return n[0];const e=function(e,t){for(let i=0,r=n.length;i<r;i++){const r=n[i](e,t);if(r)return r}return null},t=i.first(n,e=>!!e.allBasenames);t&&(e.allBasenames=t.allBasenames);const s=n.reduce((e,t)=>t.allPaths?e.concat(t.allPaths):e,[]);return s.length&&(e.allPaths=s),e}const o=function(e,t,i){let r=void 0;for(let o=0,a=n.length;o<a;o++){const a=n[o]
;a.requiresSiblings&&i&&(t||(t=s.basename(e)),r||(r=t.substr(0,t.length-s.extname(e).length)));const c=a(e,t,r,i);if(c)return c}return null},c=i.first(n,e=>!!e.allBasenames);c&&(o.allBasenames=c.allBasenames);const l=n.reduce((e,t)=>t.allPaths?e.concat(t.allPaths):e,[]);l.length&&(o.allPaths=l);return o}(e,t)}function I(e){const t={};for(const i of e)t[i]=!0;return t}function k(e){const t=e;return t&&"string"==typeof t.base&&"string"==typeof t.pattern}function R(e,t){const i=e.filter(e=>!!e.basenames);if(i.length<2)return e;const n=i.reduce((e,t)=>{const i=t.basenames;return i?e.concat(i):e},[]);let r;if(t){r=[];for(let e=0,i=n.length;e<i;e++)r.push(t)}else r=i.reduce((e,t)=>{const i=t.patterns;return i?e.concat(i):e},[]);const s=function(e,t){if("string"!=typeof e)return null;if(!t){let i;for(i=e.length;i>0;i--){const t=e.charCodeAt(i-1);if(47===t||92===t)break}t=e.substr(i)}const i=n.indexOf(t);return-1!==i?r[i]:null};s.basenames=n,s.patterns=r,s.allBasenames=n;const o=e.filter(e=>!e.basenames)
;return o.push(s),o}t.match=function(e,t,i){return!(!e||"string"!=typeof t)&&T(e)(t,void 0,i)},t.parse=T,t.hasSiblingPromiseFn=function(e){if(!e)return;let t;return i=>(t||(t=(e()||Promise.resolve([])).then(e=>e?I(e):{})),t.then(e=>!!e[i]))},t.hasSiblingFn=function(e){if(!e)return;let t;return i=>{if(!t){const i=e();t=i?I(i):{}}return!!t[i]}},t.isRelativePattern=k,t.getBasenameTerms=function(e){return e.allBasenames||[]},t.getPathTerms=function(e){return e.allPaths||[]}})),define(t[60],i([0,1,2,8]),(function(e,t,i,n){"use strict";function r(e,t){return t instanceof RegExp?{$mid:2,source:t.source,flags:n.regExpFlags(t)}:t}function s(e,t=0){if(!e||t>200)return e;if("object"==typeof e){switch(e.$mid){case 1:return i.URI.revive(e);case 2:return new RegExp(e.source,e.flags)}for(let i in e)Object.hasOwnProperty.call(e,i)&&(e[i]=s(e[i],t+1))}return e}Object.defineProperty(t,"__esModule",{value:!0}),t.stringify=function(e){return JSON.stringify(e,r)},t.parse=function(e){let t=JSON.parse(e);return t=s(t)},t.revive=s
})),define(t[20],i([0,1,2,10]),(function(e,t,i,n){"use strict";var r;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.inMemory="inmemory",e.vscode="vscode",e.internal="private",e.walkThrough="walkThrough",e.walkThroughSnippet="walkThroughSnippet",e.http="http",e.https="https",e.file="file",e.mailto="mailto",e.untitled="untitled",e.data="data",e.command="command",e.vscodeRemote="vscode-remote",e.vscodeRemoteResource="vscode-remote-resource",e.userData="vscode-userdata"}(r=t.Schemas||(t.Schemas={}));t.RemoteAuthorities=new class{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(e){this._preferredWebSchema=e}setDelegate(e){this._delegate=e}set(e,t,i){this._hosts[e]=t,this._ports[e]=i}setConnectionToken(e,t){this._connectionTokens[e]=t}rewrite(e){if(this._delegate)return this._delegate(e);const t=e.authority;let s=this._hosts[t]
;s&&-1!==s.indexOf(":")&&(s=`[${s}]`);const o=this._ports[t],a=this._connectionTokens[t];let c=`path=${encodeURIComponent(e.path)}`;return"string"==typeof a&&(c+=`&tkn=${encodeURIComponent(a)}`),i.URI.from({scheme:n.isWeb?this._preferredWebSchema:r.vscodeRemoteResource,authority:`${s}:${o}`,path:"/vscode-remote-resource",query:c})}}})),define(t[61],i([0,1,24]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.canNormalize="function"==typeof"".normalize;const n=new i.LRUCache(1e4);t.normalizeNFC=function(e){return o(e,"NFC",n)};const r=new i.LRUCache(1e4);t.normalizeNFD=function(e){return o(e,"NFD",r)};const s=/[^\u0000-\u0080]/;function o(e,i,n){if(!t.canNormalize||!e)return e;const r=n.get(e);if(r)return r;let o;return o=s.test(e)?e.normalize(i):e,n.set(e,o),o}})),define(t[25],i([0,1,32,7,2,8,20,10,33,24]),(function(e,t,i,n,r,s,o,a,c,l){"use strict";function u(e){return!e||e.scheme!==o.Schemas.file||!a.isLinux}function h(e,t,n=u(e)){if(e.scheme===t.scheme){
if(e.scheme===o.Schemas.file)return i.isEqualOrParent(f(e),f(t),n);if(d(e.authority,t.authority))return i.isEqualOrParent(e.path,t.path,n,"/")}return!1}function d(e,t){return e===t||s.equalsIgnoreCase(e,t)}function p(e){return n.posix.basename(e.path)}function f(e){let t;const n=e.path;return t=e.authority&&n.length>1&&e.scheme===o.Schemas.file?`//${e.authority}${n}`:a.isWindows&&47===n.charCodeAt(0)&&i.isWindowsDriveLetter(n.charCodeAt(1))&&58===n.charCodeAt(2)?n.substr(1):n,a.isWindows&&(t=t.replace(/\//g,"\\")),t}function m(e,t=n.sep){if(e.scheme===o.Schemas.file){const n=f(e);return n.length>i.getRoot(n).length&&n[n.length-1]===t}{const t=e.path;return t.length>1&&47===t.charCodeAt(t.length-1)&&!/^[a-zA-Z]:(\/$|\\$)/.test(e.fsPath)}}function g(e,t,r=u(e)){if(e.scheme!==t.scheme||!d(e.authority,t.authority))return;if(e.scheme===o.Schemas.file){const r=n.relative(f(e),f(t));return a.isWindows?i.toSlashes(r):r}let s=e.path||"/",c=t.path||"/";if(r){let e=0
;for(const t=Math.min(s.length,c.length);e<t&&(s.charCodeAt(e)===c.charCodeAt(e)||s.charAt(e).toLowerCase()===c.charAt(e).toLowerCase());e++);s=c.substr(0,e)+s.substr(e)}return n.posix.relative(s,c)}Object.defineProperty(t,"__esModule",{value:!0}),t.getComparisonKey=function(e){return u(e)?e.toString().toLowerCase():e.toString()},t.hasToIgnoreCase=u,t.basenameOrAuthority=function(e){return p(e)||e.authority},t.isEqualOrParent=h,t.isEqualAuthority=d,t.isEqual=function(e,t,i=u(e)){if(e===t)return!0;if(!e||!t)return!1;if(e.scheme!==t.scheme||!d(e.authority,t.authority))return!1;const n=e.path||"/",r=t.path||"/";return n===r||i&&s.equalsIgnoreCase(n||"/",r||"/")},t.basename=p,t.extname=function(e){return n.posix.extname(e.path)},t.dirname=function(e){if(0===e.path.length)return e;if(e.scheme===o.Schemas.file)return r.URI.file(n.dirname(f(e)));let t=n.posix.dirname(e.path);return e.authority&&t.length&&47!==t.charCodeAt(0)&&(console.error(`dirname("${e.toString})) resulted in a relative path`),t="/"),e.with({
path:t})},t.joinPath=function(e,...t){let i;return i=e.scheme===o.Schemas.file?r.URI.file(n.join(f(e),...t)).path:n.posix.join(e.path||"/",...t),e.with({path:i})},t.normalizePath=function(e){if(!e.path.length)return e;let t;return t=e.scheme===o.Schemas.file?r.URI.file(n.normalize(f(e))).path:n.posix.normalize(e.path),e.with({path:t})},t.originalFSPath=f,t.isAbsolutePath=function(e){return!!e.path&&"/"===e.path[0]},t.hasTrailingPathSeparator=m,t.removeTrailingPathSeparator=function(e,t=n.sep){return m(e,t)?e.with({path:e.path.substr(0,e.path.length-1)}):e},t.addTrailingPathSeparator=function(e,t=n.sep){let r=!1;if(e.scheme===o.Schemas.file){const n=f(e);r=void 0!==n&&n.length===i.getRoot(n).length&&n[n.length-1]===t}else{t="/";const i=e.path;r=1===i.length&&47===i.charCodeAt(i.length-1)}return r||m(e,t)?e:e.with({path:e.path+"/"})},t.relativePath=g,t.resolvePath=function(e,t){if(e.scheme===o.Schemas.file){const i=r.URI.file(n.resolve(f(e),t));return e.with({authority:i.authority,path:i.path})}
return-1===t.indexOf("/")&&(t=i.toSlashes(t),/^[a-zA-Z]:(\/|$)/.test(t)&&(t="/"+t)),e.with({path:n.posix.resolve(e.path,t)})},t.distinctParents=function(e,t){const i=[];for(let n=0;n<e.length;n++){const r=t(e[n]);e.some((e,i)=>i!==n&&h(r,t(e)))||i.push(e[n])}return i},function(e){e.META_DATA_LABEL="label",e.META_DATA_DESCRIPTION="description",e.META_DATA_SIZE="size",e.META_DATA_MIME="mime",e.parseMetaData=function(t){const i=new Map;t.path.substring(t.path.indexOf(";")+1,t.path.lastIndexOf(";")).split(";").forEach(e=>{const[t,n]=e.split(":");t&&n&&i.set(t,n)});const n=t.path.substring(0,t.path.indexOf(";"));return n&&i.set(e.META_DATA_MIME,n),i}}(t.DataUri||(t.DataUri={}));t.ResourceGlobMatcher=class{constructor(e,t){this.expressionsByRoot=l.TernarySearchTree.forPaths(),this.globalExpression=c.parse(e);for(const e of t)this.expressionsByRoot.set(e.root.toString(),{root:e.root,expression:c.parse(e.expression)})}matches(e){const t=this.expressionsByRoot.findSubstr(e.toString());if(t){const i=g(t.root,e)
;if(i&&t.expression(i))return!0}return!!this.globalExpression(e.path)}},t.toLocalResource=function(e,t){if(t){let i=e.path;return i&&i[0]!==n.posix.sep&&(i=n.posix.sep+i),e.with({scheme:o.Schemas.vscodeRemote,authority:t,path:i})}return e.with({scheme:o.Schemas.file})}})),define(t[81],i([0,1,2,7,8,20,10,25]),(function(e,t,i,n,r,s,o,a){"use strict";function c(e){return!(!o.isWindows||!e||":"!==e[1])}function l(e){return c(e)?e.charAt(0).toUpperCase()+e.slice(1):e}Object.defineProperty(t,"__esModule",{value:!0}),t.getPathLabel=function(e,t,r){if("string"==typeof e&&(e=i.URI.file(e)),r){const t=r.getWorkspaceFolder(e);if(t){const i=r.getWorkspace().folders.length>1;let n;if(n=a.isEqual(t.uri,e)?"":a.relativePath(t.uri,e),i){const e=t.name?t.name:a.basename(t.uri);n=n?e+" • "+n:e}return n}}if(e.scheme!==s.Schemas.file&&e.scheme!==s.Schemas.untitled)return e.with({query:null,fragment:null}).toString(!0);if(c(e.fsPath))return n.normalize(l(e.fsPath));let u=n.normalize(e.fsPath)
;return!o.isWindows&&t&&(u=h(u,t.userHome)),u},t.getBaseLabel=function(e){if(!e)return;"string"==typeof e&&(e=i.URI.file(e));const t=a.basename(e)||(e.scheme===s.Schemas.file?e.fsPath:e.path);return c(t)?l(t):t},t.normalizeDriveLetter=l;let u=Object.create(null);function h(e,t){if(o.isWindows||!e||!t)return e;let i=u.original===t?u.normalized:void 0;return i||(i=`${r.rtrim(t,n.posix.sep)}${n.posix.sep}`,u={original:t,normalized:i}),(o.isLinux?r.startsWith(e,i):r.startsWithIgnoreCase(e,i))&&(e=`~/${e.substr(i.length)}`),e}t.tildify=h,t.untildify=function(e,t){return e.replace(/^~($|\/|\\)/,`${t}$1`)};const d="…",p="\\\\",f="~";var m;t.shorten=function(e){const t=new Array(e.length);let i=!1;for(let s=0;s<e.length;s++){let o=e[s];if(""===o){t[s]=`.${n.sep}`;continue}if(!o){t[s]=o;continue}i=!0;let a="";0===o.indexOf(p)?(a=o.substr(0,o.indexOf(p)+p.length),o=o.substr(o.indexOf(p)+p.length)):0===o.indexOf(n.sep)?(a=o.substr(0,o.indexOf(n.sep)+n.sep.length),
o=o.substr(o.indexOf(n.sep)+n.sep.length)):0===o.indexOf(f)&&(a=o.substr(0,o.indexOf(f)+f.length),o=o.substr(o.indexOf(f)+f.length));const c=o.split(n.sep);for(let o=1;i&&o<=c.length;o++)for(let l=c.length-o;i&&l>=0;l--){i=!1;let u=c.slice(l,l+o).join(n.sep);for(let t=0;!i&&t<e.length;t++)if(t!==s&&e[t]&&e[t].indexOf(u)>-1){const s=l+o===c.length,a=l>0&&e[t].indexOf(n.sep)>-1?n.sep+u:u,h=r.endsWith(e[t],a);i=!s||h}if(!i){let e="";(r.endsWith(c[0],":")||""!==a)&&(1===l&&(l=0,o++,u=c[0]+n.sep+u),l>0&&(e=c[0]+n.sep),e=a+e),l>0&&(e=e+d+n.sep),e+=u,l+o<c.length&&(e=e+n.sep+d),t[s]=e}}i&&(t[s]=o)}return t},function(e){e[e.TEXT=0]="TEXT",e[e.VARIABLE=1]="VARIABLE",e[e.SEPARATOR=2]="SEPARATOR"}(m||(m={})),t.template=function(e,t=Object.create(null)){const i=[];let n=!1,r="";for(const s of e)if("$"===s||n&&"{"===s)r&&i.push({value:r,type:m.TEXT}),r="",n=!0;else if("}"===s&&n){const e=t[r];if("string"==typeof e)e.length&&i.push({value:e,type:m.VARIABLE});else if(e){const t=i[i.length-1]
;t&&t.type===m.SEPARATOR||i.push({value:e.label,type:m.SEPARATOR})}r="",n=!1}else r+=s;return r&&!n&&i.push({value:r,type:m.TEXT}),i.filter((e,t)=>{if(e.type===m.SEPARATOR){return[i[t-1],i[t+1]].every(e=>e&&(e.type===m.VARIABLE||e.type===m.TEXT)&&e.value.length>0)}return!0}).map(e=>e.value).join("")},t.mnemonicMenuLabel=function(e,t){return o.isMacintosh||t?e.replace(/\(&&\w\)|&&/g,"").replace(/&/g,o.isMacintosh?"&":"&&"):e.replace(/&&|&/g,e=>"&"===e?"&&":"&")},t.mnemonicButtonLabel=function(e,t){return o.isMacintosh||t?e.replace(/\(&&\w\)|&&/g,""):o.isWindows?e.replace(/&&|&/g,e=>"&"===e?"&&":"&"):e.replace(/&&/g,"_")},t.unmnemonicLabel=function(e){return e.replace(/&/g,"&&")},t.splitName=function(e){const t=-1!==e.indexOf("/")?n.posix:n.win32,i=t.basename(e),r=t.dirname(e);return i.length?{name:i,parentPath:r}:{name:r,parentPath:""}}})),define(t[82],i([0,1,2]),(function(e,t,i){"use strict";function n(e){return e.toJSON()}Object.defineProperty(t,"__esModule",{value:!0});function r(e,t,n,s){
if(!e||s>200)return null;if("object"==typeof e){if(1===e.$mid)return n?i.URI.revive(t.transformIncoming(e)):t.transformIncoming(e);for(let i in e)if(Object.hasOwnProperty.call(e,i)){const o=r(e[i],t,n,s+1);null!==o&&(e[i]=o)}}return null}t.URITransformer=class{constructor(e){this._uriTransformer=e}transformIncoming(e){const t=this._uriTransformer.transformIncoming(e);return t===e?e:n(i.URI.from(t))}transformOutgoing(e){const t=this._uriTransformer.transformOutgoing(e);return t===e?e:n(i.URI.from(t))}transformOutgoingURI(e){const t=this._uriTransformer.transformOutgoing(e);return t===e?e:i.URI.from(t)}transformOutgoingScheme(e){return this._uriTransformer.transformOutgoingScheme(e)}},t.DefaultURITransformer=new class{transformIncoming(e){return e}transformOutgoing(e){return e}transformOutgoingURI(e){return e}transformOutgoingScheme(e){return e}},t.transformOutgoingURIs=function(e,t){const n=function e(t,n,r){if(!t||r>200)return null;if("object"==typeof t){if(t instanceof i.URI)return n.transformOutgoing(t)
;for(let i in t)if(Object.hasOwnProperty.call(t,i)){const s=e(t[i],n,r+1);null!==s&&(t[i]=s)}}return null}(e,t,0);return null===n?e:n},t.transformIncomingURIs=function(e,t){const i=r(e,t,!1,0);return null===i?e:i},t.transformAndReviveIncomingURIs=function(e,t){const i=r(e,t,!0,0);return null===i?e:i}})),define(t[38],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(e){this._value=e}asHex(){return this._value}}class n extends i{constructor(){super([n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),"-",n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),"-","4",n._randomHex(),n._randomHex(),n._randomHex(),"-",n._oneOf(n._timeHighBits),n._randomHex(),n._randomHex(),n._randomHex(),"-",n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex(),n._randomHex()].join(""))}
static _oneOf(e){return e[Math.floor(e.length*Math.random())]}static _randomHex(){return n._oneOf(n._chars)}}function r(){return new n}n._chars=["0","1","2","3","4","5","6","7","8","9","a","b","c","d","e","f"],n._timeHighBits=["8","9","a","b"],t.v4=r;const s=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function o(e){return s.test(e)}t.isUUID=o,t.parse=function(e){if(!o(e))throw new Error("invalid uuid");return new i(e)},t.generateUuid=function(){return r().asHex()}})),define(t[119],i([0,1,83]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.LineDecoder=class{constructor(e="utf8"){this.stringDecoder=new i.StringDecoder(e),this.remaining=null}write(e){const t=[],i=this.remaining?this.remaining+this.stringDecoder.write(e):this.stringDecoder.write(e);if(i.length<1)return t;let n,r=0,s=r;for(;s<i.length;)if(13===(n=i.charCodeAt(s))||10===n){if(t.push(i.substring(r,s)),++s<i.length){const e=n;n=i.charCodeAt(s),(13===e&&10===n||10===e&&13===n)&&s++}r=s}else s++
;return this.remaining=r<i.length?i.substr(r):null,t}end(){return this.remaining}}})),define(t[120],i([0,1,243,244]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.UTF8="utf8",t.UTF8_with_bom="utf8bom",t.UTF16be="utf16be",t.UTF16le="utf16le",t.isUTFEncoding=function(e){return[t.UTF8,t.UTF8_with_bom,t.UTF16be,t.UTF16le].some(t=>t===e)},t.UTF16be_BOM=[254,255],t.UTF16le_BOM=[255,254],t.UTF8_BOM=[239,187,191];const r=512,s=512,o=4096,a=65536;function c(e){return e===t.UTF8_with_bom||null===e?t.UTF8:e}function l(e,i){if(!e||i<t.UTF16be_BOM.length)return null;const n=e.readUInt8(0),r=e.readUInt8(1);if(n===t.UTF16be_BOM[0]&&r===t.UTF16be_BOM[1])return t.UTF16be;if(n===t.UTF16le_BOM[0]&&r===t.UTF16le_BOM[1])return t.UTF16le;if(i<t.UTF8_BOM.length)return null;const s=e.readUInt8(2);return n===t.UTF8_BOM[0]&&r===t.UTF8_BOM[1]&&s===t.UTF8_BOM[2]?t.UTF8_with_bom:null}t.toDecodeStream=function(e,t){
return t.minBytesRequiredForDetection||(t.minBytesRequiredForDetection=t.guessEncoding?o:s),new Promise((r,s)=>{const o=new class extends n.Writable{constructor(){super(...arguments),this.bufferedChunks=[],this.bytesBuffered=0}_write(e,i,n){if(!Buffer.isBuffer(e))return n(new Error("toDecodeStream(): data must be a buffer"));this.decodeStream?this.decodeStream.write(e,n):(this.bufferedChunks.push(e),this.bytesBuffered+=e.byteLength,this.decodeStreamPromise?this.decodeStreamPromise.then(()=>n(null),e=>n(e)):"number"==typeof t.minBytesRequiredForDetection&&this.bytesBuffered>=t.minBytesRequiredForDetection?this._startDecodeStream(n):n(null))}_startDecodeStream(e){this.decodeStreamPromise=Promise.resolve(p({buffer:Buffer.concat(this.bufferedChunks),bytesRead:this.bytesBuffered},t.guessEncoding)).then(n=>{n.encoding=t.overwriteEncoding(n.encoding),this.decodeStream=function(e){return i.decodeStream(c(e))}(n.encoding),this.decodeStream.write(Buffer.concat(this.bufferedChunks),e),this.bufferedChunks.length=0,r({
detected:n,stream:this.decodeStream})},t=>{this.emit("error",t),e(t)})}_final(e){this.decodeStream?this.decodeStream.end(e):this._startDecodeStream(()=>{this.decodeStream&&this.decodeStream.end(e)})}};e.on("error",s),e.pipe(o)})},t.decode=function(e,t){return i.decode(e,c(t))},t.encodingExists=function(e){return i.encodingExists(c(e))},t.encodeStream=function(e,t){return i.encodeStream(c(e),t)},t.detectEncodingByBOMFromBuffer=l;const u=["ascii","utf-16","utf-32"];async function h(t){const i=(await new Promise((t,i)=>{e(["jschardet"],t,i)})).detect(t.slice(0,a));if(!i||!i.encoding)return null;const n=i.encoding.toLowerCase();return 0<=u.indexOf(n)?null:function(e){const t=e.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return d[t]||t}(i.encoding)}const d={ibm866:"cp866",big5:"cp950"};function p({buffer:e,bytesRead:i},n){let s=l(e,i),o=!1;if(s!==t.UTF16be&&s!==t.UTF16le&&e){let n=!0,a=!0,c=!1;for(let t=0;t<i&&t<r;t++){const i=t%2==1,r=0===e.readInt8(t);if(r&&(c=!0),n&&(i&&!r||!i&&r)&&(n=!1),
a&&(i&&r||!i&&!r)&&(a=!1),r&&!n&&!a)break}c&&(n?s=t.UTF16le:a?s=t.UTF16be:o=!0)}return n&&!o&&!s&&e?h(e.slice(0,i)).then(e=>({seemsBinary:!1,encoding:e})):{seemsBinary:o,encoding:s}}t.toCanonicalName=function(e){switch(e){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:const t=e.match(/windows(\d+)/);return t?"windows-"+t[1]:e}},t.detectEncodingFromBuffer=p})),define(t[23],i([0,1,7,14,34,39,10,3,8,62,32,38,61]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p;async function f(e,t=p.UNLINK){if(u.isRootOrDriveLetter(e))throw new Error("rimraf - will refuse to recursively delete root");return t===p.UNLINK?m(e):async function(e){try{const t=i.join(s.tmpdir(),h.generateUuid());try{await b(e,t)}catch(t){
return m(e)}m(t)}catch(e){if("ENOENT"!==e.code)throw e}}(e)}async function m(e){try{const t=await x(e);if(!t.isDirectory()||t.isSymbolicLink()){const i=t.mode;return 128&i||await y(e,128|i),E(e)}{const t=await g(e);await Promise.all(t.map(t=>m(i.join(e,t)))),await l.promisify(r.rmdir)(e)}}catch(e){if("ENOENT"!==e.code)throw e}}async function g(e){return _(await l.promisify(r.readdir)(e))}function v(e){return _(r.readdirSync(e))}function _(e){return o.isMacintosh?e.map(e=>d.normalizeNFC(e)):e}function y(e,t){return l.promisify(r.chmod)(e,t)}function w(e){return l.promisify(r.stat)(e)}function x(e){return l.promisify(r.lstat)(e)}function b(e,t){return l.promisify(r.rename)(e,t)}function E(e){return l.promisify(r.unlink)(e)}async function S(e,t){return l.promisify(r.mkdir)(e,{mode:t,recursive:!0})}t.MAX_FILE_SIZE="ia32"===process.arch?314572800:17179869184,t.MAX_HEAP_SIZE="ia32"===process.arch?734003200:1468006400,function(e){e[e.UNLINK=0]="UNLINK",e[e.MOVE=1]="MOVE"}(p=t.RimRafMode||(t.RimRafMode={})),
t.rimraf=f,t.rimrafSync=function e(t){if(u.isRootOrDriveLetter(t))throw new Error("rimraf - will refuse to recursively delete root");try{const n=r.lstatSync(t);if(!n.isDirectory()||n.isSymbolicLink()){const e=n.mode;return 128&e||r.chmodSync(t,128|e),r.unlinkSync(t)}v(t).map(n=>e(i.join(t,n))),r.rmdirSync(t)}catch(e){if("ENOENT"!==e.code)throw e}},t.readdir=g,t.readdirWithFileTypes=async function(e){const t=await l.promisify(r.readdir)(e,{withFileTypes:!0});if(o.isMacintosh)for(const e of t)e.name=d.normalizeNFC(e.name);return t},t.readdirSync=v,t.exists=function(e){return l.promisify(r.exists)(e)},t.chmod=y,t.stat=w,t.statLink=async function(e){let t;try{if(!(t=await x(e)).isSymbolicLink())return{stat:t}}catch(e){}try{return{stat:await w(e),symbolicLink:(null==t?void 0:t.isSymbolicLink())?{dangling:!1}:void 0}}catch(e){if("ENOENT"===e.code&&t)return{stat:t,symbolicLink:{dangling:!0}};throw e}},t.lstat=x,t.rename=b,t.renameIgnoreError=function(e,t){return new Promise(i=>r.rename(e,t,()=>i()))},t.unlink=E,
t.symlink=function(e,t,i){return l.promisify(r.symlink)(e,t,i)},t.truncate=function(e,t){return l.promisify(r.truncate)(e,t)},t.readFile=function(e,t){return l.promisify(r.readFile)(e,t)},t.mkdirp=S;const C=new Map;t.writeFile=function(e,t,i){return function(e){const t=C.get(e);if(t)return t;const i=new n.Queue;return C.set(e,i),a.Event.once(i.onFinished)(()=>{C.delete(e),i.dispose()}),i}(function(e){let t=e;(o.isWindows||o.isMacintosh)&&(t=t.toLowerCase());return t}(e)).queue(()=>{const n=D(i);return new Promise((i,s)=>(function(e,t,i,n){if(!P)return r.writeFile(e,t,{mode:i.mode,flag:i.flag},n);r.open(e,i.flag,i.mode,(e,i)=>{if(e)return n(e);r.writeFile(i,t,e=>{if(e)return r.close(i,()=>n(e));r.fdatasync(i,e=>(e&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",e),P=!1),r.close(i,e=>n(e))))})})})(e,t,n,e=>e?s(e):i()))})};let P=!0;function D(e){return e?{mode:"number"==typeof e.mode?e.mode:438,flag:"string"==typeof e.flag?e.flag:"w"}:{mode:438,flag:"w"}}
async function T(e){try{return(await w(e)).isDirectory()}catch(e){return!1}}async function I(e,t,n){const s=n||Object.create(null),o=await w(e);if(!o.isDirectory())return async function(e,t,i){return new Promise((n,s)=>{const o=r.createReadStream(e),a=r.createWriteStream(t,{mode:i});let c=!1;const l=e=>{if(!c){if(c=!0,e)return s(e);r.chmod(t,i,e=>e?s(e):n())}};o.once("error",e=>l(e)),a.once("error",e=>l(e)),a.once("close",()=>l()),o.pipe(a)})}(e,t,511&o.mode);if(s[e])return Promise.resolve();s[e]=!0,await S(t,511&o.mode);const a=await g(e);for(let n=0;n<a.length;n++){const r=a[n];await I(i.join(e,r),i.join(t,r),s)}}t.writeFileSync=function(e,t,i){const n=D(i);if(!P)return r.writeFileSync(e,t,{mode:n.mode,flag:n.flag});const s=r.openSync(e,n.flag,n.mode);try{r.writeFileSync(s,t);try{r.fdatasyncSync(s)}catch(e){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",e),P=!1}}finally{r.closeSync(s)}},t.readDirsInDir=async function(e){const t=await g(e),n=[]
;for(const r of t)await T(i.join(e,r))&&n.push(r);return n},t.dirExists=T,t.fileExists=async function(e){try{return(await w(e)).isFile()}catch(e){return!1}},t.whenDeleted=function(e){return new Promise(t=>{let i=!1;const n=setInterval(()=>{i||(i=!0,r.exists(e,e=>{i=!1,e||(clearInterval(n),t(void 0))}))},1e3)})},t.move=async function(e,t){if(e===t)return Promise.resolve();async function i(e){const t=await x(e);if(t.isDirectory()||t.isSymbolicLink())return Promise.resolve();const i=await l.promisify(r.open)(e,"a");try{await l.promisify(r.futimes)(i,t.atime,new Date)}catch(e){}return l.promisify(r.close)(i)}try{await b(e,t),await i(t)}catch(n){if(!(e.toLowerCase()!==t.toLowerCase()&&"EXDEV"===n.code||c.endsWith(e,".")))throw n;await I(e,t),await f(e,p.MOVE),await i(t)}},t.copy=I})),define(t[121],i([0,1,34,8,7,23,62]),(function(e,t,i,n,r,s,o){"use strict";function a(e){return n.rtrim(r.normalize(e),r.sep)}Object.defineProperty(t,"__esModule",{value:!0}),t.realcaseSync=function e(t){const i=r.dirname(t)
;if(t===i)return t;const n=(r.basename(t)||t).toLowerCase();try{const t=s.readdirSync(i).filter(e=>e.toLowerCase()===n);if(1===t.length){const n=e(i);if(n)return r.join(n,t[0])}else if(t.length>1){const s=t.indexOf(n);if(s>=0){const n=e(i);if(n)return r.join(n,t[s])}}}catch(e){}return null},t.realpath=async function(e){try{return await o.promisify(i.realpath)(e)}catch(t){const n=a(e);return await o.promisify(i.access)(n,i.constants.R_OK),n}},t.realpathSync=function(e){try{return i.realpathSync(e)}catch(t){const n=a(e);return i.accessSync(n,i.constants.R_OK),n}}})),define(t[84],i([0,1,3,6,14,22,19,27,12,13]),(function(e,t,i,n,r,s,o,a,c,l){"use strict";var u,h;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Promise=100]="Promise",e[e.PromiseCancel=101]="PromiseCancel",e[e.EventListen=102]="EventListen",e[e.EventDispose=103]="EventDispose"}(t.RequestType||(t.RequestType={})),function(e){e[e.Initialize=200]="Initialize",e[e.PromiseSuccess=201]="PromiseSuccess",
e[e.PromiseError=202]="PromiseError",e[e.PromiseErrorObj=203]="PromiseErrorObj",e[e.EventFire=204]="EventFire"}(t.ResponseType||(t.ResponseType={})),function(e){e[e.Uninitialized=0]="Uninitialized",e[e.Idle=1]="Idle"}(u||(u={}));class d{constructor(e){this.buffer=e,this.pos=0}read(e){const t=this.buffer.slice(this.pos,this.pos+e);return this.pos+=t.byteLength,t}}class p{constructor(){this.buffers=[]}get buffer(){return a.VSBuffer.concat(this.buffers)}write(e){this.buffers.push(e)}}function f(e){const t=a.VSBuffer.alloc(4);return t.writeUInt32BE(e,0),t}function m(e){return e.read(4).readUInt32BE(0)}function g(e){const t=a.VSBuffer.alloc(1);return t.writeUInt8(e,0),t}!function(e){e[e.Undefined=0]="Undefined",e[e.String=1]="String",e[e.Buffer=2]="Buffer",e[e.VSBuffer=3]="VSBuffer",e[e.Array=4]="Array",e[e.Object=5]="Object"}(h||(h={}));const v={Undefined:g(h.Undefined),String:g(h.String),Buffer:g(h.Buffer),VSBuffer:g(h.VSBuffer),Array:g(h.Array),Object:g(h.Object)},_="undefined"!=typeof Buffer;function y(e,t){
if(void 0===t)e.write(v.Undefined);else if("string"==typeof t){const i=a.VSBuffer.fromString(t);e.write(v.String),e.write(f(i.byteLength)),e.write(i)}else if(_&&Buffer.isBuffer(t)){const i=a.VSBuffer.wrap(t);e.write(v.Buffer),e.write(f(i.byteLength)),e.write(i)}else if(t instanceof a.VSBuffer)e.write(v.VSBuffer),e.write(f(t.byteLength)),e.write(t);else if(Array.isArray(t)){e.write(v.Array),e.write(f(t.length));for(const i of t)y(e,i)}else{const i=a.VSBuffer.fromString(JSON.stringify(t));e.write(v.Object),e.write(f(i.byteLength)),e.write(i)}}function w(e){switch(e.read(1).readUInt8(0)){case h.Undefined:return;case h.String:return e.read(m(e)).toString();case h.Buffer:return e.read(m(e)).buffer;case h.VSBuffer:return e.read(m(e));case h.Array:{const t=m(e),i=[];for(let n=0;n<t;n++)i.push(w(e));return i}case h.Object:return JSON.parse(e.read(m(e)).toString())}}class x{constructor(e,t,i=1e3){this.protocol=e,this.ctx=t,this.timeoutDelay=i,this.channels=new Map,this.activeRequests=new Map,
this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(e=>this.onRawMessage(e)),this.sendResponse({type:200})}registerChannel(e,t){this.channels.set(e,t),setTimeout(()=>this.flushPendingRequests(e),0)}sendResponse(e){switch(e.type){case 200:return this.send([e.type]);case 201:case 202:case 204:case 203:return this.send([e.type,e.id],e.data)}}send(e,t){const i=new p;y(i,e),y(i,t),this.sendBuffer(i.buffer)}sendBuffer(e){try{this.protocol.send(e)}catch(e){}}onRawMessage(e){const t=new d(e),i=w(t),n=w(t),r=i[0];switch(r){case 100:return this.onPromise({type:r,id:i[1],channelName:i[2],name:i[3],arg:n});case 102:return this.onEventListen({type:r,id:i[1],channelName:i[2],name:i[3],arg:n});case 101:case 103:return this.disposeActiveRequest({type:r,id:i[1]})}}onPromise(e){const t=this.channels.get(e.channelName);if(!t)return void this.collectPendingRequest(e);const i=new s.CancellationTokenSource;let r;try{r=t.call(this.ctx,e.name,e.arg,i.token)}catch(e){r=Promise.reject(e)}const o=e.id;r.then(t=>{
this.sendResponse({id:o,data:t,type:201}),this.activeRequests.delete(e.id)},t=>{t instanceof Error?this.sendResponse({id:o,data:{message:t.message,name:t.name,stack:t.stack?t.stack.split?t.stack.split("\n"):t.stack:void 0},type:202}):this.sendResponse({id:o,data:t,type:203}),this.activeRequests.delete(e.id)});const a=n.toDisposable(()=>i.cancel());this.activeRequests.set(e.id,a)}onEventListen(e){const t=this.channels.get(e.channelName);if(!t)return void this.collectPendingRequest(e);const i=e.id,n=t.listen(this.ctx,e.name,e.arg)(e=>this.sendResponse({id:i,data:e,type:204}));this.activeRequests.set(e.id,n)}disposeActiveRequest(e){const t=this.activeRequests.get(e.id);t&&(t.dispose(),this.activeRequests.delete(e.id))}collectPendingRequest(e){let t=this.pendingRequests.get(e.channelName);t||(t=[],this.pendingRequests.set(e.channelName,t));const i=setTimeout(()=>{console.error(`Unknown channel: ${e.channelName}`),100===e.type&&this.sendResponse({id:e.id,data:{name:"Unknown channel",
message:`Channel name '${e.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);t.push({request:e,timeoutTimer:i})}flushPendingRequests(e){const t=this.pendingRequests.get(e);if(t){for(const e of t)switch(clearTimeout(e.timeoutTimer),e.request.type){case 100:this.onPromise(e.request);break;case 102:this.onEventListen(e.request)}this.pendingRequests.delete(e)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(e=>e.dispose()),this.activeRequests.clear()}}t.ChannelServer=x;class b{constructor(e){this.protocol=e,this.state=u.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new i.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(e=>this.onBuffer(e))}getChannel(e){const t=this;return{call:(i,n,r)=>t.requestPromise(e,i,n,r),listen:(i,n)=>t.requestEvent(e,i,n)}}
requestPromise(e,t,i,a=s.CancellationToken.None){const c=this.lastRequestId++,l={id:c,type:100,channelName:e,name:t,arg:i};if(a.isCancellationRequested)return Promise.reject(o.canceled());let u;return new Promise((e,t)=>{if(a.isCancellationRequested)return t(o.canceled());let i=r.createCancelablePromise(e=>this.whenInitialized());i.then(()=>{i=null;this.handlers.set(c,i=>{switch(i.type){case 201:this.handlers.delete(c),e(i.data);break;case 202:this.handlers.delete(c);const n=new Error(i.data.message);n.stack=i.data.stack,n.name=i.data.name,t(n);break;case 203:this.handlers.delete(c),t(i.data)}}),this.sendRequest(l)});const s=()=>{i?(i.cancel(),i=null):this.sendRequest({id:c,type:101}),t(o.canceled())},h=a.onCancellationRequested(s);u=n.combinedDisposable(n.toDisposable(s),h),this.activeRequests.add(u)}).finally(()=>this.activeRequests.delete(u))}requestEvent(e,t,n){const s=this.lastRequestId++,o={id:s,type:102,channelName:e,name:t,arg:n};let a=null;const c=new i.Emitter({onFirstListenerAdd:()=>{
(a=r.createCancelablePromise(e=>this.whenInitialized())).then(()=>{a=null,this.activeRequests.add(c),this.sendRequest(o)})},onLastListenerRemove:()=>{a?(a.cancel(),a=null):(this.activeRequests.delete(c),this.sendRequest({id:s,type:103}))}});return this.handlers.set(s,e=>c.fire(e.data)),c.event}sendRequest(e){switch(e.type){case 100:case 102:return this.send([e.type,e.id,e.channelName,e.name],e.arg);case 101:case 103:return this.send([e.type,e.id])}}send(e,t){const i=new p;y(i,e),y(i,t),this.sendBuffer(i.buffer)}sendBuffer(e){try{this.protocol.send(e)}catch(e){}}onBuffer(e){const t=new d(e),i=w(t),n=w(t);switch(i[0]){case 200:return this.onResponse({type:i[0]});case 201:case 202:case 204:case 203:return this.onResponse({type:i[0],id:i[1],data:n})}}onResponse(e){if(200===e.type)return this.state=u.Idle,void this._onDidInitialize.fire();const t=this.handlers.get(e.id);t&&t(e)}whenInitialized(){return this.state===u.Idle?Promise.resolve():i.Event.toPromise(this.onDidInitialize)}dispose(){
this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(e=>e.dispose()),this.activeRequests.clear()}}t.ChannelClient=b;t.IPCServer=class{constructor(e){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new i.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new i.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,e(({protocol:e,onDidClientDisconnect:t})=>{i.Event.once(e.onMessage)(i=>{const n=w(new d(i)),r=new x(e,n),s=new b(e);this.channels.forEach((e,t)=>r.registerChannel(t,e));const o={channelServer:r,channelClient:s,ctx:n};this._connections.add(o),this._onDidAddConnection.fire(o),t(()=>{r.dispose(),s.dispose(),this._connections.delete(o),this._onDidRemoveConnection.fire(o)})})})}get connections(){const e=[];return this._connections.forEach(t=>e.push(t)),e}getChannel(e,t){const n=this;return{call(r,s,o){let a;if(l.isFunction(t)){
let e=c.getRandomElement(n.connections.filter(t));a=e?Promise.resolve(e):i.Event.toPromise(i.Event.filter(n.onDidAddConnection,t))}else a=t.routeCall(n,r,s);return E(a.then(t=>t.channelClient.getChannel(e))).call(r,s,o)},listen(i,r){if(l.isFunction(t))return n.getMulticastEvent(e,t,i,r);return E(t.routeEvent(n,i,r).then(t=>t.channelClient.getChannel(e))).listen(i,r)}}}getMulticastEvent(e,t,r,s){const o=this;let a=new n.DisposableStore;const c=new i.Emitter({onFirstListenerAdd:()=>{a=new n.DisposableStore;const l=new i.EventMultiplexer,u=new Map,h=t=>{const i=t.channelClient.getChannel(e).listen(r,s),n=l.add(i);u.set(t,n)};o.connections.filter(t).forEach(h),i.Event.filter(o.onDidAddConnection,t)(h,void 0,a),o.onDidRemoveConnection(e=>{const t=u.get(e);t&&(t.dispose(),u.delete(e))},void 0,a),l.event(c.fire,c,a),a.add(l)},onLastListenerRemove:()=>{a.dispose()}});return c.event}registerChannel(e,t){this.channels.set(e,t),this._connections.forEach(i=>{i.channelServer.registerChannel(e,t)})}dispose(){
this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}};function E(e){return{call:(t,i,n)=>e.then(e=>e.call(t,i,n)),listen(t,n){const r=new i.Relay;return e.then(e=>r.input=e.listen(t,n)),r.event}}}t.IPCClient=class{constructor(e,t){const i=new p;y(i,t),e.send(i.buffer),this.channelClient=new b(e),this.channelServer=new x(e,t)}getChannel(e){return this.channelClient.getChannel(e)}registerChannel(e,t){this.channelServer.registerChannel(e,t)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}},t.getDelayedChannel=E,t.getNextTickChannel=function(e){let t=!1;return{call:(i,n,s)=>t?e.call(i,n,s):r.timeout(0).then(()=>t=!0).then(()=>e.call(i,n,s)),listen(n,s){if(t)return e.listen(n,s);const o=new i.Relay;return r.timeout(0).then(()=>t=!0).then(()=>o.input=e.listen(n,s)),o.event}}};t.StaticRouter=class{constructor(e){this.fn=e}routeCall(e){return this.route(e)}routeEvent(e){return this.route(e)}async route(e){
for(const t of e.connections)if(await Promise.resolve(this.fn(t.ctx)))return Promise.resolve(t);return await i.Event.toPromise(e.onDidAddConnection),await this.route(e)}}})),define(t[85],i([0,1,3,84,6,27,10,35]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let c=null;function l(){return c||(c=s.VSBuffer.alloc(0)),c}class u{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(e){this._chunks.push(e),this._totalLength+=e.byteLength}read(e){return this._read(e,!0)}peek(e){return this._read(e,!1)}_read(e,t){if(0===e)return l();if(e>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===e){const i=this._chunks[0];return t&&(this._chunks.shift(),this._totalLength-=e),i}if(this._chunks[0].byteLength>e){const i=this._chunks[0].slice(0,e);return t&&(this._chunks[0]=this._chunks[0].slice(e),this._totalLength-=e),i}let i=s.VSBuffer.alloc(e),n=0,r=0;for(;e>0;){const s=this._chunks[r]
;if(s.byteLength>e){const o=s.slice(0,e);i.set(o,n),n+=e,t&&(this._chunks[r]=s.slice(e),this._totalLength-=e),e-=e}else i.set(s,n),n+=s.byteLength,t?(this._chunks.shift(),this._totalLength-=s.byteLength):r++,e-=s.byteLength}return i}}var h;t.ChunkStream=u,function(e){e[e.None=0]="None",e[e.Regular=1]="Regular",e[e.Control=2]="Control",e[e.Ack=3]="Ack",e[e.KeepAlive=4]="KeepAlive",e[e.Disconnect=5]="Disconnect"}(h||(h={})),function(e){e[e.HeaderLength=13]="HeaderLength",e[e.AcknowledgeTime=2e3]="AcknowledgeTime",e[e.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",e[e.KeepAliveTime=5e3]="KeepAliveTime",e[e.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",e[e.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",e[e.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"}(t.ProtocolConstants||(t.ProtocolConstants={}));class d{constructor(e,t,i,n){this.type=e,this.id=t,this.ack=i,this.data=n,this.writtenTime=0}get size(){return this.data.byteLength}}class p extends r.Disposable{constructor(e){super(),
this._onMessage=this._register(new i.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=e,this._isDisposed=!1,this._incomingData=new u,this._register(this._socket.onData(e=>this.acceptChunk(e))),this.lastReadTime=Date.now()}acceptChunk(e){if(e&&0!==e.byteLength)for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(e);this._incomingData.byteLength>=this._state.readLen;){const e=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=e.readUInt32BE(9),this._state.messageType=e.readUInt8(0),this._state.id=e.readUInt32BE(1),this._state.ack=e.readUInt32BE(5);else{const t=this._state.messageType,i=this._state.id,n=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new d(t,i,n,e)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}
dispose(){this._isDisposed=!0,super.dispose()}}class f{constructor(e){this._isDisposed=!1,this._socket=e,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){this.flush(),this._isDisposed=!0}flush(){this._writeNow()}write(e){if(this._isDisposed)return;e.writtenTime=Date.now(),this.lastWriteTime=Date.now();const t=s.VSBuffer.alloc(13);t.writeUInt8(e.type,0),t.writeUInt32BE(e.id,1),t.writeUInt32BE(e.ack,5),t.writeUInt32BE(e.data.byteLength,9),this._writeSoon(t,e.data)}_bufferAdd(e,t){const i=0===this._totalLength;return this._data.push(e,t),this._totalLength+=e.byteLength+t.byteLength,i}_bufferTake(){const e=s.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,e}_writeSoon(e,t){this._bufferAdd(e,t)&&o.setImmediate(()=>{this._writeNow()})}_writeNow(){0!==this._totalLength&&this._socket.write(this._bufferTake())}}class m extends r.Disposable{constructor(e){super(),this._onMessage=new i.Emitter,this.onMessage=this._onMessage.event,this._onClose=new i.Emitter,
this.onClose=this._onClose.event,this._socket=e,this._socketWriter=this._register(new f(this._socket)),this._socketReader=this._register(new p(this._socket)),this._register(this._socketReader.onMessage(e=>{1===e.type&&this._onMessage.fire(e.data)})),this._register(this._socket.onClose(()=>this._onClose.fire()))}getSocket(){return this._socket}sendDisconnect(){}send(e){this._socketWriter.write(new d(1,0,0,e))}}t.Protocol=m;class g extends n.IPCClient{constructor(e,t){super(e,t),this.protocol=e}static fromSocket(e,t){return new g(new m(e),t)}get onClose(){return this.protocol.onClose}dispose(){super.dispose();const e=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),e.end()}}t.Client=g;class v{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new i.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,a.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}
_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(e){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(e):this._emitter.fire(e):this._bufferedMessages.push(e)}flushBuffer(){this._bufferedMessages=[]}}t.BufferedEmitter=v;class _{constructor(e){this.data=e,this.next=null}}class y{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let e=[],t=0,i=this._first;for(;i;)e[t++]=i.data,i=i.next;return e}pop(){if(this._first)return this._first===this._last?(this._first=null,void(this._last=null)):void(this._first=this._first.next)}push(e){const t=new _(e);if(!this._first)return this._first=t,void(this._last=t);this._last.next=t,this._last=t}}t.PersistentProtocol=class{constructor(e,t=null){this._onControlMessage=new v,
this.onControlMessage=this._onControlMessage.event,this._onMessage=new v,this.onMessage=this._onMessage.event,this._onClose=new v,this.onClose=this._onClose.event,this._onSocketClose=new v,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new v,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new y,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._socketDisposables=[],this._socket=e,this._socketWriter=new f(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new p(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(e=>this._receiveMessage(e))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),
t&&this._socketReader.acceptChunk(t),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=r.dispose(this._socketDisposables)}sendDisconnect(){const e=new d(5,0,0,l());this._socketWriter.write(e),this._socketWriter.flush()}_sendKeepAliveCheck(){if(this._outgoingKeepAliveTimeout)return;const e=Date.now()-this._socketWriter.lastWriteTime;if(e>=5e3){const e=new d(4,0,0,l());return this._socketWriter.write(e),void this._sendKeepAliveCheck()}this._outgoingKeepAliveTimeout=setTimeout(()=>{
this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-e+5)}_recvKeepAliveCheck(){if(this._incomingKeepAliveTimeout)return;const e=Date.now()-this._socketReader.lastReadTime;e>=2e4?this._onSocketTimeout.fire(void 0):this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},2e4-e+5)}getSocket(){return this._socket}beginAcceptReconnection(e,t){this._isReconnecting=!0,this._socketDisposables=r.dispose(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._socket=e,this._socketWriter=new f(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new p(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(e=>this._receiveMessage(e))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(t)}
endAcceptReconnection(){this._isReconnecting=!1;const e=this._outgoingUnackMsg.toArray();for(let t=0,i=e.length;t<i;t++)this._socketWriter.write(e[t]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onClose.fire()}_receiveMessage(e){if(e.ack>this._outgoingAckId)for(this._outgoingAckId=e.ack;;){const t=this._outgoingUnackMsg.peek();if(!(t&&t.id<=e.ack))break;this._outgoingUnackMsg.pop()}1===e.type?e.id>this._incomingMsgId&&(e.id!==this._incomingMsgId+1&&console.error(`PROTOCOL CORRUPTION, LAST SAW MSG ${this._incomingMsgId} AND HAVE NOW RECEIVED MSG ${e.id}`),this._incomingMsgId=e.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(e.data)):2===e.type?this._onControlMessage.fire(e.data):5===e.type&&this._onClose.fire()}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(e){const t=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId
;const i=new d(1,t,this._incomingAckId,e);this._outgoingUnackMsg.push(i),this._isReconnecting||(this._socketWriter.write(i),this._recvAckCheck())}sendControl(e){const t=new d(2,0,0,e);this._socketWriter.write(t)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId)return;if(this._incomingAckTimeout)return;const e=Date.now()-this._incomingMsgLastTime;e>=2e3?this._sendAck():this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-e+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId)return;if(this._outgoingAckTimeout)return;const e=this._outgoingUnackMsg.peek(),t=Date.now()-e.writtenTime;t>=2e4?this._onSocketTimeout.fire(void 0):this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},2e4-t+5)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const e=new d(3,0,this._incomingAckId,l());this._socketWriter.write(e)}}})),
define(t[86],i([0,1,87,3,84,7,39,38,6,27,85]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class h{constructor(e){this.socket=e}dispose(){this.socket.destroy()}onData(e){const t=t=>e(l.VSBuffer.wrap(t));return this.socket.on("data",t),{dispose:()=>this.socket.off("data",t)}}onClose(e){return this.socket.on("close",e),{dispose:()=>this.socket.off("close",e)}}onEnd(e){return this.socket.on("end",e),{dispose:()=>this.socket.off("end",e)}}write(e){this.socket.destroyed||this.socket.write(e.buffer)}end(){this.socket.end()}}var d,p;t.NodeSocket=h,function(e){e[e.MinHeaderByteSize=2]="MinHeaderByteSize"}(d||(d={})),function(e){e[e.PeekHeader=1]="PeekHeader",e[e.ReadHeader=2]="ReadHeader",e[e.ReadBody=3]="ReadBody",e[e.Fin=4]="Fin"}(p||(p={}));class f extends c.Disposable{constructor(e){super(),this._onData=this._register(new n.Emitter),this._state={state:1,readLen:2,mask:0},this.socket=e,this._incomingData=new u.ChunkStream,
this._register(this.socket.onData(e=>this._acceptChunk(e)))}dispose(){this.socket.dispose()}onData(e){return this._onData.event(e)}onClose(e){return this.socket.onClose(e)}onEnd(e){return this.socket.onEnd(e)}write(e){let t=2;e.byteLength<126?t+=0:e.byteLength<65536?t+=2:t+=8;const i=l.VSBuffer.alloc(t);if(i.writeUInt8(130,0),e.byteLength<126)i.writeUInt8(e.byteLength,1);else if(e.byteLength<65536){i.writeUInt8(126,1);let t=1;i.writeUInt8(e.byteLength>>>8&255,++t),i.writeUInt8(e.byteLength>>>0&255,++t)}else{i.writeUInt8(127,1);let t=1;i.writeUInt8(0,++t),i.writeUInt8(0,++t),i.writeUInt8(0,++t),i.writeUInt8(0,++t),i.writeUInt8(e.byteLength>>>24&255,++t),i.writeUInt8(e.byteLength>>>16&255,++t),i.writeUInt8(e.byteLength>>>8&255,++t),i.writeUInt8(e.byteLength>>>0&255,++t)}this.socket.write(l.VSBuffer.concat([i,e]))}end(){this.socket.end()}_acceptChunk(e){if(0!==e.byteLength)for(this._incomingData.acceptChunk(e);this._incomingData.byteLength>=this._state.readLen;)if(1===this._state.state){
const e=this._incomingData.peek(this._state.readLen).readUInt8(1),t=(128&e)>>>7,i=127&e;this._state.state=2,this._state.readLen=2+(t?4:0)+(126===i?2:0)+(127===i?8:0),this._state.mask=0}else if(2===this._state.state){const e=this._incomingData.read(this._state.readLen),t=e.readUInt8(1),i=(128&t)>>>7;let n=127&t,r=1;126===n?n=256*e.readUInt8(++r)+e.readUInt8(++r):127===n&&(n=0*e.readUInt8(++r)+0*e.readUInt8(++r)+0*e.readUInt8(++r)+0*e.readUInt8(++r)+e.readUInt8(++r)*2**24+65536*e.readUInt8(++r)+256*e.readUInt8(++r)+e.readUInt8(++r));let s=0;i&&(s=e.readUInt8(++r)*2**24+65536*e.readUInt8(++r)+256*e.readUInt8(++r)+e.readUInt8(++r)),this._state.state=3,this._state.readLen=n,this._state.mask=s}else if(3===this._state.state){const e=this._incomingData.read(this._state.readLen);m(e,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._onData.fire(e)}}}function m(e,t){if(0===t)return;let i=e.byteLength>>>2;for(let n=0;n<i;n++){const i=e.readUInt32BE(4*n);e.writeUInt32BE(i^t,4*n)}
let n=4*i,r=e.byteLength-n;const s=t>>>24&255,o=t>>>16&255,a=t>>>8&255;r>=1&&e.writeUInt8(e.readUInt8(n)^s,n),r>=2&&e.writeUInt8(e.readUInt8(n+1)^o,n+1),r>=3&&e.writeUInt8(e.readUInt8(n+2)^a,n+2)}t.WebSocketNodeSocket=f,t.generateRandomPipeName=function(){const e=a.generateUuid();return"win32"===process.platform?`\\\\.\\pipe\\vscode-ipc-${e}-sock`:s.join(o.tmpdir(),`vscode-ipc-${e}.sock`)};class g extends r.IPCServer{constructor(e){super(g.toClientConnectionEvent(e)),this.server=e}static toClientConnectionEvent(e){const t=n.Event.fromNodeEventEmitter(e,"connection");return n.Event.map(t,e=>({protocol:new u.Protocol(new h(e)),onDidClientDisconnect:n.Event.once(n.Event.fromNodeEventEmitter(e,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}t.Server=g,t.serve=function(e){return new Promise((t,n)=>{const r=i.createServer();r.on("error",n),r.listen(e,()=>{r.removeListener("error",n),t(new g(r))})})},t.connect=function(e,t){return new Promise((n,r)=>{
const s=i.createConnection(e,()=>{s.removeListener("error",r),n(u.Client.fromSocket(new h(s),t))});s.once("error",r)})}})),define(t[88],i([0,1,79,118,7,10,8]),(function(e,t,i,n,r,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=0,c=[a,[]];function l(e,t,i,n){if(!e||!t)return c;const r=e.length,s=t.length;if(r<s)return c;const o=e.toLowerCase();if(!n){if(-1===o.indexOf(i))return c}return function(e,t,i,n,r,s){const o=[],c=[];for(let l=0;l<i;l++){const i=l*s,h=i-s,d=l>0,p=e[l],f=t[l];for(let e=0;e<s;e++){const t=e>0,s=i+e,l=s-1,m=h+e-1,g=t?o[l]:0,v=d&&t?o[m]:0,_=d&&t?c[m]:0;let y;(y=!v&&d?0:u(p,f,n,r,e,_))&&v+y>=g?(c[s]=_+1,o[s]=v+y):(c[s]=a,o[s]=g)}}const l=[];let h=i-1,d=s-1;for(;h>=0&&d>=0;){c[h*s+d]===a?d--:(l.push(d),h--,d--)}return[o[i*s-1],l.reverse()]}(t,i,s,e,o,r)}function u(e,t,i,r,s,o){let a=0;if(t!==r[s])return a;if(a+=1,o>0&&(a+=5*o),e===i[s]&&(a+=1),0===s)a+=8;else{const e=function(e){switch(e){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:
case 58:return 4;default:return 0}}(i.charCodeAt(s-1));e?a+=e:n.isUpper(i.charCodeAt(s))&&(a+=1)}return a}t.score=l;const h=Object.freeze({score:0}),d=1<<18,p=1<<17,f=65536,m=32768;function g(e,t,i,a,c){if(!e||!t.value)return h;const u=a.getItemLabel(e);if(!u)return h;const g=a.getItemDescription(e);let _;const y=c[_=g?`${u}${g}${t.value}${i}`:`${u}${t.value}${i}`];if(y)return y;const w=function(e,t,i,a,c){if(i&&(s.isLinux?a.original===i:o.equalsIgnoreCase(a.original,i)))return{score:d,labelMatch:[{start:0,end:e.length}],descriptionMatch:t?[{start:0,end:t.length}]:void 0};if(!i||!a.containsPathSeparator){const t=n.matchesPrefix(a.value,e);if(t)return{score:p,labelMatch:t};const i=n.matchesCamelCase(a.value,e);if(i)return{score:f,labelMatch:i};const[r,s]=l(e,a.value,a.lowercase,c);if(r)return{score:r+m,labelMatch:v(s)}}if(t){let n=t;i&&(n=`${t}${r.sep}`);const s=n.length,o=`${n}${e}`,[u,h]=l(o,a.value,a.lowercase,c);if(u){const e=v(h),t=[],i=[];return e.forEach(e=>{e.start<s&&e.end>s?(t.push({start:0,
end:e.end-s}),i.push({start:e.start,end:s})):e.start>=s?t.push({start:e.start-s,end:e.end-s}):i.push(e)}),{score:u,labelMatch:t,descriptionMatch:i}}}return h}(u,g,a.getItemPath(e),t,i);return c[_]=w,w}function v(e){let t,i=[];if(!e)return i;for(const n of e)t&&t.end===n?t.end+=1:(t={start:n,end:n+1},i.push(t));return i}function _(e,t,i){let n=-1,r=-1;if(t.descriptionMatch&&t.descriptionMatch.length?n=t.descriptionMatch[0].start:t.labelMatch&&t.labelMatch.length&&(n=t.labelMatch[0].start),t.labelMatch&&t.labelMatch.length){if(r=t.labelMatch[t.labelMatch.length-1].end,t.descriptionMatch&&t.descriptionMatch.length){const t=i.getItemDescription(e);t&&(r+=t.length)}}else t.descriptionMatch&&t.descriptionMatch.length&&(r=t.descriptionMatch[t.descriptionMatch.length-1].end);return r-n}function y(e,t,n,r){const s=r.getItemLabel(e)||"",o=r.getItemLabel(t)||"",a=r.getItemDescription(e),c=r.getItemDescription(t),l=s.length+(a?a.length:0),u=o.length+(c?c.length:0);if(l!==u)return l-u
;const h=r.getItemPath(e),d=r.getItemPath(t);return h&&d&&h.length!==d.length?h.length-d.length:s!==o?i.compareAnything(s,o,n.value):a&&c&&a!==c?i.compareAnything(a,c,n.value):h&&d&&h!==d?i.compareAnything(h,d,n.value):0}t.prepareQuery=function(e){e||(e="");let t=o.stripWildcards(e).replace(/\s/g,"");s.isWindows&&(t=t.replace(/\//g,r.sep));const i=t.toLowerCase(),n=t.indexOf(r.sep)>=0;return{original:e,value:t,lowercase:i,containsPathSeparator:n}},t.scoreItem=g,t.compareItemsByScore=function(e,t,i,n,r,s,o=y){const a=g(e,i,n,r,s),c=g(t,i,n,r,s),l=a.score,u=c.score;if((l===d||u===d)&&l!==u)return l===d?-1:1;if(l===p||u===p){if(l!==u)return l===p?-1:1;const i=r.getItemLabel(e)||"",n=r.getItemLabel(t)||"";if(i.length!==n.length)return i.length-n.length}if(l===f||u===f){if(l!==u)return l===f?-1:1;const i=r.getItemLabel(e)||"",n=r.getItemLabel(t)||"",s=function(e,t){if(!((e||t)&&(e&&e.length||t&&t.length)))return 0;if(!t||!t.length)return-1;if(!e||!e.length)return 1
;const i=e[0].start,n=e[e.length-1].end-i,r=t[0].start,s=t[t.length-1].end-r;return n===s?0:s<n?1:-1}(a.labelMatch,c.labelMatch);if(0!==s)return s;if(i.length!==n.length)return i.length-n.length}if(l>m||u>m){if(u<m)return-1;if(l<m)return 1}if(l!==u)return l>u?-1:1;const h=_(e,a,r),v=_(t,c,r);return h&&v&&h!==v?v>h?-1:1:o(e,t,i,r)},t.fallbackCompare=y})),define(t[122],i([0,1,80]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class n{constructor(e){let t=i.toUint8(e);this._defaultValue=t,this._asciiMap=n._createAsciiMap(t),this._map=new Map}static _createAsciiMap(e){let t=new Uint8Array(256);for(let i=0;i<256;i++)t[i]=e;return t}set(e,t){let n=i.toUint8(t);e>=0&&e<256?this._asciiMap[e]=n:this._map.set(e,n)}get(e){return e>=0&&e<256?this._asciiMap[e]:this._map.get(e)||this._defaultValue}}var r;t.CharacterClassifier=n,function(e){e[e.False=0]="False",e[e.True=1]="True"}(r||(r={}));t.CharacterSet=class{constructor(){this._actual=new n(0)}add(e){this._actual.set(e,1)}has(e){
return 1===this._actual.get(e)}}})),define(t[50],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(e,t){this.lineNumber=e,this.column=t}with(e=this.lineNumber,t=this.column){return e===this.lineNumber&&t===this.column?this:new i(e,t)}delta(e=0,t=0){return this.with(this.lineNumber+e,this.column+t)}equals(e){return i.equals(this,e)}static equals(e,t){return!e&&!t||!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column}isBefore(e){return i.isBefore(this,e)}static isBefore(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<t.column}isBeforeOrEqual(e){return i.isBeforeOrEqual(this,e)}static isBeforeOrEqual(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<=t.column}static compare(e,t){let i=0|e.lineNumber,n=0|t.lineNumber;if(i===n){return(0|e.column)-(0|t.column)}return i-n}clone(){return new i(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(e){
return new i(e.lineNumber,e.column)}static isIPosition(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column}}t.Position=i})),define(t[43],i([0,1,50]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class n{constructor(e,t,i,n){e>i||e===i&&t>n?(this.startLineNumber=i,this.startColumn=n,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=i,this.endColumn=n)}isEmpty(){return n.isEmpty(this)}static isEmpty(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn}containsPosition(e){return n.containsPosition(this,e)}static containsPosition(e,t){return!(t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber)&&(!(t.lineNumber===e.startLineNumber&&t.column<e.startColumn)&&!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn))}containsRange(e){return n.containsRange(this,e)}static containsRange(e,t){
return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)))}strictContainsRange(e){return n.strictContainsRange(this,e)}static strictContainsRange(e,t){return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<=e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>=e.endColumn)))}plusRange(e){return n.plusRange(this,e)}static plusRange(e,t){let i,r,s,o;return t.startLineNumber<e.startLineNumber?(i=t.startLineNumber,r=t.startColumn):t.startLineNumber===e.startLineNumber?(i=t.startLineNumber,r=Math.min(t.startColumn,e.startColumn)):(i=e.startLineNumber,r=e.startColumn),t.endLineNumber>e.endLineNumber?(s=t.endLineNumber,
o=t.endColumn):t.endLineNumber===e.endLineNumber?(s=t.endLineNumber,o=Math.max(t.endColumn,e.endColumn)):(s=e.endLineNumber,o=e.endColumn),new n(i,r,s,o)}intersectRanges(e){return n.intersectRanges(this,e)}static intersectRanges(e,t){let i=e.startLineNumber,r=e.startColumn,s=e.endLineNumber,o=e.endColumn,a=t.startLineNumber,c=t.startColumn,l=t.endLineNumber,u=t.endColumn;return i<a?(i=a,r=c):i===a&&(r=Math.max(r,c)),s>l?(s=l,o=u):s===l&&(o=Math.min(o,u)),i>s?null:i===s&&r>o?null:new n(i,r,s,o)}equalsRange(e){return n.equalsRange(this,e)}static equalsRange(e,t){return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn}getEndPosition(){return n.getEndPosition(this)}static getEndPosition(e){return new i.Position(e.endLineNumber,e.endColumn)}getStartPosition(){return n.getStartPosition(this)}static getStartPosition(e){return new i.Position(e.startLineNumber,e.startColumn)}toString(){
return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(e,t){return new n(this.startLineNumber,this.startColumn,e,t)}setStartPosition(e,t){return new n(e,t,this.endLineNumber,this.endColumn)}collapseToStart(){return n.collapseToStart(this)}static collapseToStart(e){return new n(e.startLineNumber,e.startColumn,e.startLineNumber,e.startColumn)}static fromPositions(e,t=e){return new n(e.lineNumber,e.column,t.lineNumber,t.column)}static lift(e){return e?new n(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn):null}static isIRange(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn}static areIntersectingOrTouching(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)}static areIntersecting(e,t){
return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<=t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<=e.startColumn)}static compareRangesUsingStarts(e,t){if(e&&t){const i=0|e.startLineNumber,n=0|t.startLineNumber;if(i===n){const i=0|e.startColumn,n=0|t.startColumn;if(i===n){const i=0|e.endLineNumber,n=0|t.endLineNumber;if(i===n){return(0|e.endColumn)-(0|t.endColumn)}return i-n}return i-n}return i-n}return(e?1:0)-(t?1:0)}static compareRangesUsingEnds(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber}static spansMultipleLines(e){return e.endLineNumber>e.startLineNumber}}t.Range=n})),define(t[123],i([0,1,50,43]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"
}(t.SelectionDirection||(t.SelectionDirection={}));class r extends n.Range{constructor(e,t,i,n){super(e,t,i,n),this.selectionStartLineNumber=e,this.selectionStartColumn=t,this.positionLineNumber=i,this.positionColumn=n}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(e){return r.selectionsEqual(this,e)}static selectionsEqual(e,t){return e.selectionStartLineNumber===t.selectionStartLineNumber&&e.selectionStartColumn===t.selectionStartColumn&&e.positionLineNumber===t.positionLineNumber&&e.positionColumn===t.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(e,t){return 0===this.getDirection()?new r(this.startLineNumber,this.startColumn,e,t):new r(e,t,this.startLineNumber,this.startColumn)}getPosition(){return new i.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(e,t){
return 0===this.getDirection()?new r(e,t,this.endLineNumber,this.endColumn):new r(this.endLineNumber,this.endColumn,e,t)}static fromPositions(e,t=e){return new r(e.lineNumber,e.column,t.lineNumber,t.column)}static liftSelection(e){return new r(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)}static selectionsArrEqual(e,t){if(e&&!t||!e&&t)return!1;if(!e&&!t)return!0;if(e.length!==t.length)return!1;for(let i=0,n=e.length;i<n;i++)if(!this.selectionsEqual(e[i],t[i]))return!1;return!0}static isISelection(e){return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn}static createWithDirection(e,t,i,n,s){return 0===s?new r(e,t,i,n):new r(i,n,e,t)}}t.Selection=r})),define(t[124],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"
}(t.OverviewRulerLane||(t.OverviewRulerLane={})),function(e){e[e.Inline=1]="Inline",e[e.Gutter=2]="Gutter"}(t.MinimapPosition||(t.MinimapPosition={})),function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={})),function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={})),function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));t.TextModelResolvedOptions=class{constructor(e){this.tabSize=Math.max(1,0|e.tabSize),this.indentSize=0|e.tabSize,this.insertSpaces=Boolean(e.insertSpaces),this.defaultEOL=0|e.defaultEOL,this.trimAutoWhitespace=Boolean(e.trimAutoWhitespace)}equals(e){return this.tabSize===e.tabSize&&this.indentSize===e.indentSize&&this.insertSpaces===e.insertSpaces&&this.defaultEOL===e.defaultEOL&&this.trimAutoWhitespace===e.trimAutoWhitespace}createChangeEvent(e){return{tabSize:this.tabSize!==e.tabSize,indentSize:this.indentSize!==e.indentSize,
insertSpaces:this.insertSpaces!==e.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==e.trimAutoWhitespace}}};t.FindMatch=class{constructor(e,t){this.range=e,this.matches=t}},function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={})),function(e){e[e.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"}(t.ModelConstants||(t.ModelConstants={}));t.ValidAnnotatedEditOperation=class{constructor(e,t,i,n,r,s){this.identifier=e,this.range=t,this.text=i,this.forceMoveMarkers=n,this.isAutoWhitespaceEdit=r,this._isTracked=s}};t.ApplyEditsResult=class{constructor(e,t,i){this.reverseEdits=e,this.changes=t,this.trimAutoWhitespaceLineNumbers=i}}})),define(t[89],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{
value:!0}),t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.DEFAULT_WORD_REGEXP=function(e=""){let i="(-?\\d*\\.\\d\\w*)|([^";for(const n of t.USUAL_WORD_SEPARATORS)e.indexOf(n)>=0||(i+="\\"+n);return i+="\\s]+)",new RegExp(i,"g")}(),t.ensureValidWordDefinition=function(e){let i=t.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)i=e;else{let t="g";e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.unicode&&(t+="u"),i=new RegExp(e.source,t)}return i.lastIndex=0,i},t.getWordAtText=function(e,t,i,n){t.lastIndex=0;let r=t.exec(i);if(!r)return null;const s=r[0].indexOf(" ")>=0?function(e,t,i,n){let r,s=e-1-n;for(t.lastIndex=0;r=t.exec(i);){const e=r.index||0;if(e>s)return null;if(t.lastIndex>=s)return{word:r[0],startColumn:n+1+e,endColumn:n+1+t.lastIndex}}return null}(e,t,i,n):function(e,t,i,n){let r,s=e-1-n,o=i.lastIndexOf(" ",s-1)+1;for(t.lastIndex=o;r=t.exec(i);){const e=r.index||0;if(e<=s&&t.lastIndex>=s)return{word:r[0],startColumn:n+1+e,endColumn:n+1+t.lastIndex}}return null}(e,t,i,n)
;return t.lastIndex=0,s}})),define(t[125],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));t.StandardAutoClosingPairConditional=class{constructor(e){if(this.open=e.open,this.close=e.close,this._standardTokenMask=0,Array.isArray(e.notIn))for(let t=0,i=e.notIn.length;t<i;t++){switch(e.notIn[t]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4}}}isOK(e){return 0==(this._standardTokenMask&e)}}})),define(t[90],i([0,1,33]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.score=function e(t,n,r,s){if(Array.isArray(t)){let i=0;for(const o of t){const t=e(o,n,r,s);if(10===t)return t;t>i&&(i=t)}return i}if("string"==typeof t)return s?"*"===t?5:t===r?10:0:0;if(t){
const{language:e,pattern:o,scheme:a,hasAccessToAllModels:c}=t;if(!s&&!c)return 0;let l=0;if(a)if(a===n.scheme)l=10;else{if("*"!==a)return 0;l=5}if(e)if(e===r)l=10;else{if("*"!==e)return 0;l=Math.max(l,5)}if(o){if(o!==n.fsPath&&!i.match(o,n.fsPath))return 0;l=10}return l}return 0}})),define(t[126],i([0,1,122]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Invalid=0]="Invalid",e[e.Start=1]="Start",e[e.H=2]="H",e[e.HT=3]="HT",e[e.HTT=4]="HTT",e[e.HTTP=5]="HTTP",e[e.F=6]="F",e[e.FI=7]="FI",e[e.FIL=8]="FIL",e[e.BeforeColon=9]="BeforeColon",e[e.AfterColon=10]="AfterColon",e[e.AlmostThere=11]="AlmostThere",e[e.End=12]="End",e[e.Accept=13]="Accept",e[e.LastKnownState=14]="LastKnownState"}(t.State||(t.State={}));class n{constructor(e,t,i){const n=new Uint8Array(e*t);for(let r=0,s=e*t;r<s;r++)n[r]=i;this._data=n,this.rows=e,this.cols=t}get(e,t){return this._data[e*this.cols+t]}set(e,t,i){this._data[e*this.cols+t]=i}}t.Uint8Matrix=n;class r{constructor(e){let t=0,i=0
;for(let n=0,r=e.length;n<r;n++){let[r,s,o]=e[n];s>t&&(t=s),r>i&&(i=r),o>i&&(i=o)}let r=new n(++i,++t,0);for(let t=0,i=e.length;t<i;t++){let[i,n,s]=e[t];r.set(i,n,s)}this._states=r,this._maxCharCode=t}nextState(e,t){return t<0||t>=this._maxCharCode?0:this._states.get(e,t)}}t.StateMachine=r;let s=null;var o;!function(e){e[e.None=0]="None",e[e.ForceTermination=1]="ForceTermination",e[e.CannotEndIn=2]="CannotEndIn"}(o||(o={}));let a=null;class c{static _createLink(e,t,i,n,r){let s=r-1;do{const i=t.charCodeAt(s);if(2!==e.get(i))break;s--}while(s>n);if(n>0){const e=t.charCodeAt(n-1),i=t.charCodeAt(s);(40===e&&41===i||91===e&&93===i||123===e&&125===i)&&s--}return{range:{startLineNumber:i,startColumn:n+1,endLineNumber:i,endColumn:s+2},url:t.substring(n,s+1)}}static computeLinks(e,t=(null===s&&(s=new r([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),
s)){const n=function(){if(null===a){a=new i.CharacterClassifier(0);const e=" \t<>'\"、。｡､，．：；？！＠＃＄％＆＊‘“〈《「『【〔（［｛｢｣｝］）〕】』」》〉”’｀～…";for(let t=0;t<e.length;t++)a.set(e.charCodeAt(t),1);const t=".,;";for(let e=0;e<t.length;e++)a.set(t.charCodeAt(e),2)}return a}();let o=[];for(let i=1,r=e.getLineCount();i<=r;i++){const r=e.getLineContent(i),s=r.length;let a=0,l=0,u=0,h=1,d=!1,p=!1,f=!1,m=!1;for(;a<s;){let e=!1;const s=r.charCodeAt(a);if(13===h){let t;switch(s){case 40:d=!0,t=0;break;case 41:t=d?0:1;break;case 91:f=!0,p=!0,t=0;break;case 93:f=!1,t=p?0:1;break;case 123:m=!0,t=0;break;case 125:t=m?0:1;break;case 39:t=34===u||96===u?0:1;break;case 34:t=39===u||96===u?0:1;break;case 96:t=39===u||34===u?0:1;break;case 42:t=42===u?1:0;break;case 124:t=124===u?1:0;break;case 32:t=f?0:1;break;default:t=n.get(s)}1===t&&(o.push(c._createLink(n,r,i,l,a)),e=!0)}else if(12===h){let t;91===s?(p=!0,t=0):t=n.get(s),1===t?e=!0:h=13}else 0===(h=t.nextState(h,s))&&(e=!0);e&&(h=1,d=!1,p=!1,m=!1,l=a+1,u=s),a++}
13===h&&o.push(c._createLink(n,r,i,l,s))}return o}}t.LinkComputer=c,t.computeLinks=function(e){return e&&"function"==typeof e.getLineCount&&"function"==typeof e.getLineContent?c.computeLinks(e):[]}})),define(t[127],i([0,1,3,6,13,24]),(function(e,t,i,n,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.TokenizationRegistryImpl=class{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(e){this._onDidChange.fire({changedLanguages:e,changedColorMap:!1})}register(e,t){return this._map.set(e,t),this.fire([e]),n.toDisposable(()=>{this._map.get(e)===t&&(this._map.delete(e),this.fire([e]))})}registerPromise(e,t){let i=null,r=!1;return this._promises.set(e,t.then(t=>{this._promises.delete(e),!r&&t&&(i=this.register(e,t))})),n.toDisposable(()=>{r=!0,i&&i.dispose()})}getPromise(e){const t=this.get(e);if(t)return Promise.resolve(t);const i=this._promises.get(e);return i?i.then(t=>this.get(e)):null}get(e){
return r.withUndefinedAsNull(this._map.get(e))}setColorMap(e){this._colorMap=e,this._onDidChange.fire({changedLanguages:s.keys(this._map),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}})),define(t[128],i([0,1,80]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class n{constructor(e,t){this.index=e,this.remainder=t}}t.PrefixSumIndexOfResult=n;t.PrefixSumComputer=class{constructor(e){this.values=e,this.prefixSum=new Uint32Array(e.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(e,t){e=i.toUint32(e);const n=this.values,r=this.prefixSum,s=t.length;return 0!==s&&(this.values=new Uint32Array(n.length+s),this.values.set(n.subarray(0,e),0),this.values.set(n.subarray(e),e+s),this.values.set(t,e),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),
this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(r.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(e,t){return e=i.toUint32(e),t=i.toUint32(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),!0)}removeValues(e,t){e=i.toUint32(e),t=i.toUint32(t);const n=this.values,r=this.prefixSum;if(e>=n.length)return!1;let s=n.length-e;return t>=s&&(t=s),0!==t&&(this.values=new Uint32Array(n.length-t),this.values.set(n.subarray(0,e),0),this.values.set(n.subarray(e+t),e),this.prefixSum=new Uint32Array(this.values.length),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(r.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return 0===this.values.length?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(e){return e<0?0:(e=i.toUint32(e),this._getAccumulatedValue(e))}_getAccumulatedValue(e){
if(e<=this.prefixSumValidIndex[0])return this.prefixSum[e];let t=this.prefixSumValidIndex[0]+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(let i=t;i<=e;i++)this.prefixSum[i]=this.prefixSum[i-1]+this.values[i];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],e),this.prefixSum[e]}getIndexOf(e){e=Math.floor(e),this.getTotalValue();let t=0,i=this.values.length-1,r=0,s=0,o=0;for(;t<=i;)if(r=t+(i-t)/2|0,e<(o=(s=this.prefixSum[r])-this.values[r]))i=r-1;else{if(!(e>=s))break;t=r+1}return new n(r,e-o)}}})),define(t[129],i([0,1,50,128]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.MirrorTextModel=class{constructor(e,t,i,n){this._uri=e,this._lines=t,this._eol=i,this._versionId=n,this._lineStarts=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._lines.join(this._eol)}onEvents(e){e.eol&&e.eol!==this._eol&&(this._eol=e.eol,this._lineStarts=null);const t=e.changes
;for(const e of t)this._acceptDeleteRange(e.range),this._acceptInsertText(new i.Position(e.range.startLineNumber,e.range.startColumn),e.text);this._versionId=e.versionId}_ensureLineStarts(){if(!this._lineStarts){const e=this._eol.length,t=this._lines.length,i=new Uint32Array(t);for(let n=0;n<t;n++)i[n]=this._lines[n].length+e;this._lineStarts=new n.PrefixSumComputer(i)}}_setLineText(e,t){this._lines[e]=t,this._lineStarts&&this._lineStarts.changeValue(e,this._lines[e].length+this._eol.length)}_acceptDeleteRange(e){if(e.startLineNumber!==e.endLineNumber)this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber);else{if(e.startColumn===e.endColumn)return
;this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}}_acceptInsertText(e,t){if(0===t.length)return;let i=t.split(/\r\n|\r|\n/);if(1===i.length)return void this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+i[0]+this._lines[e.lineNumber-1].substring(e.column-1));i[i.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+i[0]);let n=new Uint32Array(i.length-1);for(let t=1;t<i.length;t++)this._lines.splice(e.lineNumber+t-1,0,i[t]),n[t-1]=i[t].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,n)}}})),define(t[130],i([16,17]),(function(e,t){return e.create("vs/base/common/date",t)})),define(t[131],i([0,1,8,130]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const r=60,s=60*r,o=24*s,a=7*o,c=30*o,l=365*o
;t.fromNow=function(e,t){"number"!=typeof e&&(e=e.getTime());const i=Math.round(((new Date).getTime()-e)/1e3);if(i<30)return n.localize(0,null);let u;return i<r?(u=i,t?1===u?n.localize(1,null,u):n.localize(2,null,u):1===u?n.localize(3,null,u):n.localize(4,null,u)):i<s?(u=Math.floor(i/r),t?1===u?n.localize(5,null,u):n.localize(6,null,u):1===u?n.localize(7,null,u):n.localize(8,null,u)):i<o?(u=Math.floor(i/s),t?1===u?n.localize(9,null,u):n.localize(10,null,u):1===u?n.localize(11,null,u):n.localize(12,null,u)):i<a?(u=Math.floor(i/o),t?1===u?n.localize(13,null,u):n.localize(14,null,u):1===u?n.localize(15,null,u):n.localize(16,null,u)):i<c?(u=Math.floor(i/a),t?1===u?n.localize(17,null,u):n.localize(18,null,u):1===u?n.localize(19,null,u):n.localize(20,null,u)):i<l?(u=Math.floor(i/c),t?1===u?n.localize(21,null,u):n.localize(22,null,u):1===u?n.localize(23,null,u):n.localize(24,null,u)):(u=Math.floor(i/l),t?1===u?n.localize(25,null,u):n.localize(26,null,u):1===u?n.localize(27,null,u):n.localize(28,null,u))},
t.toLocalISOString=function(e){return e.getFullYear()+"-"+i.pad(e.getMonth()+1,2)+"-"+i.pad(e.getDate(),2)+"T"+i.pad(e.getHours(),2)+":"+i.pad(e.getMinutes(),2)+":"+i.pad(e.getSeconds(),2)+"."+(e.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}})),define(t[132],i([16,17]),(function(e,t){return e.create("vs/base/common/errorMessage",t)})),define(t[44],i([0,1,132,13,12]),(function(e,t,i,n,r){"use strict";function s(e,t){return t&&(e.stack||e.stacktrace)?i.localize(0,null,a(e),o(e.stack)||o(e.stacktrace)):a(e)}function o(e){return Array.isArray(e)?e.join("\n"):e}function a(e){return"string"==typeof e.code&&"number"==typeof e.errno&&"string"==typeof e.syscall?i.localize(1,null,e.message):e.message||i.localize(2,null)}Object.defineProperty(t,"__esModule",{value:!0}),t.toErrorMessage=function e(t=null,o=!1){if(!t)return i.localize(3,null);if(Array.isArray(t)){const n=r.coalesce(t),s=e(n[0],o);return n.length>1?i.localize(4,null,s,n.length):s}if(n.isString(t))return t;if(t.detail){const e=t.detail
;if(e.error)return s(e.error,o);if(e.exception)return s(e.exception,o)}return t.stack?s(t,o):t.message?t.message:i.localize(5,null)}})),define(t[133],i([16,17]),(function(e,t){return e.create("vs/base/common/severity",t)})),define(t[63],i([0,1,133,8]),(function(e,t,i,n){"use strict";var r;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(r||(r={})),function(e){const t="error",r="warning",s="warn",o="info",a=Object.create(null);a[e.Error]=i.localize(0,null),a[e.Warning]=i.localize(1,null),a[e.Info]=i.localize(2,null),e.fromValue=function(i){return i?n.equalsIgnoreCase(t,i)?e.Error:n.equalsIgnoreCase(r,i)||n.equalsIgnoreCase(s,i)?e.Warning:n.equalsIgnoreCase(o,i)?e.Info:e.Ignore:e.Ignore}}(r||(r={})),t.default=r})),define(t[134],i([16,17]),(function(e,t){return e.create("vs/base/node/processes",t)})),define(t[64],i([0,1,7,34,62,29,134,13,18,32,10,119,59]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d){"use strict"
;function p(e){switch(e){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function f(){return process.env.comspec||"cmd.exe"}Object.defineProperty(t,"__esModule",{value:!0}),t.getWindowsShell=f;class m{constructor(e,t,i,n){if(void 0!==t&&void 0!==i&&void 0!==n)this.cmd=e,this.args=t,this.shell=i,this.options=n;else{const t=e;this.cmd=t.command,this.shell=t.isShellCommand,this.args=t.args.slice(0),this.options=t.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const e=Object.create(null);Object.keys(process.env).forEach(t=>{e[t]=process.env[t]}),Object.keys(this.options.env).forEach(t=>{e[t]=this.options.env[t]}),this.options.env=e}}getSanitizedCommand(){let e=this.cmd.toLowerCase();const t=e.lastIndexOf(i.sep);return-1!==t&&(e=e.substring(t+1)),m.WellKnowCommands[e]?e:"other"}start(e){
return u.isWindows&&(this.options&&this.options.cwd&&l.isUNC(this.options.cwd)||!this.options&&l.isUNC(process.cwd()))?Promise.reject(new Error(o.localize(0,null))):this.useExec().then(t=>{let i,n;const r=new Promise((e,t)=>{i=e,n=t});if(t){let t=this.cmd;this.args&&(t=t+" "+this.args.join(" ")),this.childProcess=s.exec(t,this.options,(t,r,s)=>{this.childProcess=null;t&&t.killed?n({killed:this.terminateRequested,stdout:r.toString(),stderr:s.toString()}):this.handleExec(i,e,t,r,s)})}else{let t=null;const r=t=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(t,i,e,n);const r={terminated:this.terminateRequested};a.isNumber(t)&&(r.cmdCode=t),i(r)};if(this.shell&&u.isWindows){const e=c.deepClone(this.options);e.windowsVerbatimArguments=!0,e.detached=!1;let i=!1,n=!1;const r=[];let o=this.ensureQuotes(this.cmd);r.push(o.value),i=o.quoted,this.args&&this.args.forEach(e=>{o=this.ensureQuotes(e),r.push(o.value),n=n&&o.quoted});const a=["/s","/c"]
;i?n?a.push('"'+r.join(" ")+'"'):r.length>1?a.push('"'+r[0]+'" '+r.slice(1).join(" ")):a.push('"'+r[0]+'"'):a.push(r.join(" ")),t=s.spawn(f(),a,e)}else this.cmd&&(t=s.spawn(this.cmd,this.args,this.options));t&&(this.childProcess=t,this.childProcessPromise=Promise.resolve(t),this.pidResolve&&(this.pidResolve(a.isNumber(t.pid)?t.pid:-1),this.pidResolve=void 0),t.on("error",e=>{this.childProcess=null,n({terminated:this.terminateRequested,error:e})}),t.pid&&(this.childProcess.on("close",r),this.handleSpawn(t,i,e,n,!0)))}return r})}handleClose(e,t,i,n){}ensureQuotes(e){return m.regexp.test(e)?{value:'"'+e+'"',quoted:!0}:{value:e,quoted:e.length>0&&'"'===e[0]&&'"'===e[e.length-1]}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(e=>e.pid,e=>-1):new Promise(e=>{this.pidResolve=e})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(t=>(this.terminateRequested=!0,function(t,i){if(u.isWindows)try{const e={stdio:["pipe","pipe","ignore"]};i&&(e.cwd=i)
;const n=s.execFile("taskkill",["/T","/F","/PID",t.pid.toString()],e);return new Promise((e,t)=>{n.once("error",t=>{e({success:!1,error:t})}),n.once("exit",(t,i)=>{e(0===t?{success:!0}:{success:!1,code:null!==t?t:1})})})}catch(e){return Promise.resolve({success:!1,error:e,code:e.status?p(e.status):1})}else if(u.isLinux||u.isMacintosh)try{const i=d.getPathFromAmdModule(e,"vs/base/node/terminateProcess.sh");return new Promise((e,n)=>{s.execFile(i,[t.pid.toString()],{encoding:"utf8",shell:!0},(t,i,n)=>{e(t?{success:!1,error:t}:{success:!0})})})}catch(e){return Promise.resolve({success:!1,error:e})}else t.kill("SIGKILL");return Promise.resolve({success:!0})}(t,this.options.cwd).then(e=>(e.success&&(this.childProcess=null),e))),e=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise((e,t)=>{if(!this.shell||!u.isWindows)return e(!1);const i=s.spawn(f(),["/s","/c"]);i.on("error",t=>e(!0)),i.on("exit",t=>e(!1))})}}t.AbstractProcess=m,m.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,
grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},m.regexp=/^[^"].* .*[^"]/;t.LineProcess=class extends m{constructor(e,t,i,n){super(e,t,i,n),this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(e,t,i,n,r){[n,r].forEach((e,i)=>{const n=new h.LineDecoder;n.write(e).forEach(e=>{t({line:e,source:0===i?0:1})});const r=n.end();r&&t({line:r,source:0===i?0:1})}),e({terminated:this.terminateRequested,error:i})}handleSpawn(e,t,i,n,r){const s=new h.LineDecoder,o=new h.LineDecoder;e.stdout.on("data",e=>{s.write(e).forEach(e=>i({line:e,source:0}))}),e.stderr.on("data",e=>{o.write(e).forEach(e=>i({line:e,source:1}))}),this.stdoutLineDecoder=s,this.stderrLineDecoder=o}handleClose(e,t,i,n){const r=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;r&&i({line:r,source:0});const s=this.stderrLineDecoder?this.stderrLineDecoder.end():null;s&&i({line:s,source:1})}},t.createQueuedSender=function(e){let t=[],i=!1;const n=function(r){
if(i)return void t.push(r);e.send(r,e=>{if(e&&console.error(e),i=!1,t.length>0){const e=t.slice(0);t=[],e.forEach(e=>n(e))}})&&!u.isWindows||(i=!0)};return{send:n}},function(e){e.findExecutable=async function(e,t,s){if(i.isAbsolute(e))return e;if(void 0===t&&(t=process.cwd()),"."!==i.dirname(e))return i.join(t,e);if(void 0===s&&a.isString(process.env.PATH)&&(s=process.env.PATH.split(i.delimiter)),void 0===s||0===s.length)return i.join(t,e);async function o(e){return!!await r.promisify(n.exists)(e)&&!(await r.promisify(n.stat)(e)).isDirectory}for(let n of s){let r;if(r=i.isAbsolute(n)?i.join(n,e):i.join(t,n,e),await o(r))return r;let s=r+".com";if(await o(s))return s;if(s=r+".exe",await o(s))return s}return i.join(t,e)}}(t.win32||(t.win32={}))})),define(t[135],i([16,17]),(function(e,t){return e.create("vs/editor/common/config/editorOptions",t)})),define(t[136],i([0,1,135,10,89]),(function(e,t,i,n,r){"use strict";var s;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.None=0]="None",
e[e.Keep=1]="Keep",e[e.Brackets=2]="Brackets",e[e.Advanced=3]="Advanced",e[e.Full=4]="Full"}(t.EditorAutoIndentStrategy||(t.EditorAutoIndentStrategy={})),t.MINIMAP_GUTTER_WIDTH=8;t.ConfigurationChangedEvent=class{constructor(e){this._values=e}hasChanged(e){return this._values[e]}};t.ValidatedEditorOptions=class{constructor(){this._values=[]}_read(e){return this._values[e]}get(e){return this._values[e]}_write(e,t){this._values[e]=t}};class o{constructor(e,t,i,n){this.id=e,this.name=t,this.defaultValue=i,this.schema=n}compute(e,t,i){return i}}class a{constructor(e,t=null){this.schema=void 0,this.id=e,this.name="_never_",this.defaultValue=void 0,this.deps=t}validate(e){return this.defaultValue}}class c{constructor(e,t,i,n){this.id=e,this.name=t,this.defaultValue=i,this.schema=n}validate(e){return void 0===e?this.defaultValue:e}compute(e,t,i){return i}}class l extends c{static boolean(e,t){return void 0===e?t:"false"!==e&&Boolean(e)}constructor(e,t,i,n){void 0!==n&&(n.type="boolean",n.default=i),super(e,t,i,n)}
validate(e){return l.boolean(e,this.defaultValue)}}class u extends c{constructor(e,t,i,n,r,s){void 0!==s&&(s.type="integer",s.default=i,s.minimum=n,s.maximum=r),super(e,t,i,s),this.minimum=n,this.maximum=r}static clampedInt(e,t,i,n){let r;return void 0===e?r=t:(r=parseInt(e,10),isNaN(r)&&(r=t)),r=Math.max(i,r),0|(r=Math.min(n,r))}validate(e){return u.clampedInt(e,this.defaultValue,this.minimum,this.maximum)}}class h extends c{constructor(e,t,i,n,r){void 0!==r&&(r.type="number",r.default=i),super(e,t,i,r),this.validationFn=n}static clamp(e,t,i){return e<t?t:e>i?i:e}static float(e,t){if("number"==typeof e)return e;if(void 0===e)return t;const i=parseFloat(e);return isNaN(i)?t:i}validate(e){return this.validationFn(h.float(e,this.defaultValue))}}class d extends c{static string(e,t){return"string"!=typeof e?t:e}constructor(e,t,i,n){void 0!==n&&(n.type="string",n.default=i),super(e,t,i,n)}validate(e){return d.string(e,this.defaultValue)}}class p extends c{constructor(e,t,i,n,r){void 0!==r&&(r.type="string",
r.enum=n,r.default=i),super(e,t,i,r),this._allowedValues=n}static stringSet(e,t,i){return"string"!=typeof e?t:-1===i.indexOf(e)?t:e}validate(e){return p.stringSet(e,this.defaultValue,this._allowedValues)}}class f extends o{constructor(e,t,i,n,r,s,o){void 0!==o&&(o.type="string",o.enum=r,o.default=n),super(e,t,i,o),this._allowedValues=r,this._convert=s}validate(e){return"string"!=typeof e?this.defaultValue:-1===this._allowedValues.indexOf(e)?this.defaultValue:this._convert(e)}}!function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"}(t.TextEditorCursorBlinkingStyle||(t.TextEditorCursorBlinkingStyle={})),function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(s=t.TextEditorCursorStyle||(t.TextEditorCursorStyle={})),t.cursorStyleToString=function(e){switch(e){case s.Line:return"line";case s.Block:
return"block";case s.Underline:return"underline";case s.LineThin:return"line-thin";case s.BlockOutline:return"block-outline";case s.UnderlineThin:return"underline-thin"}};class m extends o{constructor(){super(37,"fontLigatures",m.OFF,{anyOf:[{type:"boolean",description:i.localize(13,null)},{type:"string",description:i.localize(14,null)}],description:i.localize(15,null),default:!1})}validate(e){return void 0===e?this.defaultValue:"string"==typeof e?"false"===e?m.OFF:"true"===e?m.ON:e:Boolean(e)?m.ON:m.OFF}}t.EditorFontLigatures=m,m.OFF='"liga" off, "calt" off',m.ON='"liga" on, "calt" on';!function(e){e[e.None=0]="None",e[e.Text=1]="Text",e[e.Blocks=2]="Blocks"}(t.RenderMinimap||(t.RenderMinimap={}));class g extends a{constructor(){super(112,[42,50,31,56,82,52])}compute(e,t,i){return g.computeLayout(t,{outerWidth:e.outerWidth,outerHeight:e.outerHeight,lineHeight:e.fontInfo.lineHeight,viewLineCount:e.viewLineCount,lineNumbersDigitCount:e.lineNumbersDigitCount,
typicalHalfwidthCharacterWidth:e.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:e.fontInfo.maxDigitWidth,pixelRatio:e.pixelRatio})}static computeContainedMinimapLineCount(e){const t=e.height/e.lineHeight,i=e.scrollBeyondLastLine?t-1:0,n=(e.viewLineCount+i)/(e.pixelRatio*e.height);return{typicalViewportLineCount:t,extraLinesBeyondLastLine:i,desiredRatio:n,minimapLineCount:Math.floor(e.viewLineCount/n)}}static computeLayout(e,i){const n=0|i.outerWidth,r=0|i.outerHeight,s=0|i.lineHeight,o=0|i.lineNumbersDigitCount,a=i.typicalHalfwidthCharacterWidth,c=i.maxDigitWidth,l=i.pixelRatio,h=e.get(42),d=0!==e.get(52).renderType,p=0|e.get(53),f=e.get(84),m=e.get(56),v=m.enabled,_=m.side,y=m.renderCharacters;let w=l>=2?Math.round(2*m.scale):m.scale;const x=0|m.maxColumn,b=m.size,E=e.get(82),S=0|E.verticalScrollbarSize,C=E.verticalHasArrows,P=0|E.arrowSize,D=0|E.horizontalScrollbarSize,T=e.get(50),I=e.get(31);let k;if("string"==typeof T&&/^\d+(\.\d+)?ch$/.test(T)){const e=parseFloat(T.substr(0,T.length-2))
;k=u.clampedInt(e*a,0,0,1e3)}else k=u.clampedInt(T,0,0,1e3);I&&(k+=16);let R=0;if(d){const e=Math.max(o,p);R=Math.round(e*c)}let A=0;h&&(A=s);let O=0,L=O+A,M=L+R,N=M+k;const F=n-A-R-k,H=y?2:3;let U,$,W,z,B,j=Math.floor(l*r);const V=j/l;let K,q=!1,G=!1,Q=H*w;if(v){let e=w/l,o=1;if("fill"===b||"fit"===b){const t=i.viewLineCount,{typicalViewportLineCount:n,extraLinesBeyondLastLine:a,desiredRatio:c,minimapLineCount:u}=g.computeContainedMinimapLineCount({viewLineCount:t,scrollBeyondLastLine:f,height:r,lineHeight:s,pixelRatio:l});if(t/u>1)q=!0,G=!0,Q=1,e=(w=1)/l;else{const i=Math.ceil((t+a)*Q);if("fill"===b||i>j){q=!0;const i=w;Q=Math.min(s*l,Math.max(1,Math.floor(1/c))),(w=Math.min(i+1,Math.max(1,Math.floor(Q/H))))>i&&(o=Math.min(2,w/i)),e=w/l/o,j=Math.ceil(Math.max(n,t+a)*Q)}}}U=y?1:2,(W=Math.max(0,Math.floor((F-S-2)*e/(a+e)))+t.MINIMAP_GUTTER_WIDTH)/e>x&&(W=Math.floor(x*e)),K=F-W,"left"===_?($=0,O+=W,L+=W,M+=W,N+=W):$=n-W-S,B=(z=Math.floor(l*W))/l,z=Math.floor(z*o)}else $=0,W=0,z=0,B=0,Q=1,U=0,K=F;const X=C?P:0
;return{width:n,height:r,glyphMarginLeft:O,glyphMarginWidth:A,lineNumbersLeft:L,lineNumbersWidth:R,decorationsLeft:M,decorationsWidth:k,contentLeft:N,contentWidth:K,renderMinimap:U,minimapLeft:$,minimapWidth:W,minimapHeightIsEditorHeight:q,minimapIsSampling:G,minimapScale:w,minimapLineHeight:Q,minimapCanvasInnerWidth:z,minimapCanvasInnerHeight:j,minimapCanvasOuterWidth:B,minimapCanvasOuterHeight:V,viewportColumn:Math.max(1,Math.floor((K-S-2)/a)),verticalScrollbarWidth:S,horizontalScrollbarHeight:D,overviewRuler:{top:X,width:S,height:r-2*X,right:0}}}}t.EditorLayoutInfoComputer=g;!function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(t.RenderLineNumbersType||(t.RenderLineNumbersType={}));t.filterValidationDecorations=function(e){const t=e.get(77);return"editable"===t?e.get(72):"on"!==t};function v(e,t){if("string"!=typeof e)return t;switch(e){case"hidden":return 2;case"visible":return 3;default:return 1}}!function(e){e[e.None=0]="None",
e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"}(t.WrappingIndent||(t.WrappingIndent={}));function _(e){return t.editorOptionsRegistry[e.id]=e,e}t.EDITOR_FONT_DEFAULTS={fontFamily:n.isMacintosh?"Menlo, Monaco, 'Courier New', monospace":n.isLinux?"'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'":"Consolas, 'Courier New', monospace",fontWeight:"normal",fontSize:n.isMacintosh?12:14,lineHeight:0,letterSpacing:0},t.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},t.editorOptionsRegistry=[],function(e){e[e.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",e[e.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",e[e.accessibilitySupport=2]="accessibilitySupport",e[e.accessibilityPageSize=3]="accessibilityPageSize",e[e.ariaLabel=4]="ariaLabel",e[e.autoClosingBrackets=5]="autoClosingBrackets",e[e.autoClosingOvertype=6]="autoClosingOvertype",
e[e.autoClosingQuotes=7]="autoClosingQuotes",e[e.autoIndent=8]="autoIndent",e[e.automaticLayout=9]="automaticLayout",e[e.autoSurround=10]="autoSurround",e[e.codeLens=11]="codeLens",e[e.colorDecorators=12]="colorDecorators",e[e.columnSelection=13]="columnSelection",e[e.comments=14]="comments",e[e.contextmenu=15]="contextmenu",e[e.copyWithSyntaxHighlighting=16]="copyWithSyntaxHighlighting",e[e.cursorBlinking=17]="cursorBlinking",e[e.cursorSmoothCaretAnimation=18]="cursorSmoothCaretAnimation",e[e.cursorStyle=19]="cursorStyle",e[e.cursorSurroundingLines=20]="cursorSurroundingLines",e[e.cursorSurroundingLinesStyle=21]="cursorSurroundingLinesStyle",e[e.cursorWidth=22]="cursorWidth",e[e.disableLayerHinting=23]="disableLayerHinting",e[e.disableMonospaceOptimizations=24]="disableMonospaceOptimizations",e[e.dragAndDrop=25]="dragAndDrop",e[e.emptySelectionClipboard=26]="emptySelectionClipboard",e[e.extraEditorClassName=27]="extraEditorClassName",e[e.fastScrollSensitivity=28]="fastScrollSensitivity",e[e.find=29]="find",
e[e.fixedOverflowWidgets=30]="fixedOverflowWidgets",e[e.folding=31]="folding",e[e.foldingStrategy=32]="foldingStrategy",e[e.foldingHighlight=33]="foldingHighlight",e[e.unfoldOnClickAfterEndOfLine=34]="unfoldOnClickAfterEndOfLine",e[e.fontFamily=35]="fontFamily",e[e.fontInfo=36]="fontInfo",e[e.fontLigatures=37]="fontLigatures",e[e.fontSize=38]="fontSize",e[e.fontWeight=39]="fontWeight",e[e.formatOnPaste=40]="formatOnPaste",e[e.formatOnType=41]="formatOnType",e[e.glyphMargin=42]="glyphMargin",e[e.gotoLocation=43]="gotoLocation",e[e.hideCursorInOverviewRuler=44]="hideCursorInOverviewRuler",e[e.highlightActiveIndentGuide=45]="highlightActiveIndentGuide",e[e.hover=46]="hover",e[e.inDiffEditor=47]="inDiffEditor",e[e.letterSpacing=48]="letterSpacing",e[e.lightbulb=49]="lightbulb",e[e.lineDecorationsWidth=50]="lineDecorationsWidth",e[e.lineHeight=51]="lineHeight",e[e.lineNumbers=52]="lineNumbers",e[e.lineNumbersMinChars=53]="lineNumbersMinChars",e[e.links=54]="links",e[e.matchBrackets=55]="matchBrackets",
e[e.minimap=56]="minimap",e[e.mouseStyle=57]="mouseStyle",e[e.mouseWheelScrollSensitivity=58]="mouseWheelScrollSensitivity",e[e.mouseWheelZoom=59]="mouseWheelZoom",e[e.multiCursorMergeOverlapping=60]="multiCursorMergeOverlapping",e[e.multiCursorModifier=61]="multiCursorModifier",e[e.multiCursorPaste=62]="multiCursorPaste",e[e.occurrencesHighlight=63]="occurrencesHighlight",e[e.overviewRulerBorder=64]="overviewRulerBorder",e[e.overviewRulerLanes=65]="overviewRulerLanes",e[e.padding=66]="padding",e[e.parameterHints=67]="parameterHints",e[e.peekWidgetDefaultFocus=68]="peekWidgetDefaultFocus",e[e.definitionLinkOpensInPeek=69]="definitionLinkOpensInPeek",e[e.quickSuggestions=70]="quickSuggestions",e[e.quickSuggestionsDelay=71]="quickSuggestionsDelay",e[e.readOnly=72]="readOnly",e[e.renderControlCharacters=73]="renderControlCharacters",e[e.renderIndentGuides=74]="renderIndentGuides",e[e.renderFinalNewline=75]="renderFinalNewline",e[e.renderLineHighlight=76]="renderLineHighlight",
e[e.renderValidationDecorations=77]="renderValidationDecorations",e[e.renderWhitespace=78]="renderWhitespace",e[e.revealHorizontalRightPadding=79]="revealHorizontalRightPadding",e[e.roundedSelection=80]="roundedSelection",e[e.rulers=81]="rulers",e[e.scrollbar=82]="scrollbar",e[e.scrollBeyondLastColumn=83]="scrollBeyondLastColumn",e[e.scrollBeyondLastLine=84]="scrollBeyondLastLine",e[e.scrollPredominantAxis=85]="scrollPredominantAxis",e[e.selectionClipboard=86]="selectionClipboard",e[e.selectionHighlight=87]="selectionHighlight",e[e.selectOnLineNumbers=88]="selectOnLineNumbers",e[e.showFoldingControls=89]="showFoldingControls",e[e.showUnused=90]="showUnused",e[e.snippetSuggestions=91]="snippetSuggestions",e[e.smoothScrolling=92]="smoothScrolling",e[e.stopRenderingLineAfter=93]="stopRenderingLineAfter",e[e.suggest=94]="suggest",e[e.suggestFontSize=95]="suggestFontSize",e[e.suggestLineHeight=96]="suggestLineHeight",e[e.suggestOnTriggerCharacters=97]="suggestOnTriggerCharacters",
e[e.suggestSelection=98]="suggestSelection",e[e.tabCompletion=99]="tabCompletion",e[e.useTabStops=100]="useTabStops",e[e.wordSeparators=101]="wordSeparators",e[e.wordWrap=102]="wordWrap",e[e.wordWrapBreakAfterCharacters=103]="wordWrapBreakAfterCharacters",e[e.wordWrapBreakBeforeCharacters=104]="wordWrapBreakBeforeCharacters",e[e.wordWrapColumn=105]="wordWrapColumn",e[e.wordWrapMinified=106]="wordWrapMinified",e[e.wrappingIndent=107]="wrappingIndent",e[e.wrappingStrategy=108]="wrappingStrategy",e[e.editorClassName=109]="editorClassName",e[e.pixelRatio=110]="pixelRatio",e[e.tabFocusMode=111]="tabFocusMode",e[e.layoutInfo=112]="layoutInfo",e[e.wrappingInfo=113]="wrappingInfo"}(t.EditorOption||(t.EditorOption={})),t.EditorOptions={acceptSuggestionOnCommitCharacter:_(new l(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:i.localize(100,null)})),acceptSuggestionOnEnter:_(new p(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",i.localize(101,null),""],
markdownDescription:i.localize(102,null)})),accessibilitySupport:_(new class extends o{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[i.localize(0,null),i.localize(1,null),i.localize(2,null)],default:"auto",description:i.localize(3,null)})}validate(e){switch(e){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(e,t,i){return 0===i?e.accessibilitySupport:i}}),accessibilityPageSize:_(new u(3,"accessibilityPageSize",10,1,1073741824,{description:i.localize(103,null)})),ariaLabel:_(new d(4,"ariaLabel",i.localize(104,null))),autoClosingBrackets:_(new p(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",i.localize(105,null),i.localize(106,null),""],description:i.localize(107,null)})),autoClosingOvertype:_(new p(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",i.localize(108,null),""],description:i.localize(109,null)})),
autoClosingQuotes:_(new p(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",i.localize(110,null),i.localize(111,null),""],description:i.localize(112,null)})),autoIndent:_(new f(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],(function(e){switch(e){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}),{enumDescriptions:[i.localize(113,null),i.localize(114,null),i.localize(115,null),i.localize(116,null),i.localize(117,null)],description:i.localize(118,null)})),automaticLayout:_(new l(9,"automaticLayout",!1)),autoSurround:_(new p(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[i.localize(119,null),i.localize(120,null),i.localize(121,null),""],description:i.localize(122,null)})),codeLens:_(new l(11,"codeLens",!0,{description:i.localize(123,null)})),colorDecorators:_(new l(12,"colorDecorators",!0,{
description:i.localize(124,null)})),columnSelection:_(new l(13,"columnSelection",!1,{description:i.localize(125,null)})),comments:_(new class extends o{constructor(){const e={insertSpace:!0};super(14,"comments",e,{"editor.comments.insertSpace":{type:"boolean",default:e.insertSpace,description:i.localize(4,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{insertSpace:l.boolean(t.insertSpace,this.defaultValue.insertSpace)}}}),contextmenu:_(new l(15,"contextmenu",!0)),copyWithSyntaxHighlighting:_(new l(16,"copyWithSyntaxHighlighting",!0,{description:i.localize(126,null)})),cursorBlinking:_(new f(17,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],(function(e){switch(e){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}),{description:i.localize(127,null)})),cursorSmoothCaretAnimation:_(new l(18,"cursorSmoothCaretAnimation",!1,{description:i.localize(128,null)})),
cursorStyle:_(new f(19,"cursorStyle",s.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],(function(e){switch(e){case"line":return s.Line;case"block":return s.Block;case"underline":return s.Underline;case"line-thin":return s.LineThin;case"block-outline":return s.BlockOutline;case"underline-thin":return s.UnderlineThin}}),{description:i.localize(129,null)})),cursorSurroundingLines:_(new u(20,"cursorSurroundingLines",0,0,1073741824,{description:i.localize(130,null)})),cursorSurroundingLinesStyle:_(new p(21,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[i.localize(131,null),i.localize(132,null)],description:i.localize(133,null)})),cursorWidth:_(new u(22,"cursorWidth",0,0,1073741824,{markdownDescription:i.localize(134,null)})),disableLayerHinting:_(new l(23,"disableLayerHinting",!1)),disableMonospaceOptimizations:_(new l(24,"disableMonospaceOptimizations",!1)),dragAndDrop:_(new l(25,"dragAndDrop",!0,{description:i.localize(135,null)})),
emptySelectionClipboard:_(new class extends l{constructor(){super(26,"emptySelectionClipboard",!0,{description:i.localize(5,null)})}compute(e,t,i){return i&&e.emptySelectionClipboard}}),extraEditorClassName:_(new d(27,"extraEditorClassName","")),fastScrollSensitivity:_(new h(28,"fastScrollSensitivity",5,e=>e<=0?5:e,{markdownDescription:i.localize(136,null)})),find:_(new class extends o{constructor(){const e={seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0};super(29,"find",e,{"editor.find.seedSearchStringFromSelection":{type:"boolean",default:e.seedSearchStringFromSelection,description:i.localize(6,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:e.autoFindInSelection,enumDescriptions:[i.localize(7,null),i.localize(8,null),i.localize(9,null)],description:i.localize(10,null)},"editor.find.globalFindClipboard":{type:"boolean",default:e.globalFindClipboard,description:i.localize(11,null),
included:n.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:e.addExtraSpaceOnTop,description:i.localize(12,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{seedSearchStringFromSelection:l.boolean(t.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:"boolean"==typeof e.autoFindInSelection?e.autoFindInSelection?"always":"never":p.stringSet(t.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:l.boolean(t.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:l.boolean(t.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop)}}}),fixedOverflowWidgets:_(new l(30,"fixedOverflowWidgets",!1)),folding:_(new l(31,"folding",!0,{description:i.localize(137,null)})),foldingStrategy:_(new p(32,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[i.localize(138,null),i.localize(139,null)],description:i.localize(140,null)})),
foldingHighlight:_(new l(33,"foldingHighlight",!0,{description:i.localize(141,null)})),unfoldOnClickAfterEndOfLine:_(new l(34,"unfoldOnClickAfterEndOfLine",!1,{description:i.localize(142,null)})),fontFamily:_(new d(35,"fontFamily",t.EDITOR_FONT_DEFAULTS.fontFamily,{description:i.localize(143,null)})),fontInfo:_(new class extends a{constructor(){super(36)}compute(e,t,i){return e.fontInfo}}),fontLigatures2:_(new m),fontSize:_(new class extends c{constructor(){super(38,"fontSize",t.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:t.EDITOR_FONT_DEFAULTS.fontSize,description:i.localize(16,null)})}validate(e){let i=h.float(e,this.defaultValue);return 0===i?t.EDITOR_FONT_DEFAULTS.fontSize:h.clamp(i,6,100)}compute(e,t,i){return e.fontInfo.fontSize}}),fontWeight:_(new d(39,"fontWeight",t.EDITOR_FONT_DEFAULTS.fontWeight,{enum:["normal","bold","100","200","300","400","500","600","700","800","900"],description:i.localize(144,null)})),formatOnPaste:_(new l(40,"formatOnPaste",!1,{
description:i.localize(145,null)})),formatOnType:_(new l(41,"formatOnType",!1,{description:i.localize(146,null)})),glyphMargin:_(new l(42,"glyphMargin",!0,{description:i.localize(147,null)})),gotoLocation:_(new class extends o{constructor(){const e={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},t={type:"string",enum:["peek","gotoAndPeek","goto"],default:e.multiple,enumDescriptions:[i.localize(17,null),i.localize(18,null),i.localize(19,null)]};super(43,"gotoLocation",e,{"editor.gotoLocation.multiple":{deprecationMessage:i.localize(20,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:i.localize(21,null)},t),
"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:i.localize(22,null)},t),"editor.gotoLocation.multipleDeclarations":Object.assign({description:i.localize(23,null)},t),"editor.gotoLocation.multipleImplementations":Object.assign({description:i.localize(24,null)},t),"editor.gotoLocation.multipleReferences":Object.assign({description:i.localize(25,null)},t),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:e.alternativeDefinitionCommand,description:i.localize(26,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:e.alternativeTypeDefinitionCommand,description:i.localize(27,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:e.alternativeDeclarationCommand,description:i.localize(28,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:e.alternativeImplementationCommand,description:i.localize(29,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",
default:e.alternativeReferenceCommand,description:i.localize(30,null)}})}validate(e){var t,i,n,r,s;if("object"!=typeof e)return this.defaultValue;const o=e;return{multiple:p.stringSet(o.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:null!==(t=o.multipleDefinitions)&&void 0!==t?t:p.stringSet(o.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:null!==(i=o.multipleTypeDefinitions)&&void 0!==i?i:p.stringSet(o.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:null!==(n=o.multipleDeclarations)&&void 0!==n?n:p.stringSet(o.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:null!==(r=o.multipleImplementations)&&void 0!==r?r:p.stringSet(o.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:null!==(s=o.multipleReferences)&&void 0!==s?s:p.stringSet(o.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),
alternativeDefinitionCommand:d.string(o.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:d.string(o.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:d.string(o.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:d.string(o.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:d.string(o.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}),hideCursorInOverviewRuler:_(new l(44,"hideCursorInOverviewRuler",!1,{description:i.localize(148,null)})),highlightActiveIndentGuide:_(new l(45,"highlightActiveIndentGuide",!0,{description:i.localize(149,null)})),hover:_(new class extends o{constructor(){const e={enabled:!0,delay:300,sticky:!0};super(46,"hover",e,{"editor.hover.enabled":{type:"boolean",default:e.enabled,description:i.localize(31,null)},
"editor.hover.delay":{type:"number",default:e.delay,description:i.localize(32,null)},"editor.hover.sticky":{type:"boolean",default:e.sticky,description:i.localize(33,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{enabled:l.boolean(t.enabled,this.defaultValue.enabled),delay:u.clampedInt(t.delay,this.defaultValue.delay,0,1e4),sticky:l.boolean(t.sticky,this.defaultValue.sticky)}}}),inDiffEditor:_(new l(47,"inDiffEditor",!1)),letterSpacing:_(new h(48,"letterSpacing",t.EDITOR_FONT_DEFAULTS.letterSpacing,e=>h.clamp(e,-5,20),{description:i.localize(150,null)})),lightbulb:_(new class extends o{constructor(){const e={enabled:!0};super(49,"lightbulb",e,{"editor.lightbulb.enabled":{type:"boolean",default:e.enabled,description:i.localize(34,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{enabled:l.boolean(t.enabled,this.defaultValue.enabled)}}}),lineDecorationsWidth:_(new c(50,"lineDecorationsWidth",10)),lineHeight:_(new class extends u{
constructor(){super(51,"lineHeight",t.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:i.localize(35,null)})}compute(e,t,i){return e.fontInfo.lineHeight}}),lineNumbers:_(new class extends o{constructor(){super(52,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[i.localize(54,null),i.localize(55,null),i.localize(56,null),i.localize(57,null)],default:"on",description:i.localize(58,null)})}validate(e){let t=this.defaultValue.renderType,i=this.defaultValue.renderFn;return void 0!==e&&("function"==typeof e?(t=4,i=e):t="interval"===e?3:"relative"===e?2:"on"===e?1:0),{renderType:t,renderFn:i}}}),lineNumbersMinChars:_(new u(53,"lineNumbersMinChars",5,1,300)),links:_(new l(54,"links",!0,{description:i.localize(151,null)})),matchBrackets:_(new p(55,"matchBrackets","always",["always","near","never"],{description:i.localize(152,null)})),minimap:_(new class extends o{constructor(){const e={enabled:!0,size:"proportional",side:"right",
showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(56,"minimap",e,{"editor.minimap.enabled":{type:"boolean",default:e.enabled,description:i.localize(36,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[i.localize(37,null),i.localize(38,null),i.localize(39,null)],default:e.size,description:i.localize(40,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:e.side,description:i.localize(41,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:e.showSlider,description:i.localize(42,null)},"editor.minimap.scale":{type:"number",default:e.scale,minimum:1,maximum:3,enum:[1,2,3],description:i.localize(43,null)},"editor.minimap.renderCharacters":{type:"boolean",default:e.renderCharacters,description:i.localize(44,null)},"editor.minimap.maxColumn":{type:"number",default:e.maxColumn,description:i.localize(45,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{
enabled:l.boolean(t.enabled,this.defaultValue.enabled),size:p.stringSet(t.size,this.defaultValue.size,["proportional","fill","fit"]),side:p.stringSet(t.side,this.defaultValue.side,["right","left"]),showSlider:p.stringSet(t.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:l.boolean(t.renderCharacters,this.defaultValue.renderCharacters),scale:u.clampedInt(t.scale,1,1,3),maxColumn:u.clampedInt(t.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}),mouseStyle:_(new p(57,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:_(new h(58,"mouseWheelScrollSensitivity",1,e=>0===e?1:e,{markdownDescription:i.localize(153,null)})),mouseWheelZoom:_(new l(59,"mouseWheelZoom",!1,{markdownDescription:i.localize(154,null)})),multiCursorMergeOverlapping:_(new l(60,"multiCursorMergeOverlapping",!0,{description:i.localize(155,null)})),multiCursorModifier:_(new f(61,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],(function(e){
return"ctrlCmd"===e?n.isMacintosh?"metaKey":"ctrlKey":"altKey"}),{markdownEnumDescriptions:[i.localize(156,null),i.localize(157,null)],markdownDescription:i.localize(158,null)})),multiCursorPaste:_(new p(62,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[i.localize(159,null),i.localize(160,null)],markdownDescription:i.localize(161,null)})),occurrencesHighlight:_(new l(63,"occurrencesHighlight",!0,{description:i.localize(162,null)})),overviewRulerBorder:_(new l(64,"overviewRulerBorder",!0,{description:i.localize(163,null)})),overviewRulerLanes:_(new u(65,"overviewRulerLanes",3,0,3)),padding:_(new class extends o{constructor(){super(66,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:i.localize(46,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:i.localize(47,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{top:u.clampedInt(t.top,0,0,1e3),
bottom:u.clampedInt(t.bottom,0,0,1e3)}}}),parameterHints:_(new class extends o{constructor(){const e={enabled:!0,cycle:!1};super(67,"parameterHints",e,{"editor.parameterHints.enabled":{type:"boolean",default:e.enabled,description:i.localize(48,null)},"editor.parameterHints.cycle":{type:"boolean",default:e.cycle,description:i.localize(49,null)}})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e;return{enabled:l.boolean(t.enabled,this.defaultValue.enabled),cycle:l.boolean(t.cycle,this.defaultValue.cycle)}}}),peekWidgetDefaultFocus:_(new p(68,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[i.localize(164,null),i.localize(165,null)],description:i.localize(166,null)})),definitionLinkOpensInPeek:_(new l(69,"definitionLinkOpensInPeek",!1,{description:i.localize(167,null)})),quickSuggestions:_(new class extends o{constructor(){const e={other:!0,comments:!1,strings:!1};super(70,"quickSuggestions",e,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",
default:e.strings,description:i.localize(50,null)},comments:{type:"boolean",default:e.comments,description:i.localize(51,null)},other:{type:"boolean",default:e.other,description:i.localize(52,null)}}}],default:e,description:i.localize(53,null)}),this.defaultValue=e}validate(e){if("boolean"==typeof e)return e;if("object"==typeof e){const t=e,i={other:l.boolean(t.other,this.defaultValue.other),comments:l.boolean(t.comments,this.defaultValue.comments),strings:l.boolean(t.strings,this.defaultValue.strings)};return!!(i.other&&i.comments&&i.strings)||!!(i.other||i.comments||i.strings)&&i}return this.defaultValue}}),quickSuggestionsDelay:_(new u(71,"quickSuggestionsDelay",10,0,1073741824,{description:i.localize(168,null)})),readOnly:_(new l(72,"readOnly",!1)),renderControlCharacters:_(new l(73,"renderControlCharacters",!1,{description:i.localize(169,null)})),renderIndentGuides:_(new l(74,"renderIndentGuides",!0,{description:i.localize(170,null)})),renderFinalNewline:_(new l(75,"renderFinalNewline",!0,{
description:i.localize(171,null)})),renderLineHighlight:_(new p(76,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",i.localize(172,null)],description:i.localize(173,null)})),renderValidationDecorations:_(new p(77,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:_(new p(78,"renderWhitespace","selection",["none","boundary","selection","all"],{enumDescriptions:["",i.localize(174,null),i.localize(175,null),""],description:i.localize(176,null)})),revealHorizontalRightPadding:_(new u(79,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:_(new l(80,"roundedSelection",!0,{description:i.localize(177,null)})),rulers:_(new class extends o{constructor(){const e=[],t={type:"number",description:i.localize(59,null)};super(81,"rulers",e,{type:"array",items:{anyOf:[t,{type:["object"],properties:{column:t,color:{type:"string",description:i.localize(60,null),format:"color-hex"}}}]},default:e,description:i.localize(61,null)})}validate(e){
if(Array.isArray(e)){let t=[];for(let i of e)if("number"==typeof i)t.push({column:u.clampedInt(i,0,0,1e4),color:null});else if("object"==typeof i){const e=i;t.push({column:u.clampedInt(e.column,0,0,1e4),color:e.color})}return t.sort((e,t)=>e.column-t.column),t}return this.defaultValue}}),scrollbar:_(new class extends o{constructor(){super(82,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:10,horizontalSliderSize:10,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0})}validate(e){if("object"!=typeof e)return this.defaultValue;const t=e,i=u.clampedInt(t.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),n=u.clampedInt(t.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:u.clampedInt(t.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:v(t.vertical,this.defaultValue.vertical),
horizontal:v(t.horizontal,this.defaultValue.horizontal),useShadows:l.boolean(t.useShadows,this.defaultValue.useShadows),verticalHasArrows:l.boolean(t.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:l.boolean(t.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:l.boolean(t.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:l.boolean(t.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:i,horizontalSliderSize:u.clampedInt(t.horizontalSliderSize,i,0,1e3),verticalScrollbarSize:n,verticalSliderSize:u.clampedInt(t.verticalSliderSize,n,0,1e3)}}}),scrollBeyondLastColumn:_(new u(83,"scrollBeyondLastColumn",5,0,1073741824,{description:i.localize(178,null)})),scrollBeyondLastLine:_(new l(84,"scrollBeyondLastLine",!0,{description:i.localize(179,null)})),scrollPredominantAxis:_(new l(85,"scrollPredominantAxis",!0,{description:i.localize(180,null)})),selectionClipboard:_(new l(86,"selectionClipboard",!0,{
description:i.localize(181,null),included:n.isLinux})),selectionHighlight:_(new l(87,"selectionHighlight",!0,{description:i.localize(182,null)})),selectOnLineNumbers:_(new l(88,"selectOnLineNumbers",!0)),showFoldingControls:_(new p(89,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[i.localize(183,null),i.localize(184,null)],description:i.localize(185,null)})),showUnused:_(new l(90,"showUnused",!0,{description:i.localize(186,null)})),snippetSuggestions:_(new p(91,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[i.localize(187,null),i.localize(188,null),i.localize(189,null),i.localize(190,null)],description:i.localize(191,null)})),smoothScrolling:_(new l(92,"smoothScrolling",!1,{description:i.localize(192,null)})),stopRenderingLineAfter:_(new u(93,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:_(new class extends o{constructor(){const e={insertMode:"insert",insertHighlight:!0,filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,
shareSuggestSelections:!1,showIcons:!0,maxVisibleSuggestions:12,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,statusBar:{visible:!1}};super(94,"suggest",e,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[i.localize(62,null),i.localize(63,null)],default:e.insertMode,description:i.localize(64,null)},"editor.suggest.insertHighlight":{type:"boolean",default:e.insertHighlight,description:i.localize(65,null)},"editor.suggest.filterGraceful":{type:"boolean",default:e.filterGraceful,description:i.localize(66,null)},"editor.suggest.localityBonus":{type:"boolean",default:e.localityBonus,description:i.localize(67,null)},
"editor.suggest.shareSuggestSelections":{type:"boolean",default:e.shareSuggestSelections,markdownDescription:i.localize(68,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:e.snippetsPreventQuickSuggestions,description:i.localize(69,null)},"editor.suggest.showIcons":{type:"boolean",default:e.showIcons,description:i.localize(70,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",default:e.maxVisibleSuggestions,minimum:1,maximum:15,description:i.localize(71,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:i.localize(72,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:i.localize(73,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:i.localize(74,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:i.localize(75,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:i.localize(76,null)},"editor.suggest.showVariables":{
type:"boolean",default:!0,markdownDescription:i.localize(77,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:i.localize(78,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:i.localize(79,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:i.localize(80,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:i.localize(81,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:i.localize(82,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:i.localize(83,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:i.localize(84,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:i.localize(85,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:i.localize(86,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,
markdownDescription:i.localize(87,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:i.localize(88,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:i.localize(89,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:i.localize(90,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:i.localize(91,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:i.localize(92,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:i.localize(93,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:i.localize(94,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:i.localize(95,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:i.localize(96,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:i.localize(97,null)},
"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:i.localize(98,null)},"editor.suggest.statusBar.visible":{type:"boolean",default:!1,markdownDescription:i.localize(99,null)}})}validate(e){var t;if("object"!=typeof e)return this.defaultValue;const i=e;return{insertMode:p.stringSet(i.insertMode,this.defaultValue.insertMode,["insert","replace"]),insertHighlight:l.boolean(i.insertHighlight,this.defaultValue.insertHighlight),filterGraceful:l.boolean(i.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:l.boolean(i.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:l.boolean(i.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:l.boolean(i.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:l.boolean(i.showIcons,this.defaultValue.showIcons),maxVisibleSuggestions:u.clampedInt(i.maxVisibleSuggestions,this.defaultValue.maxVisibleSuggestions,1,15),
showMethods:l.boolean(i.showMethods,this.defaultValue.showMethods),showFunctions:l.boolean(i.showFunctions,this.defaultValue.showFunctions),showConstructors:l.boolean(i.showConstructors,this.defaultValue.showConstructors),showFields:l.boolean(i.showFields,this.defaultValue.showFields),showVariables:l.boolean(i.showVariables,this.defaultValue.showVariables),showClasses:l.boolean(i.showClasses,this.defaultValue.showClasses),showStructs:l.boolean(i.showStructs,this.defaultValue.showStructs),showInterfaces:l.boolean(i.showInterfaces,this.defaultValue.showInterfaces),showModules:l.boolean(i.showModules,this.defaultValue.showModules),showProperties:l.boolean(i.showProperties,this.defaultValue.showProperties),showEvents:l.boolean(i.showEvents,this.defaultValue.showEvents),showOperators:l.boolean(i.showOperators,this.defaultValue.showOperators),showUnits:l.boolean(i.showUnits,this.defaultValue.showUnits),showValues:l.boolean(i.showValues,this.defaultValue.showValues),
showConstants:l.boolean(i.showConstants,this.defaultValue.showConstants),showEnums:l.boolean(i.showEnums,this.defaultValue.showEnums),showEnumMembers:l.boolean(i.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:l.boolean(i.showKeywords,this.defaultValue.showKeywords),showWords:l.boolean(i.showWords,this.defaultValue.showWords),showColors:l.boolean(i.showColors,this.defaultValue.showColors),showFiles:l.boolean(i.showFiles,this.defaultValue.showFiles),showReferences:l.boolean(i.showReferences,this.defaultValue.showReferences),showFolders:l.boolean(i.showFolders,this.defaultValue.showFolders),showTypeParameters:l.boolean(i.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:l.boolean(i.showSnippets,this.defaultValue.showSnippets),statusBar:{visible:l.boolean(null===(t=i.statusBar)||void 0===t?void 0:t.visible,!!this.defaultValue.statusBar.visible)}}}}),suggestFontSize:_(new u(95,"suggestFontSize",0,0,1e3,{markdownDescription:i.localize(193,null)})),
suggestLineHeight:_(new u(96,"suggestLineHeight",0,0,1e3,{markdownDescription:i.localize(194,null)})),suggestOnTriggerCharacters:_(new l(97,"suggestOnTriggerCharacters",!0,{description:i.localize(195,null)})),suggestSelection:_(new p(98,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[i.localize(196,null),i.localize(197,null),i.localize(198,null)],description:i.localize(199,null)})),tabCompletion:_(new p(99,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[i.localize(200,null),i.localize(201,null),i.localize(202,null)],description:i.localize(203,null)})),useTabStops:_(new l(100,"useTabStops",!0,{description:i.localize(204,null)})),wordSeparators:_(new d(101,"wordSeparators",r.USUAL_WORD_SEPARATORS,{description:i.localize(205,null)})),wordWrap:_(new p(102,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[i.localize(206,null),i.localize(207,null),i.localize(208,null),i.localize(209,null)],
description:i.localize(210,null)})),wordWrapBreakAfterCharacters:_(new d(103,"wordWrapBreakAfterCharacters"," \t})]?|/&.,;¢°′″‰℃、。｡､￠，．：；？！％・･ゝゞヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻ｧｨｩｪｫｬｭｮｯｰ”〉》」』】〕）］｝｣")),wordWrapBreakBeforeCharacters:_(new d(104,"wordWrapBreakBeforeCharacters","([{‘“〈《「『【〔（［｛｢£¥＄￡￥+＋")),wordWrapColumn:_(new u(105,"wordWrapColumn",80,1,1073741824,{markdownDescription:i.localize(211,null)})),wordWrapMinified:_(new l(106,"wordWrapMinified",!0)),wrappingIndent:_(new f(107,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],(function(e){switch(e){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}),{enumDescriptions:[i.localize(212,null),i.localize(213,null),i.localize(214,null),i.localize(215,null)],description:i.localize(216,null)})),wrappingStrategy:_(new p(108,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[i.localize(217,null),i.localize(218,null)],description:i.localize(219,null)})),
editorClassName:_(new class extends a{constructor(){super(109,[57,27])}compute(e,t,i){let n="monaco-editor";return t.get(27)&&(n+=" "+t.get(27)),e.extraEditorClassName&&(n+=" "+e.extraEditorClassName),"default"===t.get(57)?n+=" mouse-default":"copy"===t.get(57)&&(n+=" mouse-copy"),t.get(90)&&(n+=" showUnused"),n}}),pixelRatio:_(new class extends a{constructor(){super(110)}compute(e,t,i){return e.pixelRatio}}),tabFocusMode:_(new class extends a{constructor(){super(111,[72])}compute(e,t,i){return!!t.get(72)||e.tabFocusMode}}),layoutInfo:_(new g),wrappingInfo:_(new class extends a{constructor(){super(113,[102,105,106,112,2])}compute(e,t,i){const n=t.get(102),r=t.get(105),s=t.get(106),o=t.get(112);let a=null;return a=2===t.get(2)?{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:-1}:s&&e.isDominatedByLongLines?{isWordWrapMinified:!0,isViewportWrapping:!0,wrappingColumn:Math.max(1,o.viewportColumn)}:"on"===n?{isWordWrapMinified:!1,isViewportWrapping:!0,wrappingColumn:Math.max(1,o.viewportColumn)
}:"bounded"===n?{isWordWrapMinified:!1,isViewportWrapping:!0,wrappingColumn:Math.min(Math.max(1,o.viewportColumn),r)}:"wordWrapColumn"===n?{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:r}:{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:-1},{isDominatedByLongLines:e.isDominatedByLongLines,isWordWrapMinified:a.isWordWrapMinified,isViewportWrapping:a.isViewportWrapping,wrappingColumn:a.wrappingColumn}}})}})),define(t[137],i([16,17]),(function(e,t){return e.create("vs/platform/configuration/common/configurationRegistry",t)})),define(t[138],i([16,17]),(function(e,t){return e.create("vs/platform/extensionManagement/common/extensionManagement",t)})),define(t[139],i([16,17]),(function(e,t){return e.create("vs/platform/files/common/files",t)})),define(t[140],i([16,17]),(function(e,t){return e.create("vs/platform/markers/common/markers",t)})),define(t[141],i([16,17]),(function(e,t){return e.create("vs/platform/workspaces/common/workspaces",t)})),define(t[142],i([16,17]),(function(e,t){
return e.create("vs/workbench/api/common/extHost.api.impl",t)})),define(t[143],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostDiagnostics",t)})),define(t[144],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostExtensionActivator",t)})),define(t[145],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostExtensionService",t)})),define(t[146],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostProgress",t)})),define(t[147],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostStatusBar",t)})),define(t[148],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostTreeViews",t)})),define(t[149],i([16,17]),(function(e,t){return e.create("vs/workbench/api/common/extHostWorkspace",t)})),define(t[150],i([16,17]),(function(e,t){return e.create("vs/workbench/api/node/extHostDebugService",t)})),define(t[151],i([16,17]),(function(e,t){
return e.create("vs/workbench/contrib/debug/node/debugAdapter",t)})),define(t[152],i([16,17]),(function(e,t){return e.create("vs/workbench/contrib/externalTerminal/node/externalTerminalService",t)})),define(t[153],i([16,17]),(function(e,t){return e.create("vs/workbench/contrib/terminal/common/terminal",t)})),define(t[154],i([16,17]),(function(e,t){return e.create("vs/workbench/services/configurationResolver/common/variableResolver",t)})),define(t[28],i([0,1,8]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MANIFEST_CACHE_FOLDER="CachedExtensions",t.USER_MANIFEST_CACHE_FILE="user",t.BUILTIN_MANIFEST_CACHE_FILE="builtin",t.isIExtensionIdentifier=function(e){return e&&"object"==typeof e&&"string"==typeof e.id&&(!e.uuid||"string"==typeof e.uuid)},function(e){e[e.System=0]="System",e[e.User=1]="User"}(t.ExtensionType||(t.ExtensionType={}));t.ExtensionIdentifier=class{constructor(e){this.value=e,this._lower=e.toLowerCase()}static equals(e,t){if(null==e)return null==t
;if(null==t)return!1;if("string"==typeof e||"string"==typeof t){let n="string"==typeof e?e:e.value,r="string"==typeof t?t:t.value;return i.equalsIgnoreCase(n,r)}return e._lower===t._lower}static toKey(e){return"string"==typeof e?e.toLowerCase():e._lower}},t.isLanguagePackExtension=function(e){return!(!e.contributes||!e.contributes.localizations)&&e.contributes.localizations.length>0}})),define(t[155],i([0,1,8,28]),(function(e,t,i,n){"use strict";function r(e,t){return e.uuid&&t.uuid?e.uuid===t.uuid:e.id===t.id||0===i.compareIgnoreCase(e.id,t.id)}Object.defineProperty(t,"__esModule",{value:!0}),t.areSameExtensions=r;class s{constructor(e,t){this.identifier=e,this.version=t}key(){return`${this.identifier.id}-${this.version}`}equals(e){return e instanceof s&&(r(this.identifier,e.identifier)&&this.version===e.version)}}t.ExtensionIdentifierWithVersion=s,t.adoptToGalleryExtensionId=function(e){return e.toLocaleLowerCase()},t.getGalleryExtensionId=function(e,t){
return`${e.toLocaleLowerCase()}.${t.toLocaleLowerCase()}`},t.groupByExtension=function(e,t){const i=[],n=e=>{for(const n of i)if(n.some(i=>r(t(i),t(e))))return n;return null};for(const t of e){const e=n(t);e?e.push(t):i.push([t])}return i},t.getLocalExtensionTelemetryData=function(e){return{id:e.identifier.id,name:e.manifest.name,galleryId:null,publisherId:e.metadata?e.metadata.publisherId:null,publisherName:e.manifest.publisher,publisherDisplayName:e.metadata?e.metadata.publisherDisplayName:null,dependencies:e.manifest.extensionDependencies&&e.manifest.extensionDependencies.length>0}},t.getGalleryExtensionTelemetryData=function(e){return Object.assign({id:e.identifier.id,name:e.name,galleryId:e.identifier.uuid,publisherId:e.publisherId,publisherName:e.publisher,publisherDisplayName:e.publisherDisplayName,dependencies:!!(e.properties.dependencies&&e.properties.dependencies.length>0)},e.telemetryData)},t.BetterMergeId=new n.ExtensionIdentifier("pprice.better-merge"),t.getMaliciousExtensionsSet=function(e){
const t=new Set;for(const i of e)i.malicious&&t.add(i.id.id);return t},t.parseBuiltInExtensions=function(e,t){const i=JSON.parse(e);return t?i.filter(e=>{var i,n;return-1!==(null===(n=null===(i=e.forQualities)||void 0===i?void 0:i.indexOf)||void 0===n?void 0:n.call(i,t))}):i}})),define(t[91],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(e,t=[],i=!1){this.ctor=e,this.staticArguments=t,this.supportsDelayedInstantiation=i}}t.SyncDescriptor=i,t.createSyncDescriptor=(e,...t)=>new i(e,t)})),define(t[65],i([0,1,91]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n=[];t.registerSingleton=function(e,t,r){n.push([e,new i.SyncDescriptor(t,[],r)])},t.getSingletonServiceDescriptors=function(){return n}})),define(t[156],i([0,1,13,55]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.Graph=class{constructor(e){this._hashFn=e,this._nodes=Object.create(null)}roots(){const e=[]
;return n.forEach(this._nodes,t=>{i.isEmptyObject(t.value.outgoing)&&e.push(t.value)}),e}insertEdge(e,t){const i=this.lookupOrInsertNode(e),n=this.lookupOrInsertNode(t);i.outgoing[this._hashFn(t)]=n,n.incoming[this._hashFn(e)]=i}removeNode(e){const t=this._hashFn(e);delete this._nodes[t],n.forEach(this._nodes,e=>{delete e.value.outgoing[t],delete e.value.incoming[t]})}lookupOrInsertNode(e){const t=this._hashFn(e);let i=this._nodes[t];return i||(i=function(e){return{data:e,incoming:Object.create(null),outgoing:Object.create(null)}}(e),this._nodes[t]=i),i}lookup(e){return this._nodes[this._hashFn(e)]}isEmpty(){for(const e in this._nodes)return!1;return!0}toString(){let e=[];return n.forEach(this._nodes,t=>{e.push(`${t.key}, (incoming)[${Object.keys(t.value.incoming).join(", ")}], (outgoing)[${Object.keys(t.value.outgoing).join(",")}]`)}),e.join("\n")}}})),define(t[4],i([0,1]),(function(e,t){"use strict";var i;function n(e,t,n,r){t[i.DI_TARGET]===t?t[i.DI_DEPENDENCIES].push({id:e,index:n,optional:r
}):(t[i.DI_DEPENDENCIES]=[{id:e,index:n,optional:r}],t[i.DI_TARGET]=t)}function r(e){if(i.serviceIds.has(e))return i.serviceIds.get(e);const t=function(e,i,r){if(3!==arguments.length)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(t,e,r,!1)};return t.toString=()=>e,i.serviceIds.set(e,t),t}Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.serviceIds=new Map,e.DI_TARGET="$di$target",e.DI_DEPENDENCIES="$di$dependencies",e.getServiceDependencies=function(t){return t[e.DI_DEPENDENCIES]||[]}}(i=t._util||(t._util={})),t.IInstantiationService=r("instantiationService"),t.createDecorator=r,t.optional=function(e){return function(t,i,r){if(3!==arguments.length)throw new Error("@optional-decorator can only be used to decorate a parameter");n(e,t,r,!0)}}})),define(t[157],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IModelService=i.createDecorator("modelService"),t.shouldSynchronizeModel=function(e){
return!e.isTooLargeForSyncing()&&!e.isForSimpleWidget}})),define(t[158],i([0,1,3,6,90,157]),(function(e,t,i,n,r,s){"use strict";function o(e){return"string"!=typeof e&&(Array.isArray(e)?e.every(o):!!e.exclusive)}Object.defineProperty(t,"__esModule",{value:!0});class a{constructor(){this._clock=0,this._entries=[],this._onDidChange=new i.Emitter}get onDidChange(){return this._onDidChange.event}register(e,t){let i={selector:e,provider:t,_score:-1,_time:this._clock++};return this._entries.push(i),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),n.toDisposable(()=>{if(i){let e=this._entries.indexOf(i);e>=0&&(this._entries.splice(e,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),i=void 0)}})}has(e){return this.all(e).length>0}all(e){if(!e)return[];this._updateScores(e);const t=[];for(let e of this._entries)e._score>0&&t.push(e.provider);return t}ordered(e){const t=[];return this._orderedForEach(e,e=>t.push(e.provider)),t}orderedGroups(e){const t=[];let i,n
;return this._orderedForEach(e,e=>{i&&n===e._score?i.push(e.provider):(n=e._score,i=[e.provider],t.push(i))}),t}_orderedForEach(e,t){if(e){this._updateScores(e);for(const e of this._entries)e._score>0&&t(e)}}_updateScores(e){let t={uri:e.uri.toString(),language:e.getLanguageIdentifier().language};if(!this._lastCandidate||this._lastCandidate.language!==t.language||this._lastCandidate.uri!==t.uri){this._lastCandidate=t;for(let t of this._entries)if(t._score=r.score(t.selector,e.uri,e.getLanguageIdentifier().language,s.shouldSynchronizeModel(e)),o(t.selector)&&t._score>0){for(let e of this._entries)e._score=0;t._score=1e3;break}this._entries.sort(a._compareByScoreAndTime)}}static _compareByScoreAndTime(e,t){return e._score<t._score?1:e._score>t._score?-1:e._time<t._time?1:e._time>t._time?-1:0}}t.LanguageFeatureRegistry=a})),define(t[92],i([0,1,13,2,43,158,127]),(function(e,t,i,n,r,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Null=0]="Null",e[e.PlainText=1]="PlainText"
}(t.LanguageId||(t.LanguageId={}));t.LanguageIdentifier=class{constructor(e,t){this.language=e,this.id=t}},function(e){e[e.NotSet=-1]="NotSet",e[e.None=0]="None",e[e.Italic=1]="Italic",e[e.Bold=2]="Bold",e[e.Underline=4]="Underline"}(t.FontStyle||(t.FontStyle={})),function(e){e[e.None=0]="None",e[e.DefaultForeground=1]="DefaultForeground",e[e.DefaultBackground=2]="DefaultBackground"}(t.ColorId||(t.ColorId={})),function(e){e[e.Other=0]="Other",e[e.Comment=1]="Comment",e[e.String=2]="String",e[e.RegEx=4]="RegEx"}(t.StandardTokenType||(t.StandardTokenType={})),function(e){e[e.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",e[e.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",e[e.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",e[e.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",e[e.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",e[e.ITALIC_MASK=2048]="ITALIC_MASK",e[e.BOLD_MASK=4096]="BOLD_MASK",e[e.UNDERLINE_MASK=8192]="UNDERLINE_MASK",e[e.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",e[e.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",
e[e.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",e[e.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",e[e.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",e[e.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",e[e.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",e[e.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",e[e.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",e[e.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"}(t.MetadataConsts||(t.MetadataConsts={}));t.TokenMetadata=class{static getLanguageId(e){return(255&e)>>>0}static getTokenType(e){return(1792&e)>>>8}static getFontStyle(e){return(14336&e)>>>11}static getForeground(e){return(8372224&e)>>>14}static getBackground(e){return(4286578688&e)>>>23}static getClassNameFromMetadata(e){let t="mtk"+this.getForeground(e),i=this.getFontStyle(e);return 1&i&&(t+=" mtki"),2&i&&(t+=" mtkb"),4&i&&(t+=" mtku"),t}static getInlineStyleFromMetadata(e,t){const i=this.getForeground(e),n=this.getFontStyle(e);let r=`color: ${t[i]};`;return 1&n&&(r+="font-style: italic;"),
2&n&&(r+="font-weight: bold;"),4&n&&(r+="text-decoration: underline;"),r}},function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.Snippet=25]="Snippet"}(t.CompletionItemKind||(t.CompletionItemKind={})),t.completionKindToCssClass=function(){let e=Object.create(null);return e[0]="method",e[1]="function",e[2]="constructor",e[3]="field",e[4]="variable",e[5]="class",e[6]="struct",e[7]="interface",e[8]="module",
e[9]="property",e[10]="event",e[11]="operator",e[12]="unit",e[13]="value",e[14]="constant",e[15]="enum",e[16]="enum-member",e[17]="keyword",e[25]="snippet",e[18]="text",e[19]="color",e[20]="file",e[21]="reference",e[22]="customcolor",e[23]="folder",e[24]="type-parameter",function(t){return e[t]||"property"}}(),t.completionKindFromString=function(){let e=Object.create(null);return e.method=0,e.function=1,e.constructor=2,e.field=3,e.variable=4,e.class=5,e.struct=6,e.interface=7,e.module=8,e.property=9,e.event=10,e.operator=11,e.unit=12,e.value=13,e.constant=14,e.enum=15,e["enum-member"]=16,e.enumMember=16,e.keyword=17,e.snippet=25,e.text=18,e.color=19,e.file=20,e.reference=21,e.customcolor=22,e.folder=23,e["type-parameter"]=24,e.typeParameter=24,function(t,i){let n=e[t];return void 0!==n||i||(n=9),n}}(),function(e){e[e.Deprecated=1]="Deprecated"}(t.CompletionItemTag||(t.CompletionItemTag={})),function(e){e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"
}(t.CompletionItemInsertTextRule||(t.CompletionItemInsertTextRule={})),function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"}(t.CompletionTriggerKind||(t.CompletionTriggerKind={})),function(e){e[e.Auto=1]="Auto",e[e.Manual=2]="Manual"}(t.CodeActionTriggerType||(t.CodeActionTriggerType={})),function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(t.SignatureHelpTriggerKind||(t.SignatureHelpTriggerKind={})),function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(t.DocumentHighlightKind||(t.DocumentHighlightKind={})),t.isLocationLink=function(e){return e&&n.URI.isUri(e.uri)&&r.Range.isIRange(e.range)&&(r.Range.isIRange(e.originSelectionRange)||r.Range.isIRange(e.targetSelectionRange))},function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",
e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(t.SymbolKind||(t.SymbolKind={})),function(e){e[e.Deprecated=1]="Deprecated"}(t.SymbolTag||(t.SymbolTag={})),function(e){const t=new Map;t.set("file",0),t.set("module",1),t.set("namespace",2),t.set("package",3),t.set("class",4),t.set("method",5),t.set("property",6),t.set("field",7),t.set("constructor",8),t.set("enum",9),t.set("interface",10),t.set("function",11),t.set("variable",12),t.set("constant",13),t.set("string",14),t.set("number",15),t.set("boolean",16),t.set("array",17),t.set("object",18),
t.set("key",19),t.set("null",20),t.set("enum-member",21),t.set("struct",22),t.set("event",23),t.set("operator",24),t.set("type-parameter",25);const i=new Map;i.set(0,"file"),i.set(1,"module"),i.set(2,"namespace"),i.set(3,"package"),i.set(4,"class"),i.set(5,"method"),i.set(6,"property"),i.set(7,"field"),i.set(8,"constructor"),i.set(9,"enum"),i.set(10,"interface"),i.set(11,"function"),i.set(12,"variable"),i.set(13,"constant"),i.set(14,"string"),i.set(15,"number"),i.set(16,"boolean"),i.set(17,"array"),i.set(18,"object"),i.set(19,"key"),i.set(20,"null"),i.set(21,"enum-member"),i.set(22,"struct"),i.set(23,"event"),i.set(24,"operator"),i.set(25,"type-parameter"),e.fromString=function(e){return t.get(e)},e.toString=function(e){return i.get(e)},e.toCssClassName=function(e,t){return`codicon ${t?"inline":"block"} codicon-symbol-${i.get(e)||"property"}`}}(t.SymbolKinds||(t.SymbolKinds={}));class a{constructor(e){this.value=e}}t.FoldingRangeKind=a,a.Comment=new a("comment"),a.Imports=new a("imports"),
a.Region=new a("region"),function(e){e.is=function(e){return i.isObject(e)&&(Boolean(e.newUri)||Boolean(e.oldUri))}}(t.WorkspaceFileEdit||(t.WorkspaceFileEdit={})),function(e){e.is=function(e){return i.isObject(e)&&n.URI.isUri(e.resource)&&i.isObject(e.edit)}}(t.WorkspaceTextEdit||(t.WorkspaceTextEdit={})),function(e){e[e.Collapsed=0]="Collapsed",e[e.Expanded=1]="Expanded"}(t.CommentThreadCollapsibleState||(t.CommentThreadCollapsibleState={})),function(e){e[e.Editing=0]="Editing",e[e.Preview=1]="Preview"}(t.CommentMode||(t.CommentMode={})),t.ReferenceProviderRegistry=new s.LanguageFeatureRegistry,t.RenameProviderRegistry=new s.LanguageFeatureRegistry,t.CompletionProviderRegistry=new s.LanguageFeatureRegistry,t.SignatureHelpProviderRegistry=new s.LanguageFeatureRegistry,t.HoverProviderRegistry=new s.LanguageFeatureRegistry,t.EvaluatableExpressionProviderRegistry=new s.LanguageFeatureRegistry,t.DocumentSymbolProviderRegistry=new s.LanguageFeatureRegistry,
t.DocumentHighlightProviderRegistry=new s.LanguageFeatureRegistry,t.DefinitionProviderRegistry=new s.LanguageFeatureRegistry,t.DeclarationProviderRegistry=new s.LanguageFeatureRegistry,t.ImplementationProviderRegistry=new s.LanguageFeatureRegistry,t.TypeDefinitionProviderRegistry=new s.LanguageFeatureRegistry,t.CodeLensProviderRegistry=new s.LanguageFeatureRegistry,t.CodeActionProviderRegistry=new s.LanguageFeatureRegistry,t.DocumentFormattingEditProviderRegistry=new s.LanguageFeatureRegistry,t.DocumentRangeFormattingEditProviderRegistry=new s.LanguageFeatureRegistry,t.OnTypeFormattingEditProviderRegistry=new s.LanguageFeatureRegistry,t.LinkProviderRegistry=new s.LanguageFeatureRegistry,t.ColorProviderRegistry=new s.LanguageFeatureRegistry,t.SelectionRangeRegistry=new s.LanguageFeatureRegistry,t.FoldingRangeProviderRegistry=new s.LanguageFeatureRegistry,t.DocumentSemanticTokensProviderRegistry=new s.LanguageFeatureRegistry,t.DocumentRangeSemanticTokensProviderRegistry=new s.LanguageFeatureRegistry,
t.TokenizationRegistry=new o.TokenizationRegistryImpl})),define(t[159],i([0,1,6,13,4,3,57,24]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ICommandService=r.createDecorator("commandService"),t.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new s.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(e,t){if(!e)throw new Error("invalid command");if("string"==typeof e){if(!t)throw new Error("invalid command");return this.registerCommand({id:e,handler:t})}if(e.description){const t=[];for(let i of e.description.args)t.push(i.constraint);const i=e.handler;e.handler=function(e,...r){return n.validateConstraints(r,t),i(e,...r)}}const{id:r}=e;let s=this._commands.get(r);s||(s=new o.LinkedList,this._commands.set(r,s));let a=s.unshift(e),c=i.toDisposable(()=>{a();const e=this._commands.get(r);(null==e?void 0:e.isEmpty())&&this._commands.delete(r)});return this._onDidRegisterCommand.fire(r),c}
registerCommandAlias(e,i){return t.CommandsRegistry.registerCommand(e,(e,...n)=>e.get(t.ICommandService).executeCommand(i,...n))}getCommand(e){const t=this._commands.get(e);if(t&&!t.isEmpty())return t.iterator().next().value}getCommands(){const e=new Map;for(const t of a.keys(this._commands)){const i=this.getCommand(t);i&&e.set(t,i)}return e}},t.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>i.Disposable.None,onDidExecuteCommand:()=>i.Disposable.None,executeCommand:()=>Promise.resolve(void 0)}})),define(t[160],i([0,1,8,4]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Defined=1]="Defined",e[e.Not=2]="Not",e[e.Equals=3]="Equals",e[e.NotEquals=4]="NotEquals",e[e.And=5]="And",e[e.Regex=6]="Regex",e[e.NotRegex=7]="NotRegex",e[e.Or=8]="Or"}(t.ContextKeyExprType||(t.ContextKeyExprType={}));class r{static has(e){return o.create(e)}static equals(e,t){return a.create(e,t)}static notEquals(e,t){return c.create(e,t)}static regex(e,t){
return u.create(e,t)}static not(e){return l.create(e)}static and(...e){return d.create(e)}static or(...e){return p.create(e)}static deserialize(e,t=!1){if(e)return this._deserializeOrExpression(e,t)}static _deserializeOrExpression(e,t){let i=e.split("||");return p.create(i.map(e=>this._deserializeAndExpression(e,t)))}static _deserializeAndExpression(e,t){let i=e.split("&&");return d.create(i.map(e=>this._deserializeOne(e,t)))}static _deserializeOne(e,t){if((e=e.trim()).indexOf("!=")>=0){let i=e.split("!=");return c.create(i[0].trim(),this._deserializeValue(i[1],t))}if(e.indexOf("==")>=0){let i=e.split("==");return a.create(i[0].trim(),this._deserializeValue(i[1],t))}if(e.indexOf("=~")>=0){let i=e.split("=~");return u.create(i[0].trim(),this._deserializeRegexValue(i[1],t))}return/^\!\s*/.test(e)?l.create(e.substr(1).trim()):o.create(e)}static _deserializeValue(e,t){if("true"===(e=e.trim()))return!0;if("false"===e)return!1;let i=/^'([^']*)'$/.exec(e);return i?i[1].trim():e}static _deserializeRegexValue(e,t){
if(i.isFalsyOrWhitespace(e)){if(t)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let n=e.indexOf("/"),r=e.lastIndexOf("/");if(n===r||n<0){if(t)throw new Error(`bad regexp-value '${e}', missing /-enclosure`);return console.warn(`bad regexp-value '${e}', missing /-enclosure`),null}let s=e.slice(n+1,r),o="i"===e[r+1]?"i":"";try{return new RegExp(s,o)}catch(i){if(t)throw new Error(`bad regexp-value '${e}', parse error: ${i}`);return console.warn(`bad regexp-value '${e}', parse error: ${i}`),null}}}function s(e,t){let i=e.getType(),n=t.getType();if(i!==n)return i-n;switch(i){case 1:case 2:case 3:case 4:case 6:case 7:case 5:return e.cmp(t);default:throw new Error("Unknown ContextKeyExpr!")}}t.ContextKeyExpr=r;class o{constructor(e){this.key=e}static create(e){return new o(e)}getType(){return 1}cmp(e){return this.key<e.key?-1:this.key>e.key?1:0}equals(e){return e instanceof o&&this.key===e.key}evaluate(e){return!!e.getValue(this.key)}
serialize(){return this.key}keys(){return[this.key]}map(e){return e.mapDefined(this.key)}negate(){return l.create(this.key)}}t.ContextKeyDefinedExpr=o;class a{constructor(e,t){this.key=e,this.value=t}static create(e,t){return"boolean"==typeof t?t?o.create(e):l.create(e):new a(e,t)}getType(){return 3}cmp(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0}equals(e){return e instanceof a&&(this.key===e.key&&this.value===e.value)}evaluate(e){return e.getValue(this.key)==this.value}serialize(){return this.key+" == '"+this.value+"'"}keys(){return[this.key]}map(e){return e.mapEquals(this.key,this.value)}negate(){return c.create(this.key,this.value)}}t.ContextKeyEqualsExpr=a;class c{constructor(e,t){this.key=e,this.value=t}static create(e,t){return"boolean"==typeof t?t?l.create(e):o.create(e):new c(e,t)}getType(){return 4}cmp(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0}equals(e){
return e instanceof c&&(this.key===e.key&&this.value===e.value)}evaluate(e){return e.getValue(this.key)!=this.value}serialize(){return this.key+" != '"+this.value+"'"}keys(){return[this.key]}map(e){return e.mapNotEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}t.ContextKeyNotEqualsExpr=c;class l{constructor(e){this.key=e}static create(e){return new l(e)}getType(){return 2}cmp(e){return this.key<e.key?-1:this.key>e.key?1:0}equals(e){return e instanceof l&&this.key===e.key}evaluate(e){return!e.getValue(this.key)}serialize(){return"!"+this.key}keys(){return[this.key]}map(e){return e.mapNot(this.key)}negate(){return o.create(this.key)}}t.ContextKeyNotExpr=l;class u{constructor(e,t){this.key=e,this.regexp=t}static create(e,t){return new u(e,t)}getType(){return 6}cmp(e){if(this.key<e.key)return-1;if(this.key>e.key)return 1;const t=this.regexp?this.regexp.source:"",i=e.regexp?e.regexp.source:"";return t<i?-1:t>i?1:0}equals(e){if(e instanceof u){
const t=this.regexp?this.regexp.source:"",i=e.regexp?e.regexp.source:"";return this.key===e.key&&t===i}return!1}evaluate(e){let t=e.getValue(this.key);return!!this.regexp&&this.regexp.test(t)}serialize(){const e=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${e}`}keys(){return[this.key]}map(e){return e.mapRegex(this.key,this.regexp)}negate(){return h.create(this)}}t.ContextKeyRegexExpr=u;class h{constructor(e){this._actual=e}static create(e){return new h(e)}getType(){return 7}cmp(e){return this._actual.cmp(e._actual)}equals(e){return e instanceof h&&this._actual.equals(e._actual)}evaluate(e){return!this._actual.evaluate(e)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(e){return new h(this._actual.map(e))}negate(){return this._actual}}t.ContextKeyNotRegexExpr=h;class d{constructor(e){this.expr=e}static create(e){const t=d._normalizeArr(e);if(0!==t.length)return 1===t.length?t[0]:new d(t)}getType(){return 5}
cmp(e){if(this.expr.length<e.expr.length)return-1;if(this.expr.length>e.expr.length)return 1;for(let t=0,i=this.expr.length;t<i;t++){const i=s(this.expr[t],e.expr[t]);if(0!==i)return i}return 0}equals(e){if(e instanceof d){if(this.expr.length!==e.expr.length)return!1;for(let t=0,i=this.expr.length;t<i;t++)if(!this.expr[t].equals(e.expr[t]))return!1;return!0}return!1}evaluate(e){for(let t=0,i=this.expr.length;t<i;t++)if(!this.expr[t].evaluate(e))return!1;return!0}static _normalizeArr(e){const t=[];for(const i of e)if(i)if(i instanceof d)t.push(...i.expr);else{if(i instanceof p)throw new Error('It is not allowed to have an or expression here due to lack of parens! For example "a && (b||c)" is not supported, use "(a&&b) || (a&&c)" instead.');t.push(i)}return t.sort(s),t}serialize(){return this.expr.map(e=>e.serialize()).join(" && ")}keys(){const e=[];for(let t of this.expr)e.push(...t.keys());return e}map(e){return new d(this.expr.map(t=>t.map(e)))}negate(){let e=[];for(let t of this.expr)e.push(t.negate())
;return p.create(e)}}t.ContextKeyAndExpr=d;class p{constructor(e){this.expr=e}static create(e){const t=p._normalizeArr(e);if(0!==t.length)return 1===t.length?t[0]:new p(t)}getType(){return 8}equals(e){if(e instanceof p){if(this.expr.length!==e.expr.length)return!1;for(let t=0,i=this.expr.length;t<i;t++)if(!this.expr[t].equals(e.expr[t]))return!1;return!0}return!1}evaluate(e){for(let t=0,i=this.expr.length;t<i;t++)if(this.expr[t].evaluate(e))return!0;return!1}static _normalizeArr(e){let t=[];if(e){for(let i=0,n=e.length;i<n;i++){let n=e[i];n&&(n instanceof p?t=t.concat(n.expr):t.push(n))}t.sort(s)}return t}serialize(){return this.expr.map(e=>e.serialize()).join(" || ")}keys(){const e=[];for(let t of this.expr)e.push(...t.keys());return e}map(e){return new p(this.expr.map(t=>t.map(e)))}negate(){let e=[];for(let t of this.expr)e.push(t.negate());const t=e=>e instanceof p?e.expr:[e];for(;e.length>1;){const i=e.shift(),n=e.shift(),s=[];for(const e of t(i))for(const i of t(n))s.push(r.and(e,i))
;e.unshift(r.or(...s))}return e[0]}}t.ContextKeyOrExpr=p;t.RawContextKey=class extends o{constructor(e,t){super(e),this._defaultValue=t}bindTo(e){return e.createKey(this.key,this._defaultValue)}getValue(e){return e.getContextKeyValue(this.key)}toNegated(){return r.not(this.key)}isEqualTo(e){return r.equals(this.key,e)}notEqualsTo(e){return r.notEquals(this.key,e)}},t.IContextKeyService=n.createDecorator("contextKeyService"),t.SET_CONTEXT_COMMAND_ID="setContext"})),define(t[161],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IEnvironmentService=i.createDecorator("environmentService"),t.BACKUPS="Backups"})),define(t[162],i([0,1,138,4]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",t.EXTENSION_IDENTIFIER_REGEX=new RegExp(t.EXTENSION_IDENTIFIER_PATTERN),t.isIExtensionIdentifier=function(e){
return e&&"object"==typeof e&&"string"==typeof e.id&&(!e.uuid||"string"==typeof e.uuid)},t.IExtensionManagementService=n.createDecorator("extensionManagementService"),t.IExtensionGalleryService=n.createDecorator("extensionGalleryService"),function(e){e[e.NoneOrRelevance=0]="NoneOrRelevance",e[e.LastUpdatedDate=1]="LastUpdatedDate",e[e.Title=2]="Title",e[e.PublisherName=3]="PublisherName",e[e.InstallCount=4]="InstallCount",e[e.PublishedDate=5]="PublishedDate",e[e.AverageRating=6]="AverageRating",e[e.WeightedRating=12]="WeightedRating"}(t.SortBy||(t.SortBy={})),function(e){e[e.Default=0]="Default",e[e.Ascending=1]="Ascending",e[e.Descending=2]="Descending"}(t.SortOrder||(t.SortOrder={})),function(e){e.Uninstall="uninstall"}(t.StatisticType||(t.StatisticType={})),function(e){e[e.None=0]="None",e[e.Install=1]="Install",e[e.Update=2]="Update"}(t.InstallOperation||(t.InstallOperation={})),t.INSTALL_ERROR_NOT_SUPPORTED="notsupported",t.INSTALL_ERROR_MALICIOUS="malicious",t.INSTALL_ERROR_INCOMPATIBLE="incompatible",
t.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",t.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",t.IGlobalExtensionEnablementService=n.createDecorator("IGlobalExtensionEnablementService"),t.ExtensionsLabel=i.localize(0,null),t.ExtensionsChannelId="extensions",t.PreferencesLabel=i.localize(1,null)})),define(t[93],i([0,1,139,7,2,4,8,25,13]),(function(e,t,i,n,r,s,o,a,c){"use strict";var l;Object.defineProperty(t,"__esModule",{value:!0}),t.IFileService=s.createDecorator("fileService"),function(e){e[e.Unknown=0]="Unknown",e[e.File=1]="File",e[e.Directory=2]="Directory",e[e.SymbolicLink=64]="SymbolicLink"}(t.FileType||(t.FileType={})),function(e){e[e.FileReadWrite=2]="FileReadWrite",e[e.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",e[e.FileReadStream=16]="FileReadStream",e[e.FileFolderCopy=8]="FileFolderCopy",e[e.PathCaseSensitive=1024]="PathCaseSensitive",e[e.Readonly=2048]="Readonly",e[e.Trash=4096]="Trash"
}(t.FileSystemProviderCapabilities||(t.FileSystemProviderCapabilities={})),t.hasReadWriteCapability=function(e){return!!(2&e.capabilities)},t.hasFileFolderCopyCapability=function(e){return!!(8&e.capabilities)},t.hasOpenReadWriteCloseCapability=function(e){return!!(4&e.capabilities)},t.hasFileReadStreamCapability=function(e){return!!(16&e.capabilities)},function(e){e.FileExists="EntryExists",e.FileNotFound="EntryNotFound",e.FileNotADirectory="EntryNotADirectory",e.FileIsADirectory="EntryIsADirectory",e.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",e.FileTooLarge="EntryTooLarge",e.NoPermissions="NoPermissions",e.Unavailable="Unavailable",e.Unknown="Unknown"}(l=t.FileSystemProviderErrorCode||(t.FileSystemProviderErrorCode={}));class u extends Error{constructor(e,t){super(e),this.code=t}}function h(e,t){const i=new u(e.toString(),t);return d(i,t),i}function d(e,t){return e.name=t?`${t} (FileSystemError)`:"FileSystemError",e}function p(e){if(!e)return l.Unknown;if(e instanceof u)return e.code
;const t=/^(.+) \(FileSystemError\)$/.exec(e.name);if(!t)return l.Unknown;switch(t[1]){case l.FileExists:return l.FileExists;case l.FileIsADirectory:return l.FileIsADirectory;case l.FileNotADirectory:return l.FileNotADirectory;case l.FileNotFound:return l.FileNotFound;case l.FileExceedsMemoryLimit:return l.FileExceedsMemoryLimit;case l.FileTooLarge:return l.FileTooLarge;case l.NoPermissions:return l.NoPermissions;case l.Unavailable:return l.Unavailable}return l.Unknown}t.FileSystemProviderError=u,t.createFileSystemProviderError=h,t.ensureFileSystemProviderError=function(e){return e||h(i.localize(0,null),l.Unknown)},t.markAsFileSystemProviderError=d,t.toFileSystemProviderErrorCode=p,t.toFileOperationResult=function(e){if(e instanceof f)return e.fileOperationResult;switch(p(e)){case l.FileNotFound:return 1;case l.FileIsADirectory:return 0;case l.NoPermissions:return 6;case l.FileExists:return 4;case l.FileExceedsMemoryLimit:return 9;case l.FileTooLarge:return 7;default:return 10}},function(e){
e[e.CREATE=0]="CREATE",e[e.DELETE=1]="DELETE",e[e.MOVE=2]="MOVE",e[e.COPY=3]="COPY"}(t.FileOperation||(t.FileOperation={}));t.FileOperationEvent=class{constructor(e,t,i){this.resource=e,this.operation=t,this.target=i}isOperation(e){return this.operation===e}},function(e){e[e.UPDATED=0]="UPDATED",e[e.ADDED=1]="ADDED",e[e.DELETED=2]="DELETED"}(t.FileChangeType||(t.FileChangeType={}));t.FileChangesEvent=class{constructor(e){this.changes=e}contains(e,t){if(!e)return!1;const i=!c.isUndefinedOrNull(t);return this.changes.some(n=>(!i||n.type===t)&&(2===n.type?a.isEqualOrParent(e,n.resource):a.isEqual(e,n.resource)))}getAdded(){return this.getOfType(1)}gotAdded(){return this.hasType(1)}getDeleted(){return this.getOfType(2)}gotDeleted(){return this.hasType(2)}getUpdated(){return this.getOfType(0)}gotUpdated(){return this.hasType(0)}getOfType(e){return this.changes.filter(t=>t.type===e)}hasType(e){return this.changes.some(t=>t.type===e)}},t.isParent=function(e,t,i){
return!(!e||!t||e===t)&&(!(t.length>e.length)&&(t.charAt(t.length-1)!==n.sep&&(t+=n.sep),i?o.startsWithIgnoreCase(e,t):0===e.indexOf(t)))};class f extends Error{constructor(e,t,i){super(e),this.fileOperationResult=t,this.options=i}static isFileOperationError(e){return e instanceof Error&&!c.isUndefinedOrNull(e.fileOperationResult)}}t.FileOperationError=f,function(e){e[e.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",e[e.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",e[e.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",e[e.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",e[e.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",e[e.FILE_READ_ONLY=5]="FILE_READ_ONLY",e[e.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",e[e.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",e[e.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",e[e.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",e[e.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"}(t.FileOperationResult||(t.FileOperationResult={})),t.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",
ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},t.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},t.FILES_ASSOCIATIONS_CONFIG="files.associations",t.FILES_EXCLUDE_CONFIG="files.exclude",function(e){e[e.FILE=0]="FILE",e[e.FOLDER=1]="FOLDER",e[e.ROOT_FOLDER=2]="ROOT_FOLDER"}(t.FileKind||(t.FileKind={})),t.ETAG_DISABLED="",t.etag=function(e){if("number"==typeof e.size&&"number"==typeof e.mtime)return e.mtime.toString(29)+e.size.toString(31)},t.whenProviderRegistered=function(e,t){return t.canHandleResource(r.URI.from({scheme:e.scheme}))?Promise.resolve():new Promise((i,n)=>{const r=t.onDidChangeFileSystemProviderRegistrations(t=>{t.scheme===e.scheme&&t.added&&(r.dispose(),i())})})}})),define(t[66],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ServiceCollection=class{constructor(...e){this._entries=new Map;for(let[t,i]of e)this.set(t,i)}set(e,t){const i=this._entries.get(e);return this._entries.set(e,t),
i}forEach(e){this._entries.forEach((t,i)=>e(i,t))}has(e){return this._entries.has(e)}get(e){return this._entries.get(e)}}})),define(t[163],i([0,1,19,156,91,4,66,14]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const c=!1,l="function"==typeof Proxy;class u extends Error{constructor(e){super("cyclic dependency between services"),this.message=e.toString()}}class h{constructor(e=new o.ServiceCollection,t=!1,i){this._services=e,this._strict=t,this._parent=i,this._services.set(s.IInstantiationService,this)}createChild(e){return new h(e,this._strict,this)}invokeFunction(e,...t){let n=p.traceInvocation(e),r=!1;try{return e({get:(e,t)=>{if(r)throw i.illegalState("service accessor is only valid during the invocation of its target method");const o=this._getOrCreateServiceInstance(e,n);if(!o&&t!==s.optional)throw new Error(`[invokeFunction] unknown service '${e}'`);return o}},...t)}finally{r=!0,n.stop()}}createInstance(e,...t){let i,n
;return e instanceof r.SyncDescriptor?(i=p.traceCreation(e.ctor),n=this._createInstance(e.ctor,e.staticArguments.concat(t),i)):(i=p.traceCreation(e),n=this._createInstance(e,t,i)),i.stop(),n}_createInstance(e,t=[],i){let n=s._util.getServiceDependencies(e).sort((e,t)=>e.index-t.index),r=[];for(const t of n){let n=this._getOrCreateServiceInstance(t.id,i);if(!n&&this._strict&&!t.optional)throw new Error(`[createInstance] ${e.name} depends on UNKNOWN service ${t.id}.`);r.push(n)}let o=n.length>0?n[0].index:t.length;if(t.length!==o){console.warn(`[createInstance] First service dependency of ${e.name} at position ${o+1} conflicts with ${t.length} static arguments`);let i=o-t.length;t=i>0?t.concat(new Array(i)):t.slice(0,o)}return new e(...[...t,...r])}_setServiceInstance(e,t){if(this._services.get(e)instanceof r.SyncDescriptor)this._services.set(e,t);else{if(!this._parent)throw new Error("illegalState - setting UNKNOWN service instance");this._parent._setServiceInstance(e,t)}}_getServiceInstanceOrDescriptor(e){
let t=this._services.get(e);return!t&&this._parent?this._parent._getServiceInstanceOrDescriptor(e):t}_getOrCreateServiceInstance(e,t){let i=this._getServiceInstanceOrDescriptor(e);return i instanceof r.SyncDescriptor?this._createAndCacheServiceInstance(e,i,t.branch(e,!0)):(t.branch(e,!1),i)}_createAndCacheServiceInstance(e,t,i){const o=new n.Graph(e=>e.id.toString());let a=0;const c=[{id:e,desc:t,_trace:i}];for(;c.length;){const t=c.pop();if(o.lookupOrInsertNode(t),a++>200)throw new u(o);for(let i of s._util.getServiceDependencies(t.desc.ctor)){let n=this._getServiceInstanceOrDescriptor(i.id);if(n||i.optional||console.warn(`[createInstance] ${e} depends on ${i.id} which is NOT registered.`),n instanceof r.SyncDescriptor){const e={id:i.id,desc:n,_trace:t._trace.branch(i.id,!0)};o.insertEdge(t,e),c.push(e)}}}for(;;){const e=o.roots();if(0===e.length){if(!o.isEmpty())throw new u(o);break}for(const{data:t}of e){
const e=this._createServiceInstanceWithOwner(t.id,t.desc.ctor,t.desc.staticArguments,t.desc.supportsDelayedInstantiation,t._trace);this._setServiceInstance(t.id,e),o.removeNode(t)}}return this._getServiceInstanceOrDescriptor(e)}_createServiceInstanceWithOwner(e,t,i=[],n,s){if(this._services.get(e)instanceof r.SyncDescriptor)return this._createServiceInstance(t,i,n,s);if(this._parent)return this._parent._createServiceInstanceWithOwner(e,t,i,n,s);throw new Error(`illegalState - creating UNKNOWN service instance ${t.name}`)}_createServiceInstance(e,t=[],i,n){if(i&&l){const i=new a.IdleValue(()=>this._createInstance(e,t,n));return new Proxy(Object.create(null),{get(e,t){if(t in e)return e[t];let n=i.getValue(),r=n[t];return"function"!=typeof r?r:(r=r.bind(n),e[t]=r,r)},set:(e,t,n)=>(i.getValue()[t]=n,!0)})}return this._createInstance(e,t,n)}}var d;t.InstantiationService=h,function(e){e[e.Creation=0]="Creation",e[e.Invocation=1]="Invocation",e[e.Branch=2]="Branch"}(d||(d={}));class p{constructor(e,t){this.type=e,
this.name=t,this._start=Date.now(),this._dep=[]}static traceInvocation(e){return c?new p(1,e.name||e.toString().substring(0,42).replace(/\n/g,"")):p._None}static traceCreation(e){return c?new p(0,e.name):p._None}branch(e,t){let i=new p(2,e.toString());return this._dep.push([e,t,i]),i}stop(){let e=Date.now()-this._start;p._totals+=e;let t=!1;let i=[`${0===this.type?"CREATE":"CALL"} ${this.name}`,`${function e(i,n){let r=[],s=new Array(i+1).join("\t");for(const[o,a,c]of n._dep)if(a&&c){t=!0,r.push(`${s}CREATES -> ${o}`);let n=e(i+1,c);n&&r.push(n)}else r.push(`${s}uses -> ${o}`);return r.join("\n")}(1,this)}`,`DONE, took ${e.toFixed(2)}ms (grand total ${p._totals.toFixed(2)}ms)`];(e>2||t)&&console.log(i.join("\n"))}}p._None=new class extends p{constructor(){super(-1,null)}stop(){}branch(){return this}},p._totals=0})),define(t[9],i([0,1,4,6,10,3,44]),(function(e,t,i,n,r,s,o){"use strict";function a(){return(new Date).toISOString()}var c;Object.defineProperty(t,"__esModule",{value:!0}),
t.ILogService=i.createDecorator("logService"),t.ILoggerService=i.createDecorator("loggerService"),function(e){e[e.Trace=0]="Trace",e[e.Debug=1]="Debug",e[e.Info=2]="Info",e[e.Warning=3]="Warning",e[e.Error=4]="Error",e[e.Critical=5]="Critical",e[e.Off=6]="Off"}(c=t.LogLevel||(t.LogLevel={})),t.DEFAULT_LOG_LEVEL=c.Info;class l extends n.Disposable{constructor(){super(...arguments),this.level=t.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new s.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(e){this.level!==e&&(this.level=e,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}t.AbstractLogService=l;t.ConsoleLogMainService=class extends l{constructor(e=t.DEFAULT_LOG_LEVEL){super(),this.setLevel(e),this.useColors=!r.isWindows}trace(e,...t){this.getLevel()<=c.Trace&&(this.useColors?console.log(`[90m[main ${a()}][0m`,e,...t):console.log(`[main ${a()}]`,e,...t))}debug(e,...t){
this.getLevel()<=c.Debug&&(this.useColors?console.log(`[90m[main ${a()}][0m`,e,...t):console.log(`[main ${a()}]`,e,...t))}info(e,...t){this.getLevel()<=c.Info&&(this.useColors?console.log(`[90m[main ${a()}][0m`,e,...t):console.log(`[main ${a()}]`,e,...t))}warn(e,...t){this.getLevel()<=c.Warning&&(this.useColors?console.warn(`[93m[main ${a()}][0m`,e,...t):console.warn(`[main ${a()}]`,e,...t))}error(e,...t){this.getLevel()<=c.Error&&(this.useColors?console.error(`[91m[main ${a()}][0m`,e,...t):console.error(`[main ${a()}]`,e,...t))}critical(e,...t){this.getLevel()<=c.Critical&&(this.useColors?console.error(`[90m[main ${a()}][0m`,e,...t):console.error(`[main ${a()}]`,e,...t))}dispose(){}flush(){}};t.ConsoleLogService=class extends l{constructor(e=t.DEFAULT_LOG_LEVEL){super(),this.setLevel(e)}trace(e,...t){this.getLevel()<=c.Trace&&console.log("%cTRACE","color: #888",e,...t)}debug(e,...t){this.getLevel()<=c.Debug&&console.log("%cDEBUG","background: #eee; color: #888",e,...t)}info(e,...t){
this.getLevel()<=c.Info&&console.log("%c INFO","color: #33f",e,...t)}warn(e,...t){this.getLevel()<=c.Warning&&console.log("%c WARN","color: #993",e,...t)}error(e,...t){this.getLevel()<=c.Error&&console.log("%c  ERR","color: #f33",e,...t)}critical(e,...t){this.getLevel()<=c.Critical&&console.log("%cCRITI","background: #f33; color: white",e,...t)}dispose(){}flush(){}};class u extends l{constructor(e,i=t.DEFAULT_LOG_LEVEL){super(),this.adapter=e,this.setLevel(i)}trace(e,...t){this.getLevel()<=c.Trace&&this.adapter.consoleLog("trace",[this.extractMessage(e),...t])}debug(e,...t){this.getLevel()<=c.Debug&&this.adapter.consoleLog("debug",[this.extractMessage(e),...t])}info(e,...t){this.getLevel()<=c.Info&&this.adapter.consoleLog("info",[this.extractMessage(e),...t])}warn(e,...t){this.getLevel()<=c.Warning&&this.adapter.consoleLog("warn",[this.extractMessage(e),...t])}error(e,...t){this.getLevel()<=c.Error&&this.adapter.consoleLog("error",[this.extractMessage(e),...t])}critical(e,...t){
this.getLevel()<=c.Critical&&this.adapter.consoleLog("critical",[this.extractMessage(e),...t])}extractMessage(e){return"string"==typeof e?e:o.toErrorMessage(e,this.getLevel()<=c.Trace)}dispose(){}flush(){}}t.LogServiceAdapter=u;t.ConsoleLogInMainService=class extends u{constructor(e,i=t.DEFAULT_LOG_LEVEL){super({consoleLog:(t,i)=>e.consoleLog(t,i)},i)}};t.MultiplexLogService=class extends l{constructor(e){super(),this.logServices=e,e.length&&this.setLevel(e[0].getLevel())}setLevel(e){for(const t of this.logServices)t.setLevel(e);super.setLevel(e)}trace(e,...t){for(const i of this.logServices)i.trace(e,...t)}debug(e,...t){for(const i of this.logServices)i.debug(e,...t)}info(e,...t){for(const i of this.logServices)i.info(e,...t)}warn(e,...t){for(const i of this.logServices)i.warn(e,...t)}error(e,...t){for(const i of this.logServices)i.error(e,...t)}critical(e,...t){for(const i of this.logServices)i.critical(e,...t)}flush(){for(const e of this.logServices)e.flush()}dispose(){
for(const e of this.logServices)e.dispose()}};class h extends n.Disposable{constructor(e){super(),this.logService=e,this._register(e)}get onDidChangeLogLevel(){return this.logService.onDidChangeLogLevel}setLevel(e){this.logService.setLevel(e)}getLevel(){return this.logService.getLevel()}trace(e,...t){this.logService.trace(e,...t)}debug(e,...t){this.logService.debug(e,...t)}info(e,...t){this.logService.info(e,...t)}warn(e,...t){this.logService.warn(e,...t)}error(e,...t){this.logService.error(e,...t)}critical(e,...t){this.logService.critical(e,...t)}flush(){this.logService.flush()}}t.DelegatedLogService=h;t.NullLogService=class{constructor(){this.onDidChangeLogLevel=(new s.Emitter).event}setLevel(e){}getLevel(){return c.Info}trace(e,...t){}debug(e,...t){}info(e,...t){}warn(e,...t){}error(e,...t){}critical(e,...t){}dispose(){}flush(){}},t.getLogLevel=function(e){if(e.verbose)return c.Trace;if("string"==typeof e.args.log){switch(e.args.log.toLowerCase()){case"trace":return c.Trace;case"debug":return c.Debug
;case"info":return c.Info;case"warn":return c.Warning;case"error":return c.Error;case"critical":return c.Critical;case"off":return c.Off}}return t.DEFAULT_LOG_LEVEL}})),define(t[94],i([0,1,7,9]),(function(e,t,i,n){"use strict";function r(e,t,i){switch(t){case n.LogLevel.Trace:e.trace(i);break;case n.LogLevel.Debug:e.debug(i);break;case n.LogLevel.Info:e.info(i);break;case n.LogLevel.Warning:e.warn(i);break;case n.LogLevel.Error:e.error(i);break;case n.LogLevel.Critical:e.critical(i);break;default:throw new Error("Invalid log level")}}Object.defineProperty(t,"__esModule",{value:!0}),t.createRotatingLogger=function(t,i,n,r){return e.__$__nodeRequire("spdlog").createRotatingLogger(t,i,n,r)};class s extends n.AbstractLogService{constructor(e,t,i){super(),this.name=e,this.logsFolder=t,this.buffer=[],this._loggerCreationPromise=void 0,this.setLevel(i),this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(e=>{this._logger&&this._logger.setLevel(e)}))}_createSpdLogLogger(){
return this._loggerCreationPromise||(this._loggerCreationPromise=async function(t,n){try{const r=await new Promise((t,i)=>{e(["spdlog"],t,i)});r.setAsyncMode(8192,500);const s=i.join(n,`${t}.log`);return r.createRotatingLoggerAsync(t,s,5242880,6)}catch(e){console.error(e)}return null}(this.name,this.logsFolder).then(e=>{if(e){this._logger=e,this._logger.setLevel(this.getLevel());for(const{level:e,message:t}of this.buffer)r(this._logger,e,t);this.buffer=[]}})),this._loggerCreationPromise}_log(e,t){this._logger?r(this._logger,e,t):this.getLevel()<=e&&this.buffer.push({level:e,message:t})}trace(e,...t){this.getLevel()<=n.LogLevel.Trace&&this._log(n.LogLevel.Trace,this.format([e,...t]))}debug(e,...t){this.getLevel()<=n.LogLevel.Debug&&this._log(n.LogLevel.Debug,this.format([e,...t]))}info(e,...t){this.getLevel()<=n.LogLevel.Info&&this._log(n.LogLevel.Info,this.format([e,...t]))}warn(e,...t){this.getLevel()<=n.LogLevel.Warning&&this._log(n.LogLevel.Warning,this.format([e,...t]))}error(e,...t){
if(this.getLevel()<=n.LogLevel.Error)if(e instanceof Error){const t=Array.prototype.slice.call(arguments);t[0]=e.stack,this._log(n.LogLevel.Error,this.format(t))}else this._log(n.LogLevel.Error,this.format([e,...t]))}critical(e,...t){this.getLevel()<=n.LogLevel.Critical&&this._log(n.LogLevel.Critical,this.format([e,...t]))}flush(){this._logger?this._logger.flush():this._loggerCreationPromise&&this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise&&this._loggerCreationPromise.then(()=>this.disposeLogger()),this._loggerCreationPromise=void 0}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}format(e){let t="";for(let i=0;i<e.length;i++){let n=e[i];if("object"==typeof n)try{n=JSON.stringify(n)}catch(e){}t+=(i>0?" ":"")+n}return t}}t.SpdLogService=s})),define(t[95],i([0,1,4,140,63]),(function(e,t,i,n,r){"use strict";var s;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Unnecessary=1]="Unnecessary",
e[e.Deprecated=2]="Deprecated"}(t.MarkerTag||(t.MarkerTag={})),function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(s=t.MarkerSeverity||(t.MarkerSeverity={})),function(e){e.compare=function(e,t){return t-e};const t=Object.create(null);t[e.Error]=n.localize(0,null),t[e.Warning]=n.localize(1,null),t[e.Info]=n.localize(2,null),e.toString=function(e){return t[e]||""},e.fromSeverity=function(t){switch(t){case r.default.Error:return e.Error;case r.default.Warning:return e.Warning;case r.default.Info:return e.Info;case r.default.Ignore:return e.Hint}},e.toSeverity=function(t){switch(t){case e.Error:return r.default.Error;case e.Warning:return r.default.Warning;case e.Info:return r.default.Info;case e.Hint:return r.default.Ignore}}}(s=t.MarkerSeverity||(t.MarkerSeverity={})),function(e){const t="";function i(e,i){let n=[t];return e.source?n.push(e.source.replace("¦","\\¦")):n.push(t),
e.code?"string"==typeof e.code?n.push(e.code.replace("¦","\\¦")):n.push(e.code.value.replace("¦","\\¦")):n.push(t),void 0!==e.severity&&null!==e.severity?n.push(s.toString(e.severity)):n.push(t),e.message&&i?n.push(e.message.replace("¦","\\¦")):n.push(t),void 0!==e.startLineNumber&&null!==e.startLineNumber?n.push(e.startLineNumber.toString()):n.push(t),void 0!==e.startColumn&&null!==e.startColumn?n.push(e.startColumn.toString()):n.push(t),void 0!==e.endLineNumber&&null!==e.endLineNumber?n.push(e.endLineNumber.toString()):n.push(t),void 0!==e.endColumn&&null!==e.endColumn?n.push(e.endColumn.toString()):n.push(t),n.push(t),n.join("¦")}e.makeKey=function(e){return i(e,!0)},e.makeKeyOptionalMessage=i}(t.IMarkerData||(t.IMarkerData={})),t.IMarkerService=i.createDecorator("markerService")})),define(t[164],i([0,1,63,4,3]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Severity=i.default,t.INotificationService=n.createDecorator("notificationService"),function(e){
e[e.WORKSPACE=0]="WORKSPACE",e[e.GLOBAL=1]="GLOBAL"}(t.NeverShowAgainScope||(t.NeverShowAgainScope={})),function(e){e[e.OFF=0]="OFF",e[e.SILENT=1]="SILENT",e[e.ERROR=2]="ERROR"}(t.NotificationsFilter||(t.NotificationsFilter={}));t.NoOpNotification=class{constructor(){this.progress=new s,this.onDidClose=r.Event.None,this.onDidChangeVisibility=r.Event.None}updateSeverity(e){}updateMessage(e){}updateActions(e){}close(){}};class s{infinite(){}done(){}total(e){}worked(e){}}t.NoOpProgress=s})),define(t[96],i([0,1,18,10,7,59,35]),(function(e,t,i,n,r,s,o){"use strict";let a;if(Object.defineProperty(t,"__esModule",{value:!0}),n.isWeb)a={},0===Object.keys(a).length&&i.assign(a,{version:"1.43.0-dev",nameLong:"Visual Studio Code Web Dev",nameShort:"VSCode Web Dev",urlProtocol:"code-oss"});else{if(void 0===e||"function"!=typeof e.__$__nodeRequire)throw new Error("Unable to resolve product configuration");{const t=r.dirname(s.getPathFromAmdModule(e,""));a=i.assign({},e.__$__nodeRequire(r.join(t,"product.json")))
;const n=e.__$__nodeRequire(r.join(t,"package.json"));o.env.VSCODE_DEV&&i.assign(a,{nameShort:`${a.nameShort} Dev`,nameLong:`${a.nameLong} Dev`,dataFolderName:`${a.dataFolderName}-dev`}),i.assign(a,{version:n.version})}}t.default=a})),define(t[165],i([0,1,4,22,6]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IProgressService=i.createDecorator("progressService"),function(e){e[e.Explorer=1]="Explorer",e[e.Scm=3]="Scm",e[e.Extensions=5]="Extensions",e[e.Window=10]="Window",e[e.Notification=15]="Notification",e[e.Dialog=20]="Dialog"}(t.ProgressLocation||(t.ProgressLocation={})),t.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class s{constructor(e){this.callback=e}get value(){return this._value}report(e){this._value=e,this.callback(this._value)}}t.Progress=s,s.None=Object.freeze({report(){}});class o extends r.Disposable{constructor(e){super(),this.progressIndicator=e,this.currentOperationId=0,
this.currentOperationDisposables=this._register(new r.DisposableStore)}start(e){this.stop();const t=++this.currentOperationId,i=new n.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{t===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},e),this.currentOperationDisposables.add(r.toDisposable(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add(r.toDisposable(()=>i.cancel())),this.currentOperationDisposables.add(r.toDisposable(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:t,token:i.token,stop:()=>this.doStop(t),isCurrent:()=>this.currentOperationId===t}}stop(){this.doStop(this.currentOperationId)}doStop(e){this.currentOperationId===e&&this.currentOperationDisposables.clear()}}t.LongRunningOperation=o,t.IEditorProgressService=i.createDecorator("editorProgressService")})),define(t[45],i([0,1,13,48]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;t.Registry=new class{constructor(){this.data=new Map}add(e,t){n.ok(i.isString(e)),n.ok(i.isObject(t)),n.ok(!this.data.has(e),"There is already an extension with this id"),this.data.set(e,t)}knows(e){return this.data.has(e)}as(e){return this.data.get(e)||null}}})),define(t[166],i([0,1,45,3]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={JSONContribution:"base.contributions.json"};const r=new class{constructor(){this._onDidChangeSchema=new n.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(e,t){var i;this.schemasById[(i=e,i.length>0&&"#"===i.charAt(i.length-1)?i.substring(0,i.length-1):i)]=t,this._onDidChangeSchema.fire(e)}notifySchemaChanged(e){this._onDidChangeSchema.fire(e)}getSchemaContributions(){return{schemas:this.schemasById}}};i.Registry.add(t.Extensions.JSONContribution,r)})),define(t[51],i([0,1,137,3,45,13,166,24]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),
t.Extensions={Configuration:"base.contributions.configuration"},function(e){e[e.APPLICATION=1]="APPLICATION",e[e.MACHINE=2]="MACHINE",e[e.WINDOW=3]="WINDOW",e[e.RESOURCE=4]="RESOURCE",e[e.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",e[e.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"}(t.ConfigurationScope||(t.ConfigurationScope={})),t.allSettings={properties:{},patternProperties:{}},t.applicationSettings={properties:{},patternProperties:{}},t.machineSettings={properties:{},patternProperties:{}},t.machineOverridableSettings={properties:{},patternProperties:{}},t.windowSettings={properties:{},patternProperties:{}},t.resourceSettings={properties:{},patternProperties:{}},t.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const c=r.Registry.as(o.Extensions.JSONContribution);function l(e){switch(Array.isArray(e)?e[0]:e){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}
t.OVERRIDE_PROPERTY_PATTERN=new RegExp("\\[.*\\]$"),t.getDefaultValue=l;const u=new class{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new n.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new n.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultOverridesConfigurationNode={id:"defaultOverrides",title:i.localize(0,null),properties:{}},this.configurationContributors=[this.defaultOverridesConfigurationNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},c.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(e,t=!0){this.registerConfigurations([e],t)}registerConfigurations(e,i=!0){const n=[];e.forEach(e=>{
n.push(...this.validateAndRegisterProperties(e,i)),this.configurationContributors.push(e),this.registerJSONConfiguration(e)}),c.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(n)}deregisterConfigurations(e){const i=[],n=e=>{if(e.properties)for(const n in e.properties)switch(i.push(n),delete this.configurationProperties[n],delete t.allSettings.properties[n],e.properties[n].scope){case 1:delete t.applicationSettings.properties[n];break;case 2:delete t.machineSettings.properties[n];break;case 6:delete t.machineOverridableSettings.properties[n];break;case 3:delete t.windowSettings.properties[n];break;case 4:case 5:delete t.resourceSettings.properties[n]}e.allOf&&e.allOf.forEach(e=>n(e))};for(const t of e){n(t);const e=this.configurationContributors.indexOf(t);-1!==e&&this.configurationContributors.splice(e,1)}c.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),
this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(i)}registerDefaultConfigurations(e){const n=[];for(const r of e)for(const e in r.defaults){const s=r.defaults[e];if(t.OVERRIDE_PROPERTY_PATTERN.test(e)&&"object"==typeof s){const r={type:"object",default:s,description:i.localize(1,null,e),$ref:t.resourceLanguageSettingsSchemaId};t.allSettings.properties[e]=r,this.defaultOverridesConfigurationNode.properties[e]=r,this.configurationProperties[e]=r,n.push(e)}}this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(n)}deregisterDefaultConfigurations(e){const i=[];for(const n of e)for(const e in n.defaults)i.push(e),delete t.allSettings.properties[e],delete this.defaultOverridesConfigurationNode.properties[e],delete this.configurationProperties[e];this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(i)}notifyConfigurationSchemaUpdated(...e){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(e){for(const t of e)this.overrideIdentifiers.add(t)
;this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(e,i=!0,n=3){n=s.isUndefinedOrNull(e.scope)?n:e.scope;let r=[],o=e.properties;if(o)for(let e in o){if(i&&h(e)){delete o[e];continue}let a=o[e],c=a.default;s.isUndefined(c)&&(a.default=l(a.type)),t.OVERRIDE_PROPERTY_PATTERN.test(e)?a.scope=void 0:a.scope=s.isUndefinedOrNull(a.scope)?n:a.scope,!o[e].hasOwnProperty("included")||o[e].included?(this.configurationProperties[e]=o[e],r.push(e)):(this.excludedConfigurationProperties[e]=o[e],delete o[e])}let a=e.allOf;if(a)for(let e of a)r.push(...this.validateAndRegisterProperties(e,i,n));return r}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(e){const i=e=>{let n=e.properties;if(n)for(const e in n)switch(t.allSettings.properties[e]=n[e],n[e].scope){case 1:t.applicationSettings.properties[e]=n[e];break;case 2:
t.machineSettings.properties[e]=n[e];break;case 6:t.machineOverridableSettings.properties[e]=n[e];break;case 3:t.windowSettings.properties[e]=n[e];break;case 4:t.resourceSettings.properties[e]=n[e];break;case 5:t.resourceSettings.properties[e]=n[e],this.resourceLanguageSettingsSchema.properties[e]=n[e]}let r=e.allOf;r&&r.forEach(i)};i(e)}updateOverridePropertyPatternKey(){var e;for(const n of a.values(this.overrideIdentifiers)){const r=`[${n}]`,s={type:"object",description:i.localize(2,null),errorMessage:i.localize(3,null),$ref:t.resourceLanguageSettingsSchemaId,default:null===(e=this.defaultOverridesConfigurationNode.properties[r])||void 0===e?void 0:e.default};t.allSettings.properties[r]=s,t.applicationSettings.properties[r]=s,t.machineSettings.properties[r]=s,t.machineOverridableSettings.properties[r]=s,t.windowSettings.properties[r]=s,t.resourceSettings.properties[r]=s}this._onDidSchemaChange.fire()}};function h(e){
return t.OVERRIDE_PROPERTY_PATTERN.test(e)?i.localize(4,null,e):void 0!==u.getConfigurationProperties()[e]?i.localize(5,null,e):null}r.Registry.add(t.Extensions.Configuration,u),t.validateProperty=h,t.getScopes=function(){const e=[],t=u.getConfigurationProperties();for(const i of Object.keys(t))e.push([i,t[i].scope]);return e.push(["launch",4]),e.push(["task",4]),e}})),define(t[97],i([0,1,18,13,2,45,4,51]),(function(e,t,i,n,r,s,o,a){"use strict";function c(e,t){const i=Object.create(null);for(let n in e)l(i,n,e[n],t);return i}function l(e,t,i,n){const r=t.split("."),s=r.pop();let o=e;for(let e=0;e<r.length;e++){let i=r[e],s=o[i];switch(typeof s){case"undefined":s=o[i]=Object.create(null);break;case"object":break;default:return void n(`Ignoring ${t} as ${r.slice(0,e+1).join(".")} is ${JSON.stringify(s)}`)}o=s}"object"==typeof o?o[s]=i:n(`Ignoring ${t} as ${r.join(".")} is ${JSON.stringify(o)}`)}function u(e,t,i){const n=function(e,t){let i=e;for(const e of t){if("object"!=typeof i||null===i)return;i=i[e]}
return i}(e,t.split("."));return void 0===n?i:n}function h(e){return e.substring(1,e.length-1)}function d(e){return`[${e}]`}Object.defineProperty(t,"__esModule",{value:!0}),t.IConfigurationService=o.createDecorator("configurationService"),t.isConfigurationOverrides=function(e){return e&&"object"==typeof e&&(!e.overrideIdentifier||"string"==typeof e.overrideIdentifier)&&(!e.resource||e.resource instanceof r.URI)},function(e){e[e.USER=1]="USER",e[e.USER_LOCAL=2]="USER_LOCAL",e[e.USER_REMOTE=3]="USER_REMOTE",e[e.WORKSPACE=4]="WORKSPACE",e[e.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",e[e.DEFAULT=6]="DEFAULT",e[e.MEMORY=7]="MEMORY"}(t.ConfigurationTarget||(t.ConfigurationTarget={})),t.ConfigurationTargetToString=function(e){switch(e){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}},t.compare=function e(t,n){
const r=n?t?n.keys.filter(e=>-1===t.keys.indexOf(e)):[...n.keys]:[],s=t?n?t.keys.filter(e=>-1===n.keys.indexOf(e)):[...t.keys]:[],o=[];if(n&&t)for(const e of t.keys)if(-1!==n.keys.indexOf(e)){const r=u(t.contents,e),s=u(n.contents,e);i.equals(r,s)||o.push(e)}const a=[],c=e=>{const t={};for(const i of e)for(const e of i.identifiers)t[d(e)]=i;return t},l=n?c(n.overrides):{},p=t?c(t.overrides):{};if(Object.keys(l).length)for(const e of r){const t=l[e];t&&a.push([h(e),t.keys])}if(Object.keys(p).length)for(const e of s){const t=p[e];t&&a.push([h(e),t.keys])}if(Object.keys(l).length&&Object.keys(p).length)for(const t of o){const i=p[t],n=l[t];if(i&&n){const r=e({contents:i.contents,keys:i.keys,overrides:[]},{contents:n.contents,keys:n.keys,overrides:[]});a.push([h(t),[...r.added,...r.removed,...r.updated]])}}return{added:r,removed:s,updated:o,overrides:a}},t.toOverrides=function(e,t){const i=[];for(const n of Object.keys(e))if(a.OVERRIDE_PROPERTY_PATTERN.test(n)){const r={};for(const t in e[n])r[t]=e[n][t];i.push({
identifiers:[h(n).trim()],keys:Object.keys(r),contents:c(r,t)})}return i},t.toValuesTree=c,t.addToValueTree=l,t.removeFromValueTree=function(e,t){!function e(t,i){const n=i.shift();if(0===i.length)return void delete t[n];if(-1!==Object.keys(t).indexOf(n)){const r=t[n];"object"!=typeof r||Array.isArray(r)||(e(r,i),0===Object.keys(r).length&&delete t[n])}}(e,t.split("."))},t.getConfigurationValue=u,t.merge=function e(t,i,r){Object.keys(i).forEach(s=>{s in t?n.isObject(t[s])&&n.isObject(i[s])?e(t[s],i[s],r):r&&(t[s]=i[s]):t[s]=i[s]})},t.getConfigurationKeys=function(){const e=s.Registry.as(a.Extensions.Configuration).getConfigurationProperties();return Object.keys(e)},t.getDefaultValues=function(){const e=Object.create(null),t=s.Registry.as(a.Extensions.Configuration).getConfigurationProperties();for(let i in t){l(e,i,t[i].default,e=>console.error(`Conflict in default settings: ${e}`))}return e},t.overrideIdentifierFromKey=h,t.keyFromOverrideIdentifier=d,t.getMigratedSettingValue=function(e,t,i){
const n=e.inspect(t),r=e.inspect(i);return void 0!==n.userValue||void 0!==n.workspaceValue||void 0!==n.workspaceFolderValue?n.value:void 0!==r.userValue||void 0!==r.workspaceValue||void 0!==r.workspaceFolderValue?r.value:n.defaultValue}})),define(t[167],i([0,1,49,24,12,13,18,2,51,97,45,6,3,25]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class f{constructor(e={},t=[],i=[]){this._contents=e,this._keys=t,this._overrides=i,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return 0===this._keys.length&&0===Object.keys(this._contents).length&&0===this._overrides.length}getValue(e){return e?l.getConfigurationValue(this.contents,e):this.contents}getOverrideValue(e,t){const i=this.getContentsForOverrideIdentifer(t);return i?e?l.getConfigurationValue(i,e):i:void 0}getKeysForOverrideIdentifier(e){
for(const t of this.overrides)if(-1!==t.identifiers.indexOf(e))return t.keys;return[]}override(e){const t=this.getContentsForOverrideIdentifer(e);if(!t||"object"!=typeof t||!Object.keys(t).length)return this;let i={};for(const e of r.distinct([...Object.keys(this.contents),...Object.keys(t)])){let n=this.contents[e],r=t[e];r&&("object"==typeof n&&"object"==typeof r?(n=o.deepClone(n),this.mergeContents(n,r)):n=r),i[e]=n}return new f(i,this.keys,this.overrides)}merge(...e){const t=o.deepClone(this.contents),i=o.deepClone(this.overrides),n=[...this.keys];for(const s of e){this.mergeContents(t,s.contents);for(const e of s.overrides){const[t]=i.filter(t=>r.equals(t.identifiers,e.identifiers));t?this.mergeContents(t.contents,e.contents):i.push(o.deepClone(e))}for(const e of s.keys)-1===n.indexOf(e)&&n.push(e)}return new f(t,n,i)}freeze(){return this.isFrozen=!0,this}mergeContents(e,t){for(const i of Object.keys(t))i in e&&s.isObject(e[i])&&s.isObject(t[i])?this.mergeContents(e[i],t[i]):e[i]=o.deepClone(t[i])}
checkAndFreeze(e){return this.isFrozen&&!Object.isFrozen(e)?o.deepFreeze(e):e}getContentsForOverrideIdentifer(e){for(const t of this.overrides)if(-1!==t.identifiers.indexOf(e))return t.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(e,t){this.addKey(e),l.addToValueTree(this.contents,e,t,e=>{throw new Error(e)})}removeValue(e){this.removeKey(e)&&l.removeFromValueTree(this.contents,e)}addKey(e){let t=this.keys.length;for(let i=0;i<t;i++)0===e.indexOf(this.keys[i])&&(t=i);this.keys.splice(t,1,e)}removeKey(e){let t=this.keys.indexOf(e);return-1!==t&&(this.keys.splice(t,1),!0)}}t.ConfigurationModel=f;t.DefaultConfigurationModel=class extends f{constructor(){const e=l.getDefaultValues(),t=l.getConfigurationKeys(),i=[];for(const t of Object.keys(e))c.OVERRIDE_PROPERTY_PATTERN.test(t)&&i.push({identifiers:[l.overrideIdentifierFromKey(t).trim()],keys:Object.keys(e[t]),contents:l.toValuesTree(e[t],e=>console.error(`Conflict in default settings file: ${e}`))
});super(e,t,i)}};class m{constructor(e,t){this._name=e,this._scopes=t,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new f}get errors(){return this._parseErrors}parseContent(e){if(e){const t=this.doParseContent(e);this.parseRaw(t)}}parseRaw(e){this._raw=e;const t=this.doParseRaw(e);this._configurationModel=new f(t.contents,t.keys,t.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(e){let t={},n=null,r=[],s=[],o=[];function a(e){Array.isArray(r)?r.push(e):n&&(r[n]=e)}let c={onObjectBegin:()=>{let e={};a(e),s.push(r),r=e,n=null},onObjectProperty:e=>{n=e},onObjectEnd:()=>{r=s.pop()},onArrayBegin:()=>{let e=[];a(e),s.push(r),r=e,n=null},onArrayEnd:()=>{r=s.pop()},onLiteralValue:a,onError:(e,t,i)=>{o.push({error:e,offset:t,length:i})}};if(e)try{i.visit(e,c),t=r[0]||{}}catch(e){console.error(`Error while parsing settings file ${this._name}: ${e}`),this._parseErrors=[e]}return t}doParseRaw(e){if(this._scopes){
const t=u.Registry.as(c.Extensions.Configuration).getConfigurationProperties();e=this.filterByScope(e,t,!0,this._scopes)}return{contents:l.toValuesTree(e,e=>console.error(`Conflict in settings file ${this._name}: ${e}`)),keys:Object.keys(e),overrides:l.toOverrides(e,e=>console.error(`Conflict in settings file ${this._name}: ${e}`))}}filterByScope(e,t,i,n){const r={};for(let s in e)if(c.OVERRIDE_PROPERTY_PATTERN.test(s)&&i)r[s]=this.filterByScope(e[s],t,!1,n);else{const i=this.getScope(s,t);-1!==n.indexOf(i)&&(r[s]=e[s])}return r}getScope(e,t){const i=t[e];return i&&void 0!==i.scope?i.scope:3}}t.ConfigurationModelParser=m;class g extends h.Disposable{constructor(e,t,i){super(),this.userSettingsResource=e,this.scopes=t,this.fileService=i,this._onDidChange=this._register(new d.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new m(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(p.dirname(this.userSettingsResource))),
this._register(d.Event.filter(this.fileService.onDidFilesChange,e=>e.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const e=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(e.value.toString()||"{}"),this.parser.configurationModel}catch(e){return new f}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}t.UserSettings=g;class v{constructor(e,t,i=new f,r=new f,s=new n.ResourceMap,o=new f,a=new n.ResourceMap,c=!0){this._defaultConfiguration=e,this._localUserConfiguration=t,this._remoteUserConfiguration=i,this._workspaceConfiguration=r,this._folderConfigurations=s,this._memoryConfiguration=o,this._memoryConfigurationByResource=a,this._freeze=c,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new n.ResourceMap,this._userConfiguration=null}getValue(e,t,i){return this.getConsolidateConfigurationModel(t,i).getValue(e)}updateValue(e,t,i={}){let n
;i.resource?(n=this._memoryConfigurationByResource.get(i.resource))||(n=new f,this._memoryConfigurationByResource.set(i.resource,n)):n=this._memoryConfiguration,void 0===t?n.removeValue(e):n.setValue(e,t),i.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(e,t,i){
const n=this.getConsolidateConfigurationModel(t,i),s=this.getFolderConfigurationModelForResource(t.resource,i),o=t.resource&&this._memoryConfigurationByResource.get(t.resource)||this._memoryConfiguration,a=t.overrideIdentifier?this._defaultConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),c=t.overrideIdentifier?this.userConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this.userConfiguration.freeze().getValue(e),l=t.overrideIdentifier?this.localUserConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this.localUserConfiguration.freeze().getValue(e),u=t.overrideIdentifier?this.remoteUserConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this.remoteUserConfiguration.freeze().getValue(e),h=i?t.overrideIdentifier?this._workspaceConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,d=s?t.overrideIdentifier?s.freeze().override(t.overrideIdentifier).getValue(e):s.freeze().getValue(e):void 0,p=t.overrideIdentifier?o.override(t.overrideIdentifier).getValue(e):o.getValue(e),f=n.getValue(e),m=r.distinct(r.flatten(n.overrides.map(e=>e.identifiers))).filter(t=>void 0!==n.getOverrideValue(e,t))
;return{defaultValue:a,userValue:c,userLocalValue:l,userRemoteValue:u,workspaceValue:h,workspaceFolderValue:d,memoryValue:p,value:f,default:void 0!==a?{value:this._defaultConfiguration.freeze().getValue(e),override:t.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,user:void 0!==c?{value:this.userConfiguration.freeze().getValue(e),override:t.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,userLocal:void 0!==l?{value:this.localUserConfiguration.freeze().getValue(e),override:t.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,userRemote:void 0!==u?{value:this.remoteUserConfiguration.freeze().getValue(e),override:t.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,workspace:void 0!==h?{value:this._workspaceConfiguration.freeze().getValue(e),
override:t.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,workspaceFolder:void 0!==d?{value:null==s?void 0:s.freeze().getValue(e),override:t.overrideIdentifier?null==s?void 0:s.freeze().getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,memory:void 0!==p?{value:o.getValue(e),override:t.overrideIdentifier?o.getOverrideValue(e,t.overrideIdentifier):void 0}:void 0,overrideIdentifiers:m.length?m:void 0}}keys(e){const t=this.getFolderConfigurationModelForResource(void 0,e);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:t?t.freeze().keys:[]}}updateDefaultConfiguration(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(e){this._localUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,
this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(e){this._remoteUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(e,t){this._folderConfigurations.set(e,t),this._foldersConsolidatedConfigurations.delete(e)}deleteFolderConfiguration(e){this.folderConfigurations.delete(e),this._foldersConsolidatedConfigurations.delete(e)}compareAndUpdateDefaultConfiguration(e,t){const i=t.filter(e=>c.OVERRIDE_PROPERTY_PATTERN.test(e)).map(t=>{
const i=l.overrideIdentifierFromKey(t),n=this._defaultConfiguration.getKeysForOverrideIdentifier(i),r=e.getKeysForOverrideIdentifier(i),s=[...r.filter(e=>-1===n.indexOf(e)),...n.filter(e=>-1===r.indexOf(e)),...n.filter(t=>!o.equals(this._defaultConfiguration.override(i).getValue(t),e.override(i).getValue(t)))];return[i,s]});return this.updateDefaultConfiguration(e),{keys:t,overrides:i}}compareAndUpdateLocalUserConfiguration(e){const{added:t,updated:i,removed:n,overrides:r}=l.compare(this.localUserConfiguration,e),s=[...t,...i,...n];return s.length&&this.updateLocalUserConfiguration(e),{keys:s,overrides:r}}compareAndUpdateRemoteUserConfiguration(e){const{added:t,updated:i,removed:n,overrides:r}=l.compare(this.remoteUserConfiguration,e);let s=[...t,...i,...n];return s.length&&this.updateRemoteUserConfiguration(e),{keys:s,overrides:r}}compareAndUpdateWorkspaceConfiguration(e){const{added:t,updated:i,removed:n,overrides:r}=l.compare(this.workspaceConfiguration,e);let s=[...t,...i,...n]
;return s.length&&this.updateWorkspaceConfiguration(e),{keys:s,overrides:r}}compareAndUpdateFolderConfiguration(e,t){const i=this.folderConfigurations.get(e),{added:n,updated:r,removed:s,overrides:o}=l.compare(i,t);let a=[...n,...r,...s];return!a.length&&i||this.updateFolderConfiguration(e,t),{keys:a,overrides:o}}compareAndDeleteFolderConfiguration(e){const t=this.folderConfigurations.get(e);if(!t)throw new Error("Unknown folder");this.deleteFolderConfiguration(e);const{added:i,updated:n,removed:r,overrides:s}=l.compare(t,void 0);return{keys:[...i,...n,...r],overrides:s}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){
return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(e,t){let i=this.getConsolidatedConfigurationModelForResource(e,t);return e.overrideIdentifier?i.override(e.overrideIdentifier):i}getConsolidatedConfigurationModelForResource({resource:e},t){let i=this.getWorkspaceConsolidatedConfiguration();if(t&&e){const n=t.getFolder(e);n&&(i=this.getFolderConsolidatedConfiguration(n.uri)||i);const r=this._memoryConfigurationByResource.get(e);r&&(i=i.merge(r))}return i}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(e){
let t=this._foldersConsolidatedConfigurations.get(e);if(!t){const i=this.getWorkspaceConsolidatedConfiguration(),n=this._folderConfigurations.get(e);n?(t=i.merge(n),this._freeze&&(t=t.freeze()),this._foldersConsolidatedConfigurations.set(e,t)):t=i}return t}getFolderConfigurationModelForResource(e,t){if(t&&e){const i=t.getFolder(e);if(i)return this._folderConfigurations.get(i.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:this._folderConfigurations.keys().reduce((e,t)=>{const{contents:i,overrides:n,keys:r}=this._folderConfigurations.get(t);return e.push([t,{contents:i,overrides:n,keys:r}]),e},[])}}allKeys(){const e=new Set
;return this._defaultConfiguration.freeze().keys.forEach(t=>e.add(t)),this.userConfiguration.freeze().keys.forEach(t=>e.add(t)),this._workspaceConfiguration.freeze().keys.forEach(t=>e.add(t)),this._folderConfigurations.forEach(t=>t.freeze().keys.forEach(t=>e.add(t))),n.values(e)}getAllKeysForOverrideIdentifier(e){const t=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(e).forEach(e=>t.add(e)),this.userConfiguration.getKeysForOverrideIdentifier(e).forEach(e=>t.add(e)),this._workspaceConfiguration.getKeysForOverrideIdentifier(e).forEach(e=>t.add(e)),this._folderConfigurations.forEach(i=>i.getKeysForOverrideIdentifier(e).forEach(e=>t.add(e))),n.values(t)}static parse(e){const t=this.parseConfigurationModel(e.defaults),i=this.parseConfigurationModel(e.user),r=this.parseConfigurationModel(e.workspace),s=e.folders.reduce((e,t)=>(e.set(a.URI.revive(t[0]),this.parseConfigurationModel(t[1])),e),new n.ResourceMap);return new v(t,i,new f,r,s,new f,new n.ResourceMap,!1)}
static parseConfigurationModel(e){return new f(e.contents,e.keys,e.overrides).freeze()}}t.Configuration=v,t.mergeChanges=function(...e){if(0===e.length)return{keys:[],overrides:[]};if(1===e.length)return e[0];const t=new Set,i=new Map;for(const r of e)r.keys.forEach(e=>t.add(e)),r.overrides.forEach(([e,t])=>{const r=n.getOrSet(i,e,new Set);t.forEach(e=>r.add(e))});const r=[];return i.forEach((e,t)=>r.push([t,n.values(e)])),{keys:n.values(t),overrides:r}};class _{constructor(e,t,i,r){this.change=e,this.previous=t,this.currentConfiguraiton=i,this.currentWorkspace=r,this._previousConfiguration=void 0;const s=new Set;e.keys.forEach(e=>s.add(e)),e.overrides.forEach(([,e])=>e.forEach(e=>s.add(e))),this.affectedKeys=n.values(s);const o=new f;this.affectedKeys.forEach(e=>o.setValue(e,{})),this.affectedKeysTree=o.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=v.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(e,t){var i
;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,e)){if(t){const n=this.previousConfiguration?this.previousConfiguration.getValue(e,t,null===(i=this.previous)||void 0===i?void 0:i.workspace):void 0,r=this.currentConfiguraiton.getValue(e,t,this.currentWorkspace);return!o.equals(n,r)}return!0}return!1}doesAffectedKeysTreeContains(e,t){let i,n=l.toValuesTree({[t]:!0},()=>{});for(;"object"==typeof n&&(i=Object.keys(n)[0]);){if(!(e=e[i]))return!1;n=n[i]}return!0}}t.ConfigurationChangeEvent=_;t.AllKeysConfigurationChangeEvent=class extends _{constructor(e,t,i,n){super({keys:e.allKeys(),overrides:[]},void 0,e,t),this.source=i,this.sourceConfig=n}}})),define(t[98],i([0,1,4]),(function(e,t,i){"use strict";var n;Object.defineProperty(t,"__esModule",{value:!0}),t.IRemoteAuthorityResolverService=i.createDecorator("remoteAuthorityResolverService"),function(e){e.Unknown="Unknown",e.NotAvailable="NotAvailable",e.TemporarilyNotAvailable="TemporarilyNotAvailable",e.NoResolverFound="NoResolverFound"
}(n=t.RemoteAuthorityResolverErrorCode||(t.RemoteAuthorityResolverErrorCode={}));class r extends Error{constructor(e,t=n.Unknown,i){super(e),this._message=e,this._code=t,this._detail=i,"function"==typeof Object.setPrototypeOf&&Object.setPrototypeOf(this,r.prototype)}static isHandledNotAvailable(e){return e instanceof r&&e._code===n.NotAvailable&&!0===e._detail||this.isTemporarilyNotAvailable(e)}static isTemporarilyNotAvailable(e){return e instanceof r&&e._code===n.TemporarilyNotAvailable}static isNoResolverFound(e){return e instanceof r&&e._code===n.NoResolverFound}}t.RemoteAuthorityResolverError=r})),define(t[99],i([0,1,20]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.REMOTE_HOST_SCHEME=i.Schemas.vscodeRemote,t.getRemoteAuthority=function(e){return e.scheme===t.REMOTE_HOST_SCHEME?e.authority:void 0},t.getRemoteName=function(e){if(!e)return;const t=e.indexOf("+");return t<0?e:e.substr(0,t)}})),define(t[168],i([0,1]),(function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});t.SignService=class{vsda(){return new Promise((t,i)=>e(["vsda"],t,i))}async sign(e){try{const t=new((await this.vsda()).signer);if(t)return t.sign(e)}catch(e){}return e}}})),define(t[67],i([0,1,4,141,2,10,7,25,114,49,20,81,32,99]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p){"use strict";function f(e){return e.hasOwnProperty("folderUri")}function m(e){return g(e)||v(e)}function g(e){return e&&"object"==typeof e&&"string"==typeof e.path&&(!e.name||"string"==typeof e.name)}function v(e){return e&&"object"==typeof e&&"string"==typeof e.uri&&(!e.name||"string"==typeof e.name)}function _(e){return e instanceof r.URI}Object.defineProperty(t,"__esModule",{value:!0}),t.WORKSPACE_EXTENSION="code-workspace",t.WORKSPACE_FILTER=[{name:n.localize(0,null),extensions:[t.WORKSPACE_EXTENSION]}],t.UNTITLED_WORKSPACE_NAME="workspace.json",t.IWorkspacesService=i.createDecorator("workspacesService"),t.isRecentWorkspace=function(e){return e.hasOwnProperty("workspace")},
t.isRecentFolder=f,t.isRecentFile=function(e){return e.hasOwnProperty("fileUri")},t.reviveWorkspaceIdentifier=function(e){return{id:e.id,configPath:r.URI.revive(e.configPath)}},t.isStoredWorkspaceFolder=m,t.isRawFileWorkspaceFolder=g,t.isRawUriWorkspaceFolder=v,t.isSingleFolderWorkspaceIdentifier=_,t.isWorkspaceIdentifier=function(e){const t=e;return t&&"string"==typeof t.id&&t.configPath instanceof r.URI},t.toWorkspaceIdentifier=function(e){return e.configuration?{configPath:e.configuration,id:e.id}:1===e.folders.length?e.folders[0].uri:void 0},t.isUntitledWorkspace=function(e,t){return a.isEqualOrParent(e,t.untitledWorkspacesHome)},t.isSingleFolderWorkspaceInitializationPayload=function(e){return _(e.folder)};const y="."+t.WORKSPACE_EXTENSION;t.hasWorkspaceFileExtension=function(e){return("string"==typeof e?o.extname(e):a.extname(e))===y};const w="/";function x(e,t,i,n=!s.isWindows){if(e.scheme!==i.scheme)return{name:t,uri:e.toString(!0)};let r;if(a.isEqualOrParent(e,i))r=a.relativePath(i,e)||".",
s.isWindows&&e.scheme===u.Schemas.file&&!n&&(r=r.replace(/\//g,"\\"));else if(e.scheme===u.Schemas.file)r=e.fsPath,s.isWindows&&(r=h.normalizeDriveLetter(r),n&&(r=d.toSlashes(r)));else{if(!a.isEqualAuthority(e.authority,i.authority))return{name:t,uri:e.toString(!0)};r=e.path}return{name:t,path:r}}function b(e){return!s.isWindows||e.some(e=>g(e)&&e.path.indexOf(w)>=0)}t.getStoredWorkspaceFolder=x,t.rewriteWorkspaceFileForNewLocation=function(e,t,i){let n=function(e,t){let i=l.parse(t);if(!i||!Array.isArray(i.folders))throw new Error(`${e} looks like an invalid workspace file.`);i.folders=i.folders.filter(e=>m(e));return i}(t,e);const o=a.dirname(t),u=a.dirname(i),h=[],d=b(n.folders);for(const e of n.folders){let t=g(e)?a.resolvePath(o,e.path):r.URI.parse(e.uri);h.push(x(t,e.name,u,d))}const f={insertSpaces:!1,tabSize:4,eol:s.isLinux||s.isMacintosh?"\n":"\r\n"},v=c.setProperty(e,["folders"],h,f);let _=c.applyEdits(e,v)
;return n.remoteAuthority===p.getRemoteAuthority(i)&&(_=c.applyEdits(_,c.removeProperty(_,["remoteAuthority"],f))),_},t.useSlashForPath=b,t.restoreRecentlyOpened=function(e,t){const i={workspaces:[],files:[]};if(e){const n=function(e,i){for(let n=0;n<e.length;n++)try{i(e[n],n)}catch(i){t.warn(`Error restoring recent entry ${JSON.stringify(e[n])}: ${i.toString()}. Skip entry.`)}},s=e;Array.isArray(s.workspaces3)?n(s.workspaces3,(e,t)=>{const n=Array.isArray(s.workspaceLabels)&&s.workspaceLabels[t]||void 0;"object"==typeof e&&"string"==typeof e.id&&"string"==typeof e.configURIPath?i.workspaces.push({label:n,workspace:{id:e.id,configPath:r.URI.parse(e.configURIPath)}}):"string"==typeof e&&i.workspaces.push({label:n,folderUri:r.URI.parse(e)})}):Array.isArray(s.workspaces2)?n(s.workspaces2,e=>{"object"==typeof e&&"string"==typeof e.id&&"string"==typeof e.configPath?i.workspaces.push({workspace:{id:e.id,configPath:r.URI.file(e.configPath)}}):"string"==typeof e&&i.workspaces.push({folderUri:r.URI.parse(e)})
}):Array.isArray(s.workspaces)&&n(s.workspaces,e=>{"string"==typeof e?i.workspaces.push({folderUri:r.URI.file(e)}):!function(e){return"object"==typeof e&&"string"==typeof e.id&&"string"==typeof e.configPath}(e)?function(e){return e&&"string"==typeof e.path&&"string"==typeof e.scheme}(e)&&i.workspaces.push({folderUri:r.URI.revive(e)}):i.workspaces.push({workspace:{id:e.id,configPath:r.URI.file(e.configPath)}})}),Array.isArray(s.files2)?n(s.files2,(e,t)=>{const n=Array.isArray(s.fileLabels)&&s.fileLabels[t]||void 0;"string"==typeof e&&i.files.push({label:n,fileUri:r.URI.parse(e)})}):Array.isArray(s.files)&&n(s.files,e=>{"string"==typeof e&&i.files.push({fileUri:r.URI.file(e)})})}return i},t.toStoreData=function(e){const t={workspaces3:[],files2:[]};let i=!1;const n=[];for(const r of e.workspaces)f(r)?t.workspaces3.push(r.folderUri.toString()):t.workspaces3.push({id:r.workspace.id,configURIPath:r.workspace.configPath.toString()}),n.push(r.label||null),i=i||!!r.label;i&&(t.workspaceLabels=n),i=!1;const r=[]
;for(const n of e.files)t.files2.push(n.fileUri.toString()),r.push(n.label||null),i=i||!!n.label;return i&&(t.fileLabels=r),t}})),define(t[169],i([0,1,2,25,4,24,67]),(function(e,t,i,n,r,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IWorkspaceContextService=r.createDecorator("contextService"),function(e){e[e.EMPTY=1]="EMPTY",e[e.FOLDER=2]="FOLDER",e[e.WORKSPACE=3]="WORKSPACE"}(t.WorkbenchState||(t.WorkbenchState={})),function(e){e.isIWorkspace=function(e){return e&&"object"==typeof e&&"string"==typeof e.id&&Array.isArray(e.folders)}}(t.IWorkspace||(t.IWorkspace={})),function(e){e.isIWorkspaceFolder=function(e){return e&&"object"==typeof e&&i.URI.isUri(e.uri)&&"string"==typeof e.name&&"function"==typeof e.toResource}}(t.IWorkspaceFolder||(t.IWorkspaceFolder={}));t.Workspace=class{constructor(e,t=[],i=null){this._id=e,this._configuration=i,this._foldersMap=s.TernarySearchTree.forPaths(),this.folders=t}update(e){this._id=e.id,this._configuration=e.configuration,this.folders=e.folders}
get folders(){return this._folders}set folders(e){this._folders=e,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(e){this._configuration=e}getFolder(e){return e&&this._foldersMap.findSubstr(e.with({scheme:e.scheme,authority:e.authority,path:e.path}).toString())||null}updateFoldersMap(){this._foldersMap=s.TernarySearchTree.forPaths();for(const e of this.folders)this._foldersMap.set(e.uri.toString(),e)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}};class a{constructor(e,t){this.raw=t,this.uri=e.uri,this.index=e.index,this.name=e.name}toResource(e){return n.joinPath(this.uri,e)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}t.WorkspaceFolder=a,t.toWorkspaceFolder=function(e){return new a({uri:e,index:0,name:n.basenameOrAuthority(e)},{uri:e.toString()})},t.toWorkspaceFolders=function(e,t){let r=[],s=new Set;const c=n.dirname(t);for(let t of e){let e=null
;if(o.isRawFileWorkspaceFolder(t))t.path&&(e=n.resolvePath(c,t.path));else if(o.isRawUriWorkspaceFolder(t))try{"/"!==(e=i.URI.parse(t.uri)).path[0]&&(e=e.with({path:"/"+e.path}))}catch(e){console.warn(e)}if(e){let i=n.getComparisonKey(e);if(!s.has(i)){s.add(i);const o=t.name||n.basenameOrAuthority(e);r.push(new a({uri:e,name:o,index:r.length},t))}}}return r}})),define(t[170],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(e){this.id=e,this._data=new Map,this._idPool=1}add(e){const t=this._idPool++;return this._data.set(t,e),this.logDebugInfo(),t}get(e,t){return this._data.has(e)?this._data.get(e)[t]:void 0}delete(e){this._data.delete(e),this.logDebugInfo()}logDebugInfo(){i.enableDebugLogging&&console.log(`${this.id} cache size — ${this._data.size}`)}}t.Cache=i,i.enableDebugLogging=!1})),define(t[26],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),
t.IExtHostInitDataService=i.createDecorator("IExtHostInitDataService")})),define(t[171],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtensionMemento=class{constructor(e,t,i){this._id=e,this._shared=t,this._storage=i,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(e=>(this._value=e,this)),this._storageListener=this._storage.onDidChangeStorage(e=>{e.shared===this._shared&&e.key===this._id&&(this._value=e.value)})}get whenReady(){return this._init}get(e,t){let i=this._value[e];return void 0===i&&(i=t),i}update(e,t){return this._value[e]=t,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}})),define(t[15],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtHostRpcService=i.createDecorator("IExtHostRpcService");t.ExtHostRpcService=class{constructor(e){this.getProxy=e.getProxy.bind(e),this.set=e.set.bind(e),
this.assertRegistered=e.assertRegistered.bind(e)}}})),define(t[100],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtensionStoragePaths=i.createDecorator("IExtensionStoragePaths")})),define(t[52],i([0,1,4,3]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.fromApiTunnel=function(e){return{remoteAddress:e.remoteAddress,localAddress:e.localAddress}},e.fromServiceTunnel=function(e){return{remoteAddress:{host:e.tunnelRemoteHost,port:e.tunnelRemotePort},localAddress:e.localAddress}}}(t.TunnelDto||(t.TunnelDto={})),t.IExtHostTunnelService=i.createDecorator("IExtHostTunnelService");t.ExtHostTunnelService=class{constructor(){this.onDidChangeTunnels=(new n.Emitter).event}async openTunnel(e){}async getTunnels(){return[]}async $findCandidatePorts(){return[]}async $filterCandidates(e){return e.map(()=>!0)}async setTunnelExtensionFunctions(e){return{dispose:()=>{}}}$forwardPort(e){}async $closeTunnel(e){}
async $onDidTunnelsChange(){}}}));var n=this&&this.__decorate||function(e,t,i,n){var r,s=arguments.length,o=s<3?t:null===n?n=Object.getOwnPropertyDescriptor(t,i):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)o=Reflect.decorate(e,t,i,n);else for(var a=e.length-1;a>=0;a--)(r=e[a])&&(o=(s<3?r(o):s>3?r(t,i,o):r(t,i))||o);return s>3&&o&&Object.defineProperty(t,i,o),o};define(t[11],i([0,1,12,19,76,24,8,2,38,93,98,74]),(function(e,t,i,r,s,o,a,c,l,u,h,d){"use strict";var p,f,m,g,v,_,y,w,x,b,E,S,C;function P(e){function t(){return Reflect.construct(e,arguments,this.constructor)}return Object.defineProperty(t,"name",Object.getOwnPropertyDescriptor(e,"name")),Object.setPrototypeOf(t,e),Object.setPrototypeOf(t.prototype,e.prototype),t}Object.defineProperty(t,"__esModule",{value:!0});let D=p=class{constructor(e){this._callOnDispose=e}static from(...e){let t=e;return new p((function(){if(t){for(const e of t)e&&"function"==typeof e.dispose&&e.dispose();t=void 0}}))}dispose(){
"function"==typeof this._callOnDispose&&(this._callOnDispose(),this._callOnDispose=void 0)}};D=p=n([P],D),t.Disposable=D;let T=f=class{constructor(e,t){if(e<0)throw r.illegalArgument("line must be non-negative");if(t<0)throw r.illegalArgument("character must be non-negative");this._line=e,this._character=t}static Min(...e){if(0===e.length)throw new TypeError;let t=e[0];for(let i=1;i<e.length;i++){const n=e[i];n.isBefore(t)&&(t=n)}return t}static Max(...e){if(0===e.length)throw new TypeError;let t=e[0];for(let i=1;i<e.length;i++){const n=e[i];n.isAfter(t)&&(t=n)}return t}static isPosition(e){if(!e)return!1;if(e instanceof f)return!0;let{line:t,character:i}=e;return"number"==typeof t&&"number"==typeof i}get line(){return this._line}get character(){return this._character}isBefore(e){return this._line<e._line||!(e._line<this._line)&&this._character<e._character}isBeforeOrEqual(e){return this._line<e._line||!(e._line<this._line)&&this._character<=e._character}isAfter(e){return!this.isBeforeOrEqual(e)}
isAfterOrEqual(e){return!this.isBefore(e)}isEqual(e){return this._line===e._line&&this._character===e._character}compareTo(e){return this._line<e._line?-1:this._line>e.line?1:this._character<e._character?-1:this._character>e._character?1:0}translate(e,t=0){if(null===e||null===t)throw r.illegalArgument();let i;return void 0===e?i=0:"number"==typeof e?i=e:(i="number"==typeof e.lineDelta?e.lineDelta:0,t="number"==typeof e.characterDelta?e.characterDelta:0),0===i&&0===t?this:new f(this.line+i,this.character+t)}with(e,t=this.character){if(null===e||null===t)throw r.illegalArgument();let i;return void 0===e?i=this.line:"number"==typeof e?i=e:(i="number"==typeof e.line?e.line:this.line,t="number"==typeof e.character?e.character:this.character),i===this.line&&t===this.character?this:new f(i,t)}toJSON(){return{line:this.line,character:this.character}}};T=f=n([P],T),t.Position=T;let I=m=class{constructor(e,t,i,n){let r,s;if("number"==typeof e&&"number"==typeof t&&"number"==typeof i&&"number"==typeof n?(r=new T(e,t),
s=new T(i,n)):e instanceof T&&t instanceof T&&(r=e,s=t),!r||!s)throw new Error("Invalid arguments");r.isBefore(s)?(this._start=r,this._end=s):(this._start=s,this._end=r)}static isRange(e){return e instanceof m||!!e&&(T.isPosition(e.start)&&T.isPosition(e.end))}get start(){return this._start}get end(){return this._end}contains(e){return e instanceof m?this.contains(e._start)&&this.contains(e._end):e instanceof T&&(!e.isBefore(this._start)&&!this._end.isBefore(e))}isEqual(e){return this._start.isEqual(e._start)&&this._end.isEqual(e._end)}intersection(e){const t=T.Max(e.start,this._start),i=T.Min(e.end,this._end);if(!t.isAfter(i))return new m(t,i)}union(e){if(this.contains(e))return this;if(e.contains(this))return e;const t=T.Min(e.start,this._start),i=T.Max(e.end,this.end);return new m(t,i)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(e,t=this.end){if(null===e||null===t)throw r.illegalArgument();let i
;return e?T.isPosition(e)?i=e:(i=e.start||this.start,t=e.end||this.end):i=this.start,i.isEqual(this._start)&&t.isEqual(this.end)?this:new m(i,t)}toJSON(){return[this.start,this.end]}};I=m=n([P],I),t.Range=I;let k=g=class extends I{constructor(e,t,i,n){let r,s;if("number"==typeof e&&"number"==typeof t&&"number"==typeof i&&"number"==typeof n?(r=new T(e,t),s=new T(i,n)):e instanceof T&&t instanceof T&&(r=e,s=t),!r||!s)throw new Error("Invalid arguments");super(r,s),this._anchor=r,this._active=s}static isSelection(e){return e instanceof g||!!e&&(I.isRange(e)&&T.isPosition(e.anchor)&&T.isPosition(e.active)&&"boolean"==typeof e.isReversed)}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};k=g=n([P],k),t.Selection=k;t.ResolvedAuthority=class{constructor(e,t){if("string"!=typeof e||0===e.length)throw r.illegalArgument("host")
;if("number"!=typeof t||0===t||Math.round(t)!==t)throw r.illegalArgument("port");this.host=e,this.port=Math.round(t)}};class R extends Error{constructor(e,t=h.RemoteAuthorityResolverErrorCode.Unknown,i){super(e),this._message=e,this._code=t,this._detail=i,"function"==typeof Object.setPrototypeOf&&Object.setPrototypeOf(this,R.prototype)}static NotAvailable(e,t){return new R(e,h.RemoteAuthorityResolverErrorCode.NotAvailable,t)}static TemporarilyNotAvailable(e){return new R(e,h.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}t.RemoteAuthorityResolverError=R,function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLine||(t.EndOfLine={}));let A=v=class{constructor(e,t){this._range=e,this._newText=t}static isTextEdit(e){return e instanceof v||!!e&&(I.isRange(e)&&"string"==typeof e.newText)}static replace(e,t){return new v(e,t)}static insert(e,t){return v.replace(new I(e,e),t)}static delete(e){return v.replace(e,"")}static setEndOfLine(e){const t=new v(new I(new T(0,0),new T(0,0)),"");return t.newEol=e,t}
get range(){return this._range}set range(e){if(e&&!I.isRange(e))throw r.illegalArgument("range");this._range=e}get newText(){return this._newText||""}set newText(e){if(e&&"string"!=typeof e)throw r.illegalArgument("newText");this._newText=e}get newEol(){return this._newEol}set newEol(e){if(e&&"number"!=typeof e)throw r.illegalArgument("newEol");this._newEol=e}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};A=v=n([P],A),t.TextEdit=A;let O=class{constructor(){this._edits=new Array}renameFile(e,t,i,n){this._edits.push({_type:1,from:e,to:t,options:i,metadata:n})}createFile(e,t,i){this._edits.push({_type:1,from:void 0,to:e,options:t,metadata:i})}deleteFile(e,t,i){this._edits.push({_type:1,from:e,to:void 0,options:t,metadata:i})}replace(e,t,i,n){this._edits.push({_type:2,uri:e,edit:new A(t,i),metadata:n})}insert(e,t,i,n){this.replace(e,new I(t,t),i,n)}delete(e,t,i){this.replace(e,t,"",i)}has(e){return this._edits.some(t=>2===t._type&&t.uri.toString()===e.toString())}set(e,t){
if(t)for(const i of t)i&&this._edits.push({_type:2,uri:e,edit:i});else{for(let t=0;t<this._edits.length;t++){const i=this._edits[t];2===i._type&&i.uri.toString()===e.toString()&&(this._edits[t]=void 0)}this._edits=i.coalesce(this._edits)}}get(e){const t=[];for(let i of this._edits)2===i._type&&i.uri.toString()===e.toString()&&t.push(i.edit);return t}entries(){const e=new Map;for(let t of this._edits)if(2===t._type){let i=e.get(t.uri.toString());i||(i=[t.uri,[]],e.set(t.uri.toString(),i)),i[1].push(t.edit)}return o.values(e)}allEntries(){return this._edits}get size(){return this.entries().length}toJSON(){return this.entries()}};O=n([P],O),t.WorkspaceEdit=O;let L=_=class{constructor(e){this._tabstop=1,this.value=e||""}static isSnippetString(e){return e instanceof _||!!e&&"string"==typeof e.value}static _escape(e){return e.replace(/\$|}|\\/g,"\\$&")}appendText(e){return this.value+=_._escape(e),this}appendTabstop(e=this._tabstop++){return this.value+="$",this.value+=e,this}appendPlaceholder(e,t=this._tabstop++){
if("function"==typeof e){const t=new _;t._tabstop=this._tabstop,e(t),this._tabstop=t._tabstop,e=t.value}else e=_._escape(e);return this.value+="${",this.value+=t,this.value+=":",this.value+=e,this.value+="}",this}appendChoice(e,t=this._tabstop++){const i=_._escape(e.toString());return this.value+="${",this.value+=t,this.value+="|",this.value+=i,this.value+="|}",this}appendVariable(e,t){if("function"==typeof t){const e=new _;e._tabstop=this._tabstop,t(e),this._tabstop=e._tabstop,t=e.value}else"string"==typeof t&&(t=t.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=e,t&&(this.value+=":",this.value+=t),this.value+="}",this}};var M;L=_=n([P],L),t.SnippetString=L,function(e){e[e.Unnecessary=1]="Unnecessary",e[e.Deprecated=2]="Deprecated"}(t.DiagnosticTag||(t.DiagnosticTag={})),function(e){e[e.Hint=3]="Hint",e[e.Information=2]="Information",e[e.Warning=1]="Warning",e[e.Error=0]="Error"}(M=t.DiagnosticSeverity||(t.DiagnosticSeverity={}));let N=y=class{constructor(e,t){if(this.uri=e,
t)if(t instanceof I)this.range=t;else{if(!(t instanceof T))throw new Error("Illegal argument");this.range=new I(t,t)}else;}static isLocation(e){return e instanceof y||!!e&&(I.isRange(e.range)&&c.URI.isUri(e.uri))}toJSON(){return{uri:this.uri,range:this.range}}};N=y=n([P],N),t.Location=N;let F=class{constructor(e,t){this.location=e,this.message=t}static is(e){return!!e&&("string"==typeof e.message&&e.location&&I.isRange(e.location.range)&&c.URI.isUri(e.location.uri))}static isEqual(e,t){return e===t||!(!e||!t)&&(e.message===t.message&&e.location.range.isEqual(t.location.range)&&e.location.uri.toString()===t.location.uri.toString())}};F=n([P],F),t.DiagnosticRelatedInformation=F;let H=class{constructor(e,t,i=M.Error){this.range=e,this.message=t,this.severity=i}toJSON(){return{severity:M[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(e,t){
return e===t||!(!e||!t)&&(e.message===t.message&&e.severity===t.severity&&e.code===t.code&&e.severity===t.severity&&e.source===t.source&&e.range.isEqual(t.range)&&i.equals(e.tags,t.tags)&&i.equals(e.relatedInformation,t.relatedInformation,F.isEqual))}};H=n([P],H),t.Diagnostic=H;let U=class{constructor(e,t){if(!e)throw new Error("Illegal argument, contents must be defined");Array.isArray(e)?this.contents=e:(s.isMarkdownString(e),this.contents=[e]),this.range=t}};var $;U=n([P],U),t.Hover=U,function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}($=t.DocumentHighlightKind||(t.DocumentHighlightKind={}));let W=class{constructor(e,t=$.Text){this.range=e,this.kind=t}toJSON(){return{range:this.range,kind:$[this.kind]}}};var z;W=n([P],W),t.DocumentHighlight=W,function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",
e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(z=t.SymbolKind||(t.SymbolKind={})),function(e){e[e.Deprecated=1]="Deprecated"}(t.SymbolTag||(t.SymbolTag={}));let B=w=class{constructor(e,t,i,n,r){this.name=e,this.kind=t,this.containerName=r,"string"==typeof i&&(this.containerName=i),n instanceof N?this.location=n:i instanceof I&&(this.location=new N(n,i)),w.validate(this)}static validate(e){if(!e.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:z[this.kind],location:this.location,containerName:this.containerName}}};B=w=n([P],B),t.SymbolInformation=B;let j=x=class{constructor(e,t,i,n,r){
this.name=e,this.detail=t,this.kind=i,this.range=n,this.selectionRange=r,this.children=[],x.validate(this)}static validate(e){if(!e.name)throw new Error("name must not be falsy");if(!e.range.contains(e.selectionRange))throw new Error("selectionRange must be contained in fullRange");e.children&&e.children.forEach(x.validate)}};j=x=n([P],j),t.DocumentSymbol=j,function(e){e[e.Automatic=1]="Automatic",e[e.Manual=2]="Manual"}(t.CodeActionTrigger||(t.CodeActionTrigger={}));let V=class{constructor(e,t){this.title=e,this.kind=t}};V=n([P],V),t.CodeAction=V;let K=b=class{constructor(e){this.value=e}append(e){return new b(this.value?this.value+b.sep+e:e)}intersects(e){return this.contains(e)||e.contains(this)}contains(e){return this.value===e.value||a.startsWith(e.value,this.value+b.sep)}};K.sep=".",K=b=n([P],K),t.CodeActionKind=K,K.Empty=new K(""),K.QuickFix=K.Empty.append("quickfix"),K.Refactor=K.Empty.append("refactor"),K.RefactorExtract=K.Refactor.append("extract"),K.RefactorInline=K.Refactor.append("inline"),
K.RefactorRewrite=K.Refactor.append("rewrite"),K.Source=K.Empty.append("source"),K.SourceOrganizeImports=K.Source.append("organizeImports"),K.SourceFixAll=K.Source.append("fixAll");let q=class{constructor(e,t){if(this.range=e,this.parent=t,t&&!t.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};q=n([P],q),t.SelectionRange=q;t.CallHierarchyItem=class{constructor(e,t,i,n,r,s){this.kind=e,this.name=t,this.detail=i,this.uri=n,this.range=r,this.selectionRange=s}};t.CallHierarchyIncomingCall=class{constructor(e,t){this.fromRanges=t,this.from=e}};t.CallHierarchyOutgoingCall=class{constructor(e,t){this.fromRanges=t,this.to=e}};let G=class{constructor(e,t){this.range=e,this.command=t}get isResolved(){return!!this.command}};G=n([P],G),t.CodeLens=G;t.CodeInset=class{constructor(e,t){this.range=e,this.height=t}};let Q=class{constructor(e,t=!1){this.value=null!=e?e:"",this.supportThemeIcons=t}appendText(e){
return this.value+=(this.supportThemeIcons?d.escapeCodicons(e):e).replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&").replace("\n","\n\n"),this}appendMarkdown(e){return this.value+=e,this}appendCodeblock(e,t=""){return this.value+="\n```",this.value+=t,this.value+="\n",this.value+=e,this.value+="\n```\n",this}};Q=n([P],Q),t.MarkdownString=Q;let X=class{constructor(e,t){this.label=e,this.documentation=t}};X=n([P],X),t.ParameterInformation=X;let J=class{constructor(e,t){this.label=e,this.documentation=t,this.parameters=[]}};J=n([P],J),t.SignatureInformation=J;let Y=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};var Z;Y=n([P],Y),t.SignatureHelp=Y,function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(t.SignatureHelpTriggerKind||(t.SignatureHelpTriggerKind={})),function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"
}(t.CompletionTriggerKind||(t.CompletionTriggerKind={})),function(e){e[e.Text=0]="Text",e[e.Method=1]="Method",e[e.Function=2]="Function",e[e.Constructor=3]="Constructor",e[e.Field=4]="Field",e[e.Variable=5]="Variable",e[e.Class=6]="Class",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Unit=10]="Unit",e[e.Value=11]="Value",e[e.Enum=12]="Enum",e[e.Keyword=13]="Keyword",e[e.Snippet=14]="Snippet",e[e.Color=15]="Color",e[e.File=16]="File",e[e.Reference=17]="Reference",e[e.Folder=18]="Folder",e[e.EnumMember=19]="EnumMember",e[e.Constant=20]="Constant",e[e.Struct=21]="Struct",e[e.Event=22]="Event",e[e.Operator=23]="Operator",e[e.TypeParameter=24]="TypeParameter"}(Z=t.CompletionItemKind||(t.CompletionItemKind={})),function(e){e[e.Deprecated=1]="Deprecated"}(t.CompletionItemTag||(t.CompletionItemTag={}));let ee=class{constructor(e,t){this.label=e,this.kind=t}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&Z[this.kind],detail:this.detail,
documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};ee=n([P],ee),t.CompletionItem=ee;let te=class{constructor(e=[],t=!1){this.items=e,this.isIncomplete=t}};te=n([P],te),t.CompletionList=te,function(e){e[e.Active=-1]="Active",e[e.Beside=-2]="Beside",e[e.One=1]="One",e[e.Two=2]="Two",e[e.Three=3]="Three",e[e.Four=4]="Four",e[e.Five=5]="Five",e[e.Six=6]="Six",e[e.Seven=7]="Seven",e[e.Eight=8]="Eight",e[e.Nine=9]="Nine"}(t.ViewColumn||(t.ViewColumn={})),function(e){e[e.Left=1]="Left",e[e.Right=2]="Right"}(t.StatusBarAlignment||(t.StatusBarAlignment={})),function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative"}(t.TextEditorLineNumbersStyle||(t.TextEditorLineNumbersStyle={})),function(e){e[e.Manual=1]="Manual",e[e.AfterDelay=2]="AfterDelay",e[e.FocusOut=3]="FocusOut"}(t.TextDocumentSaveReason||(t.TextDocumentSaveReason={})),function(e){e[e.Default=0]="Default",e[e.InCenter=1]="InCenter",
e[e.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",e[e.AtTop=3]="AtTop"}(t.TextEditorRevealType||(t.TextEditorRevealType={})),function(e){e[e.Keyboard=1]="Keyboard",e[e.Mouse=2]="Mouse",e[e.Command=3]="Command"}(t.TextEditorSelectionChangeKind||(t.TextEditorSelectionChangeKind={})),function(e){e[e.OpenOpen=0]="OpenOpen",e[e.ClosedClosed=1]="ClosedClosed",e[e.OpenClosed=2]="OpenClosed",e[e.ClosedOpen=3]="ClosedOpen"}(t.DecorationRangeBehavior||(t.DecorationRangeBehavior={})),function(e){e.fromValue=function(t){switch(t){case"keyboard":return e.Keyboard;case"mouse":return e.Mouse;case"api":return e.Command}}}(t.TextEditorSelectionChangeKind||(t.TextEditorSelectionChangeKind={}));let ie=class{constructor(e,t){if(t&&!c.URI.isUri(t))throw r.illegalArgument("target");if(!I.isRange(e)||e.isEmpty)throw r.illegalArgument("range");this.range=e,this.target=t}};ie=n([P],ie),t.DocumentLink=ie;let ne=class{constructor(e,t,i,n){this.red=e,this.green=t,this.blue=i,this.alpha=n}};ne=n([P],ne),t.Color=ne
;let re=class{constructor(e,t){if(t&&!(t instanceof ne))throw r.illegalArgument("color");if(!I.isRange(e)||e.isEmpty)throw r.illegalArgument("range");this.range=e,this.color=t}};re=n([P],re),t.ColorInformation=re;let se=class{constructor(e){if(!e||"string"!=typeof e)throw r.illegalArgument("label");this.label=e}};se=n([P],se),t.ColorPresentation=se,function(e){e[e.RGB=0]="RGB",e[e.HEX=1]="HEX",e[e.HSL=2]="HSL"}(t.ColorFormat||(t.ColorFormat={})),function(e){e[e.Error=0]="Error",e[e.Warning=1]="Warning",e[e.Information=2]="Information"}(t.SourceControlInputBoxValidationType||(t.SourceControlInputBoxValidationType={})),function(e){e[e.Always=1]="Always",e[e.Silent=2]="Silent",e[e.Never=3]="Never"}(t.TaskRevealKind||(t.TaskRevealKind={})),function(e){e[e.Shared=1]="Shared",e[e.Dedicated=2]="Dedicated",e[e.New=3]="New"}(t.TaskPanelKind||(t.TaskPanelKind={}));let oe=E=class{constructor(e,t){if("string"!=typeof e)throw r.illegalArgument("name");if("string"!=typeof t)throw r.illegalArgument("name");this._id=e}
static from(e){switch(e){case"clean":return E.Clean;case"build":return E.Build;case"rebuild":return E.Rebuild;case"test":return E.Test;default:return}}get id(){return this._id}};function ae(e){let t="";for(let i=0;i<e.length;i++)t+=e[i].replace(/,/g,",,")+",";return t}oe.Clean=new E("clean","Clean"),oe.Build=new E("build","Build"),oe.Rebuild=new E("rebuild","Rebuild"),oe.Test=new E("test","Test"),oe=E=n([P],oe),t.TaskGroup=oe;let ce=class{constructor(e,t,i){if("string"!=typeof e)throw r.illegalArgument("process");this._args=[],this._process=e,void 0!==t&&(Array.isArray(t)?(this._args=t,this._options=i):this._options=t)}get process(){return this._process}set process(e){if("string"!=typeof e)throw r.illegalArgument("process");this._process=e}get args(){return this._args}set args(e){Array.isArray(e)||(e=[]),this._args=e}get options(){return this._options}set options(e){this._options=e}computeId(){const e=[];if(e.push("process"),void 0!==this._process&&e.push(this._process),
this._args&&this._args.length>0)for(let t of this._args)e.push(t);return ae(e)}};ce=n([P],ce),t.ProcessExecution=ce;let le=class{constructor(e,t,i){if(this._args=[],Array.isArray(t)){if(!e)throw r.illegalArgument("command can't be undefined or null");if("string"!=typeof e&&"string"!=typeof e.value)throw r.illegalArgument("command");this._command=e,this._args=t,this._options=i}else{if("string"!=typeof e)throw r.illegalArgument("commandLine");this._commandLine=e,this._options=t}}get commandLine(){return this._commandLine}set commandLine(e){if("string"!=typeof e)throw r.illegalArgument("commandLine");this._commandLine=e}get command(){return this._command?this._command:""}set command(e){if("string"!=typeof e&&"string"!=typeof e.value)throw r.illegalArgument("command");this._command=e}get args(){return this._args}set args(e){this._args=e||[]}get options(){return this._options}set options(e){this._options=e}computeId(){const e=[];if(e.push("shell"),void 0!==this._commandLine&&e.push(this._commandLine),
void 0!==this._command&&e.push("string"==typeof this._command?this._command:this._command.value),this._args&&this._args.length>0)for(let t of this._args)e.push("string"==typeof t?t:t.value);return ae(e)}};var ue;le=n([P],le),t.ShellExecution=le,function(e){e[e.Escape=1]="Escape",e[e.Strong=2]="Strong",e[e.Weak=3]="Weak"}(t.ShellQuoting||(t.ShellQuoting={})),function(e){e[e.Global=1]="Global",e[e.Workspace=2]="Workspace"}(ue=t.TaskScope||(t.TaskScope={}));class he{constructor(e){this._callback=e}computeId(){return"customExecution"+l.generateUuid()}set callback(e){this._callback=e}get callback(){return this._callback}}t.CustomExecution=he;let de=S=class{constructor(e,t,i,n,r,s){let o;this.__deprecated=!1,this._definition=this.definition=e,"string"==typeof t?(this._name=this.name=t,this._source=this.source=i,this.execution=n,o=r,this.__deprecated=!0):(t===ue.Global||ue.Workspace,this.target=t,this._name=this.name=i,this._source=this.source=n,this.execution=r,o=s),"string"==typeof o?(this._problemMatchers=[o],
this._hasDefinedMatchers=!0):Array.isArray(o)?(this._problemMatchers=o,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(e){this.__id=e}get _deprecated(){return this.__deprecated}clear(){void 0!==this.__id&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof ce?this._definition={type:S.ProcessType,id:this._execution.computeId()}:this._execution instanceof le?this._definition={type:S.ShellType,id:this._execution.computeId()}:this._execution instanceof he?this._definition={type:S.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:S.EmptyType,id:l.generateUuid()}}get definition(){return this._definition}set definition(e){if(null==e)throw r.illegalArgument("Kind can't be undefined or null");this.clear(),this._definition=e}
get scope(){return this._scope}set target(e){this.clear(),this._scope=e}get name(){return this._name}set name(e){if("string"!=typeof e)throw r.illegalArgument("name");this.clear(),this._name=e}get execution(){return this._execution}set execution(e){null===e&&(e=void 0),this.clear(),this._execution=e;const t=this._definition.type;S.EmptyType!==t&&S.ProcessType!==t&&S.ShellType!==t&&S.ExtensionCallbackType!==t||this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(e){if(!Array.isArray(e))return this.clear(),this._problemMatchers=[],void(this._hasDefinedMatchers=!1);this.clear(),this._problemMatchers=e,this._hasDefinedMatchers=!0}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(e){!0!==e&&!1!==e&&(e=!1),this.clear(),this._isBackground=e}get source(){return this._source}set source(e){if("string"!=typeof e||0===e.length)throw r.illegalArgument("source must be a string of length > 0")
;this.clear(),this._source=e}get group(){return this._group}set group(e){null===e&&(e=void 0),this.clear(),this._group=e}get detail(){return this._detail}set detail(e){null===e&&(e=void 0),this._detail=e}get presentationOptions(){return this._presentationOptions}set presentationOptions(e){null==e&&(e=Object.create(null)),this.clear(),this._presentationOptions=e}get runOptions(){return this._runOptions}set runOptions(e){null==e&&(e=Object.create(null)),this.clear(),this._runOptions=e}};de.ExtensionCallbackType="customExecution",de.ProcessType="process",de.ShellType="shell",de.EmptyType="$empty",de=S=n([P],de),t.Task=de,function(e){e[e.SourceControl=1]="SourceControl",e[e.Window=10]="Window",e[e.Notification=15]="Notification"}(t.ProgressLocation||(t.ProgressLocation={}));let pe=class{constructor(e,t=fe.None){this.collapsibleState=t,c.URI.isUri(e)?this.resourceUri=e:this.label=e}};var fe;pe=n([P],pe),t.TreeItem=pe,function(e){e[e.None=0]="None",e[e.Collapsed=1]="Collapsed",e[e.Expanded=2]="Expanded"
}(fe=t.TreeItemCollapsibleState||(t.TreeItemCollapsibleState={}));let me=class{constructor(e){this.id=e}};me=n([P],me),t.ThemeIcon=me,me.File=new me("file"),me.Folder=new me("folder");let ge=class{constructor(e){this.id=e}};ge=n([P],ge),t.ThemeColor=ge,function(e){e[e.Global=1]="Global",e[e.Workspace=2]="Workspace",e[e.WorkspaceFolder=3]="WorkspaceFolder"}(t.ConfigurationTarget||(t.ConfigurationTarget={}));let ve=class{constructor(e,t){if(!("string"==typeof e||e&&c.URI.isUri(e.uri)))throw r.illegalArgument("base");if("string"!=typeof t)throw r.illegalArgument("pattern");"string"==typeof e?this.base=e:(this.baseFolder=e.uri,this.base=e.uri.fsPath),this.pattern=t}};ve=n([P],ve),t.RelativePattern=ve;let _e=class{constructor(e,t,i,n){this.enabled="boolean"!=typeof e||e,"string"==typeof t&&(this.condition=t),"string"==typeof i&&(this.hitCondition=i),"string"==typeof n&&(this.logMessage=n)}get id(){return this._id||(this._id=l.generateUuid()),this._id}};_e=n([P],_e),t.Breakpoint=_e;let ye=class extends _e{
constructor(e,t,i,n,s){if(super(t,i,n,s),null===e)throw r.illegalArgument("location");this.location=e}};ye=n([P],ye),t.SourceBreakpoint=ye;let we=class extends _e{constructor(e,t,i,n,s){if(super(t,i,n,s),!e)throw r.illegalArgument("functionName");this.functionName=e}};we=n([P],we),t.FunctionBreakpoint=we;let xe=class extends _e{constructor(e,t,i,n,s,o,a){if(super(n,s,o,a),!t)throw r.illegalArgument("dataId");this.label=e,this.dataId=t,this.canPersist=i}};xe=n([P],xe),t.DataBreakpoint=xe;let be=class{constructor(e,t,i){this.command=e,this.args=t||[],this.options=i}};be=n([P],be),t.DebugAdapterExecutable=be;let Ee=class{constructor(e,t){this.port=e,this.host=t}};Ee=n([P],Ee),t.DebugAdapterServer=Ee;let Se=class{constructor(e){this.implementation=e}};Se=n([P],Se),t.DebugAdapterInlineImplementation=Se;let Ce=class{constructor(e,t){this.range=e,this.expression=t}};Ce=n([P],Ce),t.EvaluatableExpression=Ce,function(e){e[e.Trace=1]="Trace",e[e.Debug=2]="Debug",e[e.Info=3]="Info",e[e.Warning=4]="Warning",
e[e.Error=5]="Error",e[e.Critical=6]="Critical",e[e.Off=7]="Off"}(t.LogLevel||(t.LogLevel={})),function(e){e[e.Changed=1]="Changed",e[e.Created=2]="Created",e[e.Deleted=3]="Deleted"}(t.FileChangeType||(t.FileChangeType={}));let Pe=C=class extends Error{static FileExists(e){return new C(e,u.FileSystemProviderErrorCode.FileExists,C.FileExists)}static FileNotFound(e){return new C(e,u.FileSystemProviderErrorCode.FileNotFound,C.FileNotFound)}static FileNotADirectory(e){return new C(e,u.FileSystemProviderErrorCode.FileNotADirectory,C.FileNotADirectory)}static FileIsADirectory(e){return new C(e,u.FileSystemProviderErrorCode.FileIsADirectory,C.FileIsADirectory)}static NoPermissions(e){return new C(e,u.FileSystemProviderErrorCode.NoPermissions,C.NoPermissions)}static Unavailable(e){return new C(e,u.FileSystemProviderErrorCode.Unavailable,C.Unavailable)}constructor(e,t=u.FileSystemProviderErrorCode.Unknown,i){super(c.URI.isUri(e)?e.toString(!0):e),u.markAsFileSystemProviderError(this,t),
"function"==typeof Object.setPrototypeOf&&Object.setPrototypeOf(this,C.prototype),"function"==typeof Error.captureStackTrace&&"function"==typeof i&&Error.captureStackTrace(this,i)}};Pe=C=n([P],Pe),t.FileSystemError=Pe;let De=class{constructor(e,t,i){this.start=e,this.end=t,this.kind=i}};De=n([P],De),t.FoldingRange=De,function(e){e[e.Comment=1]="Comment",e[e.Imports=2]="Imports",e[e.Region=3]="Region"}(t.FoldingRangeKind||(t.FoldingRangeKind={})),function(e){e[e.Collapsed=0]="Collapsed",e[e.Expanded=1]="Expanded"}(t.CommentThreadCollapsibleState||(t.CommentThreadCollapsibleState={})),function(e){e[e.Editing=0]="Editing",e[e.Preview=1]="Preview"}(t.CommentMode||(t.CommentMode={}));t.SemanticTokensLegend=class{constructor(e,t){this.tokenTypes=e,this.tokenModifiers=t}};t.SemanticTokensBuilder=class{constructor(){this._prevLine=0,this._prevChar=0,this._data=[],this._dataLen=0}push(e,t,i,n,r){let s=e,o=t;this._dataLen>0&&0===(s-=this._prevLine)&&(o-=this._prevChar),this._data[this._dataLen++]=s,
this._data[this._dataLen++]=o,this._data[this._dataLen++]=i,this._data[this._dataLen++]=n,this._data[this._dataLen++]=r,this._prevLine=e,this._prevChar=t}build(){return new Uint32Array(this._data)}};t.SemanticTokens=class{constructor(e,t){this.resultId=t,this.data=e}};t.SemanticTokensEdit=class{constructor(e,t,i){this.start=e,this.deleteCount=t,this.data=i}};t.SemanticTokensEdits=class{constructor(e,t){this.resultId=t,this.edits=e}},function(e){e[e.Separate=0]="Separate",e[e.MergeWithParent=1]="MergeWithParent"}(t.DebugConsoleMode||(t.DebugConsoleMode={}));let Te=class{constructor(){}};Te.Back={iconPath:"back.svg"},Te=n([P],Te),t.QuickInputButtons=Te,function(e){e[e.UI=1]="UI",e[e.Workspace=2]="Workspace"}(t.ExtensionKind||(t.ExtensionKind={}));t.Decoration=class{static validate(e){if(e.letter&&1!==e.letter.length)throw new Error("The 'letter'-property must be undefined or a single character");if(!(e.bubble||e.color||e.letter||e.priority||e.title))throw new Error("The decoration is empty")}},function(e){
e[e.Readonly=1]="Readonly",e[e.Unchanged=2]="Unchanged",e[e.Dirty=3]="Dirty"}(t.WebviewContentState||(t.WebviewContentState={}));let Ie=class{constructor(e){this.kind=e}};Ie=n([P],Ie),t.ColorTheme=Ie,function(e){e[e.Light=1]="Light",e[e.Dark=2]="Dark",e[e.HighContrast=3]="HighContrast"}(t.ColorThemeKind||(t.ColorThemeKind={}));let ke=class{constructor(e,t){this.label=e,this.timestamp=t}};ke=n([P],ke),t.TimelineItem=ke})),define(t[101],i([0,1,48,20,8,129,89,11,12]),(function(e,t,i,n,r,s,o,a,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const l=new Map;function u(e){return l.get(e)}t.setWordDefinitionFor=function(e,t){t?l.set(e,t):l.delete(e)},t.getWordDefinitionFor=u;class h extends s.MirrorTextModel{constructor(e,t,i,n,r,s,o){super(t,i,n,s),this._isDisposed=!1,this._proxy=e,this._languageId=r,this._isDirty=o}dispose(){i.ok(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(e){return c.equals(this._lines,e)}get document(){if(!this._document){const e=this;this._document={
get uri(){return e._uri},get fileName(){return e._uri.fsPath},get isUntitled(){return e._uri.scheme===n.Schemas.untitled},get languageId(){return e._languageId},get version(){return e._versionId},get isClosed(){return e._isDisposed},get isDirty(){return e._isDirty},save:()=>e._save(),getText:t=>t?e._getTextInRange(t):e.getText(),get eol(){return"\n"===e._eol?a.EndOfLine.LF:a.EndOfLine.CRLF},get lineCount(){return e._lines.length},lineAt:t=>e._lineAt(t),offsetAt:t=>e._offsetAt(t),positionAt:t=>e._positionAt(t),validateRange:t=>e._validateRange(t),validatePosition:t=>e._validatePosition(t),getWordRangeAtPosition:(t,i)=>e._getWordRangeAtPosition(t,i)}}return Object.freeze(this._document)}_acceptLanguageId(e){i.ok(!this._isDisposed),this._languageId=e}_acceptIsDirty(e){i.ok(!this._isDisposed),this._isDirty=e}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(e){const t=this._validateRange(e);if(t.isEmpty)return""
;if(t.isSingleLine)return this._lines[t.start.line].substring(t.start.character,t.end.character);const i=this._eol,n=t.start.line,r=t.end.line,s=[];s.push(this._lines[n].substring(t.start.character));for(let e=n+1;e<r;e++)s.push(this._lines[e]);return s.push(this._lines[r].substring(0,t.end.character)),s.join(i)}_lineAt(e){let t;if(e instanceof a.Position?t=e.line:"number"==typeof e&&(t=e),"number"!=typeof t||t<0||t>=this._lines.length||Math.floor(t)!==t)throw new Error("Illegal value for `line`");return new d(t,this._lines[t],t===this._lines.length-1)}_offsetAt(e){return e=this._validatePosition(e),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(e.line-1)+e.character}_positionAt(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();const t=this._lineStarts.getIndexOf(e),i=this._lines[t.index].length;return new a.Position(t.index,Math.min(t.remainder,i))}_validateRange(e){if(!(e instanceof a.Range))throw new Error("Invalid argument")
;const t=this._validatePosition(e.start),i=this._validatePosition(e.end);return t===e.start&&i===e.end?e:new a.Range(t.line,t.character,i.line,i.character)}_validatePosition(e){if(!(e instanceof a.Position))throw new Error("Invalid argument");let{line:t,character:i}=e,n=!1;if(t<0)t=0,i=0,n=!0;else if(t>=this._lines.length)t=this._lines.length-1,i=this._lines[t].length,n=!0;else{const e=this._lines[t].length;i<0?(i=0,n=!0):i>e&&(i=e,n=!0)}return n?new a.Position(t,i):e}_getWordRangeAtPosition(e,t){const i=this._validatePosition(e);if(t){if(r.regExpLeadsToEndlessLoop(t))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${t.source}' because it matches the empty string.`)}else t=u(this._languageId);const n=o.getWordAtText(i.character+1,o.ensureValidWordDefinition(t),this._lines[i.line],0);if(n)return new a.Range(i.line,n.startColumn-1,i.line,n.endColumn-1)}}t.ExtHostDocumentData=h;class d{constructor(e,t,i){this._line=e,this._text=t,this._isLastLine=i}get lineNumber(){return this._line}
get text(){return this._text}get range(){return new a.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new a.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}}));var r=this&&this.__param||function(e,t){return function(i,n){t(i,n,e)}};define(t[172],i([0,1,11,15,3]),(function(e,t,i,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let a=class{constructor(e){this._actual=new i.ColorTheme(i.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new o.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(e){let t="light"===e?i.ColorThemeKind.Light:"dark"===e?i.ColorThemeKind.Dark:i.ColorThemeKind.HighContrast;this._actual=new i.ColorTheme(t),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){
return this._onDidChangeActiveColorTheme.event}};a=n([r(0,s.IExtHostRpcService)],a),t.ExtHostTheming=a})),define(t[53],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IURITransformerService=i.createDecorator("IURITransformerService");t.URITransformerService=class{constructor(e){e?(this.transformIncoming=e.transformIncoming.bind(e),this.transformOutgoing=e.transformOutgoing.bind(e),this.transformOutgoingURI=e.transformOutgoingURI.bind(e),this.transformOutgoingScheme=e.transformOutgoingScheme.bind(e)):(this.transformIncoming=e=>e,this.transformOutgoing=e=>e,this.transformOutgoingURI=e=>e,this.transformOutgoingScheme=e=>e)}}})),define(t[173],i([0,1,27]),(function(e,t,i){"use strict";var n;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Full=1]="Full",e[e.Delta=2]="Delta"}(n||(n={})),t.encodeSemanticTokensDto=function(e){const t=i.VSBuffer.alloc(function(e){let t=0;if(t+=4,t+=1,"full"===e.type)t+=4,t+=e.data.byteLength;else{t+=4
;for(const i of e.deltas)t+=4,t+=4,t+=4,i.data&&(t+=i.data.byteLength)}return t}(e));let n=0;if(t.writeUInt32BE(e.id,n),n+=4,"full"===e.type){t.writeUInt8(1,n),n+=1,t.writeUInt32BE(e.data.length,n),n+=4;for(const i of e.data)t.writeUInt32BE(i,n),n+=4}else{t.writeUInt8(2,n),n+=1,t.writeUInt32BE(e.deltas.length,n),n+=4;for(const i of e.deltas)if(t.writeUInt32BE(i.start,n),n+=4,t.writeUInt32BE(i.deleteCount,n),n+=4,i.data){t.writeUInt32BE(i.data.length,n),n+=4;for(const e of i.data)t.writeUInt32BE(e,n),n+=4}else t.writeUInt32BE(0,n),n+=4}return t},t.decodeSemanticTokensDto=function(e){let t=0;const i=e.readUInt32BE(t);t+=4;const n=e.readUInt8(t);if(t+=1,1===n){const n=e.readUInt32BE(t);t+=4;const r=new Uint32Array(n);for(let i=0;i<n;i++)r[i]=e.readUInt32BE(t),t+=4;return{id:i,type:"full",data:r}}const r=e.readUInt32BE(t);t+=4;let s=[];for(let i=0;i<r;i++){const n=e.readUInt32BE(t);t+=4;const r=e.readUInt32BE(t);t+=4;const o=e.readUInt32BE(t);let a;if(t+=4,o>0){a=new Uint32Array(o)
;for(let i=0;i<o;i++)a[i]=e.readUInt32BE(t),t+=4}s[i]={start:n,deleteCount:r,data:a}}return{id:i,type:"delta",deltas:s}}})),define(t[102],i([0,1,2]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.asWebviewUri=function(e,t,n){const r=e.webviewResourceRoot.replace("{{resource}}",n.scheme+function(e){return e.toString().replace(/^\S+?:/,"")}(n)).replace("{{uuid}}",t);return i.URI.parse(r)}})),define(t[174],i([0,1,3,6,102,38]),(function(e,t,i,n,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostEditorInsets=class{constructor(e,t,i){this._proxy=e,this._editors=t,this._initData=i,this._handlePool=0,this._disposables=new n.DisposableStore,this._insets=new Map,this._disposables.add(t.onDidChangeVisibleTextEditors(()=>{const e=t.getVisibleTextEditors();this._insets.forEach(t=>{e.indexOf(t.editor)<0&&t.inset.dispose()})}))}dispose(){this._insets.forEach(e=>e.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(e,t,n,o,a){let c
;for(const t of this._editors.getVisibleTextEditors())if(t===e){c=t;break}if(!c)throw new Error("not a visible editor");const l=this,u=this._handlePool++,h=new i.Emitter,d=new i.Emitter,p=new class{constructor(){this._uuid=s.generateUuid(),this._html="",this._options=Object.create(null)}asWebviewUri(e){return r.asWebviewUri(l._initData,this._uuid,e)}get cspSource(){return l._initData.webviewCspSource}set options(e){this._options=e,l._proxy.$setOptions(u,e)}get options(){return this._options}set html(e){this._html=e,l._proxy.$setHtml(u,e)}get html(){return this._html}get onDidReceiveMessage(){return h.event}postMessage(e){return l._proxy.$postMessage(u,e)}},f=new class{constructor(){this.editor=e,this.line=t,this.height=n,this.webview=p,this.onDidDispose=d.event}dispose(){l._insets.has(u)&&(l._insets.delete(u),l._proxy.$disposeEditorInset(u),d.fire(),d.dispose(),h.dispose())}};return this._proxy.$createEditorInset(u,c.id,c.document.uri,t+1,n,o||{},a.identifier,a.extensionLocation),this._insets.set(u,{editor:e,
inset:f,onDidReceiveMessage:h}),f}$onDidDispose(e){const t=this._insets.get(e);t&&t.inset.dispose()}$onDidReceiveMessage(e,t){const i=this._insets.get(e);i&&i.onDidReceiveMessage.fire(t)}}})),define(t[175],i([0,1,7,2,23,26,13,9]),(function(e,t,i,s,o,a,c,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let u=class{constructor(e,t){this._logService=t,this._workspace=c.withNullAsUndefined(e.workspace),this._environment=e.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(e=>this._value=e)}workspaceValue(e){if(this._value)return i.join(this._value,e.identifier.value)}globalValue(e){return i.join(this._environment.globalStorageHome.fsPath,e.identifier.value.toLowerCase())}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);if(!this._environment.appSettingsHome)return;const e=this._workspace.id,t=i.join(this._environment.appSettingsHome.fsPath,"workspaceStorage",e);if(await o.dirExists(t))return t;try{return await o.mkdirp(t),
await o.writeFile(i.join(t,"meta.json"),JSON.stringify({id:this._workspace.id,configuration:this._workspace.configuration&&s.URI.revive(this._workspace.configuration).toString(),name:this._workspace.name},void 0,2)),t}catch(e){return void this._logService.error(e)}}};u=n([r(0,a.IExtHostInitDataService),r(1,l.ILogService)],u),t.ExtensionStoragePaths=u})),define(t[103],i([0,1,3,14]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.AbstractDebugAdapter=class{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new i.Emitter,this._onExit=new i.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(e){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=e}onEvent(e){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=e}onRequest(e){
this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=e}sendResponse(e){e.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${e.command}`)):this.internalSend("response",e)}sendRequest(e,t,i,n){const r={command:e};if(t&&Object.keys(t).length>0&&(r.arguments=t),this.internalSend("request",r),"number"==typeof n){const t=setTimeout(()=>{clearTimeout(t);const i=this.pendingRequests.get(r.seq);if(i){this.pendingRequests.delete(r.seq),i({type:"response",seq:0,request_seq:r.seq,success:!1,command:e,message:`timeout after ${n} ms`})}},n)}return i&&this.pendingRequests.set(r.seq,i),r.seq}acceptMessage(e){this.messageCallback?this.messageCallback(e):(this.queue.push(e),1===this.queue.length&&this.processQueue())}needsTaskBoundaryBetween(e,t){return"event"!==e.type||"event"!==t.type}async processQueue(){let e;for(;this.queue.length;){if(e&&!this.needsTaskBoundaryBetween(this.queue[0],e)||await n.timeout(0),
!(e=this.queue.shift()))return;switch(e.type){case"event":this.eventCallback&&this.eventCallback(e);break;case"request":this.requestCallback&&this.requestCallback(e);break;case"response":const t=e,i=this.pendingRequests.get(t.request_seq);i&&(this.pendingRequests.delete(t.request_seq),i(t))}}}internalSend(e,t){t.type=e,t.seq=this.sequence++,this.sendMessage(t)}async cancelPendingRequests(){if(0===this.pendingRequests.size)return Promise.resolve();const e=new Map;this.pendingRequests.forEach((t,i)=>e.set(i,t)),await n.timeout(500),e.forEach((e,t)=>{e({type:"response",seq:0,request_seq:t,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(t)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}})),define(t[176],i([0,1,8,2,7,18]),(function(e,t,i,n,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const o=/{([^}]+)}/g;function a(e){let t=e.configuration.type
;if(t)return"vslsShare"===t&&(t=e.configuration.adapterProxy.configuration.type),i.equalsIgnoreCase(t,"extensionhost")||i.equalsIgnoreCase(t,"pwa-extensionhost")?e:e.parentSession?a(e.parentSession):void 0}t.formatPII=function(e,t,i){return e.replace(o,(function(e,n){return t&&n.length>0&&"_"!==n[0]?e:i&&i.hasOwnProperty(n)?i[n]:e}))},t.isSessionAttach=function(e){return!e.parentSession&&"attach"===e.configuration.request&&!a(e)},t.getExtensionHostDebugSession=a,t.isDebuggerMainContribution=function(e){return e.type&&(e.label||e.program||e.runtime)},t.getExactExpressionStartAndEnd=function(e,t,i){let n=void 0,r=0,s=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,o=null;for(;o=s.exec(e);){let e=o.index+1,s=e+o[0].length;if(e<=t&&s>=i){n=o[0],r=e;break}}if(n){let e=/\w+/g,t=null;for(;t=e.exec(n);){if(t.index+1+r+t[0].length>=i)break}t&&(n=n.substring(0,e.lastIndex))}return n?{start:r,end:r+n.length-1}:{start:0,end:0}};const c=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function l(e){return!(!e||!e.match(c))}function u(e){
if("string"==typeof e.path)if("number"==typeof e.sourceReference&&e.sourceReference>0);else{if(l(e.path))return n.URI.parse(e.path);if(r.isAbsolute(e.path))return n.URI.file(e.path)}return e.path}function h(e){if("object"==typeof e.path){const t=n.URI.revive(e.path);return"file"===t.scheme?t.fsPath:t.toString()}return e.path}function d(e,t){switch(e.type){case"event":const i=e;switch(i.event){case"output":case"loadedSource":t(!1,i.body.source);break;case"breakpoint":t(!1,i.body.breakpoint.source)}break;case"request":const n=e;switch(n.command){case"setBreakpoints":case"breakpointLocations":case"source":case"gotoTargets":t(!0,n.arguments.source);break;case"launchVSCode":n.arguments.args.forEach(e=>t(!1,e))}break;case"response":const r=e;if(r.success)switch(r.command){case"stackTrace":r.body.stackFrames.forEach(e=>t(!1,e.source));break;case"loadedSources":r.body.sources.forEach(e=>t(!1,e));break;case"scopes":r.body.scopes.forEach(e=>t(!1,e.source));break;case"setFunctionBreakpoints":case"setBreakpoints":
r.body.breakpoints.forEach(e=>t(!1,e.source))}}}function p(e,t){return"number"!=typeof e?1:"number"!=typeof t?-1:e-t}t.isUri=l,t.convertToDAPaths=function(e,t){const i=t?u:h,n=s.deepClone(e);return d(n,(e,t)=>{e&&t&&(t.path=i(t))}),n},t.convertToVSCPaths=function(e,t){const i=t?u:h,n=s.deepClone(e);return d(n,(e,t)=>{!e&&t&&(t.path=i(t))}),n},t.getVisibleAndSorted=function(e){return e.filter(e=>{var t;return!(null===(t=e.presentation)||void 0===t?void 0:t.hidden)}).sort((e,t)=>e.presentation?t.presentation?e.presentation.group?t.presentation.group?e.presentation.group!==t.presentation.group?e.presentation.group.localeCompare(t.presentation.group):p(e.presentation.order,t.presentation.order):-1:t.presentation.group?1:p(e.presentation.order,t.presentation.order):-1:1)}})),define(t[177],i([0,1,23,29,151,87,7,8,18,10,162,103]),(function(e,t,i,n,r,s,o,a,c,l,u,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class d extends h.AbstractDebugAdapter{constructor(){super(),
this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(e,t){this.outputStream=t,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,e.on("data",e=>this.handleData(e))}sendMessage(e){if(this.outputStream){const t=JSON.stringify(e);this.outputStream.write(`Content-Length: ${Buffer.byteLength(t,"utf8")}${d.TWO_CRLF}${t}`,"utf8")}}handleData(e){for(this.rawData=Buffer.concat([this.rawData,e]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const e=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,e.length>0)try{this.acceptMessage(JSON.parse(e))}catch(t){this._onError.fire(new Error((t.message||t)+"\n"+e))}continue}}else{const e=this.rawData.indexOf(d.TWO_CRLF);if(-1!==e){const t=this.rawData.toString("utf8",0,e).split(d.HEADER_LINESEPARATOR);for(const e of t){const t=e.split(d.HEADER_FIELDSEPARATOR);"Content-Length"===t[0]&&(this.contentLength=Number(t[1]))}
this.rawData=this.rawData.slice(e+d.TWO_CRLF.length);continue}}break}}}t.StreamDebugAdapter=d,d.TWO_CRLF="\r\n\r\n",d.HEADER_LINESEPARATOR=/\r?\n/,d.HEADER_FIELDSEPARATOR=/: */;t.SocketDebugAdapter=class extends d{constructor(e){super(),this.adapterServer=e}startSession(){return new Promise((e,t)=>{let i=!1;this.socket=s.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",()=>{this.connect(this.socket,this.socket),e(),i=!0}),this.socket.on("close",()=>{i?this._onError.fire(new Error("connection closed")):t(new Error("connection closed"))}),this.socket.on("error",e=>{i?this._onError.fire(e):t(e)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}};class p extends d{constructor(e,t,i){super(),this.adapterExecutable=e,this.debugType=t,this.outputService=i}async startSession(){const e=this.adapterExecutable.command,t=this.adapterExecutable.args,s=this.adapterExecutable.options||{};try{
if(!e)throw new Error(r.localize(1,null,this.debugType));if(o.isAbsolute(e)){if(!await i.exists(e))throw new Error(r.localize(0,null,e))}else e.indexOf("/")<0&&e.indexOf("\\");let a=c.mixin({},process.env);if(s.env&&(a=c.mixin(a,s.env)),"node"===e){if(!(Array.isArray(t)&&t.length>0))throw new Error(r.localize(3,null));{const e={env:a,execArgv:!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};s.cwd&&(e.cwd=s.cwd);const i=n.fork(t[0],t.slice(1),e);if(!i.pid)throw new Error(r.localize(2,null,t[0]));this.serverProcess=i}}else{const i={env:a};s.cwd&&(i.cwd=s.cwd),this.serverProcess=n.spawn(e,t,i)}this.serverProcess.on("error",e=>{this._onError.fire(e)}),this.serverProcess.on("exit",(e,t)=>{this._onExit.fire(e)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",e=>{this._onError.fire(e)}),this.serverProcess.stdin.on("error",e=>{
this._onError.fire(e)});const l=this.outputService;if(l){const e=e=>e.toString().replace(/\r?\n$/gm,"");this.serverProcess.stderr.on("data",t=>{const i=l.getChannel(u.ExtensionsChannelId);i&&i.append(e(t))})}this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(e){this._onError.fire(e)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),l.isWindows?new Promise((e,t)=>{const i=n.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,(function(e,i,n){if(e)return t(e)}));i.on("exit",e),i.on("error",t)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(e,t){if(!e)return;const i=Object.create(null);e.runtime&&(0===e.runtime.indexOf("./")?i.runtime=o.join(t,e.runtime):i.runtime=e.runtime),e.runtimeArgs&&(i.runtimeArgs=e.runtimeArgs),e.program&&(o.isAbsolute(e.program)?i.program=e.program:i.program=o.join(t,e.program)),e.args&&(i.args=e.args);const n=e;return n.win&&(i.win=p.extract(n.win,t)),
n.winx86&&(i.winx86=p.extract(n.winx86,t)),n.windows&&(i.windows=p.extract(n.windows,t)),n.osx&&(i.osx=p.extract(n.osx,t)),n.linux&&(i.linux=p.extract(n.linux,t)),i}static platformAdapterExecutable(e,t){let i,n=Object.create(null);t=t.toLowerCase();for(const i of e)if(i.contributes){const e=i.contributes.debuggers;e&&e.length>0&&e.filter(e=>"string"==typeof e.type&&a.equalsIgnoreCase(e.type,t)).forEach(e=>{const t=p.extract(e,i.extensionLocation.fsPath);n=c.mixin(n,t,i.isBuiltin)})}l.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?i=n.winx86||n.win||n.windows:l.isWindows?i=n.win||n.windows:l.isMacintosh?i=n.osx:l.isLinux&&(i=n.linux);let r=(i=i||n).program||n.program;const s=i.args||n.args;let o=i.runtime||n.runtime;const u=i.runtimeArgs||n.runtimeArgs;return o?{type:"executable",command:o,args:(u||[]).concat("string"==typeof r?[r]:[]).concat(s||[])}:r?{type:"executable",command:r,args:s||[]}:void 0}}t.ExecutableDebugAdapter=p})),define(t[178],i([0,1,4]),(function(e,t,i){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),t.IExternalTerminalService=i.createDecorator("nativeTerminalService")})),define(t[179],i([0,1,29,7,64,152,23,10,18,178,97,59,51,65,45,4]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const _=a.localize(0,null);t.DEFAULT_TERMINAL_OSX="Terminal.app";let y=class e{constructor(e){this._configurationService=e}openTerminal(e){if(this._configurationService){const t=this._configurationService.getValue();this.spawnTerminal(i,t,o.getWindowsShell(),e)}}runInTerminal(t,n,r,s,o){const a=o.windowsExec||e.getDefaultTerminalWindows();return new Promise((t,o)=>{const c=`"${n} - ${_}"`,l=`""${r.join('" "')}" & pause"`,h=["/c","start",c,"/wait",a,"/c",l],d=u.assign({},process.env,s);Object.keys(d).filter(e=>null===d[e]).forEach(e=>delete d[e]);const p={cwd:n,env:d,windowsVerbatimArguments:!0};i.spawn(e.CMD,h,p).on("error",e=>{o(b(e))}),t(void 0)})}spawnTerminal(t,i,n,r){
const o=i.terminal.external.windowsExec||e.getDefaultTerminalWindows();r&&":"===r[1]&&(r=r[0].toUpperCase()+r.substr(1));const a=s.basename(o).toLowerCase();if("cmder"===a||"cmder.exe"===a)return t.spawn(o,r?[r]:void 0),Promise.resolve(void 0);const c=["/c","start","/wait"];return o.indexOf(" ")>=0&&c.push('""'),c.push(o),new Promise((e,i)=>{const s=r?{cwd:r}:void 0,o=t.spawn(n,c,s);o.on("error",i),o.on("exit",()=>e())})}static getDefaultTerminalWindows(){if(!e._DEFAULT_TERMINAL_WINDOWS){const t=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");e._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${t?"Sysnative":"System32"}\\cmd.exe`}return e._DEFAULT_TERMINAL_WINDOWS}};y.CMD="cmd.exe",y=n([r(0,v.optional(d.IConfigurationService))],y),t.WindowsExternalTerminalService=y;let w=class n{constructor(e){this._configurationService=e}openTerminal(e){if(this._configurationService){const t=this._configurationService.getValue();this.spawnTerminal(i,t,e)}}runInTerminal(r,s,o,c,l){
const u=l.osxExec||t.DEFAULT_TERMINAL_OSX;return new Promise((l,h)=>{if(u===t.DEFAULT_TERMINAL_OSX||"iTerm.app"===u){const d=u===t.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",f=[p.getPathFromAmdModule(e,`vs/workbench/contrib/externalTerminal/node/${d}.scpt`),"-t",r||_,"-w",s];for(let e of o)f.push("-a"),f.push(e);if(c)for(let e in c){const t=c[e];null===t?(f.push("-u"),f.push(e)):(f.push("-e"),f.push(`${e}=${t}`))}let m="";const g=i.spawn(n.OSASCRIPT,f);g.on("error",e=>{h(b(e))}),g.stderr.on("data",e=>{m+=e.toString()}),g.on("exit",e=>{if(0===e)l(void 0);else if(m){const e=m.split("\n",1);h(new Error(e[0]))}else h(new Error(a.localize(1,null,d,e)))})}else h(new Error(a.localize(2,null,u)))})}spawnTerminal(e,i,n){const r=i.terminal.external.osxExec||t.DEFAULT_TERMINAL_OSX;return new Promise((t,i)=>{const s=["-a",r];n&&s.push(n);const o=e.spawn("/usr/bin/open",s);o.on("error",i),o.on("exit",()=>t())})}};w.OSASCRIPT="/usr/bin/osascript",w=n([r(0,v.optional(d.IConfigurationService))],w),
t.MacExternalTerminalService=w;let x=class e{constructor(e){this._configurationService=e}openTerminal(e){if(this._configurationService){const t=this._configurationService.getValue();this.spawnTerminal(i,t,e)}}runInTerminal(t,n,r,s,o){const c=o.linuxExec?Promise.resolve(o.linuxExec):e.getDefaultTerminalLinuxReady();return new Promise((t,o)=>{let l=[];c.then(c=>{c.indexOf("gnome-terminal")>=0?l.push("-x"):l.push("-e"),l.push("bash"),l.push("-c");const h=`${function(e){let t="";for(let i of e)i.indexOf(" ")>=0?t+='"'+i+'"':t+=i,t+=" ";return t}(r)}; echo; read -p "${e.WAIT_MESSAGE}" -n1;`;l.push(`''${h}''`);const d=u.assign({},process.env,s);Object.keys(d).filter(e=>null===d[e]).forEach(e=>delete d[e]);const p={cwd:n,env:d};let f="";const m=i.spawn(c,l,p);m.on("error",e=>{o(b(e))}),m.stderr.on("data",e=>{f+=e.toString()}),m.on("exit",e=>{if(0===e)t(void 0);else if(f){const e=f.split("\n",1);o(new Error(e[0]))}else o(new Error(a.localize(4,null,c,e)))})})})}spawnTerminal(t,i,n){
const r=i.terminal.external,s=r.linuxExec?Promise.resolve(r.linuxExec):e.getDefaultTerminalLinuxReady();return new Promise((e,i)=>{s.then(r=>{const s=n?{cwd:n}:void 0,o=t.spawn(r,[],s);o.on("error",i),o.on("exit",()=>e())})})}static async getDefaultTerminalLinuxReady(){return e._DEFAULT_TERMINAL_LINUX_READY||(e._DEFAULT_TERMINAL_LINUX_READY=new Promise(async e=>{if(l.isLinux){const t=await c.exists("/etc/debian_version");await process.lazyEnv,t?e("x-terminal-emulator"):"gnome"===process.env.DESKTOP_SESSION||"gnome-classic"===process.env.DESKTOP_SESSION?e("gnome-terminal"):"kde-plasma"===process.env.DESKTOP_SESSION?e("konsole"):process.env.COLORTERM?e(process.env.COLORTERM):process.env.TERM?e(process.env.TERM):e("xterm")}else e("xterm")})),e._DEFAULT_TERMINAL_LINUX_READY}};function b(e){return"errno"in e&&"ENOENT"===e.errno&&"path"in e&&"string"==typeof e.path?new Error(a.localize(5,null,e.path)):e}x.WAIT_MESSAGE=a.localize(3,null),x=n([r(0,v.optional(d.IConfigurationService))],x),
t.LinuxExternalTerminalService=x,l.isWindows?m.registerSingleton(h.IExternalTerminalService,y,!0):l.isMacintosh?m.registerSingleton(h.IExternalTerminalService,w,!0):l.isLinux&&m.registerSingleton(h.IExternalTerminalService,x,!0),x.getDefaultTerminalLinuxReady().then(e=>{g.Registry.as(f.Extensions.Configuration).registerConfiguration({id:"externalTerminal",order:100,title:a.localize(6,null),type:"object",properties:{"terminal.explorerKind":{type:"string",enum:["integrated","external"],enumDescriptions:[a.localize(7,null),a.localize(8,null)],description:a.localize(9,null),default:"integrated"},"terminal.external.windowsExec":{type:"string",description:a.localize(10,null),default:y.getDefaultTerminalWindows(),scope:1},"terminal.external.osxExec":{type:"string",description:a.localize(11,null),default:t.DEFAULT_TERMINAL_OSX,scope:1},"terminal.external.linuxExec":{type:"string",description:a.localize(12,null),default:e,scope:1}}})})})),define(t[180],i([0,1,29,10,179]),(function(e,t,i,n,r){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});let s=void 0;function o(e,t){return new Promise((n,r)=>{let s="";const o=i.spawn(e,t);o.pid&&o.stdout.on("data",e=>{s+=e.toString()}),o.on("error",e=>{r(e)}),o.on("close",e=>{n(s)})})}var a;t.runInExternalTerminal=function(e,t){if(s||(n.isWindows?s=new r.WindowsExternalTerminalService(void 0):n.isMacintosh?s=new r.MacExternalTerminalService(void 0):n.isLinux&&(s=new r.LinuxExternalTerminalService(void 0))),s){const i=t.getConfiguration("terminal");s.runInTerminal(e.title,e.cwd,e.args,e.env||{},i.external||{})}},t.hasChildProcesses=function(e){return e?n.isWindows?o("wmic",["process","get","ParentProcessId"]).then(t=>{return t.split("\r\n").some(t=>parseInt(t)===e)},e=>!0):o("/usr/bin/pgrep",["-lP",String(e)]).then(e=>{const t=e.trim();return!(0===t.length||t.indexOf(" tmux")>=0)},e=>!0):Promise.resolve(!0)},function(e){e[e.cmd=0]="cmd",e[e.powershell=1]="powershell",e[e.bash=2]="bash"}(a||(a={})),t.prepareCommand=function(e,t){let i,r,s=" "
;switch(i=(t=t.trim().toLowerCase()).indexOf("powershell")>=0||t.indexOf("pwsh")>=0?1:t.indexOf("cmd.exe")>=0?0:t.indexOf("bash")>=0?2:n.isWindows?0:2){case 1:if(r=e=>(e=e.replace(/\'/g,"''")).length>0&&"\\"===e.charAt(e.length-1)?`'${e}\\'`:`'${e}'`,e.cwd&&(s+=`cd '${e.cwd}'; `),e.env)for(let t in e.env){const i=e.env[t];s+=null===i?`Remove-Item env:${t}; `:`\${env:${t}}='${i}'; `}if(e.args&&e.args.length>0){const t=r(e.args.shift());s+="'"===t[0]?`& ${t} `:`${t} `;for(let t of e.args)s+=`${r(t)} `}break;case 0:if(r=e=>(e=e.replace(/\"/g,'""')).indexOf(" ")>=0||e.indexOf('"')>=0||0===e.length?`"${e}"`:e,e.cwd&&(s+=`cd ${r(e.cwd)} && `),e.env){s+='cmd /C "';for(let t in e.env){let i=e.env[t];s+=null===i?`set "${t}=" && `:`set "${t}=${i=i.replace(/[\^\&\|\<\>]/g,e=>`^${e}`)}" && `}}for(let t of e.args)s+=`${r(t)} `;e.env&&(s+='"');break;case 2:r=e=>(e=e.replace(/([\"\\])/g,"\\$1")).indexOf(" ")>=0||0===e.length?`"${e}"`:e;const t=e=>/[^\w@%\/+=,.:^-]/.test(e)?`'${e.replace(/'/g,"'\\''")}'`:e
;if(e.cwd&&(s+=`cd ${r(e.cwd)} ; `),e.env){s+="env";for(let i in e.env){const n=e.env[i];s+=null===n?` -u ${t(i)}`:` ${t(`${i}=${n}`)}`}s+=" "}for(let t of e.args)s+=`${r(t)} `}return s}})),define(t[181],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITaskService=i.createDecorator("taskService"),t.USER_TASKS_GROUP_KEY="settings"})),define(t[68],i([0,1,153,160,4]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TERMINAL_VIEW_ID="workbench.panel.terminal",t.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=new n.RawContextKey("terminalIsOpen",!1),t.KEYBINDING_CONTEXT_TERMINAL_FOCUS=new n.RawContextKey("terminalFocus",!1),t.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=t.KEYBINDING_CONTEXT_TERMINAL_FOCUS.toNegated(),t.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=new n.RawContextKey("terminalA11yTreeFocus",!1),t.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=new n.RawContextKey("terminalTextSelected",!1),
t.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=t.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED.toNegated(),t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_VISIBLE=new n.RawContextKey("terminalFindWidgetVisible",!1),t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_NOT_VISIBLE=t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_VISIBLE.toNegated(),t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_INPUT_FOCUSED=new n.RawContextKey("terminalFindWidgetInputFocused",!1),t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_FOCUSED=new n.RawContextKey("terminalFindWidgetFocused",!1),t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_INPUT_NOT_FOCUSED=t.KEYBINDING_CONTEXT_TERMINAL_FIND_WIDGET_INPUT_FOCUSED.toNegated(),t.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY="terminal.integrated.isWorkspaceShellAllowed",t.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY="terminal.integrated.neverMeasureRenderTime",t.EXT_HOST_CREATION_DELAY=100,t.ITerminalNativeService=r.createDecorator("terminalNativeService"),t.TerminalCursorStyle={BLOCK:"block",LINE:"line",UNDERLINE:"underline"},
t.TERMINAL_CONFIG_SECTION="terminal.integrated",t.TERMINAL_ACTION_CATEGORY=i.localize(0,null),t.DEFAULT_LETTER_SPACING=0,t.MINIMUM_LETTER_SPACING=-5,t.DEFAULT_LINE_HEIGHT=1,t.SHELL_PATH_INVALID_EXIT_CODE=-1,t.SHELL_PATH_DIRECTORY_EXIT_CODE=-2,t.SHELL_CWD_INVALID_EXIT_CODE=-3,t.LEGACY_CONSOLE_MODE_EXIT_CODE=3221225786,function(e){e[e.UNINITIALIZED=0]="UNINITIALIZED",e[e.LAUNCHING=1]="LAUNCHING",e[e.RUNNING=2]="RUNNING",e[e.KILLED_DURING_LAUNCH=3]="KILLED_DURING_LAUNCH",e[e.KILLED_BY_USER=4]="KILLED_BY_USER",e[e.KILLED_BY_PROCESS=5]="KILLED_BY_PROCESS"}(t.ProcessState||(t.ProcessState={})),function(e){e[e.Fedora=0]="Fedora",e[e.Ubuntu=1]="Ubuntu",e[e.Unknown=2]="Unknown"}(t.LinuxDistro||(t.LinuxDistro={})),function(e){e[e.Api=0]="Api",e[e.Process=1]="Process",e[e.Sequence=2]="Sequence"}(t.TitleEventSource||(t.TitleEventSource={})),function(e){e.FIND_NEXT="workbench.action.terminal.findNext",e.FIND_PREVIOUS="workbench.action.terminal.findPrevious",e.TOGGLE="workbench.action.terminal.toggleTerminal",
e.KILL="workbench.action.terminal.kill",e.QUICK_KILL="workbench.action.terminal.quickKill",e.COPY_SELECTION="workbench.action.terminal.copySelection",e.SELECT_ALL="workbench.action.terminal.selectAll",e.DELETE_WORD_LEFT="workbench.action.terminal.deleteWordLeft",e.DELETE_WORD_RIGHT="workbench.action.terminal.deleteWordRight",e.DELETE_TO_LINE_START="workbench.action.terminal.deleteToLineStart",e.MOVE_TO_LINE_START="workbench.action.terminal.moveToLineStart",e.MOVE_TO_LINE_END="workbench.action.terminal.moveToLineEnd",e.NEW="workbench.action.terminal.new",e.NEW_WITH_CWD="workbench.action.terminal.newWithCwd",e.NEW_LOCAL="workbench.action.terminal.newLocal",e.NEW_IN_ACTIVE_WORKSPACE="workbench.action.terminal.newInActiveWorkspace",e.SPLIT="workbench.action.terminal.split",e.SPLIT_IN_ACTIVE_WORKSPACE="workbench.action.terminal.splitInActiveWorkspace",e.FOCUS_PREVIOUS_PANE="workbench.action.terminal.focusPreviousPane",e.FOCUS_NEXT_PANE="workbench.action.terminal.focusNextPane",
e.RESIZE_PANE_LEFT="workbench.action.terminal.resizePaneLeft",e.RESIZE_PANE_RIGHT="workbench.action.terminal.resizePaneRight",e.RESIZE_PANE_UP="workbench.action.terminal.resizePaneUp",e.RESIZE_PANE_DOWN="workbench.action.terminal.resizePaneDown",e.FOCUS="workbench.action.terminal.focus",e.FOCUS_NEXT="workbench.action.terminal.focusNext",e.FOCUS_PREVIOUS="workbench.action.terminal.focusPrevious",e.PASTE="workbench.action.terminal.paste",e.SELECT_DEFAULT_SHELL="workbench.action.terminal.selectDefaultShell",e.RUN_SELECTED_TEXT="workbench.action.terminal.runSelectedText",e.RUN_ACTIVE_FILE="workbench.action.terminal.runActiveFile",e.SWITCH_TERMINAL="workbench.action.terminal.switchTerminal",e.SCROLL_DOWN_LINE="workbench.action.terminal.scrollDown",e.SCROLL_DOWN_PAGE="workbench.action.terminal.scrollDownPage",e.SCROLL_TO_BOTTOM="workbench.action.terminal.scrollToBottom",e.SCROLL_UP_LINE="workbench.action.terminal.scrollUp",e.SCROLL_UP_PAGE="workbench.action.terminal.scrollUpPage",
e.SCROLL_TO_TOP="workbench.action.terminal.scrollToTop",e.CLEAR="workbench.action.terminal.clear",e.CLEAR_SELECTION="workbench.action.terminal.clearSelection",e.MANAGE_WORKSPACE_SHELL_PERMISSIONS="workbench.action.terminal.manageWorkspaceShellPermissions",e.RENAME="workbench.action.terminal.rename",e.RENAME_WITH_ARG="workbench.action.terminal.renameWithArg",e.FIND_WIDGET_FOCUS="workbench.action.terminal.focusFindWidget",e.FIND_WIDGET_HIDE="workbench.action.terminal.hideFindWidget",e.QUICK_OPEN_TERM="workbench.action.quickOpenTerm",e.SCROLL_TO_PREVIOUS_COMMAND="workbench.action.terminal.scrollToPreviousCommand",e.SCROLL_TO_NEXT_COMMAND="workbench.action.terminal.scrollToNextCommand",e.SELECT_TO_PREVIOUS_COMMAND="workbench.action.terminal.selectToPreviousCommand",e.SELECT_TO_NEXT_COMMAND="workbench.action.terminal.selectToNextCommand",e.SELECT_TO_PREVIOUS_LINE="workbench.action.terminal.selectToPreviousLine",e.SELECT_TO_NEXT_LINE="workbench.action.terminal.selectToNextLine",
e.TOGGLE_ESCAPE_SEQUENCE_LOGGING="toggleEscapeSequenceLogging",e.SEND_SEQUENCE="workbench.action.terminal.sendSequence",e.TOGGLE_FIND_REGEX="workbench.action.terminal.toggleFindRegex",e.TOGGLE_FIND_WHOLE_WORD="workbench.action.terminal.toggleFindWholeWord",e.TOGGLE_FIND_CASE_SENSITIVE="workbench.action.terminal.toggleFindCaseSensitive",e.NAVIGATION_MODE_EXIT="workbench.action.terminal.navigationModeExit",e.NAVIGATION_MODE_FOCUS_NEXT="workbench.action.terminal.navigationModeFocusNext",e.NAVIGATION_MODE_FOCUS_PREVIOUS="workbench.action.terminal.navigationModeFocusPrevious"}(t.TERMINAL_COMMAND_ID||(t.TERMINAL_COMMAND_ID={}))})),define(t[182],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.TerminalDataBufferer=class{constructor(e){this._callback=e,this._terminalBufferMap=new Map}dispose(){for(const e of this._terminalBufferMap.values())e.dispose()}startBuffering(e,t,i=5){let n;return n=t(t=>{let r=this._terminalBufferMap.get(e);if(r)return void r.data.push(t)
;const s=setTimeout(()=>this._flushBuffer(e),i);r={data:[t],timeoutId:s,dispose:()=>{clearTimeout(s),this._flushBuffer(e),n.dispose()}},this._terminalBufferMap.set(e,r)})}stopBuffering(e){const t=this._terminalBufferMap.get(e);t&&t.dispose()}_flushBuffer(e){const t=this._terminalBufferMap.get(e);t&&(this._terminalBufferMap.delete(e),this._callback(e,t.data.join("")))}}})),define(t[183],i([0,1,7,10,116]),(function(e,t,i,n,r){"use strict";function s(e,t){if(t)if(n.isWindows)for(const i in t){let n=i;for(const t in e)if(i.toLowerCase()===t.toLowerCase()){n=t;break}const r=t[i];o(e,n,r)}else Object.keys(t).forEach(i=>{const n=t[i];o(e,i,n)})}function o(e,t,i){"string"==typeof i?e[t]=i:delete e[t]}function a(e,t,i,n){e.TERM_PROGRAM="vscode",t&&(e.TERM_PROGRAM_VERSION=t),u(e,n)&&(e.LANG=h(i)),e.COLORTERM="truecolor"}function c(e,t){if(t)for(const i of Object.keys(t)){const n=t[i];n&&(e[i]=n)}}function l(e,t,i){return Object.keys(t).forEach(n=>{const r=t[n];if("string"==typeof r)try{t[n]=e.resolve(i,r)}catch(e){
t[n]=r}}),t}function u(e,t){return"on"===t||"auto"===t&&(!e.LANG||-1===e.LANG.search(/\.UTF\-8$/))}function h(e){const t=e?e.split("-"):[],i=t.length;if(0===i)return"en_US.UTF-8";if(1===i){const e={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};t[0]in e&&t.push(e[t[0]])}else t[1]=t[1].toUpperCase();return t.join("_")+".UTF-8"}function d(e,t,i,n){if(i)try{return i.resolve(t,e)}catch(e){return void(null==n||n.error("Could not resolve terminal cwd",e))}return e}function p(e){return 3===n.platform&&e&&":"===e[1]?e[0].toUpperCase()+e.substr(1):e}function f(e,t,i,r=n.platform){const s=e(`terminal.integrated.${i}.${3===r?"windows":1===r?"osx":"linux"}`);return(t?s.value:s.userValue)||s.defaultValue}Object.defineProperty(t,"__esModule",{value:!0}),
t.mergeEnvironments=s,t.addTerminalEnvironmentKeys=a,t.shouldSetLangEnvVariable=u,t.getLangEnvVariable=h,t.getCwd=function(e,t,n,r,s,o,a){if(e.cwd){const t="object"==typeof e.cwd?e.cwd.fsPath:e.cwd;return p(d(t,n,r)||t)}let c;return!e.ignoreConfigurationCwd&&o&&(r&&(o=d(o,n,r,a)),o&&(i.isAbsolute(o)?c=o:s&&(c=i.join(s.fsPath,o)))),c||(c=s?s.fsPath:t),p(c)},t.escapeNonWindowsPath=function(e){let t=e;return 0!==t.indexOf("\\")&&(t=t.replace(/\\/g,"\\\\")),t||-1===t.indexOf('"')?-1!==t.indexOf(" ")&&(t=t.replace(/ /g,"\\ ")):t="'"+t+"'",t},t.getDefaultShell=function(e,t,r,s,o,a,c,l,u,h=n.platform){let d=null;u&&(d=f(e,t,"automationShell",h)),d||(d=f(e,t,"shell",h));let p=d||r;if(3===h&&!s&&o){const e=i.join(o,"Sysnative").replace(/\//g,"\\").toLowerCase();p&&0===p.toLowerCase().indexOf(e)&&(p=i.join(o,"System32",p.substr(e.length+1)))}if(p&&3===h&&(p=p.replace(/\//g,"\\")),c)try{p=c.resolve(a,p)}catch(e){l.error("Could not resolve shell",e)}return p},t.getDefaultShellArgs=function(e,t,i,r,s,o,a=n.platform){
if(i&&f(e,t,"automationShell",a))return[];const c=3===a?"windows":1===a?"osx":"linux",l=e(`terminal.integrated.shellArgs.${c}`);let u=(t?l.value:l.userValue)||l.defaultValue;if(!u)return[];if("string"==typeof u&&3===a)return s?s.resolve(r,u):u;if(s){const e=[];for(const t of u)try{e.push(s.resolve(r,t))}catch(i){o.error(`Could not resolve terminal.integrated.shellArgs.${c}`,i),e.push(t)}u=e}return u},t.createTerminalEnvironment=function(e,t,i,o,u,h,d,p){let f={};if(e.strictEnv)c(f,e.env);else{c(f,p);const m=Object.assign({},u?i.value:i.userValue);o&&(m&&l(o,m,t),e.env&&l(o,e.env,t)),r.sanitizeProcessEnvironment(f,"VSCODE_IPC_HOOK_CLI"),s(f,m),s(f,e.env),a(f,h,n.locale,d)}return f}})),define(t[104],i([0,1,39,10,64,23,68,12,7]),(function(e,t,i,n,r,s,o,a,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSystemShell=function(e){return 3===e?n.isWindows?function(){if(!u){
const e=n.isWindows&&parseFloat(i.release())>=10,t=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),s=`${process.env.windir}\\${t?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;u=e?s:r.getWindowsShell()}return u}():r.getWindowsShell():n.isLinux&&1===e||n.isMacintosh&&2===e?"/bin/bash":function(){if(!l){let e="sh";!n.isWindows&&process.env.SHELL&&"/bin/false"===(e=process.env.SHELL)&&(e="/bin/bash"),n.isWindows&&(e="/bin/bash"),l=e}return l}()};let l=null;let u=null;let h=o.LinuxDistro.Unknown;if(n.isLinux){const e="/etc/os-release";s.fileExists(e).then(async t=>{if(!t)return;const i=(await s.readFile(e)).toString();/NAME="?Fedora"?/.test(i)?h=o.LinuxDistro.Fedora:/NAME="?Ubuntu"?/.test(i)&&(h=o.LinuxDistro.Ubuntu)})}function d(){const e=/(\d+)\.(\d+)\.(\d+)/g.exec(i.release());let t=0;return e&&4===e.length&&(t=parseInt(e[3])),t}async function p(t){const i=await new Promise((t,i)=>{e(["vscode-windows-registry"],t,i)});try{
const e=i.GetStringRegKey("HKEY_LOCAL_MACHINE",`SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\${t}.exe`,"");return e||""}catch(e){return""}}t.linuxDistro=h,t.getWindowsBuildNumber=d,t.detectAvailableShells=function(){return n.isWindows?async function(){const e=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),t=`${process.env.windir}\\${e?"Sysnative":"System32"}`;let i=!1;d()>=16299&&(i=!0);const n={"Command Prompt":[`${t}\\cmd.exe`],PowerShell:[`${t}\\WindowsPowerShell\\v1.0\\powershell.exe`],"PowerShell Core":[await p("pwsh")],"WSL Bash":[`${t}\\${i?"wsl.exe":"bash.exe"}`],"Git Bash":[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`]},r=[];Object.keys(n).forEach(e=>r.push(async function e(t,i){if(0===i.length)return Promise.resolve(void 0);const n=i.shift()
;if(""===n)return e(t,i);try{const e=await s.stat(c.normalize(n));if(e.isFile||e.isSymbolicLink)return{label:t,path:n}}catch(e){}return e(t,i)}(e,n[e])));const o=await Promise.all(r);return a.coalesce(o)}():async function(){return(await s.readFile("/etc/shells","utf8")).split("\n").filter(e=>0!==e.trim().indexOf("#")&&e.trim().length>0).map(e=>({label:c.basename(e),path:e}))}()}})),define(t[105],i([0,1,10,23,7,13]),(function(e,t,i,n,r,s){"use strict";let o;Object.defineProperty(t,"__esModule",{value:!0}),t.getMainProcessParentEnv=async function(){if(o)return o;if(i.isLinux){const e=process.ppid,t=r.basename(process.argv[0]);let i=0,s=e,a=t;do{i=s,(await n.readFile(`/proc/${i}/status`,"utf8")).split("\n").forEach(e=>{0===e.indexOf("Name:")&&(a=e.replace(/^Name:\s+/,"")),0===e.indexOf("PPid:")&&(s=parseInt(e.replace(/^PPid:\s+/,"")))})}while(a===t);const c=await n.readFile(`/proc/${i}/environ`,"utf8"),l={};c.split("\0").forEach(e=>{const t=e.indexOf("=");l[e.substr(0,t)]=e.substr(t+1)}),o=l}if(i.isMacintosh){
o={},["SHELL","SSH_AUTH_SOCK","Apple_PubSub_Socket_Render","XPC_FLAGS","XPC_SERVICE_NAME","HOME","LOGNAME","TMPDIR"].forEach(e=>{process.env[e]&&(o[e]=process.env[e])})}return i.isWindows&&(o=process.env),o},t.findExecutable=async function(e,t,o){if(r.isAbsolute(e))return await n.exists(e)?e:void 0;if(void 0===t&&(t=process.cwd()),"."!==r.dirname(e)){const i=r.join(t,e);return await n.exists(i)?i:void 0}if(void 0===o&&s.isString(process.env.PATH)&&(o=process.env.PATH.split(r.delimiter)),void 0===o||0===o.length){const i=r.join(t,e);return await n.exists(i)?i:void 0}for(let s of o){let o;if(o=r.isAbsolute(s)?r.join(s,e):r.join(t,s,e),await n.exists(o))return o;if(i.isWindows){let e=o+".com";if(await n.exists(e))return e;if(e=o+".exe",await n.exists(e))return e}}const a=r.join(t,e);return await n.exists(a)?a:void 0}})),define(t[184],i([0,1,39,7,10,245,34,3,104,6,68,29,9,23,105,2]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;let _=class extends h.Disposable{constructor(e,t,n,r,o,a,c){let h;super(),this._logService=c,this._currentTitle="",this._isDisposed=!1,this._titleInterval=null,this._onProcessData=this._register(new l.Emitter),this._onProcessExit=this._register(new l.Emitter),this._onProcessReady=this._register(new l.Emitter),this._onProcessTitleChanged=this._register(new l.Emitter),h="win32"===i.platform()?s.basename(e.executable||""):"xterm-256color",this._initialCwd=t;const p=a&&"win32"===process.platform&&u.getWindowsBuildNumber()>=18309,f={name:h,cwd:t,env:o,cols:n,rows:r,useConpty:p,conptyInheritCursor:p&&!!e.initialText},_=m.stat(t).then(async e=>{if(!e.isDirectory())return Promise.reject(d.SHELL_CWD_INVALID_EXIT_CODE)},async i=>{if(i&&"ENOENT"===i.code)return e.cwd=t,Promise.reject(d.SHELL_CWD_INVALID_EXIT_CODE)}),y=m.stat(e.executable).then(async e=>{if(!e.isFile()&&!e.isSymbolicLink())return Promise.reject(e.isDirectory()?d.SHELL_PATH_DIRECTORY_EXIT_CODE:d.SHELL_PATH_INVALID_EXIT_CODE)},async t=>{
if(t&&"ENOENT"===t.code){let t=e.cwd instanceof v.URI?e.cwd.path:e.cwd;const i=e.env&&e.env.PATH?e.env.PATH.split(s.delimiter):void 0;if(!await g.findExecutable(e.executable,t,i))return Promise.reject(d.SHELL_PATH_INVALID_EXIT_CODE)}});Promise.all([_,y]).then(()=>{this.setupPtyProcess(e,f)}).catch(e=>this._launchFailed(e))}get onProcessData(){return this._onProcessData.event}get onProcessExit(){return this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}get onProcessTitleChanged(){return this._onProcessTitleChanged.event}_launchFailed(e){this._exitCode=e,this._queueProcessExit(),this._processStartupComplete=Promise.resolve(void 0)}setupPtyProcess(e,t){const i=e.args||[];this._logService.trace("IPty#spawn",e.executable,i,t);const n=a.spawn(e.executable,i,t);this._ptyProcess=n,this._processStartupComplete=new Promise(e=>{this.onProcessReady(()=>e())}),n.on("data",e=>{this._onProcessData.fire(e),this._closeTimeout&&(clearTimeout(this._closeTimeout),this._queueProcessExit())}),
n.on("exit",e=>{this._exitCode=e,this._queueProcessExit()}),this._setupTitlePolling(n),setTimeout(()=>{this._sendProcessId(n)},500)}dispose(){this._isDisposed=!0,this._titleInterval&&clearInterval(this._titleInterval),this._titleInterval=null,this._onProcessData.dispose(),this._onProcessExit.dispose(),this._onProcessReady.dispose(),this._onProcessTitleChanged.dispose(),super.dispose()}_setupTitlePolling(e){setTimeout(()=>{this._sendProcessTitle(e)},0),o.isWindows||(this._titleInterval=setInterval(()=>{this._currentTitle!==e.process&&this._sendProcessTitle(e)},200))}_queueProcessExit(){this._closeTimeout&&clearTimeout(this._closeTimeout),this._closeTimeout=setTimeout(()=>this._kill(),250)}async _kill(){if(await this._processStartupComplete,!this._isDisposed){try{this._ptyProcess&&(this._logService.trace("IPty#kill"),this._ptyProcess.kill())}catch(e){}this._onProcessExit.fire(this._exitCode||0),this.dispose()}}_sendProcessId(e){this._onProcessReady.fire({pid:e.pid,cwd:this._initialCwd})}_sendProcessTitle(e){
this._isDisposed||(this._currentTitle=e.process,this._onProcessTitleChanged.fire(this._currentTitle))}shutdown(e){e?this._kill():this._queueProcessExit()}input(e){!this._isDisposed&&this._ptyProcess&&(this._logService.trace("IPty#write",`${e.length} characters`),this._ptyProcess.write(e))}resize(e,t){if(!this._isDisposed&&"number"==typeof e&&"number"==typeof t&&!isNaN(e)&&!isNaN(t)&&this._ptyProcess){e=Math.max(e,1),t=Math.max(t,1),this._logService.trace("IPty#resize",e,t);try{this._ptyProcess.resize(e,t)}catch(e){if(void 0!==this._exitCode)throw e}}}getInitialCwd(){return Promise.resolve(this._initialCwd)}getCwd(){return o.isMacintosh?new Promise(e=>{this._ptyProcess?(this._logService.trace("IPty#pid"),p.exec("lsof -OPl -p "+this._ptyProcess.pid+" | grep cwd",(t,i,n)=>{""!==i&&e(i.substring(i.indexOf("/"),i.length-1))})):e(this._initialCwd)}):o.isLinux?new Promise(e=>{this._ptyProcess?(this._logService.trace("IPty#pid"),c.readlink("/proc/"+this._ptyProcess.pid+"/cwd",(t,i)=>{t&&e(this._initialCwd),e(i)
})):e(this._initialCwd)}):new Promise(e=>{e(this._initialCwd)})}getLatency(){return Promise.resolve(0)}};_=n([r(6,f.ILogService)],_),t.TerminalProcess=_})),define(t[185],i([0,1,7,35,13,18,10,81,154]),(function(e,t,i,n,r,s,o,a,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class l{constructor(e,t){if(this._contributedVariables=new Map,this._context=e,t)if(o.isWindows){const e=Object.create(null);this._envVariables=e,Object.keys(t).forEach(i=>{e[i.toLowerCase()]=t[i]})}else this._envVariables=t}resolve(e,t){return this.recursiveResolve(e?e.uri:void 0,t)}resolveAnyBase(e,t,i,n){const r=s.deepClone(t);return o.isWindows&&r.windows?Object.keys(r.windows).forEach(e=>r[e]=r.windows[e]):o.isMacintosh&&r.osx?Object.keys(r.osx).forEach(e=>r[e]=r.osx[e]):o.isLinux&&r.linux&&Object.keys(r.linux).forEach(e=>r[e]=r.linux[e]),delete r.windows,delete r.osx,delete r.linux,this.recursiveResolve(e?e.uri:void 0,r,i,n)}resolveAny(e,t,i){return this.resolveAnyBase(e,t,i)}resolveAnyMap(e,t,i){const n=new Map
;return{newConfig:this.resolveAnyBase(e,t,i,n),resolvedVariables:n}}resolveWithInteractionReplace(e,t,i,n){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(e,t,i,n){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(e,t){if(this._contributedVariables.has(e))throw new Error("Variable "+e+" is contributed twice.");this._contributedVariables.set(e,t)}recursiveResolve(e,t,i,n){if(r.isString(t))return this.resolveString(e,t,i,n);if(r.isArray(t))return t.map(t=>this.recursiveResolve(e,t,i,n));if(r.isObject(t)){let r=Object.create(null);return Object.keys(t).forEach(s=>{const o=this.resolveString(e,s,i,n);r[o]=this.recursiveResolve(e,t[s],i,n)}),r}return t}resolveString(e,t,i,n){return t.replace(l.VARIABLE_REGEXP,(t,r)=>{let s=this.evaluateSingleVariable(t,r,e,i);return n&&n.set(r,s),s})}evaluateSingleVariable(e,t,s,l){let u;const h=t.split(":");h.length>1&&(t=h[0],u=h[1]);const d=()=>{const t=this._context.getFilePath();if(t)return t
;throw new Error(c.localize(0,null,e))},p=(t=!0)=>{if(t&&u){const t=this._context.getFolderUri(u);if(t)return t;throw new Error(c.localize(1,null,e,u))}if(s)return s;if(this._context.getWorkspaceFolderCount()>1)throw new Error(c.localize(2,null,e));throw new Error(c.localize(3,null,e))};switch(t){case"env":if(u){if(this._envVariables){const e=this._envVariables[o.isWindows?u.toLowerCase():u];if(r.isString(e))return e}return""}throw new Error(c.localize(4,null,e));case"config":if(u){const t=this._context.getConfigurationValue(p(!1),u);if(r.isUndefinedOrNull(t))throw new Error(c.localize(5,null,e,u));if(r.isObject(t))throw new Error(c.localize(6,null,e,u));return t}throw new Error(c.localize(7,null,e));case"command":return this.resolveFromMap(e,u,l,"command");case"input":return this.resolveFromMap(e,u,l,"input");default:switch(t){case"workspaceRoot":case"workspaceFolder":return a.normalizeDriveLetter(p().fsPath);case"cwd":return s?a.normalizeDriveLetter(p().fsPath):n.cwd();case"workspaceRootFolderName":
case"workspaceFolderBasename":return i.basename(p().fsPath);case"lineNumber":const r=this._context.getLineNumber();if(r)return r;throw new Error(c.localize(8,null,e));case"selectedText":const o=this._context.getSelectedText();if(o)return o;throw new Error(c.localize(9,null,e));case"file":return d();case"relativeFile":return s?i.normalize(i.relative(p().fsPath,d())):d();case"relativeFileDirname":let u=i.dirname(d());return s?i.normalize(i.relative(p().fsPath,u)):u;case"fileDirname":return i.dirname(d());case"fileExtname":return i.extname(d());case"fileBasename":return i.basename(d());case"fileBasenameNoExtension":const h=i.basename(d());return h.slice(0,h.length-i.extname(h).length);case"execPath":const f=this._context.getExecPath();return f||e;default:try{return this.resolveFromMap(e,t,l,void 0)}catch(t){return e}}}}resolveFromMap(e,t,i,n){if(t&&i){const r=void 0===n?i[t]:i[n+":"+t];if("string"==typeof r)return r;throw new Error(c.localize(10,null,e))}return e}}t.AbstractVariableResolverService=l,
l.VARIABLE_REGEXP=/\$\{(.*?)\}/g,l.VARIABLE_REGEXP_SINGLE=/\$\{(.*?)\}/})),define(t[186],i([0,1,4]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IEditorService=i.createDecorator("editorService"),t.ACTIVE_GROUP=-1,t.SIDE_GROUP=-2})),define(t[21],i([0,1,92,11,2,43,76,95,186,13,246,60,18,9,12]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f){"use strict";var m,g,v,_,y,w,x,b,E,S,C,P,D,T,I,k,R,A,O,L,M;function N(e){return 0===e.length||!!function(e){return void 0!==e.range}(e[0])}function F(e){return void 0===e?e:"string"==typeof e?r.URI.file(e):e}Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.to=function(e){const{selectionStartLineNumber:t,selectionStartColumn:i,positionLineNumber:r,positionColumn:s}=e,o=new n.Position(t-1,i-1),a=new n.Position(r-1,s-1);return new n.Selection(o,a)},e.from=function(e){const{anchor:t,active:i}=e;return{selectionStartLineNumber:t.line+1,selectionStartColumn:t.character+1,positionLineNumber:i.line+1,positionColumn:i.character+1}}
}(t.Selection||(t.Selection={})),function(e){e.from=function(e){if(!e)return;const{start:t,end:i}=e;return{startLineNumber:t.line+1,startColumn:t.character+1,endLineNumber:i.line+1,endColumn:i.character+1}},e.to=function(e){if(!e)return;const{startLineNumber:t,startColumn:i,endLineNumber:r,endColumn:s}=e;return new n.Range(t-1,i-1,r-1,s-1)}}(m=t.Range||(t.Range={})),function(e){e.to=function(e){return new n.Position(e.lineNumber-1,e.column-1)},e.from=function(e){return{lineNumber:e.line+1,column:e.character+1}}}(t.Position||(t.Position={})),function(e){e.from=function(e){switch(e){case n.DiagnosticTag.Unnecessary:return 1;case n.DiagnosticTag.Deprecated:return 2}},e.to=function(e){switch(e){case 1:return n.DiagnosticTag.Unnecessary;case 2:return n.DiagnosticTag.Deprecated}}}(g=t.DiagnosticTag||(t.DiagnosticTag={})),function(e){e.from=function(e){let t;return e.code&&(t=l.isString(e.code)||l.isNumber(e.code)?String(e.code):{value:String(e.code.value),target:e.code.target}),
Object.assign(Object.assign({},m.from(e.range)),{message:e.message,source:e.source,code:t,severity:_.from(e.severity),relatedInformation:e.relatedInformation&&e.relatedInformation.map(v.from),tags:Array.isArray(e.tags)?f.coalesce(e.tags.map(g.from)):void 0})},e.to=function(e){var t;const i=new n.Diagnostic(m.to(e),e.message,_.to(e.severity));return i.source=e.source,i.code=l.isString(e.code)?e.code:null===(t=e.code)||void 0===t?void 0:t.value,i.relatedInformation=e.relatedInformation&&e.relatedInformation.map(v.to),i.tags=e.tags&&f.coalesce(e.tags.map(g.to)),i}}(t.Diagnostic||(t.Diagnostic={})),function(e){e.from=function(e){return Object.assign(Object.assign({},m.from(e.location.range)),{message:e.message,resource:e.location.uri})},e.to=function(e){return new n.DiagnosticRelatedInformation(new n.Location(e.resource,m.to(e)),e.message)}}(v=t.DiagnosticRelatedInformation||(t.DiagnosticRelatedInformation={})),function(e){e.from=function(e){switch(e){case n.DiagnosticSeverity.Error:return a.MarkerSeverity.Error
;case n.DiagnosticSeverity.Warning:return a.MarkerSeverity.Warning;case n.DiagnosticSeverity.Information:return a.MarkerSeverity.Info;case n.DiagnosticSeverity.Hint:return a.MarkerSeverity.Hint}return a.MarkerSeverity.Error},e.to=function(e){switch(e){case a.MarkerSeverity.Info:return n.DiagnosticSeverity.Information;case a.MarkerSeverity.Warning:return n.DiagnosticSeverity.Warning;case a.MarkerSeverity.Error:return n.DiagnosticSeverity.Error;case a.MarkerSeverity.Hint:return n.DiagnosticSeverity.Hint}return n.DiagnosticSeverity.Error}}(_=t.DiagnosticSeverity||(t.DiagnosticSeverity={})),function(e){e.from=function(e){return"number"==typeof e&&e>=n.ViewColumn.One?e-1:e===n.ViewColumn.Beside?c.SIDE_GROUP:c.ACTIVE_GROUP},e.to=function(e){if("number"==typeof e&&e>=0)return e+1;throw new Error("invalid 'EditorViewColumn'")}}(t.ViewColumn||(t.ViewColumn={})),t.isDecorationOptionsArr=N,function(e){function t(e,t){if(!e)return e;let i;try{i=h.parse(e)}catch(e){}if(!i)return e;let n=!1;return i=d.cloneAndChange(i,e=>{
if(r.URI.isUri(e)){const i=`__uri_${Math.random().toString(16).slice(2,8)}`;return t[i]=e,n=!0,i}}),n?JSON.stringify(i):e}e.fromMany=function(t){return t.map(e.from)},e.from=function(e){let i;if((n=e)&&"object"==typeof n&&"string"==typeof n.language&&"string"==typeof n.value){const{language:t,value:n}=e;i={value:"```"+t+"\n"+n+"\n```\n"}}else i=o.isMarkdownString(e)?e:"string"==typeof e?{value:e}:{value:""};var n;const s=Object.create(null);i.uris=s;const a=e=>{try{let i=r.URI.parse(e,!0);i=i.with({query:t(i.query,s)}),s[e]=i}catch(e){}return""},c=new u.Renderer;return c.link=a,c.image=e=>a(o.parseHrefAndDimensions(e).href),u(i.value,{renderer:c}),i},e.to=function(e){return new o.MarkdownString(e.value,{isTrusted:e.isTrusted,supportThemeIcons:e.supportThemeIcons})},e.fromStrict=function(t){if(t)return"string"==typeof t?t:e.from(t)}}(y=t.MarkdownString||(t.MarkdownString={})),t.fromRangeOrRangeWithMessage=function(e){return N(e)?e.map(e=>({range:m.from(e.range),
hoverMessage:Array.isArray(e.hoverMessage)?y.fromMany(e.hoverMessage):e.hoverMessage?y.from(e.hoverMessage):void 0,renderOptions:e.renderOptions})):e.map(e=>({range:m.from(e)}))},t.pathOrURIToURI=F,function(e){e.from=function(e){return void 0===e?e:{contentText:e.contentText,contentIconPath:e.contentIconPath?F(e.contentIconPath):void 0,border:e.border,borderColor:e.borderColor,fontStyle:e.fontStyle,fontWeight:e.fontWeight,textDecoration:e.textDecoration,color:e.color,backgroundColor:e.backgroundColor,margin:e.margin,width:e.width,height:e.height}}}(w=t.ThemableDecorationAttachmentRenderOptions||(t.ThemableDecorationAttachmentRenderOptions={})),function(e){e.from=function(e){return void 0===e?e:{backgroundColor:e.backgroundColor,outline:e.outline,outlineColor:e.outlineColor,outlineStyle:e.outlineStyle,outlineWidth:e.outlineWidth,border:e.border,borderColor:e.borderColor,borderRadius:e.borderRadius,borderSpacing:e.borderSpacing,borderStyle:e.borderStyle,borderWidth:e.borderWidth,fontStyle:e.fontStyle,
fontWeight:e.fontWeight,textDecoration:e.textDecoration,cursor:e.cursor,color:e.color,opacity:e.opacity,letterSpacing:e.letterSpacing,gutterIconPath:e.gutterIconPath?F(e.gutterIconPath):void 0,gutterIconSize:e.gutterIconSize,overviewRulerColor:e.overviewRulerColor,before:e.before?w.from(e.before):void 0,after:e.after?w.from(e.after):void 0}}}(x=t.ThemableDecorationRenderOptions||(t.ThemableDecorationRenderOptions={})),function(e){e.from=function(e){if(void 0===e)return e;switch(e){case n.DecorationRangeBehavior.OpenOpen:return 0;case n.DecorationRangeBehavior.ClosedClosed:return 1;case n.DecorationRangeBehavior.OpenClosed:return 2;case n.DecorationRangeBehavior.ClosedOpen:return 3}}}(b=t.DecorationRangeBehavior||(t.DecorationRangeBehavior={})),function(e){e.from=function(e){return{isWholeLine:e.isWholeLine,rangeBehavior:e.rangeBehavior?b.from(e.rangeBehavior):void 0,overviewRulerLane:e.overviewRulerLane,light:e.light?x.from(e.light):void 0,dark:e.dark?x.from(e.dark):void 0,backgroundColor:e.backgroundColor,
outline:e.outline,outlineColor:e.outlineColor,outlineStyle:e.outlineStyle,outlineWidth:e.outlineWidth,border:e.border,borderColor:e.borderColor,borderRadius:e.borderRadius,borderSpacing:e.borderSpacing,borderStyle:e.borderStyle,borderWidth:e.borderWidth,fontStyle:e.fontStyle,fontWeight:e.fontWeight,textDecoration:e.textDecoration,cursor:e.cursor,color:e.color,opacity:e.opacity,letterSpacing:e.letterSpacing,gutterIconPath:e.gutterIconPath?F(e.gutterIconPath):void 0,gutterIconSize:e.gutterIconSize,overviewRulerColor:e.overviewRulerColor,before:e.before?w.from(e.before):void 0,after:e.after?w.from(e.after):void 0}}}(t.DecorationRenderOptions||(t.DecorationRenderOptions={})),function(e){e.from=function(e){return{text:e.newText,eol:e.newEol&&O.from(e.newEol),range:m.from(e.range)}},e.to=function(e){const t=new n.TextEdit(m.to(e.range),e.text);return t.newEol=void 0===e.eol?void 0:O.to(e.eol),t}}(E=t.TextEdit||(t.TextEdit={})),function(e){e.from=function(e,t){const i={edits:[]}
;if(e instanceof n.WorkspaceEdit)for(let n of e.allEntries())if(1===n._type)i.edits.push({oldUri:n.from,newUri:n.to,options:n.options,metadata:n.metadata});else{const e=null==t?void 0:t.getDocument(n.uri);i.edits.push({resource:n.uri,edit:E.from(n.edit),modelVersionId:null==e?void 0:e.version,metadata:n.metadata})}return i},e.to=function(e){const t=new n.WorkspaceEdit;for(const i of e.edits)i.edit?t.replace(r.URI.revive(i.resource),m.to(i.edit.range),i.edit.text):t.renameFile(r.URI.revive(i.oldUri),r.URI.revive(i.newUri),i.options);return t}}(t.WorkspaceEdit||(t.WorkspaceEdit={})),function(e){const t=Object.create(null);t[n.SymbolKind.File]=0,t[n.SymbolKind.Module]=1,t[n.SymbolKind.Namespace]=2,t[n.SymbolKind.Package]=3,t[n.SymbolKind.Class]=4,t[n.SymbolKind.Method]=5,t[n.SymbolKind.Property]=6,t[n.SymbolKind.Field]=7,t[n.SymbolKind.Constructor]=8,t[n.SymbolKind.Enum]=9,t[n.SymbolKind.Interface]=10,t[n.SymbolKind.Function]=11,t[n.SymbolKind.Variable]=12,t[n.SymbolKind.Constant]=13,t[n.SymbolKind.String]=14,
t[n.SymbolKind.Number]=15,t[n.SymbolKind.Boolean]=16,t[n.SymbolKind.Array]=17,t[n.SymbolKind.Object]=18,t[n.SymbolKind.Key]=19,t[n.SymbolKind.Null]=20,t[n.SymbolKind.EnumMember]=21,t[n.SymbolKind.Struct]=22,t[n.SymbolKind.Event]=23,t[n.SymbolKind.Operator]=24,t[n.SymbolKind.TypeParameter]=25,e.from=function(e){return"number"==typeof t[e]?t[e]:6},e.to=function(e){for(const i in t)if(t[i]===e)return Number(i);return n.SymbolKind.Property}}(S=t.SymbolKind||(t.SymbolKind={})),function(e){e.from=function(e){switch(e){case n.SymbolTag.Deprecated:return 1}},e.to=function(e){switch(e){case 1:return n.SymbolTag.Deprecated}}}(C=t.SymbolTag||(t.SymbolTag={})),function(e){e.from=function(e){return{name:e.name,kind:S.from(e.kind),tags:e.tags&&e.tags.map(C.from),containerName:e.containerName,location:D.from(e.location)}},e.to=function(e){const t=new n.SymbolInformation(e.name,S.to(e.kind),e.containerName,D.to(e.location));return t.tags=e.tags&&e.tags.map(C.to),t}}(t.WorkspaceSymbol||(t.WorkspaceSymbol={})),function(e){
e.from=function e(t){const i={name:t.name||"!!MISSING: name!!",detail:t.detail,range:m.from(t.range),selectionRange:m.from(t.selectionRange),kind:S.from(t.kind),tags:t.tags?t.tags.map(C.from):[]};return t.children&&(i.children=t.children.map(e)),i},e.to=function e(t){const i=new n.DocumentSymbol(t.name,t.detail,S.to(t.kind),m.to(t.range),m.to(t.selectionRange));return f.isNonEmptyArray(t.tags)&&(i.tags=t.tags.map(C.to)),t.children&&(i.children=t.children.map(e)),i}}(t.DocumentSymbol||(t.DocumentSymbol={})),function(e){e.to=function(e){const t=new n.CallHierarchyItem(S.to(e.kind),e.name,e.detail||"",r.URI.revive(e.uri),m.to(e.range),m.to(e.selectionRange));return t._sessionId=e._sessionId,t._itemId=e._itemId,t}}(P=t.CallHierarchyItem||(t.CallHierarchyItem={})),function(e){e.to=function(e){return new n.CallHierarchyIncomingCall(P.to(e.from),e.fromRanges.map(e=>m.to(e)))}}(t.CallHierarchyIncomingCall||(t.CallHierarchyIncomingCall={})),function(e){e.to=function(e){
return new n.CallHierarchyOutgoingCall(P.to(e.to),e.fromRanges.map(e=>m.to(e)))}}(t.CallHierarchyOutgoingCall||(t.CallHierarchyOutgoingCall={})),function(e){e.from=function(e){return{range:e.range&&m.from(e.range),uri:e.uri}},e.to=function(e){return new n.Location(e.uri,m.to(e.range))}}(D=t.location||(t.location={})),function(e){e.from=function(e){const t=e,i=e;return{originSelectionRange:t.originSelectionRange?m.from(t.originSelectionRange):void 0,uri:t.targetUri?t.targetUri:i.uri,range:m.from(t.targetRange?t.targetRange:i.range),targetSelectionRange:t.targetSelectionRange?m.from(t.targetSelectionRange):void 0}}}(t.DefinitionLink||(t.DefinitionLink={})),function(e){e.from=function(e){return{range:m.from(e.range),contents:y.fromMany(e.contents)}},e.to=function(e){return new n.Hover(e.contents.map(y.to),m.to(e.range))}}(t.Hover||(t.Hover={})),function(e){e.from=function(e){return{range:m.from(e.range),expression:e.expression}},e.to=function(e){return new n.EvaluatableExpression(m.to(e.range),e.expression)}
}(t.EvaluatableExpression||(t.EvaluatableExpression={})),function(e){e.from=function(e){return{range:m.from(e.range),kind:e.kind}},e.to=function(e){return new n.DocumentHighlight(m.to(e.range),e.kind)}}(t.DocumentHighlight||(t.DocumentHighlight={})),function(e){e.to=function(e){switch(e){case 1:return n.CompletionTriggerKind.TriggerCharacter;case 2:return n.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return n.CompletionTriggerKind.Invoke}}}(T=t.CompletionTriggerKind||(t.CompletionTriggerKind={})),function(e){e.to=function(e){return{triggerKind:T.to(e.triggerKind),triggerCharacter:e.triggerCharacter}}}(t.CompletionContext||(t.CompletionContext={})),function(e){e.from=function(e){switch(e){case n.CompletionItemTag.Deprecated:return 1}},e.to=function(e){switch(e){case 1:return n.CompletionItemTag.Deprecated}}}(I=t.CompletionItemTag||(t.CompletionItemTag={})),function(e){e.from=function(e){switch(e){case n.CompletionItemKind.Method:return 0;case n.CompletionItemKind.Function:return 1
;case n.CompletionItemKind.Constructor:return 2;case n.CompletionItemKind.Field:return 3;case n.CompletionItemKind.Variable:return 4;case n.CompletionItemKind.Class:return 5;case n.CompletionItemKind.Interface:return 7;case n.CompletionItemKind.Struct:return 6;case n.CompletionItemKind.Module:return 8;case n.CompletionItemKind.Property:return 9;case n.CompletionItemKind.Unit:return 12;case n.CompletionItemKind.Value:return 13;case n.CompletionItemKind.Constant:return 14;case n.CompletionItemKind.Enum:return 15;case n.CompletionItemKind.EnumMember:return 16;case n.CompletionItemKind.Keyword:return 17;case n.CompletionItemKind.Snippet:return 25;case n.CompletionItemKind.Text:return 18;case n.CompletionItemKind.Color:return 19;case n.CompletionItemKind.File:return 20;case n.CompletionItemKind.Reference:return 21;case n.CompletionItemKind.Folder:return 23;case n.CompletionItemKind.Event:return 10;case n.CompletionItemKind.Operator:return 11;case n.CompletionItemKind.TypeParameter:return 24}return 9},
e.to=function(e){switch(e){case 0:return n.CompletionItemKind.Method;case 1:return n.CompletionItemKind.Function;case 2:return n.CompletionItemKind.Constructor;case 3:return n.CompletionItemKind.Field;case 4:return n.CompletionItemKind.Variable;case 5:return n.CompletionItemKind.Class;case 7:return n.CompletionItemKind.Interface;case 6:return n.CompletionItemKind.Struct;case 8:return n.CompletionItemKind.Module;case 9:return n.CompletionItemKind.Property;case 12:return n.CompletionItemKind.Unit;case 13:return n.CompletionItemKind.Value;case 14:return n.CompletionItemKind.Constant;case 15:return n.CompletionItemKind.Enum;case 16:return n.CompletionItemKind.EnumMember;case 17:return n.CompletionItemKind.Keyword;case 25:return n.CompletionItemKind.Snippet;case 18:return n.CompletionItemKind.Text;case 19:return n.CompletionItemKind.Color;case 20:return n.CompletionItemKind.File;case 21:return n.CompletionItemKind.Reference;case 23:return n.CompletionItemKind.Folder;case 10:return n.CompletionItemKind.Event
;case 11:return n.CompletionItemKind.Operator;case 24:return n.CompletionItemKind.TypeParameter}return n.CompletionItemKind.Property}}(k=t.CompletionItemKind||(t.CompletionItemKind={})),function(e){e.to=function(e,t){const i=new n.CompletionItem("string"==typeof e.label?e.label:e.label.name);return"string"!=typeof e.label&&(i.label2=e.label),i.insertText=e.insertText,i.kind=k.to(e.kind),i.tags=e.tags&&e.tags.map(I.to),i.detail=e.detail,i.documentation=o.isMarkdownString(e.documentation)?y.to(e.documentation):e.documentation,i.sortText=e.sortText,i.filterText=e.filterText,i.preselect=e.preselect,i.commitCharacters=e.commitCharacters,s.Range.isIRange(e.range)?i.range=m.to(e.range):"object"==typeof e.range&&(i.range={inserting:m.to(e.range.insert),replacing:m.to(e.range.replace)}),i.keepWhitespace=void 0!==e.insertTextRules&&Boolean(1&e.insertTextRules),void 0!==e.insertTextRules&&4&e.insertTextRules?i.insertText=new n.SnippetString(e.insertText):(i.insertText=e.insertText,
i.textEdit=i.range instanceof n.Range?new n.TextEdit(i.range,i.insertText):void 0),e.additionalTextEdits&&e.additionalTextEdits.length>0&&(i.additionalTextEdits=e.additionalTextEdits.map(e=>E.to(e))),i.command=t&&e.command?t.fromInternal(e.command):void 0,i}}(t.CompletionItem||(t.CompletionItem={})),function(e){e.from=function(e){return{label:e.label,documentation:e.documentation?y.fromStrict(e.documentation):void 0}},e.to=function(e){return{label:e.label,documentation:o.isMarkdownString(e.documentation)?y.to(e.documentation):e.documentation}}}(R=t.ParameterInformation||(t.ParameterInformation={})),function(e){e.from=function(e){return{label:e.label,documentation:e.documentation?y.fromStrict(e.documentation):void 0,parameters:Array.isArray(e.parameters)?e.parameters.map(R.from):[]}},e.to=function(e){return{label:e.label,documentation:o.isMarkdownString(e.documentation)?y.to(e.documentation):e.documentation,parameters:Array.isArray(e.parameters)?e.parameters.map(R.to):[]}}
}(A=t.SignatureInformation||(t.SignatureInformation={})),function(e){e.from=function(e){return{activeSignature:e.activeSignature,activeParameter:e.activeParameter,signatures:Array.isArray(e.signatures)?e.signatures.map(A.from):[]}},e.to=function(e){return{activeSignature:e.activeSignature,activeParameter:e.activeParameter,signatures:Array.isArray(e.signatures)?e.signatures.map(A.to):[]}}}(t.SignatureHelp||(t.SignatureHelp={})),function(e){e.from=function(e){return{range:m.from(e.range),url:e.target,tooltip:e.tooltip}},e.to=function(e){let t=void 0;if(e.url)try{t="string"==typeof e.url?r.URI.parse(e.url,!0):r.URI.revive(e.url)}catch(e){}return new n.DocumentLink(m.to(e.range),t)}}(t.DocumentLink||(t.DocumentLink={})),function(e){e.to=function(e){const t=new n.ColorPresentation(e.label);return e.textEdit&&(t.textEdit=E.to(e.textEdit)),e.additionalTextEdits&&(t.additionalTextEdits=e.additionalTextEdits.map(e=>E.to(e))),t},e.from=function(e){return{label:e.label,textEdit:e.textEdit?E.from(e.textEdit):void 0,
additionalTextEdits:e.additionalTextEdits?e.additionalTextEdits.map(e=>E.from(e)):void 0}}}(t.ColorPresentation||(t.ColorPresentation={})),function(e){e.to=function(e){return new n.Color(e[0],e[1],e[2],e[3])},e.from=function(e){return[e.red,e.green,e.blue,e.alpha]}}(t.Color||(t.Color={})),function(e){e.from=function(e){return{range:m.from(e.range)}},e.to=function(e){return new n.SelectionRange(m.to(e.range))}}(t.SelectionRange||(t.SelectionRange={})),function(e){e.to=function(e){switch(e){case 2:return n.TextDocumentSaveReason.AfterDelay;case 1:return n.TextDocumentSaveReason.Manual;case 3:case 4:return n.TextDocumentSaveReason.FocusOut}}}(t.TextDocumentSaveReason||(t.TextDocumentSaveReason={})),function(e){e.from=function(e){switch(e){case n.TextEditorLineNumbersStyle.Off:return 0;case n.TextEditorLineNumbersStyle.Relative:return 2;case n.TextEditorLineNumbersStyle.On:default:return 1}},e.to=function(e){switch(e){case 0:return n.TextEditorLineNumbersStyle.Off;case 2:
return n.TextEditorLineNumbersStyle.Relative;case 1:default:return n.TextEditorLineNumbersStyle.On}}}(t.TextEditorLineNumbersStyle||(t.TextEditorLineNumbersStyle={})),function(e){e.from=function(e){return e===n.EndOfLine.CRLF?1:e===n.EndOfLine.LF?0:void 0},e.to=function(e){return 1===e?n.EndOfLine.CRLF:0===e?n.EndOfLine.LF:void 0}}(O=t.EndOfLine||(t.EndOfLine={})),function(e){e.from=function(e){switch(e){case n.ProgressLocation.SourceControl:return 3;case n.ProgressLocation.Window:return 10;case n.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}}(t.ProgressLocation||(t.ProgressLocation={})),function(e){e.from=function(e){const t={start:e.start+1,end:e.end+1};return e.kind&&(t.kind=L.from(e.kind)),t}}(t.FoldingRange||(t.FoldingRange={})),function(e){e.from=function(e){if(e)switch(e){case n.FoldingRangeKind.Comment:return i.FoldingRangeKind.Comment;case n.FoldingRangeKind.Imports:return i.FoldingRangeKind.Imports;case n.FoldingRangeKind.Region:
return i.FoldingRangeKind.Region}}}(L=t.FoldingRangeKind||(t.FoldingRangeKind={})),function(e){e.from=function(e){if(e)return{pinned:"boolean"==typeof e.preview?!e.preview:void 0,preserveFocus:e.preserveFocus,selection:"object"==typeof e.selection?m.from(e.selection):void 0}}}(t.TextEditorOptions||(t.TextEditorOptions={})),function(e){e.from=function(e){return e instanceof n.RelativePattern?e:"string"==typeof e?e:function(e){const t=e;return t&&"string"==typeof t.base&&"string"==typeof t.pattern}(e)?new n.RelativePattern(e.base,e.pattern):e}}(M=t.GlobPattern||(t.GlobPattern={})),function(e){e.from=function e(t){return t?Array.isArray(t)?t.map(e):"string"==typeof t?t:{language:t.language,scheme:t.scheme,pattern:void 0===t.pattern?void 0:M.from(t.pattern),exclusive:t.exclusive}:void 0}}(t.LanguageSelector||(t.LanguageSelector={})),function(e){e.from=function(e){switch(e){case n.LogLevel.Trace:return p.LogLevel.Trace;case n.LogLevel.Debug:return p.LogLevel.Debug;case n.LogLevel.Info:return p.LogLevel.Info
;case n.LogLevel.Warning:return p.LogLevel.Warning;case n.LogLevel.Error:return p.LogLevel.Error;case n.LogLevel.Critical:return p.LogLevel.Critical;case n.LogLevel.Off:return p.LogLevel.Off}return p.LogLevel.Info},e.to=function(e){switch(e){case p.LogLevel.Trace:return n.LogLevel.Trace;case p.LogLevel.Debug:return n.LogLevel.Debug;case p.LogLevel.Info:return n.LogLevel.Info;case p.LogLevel.Warning:return n.LogLevel.Warning;case p.LogLevel.Error:return n.LogLevel.Error;case p.LogLevel.Critical:return n.LogLevel.Critical;case p.LogLevel.Off:return n.LogLevel.Off}return n.LogLevel.Info}}(t.LogLevel||(t.LogLevel={}))})),define(t[187],i([0,1,2,21,159,67,20,9,161]),(function(e,t,i,n,r,s,o,a,c){"use strict";function l(e){return(t,...i)=>e(t.get(r.ICommandService),...i)}Object.defineProperty(t,"__esModule",{value:!0});class u{static execute(e,t,n={}){if("boolean"==typeof n&&(n={forceNewWindow:n}),!t)return e.executeCommand("_files.pickFolderAndOpen",{forceNewWindow:n.forceNewWindow});const r={
forceNewWindow:n.forceNewWindow,forceReuseWindow:n.forceReuseWindow,noRecentEntry:n.noRecentEntry};t=i.URI.revive(t);const a=s.hasWorkspaceFileExtension(t)||t.scheme===o.Schemas.untitled?{workspaceUri:t}:{folderUri:t};return e.executeCommand("_files.windowOpen",[a],r)}}t.OpenFolderAPICommand=u,u.ID="vscode.openFolder",r.CommandsRegistry.registerCommand({id:u.ID,handler:l(u.execute),description:{description:"Open a folder or workspace in the current window or new window depending on the newWindow argument. Note that opening in the same window will shutdown the current extension host process and start a new one on the given folder/workspace unless the newWindow parameter is set to true.",args:[{name:"uri",description:"(optional) Uri of the folder or workspace file to open. If not provided, a native dialog will ask the user for the folder",constraint:e=>void 0===e||e instanceof i.URI},{name:"options",
description:"(optional) Options. Object with the following properties: `forceNewWindow `: Whether to open the folder/workspace in a new window or the same. Defaults to opening in the same window. `noRecentEntry`: Wheter the opened URI will appear in the 'Open Recent' list. Defaults to true.  Note, for backward compatibility, options can also be of type boolean, representing the `forceNewWindow` setting.",constraint:e=>void 0===e||"object"==typeof e||"boolean"==typeof e}]}});class h{static execute(e,t){const i={forceReuseWindow:t&&t.reuseWindow,remoteAuthority:t&&t.remoteAuthority};return e.executeCommand("_files.newWindow",i)}}t.NewWindowAPICommand=h,h.ID="vscode.newWindow",r.CommandsRegistry.registerCommand({id:h.ID,handler:l(h.execute),description:{description:"Opens an new window",args:[]}});class d{static execute(e,t,i,r,s){return e.executeCommand("_workbench.diff",[t,i,r,void 0,n.TextEditorOptions.from(s),s?n.ViewColumn.from(s.viewColumn):void 0])}}t.DiffAPICommand=d,d.ID="vscode.diff",
r.CommandsRegistry.registerCommand(d.ID,l(d.execute));class p{static execute(e,t,i,r){let s,o;return i&&("number"==typeof i?o=n.ViewColumn.from(i):(s=n.TextEditorOptions.from(i),o=n.ViewColumn.from(i.viewColumn))),e.executeCommand("_workbench.open",[t,s,o,r])}}t.OpenAPICommand=p,p.ID="vscode.open",r.CommandsRegistry.registerCommand(p.ID,l(p.execute));class f{static execute(e,t,i,r){let s,o;return"number"==typeof r?o=n.ViewColumn.from(r):void 0!==r&&(s=n.TextEditorOptions.from(r)),e.executeCommand("_workbench.openWith",[t,i,s,o])}}t.OpenWithAPICommand=f,f.ID="vscode.openWith",r.CommandsRegistry.registerCommand(f.ID,l(f.execute)),r.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",(function(e,t){return e.get(s.IWorkspacesService).removeRecentlyOpened([t])}));class m{static execute(e,t){return t="string"==typeof t?t.match(/^[^:/?#]+:\/\//)?i.URI.parse(t):i.URI.file(t):i.URI.revive(t),e.executeCommand("_workbench.removeFromRecentlyOpened",t)}}t.RemoveFromRecentlyOpenedAPICommand=m,
m.ID="vscode.removeFromRecentlyOpened",r.CommandsRegistry.registerCommand(m.ID,l(m.execute));class g{static execute(e,t){const i="string"==typeof t?{extensionId:t}:t;return e.executeCommand("workbench.action.openIssueReporter",i)}}t.OpenIssueReporter=g,g.ID="vscode.openIssueReporter",r.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",(async function(e,t){const i=e.get(s.IWorkspacesService);let n=void 0;const r=t.uri,o=t.label;if("workspace"===t.type){n={workspace:await i.getWorkspaceIdentifier(r),label:o}}else n="folder"===t.type?{folderUri:r,label:o}:{fileUri:r,label:o};return i.addRecentlyOpened([n])})),r.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",(async function(e){return e.get(s.IWorkspacesService).getRecentlyOpened()}));class v{static execute(e,t){return e.executeCommand("layoutEditorGroups",t)}}t.SetEditorLayoutAPICommand=v,v.ID="vscode.setEditorLayout",r.CommandsRegistry.registerCommand({id:v.ID,handler:l(v.execute),description:{description:"Set Editor Layout",
args:[{name:"args",schema:{type:"object",required:["groups"],properties:{orientation:{type:"number",default:0,enum:[0,1]},groups:{$ref:"#/definitions/editorGroupsSchema",default:[{},{}]}}}}]}}),r.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",(function(e,t){const i=e.get(a.ILogService),n=e.get(c.IEnvironmentService);n.isExtensionDevelopment&&n.extensionTestsLocationURI&&i.setLevel(t)})),r.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",(function(e){return e.get(a.ILogService).getLevel()}))})),define(t[188],i([0,1,2,6,21,11,187,12]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class c{constructor(e,t,i,n){this.name=e,this.description=t,this.validate=i,this.convert=n}}t.ApiCommandArgument=c,c.Uri=new c("uri","Uri of a text document",e=>i.URI.isUri(e),e=>e),c.Position=new c("position","A position in a text document",e=>s.Position.isPosition(e),r.Position.from),
c.Range=new c("range","A range in a text document",e=>s.Range.isRange(e),r.Range.from),c.CallHierarchyItem=new c("item","A call hierarchy item",e=>e instanceof s.CallHierarchyItem,r.CallHierarchyItem.to);class l{constructor(e,t){this.description=e,this.convert=t}}t.ApiCommandResult=l;class u{constructor(e,t,i,n,r){this.id=e,this.internalId=t,this.description=i,this.args=n,this.result=r}register(e){return e.registerCommand(!1,this.id,async(...t)=>{const i=this.args.map((e,i)=>{if(!e.validate(t[i]))throw new Error(`Invalid argument '${e.name}' when running '${this.id}', receieved: ${t[i]}`);return e.convert(t[i])}),n=await e.executeCommand(this.internalId,...i);return this.result.convert(n,t)},void 0,this._getCommandHandlerDesc())}_getCommandHandlerDesc(){return{description:this.description,args:this.args,returns:this.result.description}}}t.ApiCommand=u
;const h=[new u("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[c.Uri,c.Position],new l("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",p(r.DocumentHighlight.to))),new u("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[c.Uri],new l("A promise that resolves to an array of DocumentHighlight-instances.",(e,t)=>{if(!a.isFalsyOrEmpty(e)){class i extends s.SymbolInformation{static to(e){const n=new i(e.name,r.SymbolKind.to(e.kind),e.containerName||"",new s.Location(t[0],r.Range.to(e.range)));return n.detail=e.detail,n.range=n.location.range,n.selectionRange=r.Range.to(e.selectionRange),n.children=e.children?e.children.map(i.to):[],n}}return e.map(i.to)}
})),new u("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[c.Uri,new c("options","Formatting options",e=>!0,e=>e)],new l("A promise that resolves to an array of TextEdits.",p(r.TextEdit.to))),new u("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[c.Uri,c.Range,new c("options","Formatting options",e=>!0,e=>e)],new l("A promise that resolves to an array of TextEdits.",p(r.TextEdit.to))),new u("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[c.Uri,c.Position,new c("ch","Trigger character",e=>"string"==typeof e,e=>e),new c("options","Formatting options",e=>!0,e=>e)],new l("A promise that resolves to an array of TextEdits.",p(r.TextEdit.to))),new u("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[c.Uri,c.Position],new l("A promise that resolves to an array of Location-instances.",p(r.location.to))),new u("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[c.Uri,c.Position],new l("A promise that resolves to an array of Location-instances.",p(r.location.to))),new u("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[c.Uri,c.Position],new l("A promise that resolves to an array of Location-instances.",p(r.location.to))),new u("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[c.Uri,c.Position],new l("A promise that resolves to an array of Location-instances.",p(r.location.to))),new u("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[c.Uri,c.Position],new l("A promise that resolves to an array of Location-instances.",p(r.location.to))),new u("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[c.Uri,c.Position],new l("A promise that resolves to an array of Hover-instances.",p(r.Hover.to))),new u("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[c.Uri,new c("position","A positions in a text document",e=>Array.isArray(e)&&e.every(e=>s.Position.isPosition(e)),e=>e.map(r.Position.from))],new l("A promise that resolves to an array of ranges.",e=>e.map(e=>{
let t;for(const i of e.reverse())t=new s.SelectionRange(r.Range.to(i),t);return t}))),new u("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[new c("query","Search string",e=>"string"==typeof e,e=>e)],new l("A promise that resolves to an array of SymbolInformation-instances.",e=>{const t=[];if(Array.isArray(e))for(let i of e)t.push(...i[1].map(r.WorkspaceSymbol.to));return t
})),new u("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[c.Uri,c.Position],new l("A CallHierarchyItem or undefined",e=>e.map(r.CallHierarchyItem.to))),new u("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[c.CallHierarchyItem],new l("A CallHierarchyItem or undefined",e=>e.map(r.CallHierarchyIncomingCall.to))),new u("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[c.CallHierarchyItem],new l("A CallHierarchyItem or undefined",e=>e.map(r.CallHierarchyOutgoingCall.to)))];class d{constructor(e){this._disposables=new n.DisposableStore,this._commands=e}static register(e){return h.forEach(t=>t.register(e)),new d(e).registerCommands()}registerCommands(){this._register("vscode.executeDocumentRenameProvider",this._executeDocumentRenameProvider,{description:"Execute rename provider.",args:[{name:"uri",description:"Uri of a text document",
constraint:i.URI},{name:"position",description:"Position in a text document",constraint:s.Position},{name:"newName",description:"The new symbol name",constraint:String}],returns:"A promise that resolves to a WorkspaceEdit."}),this._register("vscode.executeSignatureHelpProvider",this._executeSignatureHelpProvider,{description:"Execute signature help provider.",args:[{name:"uri",description:"Uri of a text document",constraint:i.URI},{name:"position",description:"Position in a text document",constraint:s.Position},{name:"triggerCharacter",description:"(optional) Trigger signature help when the user types the character, like `,` or `(`",constraint:e=>void 0===e||"string"==typeof e}],returns:"A promise that resolves to SignatureHelp."}),this._register("vscode.executeCompletionItemProvider",this._executeCompletionItemProvider,{description:"Execute completion item provider.",args:[{name:"uri",description:"Uri of a text document",constraint:i.URI},{name:"position",description:"Position in a text document",
constraint:s.Position},{name:"triggerCharacter",description:"(optional) Trigger completion when the user types the character, like `,` or `(`",constraint:e=>void 0===e||"string"==typeof e},{name:"itemResolveCount",description:"(optional) Number of completions to resolve (too large numbers slow down completions)",constraint:e=>void 0===e||"number"==typeof e}],returns:"A promise that resolves to a CompletionList-instance."}),this._register("vscode.executeCodeActionProvider",this._executeCodeActionProvider,{description:"Execute code action provider.",args:[{name:"uri",description:"Uri of a text document",constraint:i.URI},{name:"rangeOrSelection",description:"Range in a text document. Some refactoring provider requires Selection object.",constraint:s.Range},{name:"kind",description:"(optional) Code action kind to return code actions for",constraint:e=>!e||"string"==typeof e.value}],returns:"A promise that resolves to an array of Command-instances."}),
this._register("vscode.executeCodeLensProvider",this._executeCodeLensProvider,{description:"Execute CodeLens provider.",args:[{name:"uri",description:"Uri of a text document",constraint:i.URI},{name:"itemResolveCount",description:"(optional) Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)",constraint:e=>void 0===e||"number"==typeof e}],returns:"A promise that resolves to an array of CodeLens-instances."}),this._register("vscode.executeLinkProvider",this._executeDocumentLinkProvider,{description:"Execute document link provider.",args:[{name:"uri",description:"Uri of a text document",constraint:i.URI}],returns:"A promise that resolves to an array of DocumentLink-instances."}),this._register("vscode.executeDocumentColorProvider",this._executeDocumentColorProvider,{description:"Execute document color provider.",args:[{name:"uri",description:"Uri of a text document",constraint:i.URI}],
returns:"A promise that resolves to an array of ColorInformation objects."}),this._register("vscode.executeColorPresentationProvider",this._executeColorPresentationProvider,{description:"Execute color presentation provider.",args:[{name:"color",description:"The color to show and insert",constraint:s.Color},{name:"context",description:"Context object with uri and range"}],returns:"A promise that resolves to an array of ColorPresentation objects."});const e=e=>(...t)=>e(this._commands,...t);this._register(o.OpenFolderAPICommand.ID,e(o.OpenFolderAPICommand.execute),{description:"Open a folder or workspace in the current window or new window depending on the newWindow argument. Note that opening in the same window will shutdown the current extension host process and start a new one on the given folder/workspace unless the newWindow parameter is set to true.",args:[{name:"uri",description:"(optional) Uri of the folder or workspace file to open. If not provided, a native dialog will ask the user for the folder",
constraint:e=>void 0===e||i.URI.isUri(e)},{name:"options",description:"(optional) Options. Object with the following properties: `forceNewWindow `: Whether to open the folder/workspace in a new window or the same. Defaults to opening in the same window. `noRecentEntry`: Whether the opened URI will appear in the 'Open Recent' list. Defaults to true. Note, for backward compatibility, options can also be of type boolean, representing the `forceNewWindow` setting.",constraint:e=>void 0===e||"object"==typeof e||"boolean"==typeof e}]}),this._register(o.DiffAPICommand.ID,e(o.DiffAPICommand.execute),{description:"Opens the provided resources in the diff editor to compare their contents.",args:[{name:"left",description:"Left-hand side resource of the diff editor",constraint:i.URI},{name:"right",description:"Right-hand side resource of the diff editor",constraint:i.URI},{name:"title",description:"(optional) Human readable title for the diff editor",constraint:e=>void 0===e||"string"==typeof e},{name:"options",
description:"(optional) Editor options, see vscode.TextDocumentShowOptions"}]}),this._register(o.OpenAPICommand.ID,e(o.OpenAPICommand.execute),{description:"Opens the provided resource in the editor. Can be a text or binary file, or a http(s) url. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",args:[{name:"resource",description:"Resource to open",constraint:i.URI},{name:"columnOrOptions",description:"(optional) Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",constraint:e=>void 0===e||"number"==typeof e||"object"==typeof e}]}),this._register(o.RemoveFromRecentlyOpenedAPICommand.ID,e(o.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:e=>"string"==typeof e}]}),this._register(o.SetEditorLayoutAPICommand.ID,e(o.SetEditorLayoutAPICommand.execute),{
description:"Sets the editor layout. The layout is described as object with an initial (optional) orientation (0 = horizontal, 1 = vertical) and an array of editor groups within. Each editor group can have a size and another array of editor groups that will be laid out orthogonal to the orientation. If editor group sizes are provided, their sum must be 1 to be applied per row or column. Example for a 2x2 grid: `{ orientation: 0, groups: [{ groups: [{}, {}], size: 0.5 }, { groups: [{}, {}], size: 0.5 }] }`",args:[{name:"layout",description:"The editor layout to set.",constraint:e=>"object"==typeof e&&Array.isArray(e.groups)}]}),this._register(o.OpenIssueReporter.ID,e(o.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:e=>"string"==typeof e||"object"==typeof e&&"string"==typeof e.extensionId}]})}_register(e,t,i){
const n=this._commands.registerCommand(!1,e,t,this,i);this._disposables.add(n)}_executeDocumentRenameProvider(e,t,i){const n={resource:e,position:t&&r.Position.from(t),newName:i};return this._commands.executeCommand("_executeDocumentRenameProvider",n).then(e=>{if(e)return e.rejectReason?Promise.reject(new Error(e.rejectReason)):r.WorkspaceEdit.to(e)})}_executeSignatureHelpProvider(e,t,i){const n={resource:e,position:t&&r.Position.from(t),triggerCharacter:i};return this._commands.executeCommand("_executeSignatureHelpProvider",n).then(e=>{if(e)return r.SignatureHelp.to(e)})}_executeCompletionItemProvider(e,t,i,n){const o={resource:e,position:t&&r.Position.from(t),triggerCharacter:i,maxItemsToResolve:n};return this._commands.executeCommand("_executeCompletionItemProvider",o).then(e=>{if(e){const t=e.suggestions.map(e=>r.CompletionItem.to(e,this._commands.converter));return new s.CompletionList(t,e.incomplete)}})}_executeDocumentColorProvider(e){const t={resource:e}
;return this._commands.executeCommand("_executeDocumentColorProvider",t).then(e=>e?e.map(e=>({range:r.Range.to(e.range),color:r.Color.to(e.color)})):[])}_executeColorPresentationProvider(e,t){const i={resource:t.uri,color:r.Color.from(e),range:r.Range.from(t.range)};return this._commands.executeCommand("_executeColorPresentationProvider",i).then(e=>e?e.map(r.ColorPresentation.to):[])}_executeCodeActionProvider(e,t,i){const n={resource:e,rangeOrSelection:s.Selection.isSelection(t)?r.Selection.from(t):r.Range.from(t),kind:i};return this._commands.executeCommand("_executeCodeActionProvider",n).then(p(e=>{if(e._isSynthetic){if(!e.command)throw new Error("Synthetic code actions must have a command");return this._commands.converter.fromInternal(e.command)}{const t=new s.CodeAction(e.title,e.kind?new s.CodeActionKind(e.kind):void 0);return e.edit&&(t.edit=r.WorkspaceEdit.to(e.edit)),e.command&&(t.command=this._commands.converter.fromInternal(e.command)),t.isPreferred=e.isPreferred,t}}))}
_executeCodeLensProvider(e,t){const i={resource:e,itemResolveCount:t};return this._commands.executeCommand("_executeCodeLensProvider",i).then(p(e=>new s.CodeLens(r.Range.to(e.range),e.command?this._commands.converter.fromInternal(e.command):void 0)))}_executeDocumentLinkProvider(e){return this._commands.executeCommand("_executeLinkProvider",e).then(p(r.DocumentLink.to))}}function p(e){return t=>{if(Array.isArray(t))return t.map(e)}}t.ExtHostApiCommands=d})),define(t[189],i([0,1,2,14,19,11,21,57]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostDocumentSaveParticipant=class{constructor(e,t,i,n={timeout:1500,errors:3}){this._logService=e,this._documents=t,this._mainThreadEditors=i,this._thresholds=n,this._callbacks=new a.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(e){return(t,i,n)=>{const r={dispose:this._callbacks.push([t,i,e])};return Array.isArray(n)&&n.push(r),r}}$participateInSave(e,t){
const r=i.URI.revive(e),s=this._callbacks.toArray();let a=!1;const c=setTimeout(()=>a=!0,this._thresholds.timeout);return n.sequence(s.map(e=>()=>{if(a)return Promise.resolve();const i=this._documents.getDocument(r);return this._deliverEventAsyncAndBlameBadListeners(e,{document:i,reason:o.TextDocumentSaveReason.to(t)})})).finally(()=>clearTimeout(c))}_deliverEventAsyncAndBlameBadListeners([e,t,i],n){const r=this._badListeners.get(e);return"number"==typeof r&&r>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(i,e,t,n).then(()=>!0,t=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${i.identifier.value}' threw ERROR`),this._logService.error(t),!(t instanceof Error)||"concurrent_edits"!==t.message){const t=this._badListeners.get(e);this._badListeners.set(e,t?t+1:1),"number"==typeof t&&t>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${i.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1
})}_deliverEventAsync(e,t,i,n){const a=[],c=Date.now(),{document:l,reason:u}=n,{version:h}=l,d=Object.freeze({document:l,reason:u,waitUntil(e){if(Object.isFrozen(a))throw r.illegalState("waitUntil can not be called async");a.push(Promise.resolve(e))}});try{t.apply(i,[d])}catch(e){return Promise.reject(e)}return Object.freeze(a),new Promise((t,i)=>{const n=setTimeout(()=>i(new Error("timeout")),this._thresholds.timeout);return Promise.all(a).then(i=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${e.identifier.value}' finished after ${Date.now()-c}ms`),clearTimeout(n),t(i)}).catch(e=>{clearTimeout(n),i(e)})}).then(e=>{const t={edits:[]};for(const i of e)if(Array.isArray(i)&&i.every(e=>e instanceof s.TextEdit))for(const{newText:e,newEol:n,range:r}of i)t.edits.push({resource:l.uri,edit:{range:r&&o.Range.from(r),text:e,eol:n&&o.EndOfLine.from(n)}});if(0!==t.edits.length)return h===l.version?this._mainThreadEditors.$tryApplyWorkspaceEdit(t):Promise.reject(new Error("concurrent_edits"))})}
}})),define(t[190],i([0,1,21,165,146,22,56]),(function(e,t,i,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostProgress=class{constructor(e){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=e}withProgress(e,t,n){const r=this._handles++,{title:o,location:a,cancellable:c}=t,l=s.localize(0,null,e.displayName||e.name);return this._proxy.$startProgress(r,{location:i.ProgressLocation.from(a),title:o,source:l,cancellable:c},e),this._withProgress(r,n,!!c)}_withProgress(e,t,i){let n;i&&(n=new o.CancellationTokenSource,this._mapHandleToCancellationSource.set(e,n));const r=e=>{this._proxy.$progressEnd(e),this._mapHandleToCancellationSource.delete(e),n&&n.dispose()};let s;try{s=t(new c(this._proxy,e),i&&n?n.token:o.CancellationToken.None)}catch(t){throw r(e),t}return s.then(t=>r(e),t=>r(e)),s}$acceptProgressCanceled(e){const t=this._mapHandleToCancellationSource.get(e);t&&(t.cancel(),this._mapHandleToCancellationSource.delete(e))}};class c extends r.Progress{
constructor(e,t){super(e=>this.throttledReport(e)),this._proxy=e,this._handle=t}throttledReport(e){this._proxy.$progressReport(this._handle,e)}}n([a.throttle(100,(e,t)=>(function(e,t){return e.message=t.message,"number"==typeof t.increment&&("number"==typeof e.increment?e.increment+=t.increment:e.increment=t.increment),e})(e,t),()=>Object.create(null))],c.prototype,"throttledReport",null)})),define(t[106],i([0,1,48,19,77,21,11]),(function(e,t,i,n,r,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class a{constructor(e,t){this.key=a._Keys.nextId(),this._proxy=e,this._proxy.$registerTextEditorDecorationType(this.key,s.DecorationRenderOptions.from(t))}dispose(){this._proxy.$removeTextEditorDecorationType(this.key)}}t.TextEditorDecorationType=a,a._Keys=new r.IdGenerator("TextEditorDecorationType");class c{constructor(e,t){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=e,this._documentVersionId=e.version,this._undoStopBefore=t.undoStopBefore,
this._undoStopAfter=t.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(e,t){this._throwIfFinalized();let i=null;if(e instanceof o.Position)i=new o.Range(e,e);else{if(!(e instanceof o.Range))throw new Error("Unrecognized location");i=e}this._pushEdit(i,t,!1)}insert(e,t){this._throwIfFinalized(),this._pushEdit(new o.Range(e,e),t,!0)}delete(e){this._throwIfFinalized();let t=null;if(!(e instanceof o.Range))throw new Error("Unrecognized location");t=e,this._pushEdit(t,null,!0)}_pushEdit(e,t,i){const n=this._document.validateRange(e);this._collectedEdits.push({range:n,text:t,forceMoveMarkers:i})}setEndOfLine(e){if(this._throwIfFinalized(),e!==o.EndOfLine.LF&&e!==o.EndOfLine.CRLF)throw n.illegalArgument("endOfLine");this._setEndOfLine=e}}
t.TextEditorEdit=c;class l{constructor(e,t,i,n){this._proxy=e,this._id=t,this._accept(i),this._logService=n}_accept(e){this._tabSize=e.tabSize,this._indentSize=e.indentSize,this._insertSpaces=e.insertSpaces,this._cursorStyle=e.cursorStyle,this._lineNumbers=s.TextEditorLineNumbersStyle.to(e.lineNumbers)}get tabSize(){return this._tabSize}_validateTabSize(e){if("auto"===e)return"auto";if("number"==typeof e){const t=Math.floor(e);return t>0?t:null}if("string"==typeof e){const t=parseInt(e,10);return isNaN(t)?null:t>0?t:null}return null}set tabSize(e){const t=this._validateTabSize(e);if(null!==t){if("number"==typeof t){if(this._tabSize===t)return;this._tabSize=t}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:t}))}}get indentSize(){return this._indentSize}_validateIndentSize(e){if("tabSize"===e)return"tabSize";if("number"==typeof e){const t=Math.floor(e);return t>0?t:null}if("string"==typeof e){const t=parseInt(e,10);return isNaN(t)?null:t>0?t:null}return null}set indentSize(e){
const t=this._validateIndentSize(e);if(null!==t){if("number"==typeof t){if(this._indentSize===t)return;this._indentSize=t}this._warnOnError(this._proxy.$trySetOptions(this._id,{indentSize:t}))}}get insertSpaces(){return this._insertSpaces}_validateInsertSpaces(e){return"auto"===e?"auto":"false"!==e&&Boolean(e)}set insertSpaces(e){const t=this._validateInsertSpaces(e);if("boolean"==typeof t){if(this._insertSpaces===t)return;this._insertSpaces=t}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:t}))}get cursorStyle(){return this._cursorStyle}set cursorStyle(e){this._cursorStyle!==e&&(this._cursorStyle=e,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:e})))}get lineNumbers(){return this._lineNumbers}set lineNumbers(e){this._lineNumbers!==e&&(this._lineNumbers=e,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:s.TextEditorLineNumbersStyle.from(e)})))}assign(e){const t={};let i=!1;if(void 0!==e.tabSize){const n=this._validateTabSize(e.tabSize)
;"auto"===n?(i=!0,t.tabSize=n):"number"==typeof n&&this._tabSize!==n&&(this._tabSize=n,i=!0,t.tabSize=n)}if(void 0!==e.insertSpaces){const n=this._validateInsertSpaces(e.insertSpaces);"auto"===n?(i=!0,t.insertSpaces=n):this._insertSpaces!==n&&(this._insertSpaces=n,i=!0,t.insertSpaces=n)}void 0!==e.cursorStyle&&this._cursorStyle!==e.cursorStyle&&(this._cursorStyle=e.cursorStyle,i=!0,t.cursorStyle=e.cursorStyle),void 0!==e.lineNumbers&&this._lineNumbers!==e.lineNumbers&&(this._lineNumbers=e.lineNumbers,i=!0,t.lineNumbers=s.TextEditorLineNumbersStyle.from(e.lineNumbers)),i&&this._warnOnError(this._proxy.$trySetOptions(this._id,t))}_warnOnError(e){e.catch(e=>this._logService.warn(e))}}t.ExtHostTextEditorOptions=l;t.ExtHostTextEditor=class{constructor(e,t,i,n,r,s,o,a){this.id=e,this._proxy=t,this._logService=i,this._disposed=!1,this._documentData=n,this._selections=r,this._options=new l(this._proxy,this.id,s,i),this._visibleRanges=o,this._viewColumn=a,this._hasDecorationsForKey=Object.create(null)}dispose(){
i.ok(!this._disposed),this._disposed=!0}show(e){this._proxy.$tryShowEditor(this.id,s.ViewColumn.from(e))}hide(){this._proxy.$tryHideEditor(this.id)}get document(){return this._documentData.document}set document(e){throw n.readonly("document")}get options(){return this._options}set options(e){this._disposed||this._options.assign(e)}_acceptOptions(e){i.ok(!this._disposed),this._options._accept(e)}get visibleRanges(){return this._visibleRanges}set visibleRanges(e){throw n.readonly("visibleRanges")}_acceptVisibleRanges(e){i.ok(!this._disposed),this._visibleRanges=e}get viewColumn(){return this._viewColumn}set viewColumn(e){throw n.readonly("viewColumn")}_acceptViewColumn(e){i.ok(!this._disposed),this._viewColumn=e}get selection(){return this._selections&&this._selections[0]}set selection(e){if(!(e instanceof o.Selection))throw n.illegalArgument("selection");this._selections=[e],this._trySetSelection()}get selections(){return this._selections}set selections(e){
if(!Array.isArray(e)||e.some(e=>!(e instanceof o.Selection)))throw n.illegalArgument("selections");this._selections=e,this._trySetSelection()}setDecorations(e,t){const i=0===t.length;i&&!this._hasDecorationsForKey[e.key]||(i?delete this._hasDecorationsForKey[e.key]:this._hasDecorationsForKey[e.key]=!0,this._runOnProxy(()=>{if(s.isDecorationOptionsArr(t))return this._proxy.$trySetDecorations(this.id,e.key,s.fromRangeOrRangeWithMessage(t));{const i=new Array(4*t.length);for(let e=0,n=t.length;e<n;e++){const n=t[e];i[4*e]=n.start.line+1,i[4*e+1]=n.start.character+1,i[4*e+2]=n.end.line+1,i[4*e+3]=n.end.character+1}return this._proxy.$trySetDecorationsFast(this.id,e.key,i)}}))}revealRange(e,t){this._runOnProxy(()=>this._proxy.$tryRevealRange(this.id,s.Range.from(e),t||o.TextEditorRevealType.Default))}_trySetSelection(){const e=this._selections.map(s.Selection.from);return this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,e))}_acceptSelections(e){i.ok(!this._disposed),this._selections=e}edit(e,t={
undoStopBefore:!0,undoStopAfter:!0}){if(this._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const i=new c(this._documentData.document,t);return e(i),this._applyEdit(i)}_applyEdit(e){const t=e.finalize();if(0===t.edits.length&&!t.setEndOfLine)return Promise.resolve(!0);const i=t.edits.map(e=>e.range);i.sort((e,t)=>e.end.line===t.end.line?e.end.character===t.end.character?e.start.line===t.start.line?e.start.character-t.start.character:e.start.line-t.start.line:e.end.character-t.end.character:e.end.line-t.end.line);for(let e=0,t=i.length-1;e<t;e++){const t=i[e].end;if(i[e+1].start.isBefore(t))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const n=t.edits.map(e=>({range:s.Range.from(e.range),text:e.text,forceMoveMarkers:e.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,t.documentVersionId,n,{setEndOfLine:"number"==typeof t.setEndOfLine?s.EndOfLine.from(t.setEndOfLine):void 0,undoStopBefore:t.undoStopBefore,
undoStopAfter:t.undoStopAfter})}insertSnippet(e,t,i={undoStopBefore:!0,undoStopAfter:!0}){if(this._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let n;if(!t||Array.isArray(t)&&0===t.length)n=this._selections.map(e=>s.Range.from(e));else if(t instanceof o.Position){const{lineNumber:e,column:i}=s.Position.from(t);n=[{startLineNumber:e,startColumn:i,endLineNumber:e,endColumn:i}]}else if(t instanceof o.Range)n=[s.Range.from(t)];else{n=[];for(const e of t)if(e instanceof o.Range)n.push(s.Range.from(e));else{const{lineNumber:t,column:i}=s.Position.from(e);n.push({startLineNumber:t,startColumn:i,endLineNumber:t,endColumn:i})}}return this._proxy.$tryInsertSnippet(this.id,e.value,n,i)}_runOnProxy(e){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):e().then(()=>this,e=>(e instanceof Error&&"DISPOSED"===e.name||this._logService.warn(e),null))}}})),define(t[191],i([0,1,28,3,7]),(function(e,t,i,n,r){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});class s{constructor(e){this.removedDueToLooping=e}}t.DeltaExtensionsResult=s;class o{constructor(e){this._onDidChange=new n.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=e,this._initialize()}_initialize(){this._extensionDescriptions.sort(c),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const e of this._extensionDescriptions)if(this._extensionsMap.has(i.ExtensionIdentifier.toKey(e.identifier)))console.error("Extension `"+e.identifier.value+"` is already registered");else if(this._extensionsMap.set(i.ExtensionIdentifier.toKey(e.identifier),e),this._extensionsArr.push(e),Array.isArray(e.activationEvents))for(let t of e.activationEvents)"onUri"===t&&(t=`onUri:${i.ExtensionIdentifier.toKey(e.identifier)}`),this._activationMap.has(t)||this._activationMap.set(t,[]),this._activationMap.get(t).push(e)}keepOnly(e){const t=new Set;e.forEach(e=>t.add(i.ExtensionIdentifier.toKey(e))),
this._extensionDescriptions=this._extensionDescriptions.filter(e=>t.has(i.ExtensionIdentifier.toKey(e.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(e,t){e.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(e));const n=o._findLoopingExtensions(this._extensionDescriptions);if((t=t.concat(n.map(e=>e.identifier))).length>0){const e=new Set;t.forEach(t=>e.add(i.ExtensionIdentifier.toKey(t))),this._extensionDescriptions=this._extensionDescriptions.filter(t=>!e.has(i.ExtensionIdentifier.toKey(t.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new s(n)}static _findLoopingExtensions(e){const t=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(e){this._nodesSet.has(e)||(this._nodesSet.add(e),this._nodesArr.push(e))}addArc(e,t){this.addNode(e),this.addNode(t),this._arcs.has(e)?this._arcs.get(e).push(t):this._arcs.set(e,[t])}getArcs(e){return this._arcs.has(e)?this._arcs.get(e):[]}hasOnlyGoodArcs(e,i){
const n=t.getArcs(e);for(let e=0;e<n.length;e++)if(!i.has(n[e]))return!1;return!0}getNodes(){return this._nodesArr}};let n=new Map;for(let r of e){const e=i.ExtensionIdentifier.toKey(r.identifier);if(n.set(e,r),r.extensionDependencies)for(let n of r.extensionDependencies){const r=i.ExtensionIdentifier.toKey(n);t.addArc(e,r)}}let r=new Set;t.getNodes().filter(e=>0===t.getArcs(e).length).forEach(e=>r.add(e));let s,o=t.getNodes().filter(e=>!r.has(e));do{s=!1;for(let e=0;e<o.length;e++){const i=o[e];t.hasOnlyGoodArcs(i,r)&&(o.splice(e,1),e--,r.add(i),s=!0)}}while(s);return o.map(e=>n.get(e))}containsActivationEvent(e){return this._activationMap.has(e)}containsExtension(e){return this._extensionsMap.has(i.ExtensionIdentifier.toKey(e))}getExtensionDescriptionsForActivationEvent(e){const t=this._activationMap.get(e);return t?t.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(e){const t=this._extensionsMap.get(i.ExtensionIdentifier.toKey(e));return t||void 0}}var a
;function c(e,t){const i=e.isBuiltin?0:e.isUnderDevelopment?2:1,n=t.isBuiltin?0:t.isUnderDevelopment?2:1;if(i!==n)return i-n;const s=r.posix.basename(e.extensionLocation.path),o=r.posix.basename(t.extensionLocation.path);return s<o?-1:s>o?1:0}t.ExtensionDescriptionRegistry=o,function(e){e[e.Builtin=0]="Builtin",e[e.User=1]="User",e[e.Dev=2]="Dev"}(a||(a={}))})),define(t[192],i([0,1,27]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Initialized=0]="Initialized",e[e.Ready=1]="Ready",e[e.Terminate=2]="Terminate"}(t.MessageType||(t.MessageType={})),t.createMessageOfType=function(e){const t=i.VSBuffer.alloc(1);switch(e){case 0:t.writeUInt8(1,0);break;case 1:t.writeUInt8(2,0);break;case 2:t.writeUInt8(3,0)}return t},t.isMessageOfType=function(e,t){if(1!==e.byteLength)return!1;switch(e.readUInt8(0)){case 1:return 0===t;case 2:return 1===t;case 3:return 2===t;default:return!1}}})),define(t[46],i([0,1,3,2,4,28,155]),(function(e,t,i,n,r,s,o){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),t.nullExtensionDescription=Object.freeze({identifier:new s.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:n.URI.parse("void:location"),isBuiltin:!1}),t.IExtensionService=r.createDecorator("extensionService");t.MissingDependencyError=class{constructor(e){this.dependency=e}};t.ActivationTimes=class{constructor(e,t,i,n){this.codeLoadingTime=e,this.activateCallTime=t,this.activateResolvedTime=i,this.activationReason=n}};function a(e){throw new Error(`[${e.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${e.identifier.value}`)}t.ExtensionPointContribution=class{constructor(e,t){this.description=e,this.value=t}},t.ExtensionHostLogFileName="exthost",t.checkProposedApiEnabled=function(e){e.enableProposedApi||a(e)},t.throwProposedApiError=a,
t.toExtension=function(e){return{type:e.isBuiltin?0:1,identifier:{id:o.getGalleryExtensionId(e.publisher,e.name),uuid:e.uuid},manifest:e,location:e.extensionLocation}};t.NullExtensionService=class{constructor(){this.onDidRegisterExtensions=i.Event.None,this.onDidChangeExtensionsStatus=i.Event.None,this.onDidChangeExtensions=i.Event.None,this.onWillActivateByEvent=i.Event.None,this.onDidChangeResponsiveChange=i.Event.None}activateByEvent(e){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(e){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(e){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(e){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(e,t){}_activateById(e,t){return Promise.resolve()}_onWillActivateExtension(e){}
_onDidActivateExtension(e,t,i,n,r){}_onExtensionRuntimeError(e,t){}_onExtensionHostExit(e){}}})),define(t[193],i([0,1,144,28,46,9]),(function(e,t,i,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const c=Promise.resolve(void 0);class l{constructor(e,t,i,n){this.startup=e,this.codeLoadingTime=t,this.activateCallTime=i,this.activateResolvedTime=n}}t.ExtensionActivationTimes=l,l.NONE=new l(!1,-1,-1,-1);t.ExtensionActivationTimesBuilder=class{constructor(e){this._startup=e,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(e,t){return-1===e||-1===t?-1:t-e}build(){return new l(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}
activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}};class u{constructor(e,t,i,n,r,s){this.activationFailed=e,this.activationFailedError=t,this.activationTimes=i,this.module=n,this.exports=r,this.subscriptions=s}}t.ActivatedExtension=u;t.EmptyExtension=class extends u{constructor(e){super(!1,null,e,{activate:void 0,deactivate:void 0},void 0,[])}};t.HostExtension=class extends u{constructor(){super(!1,null,l.NONE,{activate:void 0,deactivate:void 0},void 0,[])}};class h extends u{constructor(e){super(!0,e,l.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}t.FailedExtension=h;let d=class{constructor(e,t,i,n,r){this._logService=r,this._registry=e,this._resolvedExtensionsSet=new Set,t.forEach(e=>this._resolvedExtensionsSet.add(s.ExtensionIdentifier.toKey(e))),this._hostExtensionsMap=new Map,
i.forEach(e=>this._hostExtensionsMap.set(s.ExtensionIdentifier.toKey(e),e)),this._host=n,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(e){const t=s.ExtensionIdentifier.toKey(e);return this._activatedExtensions.has(t)}getActivatedExtension(e){const t=s.ExtensionIdentifier.toKey(e),i=this._activatedExtensions.get(t);if(!i)throw new Error("Extension `"+e.value+"` is not known or not activated");return i}activateByEvent(e,t){if(this._alreadyActivatedEvents[e])return c;const i=this._registry.getExtensionDescriptionsForActivationEvent(e);return this._activateExtensions(i.map(i=>({id:i.identifier,reason:{startup:t,extensionId:i.identifier,activationEvent:e}}))).then(()=>{this._alreadyActivatedEvents[e]=!0})}activateById(e,t){const i=this._registry.getExtensionDescription(e);if(!i)throw new Error("Extension `"+e+"` is not known");return this._activateExtensions([{id:i.identifier,reason:t}])}_handleActivateRequest(e,t,n){
if(this._hostExtensionsMap.has(s.ExtensionIdentifier.toKey(e.id)))return void(t[s.ExtensionIdentifier.toKey(e.id)]=e);const r=this._registry.getExtensionDescription(e.id),a=void 0===r.extensionDependencies?[]:r.extensionDependencies;let c=!0;for(let n=0,l=a.length;n<l;n++){const l=a[n];if(this._resolvedExtensionsSet.has(s.ExtensionIdentifier.toKey(l)))continue;const u=this._activatedExtensions.get(s.ExtensionIdentifier.toKey(l));if(u&&!u.activationFailed)continue;if(u&&u.activationFailed){this._host.onExtensionActivationError(r.identifier,i.localize(0,null,r.displayName||r.identifier.value,l));const e=new Error(`Dependency ${l} failed to activate`);return e.detail=u.activationFailedError,void this._activatedExtensions.set(s.ExtensionIdentifier.toKey(r.identifier),new h(e))}if(this._hostExtensionsMap.has(s.ExtensionIdentifier.toKey(l))){c=!1,t[s.ExtensionIdentifier.toKey(l)]={id:this._hostExtensionsMap.get(s.ExtensionIdentifier.toKey(l)),reason:e.reason};continue}
const d=this._registry.getExtensionDescription(l);if(d){c=!1,t[s.ExtensionIdentifier.toKey(l)]={id:d.identifier,reason:e.reason};continue}this._host.onExtensionActivationError(r.identifier,new o.MissingDependencyError(l));const p=new Error(`Unknown dependency '${l}'`);return void this._activatedExtensions.set(s.ExtensionIdentifier.toKey(r.identifier),new h(p))}c?t[s.ExtensionIdentifier.toKey(r.identifier)]=e:n.push(e)}_activateExtensions(e){if(0===e.length)return Promise.resolve(void 0);if(0===(e=e.filter(e=>!this._activatedExtensions.has(s.ExtensionIdentifier.toKey(e.id)))).length)return Promise.resolve(void 0);const t=Object.create(null),i=[];for(let n=0,r=e.length;n<r;n++)this._handleActivateRequest(e[n],t,i);for(let e=0,n=i.length;e<n;e++){const n=s.ExtensionIdentifier.toKey(i[e].id);t[n]&&delete t[n]}const n=Object.keys(t).map(e=>t[e]);return 0===i.length?Promise.all(n.map(e=>this._activateExtension(e.id,e.reason))).then(e=>void 0):this._activateExtensions(n).then(e=>this._activateExtensions(i))}
_activateExtension(e,t){const n=s.ExtensionIdentifier.toKey(e);if(this._activatedExtensions.has(n))return Promise.resolve(void 0);const r=this._activatingExtensions.get(n);if(r)return r;const o=this._host.actualActivateExtension(e,t).then(void 0,t=>(this._host.onExtensionActivationError(e,i.localize(1,null,e.value,t.message)),this._logService.error(`Activating extension ${e.value} failed due to an error:`),this._logService.error(t),new h(t))).then(e=>{this._activatedExtensions.set(n,e),this._activatingExtensions.delete(n)});return this._activatingExtensions.set(n,o),o}};d=n([r(4,a.ILogService)],d),t.ExtensionsActivator=d})),define(t[194],i([0,1,148,25,2,3,6,14,11,13,12,46]),(function(e,t,i,n,r,s,o,a,c,l,u,h){"use strict";function d(e,t){if(l.isString(e))return{label:e};if(e&&"object"==typeof e&&"string"==typeof e.label){h.checkProposedApiEnabled(t);let i=void 0;return Array.isArray(e.highlights)&&(i=(i=e.highlights.filter(e=>2===e.length&&"number"==typeof e[0]&&"number"==typeof e[1])).length?i:void 0),{
label:e.label,highlights:i}}}Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostTreeViews=class{constructor(e,t,i){function n(e){return e&&e.$treeViewId&&e.$treeItemHandle}this._proxy=e,this.commands=t,this.logService=i,this.treeViews=new Map,t.registerArgumentProcessor({processArgument:e=>n(e)?this.convertArgument(e):Array.isArray(e)&&e.length>0?e.map(e=>n(e)?this.convertArgument(e):e):e})}registerTreeDataProvider(e,t,i){const n=this.createTreeView(e,{treeDataProvider:t},i);return{dispose:()=>n.dispose()}}createTreeView(e,t,i){if(!t||!t.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const n=this.createExtHostTreeView(e,t,i);return{get onDidCollapseElement(){return n.onDidCollapseElement},get onDidExpandElement(){return n.onDidExpandElement},get selection(){return n.selectedElements},get onDidChangeSelection(){return n.onDidChangeSelection},get visible(){return n.visible},get onDidChangeVisibility(){return n.onDidChangeVisibility},get message(){return n.message},
set message(e){n.message=e},get title(){return n.title},set title(e){n.title=e},reveal:(e,t)=>n.reveal(e,t),dispose:()=>{this.treeViews.delete(e),n.dispose()}}}$getChildren(e,t){const n=this.treeViews.get(e);return n?n.getChildren(t):Promise.reject(new Error(i.localize(0,null,e)))}$setExpanded(e,t,n){const r=this.treeViews.get(e);if(!r)throw new Error(i.localize(1,null,e));r.setExpanded(t,n)}$setSelection(e,t){const n=this.treeViews.get(e);if(!n)throw new Error(i.localize(2,null,e));n.setSelection(t)}$setVisible(e,t){const n=this.treeViews.get(e);if(!n)throw new Error(i.localize(3,null,e));n.setVisible(t)}createExtHostTreeView(e,t,i){const n=new p(e,t,this._proxy,this.commands.converter,this.logService,i);return this.treeViews.set(e,n),n}convertArgument(e){const t=this.treeViews.get(e.$treeViewId);return t?t.getExtensionElement(e.$treeItemHandle):null}};class p extends o.Disposable{constructor(e,t,i,n,r,o){if(super(),this.viewId=e,this.proxy=i,this.commands=n,this.logService=r,this.extension=o,
this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new s.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new s.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new s.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new s.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new s.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",o.contributes&&o.contributes.views)for(const t in o.contributes.views)for(const i of o.contributes.views[t])i.id===e&&(this._title=i.name);let a,c;this.dataProvider=t.treeDataProvider,this.proxy.$registerTreeViewDataProvider(e,{showCollapseAll:!!t.showCollapseAll,canSelectMany:!!t.canSelectMany}),
this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(e=>this._onDidChangeData.fire({message:!1,element:e}))),this._register(s.Event.debounce(this._onDidChangeData.event,(e,t)=>(e||(e={message:!1,elements:[]}),!1!==t.element&&(a||(a=new Promise(e=>c=e),this.refreshPromise=this.refreshPromise.then(()=>a)),e.elements.push(t.element)),t.message&&(e.message=!0),e),200,!0)(({message:e,elements:t})=>{t.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const e=c;return a=null,this.refresh(t).then(()=>e())})),e&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(e=>this.getExtensionElement(e)).filter(e=>!l.isUndefinedOrNull(e))}getChildren(e){const t=e?this.getExtensionElement(e):void 0;if(e&&!t)return this.logService.error(`No tree item with id '${e}' found.`),Promise.resolve([]);const i=this.getChildrenNodes(e)
;return(i?Promise.resolve(i):this.fetchChildrenNodes(t)).then(e=>e.map(e=>e.item))}getExtensionElement(e){return this.elements.get(e)}reveal(e,t){t=t||{select:!0,focus:!1};const i=!!l.isUndefinedOrNull(t.select)||t.select,n=!l.isUndefinedOrNull(t.focus)&&t.focus,r=!l.isUndefinedOrNull(t.expand)&&t.expand;return"function"!=typeof this.dataProvider.getParent?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):this.refreshPromise.then(()=>this.resolveUnknownParentChain(e)).then(t=>this.resolveTreeNode(e,t[t.length-1]).then(e=>this.proxy.$reveal(this.viewId,e.item,t.map(e=>e.item),{select:i,focus:n,expand:r})),e=>this.logService.error(e))}get message(){return this._message}set message(e){this._message=e,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(e){this._title=e,this.proxy.$setTitle(this.viewId,e)}setExpanded(e,t){const i=this.getExtensionElement(e)
;i&&(t?this._onDidExpandElement.fire(Object.freeze({element:i})):this._onDidCollapseElement.fire(Object.freeze({element:i})))}setSelection(e){u.equals(this._selectedHandles,e)||(this._selectedHandles=e,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(e){e!==this._visible&&(this._visible=e,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}resolveUnknownParentChain(e){return this.resolveParent(e).then(e=>e?this.resolveUnknownParentChain(e).then(t=>this.resolveTreeNode(e,t[t.length-1]).then(e=>(t.push(e),t))):Promise.resolve([]))}resolveParent(e){const t=this.nodes.get(e);return t?Promise.resolve(t.parent?this.elements.get(t.parent.item.handle):void 0):a.asPromise(()=>this.dataProvider.getParent(e))}resolveTreeNode(e,t){const i=this.nodes.get(e);return i?Promise.resolve(i):a.asPromise(()=>this.dataProvider.getTreeItem(e)).then(i=>this.createHandle(e,i,t,!0)).then(e=>this.getChildren(t?t.item.handle:void 0).then(()=>{
const t=this.getExtensionElement(e);if(t){const e=this.nodes.get(t);if(e)return Promise.resolve(e)}throw new Error(`Cannot resolve tree item for element ${e}`)}))}getChildrenNodes(e){if(e){let t;if("string"==typeof e){const i=this.getExtensionElement(e);t=i?this.nodes.get(i):void 0}else t=e;return t&&t.children||null}return this.roots}fetchChildrenNodes(e){this.clearChildren(e);const t=e?this.nodes.get(e):void 0;return a.asPromise(()=>this.dataProvider.getChildren(e)).then(e=>Promise.all(u.coalesce(e||[]).map(e=>a.asPromise(()=>this.dataProvider.getTreeItem(e)).then(i=>i?this.createAndRegisterTreeNode(e,i,t):null)))).then(u.coalesce)}refresh(e){if(e.some(e=>!e))return this.clearAll(),this.proxy.$refresh(this.viewId);{const t=this.getHandlesToRefresh(e);if(t.length)return this.refreshHandles(t)}return Promise.resolve(void 0)}getHandlesToRefresh(e){const t=new Set;for(const i of e){const e=this.nodes.get(i);if(e&&!t.has(e.item.handle)){let i=e;for(;i&&i.parent&&!t.has(i.parent.item.handle);){
const e=this.elements.get(i.parent.item.handle);i=e?this.nodes.get(e):void 0}i&&!i.parent&&t.add(e.item.handle)}}const i=[];return t.forEach(e=>{const n=this.elements.get(e);if(n){const r=this.nodes.get(n);!r||r.parent&&t.has(r.parent.item.handle)||i.push(e)}}),i}refreshHandles(e){const t={};return Promise.all(e.map(e=>this.refreshNode(e).then(i=>{i&&(t[e]=i.item)}))).then(()=>Object.keys(t).length?this.proxy.$refresh(this.viewId,t):void 0)}refreshNode(e){const t=this.getExtensionElement(e);if(t){const e=this.nodes.get(t);if(e)return this.clearChildren(t),a.asPromise(()=>this.dataProvider.getTreeItem(t)).then(i=>{if(i){const n=this.createTreeNode(t,i,e.parent);return this.updateNodeCache(t,n,e,e.parent),e.dispose(),n}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(e,t,n){const r=this.createTreeNode(e,t,n);if(t.id&&this.elements.has(r.item.handle))throw new Error(i.localize(4,null,t.id));return this.addNodeToCache(e,r),this.addNodeToParentCache(r,n),r}createTreeNode(e,t,i){
const n=new o.DisposableStore,r=this.createHandle(e,t,i),s=this.getLightIconPath(t);return{item:{handle:r,parentHandle:i?i.item.handle:void 0,label:d(t.label,this.extension),description:t.description,resourceUri:t.resourceUri,tooltip:"string"==typeof t.tooltip?t.tooltip:void 0,command:t.command?this.commands.toInternal(t.command,n):void 0,contextValue:t.contextValue,icon:s,iconDark:this.getDarkIconPath(t)||s,themeIcon:t.iconPath instanceof c.ThemeIcon?{id:t.iconPath.id}:void 0,collapsibleState:l.isUndefinedOrNull(t.collapsibleState)?c.TreeItemCollapsibleState.None:t.collapsibleState},parent:i,children:void 0,dispose(){n.dispose()}}}createHandle(e,{id:t,label:i,resourceUri:r},s,o){if(t)return`${p.ID_HANDLE_PREFIX}/${t}`;const a=d(i,this.extension),c=s?s.item.handle:p.LABEL_HANDLE_PREFIX;let l=a?a.label:r?n.basename(r):"";l=-1!==l.indexOf("/")?l.replace("/","//"):l;const u=this.nodes.has(e)?this.nodes.get(e).item.handle:void 0,h=this.getChildrenNodes(s)||[];let f,m=0;do{if(f=`${c}/${m}:${l}`,
o||!this.elements.has(f)||u===f)break;m++}while(m<=h.length);return f}getLightIconPath(e){if(e.iconPath&&!(e.iconPath instanceof c.ThemeIcon))return"string"==typeof e.iconPath||r.URI.isUri(e.iconPath)?this.getIconPath(e.iconPath):this.getIconPath(e.iconPath.light)}getDarkIconPath(e){if(e.iconPath&&!(e.iconPath instanceof c.ThemeIcon)&&e.iconPath.dark)return this.getIconPath(e.iconPath.dark)}getIconPath(e){return r.URI.isUri(e)?e:r.URI.file(e)}addNodeToCache(e,t){this.elements.set(t.item.handle,e),this.nodes.set(e,t)}updateNodeCache(e,t,i,n){this.elements.delete(t.item.handle),this.nodes.delete(e),t.item.handle!==i.item.handle&&this.elements.delete(i.item.handle),this.addNodeToCache(e,t);const r=this.getChildrenNodes(n)||[],s=r.filter(e=>e.item.handle===i.item.handle)[0];s&&r.splice(r.indexOf(s),1,t)}addNodeToParentCache(e,t){t?(t.children||(t.children=[]),t.children.push(e)):(this.roots||(this.roots=[]),this.roots.push(e))}clearChildren(e){if(e){const t=this.nodes.get(e);if(t){
if(t.children)for(const e of t.children){const t=this.elements.get(e.item.handle);t&&this.clear(t)}t.children=void 0}}else this.clearAll()}clear(e){const t=this.nodes.get(e);if(t){if(t.children)for(const e of t.children){const t=this.elements.get(e.item.handle);t&&this.clear(t)}this.nodes.delete(e),this.elements.delete(t.item.handle),t.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(e=>e.dispose()),this.nodes.clear()}dispose(){this.clearAll()}}p.LABEL_HANDLE_PREFIX="0",p.ID_HANDLE_PREFIX="1"})),define(t[195],i([0,1,9,46,26,20,94,25]),(function(e,t,i,s,o,a,c,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let u=class extends i.DelegatedLogService{constructor(e){if(e.logFile.scheme!==a.Schemas.file)throw new Error("Only file-logging supported");super(new c.SpdLogService(s.ExtensionHostLogFileName,l.dirname(e.logFile).fsPath,e.logLevel))}$setLevel(e){this.setLevel(e)}};u=n([r(0,o.IExtHostInitDataService)],u),t.ExtHostLogService=u})),
define(t[196],i([0,1,19]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.LazyPromise=class{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((e,t)=>{this._actualOk=e,this._actualErr=t,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(e){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=e,this._actual&&this._actualOk(e))}resolveErr(e){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=e,this._actual?this._actualErr(e):i.onUnexpectedError(e))}then(e,t){return this._ensureActual().then(e,t)}catch(e){return this._ensureActual().then(void 0,e)}finally(e){return this._ensureActual().finally(e)}}})),define(t[107],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{
constructor(e,t){this.isMain=e,this.sid=t,this.nid=++i.count}}t.ProxyIdentifier=i,i.count=0;const n=[];t.createMainContextProxyIdentifier=function(e){const t=new i(!0,e);return n[t.nid]=t,t},t.createExtHostContextProxyIdentifier=function(e){const t=new i(!1,e);return n[t.nid]=t,t},t.getStringIdentifierForProxy=function(e){return n[e].sid}})),define(t[5],i([0,1,2,107,60]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Desktop=1]="Desktop",e[e.Web=2]="Web"}(t.UIKind||(t.UIKind={})),function(e){e[e.Default=0]="Default",e[e.InCenter=1]="InCenter",e[e.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",e[e.AtTop=3]="AtTop"}(t.TextEditorRevealType||(t.TextEditorRevealType={})),function(e){e.name="$ident",e.mixin=function(t,i){return Object.defineProperty(t,e.name,{value:i,enumerable:!0}),t},e.of=function(t){return t[e.name]}}(t.ObjectIdentifier||(t.ObjectIdentifier={}));class s{static mixin(e){return e._id=s._n++,e}}t.IdObject=s,s._n=0,function(e){
e.label="a",e.kind="b",e.detail="c",e.documentation="d",e.sortText="e",e.filterText="f",e.preselect="g",e.insertText="h",e.insertTextRules="i",e.range="j",e.commitCharacters="k",e.additionalTextEdits="l",e.command="m",e.kindModifier="n",e.label2="o"}(t.ISuggestDataDtoField||(t.ISuggestDataDtoField={})),function(e){e.defaultRanges="a",e.completions="b",e.isIncomplete="c"}(t.ISuggestResultDtoField||(t.ISuggestResultDtoField={})),t.reviveWorkspaceEditDto=function(e){if(e&&e.edits)for(const t of e.edits)"object"==typeof t.resource?t.resource=i.URI.revive(t.resource):(t.newUri=i.URI.revive(t.newUri),t.oldUri=i.URI.revive(t.oldUri)),t.metadata&&t.metadata.iconPath&&(t.metadata=r.revive(t.metadata));return e},t.MainContext={MainThreadAuthentication:n.createMainContextProxyIdentifier("MainThreadAuthentication"),MainThreadClipboard:n.createMainContextProxyIdentifier("MainThreadClipboard"),MainThreadCommands:n.createMainContextProxyIdentifier("MainThreadCommands"),
MainThreadComments:n.createMainContextProxyIdentifier("MainThreadComments"),MainThreadConfiguration:n.createMainContextProxyIdentifier("MainThreadConfiguration"),MainThreadConsole:n.createMainContextProxyIdentifier("MainThreadConsole"),MainThreadDebugService:n.createMainContextProxyIdentifier("MainThreadDebugService"),MainThreadDecorations:n.createMainContextProxyIdentifier("MainThreadDecorations"),MainThreadDiagnostics:n.createMainContextProxyIdentifier("MainThreadDiagnostics"),MainThreadDialogs:n.createMainContextProxyIdentifier("MainThreadDiaglogs"),MainThreadDocuments:n.createMainContextProxyIdentifier("MainThreadDocuments"),MainThreadDocumentContentProviders:n.createMainContextProxyIdentifier("MainThreadDocumentContentProviders"),MainThreadTextEditors:n.createMainContextProxyIdentifier("MainThreadTextEditors"),MainThreadEditorInsets:n.createMainContextProxyIdentifier("MainThreadEditorInsets"),MainThreadErrors:n.createMainContextProxyIdentifier("MainThreadErrors"),
MainThreadTreeViews:n.createMainContextProxyIdentifier("MainThreadTreeViews"),MainThreadDownloadService:n.createMainContextProxyIdentifier("MainThreadDownloadService"),MainThreadKeytar:n.createMainContextProxyIdentifier("MainThreadKeytar"),MainThreadLanguageFeatures:n.createMainContextProxyIdentifier("MainThreadLanguageFeatures"),MainThreadLanguages:n.createMainContextProxyIdentifier("MainThreadLanguages"),MainThreadLog:n.createMainContextProxyIdentifier("MainThread"),MainThreadMessageService:n.createMainContextProxyIdentifier("MainThreadMessageService"),MainThreadOutputService:n.createMainContextProxyIdentifier("MainThreadOutputService"),MainThreadProgress:n.createMainContextProxyIdentifier("MainThreadProgress"),MainThreadQuickOpen:n.createMainContextProxyIdentifier("MainThreadQuickOpen"),MainThreadStatusBar:n.createMainContextProxyIdentifier("MainThreadStatusBar"),MainThreadStorage:n.createMainContextProxyIdentifier("MainThreadStorage"),
MainThreadTelemetry:n.createMainContextProxyIdentifier("MainThreadTelemetry"),MainThreadTerminalService:n.createMainContextProxyIdentifier("MainThreadTerminalService"),MainThreadWebviews:n.createMainContextProxyIdentifier("MainThreadWebviews"),MainThreadUrls:n.createMainContextProxyIdentifier("MainThreadUrls"),MainThreadWorkspace:n.createMainContextProxyIdentifier("MainThreadWorkspace"),MainThreadFileSystem:n.createMainContextProxyIdentifier("MainThreadFileSystem"),MainThreadExtensionService:n.createMainContextProxyIdentifier("MainThreadExtensionService"),MainThreadSCM:n.createMainContextProxyIdentifier("MainThreadSCM"),MainThreadSearch:n.createMainContextProxyIdentifier("MainThreadSearch"),MainThreadTask:n.createMainContextProxyIdentifier("MainThreadTask"),MainThreadWindow:n.createMainContextProxyIdentifier("MainThreadWindow"),MainThreadLabelService:n.createMainContextProxyIdentifier("MainThreadLabelService"),MainThreadTheming:n.createMainContextProxyIdentifier("MainThreadTheming"),
MainThreadTunnelService:n.createMainContextProxyIdentifier("MainThreadTunnelService"),MainThreadTimeline:n.createMainContextProxyIdentifier("MainThreadTimeline")},t.ExtHostContext={ExtHostCommands:n.createExtHostContextProxyIdentifier("ExtHostCommands"),ExtHostConfiguration:n.createExtHostContextProxyIdentifier("ExtHostConfiguration"),ExtHostDiagnostics:n.createExtHostContextProxyIdentifier("ExtHostDiagnostics"),ExtHostDebugService:n.createExtHostContextProxyIdentifier("ExtHostDebugService"),ExtHostDecorations:n.createExtHostContextProxyIdentifier("ExtHostDecorations"),ExtHostDocumentsAndEditors:n.createExtHostContextProxyIdentifier("ExtHostDocumentsAndEditors"),ExtHostDocuments:n.createExtHostContextProxyIdentifier("ExtHostDocuments"),ExtHostDocumentContentProviders:n.createExtHostContextProxyIdentifier("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:n.createExtHostContextProxyIdentifier("ExtHostDocumentSaveParticipant"),
ExtHostEditors:n.createExtHostContextProxyIdentifier("ExtHostEditors"),ExtHostTreeViews:n.createExtHostContextProxyIdentifier("ExtHostTreeViews"),ExtHostFileSystem:n.createExtHostContextProxyIdentifier("ExtHostFileSystem"),ExtHostFileSystemEventService:n.createExtHostContextProxyIdentifier("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:n.createExtHostContextProxyIdentifier("ExtHostLanguageFeatures"),ExtHostQuickOpen:n.createExtHostContextProxyIdentifier("ExtHostQuickOpen"),ExtHostExtensionService:n.createExtHostContextProxyIdentifier("ExtHostExtensionService"),ExtHostLogService:n.createExtHostContextProxyIdentifier("ExtHostLogService"),ExtHostTerminalService:n.createExtHostContextProxyIdentifier("ExtHostTerminalService"),ExtHostSCM:n.createExtHostContextProxyIdentifier("ExtHostSCM"),ExtHostSearch:n.createExtHostContextProxyIdentifier("ExtHostSearch"),ExtHostTask:n.createExtHostContextProxyIdentifier("ExtHostTask"),ExtHostWorkspace:n.createExtHostContextProxyIdentifier("ExtHostWorkspace"),
ExtHostWindow:n.createExtHostContextProxyIdentifier("ExtHostWindow"),ExtHostWebviews:n.createExtHostContextProxyIdentifier("ExtHostWebviews"),ExtHostEditorInsets:n.createExtHostContextProxyIdentifier("ExtHostEditorInsets"),ExtHostProgress:n.createMainContextProxyIdentifier("ExtHostProgress"),ExtHostComments:n.createMainContextProxyIdentifier("ExtHostComments"),ExtHostStorage:n.createMainContextProxyIdentifier("ExtHostStorage"),ExtHostUrls:n.createExtHostContextProxyIdentifier("ExtHostUrls"),ExtHostOutputService:n.createMainContextProxyIdentifier("ExtHostOutputService"),ExtHostLabelService:n.createMainContextProxyIdentifier("ExtHostLabelService"),ExtHostTheming:n.createMainContextProxyIdentifier("ExtHostTheming"),ExtHostTunnelService:n.createMainContextProxyIdentifier("ExtHostTunnelService"),ExtHostAuthentication:n.createMainContextProxyIdentifier("ExtHostAuthentication"),ExtHostTimeline:n.createMainContextProxyIdentifier("ExtHostTimeline")}})),define(t[54],i([0,1,4,9,5,15]),(function(e,t,i,s,o,a){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),t.IExtHostApiDeprecationService=i.createDecorator("IExtHostApiDeprecationService");let c=class{constructor(e,t){this._extHostLogService=t,this._reportedUsages=new Set,this._telemetryShape=e.getProxy(o.MainContext.MainThreadTelemetry)}report(e,t,i){const n=this.getUsageKey(e,t);this._reportedUsages.has(n)||(this._reportedUsages.add(n),t.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${e}' is deprecated. ${i}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:t.identifier.value,apiId:e}))}getUsageKey(e,t){return`${e}-${t.identifier.value}`}};c=n([r(0,a.IExtHostRpcService),r(1,s.ILogService)],c),t.ExtHostApiDeprecationService=c,t.NullApiDeprecationService=Object.freeze(new class{report(e,t,i){}})})),define(t[197],i([0,1,3,5,11,28]),(function(e,t,i,n,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class o{constructor(e,t,i){this._requestingExtension=e,this._provider=t,this._proxy=i,
this.onDidChangeSessions=this._provider.onDidChangeSessions}get id(){return this._provider.id}get displayName(){return this._provider.displayName}async getSessions(){return(await this._provider.getSessions()).map(e=>({id:e.id,accountName:e.accountName,scopes:e.scopes,getAccessToken:async()=>{if(!await this._proxy.$getSessionsPrompt(this._provider.id,this.displayName,s.ExtensionIdentifier.toKey(this._requestingExtension.identifier),this._requestingExtension.displayName||this._requestingExtension.name))throw new Error("User did not consent to token access.");return e.getAccessToken()}}))}async login(e){if(!await this._proxy.$loginPrompt(this._provider.id,this.displayName,s.ExtensionIdentifier.toKey(this._requestingExtension.identifier),this._requestingExtension.displayName||this._requestingExtension.name))throw new Error("User did not consent to login.");return this._provider.login(e)}logout(e){return this._provider.logout(e)}}t.AuthenticationProviderWrapper=o;t.ExtHostAuthentication=class{constructor(e){
this._authenticationProviders=new Map,this._onDidChangeAuthenticationProviders=new i.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._proxy=e.getProxy(n.MainContext.MainThreadAuthentication)}providers(e){let t=[];return this._authenticationProviders.forEach(i=>t.push(new o(e,i,this._proxy))),t}registerAuthenticationProvider(e){if(this._authenticationProviders.get(e.id))throw new Error(`An authentication provider with id '${e.id}' is already registered.`);this._authenticationProviders.set(e.id,e);const t=e.onDidChangeSessions(t=>{this._proxy.$onDidChangeSessions(e.id)});return this._proxy.$registerAuthenticationProvider(e.id,e.displayName),this._onDidChangeAuthenticationProviders.fire({added:[e.id],removed:[]}),new r.Disposable(()=>{t.dispose(),this._authenticationProviders.delete(e.id),this._proxy.$unregisterAuthenticationProvider(e.id),this._onDidChangeAuthenticationProviders.fire({added:[],removed:[e.id]})})}$login(e,t){
const i=this._authenticationProviders.get(e);if(i)return Promise.resolve(i.login(t));throw new Error(`Unable to find authentication provider with handle: ${e}`)}$logout(e,t){const i=this._authenticationProviders.get(e);if(i)return Promise.resolve(i.logout(t));throw new Error(`Unable to find authentication provider with handle: ${e}`)}$getSessions(e){const t=this._authenticationProviders.get(e);if(t)return Promise.resolve(t.getSessions());throw new Error(`Unable to find authentication provider with handle: ${e}`)}async $getSessionAccessToken(e,t){const i=this._authenticationProviders.get(e);if(i){const e=(await i.getSessions()).find(e=>e.id===t);if(e)return e.getAccessToken();throw new Error(`Unable to find session with id: ${t}`)}throw new Error(`Unable to find authentication provider with handle: ${e}`)}}})),define(t[198],i([0,1,5]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostClipboard=class{constructor(e){this._proxy=e.getProxy(i.MainContext.MainThreadClipboard)}
readText(){return this._proxy.$readText()}writeText(e){return this._proxy.$writeText(e)}}})),define(t[40],i([0,1,13,11,21,18,5,12,9,60,43,50,2,6,4,15]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let _=class{constructor(e,t){this._commands=new Map,this._proxy=e.getProxy(c.MainContext.MainThreadCommands),this._logService=t,this._converter=new y(this,t),this._argumentProcessors=[{processArgument:e=>h.revive(e)},{processArgument:e=>a.cloneAndChange(e,(function(e){return d.Range.isIRange(e)?o.Range.to(e):p.Position.isIPosition(e)?o.Position.to(e):d.Range.isIRange(e.range)&&f.URI.isUri(e.uri)?o.location.to(e):Array.isArray(e)?void 0:e}))}]}get converter(){return this._converter}registerArgumentProcessor(e){this._argumentProcessors.push(e)}registerCommand(e,t,i,n,r){if(this._logService.trace("ExtHostCommands#registerCommand",t),!t.trim().length)throw new Error("invalid id");if(this._commands.has(t))throw new Error(`command '${t}' already exists`)
;return this._commands.set(t,{callback:i,thisArg:n,description:r}),e&&this._proxy.$registerCommand(t),new s.Disposable(()=>{this._commands.delete(t)&&e&&this._proxy.$unregisterCommand(t)})}executeCommand(e,...t){return this._logService.trace("ExtHostCommands#executeCommand",e),this._doExecuteCommand(e,t,!0)}async _doExecuteCommand(e,t,i){if(this._commands.has(e))return this._executeContributedCommand(e,t);{const n=a.cloneAndChange(t,(function(e){return e instanceof s.Position?o.Position.from(e):e instanceof s.Range?o.Range.from(e):e instanceof s.Location?o.location.from(e):Array.isArray(e)?void 0:e}));try{const t=await this._proxy.$executeCommand(e,n,i);return h.revive(t)}catch(i){if(i instanceof Error&&"$executeCommand:retry"===i.message)return this._doExecuteCommand(e,t,!1);throw i}}}_executeContributedCommand(e,t){const n=this._commands.get(e);if(!n)throw new Error("Unknown command");let{callback:r,thisArg:s,description:o}=n;if(o)for(let n=0;n<o.args.length;n++)try{
i.validateConstraint(t[n],o.args[n].constraint)}catch(t){return Promise.reject(new Error(`Running the contributed command: '${e}' failed. Illegal argument '${o.args[n].name}' - ${o.args[n].description}`))}try{const e=r.apply(s,t);return Promise.resolve(e)}catch(t){return this._logService.error(t,e),Promise.reject(new Error(`Running the contributed command: '${e}' failed.`))}}$executeContributedCommand(e,...t){return this._logService.trace("ExtHostCommands#$executeContributedCommand",e),this._commands.has(e)?(t=t.map(e=>this._argumentProcessors.reduce((e,t)=>t.processArgument(e),e)),this._executeContributedCommand(e,t)):Promise.reject(new Error(`Contributed command '${e}' does not exist.`))}getCommands(e=!1){return this._logService.trace("ExtHostCommands#getCommands",e),this._proxy.$getCommands().then(t=>(e&&(t=t.filter(e=>"_"!==e[0])),t))}$getContributedCommandHandlerDescriptions(){const e=Object.create(null);return this._commands.forEach((t,i)=>{let{description:n}=t;n&&(e[i]=n)}),Promise.resolve(e)}}
;_=n([r(0,v.IExtHostRpcService),r(1,u.ILogService)],_),t.ExtHostCommands=_;class y{constructor(e,t){this._commands=e,this._logService=t,this._cache=new Map,this._cachIdPool=0,this._delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._commands.registerCommand(!0,this._delegatingCommandId,this._executeConvertedCommand,this)}toInternal(e,t){if(!e)return;const i={$ident:void 0,id:e.command,title:e.title,tooltip:e.tooltip};if(e.command&&l.isNonEmptyArray(e.arguments)){const n=++this._cachIdPool;this._cache.set(n,e),t.add(m.toDisposable(()=>{this._cache.delete(n),this._logService.trace("CommandsConverter#DISPOSE",n)})),i.$ident=n,i.id=this._delegatingCommandId,i.arguments=[n],this._logService.trace("CommandsConverter#CREATE",e.command,n)}return i}fromInternal(e){const t=c.ObjectIdentifier.of(e);return"number"==typeof t?this._cache.get(t):{command:e.id,title:e.title,arguments:e.arguments}}_executeConvertedCommand(...e){const t=this._cache.get(e[0])
;return this._logService.trace("CommandsConverter#EXECUTE",e[0],t?t.command:"MISSING"),t?this._commands.executeCommand(t.command,...t.arguments||[]):Promise.reject("actual command NOT FOUND")}}t.CommandsConverter=y,t.IExtHostCommands=g.createDecorator("IExtHostCommands")})),define(t[199],i([0,1,14,56,3,6,2,92,28,21,11,5]),(function(e,t,i,r,s,o,a,c,l,u,h,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class p{constructor(e,t,i){this._documents=i,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=e.getProxy(d.MainContext.MainThreadComments),t.registerArgumentProcessor({processArgument:e=>{if(e&&6===e.$mid){const t=this._commentControllers.get(e.handle);return t||e}if(e&&7===e.$mid){const t=this._commentControllers.get(e.commentControlHandle);if(!t)return e;const i=t.getCommentThread(e.commentThreadHandle);return i||e}if(e&&8===e.$mid){const t=this._commentControllers.get(e.thread.commentControlHandle);if(!t)return e
;const i=t.getCommentThread(e.thread.commentThreadHandle);return i?{thread:i,text:e.text}:e}if(e&&9===e.$mid){const t=this._commentControllers.get(e.thread.commentControlHandle);if(!t)return e;const i=t.getCommentThread(e.thread.commentThreadHandle);if(!i)return e;let n=e.commentUniqueId,r=i.getCommentByUniqueId(n);return r||e}if(e&&10===e.$mid){const t=this._commentControllers.get(e.thread.commentControlHandle);if(!t)return e;const i=t.getCommentThread(e.thread.commentThreadHandle);if(!i)return e;let n=e.text,r=e.commentUniqueId,s=i.getCommentByUniqueId(r);return s?(s.body=n,s):e}return e}})}createCommentController(e,t,i){const n=p.handlePool++,r=new m(e,n,this._proxy,t,i);this._commentControllers.set(r.handle,r);const s=this._commentControllersByExtension.get(l.ExtensionIdentifier.toKey(e.identifier))||[];return s.push(r),this._commentControllersByExtension.set(l.ExtensionIdentifier.toKey(e.identifier),s),r}$createCommentThreadTemplate(e,t,i){const n=this._commentControllers.get(e)
;n&&n.$createCommentThreadTemplate(t,i)}async $updateCommentThreadTemplate(e,t,i){const n=this._commentControllers.get(e);n&&n.$updateCommentThreadTemplate(t,i)}$deleteCommentThread(e,t){const i=this._commentControllers.get(e);i&&i.$deleteCommentThread(t)}$provideCommentingRanges(e,t,n){const r=this._commentControllers.get(e);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const s=this._documents.getDocument(a.URI.revive(t));return i.asPromise(()=>r.commentingRangeProvider.provideCommentingRanges(s,n)).then(e=>e?e.map(e=>u.Range.from(e)):void 0)}$toggleReaction(e,t,n,r,s){const o=this._commentControllers.get(e);return o&&o.reactionHandler?i.asPromise(()=>{const e=o.getCommentThread(t);if(e){const t=e.getCommentByUniqueId(r.uniqueIdInThread);if(void 0!==o&&t&&o.reactionHandler)return o.reactionHandler(t,function(e){return{label:e.label||"",count:e.count||0,iconPath:e.iconPath?a.URI.revive(e.iconPath):"",authorHasReacted:e.hasReacted||!1}}(s))}return Promise.resolve(void 0)
}):Promise.resolve(void 0)}dispose(){}}t.ExtHostComments=p,p.handlePool=0;class f{constructor(e,t,i,n,r,a,c){this._proxy=e,this._commentController=t,this._id=i,this._uri=n,this._range=r,this._comments=a,this.handle=f._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new s.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._commentsMap=new Map,this._acceptInputDisposables=new o.MutableDisposable,this._acceptInputDisposables.value=new o.DisposableStore,void 0===this._id&&(this._id=`${t.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,u.Range.from(this._range),c),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=a}set threadId(e){this._id=e}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}
set range(e){e.isEqual(this._range)||(this._range=e,this.modifications.range=e,this._onDidUpdateCommentThread.fire())}get range(){return this._range}get label(){return this._label}set label(e){this._label=e,this.modifications.label=e,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(e){this._contextValue=e,this.modifications.contextValue=e,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(e){this._comments=e,this.modifications.comments=e,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(e){this._collapseState=e,this.modifications.collapsibleState=e,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new o.DisposableStore);const e=e=>Object.prototype.hasOwnProperty.call(this.modifications,e),t={}
;e("range")&&(t.range=u.Range.from(this._range)),e("label")&&(t.label=this.label),e("contextValue")&&(t.contextValue=this.contextValue),e("comments")&&(t.comments=this._comments.map(e=>(function(e,t,i,n){let r=n.get(i);r||(r=++e.commentHandle,n.set(i,r));const s=i.author&&i.author.iconPath?i.author.iconPath.toString():void 0;return{mode:i.mode,contextValue:i.contextValue,uniqueIdInThread:r,body:u.MarkdownString.from(i.body),userName:i.author.name,userIconPath:s,label:i.label,commentReactions:i.reactions?i.reactions.map(e=>(function(e){return{label:e.label,iconPath:e.iconPath?u.pathOrURIToURI(e.iconPath):void 0,count:e.count,hasReacted:e.authorHasReacted}})(e)):void 0}})(this,this._commentController,e,this._commentsMap))),e("collapsibleState")&&(t.collapseState=function(e){if(void 0!==e)switch(e){case h.CommentThreadCollapsibleState.Expanded:return c.CommentThreadCollapsibleState.Expanded;case h.CommentThreadCollapsibleState.Collapsed:return c.CommentThreadCollapsibleState.Collapsed}
return c.CommentThreadCollapsibleState.Collapsed}(this._collapseState)),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,t)}getCommentByUniqueId(e){for(let t of this._commentsMap){let i=t[0];if(e===t[1])return i}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(e=>e.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}f._handlePool=0,n([r.debounce(100)],f.prototype,"eventuallyUpdateCommentThread",null),t.ExtHostCommentThread=f;class m{constructor(e,t,i,n,r){this._extension=e,this._handle=t,this._proxy=i,this._id=n,this._label=r,this._threads=new Map,this._proxy.$registerCommentController(this.handle,n,r)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(e){this._reactionHandler=e,this._proxy.$updateCommentControllerFeatures(this.handle,{
reactionHandler:!!e})}createCommentThread(e,t,i,n){if("string"==typeof e){const r=new f(this._proxy,this,e,t,i,n,this._extension.identifier);return this._threads.set(r.handle,r),r}{const n=new f(this._proxy,this,void 0,e,t,i,this._extension.identifier);return this._threads.set(n.handle,n),n}}$createCommentThreadTemplate(e,t){const i=new f(this._proxy,this,void 0,a.URI.revive(e),u.Range.to(t),[],this._extension.identifier);return i.collapsibleState=c.CommentThreadCollapsibleState.Expanded,this._threads.set(i.handle,i),i}$updateCommentThreadTemplate(e,t){let i=this._threads.get(e);i&&(i.range=u.Range.to(t))}$deleteCommentThread(e){let t=this._threads.get(e);t&&t.dispose(),this._threads.delete(e)}getCommentThread(e){return this._threads.get(e)}dispose(){this._threads.forEach(e=>{e.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}})),define(t[108],i([0,1,2,5,11,12,4,15,9]),(function(e,t,i,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let h=class e{constructor(e,t){
this._logService=t,this._provider=new Map,this._proxy=e.getProxy(s.MainContext.MainThreadDecorations)}registerDecorationProvider(t,i){const n=e._handlePool++;this._provider.set(n,{provider:t,extensionId:i}),this._proxy.$registerDecorationProvider(n,i.value);const r=t.onDidChangeDecorations(e=>{this._proxy.$onDidChange(n,e?a.asArray(e):null)});return new o.Disposable(()=>{r.dispose(),this._proxy.$unregisterDecorationProvider(n),this._provider.delete(n)})}$provideDecorations(e,t){const n=Object.create(null);return Promise.all(e.map(e=>{const{handle:r,uri:s,id:a}=e,c=this._provider.get(r);if(!c)return;const{provider:l,extensionId:u}=c;return Promise.resolve(l.provideDecoration(i.URI.revive(s),t)).then(e=>{if(e)try{o.Decoration.validate(e),n[a]=[e.priority,e.bubble,e.title,e.letter,e.color]}catch(e){this._logService.warn(`INVALID decoration from extension '${u.value}': ${e}`)}},e=>{this._logService.error(e)})})).then(()=>n)}};h._handlePool=0,h=n([r(0,l.IExtHostRpcService),r(1,u.ILogService)],h),
t.ExtHostDecorations=h,t.IExtHostDecorations=c.createDecorator("IExtHostDecorations")})),define(t[200],i([0,1,143,95,2,5,11,21,12,3,24,9]),(function(e,t,i,s,o,a,c,l,u,h,d,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class f{constructor(e,t,i,n,r){this._isDisposed=!1,this._data=new Map,this._name=e,this._owner=t,this._maxDiagnosticsPerFile=i,this._proxy=n,this._onDidChangeDiagnostics=r}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire(d.keys(this._data)),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(e,t){if(!e)return void this.clear();this._checkDisposed();let n=[];if(o.URI.isUri(e)){if(!t)return void this.delete(e);this._data.set(e.toString(),t.slice()),n=[e]}else if(Array.isArray(e)){let t;n=[],u.mergeSort(e,f._compareIndexedTuplesByUri);for(const i of e){const[e,r]=i;if(t&&e.toString()===t.toString()||(t&&0===this._data.get(t.toString()).length&&this._data.delete(t.toString()),t=e,
n.push(e),this._data.set(e.toString(),[])),r){const t=this._data.get(e.toString());t&&t.push(...r)}else{const t=this._data.get(e.toString());t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(n),!this._proxy)return;const r=[];for(let e of n){let t=[];const n=this._data.get(e.toString());if(n)if(n.length>this._maxDiagnosticsPerFile){t=[];const e=[c.DiagnosticSeverity.Error,c.DiagnosticSeverity.Warning,c.DiagnosticSeverity.Information,c.DiagnosticSeverity.Hint];e:for(let i=0;i<4;i++)for(let r of n)if(r.severity===e[i]){if(t.push(l.Diagnostic.from(r))===this._maxDiagnosticsPerFile)break e}t.push({severity:s.MarkerSeverity.Info,message:i.localize(0,null,n.length-this._maxDiagnosticsPerFile),startLineNumber:t[t.length-1].startLineNumber,startColumn:t[t.length-1].startColumn,endLineNumber:t[t.length-1].endLineNumber,endColumn:t[t.length-1].endColumn})}else t=n.map(e=>l.Diagnostic.from(e));r.push([e,t])}this._proxy.$changeMany(this._owner,r)}delete(e){this._checkDisposed(),this._onDidChangeDiagnostics.fire([e]),
this._data.delete(e.toString()),this._proxy&&this._proxy.$changeMany(this._owner,[[e,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire(d.keys(this._data)),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(e,t){this._checkDisposed(),this._data.forEach((i,n)=>{const r=o.URI.parse(n);e.apply(t,[r,this.get(r),this])})}get(e){this._checkDisposed();const t=this._data.get(e.toString());return Array.isArray(t)?Object.freeze(t.slice(0)):[]}has(e){return this._checkDisposed(),Array.isArray(this._data.get(e.toString()))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(e,t){return e[0].toString()<t[0].toString()?-1:e[0].toString()>t[0].toString()?1:0}}t.DiagnosticCollection=f;let m=class e{constructor(t,i){this._logService=i,this._collections=new Map,this._onDidChangeDiagnostics=new h.Emitter,
this.onDidChangeDiagnostics=h.Event.map(h.Event.debounce(this._onDidChangeDiagnostics.event,e._debouncer,50),e._mapper),this._proxy=t.getProxy(a.MainContext.MainThreadDiagnostics)}static _debouncer(e,t){return e?e.concat(t):t}static _mapper(e){const t=[],i=new Set;for(const n of e)"string"==typeof n?i.has(n)||(i.add(n),t.push(o.URI.parse(n))):i.has(n.toString())||(i.add(n.toString()),t.push(n));return Object.freeze(t),{uris:t}}createDiagnosticCollection(t){let i,{_collections:n,_proxy:r,_onDidChangeDiagnostics:s}=this;if(t)if(n.has(t)){this._logService.warn(`DiagnosticCollection with name '${t}' does already exist.`);do{i=t+e._idPool++}while(n.has(i))}else i=t;else t="_generated_diagnostic_collection_name_#"+e._idPool++,i=t;return new class extends f{constructor(){super(t,i,e._maxDiagnosticsPerFile,r,s),n.set(i,this)}dispose(){super.dispose(),n.delete(i)}}}getDiagnostics(e){if(e)return this._getDiagnostics(e);{const e=new Map,t=[];return this._collections.forEach(i=>{i.forEach((i,n)=>{
let r=e.get(i.toString());void 0===r&&(r=t.length,e.set(i.toString(),r),t.push([i,[]])),t[r][1]=t[r][1].concat(...n)})}),t}}_getDiagnostics(e){let t=[];return this._collections.forEach(i=>{i.has(e)&&(t=t.concat(i.get(e)))}),t}$acceptMarkersChange(t){if(!this._mirrorCollection){const t="_generated_mirror",i=new f(t,t,e._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(t,i),this._mirrorCollection=i}for(const[e,i]of t)this._mirrorCollection.set(o.URI.revive(e),i.map(l.Diagnostic.to))}};m._idPool=0,m._maxDiagnosticsPerFile=1e3,m=n([r(1,p.ILogService)],m),t.ExtHostDiagnostics=m})),define(t[201],i([0,1,2,5]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostDialogs=class{constructor(e){this._proxy=e.getProxy(n.MainContext.MainThreadDialogs)}showOpenDialog(e){return this._proxy.$showOpenDialog(e).then(e=>e?e.map(e=>i.URI.revive(e)):void 0)}showSaveDialog(e){return this._proxy.$showSaveDialog(e).then(e=>e?i.URI.revive(e):void 0)}}})),
define(t[202],i([0,1,19,2,11,5,20,22]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class c{constructor(e,t,i){this._documentsAndEditors=t,this._logService=i,this._documentContentProviders=new Map,this._proxy=e.getProxy(s.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(e,t){if(Object.keys(o.Schemas).indexOf(e)>=0)throw new Error(`scheme '${e}' already registered`);const n=c._handlePool++;let s;return this._documentContentProviders.set(n,t),this._proxy.$registerTextContentProvider(n,e),"function"==typeof t.onDidChange&&(s=t.onDidChange(t=>{t.scheme===e?this._documentsAndEditors.getDocument(t)&&this.$provideTextDocumentContent(n,t).then(e=>{if(!e&&"string"!=typeof e)return;const i=this._documentsAndEditors.getDocument(t);if(!i)return;const n=e.split(/\r\n|\r|\n/);return i.equalLines(n)?void 0:this._proxy.$onVirtualDocumentChange(t,e)
},i.onUnexpectedError):this._logService.warn(`Provider for scheme '${e}' is firing event for schema '${t.scheme}' which will be IGNORED`)})),new r.Disposable(()=>{this._documentContentProviders.delete(n)&&this._proxy.$unregisterTextContentProvider(n),s&&(s.dispose(),s=void 0)})}$provideTextDocumentContent(e,t){const i=this._documentContentProviders.get(e);return i?Promise.resolve(i.provideTextDocumentContent(n.URI.revive(t),a.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${t.scheme}`))}}t.ExtHostDocumentContentProvider=c,c._handlePool=0})),define(t[203],i([0,1,3,6,2,5,101,21,13,18]),(function(e,t,i,n,r,s,o,a,c,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostDocuments=class{constructor(e,t){this._onDidAddDocument=new i.Emitter,this._onDidRemoveDocument=new i.Emitter,this._onDidChangeDocument=new i.Emitter,this._onDidSaveDocument=new i.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,
this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new n.DisposableStore,this._documentLoader=new Map,this._proxy=e.getProxy(s.MainContext.MainThreadDocuments),this._documentsAndEditors=t,this._documentsAndEditors.onDidRemoveDocuments(e=>{for(const t of e)this._onDidRemoveDocument.fire(t.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(e=>{for(const t of e)this._onDidAddDocument.fire(t.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return this._documentsAndEditors.allDocuments()}getDocumentData(e){if(!e)return;const t=this._documentsAndEditors.getDocument(e);return t||void 0}getDocument(e){const t=this.getDocumentData(e);if(!t||!t.document)throw new Error("Unable to retrieve document from URI");return t.document}ensureDocumentData(e){const t=this._documentsAndEditors.getDocument(e);if(t)return Promise.resolve(t);let i=this._documentLoader.get(e.toString())
;return i||(i=this._proxy.$tryOpenDocument(e).then(()=>(this._documentLoader.delete(e.toString()),c.assertIsDefined(this._documentsAndEditors.getDocument(e))),t=>(this._documentLoader.delete(e.toString()),Promise.reject(t))),this._documentLoader.set(e.toString(),i)),i}createDocumentData(e){return this._proxy.$tryCreateDocument(e).then(e=>r.URI.revive(e))}$acceptModelModeChanged(e,t,i){const n=r.URI.revive(e),s=this._documentsAndEditors.getDocument(n);if(!s)throw new Error("unknown document");this._onDidRemoveDocument.fire(s.document),s._acceptLanguageId(i),this._onDidAddDocument.fire(s.document)}$acceptModelSaved(e){const t=r.URI.revive(e),i=this._documentsAndEditors.getDocument(t);if(!i)throw new Error("unknown document");this.$acceptDirtyStateChanged(e,!1),this._onDidSaveDocument.fire(i.document)}$acceptDirtyStateChanged(e,t){const i=r.URI.revive(e),n=this._documentsAndEditors.getDocument(i);if(!n)throw new Error("unknown document");n._acceptIsDirty(t),this._onDidChangeDocument.fire({document:n.document,
contentChanges:[]})}$acceptModelChanged(e,t,i){const n=r.URI.revive(e),s=this._documentsAndEditors.getDocument(n);if(!s)throw new Error("unknown document");s._acceptIsDirty(i),s.onEvents(t),this._onDidChangeDocument.fire(l.deepFreeze({document:s.document,contentChanges:t.changes.map(e=>({range:a.Range.to(e.range),rangeOffset:e.rangeOffset,rangeLength:e.rangeLength,text:e.text}))}))}setWordDefinitionFor(e,t){o.setWordDefinitionFor(e,t)}}})),define(t[36],i([0,1,48,3,6,2,4,5,101,15,106,21,9]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let m=class{constructor(e,t){this._extHostRpc=e,this._logService=t,this._activeEditorId=null,this._editors=new Map,this._documents=new Map,this._onDidAddDocuments=new s.Emitter,this._onDidRemoveDocuments=new s.Emitter,this._onDidChangeVisibleTextEditors=new s.Emitter,this._onDidChangeActiveTextEditor=new s.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,
this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(e){const t=[],n=[],r=[];if(e.removedDocuments)for(const i of e.removedDocuments){const e=a.URI.revive(i).toString(),n=this._documents.get(e);this._documents.delete(e),n&&t.push(n)}if(e.addedDocuments)for(const t of e.addedDocuments){const e=a.URI.revive(t.uri);i.ok(!this._documents.has(e.toString()),`document '${e} already exists!'`);const r=new u.ExtHostDocumentData(this._extHostRpc.getProxy(l.MainContext.MainThreadDocuments),e,t.lines,t.EOL,t.modeId,t.versionId,t.isDirty);this._documents.set(e.toString(),r),n.push(r)}if(e.removedEditors)for(const t of e.removedEditors){const e=this._editors.get(t);this._editors.delete(t),e&&r.push(e)}if(e.addedEditors)for(const t of e.addedEditors){const e=a.URI.revive(t.documentUri);i.ok(this._documents.has(e.toString()),`document '${e}' does not exist`),
i.ok(!this._editors.has(t.id),`editor '${t.id}' already exists!`);const n=this._documents.get(e.toString()),r=new d.ExtHostTextEditor(t.id,this._extHostRpc.getProxy(l.MainContext.MainThreadTextEditors),this._logService,n,t.selections.map(p.Selection.to),t.options,t.visibleRanges.map(e=>p.Range.to(e)),"number"==typeof t.editorPosition?p.ViewColumn.to(t.editorPosition):void 0);this._editors.set(t.id,r)}void 0!==e.newActiveEditor&&(i.ok(null===e.newActiveEditor||this._editors.has(e.newActiveEditor),`active editor '${e.newActiveEditor}' does not exist`),this._activeEditorId=e.newActiveEditor),o.dispose(t),o.dispose(r),e.removedDocuments&&this._onDidRemoveDocuments.fire(t),e.addedDocuments&&this._onDidAddDocuments.fire(n),(e.removedEditors||e.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors()),void 0!==e.newActiveEditor&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(e){return this._documents.get(e.toString())}allDocuments(){const e=[]
;return this._documents.forEach(t=>e.push(t)),e}getEditor(e){return this._editors.get(e)}activeEditor(){return this._activeEditorId?this._editors.get(this._activeEditorId):void 0}allEditors(){const e=[];return this._editors.forEach(t=>e.push(t)),e}};m=n([r(0,h.IExtHostRpcService),r(1,f.ILogService)],m),t.ExtHostDocumentsAndEditors=m,t.IExtHostDocumentsAndEditors=c.createDecorator("IExtHostDocumentsAndEditors")})),define(t[204],i([0,1,2,5,6,11,21,20,126,8,27]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class h{constructor(){this._schemes=[]}add(e){this._stateMachine=void 0,this._schemes.push(e)}delete(e){const t=this._schemes.indexOf(e);t>=0&&(this._schemes.splice(t,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const e=this._schemes.sort(),t=[];let i,n,r=14,s=14;for(const o of e){let e=i?l.commonPrefixLength(i,o):0;for(n=0===e?1:s;e<o.length;e++)e+1===o.length?(r=s,s=9):s+=1,t.push([n,o.toUpperCase().charCodeAt(e),s]),
t.push([n,o.toLowerCase().charCodeAt(e),s]),n=s;i=o,s=r}t.push([9,58,10]),t.push([10,47,12]),this._stateMachine=new c.StateMachine(t)}}provideDocumentLinks(e){this._initStateMachine();const t=[],i=c.LinkComputer.computeLinks({getLineContent:t=>e.lineAt(t-1).text,getLineCount:()=>e.lineCount},this._stateMachine);for(const e of i){const i=o.DocumentLink.to(e);i.target&&t.push(i)}return t}}class d{constructor(e){this._proxy=e}stat(e){return this._proxy.$stat(e).catch(d._handleError)}readDirectory(e){return this._proxy.$readdir(e).catch(d._handleError)}createDirectory(e){return this._proxy.$mkdir(e).catch(d._handleError)}async readFile(e){return this._proxy.$readFile(e).then(e=>e.buffer).catch(d._handleError)}writeFile(e,t){return this._proxy.$writeFile(e,u.VSBuffer.wrap(t)).catch(d._handleError)}delete(e,t){return this._proxy.$delete(e,Object.assign({recursive:!1,useTrash:!1},t)).catch(d._handleError)}rename(e,t,i){return this._proxy.$rename(e,t,Object.assign({overwrite:!1},i)).catch(d._handleError)}copy(e,t,i){
return this._proxy.$copy(e,t,Object.assign({overwrite:!1},i)).catch(d._handleError)}static _handleError(e){if(!(e instanceof Error))throw new s.FileSystemError(String(e));if("ENOPRO"===e.name)throw s.FileSystemError.Unavailable(e.message);throw new s.FileSystemError(e.message,e.name)}}class p{constructor(e,t){this._extHostLanguageFeatures=t,this._linkProvider=new h,this._fsProvider=new Map,this._usedSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=e.getProxy(n.MainContext.MainThreadFileSystem),this.fileSystem=new d(this._proxy),Object.keys(a.Schemas).forEach(e=>this._usedSchemes.add(e))}dispose(){r.dispose(this._linkProviderRegistration)}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(e,t,i={}){if(this._usedSchemes.has(e))throw new Error(`a provider for the scheme '${e}' is already registered`)
;this._registerLinkProviderIfNotYetRegistered();const n=this._handlePool++;this._linkProvider.add(e),this._usedSchemes.add(e),this._fsProvider.set(n,t);let o=2;i.isCaseSensitive&&(o+=1024),i.isReadonly&&(o+=2048),"function"==typeof t.copy&&(o+=8),"function"==typeof t.open&&"function"==typeof t.close&&"function"==typeof t.read&&"function"==typeof t.write&&(o+=4),this._proxy.$registerFileSystemProvider(n,e,o);const a=t.onDidChangeFile(t=>{const i=[];for(const n of t){let t,{uri:r,type:o}=n;if(r.scheme===e){switch(o){case s.FileChangeType.Changed:t=0;break;case s.FileChangeType.Created:t=1;break;case s.FileChangeType.Deleted:t=2;break;default:throw new Error("Unknown FileChangeType")}i.push({resource:r,type:t})}}this._proxy.$onFileSystemChange(n,i)});return r.toDisposable(()=>{a.dispose(),this._linkProvider.delete(e),this._usedSchemes.delete(e),this._fsProvider.delete(n),this._proxy.$unregisterProvider(n)})}static _asIStat(e){const{type:t,ctime:i,mtime:n,size:r}=e;return{type:t,ctime:i,mtime:n,size:r}}
$stat(e,t){return Promise.resolve(this._getFsProvider(e).stat(i.URI.revive(t))).then(p._asIStat)}$readdir(e,t){return Promise.resolve(this._getFsProvider(e).readDirectory(i.URI.revive(t)))}$readFile(e,t){return Promise.resolve(this._getFsProvider(e).readFile(i.URI.revive(t))).then(e=>u.VSBuffer.wrap(e))}$writeFile(e,t,n,r){return Promise.resolve(this._getFsProvider(e).writeFile(i.URI.revive(t),n.buffer,r))}$delete(e,t,n){return Promise.resolve(this._getFsProvider(e).delete(i.URI.revive(t),n))}$rename(e,t,n,r){return Promise.resolve(this._getFsProvider(e).rename(i.URI.revive(t),i.URI.revive(n),r))}$copy(e,t,n,r){const s=this._getFsProvider(e);if(!s.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(s.copy(i.URI.revive(t),i.URI.revive(n),r))}$mkdir(e,t){return Promise.resolve(this._getFsProvider(e).createDirectory(i.URI.revive(t)))}$watch(e,t,n,r){const s=this._getFsProvider(e).watch(i.URI.revive(n),r);this._watches.set(t,s)}$unwatch(e,t){const i=this._watches.get(t)
;i&&(i.dispose(),this._watches.delete(t))}$open(e,t,n){const r=this._getFsProvider(e);if(!r.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(r.open(i.URI.revive(t),n))}$close(e,t){const i=this._getFsProvider(e);if(!i.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(i.close(t))}$read(e,t,i,n){const r=this._getFsProvider(e);if(!r.read)throw new Error('FileSystemProvider does not implement "read"');const s=u.VSBuffer.alloc(n);return Promise.resolve(r.read(t,i,s.buffer,0,n)).then(e=>s.slice(0,e))}$write(e,t,i,n){const r=this._getFsProvider(e);if(!r.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(r.write(t,i,n.buffer,0,n.byteLength))}_getFsProvider(e){const t=this._fsProvider.get(e);if(!t){const e=new Error;throw e.name="ENOPRO",e.message="no provider",e}return t}}t.ExtHostFileSystem=p})),define(t[205],i([0,1,3,33,2,5,21,11,12]),(function(e,t,i,n,r,s,o,a,c){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});class l{constructor(e,t,s,o,c){this._onDidCreate=new i.Emitter,this._onDidChange=new i.Emitter,this._onDidDelete=new i.Emitter,this._config=0,s&&(this._config+=1),o&&(this._config+=2),c&&(this._config+=4);const l=n.parse(t),u=e(e=>{if(!s)for(let t of e.created){const e=r.URI.revive(t);l(e.fsPath)&&this._onDidCreate.fire(e)}if(!o)for(let t of e.changed){const e=r.URI.revive(t);l(e.fsPath)&&this._onDidChange.fire(e)}if(!c)for(let t of e.deleted){const e=r.URI.revive(t);l(e.fsPath)&&this._onDidDelete.fire(e)}});this._disposable=a.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,u)}get ignoreCreateEvents(){return Boolean(1&this._config)}get ignoreChangeEvents(){return Boolean(2&this._config)}get ignoreDeleteEvents(){return Boolean(4&this._config)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}
t.ExtHostFileSystemEventService=class{constructor(e,t,n,r=e.getProxy(s.MainContext.MainThreadTextEditors)){this._logService=t,this._extHostDocumentsAndEditors=n,this._mainThreadTextEditors=r,this._onFileSystemEvent=new i.Emitter,this._onDidRenameFile=new i.Emitter,this._onDidCreateFile=new i.Emitter,this._onDidDeleteFile=new i.Emitter,this._onWillRenameFile=new i.AsyncEmitter,this._onWillCreateFile=new i.AsyncEmitter,this._onWillDeleteFile=new i.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(e,t,i,n){return new l(this._onFileSystemEvent.event,e,t,i,n)}$onFileEvent(e){this._onFileSystemEvent.fire(e)}$onDidRunFileOperation(e,t,i){switch(e){case 2:this._onDidRenameFile.fire(Object.freeze({files:[{oldUri:r.URI.revive(i),newUri:r.URI.revive(t)}]}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:[r.URI.revive(t)]}));break;case 0:
this._onDidCreateFile.fire(Object.freeze({files:[r.URI.revive(t)]}))}}getOnWillRenameFileEvent(e){return this._createWillExecuteEvent(e,this._onWillRenameFile)}getOnWillCreateFileEvent(e){return this._createWillExecuteEvent(e,this._onWillCreateFile)}getOnWillDeleteFileEvent(e){return this._createWillExecuteEvent(e,this._onWillDeleteFile)}_createWillExecuteEvent(e,t){return(i,n,r)=>{const s=function(e){i.call(n,e)};return s.extension=e,t.event(s,void 0,r)}}async $onWillRunFileOperation(e,t,i,n,s){switch(e){case 2:await this._fireWillEvent(this._onWillRenameFile,{files:[{oldUri:r.URI.revive(i),newUri:r.URI.revive(t)}]},n,s);break;case 1:await this._fireWillEvent(this._onWillDeleteFile,{files:[r.URI.revive(t)]},n,s);break;case 0:await this._fireWillEvent(this._onWillCreateFile,{files:[r.URI.revive(t)]},n,s)}}async _fireWillEvent(e,t,i,n){const r=[];if(await e.fireAsync(t,n,async(e,t)=>{var n;const s=Date.now(),o=await Promise.resolve(e);o instanceof a.WorkspaceEdit&&r.push(o),
Date.now()-s>i&&this._logService.warn("SLOW file-participant",null===(n=t.extension)||void 0===n?void 0:n.identifier)}),!n.isCancellationRequested&&r.length>0){const e=new Array;for(let t of r){let{edits:i}=o.WorkspaceEdit.from(t,this._extHostDocumentsAndEditors);e.push(i)}return this._mainThreadTextEditors.$tryApplyWorkspaceEdit({edits:c.flatten(e)})}}}})),define(t[206],i([0,1,6,5]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostLabelService=class{constructor(e){this._handlePool=0,this._proxy=e.getProxy(n.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(e){const t=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(t,e),i.toDisposable(()=>{this._proxy.$unregisterResourceLabelFormatter(t)})}}})),define(t[207],i([0,1,2,18,21,11,14,5,8,43,12,13,123,6,173,77,170]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f,m,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class v{constructor(e,t){this._documents=e,this._provider=t}
provideDocumentSymbols(e,t){const i=this._documents.getDocument(e);return o.asPromise(()=>this._provider.provideDocumentSymbols(i,t)).then(e=>u.isFalsyOrEmpty(e)?void 0:e[0]instanceof s.DocumentSymbol?e.map(r.DocumentSymbol.from):v._asDocumentSymbolTree(e))}static _asDocumentSymbolTree(e){e=e.slice(0).sort((e,t)=>{let i=e.location.range.start.compareTo(t.location.range.start);return 0===i&&(i=t.location.range.end.compareTo(e.location.range.end)),i});const t=[],i=[];for(const n of e){const e={name:n.name||"!!MISSING: name!!",kind:r.SymbolKind.from(n.kind),tags:n.tags?n.tags.map(r.SymbolTag.from):[],detail:"",containerName:n.containerName,range:r.Range.from(n.location.range),selectionRange:r.Range.from(n.location.range),children:[]};for(;;){if(0===i.length){i.push(e),t.push(e);break}const n=i[i.length-1];if(l.Range.containsRange(n.range,e.range)&&!l.Range.equalsRange(n.range,e.range)){n.children&&n.children.push(e),i.push(e);break}i.pop()}}return t}}class _{constructor(e,t,i){this._documents=e,this._commands=t,
this._provider=i,this._cache=new g.Cache("CodeLens"),this._disposables=new Map}provideCodeLenses(e,t){const i=this._documents.getDocument(e);return o.asPromise(()=>this._provider.provideCodeLenses(i,t)).then(e=>{if(!e||t.isCancellationRequested)return;const i=this._cache.add(e),n=new p.DisposableStore;this._disposables.set(i,n);const s={cacheId:i,lenses:[]};for(let t=0;t<e.length;t++)s.lenses.push({cacheId:[i,t],range:r.Range.from(e[t].range),command:this._commands.toInternal(e[t].command,n)});return s})}resolveCodeLens(e,t){const i=e.cacheId&&this._cache.get(...e.cacheId);if(!i)return Promise.resolve(void 0);let n;return(n="function"!=typeof this._provider.resolveCodeLens||i.isResolved?Promise.resolve(i):o.asPromise(()=>this._provider.resolveCodeLens(i,t))).then(n=>{if(t.isCancellationRequested)return;const r=e.cacheId&&this._disposables.get(e.cacheId[0]);return r?(n=n||i,e.command=this._commands.toInternal(n.command||_._badCmd,r),e):void 0})}releaseCodeLenses(e){p.dispose(this._disposables.get(e)),
this._disposables.delete(e),this._cache.delete(e)}}function y(e){return Array.isArray(e)?e.map(r.DefinitionLink.from):e?[r.DefinitionLink.from(e)]:[]}_._badCmd={command:"missing",title:"!!MISSING: command!!"};class w{constructor(e,t){this._documents=e,this._provider=t}provideDefinition(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t);return o.asPromise(()=>this._provider.provideDefinition(n,s,i)).then(y)}}class x{constructor(e,t){this._documents=e,this._provider=t}provideDeclaration(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t);return o.asPromise(()=>this._provider.provideDeclaration(n,s,i)).then(y)}}class b{constructor(e,t){this._documents=e,this._provider=t}provideImplementation(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t);return o.asPromise(()=>this._provider.provideImplementation(n,s,i)).then(y)}}class E{constructor(e,t){this._documents=e,this._provider=t}provideTypeDefinition(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t)
;return o.asPromise(()=>this._provider.provideTypeDefinition(n,s,i)).then(y)}}class S{constructor(e,t){this._documents=e,this._provider=t}provideHover(e,t,i){const n=this._documents.getDocument(e),a=r.Position.to(t);return o.asPromise(()=>this._provider.provideHover(n,a,i)).then(e=>{if(e&&!u.isFalsyOrEmpty(e.contents))return e.range||(e.range=n.getWordRangeAtPosition(a)),e.range||(e.range=new s.Range(a,a)),r.Hover.from(e)})}}class C{constructor(e,t){this._documents=e,this._provider=t}provideEvaluatableExpression(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t);return o.asPromise(()=>this._provider.provideEvaluatableExpression(n,s,i)).then(e=>{if(e)return r.EvaluatableExpression.from(e)})}}class P{constructor(e,t){this._documents=e,this._provider=t}provideDocumentHighlights(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t);return o.asPromise(()=>this._provider.provideDocumentHighlights(n,s,i)).then(e=>{if(Array.isArray(e))return e.map(r.DocumentHighlight.from)})}}class D{
constructor(e,t){this._documents=e,this._provider=t}provideReferences(e,t,i,n){const s=this._documents.getDocument(e),a=r.Position.to(t);return o.asPromise(()=>this._provider.provideReferences(s,a,i,n)).then(e=>{if(Array.isArray(e))return e.map(r.location.from)})}}class T{constructor(e,t,i,n,r,s,o){this._documents=e,this._commands=t,this._diagnostics=i,this._provider=n,this._logService=r,this._extension=s,this._apiDeprecation=o,this._cache=new g.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(e,t,i,n){const a=this._documents.getDocument(e),c=d.Selection.isISelection(t)?r.Selection.to(t):r.Range.to(t),l=[];for(const t of this._diagnostics.getDiagnostics(e))if(c.intersection(t.range)){if(l.push(t)>T._maxCodeActionsPerFile)break}const h={diagnostics:l,only:i.only?new s.CodeActionKind(i.only):void 0};return o.asPromise(()=>this._provider.provideCodeActions(a,c,h,n)).then(e=>{var t;if(!u.isNonEmptyArray(e)||n.isCancellationRequested)return;const i=this._cache.add(e),s=new p.DisposableStore
;this._disposables.set(i,s);const o=[];for(const i of e)i&&(T._isCommand(i)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),o.push({_isSynthetic:!0,title:i.title,command:this._commands.toInternal(i,s)})):(h.only&&(i.kind?h.only.contains(i.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${h.only.value} 'requested but returned code action is of kind '${i.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${h.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),o.push({title:i.title,command:i.command&&this._commands.toInternal(i.command,s),diagnostics:i.diagnostics&&i.diagnostics.map(r.Diagnostic.from),edit:i.edit&&r.WorkspaceEdit.from(i.edit),
kind:i.kind&&i.kind.value,isPreferred:i.isPreferred,disabled:null===(t=i.disabled)||void 0===t?void 0:t.reason})));return{cacheId:i,actions:o}})}releaseCodeActions(e){p.dispose(this._disposables.get(e)),this._disposables.delete(e),this._cache.delete(e)}static _isCommand(e){return"string"==typeof e.command&&"string"==typeof e.title}}T._maxCodeActionsPerFile=1e3;class I{constructor(e,t){this._documents=e,this._provider=t}provideDocumentFormattingEdits(e,t,i){const n=this._documents.getDocument(e);return o.asPromise(()=>this._provider.provideDocumentFormattingEdits(n,t,i)).then(e=>{if(Array.isArray(e))return e.map(r.TextEdit.from)})}}class k{constructor(e,t){this._documents=e,this._provider=t}provideDocumentRangeFormattingEdits(e,t,i,n){const s=this._documents.getDocument(e),a=r.Range.to(t);return o.asPromise(()=>this._provider.provideDocumentRangeFormattingEdits(s,a,i,n)).then(e=>{if(Array.isArray(e))return e.map(r.TextEdit.from)})}}class R{constructor(e,t){this._documents=e,this._provider=t,
this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(e,t,i,n,s){const a=this._documents.getDocument(e),c=r.Position.to(t);return o.asPromise(()=>this._provider.provideOnTypeFormattingEdits(a,c,i,n,s)).then(e=>{if(Array.isArray(e))return e.map(r.TextEdit.from)})}}class A{constructor(e,t){this._provider=e,this._logService=t,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(e,t){const i=a.IdObject.mixin({symbols:[]});return o.asPromise(()=>this._provider.provideWorkspaceSymbols(e,t)).then(e=>{if(u.isNonEmptyArray(e))for(const t of e){if(!t)continue;if(!t.name){this._logService.warn("INVALID SymbolInformation, lacks name",t);continue}const e=a.IdObject.mixin(r.WorkspaceSymbol.from(t));this._symbolCache.set(e._id,t),i.symbols.push(e)}}).then(()=>(i.symbols.length>0&&this._resultCache.set(i._id,[i.symbols[0]._id,i.symbols[i.symbols.length-1]._id]),i))}async resolveWorkspaceSymbol(e,t){if("function"!=typeof this._provider.resolveWorkspaceSymbol)return e
;const i=this._symbolCache.get(e._id);if(i){const s=await o.asPromise(()=>this._provider.resolveWorkspaceSymbol(i,t));return s&&n.mixin(e,r.WorkspaceSymbol.from(s),!0)}}releaseWorkspaceSymbols(e){const t=this._resultCache.get(e);if(t){for(let[e,i]=t;e<=i;e++)this._symbolCache.delete(e);this._resultCache.delete(e)}}}class O{constructor(e,t,i){this._documents=e,this._provider=t,this._logService=i}static supportsResolving(e){return"function"==typeof e.prepareRename}provideRenameEdits(e,t,i,n){const s=this._documents.getDocument(e),a=r.Position.to(t);return o.asPromise(()=>this._provider.provideRenameEdits(s,a,i,n)).then(e=>{if(e)return r.WorkspaceEdit.from(e)},e=>{const t=O._asMessage(e);return t?{rejectReason:t,edits:void 0}:Promise.reject(e)})}resolveRenameLocation(e,t,i){if("function"!=typeof this._provider.prepareRename)return Promise.resolve(void 0);const n=this._documents.getDocument(e),a=r.Position.to(t);return o.asPromise(()=>this._provider.prepareRename(n,a,i)).then(e=>{let t,i
;if(s.Range.isRange(e)?(t=e,i=n.getText(e)):h.isObject(e)&&(t=e.range,i=e.placeholder),t){if(!(t.start.line>a.line||t.end.line<a.line))return{range:r.Range.from(t),text:i};this._logService.warn("INVALID rename location: position line must be within range start/end lines")}},e=>{const t=O._asMessage(e);return t?{rejectReason:t,range:void 0,text:void 0}:Promise.reject(e)})}static _asMessage(e){return"string"==typeof e?e:e instanceof Error&&"string"==typeof e.message?e.message:void 0}}class L{constructor(e,t){this.resultId=e,this.tokens=t}}class M{constructor(e,t){this._documents=e,this._provider=t,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(e,t,i){const n=this._documents.getDocument(e),r=0!==t?this._previousResults.get(t):null
;return o.asPromise(()=>r&&"string"==typeof r.resultId&&"function"==typeof this._provider.provideDocumentSemanticTokensEdits?this._provider.provideDocumentSemanticTokensEdits(n,r.resultId,i):this._provider.provideDocumentSemanticTokens(n,i)).then(e=>(r&&this._previousResults.delete(t),e?this._send(M._convertToEdits(r,e),e):null))}async releaseDocumentSemanticColoring(e){this._previousResults.delete(e)}static _isSemanticTokens(e){return e&&!!e.data}static _isSemanticTokensEdits(e){return e&&Array.isArray(e.edits)}static _convertToEdits(e,t){if(!M._isSemanticTokens(t))return t;if(!e||!e.tokens)return t;const i=e.tokens,n=i.length,r=t.data,o=r.length;let a=0;const c=Math.min(n,o);for(;a<c&&i[a]===r[a];)a++;if(a===n&&a===o)return new s.SemanticTokensEdits([],t.resultId);let l=0;const u=c-a;for(;l<u&&i[n-l-1]===r[o-l-1];)l++;return new s.SemanticTokensEdits([{start:a,deleteCount:n-a-l,data:r.subarray(a,o-l)}],t.resultId)}_send(e,t){if(M._isSemanticTokens(e)){const t=this._nextResultId++
;return this._previousResults.set(t,new L(e.resultId,e.data)),f.encodeSemanticTokensDto({id:t,type:"full",data:e.data})}if(M._isSemanticTokensEdits(e)){const i=this._nextResultId++;return M._isSemanticTokens(t)?this._previousResults.set(i,new L(t.resultId,t.data)):this._previousResults.set(i,new L(e.resultId)),f.encodeSemanticTokensDto({id:i,type:"delta",deltas:(e.edits||[]).map(e=>({start:e.start,deleteCount:e.deleteCount,data:e.data}))})}return null}}t.DocumentSemanticTokensAdapter=M;class N{constructor(e,t){this._documents=e,this._provider=t}provideDocumentRangeSemanticTokens(e,t,i){const n=this._documents.getDocument(e);return o.asPromise(()=>this._provider.provideDocumentRangeSemanticTokens(n,r.Range.to(t),i)).then(e=>e?this._send(e):null)}_send(e){return f.encodeSemanticTokensDto({id:0,type:"full",data:e.data})}}t.DocumentRangeSemanticTokensAdapter=N;class F{constructor(e,t,i,n,r,s,o){this._documents=e,this._commands=t,this._provider=i,this._logService=n,this._apiDeprecation=r,this._telemetry=s,
this._extension=o,this._cache=new g.Cache("CompletionItem"),this._disposables=new Map,this._didWarnMust=!1,this._didWarnShould=!1}static supportsResolving(e){return"function"==typeof e.resolveCompletionItem}provideCompletionItems(e,t,i,n){const a=this._documents.getDocument(e),c=r.Position.to(t),l=a.getWordRangeAtPosition(c)||new s.Range(c,c),u=l.with({end:c});return o.asPromise(()=>this._provider.provideCompletionItems(a,c,n,r.CompletionContext.to(i))).then(e=>{if(!e)return;if(n.isCancellationRequested)return;const t=Array.isArray(e)?new s.CompletionList(e):e,i=F.supportsResolving(this._provider)?this._cache.add(t.items):this._cache.add([]),o=new p.DisposableStore;this._disposables.set(i,o);const a=[],h={x:i,b:a,a:{replace:r.Range.from(l),insert:r.Range.from(u)},c:t.isIncomplete||void 0};for(let e=0;e<t.items.length;e++){const n=t.items[e];if(this._validateCompletionItem(n,c)){const t=this._convertCompletionItem(n,[i,e],u,l);a.push(t)}}return h})}resolveCompletionItem(e,t,i,n){
if("function"!=typeof this._provider.resolveCompletionItem)return Promise.resolve(void 0);const s=this._cache.get(...i);if(!s)return Promise.resolve(void 0);const a=r.Position.to(t),c=F._mustNotChangeHash(s),l=F._mayNotChangeHash(s);return o.asPromise(()=>this._provider.resolveCompletionItem(s,n)).then(e=>{if(!e||!this._validateCompletionItem(e,a))return;let t=!this._didWarnMust&&F._mustNotChangeDiff(c,e);"string"==typeof t&&(this._logService.warn(`[${this._extension.identifier.value}] INVALID result from 'resolveCompletionItem', extension MUST NOT change any of: label, sortText, filterText, insertText, or textEdit`),this._telemetry.$publicLog2("badresolvecompletion",{extensionId:this._extension.identifier.value,kind:"must",index:t}),this._didWarnMust=!0);let n=!this._didWarnShould&&F._mayNotChangeDiff(l,e);return"string"==typeof n&&(this._logService.info(`[${this._extension.identifier.value}] UNSAVE result from 'resolveCompletionItem', extension SHOULD NOT change any of: additionalTextEdits, or command`),
this._telemetry.$publicLog2("badresolvecompletion",{extensionId:this._extension.identifier.value,kind:"should",index:n}),this._didWarnShould=!0),this._convertCompletionItem(e,i)})}releaseCompletionItems(e){p.dispose(this._disposables.get(e)),this._disposables.delete(e),this._cache.delete(e)}_convertCompletionItem(e,t,i,n){const o=this._disposables.get(t[0]);if(!o)throw Error("DisposableStore is missing...");const a={x:t,a:e.label,o:e.label2,b:r.CompletionItemKind.from(e.kind),n:e.tags&&e.tags.map(r.CompletionItemTag.from),c:e.detail,d:void 0===e.documentation?void 0:r.MarkdownString.fromStrict(e.documentation),e:e.sortText,f:e.filterText,g:e.preselect||void 0,i:e.keepWhitespace?1:0,k:e.commitCharacters,l:e.additionalTextEdits&&e.additionalTextEdits.map(r.TextEdit.from),m:this._commands.toInternal(e.command,o)};let c;return e.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),
a.h=e.textEdit.newText):"string"==typeof e.insertText?a.h=e.insertText:e.insertText instanceof s.SnippetString&&(a.h=e.insertText.value,a.i|=4),e.textEdit?c=e.textEdit.range:e.range&&(c=e.range),s.Range.isRange(c)?a.j=r.Range.from(c):!c||(null==i?void 0:i.isEqual(c.inserting))||(null==n?void 0:n.isEqual(c.replacing))||(a.j={insert:r.Range.from(c.inserting),replace:r.Range.from(c.replacing)}),a}_validateCompletionItem(e,t){if("string"!=typeof e.label||0===e.label.length)return this._logService.warn("INVALID text edit -> must have at least a label"),!1;if(s.Range.isRange(e.range)){if(!e.range.isSingleLine||e.range.start.line!==t.line)return this._logService.trace("INVALID range -> must be single line and on the same line"),!1
}else if(e.range&&!(e.range.inserting.isSingleLine&&e.range.inserting.start.line===t.line&&e.range.replacing.isSingleLine&&e.range.replacing.start.line===t.line&&e.range.inserting.start.isEqual(e.range.replacing.start)&&e.range.replacing.contains(e.range.inserting)))return this._logService.trace("INVALID range -> must be single line, on the same line, insert range must be a prefix of replace range"),!1;return!0}static _mustNotChangeHash(e){return JSON.stringify([e.label,e.sortText,e.filterText,e.insertText,e.range])}static _mustNotChangeDiff(e,t){const i=[t.label,t.sortText,t.filterText,t.insertText,t.range];if(e===JSON.stringify(i))return;const n=JSON.parse(e);for(let e=0;e<6;e++)if(JSON.stringify(n[e]!==JSON.stringify(i[e])))return e.toString();return"unknown"}static _mayNotChangeHash(e){return JSON.stringify([e.additionalTextEdits,e.command])}static _mayNotChangeDiff(e,t){const i=[t.additionalTextEdits,t.command];if(e===JSON.stringify(i))return;const n=JSON.parse(e)
;for(let e=0;e<6;e++)if(JSON.stringify(n[e]!==JSON.stringify(i[e])))return e.toString();return"unknown"}}class H{constructor(e,t){this._documents=e,this._provider=t,this._cache=new g.Cache("SignatureHelp")}provideSignatureHelp(e,t,i,n){const s=this._documents.getDocument(e),a=r.Position.to(t),c=this.reviveContext(i);return o.asPromise(()=>this._provider.provideSignatureHelp(s,a,n,c)).then(e=>{if(e){const t=this._cache.add([e]);return Object.assign(Object.assign({},r.SignatureHelp.from(e)),{id:t})}})}reviveContext(e){let t=void 0;if(e.activeSignatureHelp){const i=r.SignatureHelp.to(e.activeSignatureHelp),n=this._cache.get(e.activeSignatureHelp.id,0);n?((t=n).activeSignature=i.activeSignature,t.activeParameter=i.activeParameter):t=i}return Object.assign(Object.assign({},e),{activeSignatureHelp:t})}releaseSignatureHelp(e){this._cache.delete(e)}}class U{constructor(e,t){this._documents=e,this._provider=t,this._cache=new g.Cache("DocumentLink")}provideLinks(e,t){const i=this._documents.getDocument(e)
;return o.asPromise(()=>this._provider.provideDocumentLinks(i,t)).then(e=>{if(Array.isArray(e)&&0!==e.length&&!t.isCancellationRequested){if("function"!=typeof this._provider.resolveDocumentLink)return{links:e.map(r.DocumentLink.from)};{const t=this._cache.add(e),i={links:[],id:t};for(let n=0;n<e.length;n++){const s=r.DocumentLink.from(e[n]);s.cacheId=[t,n],i.links.push(s)}return i}}})}resolveLink(e,t){if("function"!=typeof this._provider.resolveDocumentLink)return Promise.resolve(void 0);const i=this._cache.get(...e);return i?o.asPromise(()=>this._provider.resolveDocumentLink(i,t)).then(e=>e&&r.DocumentLink.from(e)||void 0):Promise.resolve(void 0)}releaseLinks(e){this._cache.delete(e)}}class ${constructor(e,t){this._documents=e,this._provider=t}provideColors(e,t){const i=this._documents.getDocument(e);return o.asPromise(()=>this._provider.provideDocumentColors(i,t)).then(e=>{if(!Array.isArray(e))return[];return e.map(e=>({color:r.Color.from(e.color),range:r.Range.from(e.range)}))})}
provideColorPresentations(e,t,i){const n=this._documents.getDocument(e),s=r.Range.to(t.range),a=r.Color.to(t.color);return o.asPromise(()=>this._provider.provideColorPresentations(a,{document:n,range:s},i)).then(e=>{if(Array.isArray(e))return e.map(r.ColorPresentation.from)})}}class W{constructor(e,t){this._documents=e,this._provider=t}provideFoldingRanges(e,t,i){const n=this._documents.getDocument(e);return o.asPromise(()=>this._provider.provideFoldingRanges(n,t,i)).then(e=>{if(Array.isArray(e))return e.map(r.FoldingRange.from)})}}class z{constructor(e,t,i){this._documents=e,this._provider=t,this._logService=i}provideSelectionRanges(e,t,i){const n=this._documents.getDocument(e),s=t.map(r.Position.to);return o.asPromise(()=>this._provider.provideSelectionRanges(n,s,i)).then(e=>{if(!u.isNonEmptyArray(e))return[];if(e.length!==s.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const t=[];for(let i=0;i<s.length;i++){const n=[];t.push(n)
;let o=s[i],a=e[i];for(;;){if(!a.range.contains(o))throw new Error("INVALID selection range, must contain the previous range");if(n.push(r.SelectionRange.from(a)),!a.parent)break;o=a.range,a=a.parent}}return t})}}class B{constructor(e,t){this._documents=e,this._provider=t,this._idPool=new m.IdGenerator(""),this._cache=new Map}async prepareSession(e,t,i){const n=this._documents.getDocument(e),s=r.Position.to(t),o=await this._provider.prepareCallHierarchy(n,s,i);if(!o)return;const a=this._idPool.nextId();return this._cache.set(a,new Map),Array.isArray(o)?o.map(e=>this._cacheAndConvertItem(a,e)):[this._cacheAndConvertItem(a,o)]}async provideCallsTo(e,t,i){const n=this._itemFromCache(e,t);if(!n)throw new Error("missing call hierarchy item");const s=await this._provider.provideCallHierarchyIncomingCalls(n,i);if(s)return s.map(t=>({from:this._cacheAndConvertItem(e,t.from),fromRanges:t.fromRanges.map(e=>r.Range.from(e))}))}async provideCallsFrom(e,t,i){const n=this._itemFromCache(e,t)
;if(!n)throw new Error("missing call hierarchy item");const s=await this._provider.provideCallHierarchyOutgoingCalls(n,i);if(s)return s.map(t=>({to:this._cacheAndConvertItem(e,t.to),fromRanges:t.fromRanges.map(e=>r.Range.from(e))}))}releaseSession(e){this._cache.delete(e)}_cacheAndConvertItem(e,t){const i=this._cache.get(e),n={_sessionId:e,_itemId:i.size.toString(36),name:t.name,detail:t.detail,kind:r.SymbolKind.from(t.kind),uri:t.uri,range:r.Range.from(t.range),selectionRange:r.Range.from(t.selectionRange)};return i.set(n._itemId,t),n}_itemFromCache(e,t){const i=this._cache.get(e);return null==i?void 0:i.get(t)}}class j{constructor(e,t){this.adapter=e,this.extension=t}}class V{constructor(e,t,i,n,r,s,o){this._adapter=new Map,this._uriTransformer=t,this._proxy=e.getProxy(a.MainContext.MainThreadLanguageFeatures),this._telemetryShape=e.getProxy(a.MainContext.MainThreadTelemetry),this._documents=i,this._commands=n,this._diagnostics=r,this._logService=s,this._apiDeprecation=o}_transformDocumentSelector(e){
return u.coalesce(u.asArray(e).map(e=>this._doTransformDocumentSelector(e)))}_doTransformDocumentSelector(e){return"string"==typeof e?{$serialized:!0,language:e}:e?{$serialized:!0,language:e.language,scheme:this._transformScheme(e.scheme),pattern:void 0===e.pattern?void 0:r.GlobPattern.from(e.pattern),exclusive:e.exclusive}:void 0}_transformScheme(e){return this._uriTransformer&&"string"==typeof e?this._uriTransformer.transformOutgoingScheme(e):e}_createDisposable(e){return new s.Disposable(()=>{this._adapter.delete(e),this._proxy.$unregister(e)})}_nextHandle(){return V._handlePool++}_withAdapter(e,t,i,n){const r=this._adapter.get(e);if(!r)return Promise.resolve(n);if(r.adapter instanceof t){let e;r.extension&&(e=Date.now(),this._logService.trace(`[${r.extension.identifier.value}] INVOKE provider '${t.name}'`));const n=i(r.adapter,r.extension),s=r.extension;return s&&Promise.resolve(n).then(()=>this._logService.trace(`[${s.identifier.value}] provider DONE after ${Date.now()-e}ms`),e=>{
this._logService.error(`[${s.identifier.value}] provider FAILED`),this._logService.error(e)}),n}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(e,t){const i=this._nextHandle();return this._adapter.set(i,new j(e,t)),i}static _extLabel(e){return e.displayName||e.name}registerDocumentSymbolProvider(e,t,i,n){const r=this._addNewAdapter(new v(this._documents,i),e),s=n&&n.label||V._extLabel(e);return this._proxy.$registerDocumentSymbolProvider(r,this._transformDocumentSelector(t),s),this._createDisposable(r)}$provideDocumentSymbols(e,t,n){return this._withAdapter(e,v,e=>e.provideDocumentSymbols(i.URI.revive(t),n),void 0)}registerCodeLensProvider(e,t,i){const n=this._nextHandle(),r="function"==typeof i.onDidChangeCodeLenses?this._nextHandle():void 0;this._adapter.set(n,new j(new _(this._documents,this._commands.converter,i),e)),this._proxy.$registerCodeLensSupport(n,this._transformDocumentSelector(t),r);let o=this._createDisposable(n);if(void 0!==r){
const e=i.onDidChangeCodeLenses(e=>this._proxy.$emitCodeLensEvent(r));o=s.Disposable.from(o,e)}return o}$provideCodeLenses(e,t,n){return this._withAdapter(e,_,e=>e.provideCodeLenses(i.URI.revive(t),n),void 0)}$resolveCodeLens(e,t,i){return this._withAdapter(e,_,e=>e.resolveCodeLens(t,i),void 0)}$releaseCodeLenses(e,t){this._withAdapter(e,_,e=>Promise.resolve(e.releaseCodeLenses(t)),void 0)}registerDefinitionProvider(e,t,i){const n=this._addNewAdapter(new w(this._documents,i),e);return this._proxy.$registerDefinitionSupport(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideDefinition(e,t,n,r){return this._withAdapter(e,w,e=>e.provideDefinition(i.URI.revive(t),n,r),[])}registerDeclarationProvider(e,t,i){const n=this._addNewAdapter(new x(this._documents,i),e);return this._proxy.$registerDeclarationSupport(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideDeclaration(e,t,n,r){return this._withAdapter(e,x,e=>e.provideDeclaration(i.URI.revive(t),n,r),[])}
registerImplementationProvider(e,t,i){const n=this._addNewAdapter(new b(this._documents,i),e);return this._proxy.$registerImplementationSupport(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideImplementation(e,t,n,r){return this._withAdapter(e,b,e=>e.provideImplementation(i.URI.revive(t),n,r),[])}registerTypeDefinitionProvider(e,t,i){const n=this._addNewAdapter(new E(this._documents,i),e);return this._proxy.$registerTypeDefinitionSupport(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideTypeDefinition(e,t,n,r){return this._withAdapter(e,E,e=>e.provideTypeDefinition(i.URI.revive(t),n,r),[])}registerHoverProvider(e,t,i,n){const r=this._addNewAdapter(new S(this._documents,i),e);return this._proxy.$registerHoverProvider(r,this._transformDocumentSelector(t)),this._createDisposable(r)}$provideHover(e,t,n,r){return this._withAdapter(e,S,e=>e.provideHover(i.URI.revive(t),n,r),void 0)}registerEvaluatableExpressionProvider(e,t,i,n){
const r=this._addNewAdapter(new C(this._documents,i),e);return this._proxy.$registerEvaluatableExpressionProvider(r,this._transformDocumentSelector(t)),this._createDisposable(r)}$provideEvaluatableExpression(e,t,n,r){return this._withAdapter(e,C,e=>e.provideEvaluatableExpression(i.URI.revive(t),n,r),void 0)}registerDocumentHighlightProvider(e,t,i){const n=this._addNewAdapter(new P(this._documents,i),e);return this._proxy.$registerDocumentHighlightProvider(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideDocumentHighlights(e,t,n,r){return this._withAdapter(e,P,e=>e.provideDocumentHighlights(i.URI.revive(t),n,r),void 0)}registerReferenceProvider(e,t,i){const n=this._addNewAdapter(new D(this._documents,i),e);return this._proxy.$registerReferenceSupport(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideReferences(e,t,n,r,s){return this._withAdapter(e,D,e=>e.provideReferences(i.URI.revive(t),n,r,s),void 0)}registerCodeActionProvider(e,t,i,n){var r,s
;const o=new p.DisposableStore,a=this._addNewAdapter(new T(this._documents,this._commands.converter,this._diagnostics,i,this._logService,e,this._apiDeprecation),e);return this._proxy.$registerQuickFixSupport(a,this._transformDocumentSelector(t),{providedKinds:null===(r=null==n?void 0:n.providedCodeActionKinds)||void 0===r?void 0:r.map(e=>e.value),documentation:null===(s=null==n?void 0:n.documentation)||void 0===s?void 0:s.map(e=>({kind:e.kind.value,command:this._commands.converter.toInternal(e.command,o)}))},V._extLabel(e)),o.add(this._createDisposable(a)),o}$provideCodeActions(e,t,n,r,s){return this._withAdapter(e,T,e=>e.provideCodeActions(i.URI.revive(t),n,r,s),void 0)}$releaseCodeActions(e,t){this._withAdapter(e,T,e=>Promise.resolve(e.releaseCodeActions(t)),void 0)}registerDocumentFormattingEditProvider(e,t,i){const n=this._addNewAdapter(new I(this._documents,i),e);return this._proxy.$registerDocumentFormattingSupport(n,this._transformDocumentSelector(t),e.identifier,e.displayName||e.name),
this._createDisposable(n)}$provideDocumentFormattingEdits(e,t,n,r){return this._withAdapter(e,I,e=>e.provideDocumentFormattingEdits(i.URI.revive(t),n,r),void 0)}registerDocumentRangeFormattingEditProvider(e,t,i){const n=this._addNewAdapter(new k(this._documents,i),e);return this._proxy.$registerRangeFormattingSupport(n,this._transformDocumentSelector(t),e.identifier,e.displayName||e.name),this._createDisposable(n)}$provideDocumentRangeFormattingEdits(e,t,n,r,s){return this._withAdapter(e,k,e=>e.provideDocumentRangeFormattingEdits(i.URI.revive(t),n,r,s),void 0)}registerOnTypeFormattingEditProvider(e,t,i,n){const r=this._addNewAdapter(new R(this._documents,i),e);return this._proxy.$registerOnTypeFormattingSupport(r,this._transformDocumentSelector(t),n,e.identifier),this._createDisposable(r)}$provideOnTypeFormattingEdits(e,t,n,r,s,o){return this._withAdapter(e,R,e=>e.provideOnTypeFormattingEdits(i.URI.revive(t),n,r,s,o),void 0)}registerWorkspaceSymbolProvider(e,t){
const i=this._addNewAdapter(new A(t,this._logService),e);return this._proxy.$registerNavigateTypeSupport(i),this._createDisposable(i)}$provideWorkspaceSymbols(e,t,i){return this._withAdapter(e,A,e=>e.provideWorkspaceSymbols(t,i),{symbols:[]})}$resolveWorkspaceSymbol(e,t,i){return this._withAdapter(e,A,e=>e.resolveWorkspaceSymbol(t,i),void 0)}$releaseWorkspaceSymbols(e,t){this._withAdapter(e,A,e=>e.releaseWorkspaceSymbols(t),void 0)}registerRenameProvider(e,t,i){const n=this._addNewAdapter(new O(this._documents,i,this._logService),e);return this._proxy.$registerRenameSupport(n,this._transformDocumentSelector(t),O.supportsResolving(i)),this._createDisposable(n)}$provideRenameEdits(e,t,n,r,s){return this._withAdapter(e,O,e=>e.provideRenameEdits(i.URI.revive(t),n,r,s),void 0)}$resolveRenameLocation(e,t,n,r){return this._withAdapter(e,O,e=>e.resolveRenameLocation(i.URI.revive(t),n,r),void 0)}registerDocumentSemanticTokensProvider(e,t,i,n){const r=this._addNewAdapter(new M(this._documents,i),e)
;return this._proxy.$registerDocumentSemanticTokensProvider(r,this._transformDocumentSelector(t),n),this._createDisposable(r)}$provideDocumentSemanticTokens(e,t,n,r){return this._withAdapter(e,M,e=>e.provideDocumentSemanticTokens(i.URI.revive(t),n,r),null)}$releaseDocumentSemanticTokens(e,t){this._withAdapter(e,M,e=>e.releaseDocumentSemanticColoring(t),void 0)}registerDocumentRangeSemanticTokensProvider(e,t,i,n){const r=this._addNewAdapter(new N(this._documents,i),e);return this._proxy.$registerDocumentRangeSemanticTokensProvider(r,this._transformDocumentSelector(t),n),this._createDisposable(r)}$provideDocumentRangeSemanticTokens(e,t,n,r){return this._withAdapter(e,N,e=>e.provideDocumentRangeSemanticTokens(i.URI.revive(t),n,r),null)}registerCompletionItemProvider(e,t,i,n){const r=this._addNewAdapter(new F(this._documents,this._commands.converter,i,this._logService,this._apiDeprecation,this._telemetryShape,e),e)
;return this._proxy.$registerSuggestSupport(r,this._transformDocumentSelector(t),n,F.supportsResolving(i),e.identifier),this._createDisposable(r)}$provideCompletionItems(e,t,n,r,s){return this._withAdapter(e,F,e=>e.provideCompletionItems(i.URI.revive(t),n,r,s),void 0)}$resolveCompletionItem(e,t,n,r,s){return this._withAdapter(e,F,e=>e.resolveCompletionItem(i.URI.revive(t),n,r,s),void 0)}$releaseCompletionItems(e,t){this._withAdapter(e,F,e=>e.releaseCompletionItems(t),void 0)}registerSignatureHelpProvider(e,t,i,n){const r=Array.isArray(n)?{triggerCharacters:n,retriggerCharacters:[]}:n,s=this._addNewAdapter(new H(this._documents,i),e);return this._proxy.$registerSignatureHelpProvider(s,this._transformDocumentSelector(t),r),this._createDisposable(s)}$provideSignatureHelp(e,t,n,r,s){return this._withAdapter(e,H,e=>e.provideSignatureHelp(i.URI.revive(t),n,r,s),void 0)}$releaseSignatureHelp(e,t){this._withAdapter(e,H,e=>e.releaseSignatureHelp(t),void 0)}registerDocumentLinkProvider(e,t,i){
const n=this._addNewAdapter(new U(this._documents,i),e);return this._proxy.$registerDocumentLinkProvider(n,this._transformDocumentSelector(t),"function"==typeof i.resolveDocumentLink),this._createDisposable(n)}$provideDocumentLinks(e,t,n){return this._withAdapter(e,U,e=>e.provideLinks(i.URI.revive(t),n),void 0)}$resolveDocumentLink(e,t,i){return this._withAdapter(e,U,e=>e.resolveLink(t,i),void 0)}$releaseDocumentLinks(e,t){this._withAdapter(e,U,e=>e.releaseLinks(t),void 0)}registerColorProvider(e,t,i){const n=this._addNewAdapter(new $(this._documents,i),e);return this._proxy.$registerDocumentColorProvider(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideDocumentColors(e,t,n){return this._withAdapter(e,$,e=>e.provideColors(i.URI.revive(t),n),[])}$provideColorPresentations(e,t,n,r){return this._withAdapter(e,$,e=>e.provideColorPresentations(i.URI.revive(t),n,r),void 0)}registerFoldingRangeProvider(e,t,i){const n=this._addNewAdapter(new W(this._documents,i),e)
;return this._proxy.$registerFoldingRangeProvider(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideFoldingRanges(e,t,n,r){return this._withAdapter(e,W,e=>e.provideFoldingRanges(i.URI.revive(t),n,r),void 0)}registerSelectionRangeProvider(e,t,i){const n=this._addNewAdapter(new z(this._documents,i,this._logService),e);return this._proxy.$registerSelectionRangeProvider(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$provideSelectionRanges(e,t,n,r){return this._withAdapter(e,z,e=>e.provideSelectionRanges(i.URI.revive(t),n,r),[])}registerCallHierarchyProvider(e,t,i){const n=this._addNewAdapter(new B(this._documents,i),e);return this._proxy.$registerCallHierarchyProvider(n,this._transformDocumentSelector(t)),this._createDisposable(n)}$prepareCallHierarchy(e,t,n,r){return this._withAdapter(e,B,e=>Promise.resolve(e.prepareSession(i.URI.revive(t),n,r)),void 0)}$provideCallHierarchyIncomingCalls(e,t,i,n){return this._withAdapter(e,B,e=>e.provideCallsTo(t,i,n),void 0)}
$provideCallHierarchyOutgoingCalls(e,t,i,n){return this._withAdapter(e,B,e=>e.provideCallsFrom(t,i,n),void 0)}$releaseCallHierarchy(e,t){this._withAdapter(e,B,e=>Promise.resolve(e.releaseSession(t)),void 0)}static _serializeRegExp(e){return{pattern:e.source,flags:c.regExpFlags(e)}}static _serializeIndentationRule(e){return{decreaseIndentPattern:V._serializeRegExp(e.decreaseIndentPattern),increaseIndentPattern:V._serializeRegExp(e.increaseIndentPattern),indentNextLinePattern:e.indentNextLinePattern?V._serializeRegExp(e.indentNextLinePattern):void 0,unIndentedLinePattern:e.unIndentedLinePattern?V._serializeRegExp(e.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(e){return{beforeText:V._serializeRegExp(e.beforeText),afterText:e.afterText?V._serializeRegExp(e.afterText):void 0,oneLineAboveText:e.oneLineAboveText?V._serializeRegExp(e.oneLineAboveText):void 0,action:e.action}}static _serializeOnEnterRules(e){return e.map(V._serializeOnEnterRule)}setLanguageConfiguration(e,t,i){let{wordPattern:n}=i
;if(n&&c.regExpLeadsToEndlessLoop(n))throw new Error(`Invalid language configuration: wordPattern '${n}' is not allowed to match the empty string.`);n?this._documents.setWordDefinitionFor(t,n):this._documents.setWordDefinitionFor(t,void 0),i.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",e,"Do not use."),i.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",e,"Do not use.");const r=this._nextHandle(),s={comments:i.comments,brackets:i.brackets,wordPattern:i.wordPattern?V._serializeRegExp(i.wordPattern):void 0,indentationRules:i.indentationRules?V._serializeIndentationRule(i.indentationRules):void 0,onEnterRules:i.onEnterRules?V._serializeOnEnterRules(i.onEnterRules):void 0,__electricCharacterSupport:i.__electricCharacterSupport,__characterPairSupport:i.__characterPairSupport};return this._proxy.$setLanguageConfiguration(r,t,s),this._createDisposable(r)}$setWordDefinitions(e){
for(const t of e)this._documents.setWordDefinitionFor(t.languageId,new RegExp(t.regexSource,t.regexFlags))}}t.ExtHostLanguageFeatures=V,V._handlePool=0})),define(t[208],i([0,1,5]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostLanguages=class{constructor(e,t){this._proxy=e.getProxy(i.MainContext.MainThreadLanguages),this._documents=t}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(e,t){await this._proxy.$changeLanguage(e,t);const i=this._documents.getDocumentData(e);if(!i)throw new Error(`document '${e.toString}' NOT found`);return i.document}}})),define(t[209],i([0,1,5,9]),(function(e,t,i,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let o=class{constructor(e,t){this._logService=t,this._proxy=e.getProxy(i.MainContext.MainThreadMessageService)}showMessage(e,t,i,n,r){const s={extension:e};let o;var a;"string"==typeof n||(a=n)&&a.title?o=[n,...r]:(s.modal=n&&n.modal,o=r);const c=[];for(let e=0;e<o.length;e++){const t=o[e]
;if("string"==typeof t)c.push({title:t,handle:e,isCloseAffordance:!1});else if("object"==typeof t){let{title:i,isCloseAffordance:n}=t;c.push({title:i,isCloseAffordance:!!n,handle:e})}else this._logService.warn("Invalid message item:",t)}return this._proxy.$showMessage(t,i,s,c).then(e=>{if("number"==typeof e)return o[e]})}};o=n([r(1,s.ILogService)],o),t.ExtHostMessageService=o})),define(t[69],i([0,1,5,3,6,27,4,15]),(function(e,t,i,s,o,a,c,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class u extends o.Disposable{constructor(e,t,i,n){super(),this._onDidAppend=this._register(new s.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=e,this._proxy=n,this._id=n.$register(this.name,t,i),this._disposed=!1,this._offset=0}get name(){return this._name}append(e){this.validate(),this._offset+=e?a.VSBuffer.fromString(e).byteLength:0}update(){this._id.then(e=>this._proxy.$update(e))}appendLine(e){this.validate(),this.append(e+"\n")}clear(){this.validate();const e=this._offset
;this._id.then(t=>this._proxy.$clear(t,e))}show(e,t){this.validate(),this._id.then(i=>this._proxy.$reveal(i,!!("boolean"==typeof e?e:t)))}hide(){this.validate(),this._id.then(e=>this._proxy.$close(e))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(e=>this._proxy.$dispose(e)).then(()=>this._disposed=!0)}}t.AbstractExtHostOutputChannel=u;class h extends u{constructor(e,t){super(e,!1,void 0,t)}append(e){super.append(e),this._id.then(t=>this._proxy.$append(t,e)),this._onDidAppend.fire()}}t.ExtHostPushOutputChannel=h;class d extends u{constructor(e,t,i){super(e,!0,t,i)}append(e){throw new Error("Not supported")}}t.LazyOutputChannel=class{constructor(e,t){this.name=e,this._channel=t}append(e){this._channel.then(t=>t.append(e))}appendLine(e){this._channel.then(t=>t.appendLine(e))}clear(){this._channel.then(e=>e.clear())}show(e,t){this._channel.then(i=>i.show(e,t))}hide(){this._channel.then(e=>e.hide())}dispose(){
this._channel.then(e=>e.dispose())}};let p=class{constructor(e){this._proxy=e.getProxy(i.MainContext.MainThreadOutputService)}$setVisibleChannel(e){}createOutputChannel(e){if(!(e=e.trim()))throw new Error("illegal argument `name`. must not be falsy");return new h(e,this._proxy)}createOutputChannelFromLogFile(e,t){if(!(e=e.trim()))throw new Error("illegal argument `name`. must not be falsy");if(!t)throw new Error("illegal argument `file`. must not be falsy");return new d(e,t,this._proxy)}};p=n([r(0,l.IExtHostRpcService)],p),t.ExtHostOutputService=p,t.IExtHostOutputService=c.createDecorator("IExtHostOutputService")})),define(t[210],i([0,1,14,22,3,6,5,2,11,19,12]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostQuickOpen=class{constructor(e,t,i){this._sessions=new Map,this._instances=0,this._proxy=e.getProxy(o.MainContext.MainThreadQuickOpen),this._workspace=t,this._commands=i}showQuickPick(e,t,i,r=n.CancellationToken.None){this._onDidSelectItem=void 0
;const s=Promise.resolve(e),o=++this._instances,a=this._proxy.$show(o,{placeHolder:i&&i.placeHolder,matchOnDescription:i&&i.matchOnDescription,matchOnDetail:i&&i.matchOnDetail,ignoreFocusLost:i&&i.ignoreFocusOut,canPickMany:i&&i.canPickMany},r),c={},u=a.then(()=>c);return Promise.race([u,s]).then(e=>{if(e!==c)return s.then(e=>{const t=[];for(let i=0;i<e.length;i++){const n=e[i];let r,s,o,a,c;"string"==typeof n?r=n:(r=n.label,s=n.description,o=n.detail,a=n.picked,c=n.alwaysShow),t.push({label:r,description:s,handle:i,detail:o,picked:a,alwaysShow:c})}return i&&"function"==typeof i.onDidSelectItem&&(this._onDidSelectItem=t=>{i.onDidSelectItem(e[t])}),this._proxy.$setItems(o,t),a.then(t=>"number"==typeof t?e[t]:Array.isArray(t)?t.map(t=>e[t]):void 0)})}).then(void 0,e=>{if(!l.isPromiseCanceledError(e))return this._proxy.$setError(o,e),Promise.reject(e)})}$onItemSelected(e){this._onDidSelectItem&&this._onDidSelectItem(e)}showInput(e,t=n.CancellationToken.None){return this._validateInput=e?e.validateInput:void 0,
this._proxy.$input(e,"function"==typeof this._validateInput,t).then(void 0,e=>{if(!l.isPromiseCanceledError(e))return Promise.reject(e)})}$validateInput(e){return this._validateInput?i.asPromise(()=>this._validateInput(e)):Promise.resolve(void 0)}showWorkspaceFolderPick(e,t=n.CancellationToken.None){return this._commands.executeCommand("_workbench.pickWorkspaceFolder",[e]).then(async e=>{if(!e)return;const t=await this._workspace.getWorkspaceFolders2();return t?t.filter(t=>t.uri.toString()===e.uri.toString())[0]:void 0})}createQuickPick(e,t){const i=new f(this._proxy,e,t,()=>this._sessions.delete(i._id));return this._sessions.set(i._id,i),i}createInputBox(e){const t=new m(this._proxy,e,()=>this._sessions.delete(t._id));return this._sessions.set(t._id,t),t}$onDidChangeValue(e,t){const i=this._sessions.get(e);i&&i._fireDidChangeValue(t)}$onDidAccept(e){const t=this._sessions.get(e);t&&t._fireDidAccept()}$onDidChangeActive(e,t){const i=this._sessions.get(e);i instanceof f&&i._fireDidChangeActive(t)}
$onDidChangeSelection(e,t){const i=this._sessions.get(e);i instanceof f&&i._fireDidChangeSelection(t)}$onDidTriggerButton(e,t){const i=this._sessions.get(e);i&&i._fireDidTriggerButton(t)}$onDidHide(e){const t=this._sessions.get(e);t&&t._fireDidHide()}};class h{constructor(e,t,i){this._proxy=e,this._extensionId=t,this._onDidDispose=i,this._id=f._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new r.Emitter,this._onDidChangeValueEmitter=new r.Emitter,this._onDidTriggerButtonEmitter=new r.Emitter,this._onDidHideEmitter=new r.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,
this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(e){this._title=e,this.update({title:e})}get step(){return this._steps}set step(e){this._steps=e,this.update({step:e})}get totalSteps(){return this._totalSteps}set totalSteps(e){this._totalSteps=e,this.update({totalSteps:e})}get enabled(){return this._enabled}set enabled(e){this._enabled=e,this.update({enabled:e})}get busy(){return this._busy}set busy(e){this._busy=e,this.update({busy:e})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(e){this._ignoreFocusOut=e,this.update({ignoreFocusOut:e})}get value(){return this._value}set value(e){this._value=e,this.update({value:e})}get placeholder(){return this._placeholder}set placeholder(e){this._placeholder=e,this.update({placeholder:e})}get buttons(){return this._buttons}set buttons(e){this._buttons=e.slice(),this._handlesToButtons.clear(),e.forEach((e,t)=>{const i=e===c.QuickInputButtons.Back?-1:t
;this._handlesToButtons.set(i,e)}),this.update({buttons:e.map((e,t)=>({iconPath:d(e.iconPath),tooltip:e.tooltip,handle:e===c.QuickInputButtons.Back?-1:t}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(e){this._value=e,this._onDidChangeValueEmitter.fire(e)}_fireDidTriggerButton(e){const t=this._handlesToButtons.get(e);t&&this._onDidTriggerButtonEmitter.fire(t)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=s.dispose(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),this._proxy.$dispose(this._id))}update(e){if(!this._disposed){for(const t of Object.keys(e)){const i=e[t];this._pendingUpdate[t]=void 0===i?null:i}
"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){this._proxy.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}function d(e){if(e instanceof c.ThemeIcon)return{id:e.id};return{dark:function(e){return p("object"==typeof e&&"dark"in e?e.dark:e)}(e),light:function(e){return p("object"==typeof e&&"light"in e?e.light:e)}(e)}}function p(e){return a.URI.isUri(e)?e:a.URI.file(e)}h._nextId=1;class f extends h{constructor(e,t,i,n){super(e,t,n),this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new r.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new r.Emitter,
this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(e){this._items=e.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),e.forEach((e,t)=>{this._handlesToItems.set(t,e),this._itemsToHandles.set(e,t)}),this.update({items:e.map((e,t)=>({label:e.label,description:e.description,handle:t,detail:e.detail,picked:e.picked,alwaysShow:e.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(e){this._canSelectMany=e,this.update({canSelectMany:e})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(e){this._matchOnDescription=e,this.update({matchOnDescription:e})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(e){this._matchOnDetail=e,this.update({matchOnDetail:e})}get sortByLabel(){
return this._sortByLabel}set sortByLabel(e){this._sortByLabel=e,this.update({sortByLabel:e})}get activeItems(){return this._activeItems}set activeItems(e){this._activeItems=e.filter(e=>this._itemsToHandles.has(e)),this.update({activeItems:this._activeItems.map(e=>this._itemsToHandles.get(e))})}get selectedItems(){return this._selectedItems}set selectedItems(e){this._selectedItems=e.filter(e=>this._itemsToHandles.has(e)),this.update({selectedItems:this._selectedItems.map(e=>this._itemsToHandles.get(e))})}_fireDidChangeActive(e){const t=u.coalesce(e.map(e=>this._handlesToItems.get(e)));this._activeItems=t,this._onDidChangeActiveEmitter.fire(t)}_fireDidChangeSelection(e){const t=u.coalesce(e.map(e=>this._handlesToItems.get(e)));this._selectedItems=t,this._onDidChangeSelectionEmitter.fire(t)}}class m extends h{constructor(e,t,i){super(e,t,i),this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(e){this._password=e,this.update({password:e})}get prompt(){
return this._prompt}set prompt(e){this._prompt=e,this.update({prompt:e})}get validationMessage(){return this._validationMessage}set validationMessage(e){this._validationMessage=e,this.update({validationMessage:e})}}})),define(t[211],i([0,1,2,3,56,6,14,5,12,79,9,28]),(function(e,t,i,s,o,a,c,l,u,h,d,p){"use strict";function f(e){return e?"string"==typeof e.iconPath?i.URI.file(e.iconPath):e.iconPath:void 0}function m(e,t){if(!e.iconPath&&!t.iconPath)return 0;if(!e.iconPath)return-1;if(!t.iconPath)return 1;const i="string"==typeof e.iconPath?e.iconPath:e.iconPath.fsPath,n="string"==typeof t.iconPath?t.iconPath:t.iconPath.fsPath;return h.comparePaths(i,n)}function g(e,t){let i=h.comparePaths(e.resourceUri.fsPath,t.resourceUri.fsPath,!0);if(0!==i)return i;if(e.decorations&&t.decorations)i=function(e,t){let i=0;if(e.strikeThrough!==t.strikeThrough)return e.strikeThrough?1:-1;if(e.faded!==t.faded)return e.faded?1:-1;if(e.tooltip!==t.tooltip)return(e.tooltip||"").localeCompare(t.tooltip||"");if(0!==(i=m(e,t)))return i
;if(e.light&&t.light)i=m(e.light,t.light);else{if(e.light)return 1;if(t.light)return-1}if(0!==i)return i;if(e.dark&&t.dark)i=m(e.dark,t.dark);else{if(e.dark)return 1;if(t.dark)return-1}return i}(e.decorations,t.decorations);else{if(e.decorations)return 1;if(t.decorations)return-1}return i}function v(e,t){return e.command===t.command&&e.title===t.title&&e.tooltip===t.tooltip&&(e.arguments&&t.arguments?function(e,t){for(let i=0;i<e.length;i++)if(e[i]!==t[i])return!1;return!0}(e.arguments,t.arguments):e.arguments===t.arguments)}Object.defineProperty(t,"__esModule",{value:!0});class _{constructor(e,t,i){this._extension=e,this._proxy=t,this._sourceControlHandle=i,this._value="",this._onDidChange=new s.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(e){this._proxy.$setInputBoxValue(this._sourceControlHandle,e),this.updateValue(e)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(e){
this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,e),this._placeholder=e}get validateInput(){if(!this._extension.enableProposedApi)throw new Error(`[${this._extension.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${this._extension.identifier.value}`);return this._validateInput}set validateInput(e){if(!this._extension.enableProposedApi)throw new Error(`[${this._extension.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${this._extension.identifier.value}`);if(e&&"function"!=typeof e)throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=e,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!e)}get visible(){return this._visible}set visible(e){e=!!e,this._visible=e,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,e)}
$onInputBoxValueChange(e){this.updateValue(e)}updateValue(e){this._value=e,this._onDidChange.fire(e)}}t.ExtHostSCMInputBox=_;class y{constructor(e,t,i,n,r){this._proxy=e,this._commands=t,this._sourceControlHandle=i,this._id=n,this._label=r,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._onDidUpdateResourceStates=new s.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._onDidDispose=new s.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=y._handlePool++,this._proxy.$registerGroup(i,this.handle,n,r)}get id(){return this._id}get label(){return this._label}set label(e){this._label=e,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,e)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(e){this._hideWhenEmpty=e,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,{
hideWhenEmpty:e})}get resourceStates(){return[...this._resourceStates]}set resourceStates(e){this._resourceStates=[...e],this._onDidUpdateResourceStates.fire()}getResourceState(e){return this._resourceStatesMap.get(e)}$executeResourceCommand(e){const t=this._resourceStatesCommandsMap.get(e);return t?c.asPromise(()=>this._commands.executeCommand(t.command,...t.arguments||[])):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const e=[...this._resourceStates].sort(g),t=u.sortedDiff(this._resourceSnapshot,e,g).map(e=>{const t=e.toInsert.map(e=>{const t=this._resourceHandlePool++;this._resourceStatesMap.set(t,e);const i=e.resourceUri,n=f(e.decorations),r=e.decorations&&f(e.decorations.light)||n,s=e.decorations&&f(e.decorations.dark)||n,o=[];return e.command&&this._resourceStatesCommandsMap.set(t,e.command),r&&o.push(r),s&&s.toString()!==(null==r?void 0:r.toString())&&o.push(s),{
rawResource:[t,i,o,e.decorations&&e.decorations.tooltip||"",e.decorations&&!!e.decorations.strikeThrough,e.decorations&&!!e.decorations.faded],handle:t}});return{start:e.start,deleteCount:e.deleteCount,toInsert:t}}),i=t.map(({start:e,deleteCount:t,toInsert:i})=>[e,t,i.map(e=>e.rawResource)]),n=t.reverse();for(const{start:e,deleteCount:t,toInsert:i}of n){const n=i.map(e=>e.handle),r=this._handlesSnapshot.splice(e,t,...n);for(const e of r)this._resourceStatesMap.delete(e),this._resourceStatesCommandsMap.delete(e)}return this._resourceSnapshot=e,i}dispose(){this._proxy.$unregisterGroup(this._sourceControlHandle,this.handle),this._onDidDispose.fire()}}y._handlePool=0;class w{constructor(e,t,i,n,r,o){this._proxy=t,this._commands=i,this._id=n,this._label=r,this._rootUri=o,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new a.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new a.MutableDisposable,
this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new s.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=w._handlePool++,this.updatedResourceGroups=new Set,this._inputBox=new _(e,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,n,r,o)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(e){this._count!==e&&(this._count=e,this._proxy.$updateSourceControl(this.handle,{count:e}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(e){this._quickDiffProvider=e,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!e})}get commitTemplate(){return this._commitTemplate}set commitTemplate(e){e!==this._commitTemplate&&(this._commitTemplate=e,this._proxy.$updateSourceControl(this.handle,{commitTemplate:e}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(e){
this._acceptInputDisposables.value=new a.DisposableStore,this._acceptInputCommand=e;const t=this._commands.converter.toInternal(e,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:t})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(e){if(this._statusBarCommands&&e&&(t=this._statusBarCommands,i=e,u.equals(t,i,v)))return;var t,i;this._statusBarDisposables.value=new a.DisposableStore,this._statusBarCommands=e;const n=(e||[]).map(e=>this._commands.converter.toInternal(e,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:n})}get selected(){return this._selected}createResourceGroup(e,t){const i=new y(this._proxy,this._commands,this.handle,e,t),n=i.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(i),this.eventuallyUpdateResourceStates()});return s.Event.once(i.onDidDispose)(()=>{this.updatedResourceGroups.delete(i),n.dispose(),this._groups.delete(i.handle)}),
this._groups.set(i.handle,i),i}eventuallyUpdateResourceStates(){const e=[];this.updatedResourceGroups.forEach(t=>{const i=t._takeResourceStateSnapshot();0!==i.length&&e.push([t.handle,i])}),e.length>0&&this._proxy.$spliceResourceStates(this.handle,e),this.updatedResourceGroups.clear()}getResourceGroup(e){return this._groups.get(e)}setSelectionState(e){this._selected=e,this._onDidChangeSelection.fire(e)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(e=>e.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}w._handlePool=0,n([o.debounce(100)],w.prototype,"eventuallyUpdateResourceStates",null);let x=class e{constructor(e,t,i){this._commands=t,this.logService=i,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new s.Emitter,this._selectedSourceControlHandles=new Set,this._proxy=e.getProxy(l.MainContext.MainThreadSCM),t.registerArgumentProcessor({processArgument:e=>{if(e&&3===e.$mid){
const t=this._sourceControls.get(e.sourceControlHandle);if(!t)return e;const i=t.getResourceGroup(e.groupHandle);return i?i.getResourceState(e.handle):e}if(e&&4===e.$mid){const t=this._sourceControls.get(e.sourceControlHandle);return t?t.getResourceGroup(e.groupHandle):e}if(e&&5===e.$mid){const t=this._sourceControls.get(e.handle);return t||e}return e}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(t,i,n,r){this.logService.trace("ExtHostSCM#createSourceControl",t.identifier.value,i,n,r);const s=e._handlePool++,o=new w(t,this._proxy,this._commands,i,n,r);this._sourceControls.set(s,o);const a=this._sourceControlsByExtension.get(p.ExtensionIdentifier.toKey(t.identifier))||[];return a.push(o),this._sourceControlsByExtension.set(p.ExtensionIdentifier.toKey(t.identifier),a),o}getLastInputBox(e){this.logService.trace("ExtHostSCM#getLastInputBox",e.identifier.value)
;const t=this._sourceControlsByExtension.get(p.ExtensionIdentifier.toKey(e.identifier)),i=t&&t[t.length-1];return i&&i.inputBox}$provideOriginalResource(e,t,n){const r=i.URI.revive(t);this.logService.trace("ExtHostSCM#$provideOriginalResource",e,r.toString());const s=this._sourceControls.get(e);return s&&s.quickDiffProvider&&s.quickDiffProvider.provideOriginalResource?c.asPromise(()=>s.quickDiffProvider.provideOriginalResource(r,n)).then(e=>e||null):Promise.resolve(null)}$onInputBoxValueChange(e,t){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",e);const i=this._sourceControls.get(e);return i?(i.inputBox.$onInputBoxValueChange(t),Promise.resolve(void 0)):Promise.resolve(void 0)}$executeResourceCommand(e,t,i){this.logService.trace("ExtHostSCM#$executeResourceCommand",e,t,i);const n=this._sourceControls.get(e);if(!n)return Promise.resolve(void 0);const r=n.getResourceGroup(t);return r?r.$executeResourceCommand(i):Promise.resolve(void 0)}$validateInput(e,t,i){
this.logService.trace("ExtHostSCM#$validateInput",e);const n=this._sourceControls.get(e);return n&&n.inputBox.validateInput?c.asPromise(()=>n.inputBox.validateInput(t,i)).then(e=>e?Promise.resolve([e.message,e.type]):Promise.resolve(void 0)):Promise.resolve(void 0)}$setSelectedSourceControls(e){this.logService.trace("ExtHostSCM#$setSelectedSourceControls",e);const t=new Set;for(const i of e)t.add(i);return t.forEach(e=>{if(!this._selectedSourceControlHandles.has(e)){const t=this._sourceControls.get(e);if(!t)return;t.setSelectionState(!0)}}),this._selectedSourceControlHandles.forEach(e=>{if(!t.has(e)){const t=this._sourceControls.get(e);if(!t)return;t.setSelectionState(!1)}}),this._selectedSourceControlHandles=t,Promise.resolve(void 0)}};x._handlePool=0,x=n([r(2,d.ILogService)],x),t.ExtHostSCM=x})),define(t[212],i([0,1,11,5,147]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class s{constructor(e,t,n,r=i.StatusBarAlignment.Left,o){this._disposed=!1,this._visible=!1,
this._text="",this._id=s.ID_GEN++,this._proxy=e,this._statusId=t,this._statusName=n,this._alignment=r,this._priority=o}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get command(){return this._command}set text(e){this._text=e,this.update()}set tooltip(e){this._tooltip=e,this.update()}set color(e){this._color=e,this.update()}set command(e){this._command=e,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,this._proxy.$dispose(this.id)}update(){!this._disposed&&this._visible&&(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0,this._proxy.$setEntry(this.id,this._statusId,this._statusName,this.text,this.tooltip,this.command,this.color,this._alignment===i.StatusBarAlignment.Left?0:1,this._priority)},0))}dispose(){this.hide(),this._disposed=!0}}
t.ExtHostStatusBarEntry=s,s.ID_GEN=0;class o{constructor(e){this._messages=[],this._item=e.createStatusBarEntry("status.extensionMessage",r.localize(0,null),i.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(e){const t={message:e};return this._messages.unshift(t),this._update(),new i.Disposable(()=>{const e=this._messages.indexOf(t);e>=0&&(this._messages.splice(e,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}t.ExtHostStatusBar=class{constructor(e){this._proxy=e.getProxy(n.MainContext.MainThreadStatusBar),this._statusMessage=new o(this)}createStatusBarEntry(e,t,i,n){return new s(this._proxy,e,t,i,n)}setStatusBarMessage(e,t){const n=this._statusMessage.setMessage(e);let r;return"number"==typeof t?r=setTimeout(()=>n.dispose(),t):void 0!==t&&t.then(()=>n.dispose(),()=>n.dispose()),new i.Disposable(()=>{n.dispose(),clearTimeout(r)})}}})),
define(t[70],i([0,1,5,3,4]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostStorage=class{constructor(e){this._onDidChangeStorage=new n.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=e.getProxy(i.MainContext.MainThreadStorage)}getValue(e,t,i){return this._proxy.$getValue(e,t).then(e=>e||i)}setValue(e,t,i){return this._proxy.$setValue(e,t,i)}$acceptValue(e,t,i){this._onDidChangeStorage.fire({shared:e,key:t,value:i})}},t.IExtHostStorage=r.createDecorator("IExtHostStorage")})),define(t[41],i([0,1,3,5,4,2,68,14,15,182,6]),(function(e,t,i,s,o,a,c,l,u,h,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtHostTerminalService=o.createDecorator("IExtHostTerminalService");class p{constructor(e,t){this._proxy=e,this._disposed=!1,this._queuedRequests=[],this._idPromise=new Promise(e=>{void 0!==t?(this._id=t,e(t)):this._idPromiseComplete=e})}dispose(){this._disposed||(this._disposed=!0,this._queueApiRequest(this._proxy.$dispose,[]))
}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}_queueApiRequest(e,t){const i=new m(e,t);this._id?i.run(this._proxy,this._id):this._queuedRequests.push(i)}_runQueuedRequests(e){this._id=e,this._idPromiseComplete&&(this._idPromiseComplete(e),this._idPromiseComplete=void 0),this._queuedRequests.forEach(t=>{t.run(this._proxy,e)}),this._queuedRequests.length=0}}t.BaseExtHostTerminal=p;class f extends p{constructor(e,t,i,n){super(e,n),this._creationOptions=t,this._name=i,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(e=>this._pidPromiseComplete=e)}async create(e,t,i,n,r,s,o){const a=await this._proxy.$createTerminal({name:this._name,shellPath:e,shellArgs:t,cwd:i,env:n,waitOnExit:r,strictEnv:s,hideFromUser:o});this._name=a.name,this._runQueuedRequests(a.id)}async createExtensionTerminal(){const e=await this._proxy.$createTerminal({name:this._name,isExtensionTerminal:!0});return this._name=e.name,
this._runQueuedRequests(e.id),e.id}get name(){return this._name||""}set name(e){this._name=e}get exitStatus(){return this._exitStatus}get dimensions(){if(void 0!==this._cols&&void 0!==this._rows)return{columns:this._cols,rows:this._rows}}setExitCode(e){this._exitStatus=Object.freeze({code:e})}setDimensions(e,t){return(e!==this._cols||t!==this._rows)&&(this._cols=e,this._rows=t,!0)}get processId(){return this._pidPromise}get creationOptions(){return this._creationOptions}sendText(e,t=!0){this._checkDisposed(),this._queueApiRequest(this._proxy.$sendText,[e,t])}show(e){this._checkDisposed(),this._queueApiRequest(this._proxy.$show,[e])}hide(){this._checkDisposed(),this._queueApiRequest(this._proxy.$hide,[])}_setProcessId(e){this._pidPromiseComplete?(this._pidPromiseComplete(e),this._pidPromiseComplete=void 0):this._pidPromise.then(t=>{t!==e&&(this._pidPromise=Promise.resolve(e))})}}t.ExtHostTerminal=f;class m{constructor(e,t){this._callback=e,this._args=t}run(e,t){this._callback.apply(e,[t].concat(this._args))}}
class g{constructor(e){this._pty=e,this._onProcessData=new i.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new i.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new i.Emitter,this._onProcessTitleChanged=new i.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new i.Emitter}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}shutdown(){this._pty.close()}input(e){this._pty.handleInput&&this._pty.handleInput(e)}resize(e,t){this._pty.setDimensions&&this._pty.setDimensions({columns:e,rows:t})}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(e){this._pty.onDidWrite(e=>this._onProcessData.fire(e)),this._pty.onDidClose&&this._pty.onDidClose(e=>{this._onProcessExit.fire(void 0===e?void 0:e)}),
this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(e=>this._onProcessOverrideDimensions.fire(e?{cols:e.columns,rows:e.rows}:e)),this._pty.open(e||void 0),this._onProcessReady.fire({pid:-1,cwd:""})}}t.ExtHostPseudoterminal=g;let v=class{constructor(e){this._terminals=[],this._terminalProcesses={},this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._onDidCloseTerminal=new i.Emitter,this._onDidOpenTerminal=new i.Emitter,this._onDidChangeActiveTerminal=new i.Emitter,this._onDidChangeTerminalDimensions=new i.Emitter,this._proxy=e.getProxy(s.MainContext.MainThreadTerminalService),this._bufferer=new h.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new i.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()})}get activeTerminal(){return this._activeTerminal}get terminals(){return this._terminals}get onDidCloseTerminal(){
return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(e){const t=new f(this._proxy,e,e.name),i=new g(e.pty);return t.createExtensionTerminal().then(e=>{const t=this._setupExtHostProcessListeners(e,i);this._terminalProcessDisposables[e]=t}),this._terminals.push(t),t}attachPtyToTerminal(e,t){if(!this._getTerminalByIdEventually(e))throw new Error(`Cannot resolve terminal with id ${e} for virtual process`);const i=new g(t),n=this._setupExtHostProcessListeners(e,i);this._terminalProcessDisposables[e]=n}async $acceptActiveTerminalChanged(e){const t=this._activeTerminal
;if(null===e)return this._activeTerminal=void 0,void(t!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal));const i=await this._getTerminalByIdEventually(e);i&&(this._activeTerminal=i,t!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal))}async $acceptTerminalProcessData(e,t){const i=await this._getTerminalByIdEventually(e);i&&this._onDidWriteTerminalData.fire({terminal:i,data:t})}async $acceptTerminalDimensions(e,t,i){const n=await this._getTerminalByIdEventually(e);n&&n.setDimensions(t,i)&&this._onDidChangeTerminalDimensions.fire({terminal:n,dimensions:n.dimensions})}async $acceptTerminalMaximumDimensions(e,t,i){var n;await this._getTerminalByIdEventually(e),this._terminalProcesses[e]&&(null===(n=this._terminalProcesses[e])||void 0===n||n.resize(t,i))}async $acceptTerminalTitleChange(e,t){await this._getTerminalByIdEventually(e);const i=this._getTerminalObjectById(this.terminals,e);i&&(i.name=t)}async $acceptTerminalClosed(e,t){
await this._getTerminalByIdEventually(e);const i=this._getTerminalObjectIndexById(this.terminals,e);if(null!==i){const e=this._terminals.splice(i,1)[0];e.setExitCode(t),this._onDidCloseTerminal.fire(e)}}$acceptTerminalOpened(e,t,i){const n=this._getTerminalObjectIndexById(this._terminals,e);if(null!==n)return this._onDidOpenTerminal.fire(this.terminals[n]),void(this.terminals[n].isOpen=!0);const r={name:i.name,shellPath:i.executable,shellArgs:i.args,cwd:"string"==typeof i.cwd?i.cwd:a.URI.revive(i.cwd),env:i.env},s=new f(this._proxy,r,t,e);this._terminals.push(s),this._onDidOpenTerminal.fire(s),s.isOpen=!0}async $acceptTerminalProcessId(e,t){const i=await this._getTerminalByIdEventually(e);i&&i._setProcessId(t)}async $startExtensionTerminal(e,t){const i=await this._getTerminalByIdEventually(e);if(!i)return;let n;n=i.isOpen?Promise.resolve():new Promise(e=>{const t=this.onDidOpenTerminal(async n=>{n===i&&(t.dispose(),e())})}),await n,
this._terminalProcesses[e]?this._terminalProcesses[e].startSendingEvents(t):this._extensionTerminalAwaitingStart[e]={initialDimensions:t}}_setupExtHostProcessListeners(e,t){const i=new d.DisposableStore;i.add(t.onProcessReady(t=>this._proxy.$sendProcessReady(e,t.pid,t.cwd))),i.add(t.onProcessTitleChanged(t=>this._proxy.$sendProcessTitle(e,t))),this._bufferer.startBuffering(e,t.onProcessData),i.add(t.onProcessExit(t=>this._onProcessExit(e,t))),t.onProcessOverrideDimensions&&i.add(t.onProcessOverrideDimensions(t=>this._proxy.$sendOverrideDimensions(e,t))),this._terminalProcesses[e]=t;const n=this._extensionTerminalAwaitingStart[e];return n&&t instanceof g&&(t.startSendingEvents(n.initialDimensions),delete this._extensionTerminalAwaitingStart[e]),i}$acceptProcessInput(e,t){var i;null===(i=this._terminalProcesses[e])||void 0===i||i.input(t)}$acceptProcessResize(e,t,i){var n;try{null===(n=this._terminalProcesses[e])||void 0===n||n.resize(t,i)}catch(e){if("EPIPE"!==e.code&&"ERR_IPC_CHANNEL_CLOSED"!==e.code)throw e}
}$acceptProcessShutdown(e,t){var i;null===(i=this._terminalProcesses[e])||void 0===i||i.shutdown(t)}$acceptProcessRequestInitialCwd(e){var t;null===(t=this._terminalProcesses[e])||void 0===t||t.getInitialCwd().then(t=>this._proxy.$sendProcessInitialCwd(e,t))}$acceptProcessRequestCwd(e){var t;null===(t=this._terminalProcesses[e])||void 0===t||t.getCwd().then(t=>this._proxy.$sendProcessCwd(e,t))}$acceptProcessRequestLatency(e){return e}_onProcessExit(e,t){this._bufferer.stopBuffering(e),delete this._terminalProcesses[e],delete this._extensionTerminalAwaitingStart[e];const i=this._terminalProcessDisposables[e];i&&(i.dispose(),delete this._terminalProcessDisposables[e]),this._proxy.$sendProcessExit(e,t)}_getTerminalByIdEventually(e,t=5){return this._getTerminalPromises[e]||(this._getTerminalPromises[e]=this._createGetTerminalPromise(e,t)),this._getTerminalPromises[e]}_createGetTerminalPromise(e,t=5){return new Promise(i=>{if(0===t)return void i(void 0);const n=this._getTerminalById(e)
;n?i(n):l.timeout(2*c.EXT_HOST_CREATION_DELAY).then(()=>i(this._createGetTerminalPromise(e,t-1)))})}_getTerminalById(e){return this._getTerminalObjectById(this._terminals,e)}_getTerminalObjectById(e,t){const i=this._getTerminalObjectIndexById(e,t);return null!==i?e[i]:null}_getTerminalObjectIndexById(e,t){let i=null;return e.some((e,n)=>{return e._id===t&&(i=n,!0)}),i}};v=n([r(0,u.IExtHostRpcService)],v),t.BaseExtHostTerminalService=v;t.WorkerExtHostTerminalService=class extends v{createTerminal(e,t,i){throw new Error("Not implemented")}createTerminalFromOptions(e){throw new Error("Not implemented")}getDefaultShell(e,t){throw new Error("Not implemented")}getDefaultShellArgs(e,t){throw new Error("Not implemented")}$spawnExtHostProcess(e,t,i,n,r,s){throw new Error("Not implemented")}$getAvailableShells(){throw new Error("Not implemented")}async $getDefaultShellAndArgs(e){throw new Error("Not implemented")}$acceptWorkspacePermissionsChanged(e){}}})),
define(t[213],i([0,1,3,12,5,106,21,11]),(function(e,t,i,n,r,s,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ExtHostEditors=class{constructor(e,t){this._onDidChangeTextEditorSelection=new i.Emitter,this._onDidChangeTextEditorOptions=new i.Emitter,this._onDidChangeTextEditorVisibleRanges=new i.Emitter,this._onDidChangeTextEditorViewColumn=new i.Emitter,this._onDidChangeActiveTextEditor=new i.Emitter,this._onDidChangeVisibleTextEditors=new i.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=e.getProxy(r.MainContext.MainThreadTextEditors),
this._extHostDocumentsAndEditors=t,this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(e=>this._onDidChangeVisibleTextEditors.fire(e)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(e=>this._onDidChangeActiveTextEditor.fire(e))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(){return this._extHostDocumentsAndEditors.allEditors()}showTextDocument(e,t,i){let n;return n="number"==typeof t?{position:o.ViewColumn.from(t),preserveFocus:i}:"object"==typeof t?{position:o.ViewColumn.from(t.viewColumn),preserveFocus:t.preserveFocus,selection:"object"==typeof t.selection?o.Range.from(t.selection):void 0,pinned:"boolean"==typeof t.preview?!t.preview:void 0}:{preserveFocus:!1},this._proxy.$tryShowTextDocument(e.uri,n).then(t=>{const i=t&&this._extHostDocumentsAndEditors.getEditor(t);if(i)return i;throw new Error(`Failed to show text document ${e.uri.toString()}, should show in editor #${t}`)})}createTextEditorDecorationType(e){
return new s.TextEditorDecorationType(this._proxy,e)}applyWorkspaceEdit(e){const t=o.WorkspaceEdit.from(e,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(t)}$acceptEditorPropertiesChanged(e,t){const i=this._extHostDocumentsAndEditors.getEditor(e);if(!i)throw new Error("unknown text editor");if(t.options&&i._acceptOptions(t.options),t.selections){const e=t.selections.selections.map(o.Selection.to);i._acceptSelections(e)}if(t.visibleRanges){const e=n.coalesce(t.visibleRanges.map(o.Range.to));i._acceptVisibleRanges(e)}if(t.options&&this._onDidChangeTextEditorOptions.fire({textEditor:i,options:Object.assign(Object.assign({},t.options),{lineNumbers:o.TextEditorLineNumbersStyle.to(t.options.lineNumbers)})}),t.selections){const e=a.TextEditorSelectionChangeKind.fromValue(t.selections.source),n=t.selections.selections.map(o.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:i,selections:n,kind:e})}if(t.visibleRanges){const e=n.coalesce(t.visibleRanges.map(o.Range.to))
;this._onDidChangeTextEditorVisibleRanges.fire({textEditor:i,visibleRanges:e})}}$acceptEditorPositionData(e){for(const t in e){const i=this._extHostDocumentsAndEditors.getEditor(t);if(!i)throw new Error("Unknown text editor");const n=o.ViewColumn.to(e[t]);i.viewColumn!==n&&(i._acceptViewColumn(n),this._onDidChangeTextEditorViewColumn.fire({textEditor:i,viewColumn:n}))}}getDiffInformation(e){return Promise.resolve(this._proxy.$getDiffInformation(e))}}}));var s=this&&this.__rest||function(e,t){var i={};for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&t.indexOf(n)<0&&(i[n]=e[n]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var r=0;for(n=Object.getOwnPropertySymbols(e);r<n.length;r++)t.indexOf(n[r])<0&&Object.prototype.propertyIsEnumerable.call(e,n[r])&&(i[n[r]]=e[n[r]])}return i};define(t[214],i([0,1,2,4,5,6,11]),(function(e,t,i,n,r,o,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtHostTimeline=n.createDecorator("IExtHostTimeline");class c{constructor(e,t){
this._providers=new Map,this._itemsBySourceByUriMap=new Map,this._proxy=e.getProxy(r.MainContext.MainThreadTimeline),t.registerArgumentProcessor({processArgument:e=>{var t,n;if(e&&11===e.$mid){const r=void 0===e.uri?void 0:i.URI.revive(e.uri);return null===(n=null===(t=this._itemsBySourceByUriMap.get(l(r)))||void 0===t?void 0:t.get(e.source))||void 0===n?void 0:n.get(e.handle)}return e}})}async $getTimeline(e,t,n,r,s){const o=this._providers.get(e);return null==o?void 0:o.provideTimeline(i.URI.revive(t),n,r,s)}registerTimelineProvider(e,t,i,n){const r=new o.DisposableStore,s=this.convertTimelineItem(t.id,n,r).bind(this);let a;t.onDidChange&&(a=t.onDidChange(this.emitTimelineChangeEvent(t.id),this));const c=this._itemsBySourceByUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},t),{scheme:e,onDidChange:void 0,async provideTimeline(e,i,n,o){var a;(null==o?void 0:o.cacheResults)?(void 0===i.cursor&&r.clear(),c.has(l(e))||c.clear()):r.clear();const u=await t.provideTimeline(e,i,n)
;if(null==u)return;const h=s(e,null!==(a=null==o?void 0:o.cacheResults)&&void 0!==a&&a);return Object.assign(Object.assign({},u),{source:t.id,items:u.items.map(h)})},dispose(){null==a||a.dispose(),r.dispose()}}))}convertTimelineItem(e,t,n){return(r,o)=>{let u;if(o){const t=l(r);let i=this._itemsBySourceByUriMap.get(t);void 0===i&&(i=new Map,this._itemsBySourceByUriMap.set(t,i)),void 0===(u=i.get(e))&&(u=new Map,i.set(e,u))}return r=>{var o,l;const{iconPath:h}=r,d=s(r,["iconPath"]),p=`${e}|${null!==(o=r.id)&&void 0!==o?o:`${r.timestamp}-${c.handlePool++}`}`;let f,m,g;return null==u||u.set(p,r),r.iconPath&&(h instanceof a.ThemeIcon?g={id:h.id}:i.URI.isUri(h)?(f=h,m=h):({light:f,dark:m}=h)),Object.assign(Object.assign({},d),{id:null!==(l=d.id)&&void 0!==l?l:void 0,handle:p,source:e,command:r.command?t.toInternal(r.command,n):void 0,icon:f,iconDark:m,themeIcon:g})}}}emitTimelineChangeEvent(e){return t=>{var i,n
;if(void 0===(null==t?void 0:t.uri))for(const t of this._itemsBySourceByUriMap.values())null===(i=t.get(e))||void 0===i||i.clear();else null===(n=this._itemsBySourceByUriMap.get(l(t.uri)))||void 0===n||n.clear();this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({},t),{id:e}))}}registerTimelineProviderCore(e){if(this._providers.get(e.id))throw new Error(`Timeline Provider ${e.id} already exists.`);return this._proxy.$registerTimelineProvider({id:e.id,label:e.label,scheme:e.scheme}),this._providers.set(e.id,e),o.toDisposable(()=>{var t;for(const i of this._itemsBySourceByUriMap.values())null===(t=i.get(e.id))||void 0===t||t.clear();this._providers.delete(e.id),this._proxy.$unregisterTimelineProvider(e.id),e.dispose()})}}function l(e){return null==e?void 0:e.toString()}t.ExtHostTimeline=c,c.handlePool=0})),define(t[215],i([0,1,5,2,6,19,28]),(function(e,t,i,n,r,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class a{constructor(e){this.handles=new Set,this.handlers=new Map,
this._proxy=e.getProxy(i.MainContext.MainThreadUrls)}registerUriHandler(e,t){if(this.handles.has(o.ExtensionIdentifier.toKey(e)))throw new Error(`Protocol handler already registered for extension ${e}`);const i=a.HandlePool++;return this.handles.add(o.ExtensionIdentifier.toKey(e)),this.handlers.set(i,t),this._proxy.$registerUriHandler(i,e),r.toDisposable(()=>{this.handles.delete(o.ExtensionIdentifier.toKey(e)),this.handlers.delete(i),this._proxy.$unregisterUriHandler(i)})}$handleExternalUri(e,t){const i=this.handlers.get(e);if(!i)return Promise.resolve(void 0);try{i.handleUri(n.URI.revive(t))}catch(e){s.onUnexpectedError(e)}return Promise.resolve(void 0)}async createAppUri(e){return n.URI.revive(await this._proxy.$createAppUri(e))}}t.ExtHostUrls=a,a.HandlePool=0}));var o=this&&this.__classPrivateFieldSet||function(e,t,i){if(!t.has(e))throw new TypeError("attempted to set private field on non-instance");return t.set(e,i),i},a=this&&this.__classPrivateFieldGet||function(e,t){
if(!t.has(e))throw new TypeError("attempted to get private field on non-instance");return t.get(e)};define(t[216],i([0,1,3,6,2,38,21,102,5,11]),(function(e,t,i,n,r,s,c,l,u,h){"use strict";var d,p,f,m,g,v,_,y,w;Object.defineProperty(t,"__esModule",{value:!0});class x{constructor(e,t,n,r,s,o,a){this._handle=e,this._proxy=t,this._options=n,this._initData=r,this._workspace=s,this._extension=o,this._deprecationService=a,this._html="",this._isDisposed=!1,this._hasCalledAsWebviewUri=!1,this._onMessageEmitter=new i.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event}dispose(){this._onMessageEmitter.dispose()}asWebviewUri(e){return this._hasCalledAsWebviewUri=!0,l.asWebviewUri(this._initData,this._handle,e)}get cspSource(){return this._initData.webviewCspSource.replace("{{uuid}}",this._handle)}get html(){return this.assertNotDisposed(),this._html}set html(e){this.assertNotDisposed(),this._html!==e&&(this._html=e,
!this._hasCalledAsWebviewUri&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(e)&&(this._hasCalledAsWebviewUri=!0,this._deprecationService.report("Webview vscode-resource: uris",this._extension,"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),this._proxy.$setHtml(this._handle,e))}get options(){return this.assertNotDisposed(),this._options}set options(e){this.assertNotDisposed(),this._proxy.$setOptions(this._handle,T(this._extension,this._workspace,e)),this._options=e}postMessage(e){return this.assertNotDisposed(),this._proxy.$postMessage(this._handle,e)}assertNotDisposed(){if(this._isDisposed)throw new Error("Webview is disposed")}}t.ExtHostWebview=x;class b extends n.Disposable{constructor(e,t,n,r,s,o,a){super(),this._visible=!0,this._active=!0,this._isDisposed=!1,this._onDisposeEmitter=this._register(new i.Emitter),this.onDidDispose=this._onDisposeEmitter.event,this._onDidChangeViewStateEmitter=this._register(new i.Emitter),
this.onDidChangeViewState=this._onDidChangeViewStateEmitter.event,this._handle=e,this._proxy=t,this._viewType=n,this._options=o,this._viewColumn=s,this._title=r,this._webview=a}dispose(){this._isDisposed||(this._isDisposed=!0,this._onDisposeEmitter.fire(),this._proxy.$disposeWebview(this._handle),this._webview.dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),this._webview}get viewType(){return this.assertNotDisposed(),this._viewType}get title(){return this.assertNotDisposed(),this._title}set title(e){this.assertNotDisposed(),this._title!==e&&(this._title=e,this._proxy.$setTitle(this._handle,e))}get iconPath(){return this.assertNotDisposed(),this._iconPath}set iconPath(e){this.assertNotDisposed(),this._iconPath!==e&&(this._iconPath=e,this._proxy.$setIconPath(this._handle,r.URI.isUri(e)?{light:e,dark:e}:e))}get options(){return this._options}get viewColumn(){if(this.assertNotDisposed(),!("number"==typeof this._viewColumn&&this._viewColumn<0))return this._viewColumn}_setViewColumn(e){
this.assertNotDisposed(),this._viewColumn=e}get active(){return this.assertNotDisposed(),this._active}_setActive(e){this.assertNotDisposed(),this._active=e}get visible(){return this.assertNotDisposed(),this._visible}_setVisible(e){this.assertNotDisposed(),this._visible=e}postMessage(e){return this.assertNotDisposed(),this._proxy.$postMessage(this._handle,e)}reveal(e,t){this.assertNotDisposed(),this._proxy.$reveal(this._handle,{viewColumn:e?c.ViewColumn.from(e):void 0,preserveFocus:!!t})}assertNotDisposed(){if(this._isDisposed)throw new Error("Webview is disposed")}}t.ExtHostWebviewEditor=b;class E extends n.Disposable{constructor(e,t,n){super(),d.set(this,-1),p.set(this,-1),f.set(this,[]),m.set(this,void 0),g.set(this,void 0),v.set(this,void 0),_.set(this,void 0),y.set(this,this._register(new i.Emitter)),this.onDidDispose=a(this,y).event,this.userData=void 0,o(this,m,e),o(this,g,t),o(this,v,n)}static create(e,t,i){return Object.seal(new E(e,t,i))}dispose(){a(this,y).fire(),super.dispose()}get viewType(){
return a(this,g)}get uri(){return a(this,v)}_setCapabilities(e){var t;if(a(this,_))throw new Error("Capabilities already provided");o(this,_,e),null===(t=e.editing)||void 0===t||t.onDidEdit(e=>{this.pushEdit(e)})}_revert(){const e=this.getEditingCapability();if(a(this,d)===a(this,p))return!0;if(a(this,d)>=a(this,p)){const t=a(this,f).slice(a(this,p),a(this,d));e.undoEdits(t.reverse())}else if(a(this,d)<a(this,p)){const t=a(this,f).slice(a(this,d),a(this,p));e.applyEdits(t)}return o(this,d,a(this,p)),this.spliceEdits(),this.updateState(),!0}_undo(){const e=this.getEditingCapability();if(a(this,d)<0)return;const t=a(this,f)[a(this,d)];o(this,d,+a(this,d)-1),e.undoEdits([t]),this.updateState()}_redo(){const e=this.getEditingCapability();if(a(this,d)>=a(this,f).length-1)return;o(this,d,+a(this,d)+1);const t=a(this,f)[a(this,d)];e.applyEdits([t]),this.updateState()}_save(){return this.getEditingCapability().save()}_saveAs(e){return this.getEditingCapability().saveAs(e)}_backup(e){
return this.getEditingCapability().backup(e)}pushEdit(e){this.spliceEdits(e),o(this,d,a(this,f).length-1),this.updateState()}updateState(){const e=a(this,f).length>0&&a(this,p)!==a(this,d);a(this,m).$onDidChangeCustomDocumentState(this.uri,this.viewType,{dirty:e})}spliceEdits(e){const t=a(this,d)+1,i=a(this,f).length-a(this,d);e?a(this,f).splice(t,i,e):a(this,f).splice(t,i)}getEditingCapability(){var e;if(!(null===(e=a(this,_))||void 0===e?void 0:e.editing))throw new Error("Document is not editable");return a(this,_).editing}}d=new WeakMap,p=new WeakMap,f=new WeakMap,m=new WeakMap,g=new WeakMap,v=new WeakMap,_=new WeakMap,y=new WeakMap;class S{constructor(){this._documents=new Map}get(e,t){return this._documents.get(this.key(e,t))}add(e){const t=this.key(e.viewType,e.uri);if(this._documents.has(t))throw new Error(`Document already exists for viewType:${e.viewType} resource:${e.uri}`);this._documents.set(t,e)}delete(e){const t=this.key(e.viewType,e.uri);this._documents.delete(t)}key(e,t){return`${e}@@@${t}`}}
!function(e){e[e.Text=0]="Text",e[e.Custom=1]="Custom"}(w||(w={}));class C{constructor(){this._providers=new Map}addTextProvider(e,t,i){return this.add(0,e,t,i)}addCustomProvider(e,t,i){return this.add(1,e,t,i)}get(e){return this._providers.get(e)}add(e,t,i,n){if(this._providers.has(t))throw new Error(`Provider for viewType:${t} already registered`);return this._providers.set(t,{type:e,extension:i,provider:n}),new h.Disposable(()=>this._providers.delete(t))}}class P{constructor(e,t,i,n,r,s){this.initData=t,this.workspace=i,this._logService=n,this._deprecationService=r,this._extHostDocuments=s,this._webviewPanels=new Map,this._serializers=new Map,this._editorProviders=new C,this._documents=new S,this._proxy=e.getProxy(u.MainContext.MainThreadWebviews)}static newHandle(){return s.generateUuid()}createWebviewPanel(e,t,i,n,r={}){const s="object"==typeof n?n.viewColumn:n,o={viewColumn:c.ViewColumn.from(s),preserveFocus:"object"==typeof n&&!!n.preserveFocus},a=P.newHandle()
;this._proxy.$createWebviewPanel(D(e),a,t,i,o,T(e,this.workspace,r));const l=new x(a,this._proxy,r,this.initData,this.workspace,e,this._deprecationService),u=new b(a,this._proxy,t,i,s,r,l);return this._webviewPanels.set(a,u),u}registerWebviewPanelSerializer(e,t,i){if(this._serializers.has(t))throw new Error(`Serializer for '${t}' already registered`);return this._serializers.set(t,{serializer:i,extension:e}),this._proxy.$registerSerializer(t),new h.Disposable(()=>{this._serializers.delete(t),this._proxy.$unregisterSerializer(t)})}registerCustomEditorProvider(e,t,i,n={}){let r;return"resolveCustomTextEditor"in i?(r=this._editorProviders.addTextProvider(t,e,i),this._proxy.$registerTextEditorProvider(D(e),t,n)):(r=this._editorProviders.addCustomProvider(t,e,i),this._proxy.$registerCustomEditorProvider(D(e),t,n)),h.Disposable.from(r,new h.Disposable(()=>{this._proxy.$unregisterEditorProvider(t)}))}$onMessage(e,t){const i=this.getWebviewPanel(e);i&&i.webview._onMessageEmitter.fire(t)}$onMissingCsp(e,t){
this._logService.warn(`${t} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}$onDidChangeWebviewPanelViewStates(e){const t=Object.keys(e);t.sort((t,i)=>{const n=e[t],r=e[i];return n.active?1:r.active?-1:+n.visible-+r.visible});for(const i of t){const t=this.getWebviewPanel(i);if(!t||t._isDisposed)continue;const n=e[i],r=c.ViewColumn.to(n.position);t.active===n.active&&t.visible===n.visible&&t.viewColumn===r||(t._setActive(n.active),t._setVisible(n.visible),t._setViewColumn(r),t._onDidChangeViewStateEmitter.fire({webviewPanel:t}))}}async $onDidDisposeWebviewPanel(e){const t=this.getWebviewPanel(e);t&&(t.dispose(),this._webviewPanels.delete(e))}async $deserializeWebviewPanel(e,t,i,n,r,s){const o=this._serializers.get(t);if(!o)throw new Error(`No serializer found for '${t}'`)
;const{serializer:a,extension:l}=o,u=new x(e,this._proxy,s,this.initData,this.workspace,l,this._deprecationService),h=new b(e,this._proxy,t,i,"number"==typeof r&&r>=0?c.ViewColumn.to(r):void 0,s,u);this._webviewPanels.set(e,h),await a.deserializeWebviewPanel(h,n)}async $createWebviewCustomEditorDocument(e,t){const i=this._editorProviders.get(t);if(!i)throw new Error(`No provider found for '${t}'`);if(1!==i.type)throw new Error(`Invalid provide type for '${t}'`);const n=r.URI.revive(e),s=E.create(this._proxy,t,n),o=await i.provider.resolveCustomDocument(s);return s._setCapabilities(o),this._documents.add(s),{editable:!!o.editing}}async $disposeWebviewCustomEditorDocument(e,t){const i=this._editorProviders.get(t);if(!i)throw new Error(`No provider found for '${t}'`);if(1!==i.type)throw new Error(`Invalid provider type for '${t}'`);const n=r.URI.revive(e),s=this.getDocument(t,n);this._documents.delete(s),s.dispose()}async $resolveWebviewEditor(e,t,i,n,s,o){const a=this._editorProviders.get(i)
;if(!a)throw new Error(`No provider found for '${i}'`);const l=new x(t,this._proxy,o,this.initData,this.workspace,a.extension,this._deprecationService),u=new b(t,this._proxy,i,n,"number"==typeof s&&s>=0?c.ViewColumn.to(s):void 0,o,l);this._webviewPanels.set(t,u);const h=r.URI.revive(e);switch(a.type){case 1:{const e=this.getDocument(i,h);return a.provider.resolveCustomEditor(e,u)}case 0:{await this._extHostDocuments.ensureDocumentData(h);const e=this._extHostDocuments.getDocument(h);return a.provider.resolveCustomTextEditor(e,u)}default:throw new Error("Unknown webview provider type")}}async $undo(e,t){this.getDocument(t,e)._undo()}async $redo(e,t){this.getDocument(t,e)._redo()}async $revert(e,t){this.getDocument(t,e)._revert()}async $onSave(e,t){this.getDocument(t,e)._save()}async $onSaveAs(e,t,i){return this.getDocument(t,e)._saveAs(r.URI.revive(i))}async $backup(e,t,i){return this.getDocument(t,e)._backup(i)}getWebviewPanel(e){return this._webviewPanels.get(e)}getDocument(e,t){
const i=this._documents.get(e,r.URI.revive(t));if(!i)throw new Error("No webview editor custom document found");return i}}function D(e){return{id:e.identifier,location:e.extensionLocation}}function T(e,t,i){return Object.assign(Object.assign({},i),{localResourceRoots:i.localResourceRoots||I(e,t)})}function I(e,t){return[...((null==t?void 0:t.getWorkspaceFolders())||[]).map(e=>e.uri),e.extensionLocation]}t.ExtHostWebviews=P})),define(t[217],i([0,1,3,5,2,20,8]),(function(e,t,i,n,r,s,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class a{constructor(e){this._onDidChangeWindowState=new i.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=a.InitialState,this._proxy=e.getProxy(n.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(e=>this.$onDidChangeWindowFocus(e))}get state(){return this._state}$onDidChangeWindowFocus(e){e!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:e}),
this._onDidChangeWindowState.fire(this._state))}openUri(e,t){let i;if("string"==typeof e){i=e;try{e=r.URI.parse(e)}catch(t){return Promise.reject(`Invalid uri - '${e}'`)}}return o.isFalsyOrWhitespace(e.scheme)?Promise.reject("Invalid scheme - cannot be empty"):e.scheme===s.Schemas.command?Promise.reject(`Invalid scheme '${e.scheme}'`):this._proxy.$openUri(e,i,t)}async asExternalUri(e,t){if(o.isFalsyOrWhitespace(e.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([s.Schemas.http,s.Schemas.https]).has(e.scheme))return Promise.reject(`Invalid scheme '${e.scheme}'`);const i=await this._proxy.$asExternalUri(e,t);return r.URI.from(i)}}t.ExtHostWindow=a,a.InitialState={focused:!0}})),define(t[218],i([0,1,86,219,34,40,2,67,9]),(function(e,t,i,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let h=class{constructor(e,t){this._commands=e,this.logService=t,this._server=s.createServer((e,t)=>this.onRequest(e,t)),this.setup().catch(e=>(t.error(e),""))}
get ipcHandlePath(){return this._ipcHandlePath}async setup(){this._ipcHandlePath=i.generateRandomPipeName();try{this._server.listen(this.ipcHandlePath),this._server.on("error",e=>this.logService.error(e))}catch(e){this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(e,t){const i=[];e.setEncoding("utf8"),e.on("data",e=>i.push(e)),e.on("end",()=>{const e=JSON.parse(i.join(""));switch(e.type){case"open":this.open(e,t);break;case"status":this.getStatus(e,t);break;case"command":this.runCommand(e,t).catch(this.logService.error);break;default:t.writeHead(404),t.write(`Unknown message type: ${e.type}`,e=>{e&&this.logService.error(e)}),t.end()}})}open(e,t){let{fileURIs:i,folderURIs:n,forceNewWindow:r,diffMode:s,addMode:o,forceReuseWindow:a,gotoLineMode:u,waitMarkerFilePath:h}=e;const d=[];if(Array.isArray(n))for(const e of n)try{d.push({folderUri:c.URI.parse(e)})}catch(e){}if(Array.isArray(i))for(const e of i)try{l.hasWorkspaceFileExtension(e)?d.push({
workspaceUri:c.URI.parse(e)}):d.push({fileUri:c.URI.parse(e)})}catch(e){}if(d.length){const e=h?c.URI.file(h):void 0,t={forceNewWindow:r,diffMode:s,addMode:o,gotoLineMode:u,forceReuseWindow:a,preferNewWindow:!a&&!e&&!o,waitMarkerFileURI:e};this._commands.executeCommand("_files.windowOpen",d,t)}t.writeHead(200),t.end()}async getStatus(e,t){try{const e=await this._commands.executeCommand("_issues.getSystemStatus");t.writeHead(200),t.write(e),t.end()}catch(e){t.writeHead(500),t.write(String(e),e=>{e&&this.logService.error(e)}),t.end()}}async runCommand(e,t){try{const{command:i,args:n}=e,r=await this._commands.executeCommand(i,...n);t.writeHead(200),t.write(JSON.stringify(r),e=>{e&&this.logService.error(e)}),t.end()}catch(e){t.writeHead(500),t.write(String(e),e=>{e&&this.logService.error(e)}),t.end()}}dispose(){this._server.close(),this._ipcHandlePath&&"win32"!==process.platform&&o.existsSync(this._ipcHandlePath)&&o.unlinkSync(this._ipcHandlePath)}};h=n([r(0,a.IExtHostCommands),r(1,u.ILogService)],h),
t.CLIServer=h})),define(t[220],i([0,1,7,39,38,40,6,5,2,15]),(function(e,t,i,s,o,a,c,l,u,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let d=class extends c.Disposable{constructor(e,t){super();const n=e.getProxy(l.MainContext.MainThreadDownloadService);t.registerCommand(!1,"_workbench.downloadResource",async e=>{const t=u.URI.file(i.join(s.tmpdir(),o.generateUuid()));return await n.$download(e,t),t})}};d=n([r(0,h.IExtHostRpcService),r(1,a.IExtHostCommands)],d),t.ExtHostDownloadService=d})),define(t[221],i([0,1,5,15,6,26,2,29,25,34,10,52,14,3]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class g{constructor(e,t,i){this.remoteAddress=e,this.localAddress=t,this._dispose=i,this._onDispose=new m.Emitter,this.onDidDispose=this._onDispose.event}dispose(){this._onDispose.fire(),this._dispose()}}let v=class extends o.Disposable{constructor(e,t){super(),this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,
this._onDidChangeTunnels=new m.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._proxy=e.getProxy(i.MainContext.MainThreadTunnelService),t.remote.isRemote&&t.remote.authority&&this.registerCandidateFinder()}async openTunnel(e){const t=await this._proxy.$openTunnel(e);if(t){const e=new g(t.remoteAddress,t.localAddress,()=>this._proxy.$closeTunnel(t.remoteAddress));return this._register(e),e}}async getTunnels(){return this._proxy.$getTunnels()}registerCandidateFinder(){return this._proxy.$registerCandidateFinder()}$filterCandidates(e){return Promise.all(e.map(e=>this._showCandidatePort(e.host,e.port,e.detail)))}async setTunnelExtensionFunctions(e){return e?(e.showCandidatePort&&(this._showCandidatePort=e.showCandidatePort,await this._proxy.$setCandidateFilter()),e.tunnelFactory&&(this._forwardPortProvider=e.tunnelFactory,await this._proxy.$setTunnelProvider())):this._forwardPortProvider=void 0,o.toDisposable(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(e){
if(this._extensionTunnels.has(e.host)){const t=this._extensionTunnels.get(e.host);t.has(e.port)&&(t.get(e.port).dispose(),t.delete(e.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}$forwardPort(e){if(this._forwardPortProvider){const t=this._forwardPortProvider(e);if(void 0!==t)return f.asPromise(()=>t).then(t=>(this._extensionTunnels.has(e.remoteAddress.host)||this._extensionTunnels.set(e.remoteAddress.host,new Map),this._extensionTunnels.get(e.remoteAddress.host).set(e.remoteAddress.port,t),this._register(t.onDidDispose(()=>this._proxy.$closeTunnel(t.remoteAddress))),Promise.resolve(p.TunnelDto.fromApiTunnel(t))))}}async $findCandidatePorts(){if(!d.isLinux)return[];const e=[];let t="",i="";try{t=h.readFileSync("/proc/net/tcp","utf8"),i=h.readFileSync("/proc/net/tcp6","utf8")}catch(e){}const n=await new Promise(e=>{l.exec("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(t,i,n)=>{e(i)})}),r=h.readdirSync("/proc"),s=[];for(let e of r)try{const t=Number(e),i=u.joinPath(c.URI.file("/proc"),e)
;if(h.statSync(i.fsPath).isDirectory()&&!isNaN(t)){const e=h.readlinkSync(u.joinPath(i,"cwd").fsPath),n=h.readFileSync(u.joinPath(i,"cmdline").fsPath,"utf8");s.push({pid:t,cwd:e,cmd:n})}}catch(e){}const o=this.loadListeningPorts(t,i),a=this.getSockets(n).reduce((e,t)=>(e[t.socket]=t,e),{}),p=s.reduce((e,t)=>(e[t.pid]=t,e),{});return o.filter(e=>a[e.socket]).forEach(({socket:t,ip:i,port:n})=>{const r=p[a[t].pid].cmd;r.match(".*.vscode-server-[a-zA-Z]+/bin.*")||-1!==r.indexOf("out/vs/server/main.js")||e.push({host:i,port:n,detail:p[a[t].pid].cmd})}),e}getSockets(e){return e.trim().split("\n").map(e=>{const t=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(e);return{pid:parseInt(t[1],10),socket:parseInt(t[2],10)}})}loadListeningPorts(...e){const t=[].concat(...e.map(this.loadConnectionTable));return[...new Map(t.filter(e=>"0A"===e.st).map(e=>{const t=e.local_address.split(":");return{socket:parseInt(e.inode,10),ip:this.parseIpAddress(t[0]),port:parseInt(t[1],16)}}).map(e=>[e.ip+":"+e.port,e])).values()]}
parseIpAddress(e){let t="";if(8===e.length)for(let i=e.length-2;i>=0;i-=2)t+=parseInt(e.substr(i,2),16),0!==i&&(t+=".");else for(let i=e.length-4;i>=0;i-=4)t+=parseInt(e.substr(i,4),16).toString(16),0!==i&&(t+=":");return t}loadConnectionTable(e){const t=e.trim().split("\n"),i=t.shift().trim().split(/\s+/).filter(e=>"rx_queue"!==e&&"tm->when"!==e);return t.map(e=>e.trim().split(/\s+/).reduce((e,t,n)=>(e[i[n]||n]=t,e),{}))}};v=n([r(0,s.IExtHostRpcService),r(1,a.IExtHostInitDataService)],v),t.ExtHostTunnelService=v})),define(t[222],i([0,1,14,22,19,3,6,82,196,107,27]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict";function h(e,t){try{return JSON.stringify(e,t)}catch(e){return"null"}}Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.LocalSide=0]="LocalSide",e[e.OtherSide=1]="OtherSide"}(t.RequestInitiator||(t.RequestInitiator={})),function(e){e[e.Responsive=0]="Responsive",e[e.Unresponsive=1]="Unresponsive"}(t.ResponsiveState||(t.ResponsiveState={}));const d=()=>{};class p extends o.Disposable{
constructor(e,t=null,n=null){super(),this._onDidChangeResponsiveState=this._register(new s.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=e,this._logger=t,this._uriTransformer=n,this._uriReplacer=function(e){return e?(t,i)=>i&&1===i.$mid?e.transformOutgoing(i):i:null}(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let e=0,t=l.ProxyIdentifier.count;e<t;e++)this._locals[e]=null,this._proxies[e]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new i.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(e=>this._receiveOneMessage(e))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(e=>{this._pendingRPCReplies[e].resolveErr(r.canceled())})}_onWillSendRequest(e){
0===this._unacknowledgedCount&&(this._unresponsiveTime=Date.now()+p.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(e){this._unresponsiveTime=Date.now()+p.UNRESPONSIVE_TIME,this._unacknowledgedCount--,0===this._unacknowledgedCount&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){0!==this._unacknowledgedCount&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(e){this._responsiveState!==e&&(this._responsiveState=e,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(e){return this._uriTransformer?a.transformIncomingURIs(e,this._uriTransformer):e}getProxy(e){const t=e.nid;return this._proxies[t]||(this._proxies[t]=this._createProxy(t)),this._proxies[t]}_createProxy(e){let t={
get:(t,i)=>("string"!=typeof i||t[i]||36!==i.charCodeAt(0)||(t[i]=(...t)=>this._remoteCall(e,i,t)),t[i])};return new Proxy(Object.create(null),t)}set(e,t){return this._locals[e.nid]=t,t}assertRegistered(e){for(let t=0,i=e.length;t<i;t++){const i=e[t];if(!this._locals[i.nid])throw new Error(`Missing actor ${i.sid} (isMain: ${i.isMain})`)}}_receiveOneMessage(e){if(this._isDisposed)return;const t=e.byteLength,i=f.read(e,0),n=i.readUInt8(),r=i.readUInt32();switch(n){case 1:case 2:{let{rpcId:e,method:s,args:o}=m.deserializeRequestJSONArgs(i);this._uriTransformer&&(o=a.transformIncomingURIs(o,this._uriTransformer)),this._receiveRequest(t,r,e,s,o,2===n);break}case 3:case 4:{let{rpcId:e,method:s,args:o}=m.deserializeRequestMixedArgs(i);this._uriTransformer&&(o=a.transformIncomingURIs(o,this._uriTransformer)),this._receiveRequest(t,r,e,s,o,4===n);break}case 5:this._logger&&this._logger.logIncoming(t,r,0,"ack"),this._onDidReceiveAcknowledge(r);break;case 6:this._receiveCancel(t,r);break;case 7:
this._receiveReply(t,r,void 0);break;case 9:{let e=m.deserializeReplyOKJSON(i);this._uriTransformer&&(e=a.transformIncomingURIs(e,this._uriTransformer)),this._receiveReply(t,r,e);break}case 8:{let e=m.deserializeReplyOKVSBuffer(i);this._receiveReply(t,r,e);break}case 10:{let e=m.deserializeReplyErrError(i);this._uriTransformer&&(e=a.transformIncomingURIs(e,this._uriTransformer)),this._receiveReplyErr(t,r,e);break}case 11:this._receiveReplyErr(t,r,void 0);break;default:console.error("received unexpected message"),console.error(e)}}_receiveRequest(e,t,i,r,s,o){this._logger&&this._logger.logIncoming(e,t,1,`receiveRequest ${l.getStringIdentifierForProxy(i)}.${r}(`,s);const a=String(t);let c,u;if(o){const e=new n.CancellationTokenSource;s.push(e.token),c=this._invokeHandler(i,r,s),u=()=>e.cancel()}else c=this._invokeHandler(i,r,s),u=d;this._cancelInvokedHandlers[a]=u;const h=m.serializeAcknowledged(t);this._logger&&this._logger.logOutgoing(h.byteLength,t,1,"ack"),this._protocol.send(h),c.then(e=>{
delete this._cancelInvokedHandlers[a];const i=m.serializeReplyOK(t,e,this._uriReplacer);this._logger&&this._logger.logOutgoing(i.byteLength,t,1,"reply:",e),this._protocol.send(i)},e=>{delete this._cancelInvokedHandlers[a];const i=m.serializeReplyErr(t,e);this._logger&&this._logger.logOutgoing(i.byteLength,t,1,"replyErr:",e),this._protocol.send(i)})}_receiveCancel(e,t){this._logger&&this._logger.logIncoming(e,t,1,"receiveCancel");const i=String(t);this._cancelInvokedHandlers[i]&&this._cancelInvokedHandlers[i]()}_receiveReply(e,t,i){this._logger&&this._logger.logIncoming(e,t,0,"receiveReply:",i);const n=String(t);if(!this._pendingRPCReplies.hasOwnProperty(n))return;const r=this._pendingRPCReplies[n];delete this._pendingRPCReplies[n],r.resolveOk(i)}_receiveReplyErr(e,t,i){this._logger&&this._logger.logIncoming(e,t,0,"receiveReplyErr:",i);const n=String(t);if(!this._pendingRPCReplies.hasOwnProperty(n))return;const r=this._pendingRPCReplies[n];delete this._pendingRPCReplies[n];let s=void 0
;i&&(i.$isError?((s=new Error).name=i.name,s.message=i.message,s.stack=i.stack):s=i),r.resolveErr(s)}_invokeHandler(e,t,i){try{return Promise.resolve(this._doInvokeHandler(e,t,i))}catch(e){return Promise.reject(e)}}_doInvokeHandler(e,t,i){const n=this._locals[e];if(!n)throw new Error("Unknown actor "+l.getStringIdentifierForProxy(e));let r=n[t];if("function"!=typeof r)throw new Error("Unknown method "+t+" on actor "+l.getStringIdentifierForProxy(e));return r.apply(n,i)}_remoteCall(e,t,i){if(this._isDisposed)return Promise.reject(r.canceled());let s=null;if(i.length>0&&n.CancellationToken.isCancellationToken(i[i.length-1])&&(s=i.pop()),s&&s.isCancellationRequested)return Promise.reject(r.canceled());const o=++this._lastMessageId,a=String(o),u=new c.LazyPromise;s&&s.onCancellationRequested(()=>{const e=m.serializeCancel(o);this._logger&&this._logger.logOutgoing(e.byteLength,o,0,"cancel"),this._protocol.send(m.serializeCancel(o))}),this._pendingRPCReplies[a]=u,this._onWillSendRequest(o)
;const h=m.serializeRequest(o,e,t,i,!!s,this._uriReplacer);return this._logger&&this._logger.logOutgoing(h.byteLength,o,0,`request: ${l.getStringIdentifierForProxy(e)}.${t}(`,i),this._protocol.send(h),u}}t.RPCProtocol=p,p.UNRESPONSIVE_TIME=3e3;class f{constructor(e,t){this._buff=e,this._offset=t}static alloc(e,t,i){let n=new f(u.VSBuffer.alloc(i+1+4),0);return n.writeUInt8(e),n.writeUInt32(t),n}static read(e,t){return new f(e,t)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(e){this._buff.writeUInt8(e,this._offset),this._offset+=1}readUInt8(){const e=this._buff.readUInt8(this._offset);return this._offset+=1,e}writeUInt32(e){this._buff.writeUInt32BE(e,this._offset),this._offset+=4}readUInt32(){const e=this._buff.readUInt32BE(this._offset);return this._offset+=4,e}static sizeShortString(e){return 1+e.byteLength}writeShortString(e){this._buff.writeUInt8(e.byteLength,this._offset),this._offset+=1,this._buff.set(e,this._offset),this._offset+=e.byteLength}readShortString(){
const e=this._buff.readUInt8(this._offset);this._offset+=1;const t=this._buff.slice(this._offset,this._offset+e).toString();return this._offset+=e,t}static sizeLongString(e){return 4+e.byteLength}writeLongString(e){this._buff.writeUInt32BE(e.byteLength,this._offset),this._offset+=4,this._buff.set(e,this._offset),this._offset+=e.byteLength}readLongString(){const e=this._buff.readUInt32BE(this._offset);this._offset+=4;const t=this._buff.slice(this._offset,this._offset+e).toString();return this._offset+=e,t}writeBuffer(e){this._buff.writeUInt32BE(e.byteLength,this._offset),this._offset+=4,this._buff.set(e,this._offset),this._offset+=e.byteLength}static sizeVSBuffer(e){return 4+e.byteLength}writeVSBuffer(e){this._buff.writeUInt32BE(e.byteLength,this._offset),this._offset+=4,this._buff.set(e,this._offset),this._offset+=e.byteLength}readVSBuffer(){const e=this._buff.readUInt32BE(this._offset);this._offset+=4;const t=this._buff.slice(this._offset,this._offset+e);return this._offset+=e,t}static sizeMixedArray(e,t){
let i=0;i+=1;for(let n=0,r=e.length;n<r;n++){const r=e[n];switch(i+=1,t[n]){case 1:i+=this.sizeLongString(r);break;case 2:i+=this.sizeVSBuffer(r)}}return i}writeMixedArray(e,t){this._buff.writeUInt8(e.length,this._offset),this._offset+=1;for(let i=0,n=e.length;i<n;i++){const n=e[i];switch(t[i]){case 1:this.writeUInt8(1),this.writeLongString(n);break;case 2:this.writeUInt8(2),this.writeVSBuffer(n);break;case 3:this.writeUInt8(3)}}}readMixedArray(){const e=this._buff.readUInt8(this._offset);this._offset+=1;let t=new Array(e);for(let i=0;i<e;i++){switch(this.readUInt8()){case 1:t[i]=this.readLongString();break;case 2:t[i]=this.readVSBuffer();break;case 3:t[i]=void 0}}return t}}class m{static _arrayContainsBufferOrUndefined(e){for(let t=0,i=e.length;t<i;t++){if(e[t]instanceof u.VSBuffer)return!0;if(void 0===e[t])return!0}return!1}static serializeRequest(e,t,i,n,r,s){if(this._arrayContainsBufferOrUndefined(n)){let o=[],a=[];for(let e=0,t=n.length;e<t;e++){const t=n[e];t instanceof u.VSBuffer?(o[e]=t,
a[e]=2):void 0===t?(o[e]=u.VSBuffer.alloc(0),a[e]=3):(o[e]=u.VSBuffer.fromString(h(t,s)),a[e]=1)}return this._requestMixedArgs(e,t,i,o,a,r)}return this._requestJSONArgs(e,t,i,h(n,s),r)}static _requestJSONArgs(e,t,i,n,r){const s=u.VSBuffer.fromString(i),o=u.VSBuffer.fromString(n);let a=0;a+=f.sizeUInt8(),a+=f.sizeShortString(s),a+=f.sizeLongString(o);let c=f.alloc(r?2:1,e,a);return c.writeUInt8(t),c.writeShortString(s),c.writeLongString(o),c.buffer}static deserializeRequestJSONArgs(e){const t=e.readUInt8(),i=e.readShortString(),n=e.readLongString();return{rpcId:t,method:i,args:JSON.parse(n)}}static _requestMixedArgs(e,t,i,n,r,s){const o=u.VSBuffer.fromString(i);let a=0;a+=f.sizeUInt8(),a+=f.sizeShortString(o),a+=f.sizeMixedArray(n,r);let c=f.alloc(s?4:3,e,a);return c.writeUInt8(t),c.writeShortString(o),c.writeMixedArray(n,r),c.buffer}static deserializeRequestMixedArgs(e){const t=e.readUInt8(),i=e.readShortString(),n=e.readMixedArray(),r=new Array(n.length);for(let e=0,t=n.length;e<t;e++){const t=n[e]
;r[e]="string"==typeof t?JSON.parse(t):t}return{rpcId:t,method:i,args:r}}static serializeAcknowledged(e){return f.alloc(5,e,0).buffer}static serializeCancel(e){return f.alloc(6,e,0).buffer}static serializeReplyOK(e,t,i){return void 0===t?this._serializeReplyOKEmpty(e):t instanceof u.VSBuffer?this._serializeReplyOKVSBuffer(e,t):this._serializeReplyOKJSON(e,h(t,i))}static _serializeReplyOKEmpty(e){return f.alloc(7,e,0).buffer}static _serializeReplyOKVSBuffer(e,t){let i=0;i+=f.sizeVSBuffer(t);let n=f.alloc(8,e,i);return n.writeVSBuffer(t),n.buffer}static deserializeReplyOKVSBuffer(e){return e.readVSBuffer()}static _serializeReplyOKJSON(e,t){const i=u.VSBuffer.fromString(t);let n=0;n+=f.sizeLongString(i);let r=f.alloc(9,e,n);return r.writeLongString(i),r.buffer}static deserializeReplyOKJSON(e){const t=e.readLongString();return JSON.parse(t)}static serializeReplyErr(e,t){return t?this._serializeReplyErrEror(e,t):this._serializeReplyErrEmpty(e)}static _serializeReplyErrEror(e,t){
const i=u.VSBuffer.fromString(h(r.transformErrorForSerialization(t),null));let n=0;n+=f.sizeLongString(i);let s=f.alloc(10,e,n);return s.writeLongString(i),s.buffer}static deserializeReplyErrError(e){const t=e.readLongString();return JSON.parse(t)}static _serializeReplyErrEmpty(e){return f.alloc(11,e,0).buffer}}var g,v;!function(e){e[e.RequestJSONArgs=1]="RequestJSONArgs",e[e.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",e[e.RequestMixedArgs=3]="RequestMixedArgs",e[e.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",e[e.Acknowledged=5]="Acknowledged",e[e.Cancel=6]="Cancel",e[e.ReplyOKEmpty=7]="ReplyOKEmpty",e[e.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",e[e.ReplyOKJSON=9]="ReplyOKJSON",e[e.ReplyErrError=10]="ReplyErrError",e[e.ReplyErrEmpty=11]="ReplyErrEmpty"}(g||(g={})),function(e){e[e.String=1]="String",e[e.VSBuffer=2]="VSBuffer",e[e.Undefined=3]="Undefined"}(v||(v={}))})),define(t[223],i([0,1,94]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{
value:!0});t.OutputAppender=class{constructor(e,t){this.file=t,this.appender=i.createRotatingLogger(e,t,31457280,1),this.appender.clearFormatters()}append(e){this.appender.critical(e)}flush(){this.appender.flush()}}})),define(t[224],i([0,1,2,7,223,131,23,69,26,15,6,9]),(function(e,t,i,s,o,a,c,l,u,h,d,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class f extends l.AbstractExtHostOutputChannel{constructor(e,t,n){super(e,!1,i.URI.file(t.file),n),this._appender=t}append(e){super.append(e),this._appender.append(e),this._onDidAppend.fire()}update(){this._appender.flush(),super.update()}show(e,t){this._appender.flush(),super.show(e,t)}clear(){this._appender.flush(),super.clear()}}t.ExtHostOutputChannelBackedByFile=f;let m=class extends l.ExtHostOutputService{constructor(e,t,i){super(e),this.logService=t,this._namePool=1,this._channels=new Map,this._visibleChannelDisposable=new d.MutableDisposable,this._logsLocation=i.logsLocation}$setVisibleChannel(e){if(e){const t=this._channels.get(e)
;t&&(this._visibleChannelDisposable.value=t.onDidAppend(()=>t.update()))}}createOutputChannel(e){if(!(e=e.trim()))throw new Error("illegal argument `name`. must not be falsy");const t=this._doCreateOutChannel(e);return t.then(e=>e._id.then(t=>this._channels.set(t,e))),new l.LazyOutputChannel(e,t)}async _doCreateOutChannel(e){try{const t=s.join(this._logsLocation.fsPath,`output_logging_${a.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"")}`),n=await c.dirExists(t).then(e=>e||c.mkdirp(t).then(()=>!0)).then(()=>t),r=`${this._namePool++}-${e.replace(/[\\/:\*\?"<>\|]/g,"")}`,l=i.URI.file(s.join(n,`${r}.log`)),u=new o.OutputAppender(r,l.fsPath);return new f(e,u,this._proxy)}catch(t){return this.logService.error(t),new l.ExtHostPushOutputChannel(e,this._proxy)}}};m=n([r(0,h.IExtHostRpcService),r(1,p.ILogService),r(2,u.IExtHostInitDataService)],m),t.ExtHostOutputService2=m})),define(t[42],i([0,1,12,33,18,32,8,4,7]),(function(e,t,i,n,r,s,o,a,c){"use strict";var l;function u(e){return!!e.resource}
Object.defineProperty(t,"__esModule",{value:!0}),t.VIEWLET_ID="workbench.view.search",t.PANEL_ID="workbench.panel.search",t.VIEW_ID="workbench.view.search",t.ISearchService=a.createDecorator("searchService"),function(e){e[e.file=0]="file",e[e.text=1]="text"}(t.SearchProviderType||(t.SearchProviderType={})),function(e){e[e.File=1]="File",e[e.Text=2]="Text"}(t.QueryType||(t.QueryType={})),t.resultIsMatch=function(e){return!!e.preview},t.isFileMatch=u,t.isProgressMessage=function(e){return!u(e)},function(e){e[e.Normal=0]="Normal",e[e.NewSearchStarted=1]="NewSearchStarted"}(t.SearchCompletionExitCode||(t.SearchCompletionExitCode={}));t.FileMatch=class{constructor(e){this.resource=e,this.results=[]}};t.TextSearchMatch=class{constructor(e,t,n){if(this.ranges=t,!n||1!==n.matchLines||Array.isArray(t)&&1!==t.length||!function(e){return Array.isArray(e)?e[0].startLineNumber===e[0].endLineNumber:e.startLineNumber===e.endLineNumber}(t)){const n=Array.isArray(t)?t[0].startLineNumber:t.startLineNumber;this.preview={text:e,
matches:i.mapArrayOrNot(t,e=>new h(e.startLineNumber-n,e.startColumn,e.endLineNumber-n,e.endColumn))}}else{const i=Array.isArray(t)?t[0]:t;e=o.getNLines(e,n.matchLines);const r=Math.floor(n.charsPerLine/5),s=Math.max(i.startColumn-r,0),a=e.substring(s,n.charsPerLine+s),c=i.endLineNumber-i.startLineNumber+1<=n.matchLines?Math.min(a.length,i.endColumn-s):a.length,l=new d(0,i.startColumn-s,c);this.preview={text:a,matches:Array.isArray(t)?[l]:l}}}};class h{constructor(e,t,i,n){this.startLineNumber=e,this.startColumn=t,this.endLineNumber=i,this.endColumn=n}}t.SearchRange=h;class d extends h{constructor(e,t,i){super(e,t,e,i)}}t.OneLineRange=d,function(e){e.Default="default",e.FileNames="fileNames",e.Type="type",e.Modified="modified",e.CountDescending="countDescending",e.CountAscending="countAscending"}(t.SearchSortOrder||(t.SearchSortOrder={})),t.getExcludes=function(e,t=!0){const i=e&&e.files&&e.files.exclude,n=t&&e&&e.search&&e.search.exclude;if(!i&&!n)return;if(!i||!n)return i||n;let s=Object.create(null)
;return s=r.mixin(s,r.deepClone(i)),s=r.mixin(s,r.deepClone(n),!0)},t.pathIncludedInQuery=function(e,t){return(!e.excludePattern||!n.match(e.excludePattern,t))&&(!(e.includePattern&&!n.match(e.includePattern,t))&&(!e.usingSearchPaths||!!e.folderQueries&&e.folderQueries.every(e=>{const i=e.folder.fsPath;if(s.isEqualOrParent(t,i)){const r=c.relative(i,t);return!e.includePattern||!!n.match(e.includePattern,r)}return!1})))},function(e){e[e.unknownEncoding=1]="unknownEncoding",e[e.regexParseError=2]="regexParseError",e[e.globParseError=3]="globParseError",e[e.invalidLiteral=4]="invalidLiteral",e[e.rgProcessError=5]="rgProcessError",e[e.other=6]="other"}(l=t.SearchErrorCode||(t.SearchErrorCode={}));class p extends Error{constructor(e,t){super(e),this.code=t}}t.SearchError=p,t.deserializeSearchError=function(e){try{const t=JSON.parse(e);return new p(t.message,t.code)}catch(t){return new p(e,l.other)}},t.serializeSearchError=function(e){const t={message:e.message,code:e.code};return new Error(JSON.stringify(t))},
t.isSerializedSearchComplete=function(e){return"error"===e.type||"success"===e.type},t.isSerializedSearchSuccess=function(e){return"success"===e.type},t.isSerializedFileMatch=function(e){return!!e.path};t.SerializableFileMatch=class{constructor(e){this.path=e,this.results=[]}addMatch(e){this.results.push(e)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}},t.resolvePatternsForProvider=function(e,t){const i=Object.assign(Object.assign({},e||{}),t||{});return Object.keys(i).filter(e=>{const t=i[e];return"boolean"==typeof t&&t})};t.QueryGlobTester=class{constructor(e,t){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},e.excludePattern||{}),t.excludePattern||{}),this._parsedExcludeExpression=n.parse(this._excludeExpression);let i=e.includePattern;t.includePattern&&(i=i?Object.assign(Object.assign({},i),t.includePattern):t.includePattern),i&&(this._parsedIncludeExpression=n.parse(i))}includedInQuerySync(e,t,i){
return(!this._parsedExcludeExpression||!this._parsedExcludeExpression(e,t,i))&&!(this._parsedIncludeExpression&&!this._parsedIncludeExpression(e,t,i))}includedInQuery(e,t,i){return(this._parsedExcludeExpression?Promise.resolve(this._parsedExcludeExpression(e,t,i)).then(e=>!!e):Promise.resolve(!1)).then(n=>!n&&(this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(e,t,i)).then(e=>!!e):Promise.resolve(!0))).then(e=>e)}hasSiblingExcludeClauses(){return function(e){for(const t in e)if("boolean"!=typeof e[t])return!0;return!1}(this._excludeExpression)}}})),define(t[30],i([0,1,12,14,22,3,24,20,115,25,8,13,2,149,4,9,164,169,26,15,11,42,5]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v,_,y,w,x,b,E,S){"use strict";function C(e,t){return h.isEqual(e,t)}function P(e,t){return C(e.uri,t.uri)?0:d.compare(e.uri.toString(),t.uri.toString())}function D(e,t){return e.index!==t.index?e.index<t.index?-1:1:C(e.uri,t.uri)?d.compare(e.name,t.name):d.compare(e.uri.toString(),t.uri.toString())}function T(e,t,n){
const r=e.slice(0).sort(n),s=t.slice(0).sort(n);return i.delta(r,s,n)}Object.defineProperty(t,"__esModule",{value:!0});class I extends y.Workspace{constructor(e,t,i,n,r){super(e,i.map(e=>new y.WorkspaceFolder(e)),n),this._name=t,this._isUntitled=r,this._workspaceFolders=[],this._structure=c.TernarySearchTree.forPaths(),i.forEach(e=>{this._workspaceFolders.push(e),this._structure.set(e.uri.toString(),e)})}static toExtHostWorkspace(e,t,i){if(!e)return{workspace:null,added:[],removed:[]};const{id:n,name:r,folders:s,configuration:o,isUntitled:a}=e,c=[],l=t;t?s.forEach((e,n)=>{const r=f.URI.revive(e.uri),s=I._findFolder(i||t,r);s?(s.name=e.name,s.index=e.index,c.push(s)):c.push({uri:r,name:e.name,index:n})}):c.push(...s.map(({uri:e,name:t,index:i})=>({uri:f.URI.revive(e),name:t,index:i}))),c.sort((e,t)=>e.index<t.index?-1:1);const u=new I(n,r,c,o?f.URI.revive(o):null,!!a),{added:h,removed:d}=T(l?l.workspaceFolders:[],u.workspaceFolders,P);return{workspace:u,added:h,removed:d}}static _findFolder(e,t){
for(let i=0;i<e.folders.length;i++){const n=e.workspaceFolders[i];if(C(n.uri,t))return n}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(e,t){return t&&this._structure.get(e.toString())&&(e=h.dirname(e)),this._structure.findSubstr(e.toString())}resolveWorkspaceFolder(e){return this._structure.get(e.toString())}}let k=class{constructor(e,t,i){this._onDidChangeWorkspace=new a.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._activeSearchCallbacks=[],this._logService=i,this._requestIdProvider=new u.Counter,this._barrier=new s.Barrier,this._proxy=e.getProxy(S.MainContext.MainThreadWorkspace),this._messageService=e.getProxy(S.MainContext.MainThreadMessageService);const n=t.workspace;this._confirmedWorkspace=n?new I(n.id,n.name,[],n.configuration?f.URI.revive(n.configuration):null,!!n.isUntitled):void 0}$initializeWorkspace(e){this.$acceptWorkspaceData(e),this._barrier.open()}
waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?f.URI.from({scheme:l.Schemas.untitled,path:h.basename(h.dirname(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(e,t,i,...n){const r=[];if(Array.isArray(n)&&n.forEach(e=>{f.URI.isUri(e.uri)&&!r.some(t=>C(t.uri,e.uri))&&r.push({uri:e.uri,name:e.name||h.basenameOrAuthority(e.uri)})}),this._unconfirmedWorkspace)return!1
;if([t,i].some(e=>"number"!=typeof e||e<0))return!1;if(0===i&&0===r.length)return!1;const s=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(t+i>s.length)return!1;const o=s.slice(0);o.splice(t,i,...r.map(e=>({uri:e.uri,name:e.name||h.basenameOrAuthority(e.uri),index:void 0})));for(let e=0;e<o.length;e++){const t=o[e];if(o.some((i,n)=>n!==e&&C(t.uri,i.uri)))return!1}o.forEach((e,t)=>e.index=t);const{added:a,removed:c}=T(s,o,D);if(0===a.length&&0===c.length)return!1;if(this._proxy){const n=e.displayName||e.name;this._proxy.$updateWorkspaceFolders(n,t,i,r).then(void 0,t=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(_.Severity.Error,m.localize(0,null,n,t.toString()),{extension:e},[])})}return this.trySetWorkspaceFolders(o),!0}getWorkspaceFolder(e,t){if(this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(e,t)}async getWorkspaceFolder2(e,t){if(await this._barrier.wait(),this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(e,t)}
async resolveWorkspaceFolder(e){if(await this._barrier.wait(),this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(e)}getPath(){if(!this._actualWorkspace)return;const{folders:e}=this._actualWorkspace;return 0!==e.length?e[0].uri.fsPath:void 0}getRelativePath(e,t){let i,n="";if("string"==typeof e?(i=f.URI.file(e),n=e):void 0!==e&&(i=e,n=e.fsPath),!i)return n;const r=this.getWorkspaceFolder(i,!0);if(!r)return n;void 0===t&&this._actualWorkspace&&(t=this._actualWorkspace.folders.length>1);let s=h.relativePath(r.uri,i);return t&&r.name&&(s=`${r.name}/${s}`),s}trySetWorkspaceFolders(e){this._actualWorkspace&&(this._unconfirmedWorkspace=I.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:e,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace).workspace||void 0)}$acceptWorkspaceData(e){
const{workspace:t,added:i,removed:n}=I.toExtHostWorkspace(e,this._confirmedWorkspace,this._unconfirmedWorkspace);this._confirmedWorkspace=t||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:i,removed:n}))}findFiles(e,t,i,n,r=o.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${n.value}, entryPoint: findFiles`);let s=void 0;if(null===t?s=!1:t&&(s="string"==typeof t?t:t.pattern),r&&r.isCancellationRequested)return Promise.resolve([]);const{includePattern:a,folder:c}=function(e){let t,i;e&&("string"==typeof e?t=e:(t=e.pattern,i=e.baseFolder||f.URI.file(e.base)));return{includePattern:t,folder:i}}(e);return this._proxy.$startFileSearch(p.withUndefinedAsNull(a),p.withUndefinedAsNull(c),p.withUndefinedAsNull(s),p.withUndefinedAsNull(i),r).then(e=>Array.isArray(e)?e.map(e=>f.URI.revive(e)):[])}async findTextInFiles(e,t,n,r,s=o.CancellationToken.None){
this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${r.value}, entryPoint: findTextInFiles`);const a=this._requestIdProvider.getNext(),c=void 0===t.previewOptions?{matchLines:100,charsPerLine:1e4}:t.previewOptions;let l,u;t.include&&("string"==typeof t.include?l=t.include:(l=t.include.pattern,u=t.include.baseFolder||f.URI.file(t.include.base)));const h="string"==typeof t.exclude?t.exclude:t.exclude?t.exclude.pattern:void 0,d={ignoreSymlinks:"boolean"==typeof t.followSymlinks?!t.followSymlinks:void 0,disregardIgnoreFiles:"boolean"==typeof t.useIgnoreFiles?!t.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:"boolean"==typeof t.useGlobalIgnoreFiles?!t.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:null===t.exclude,fileEncoding:t.encoding,maxResults:t.maxResults,previewOptions:c,afterContext:t.afterContext,beforeContext:t.beforeContext,includePattern:l,excludePattern:h};if(this._activeSearchCallbacks[a]=e=>{const t=f.URI.revive(e.resource);e.results.forEach(e=>{
E.resultIsMatch(e)?n({uri:t,preview:{text:e.preview.text,matches:i.mapArrayOrNot(e.preview.matches,e=>new b.Range(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn))},ranges:i.mapArrayOrNot(e.ranges,e=>new b.Range(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn))}):n({uri:t,text:e.text,lineNumber:e.lineNumber})})},s.isCancellationRequested)return{};try{const t=await this._proxy.$startTextSearch(e,p.withUndefinedAsNull(u),d,a,s);return delete this._activeSearchCallbacks[a],t||{}}catch(e){throw delete this._activeSearchCallbacks[a],e}}$handleTextSearchResult(e,t){this._activeSearchCallbacks[t]&&this._activeSearchCallbacks[t](e)}saveAll(e){return this._proxy.$saveAll(e)}resolveProxy(e){return this._proxy.$resolveProxy(e)}};k=n([r(0,x.IExtHostRpcService),r(1,w.IExtHostInitDataService),r(2,v.ILogService)],k),t.ExtHostWorkspace=k,t.IExtHostWorkspace=g.createDecorator("IExtHostWorkspace")})),define(t[31],i([0,1,18,3,30,5,11,167,51,13,14,4,15,9,2]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g){
"use strict";function v(e,t){if(t){const i=t.split(".");let n=e;for(let e=0;n&&e<i.length;e++)n=n[i[e]];return n}}function _(e){return e instanceof g.URI?{resource:e}:function(e){return e&&e.uri instanceof g.URI&&e.languageId&&"string"==typeof e.languageId}(e)?{resource:e.uri,overrideIdentifier:e.languageId}:function(e){return e&&!e.uri&&e.languageId&&"string"==typeof e.languageId}(e)?{overrideIdentifier:e.languageId}:function(e){return e&&e.uri instanceof g.URI&&(!e.name||"string"==typeof e.name)&&(!e.index||"number"==typeof e.index)}(e)?{resource:e.uri}:null===e?{resource:null}:void 0}Object.defineProperty(t,"__esModule",{value:!0});let y=class{constructor(e,t,i){this._proxy=e.getProxy(a.MainContext.MainThreadConfiguration),this._extHostWorkspace=t,this._logService=i,this._barrier=new d.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(e=>this._actual)}$initializeConfiguration(e){this._actual=new w(this._proxy,this._extHostWorkspace,e,this._logService),this._barrier.open()}
$acceptConfigurationChanged(e,t){this.getConfigProvider().then(i=>i.$acceptConfigurationChanged(e,t))}};y=n([r(0,f.IExtHostRpcService),r(1,o.IExtHostWorkspace),r(2,m.ILogService)],y),t.ExtHostConfiguration=y;class w{constructor(e,t,i,n){this._onDidChangeConfiguration=new s.Emitter,this._proxy=e,this._logService=n,this._extHostWorkspace=t,this._configuration=l.Configuration.parse(i),this._configurationScopes=this._toMap(i.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(e,t){const i={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=l.Configuration.parse(e),this._configurationScopes=this._toMap(e.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(t,i))}getConfiguration(e,t,n){
const r=_(t)||{},s=this._toReadonlyValue(e?v(this._configuration.getValue(void 0,r,this._extHostWorkspace.workspace),e):this._configuration.getValue(void 0,r,this._extHostWorkspace.workspace));e&&this._validateConfigurationAccess(e,r,null==n?void 0:n.identifier);const o={has:e=>void 0!==v(s,e),get:(t,o)=>{this._validateConfigurationAccess(e?`${e}.${t}`:t,r,null==n?void 0:n.identifier);let a=v(s,t);if(void 0===a)a=o;else{let e=void 0;const n=(t,r)=>{let o=void 0;const a=()=>{e=e||i.deepClone(s),o=o||v(e,r)};return h.isObject(t)?new Proxy(t,{get:(t,i)=>{if("string"==typeof i&&"tojson"===i.toLowerCase())return a(),()=>o;if(e)return(o=o||v(e,r))[i];const s=t[i];return"string"==typeof i?n(s,`${r}.${i}`):s},set:(e,t,i)=>(a(),o&&(o[t]=i),!0),deleteProperty:(e,t)=>(a(),o&&delete o[t],!0),defineProperty:(e,t,i)=>(a(),o&&Object.defineProperty(o,t,i),!0)}):t};a=n(a,t)}return a},update:(t,i,n,s)=>{t=e?`${e}.${t}`:t;const o=function(e){if(null==e)return null;if("boolean"==typeof e)return e?1:4;switch(e){
case c.ConfigurationTarget.Global:return 1;case c.ConfigurationTarget.Workspace:return 4;case c.ConfigurationTarget.WorkspaceFolder:return 5}}(n);return void 0!==i?this._proxy.$updateConfigurationOption(o,t,i,r,s):this._proxy.$removeConfigurationOption(o,t,r,s)},inspect:t=>{var n,s,o,a,c,l,u,h;t=e?`${e}.${t}`:t;const d=i.deepClone(this._configuration.inspect(t,r,this._extHostWorkspace.workspace));if(d)return{key:t,defaultValue:null===(n=d.default)||void 0===n?void 0:n.value,globalValue:null===(s=d.user)||void 0===s?void 0:s.value,workspaceValue:null===(o=d.workspace)||void 0===o?void 0:o.value,workspaceFolderValue:null===(a=d.workspaceFolder)||void 0===a?void 0:a.value,defaultLanguageValue:null===(c=d.default)||void 0===c?void 0:c.override,globalLanguageValue:null===(l=d.user)||void 0===l?void 0:l.override,workspaceLanguageValue:null===(u=d.workspace)||void 0===u?void 0:u.override,workspaceFolderLanguageValue:null===(h=d.workspaceFolder)||void 0===h?void 0:h.override,languageIds:d.overrideIdentifiers}}}
;return"object"==typeof s&&i.mixin(o,s,!1),Object.freeze(o)}_toReadonlyValue(e){const t=e=>h.isObject(e)?new Proxy(e,{get:(e,i)=>t(e[i]),set:(e,t,i)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(t)}' of object`)},deleteProperty:(e,t)=>{throw new Error(`TypeError: Cannot delete read only property '${String(t)}' of object`)},defineProperty:(e,t)=>{throw new Error(`TypeError: Cannot define property '${String(t)}' for a readonly object`)},setPrototypeOf:e=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):e;return t(e)}_validateConfigurationAccess(e,t,i){const n=u.OVERRIDE_PROPERTY_PATTERN.test(e)?4:this._configurationScopes.get(e),r=i?`[${i.value}] `:""
;4!==n?3!==n||(null==t?void 0:t.resource)&&this._logService.warn(`${r}Accessing a window scoped configuration for a resource is not expected. To associate '${e}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`):void 0===(null==t?void 0:t.resource)&&this._logService.warn(`${r}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${e}', provide the URI of a resource or 'null' for any resource.`)}_toConfigurationChangeEvent(e,t){const i=new l.ConfigurationChangeEvent(e,t,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(e,t)=>i.affectsConfiguration(e,_(t))})}_toMap(e){return e.reduce((e,t)=>(e.set(t[0],t[1]),e),new Map)}}t.ExtHostConfigProvider=w,t.IExtHostConfiguration=p.createDecorator("IExtHostConfiguration")})),
define(t[37],i([0,1,145,7,25,14,6,24,2,9,5,31,193,70,30,191,22,19,28,20,27,171,11,98,4,26,100,15,66,52]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v,_,y,w,x,b,E,S,C,P,D,T,I,k,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IHostUtils=P.createDecorator("IHostUtils");let A=class e{constructor(e,t,i,n,r,s,o,l,u){this._hostUtils=t,this._extHostContext=i,this._initData=o,this._extHostWorkspace=n,this._extHostConfiguration=r,this._logService=s,this._extHostTunnelService=u,this._disposables=new c.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(d.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(d.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(d.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new a.Barrier,this._readyToStartExtensionHost=new a.Barrier,this._readyToRunExtensions=new a.Barrier,
this._registry=new v.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new m.ExtHostStorage(this._extHostContext),this._storagePath=l,this._instaService=e.createChild(new k.ServiceCollection([m.IExtHostStorage,this._storage]));const h=new Set;this._initData.hostExtensions.forEach(e=>h.add(w.ExtensionIdentifier.toKey(e))),this._activator=new f.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(e,t)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(e,t)},actualActivateExtension:async(e,t)=>{if(h.has(w.ExtensionIdentifier.toKey(e)))return await this._mainThreadExtensionsProxy.$activateExtension(e,t),new f.HostExtension;const i=this._registry.getExtensionDescription(e);return this._activateExtension(i,t)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),
this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(e){y.onUnexpectedError(e)}}async deactivateAll(){let e=[];try{e=this._registry.getAllExtensionDescriptions().map(e=>e.identifier).filter(e=>this.isActivated(e)).map(e=>this._deactivate(e))}catch(e){}await Promise.all(e)}isActivated(e){return!!this._readyToRunExtensions.isOpen()&&this._activator.isActivated(e)}_activateByEvent(e,t){return this._activator.activateByEvent(e,t)}_activateById(e,t){return this._activator.activateById(e,t)}activateByIdWithErrors(e,t){return this._activateById(e,t).then(()=>{const t=this._activator.getActivatedExtension(e);if(t.activationFailed)return Promise.reject(t.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(e=>this._registry)}getExtensionExports(e){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(e).exports:null
}getExtensionPathIndex(){if(!this._extensionPathIndex){const e=l.TernarySearchTree.forPaths(),t=this._registry.getAllExtensionDescriptions().map(t=>{if(t.main)return this._hostUtils.realpath(t.extensionLocation.fsPath).then(i=>e.set(u.URI.file(i).fsPath,t))});this._extensionPathIndex=Promise.all(t).then(()=>e)}return this._extensionPathIndex}_deactivate(e){let t=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen())return t;if(!this._activator.isActivated(e))return t;const i=this._activator.getActivatedExtension(e);if(!i)return t;try{"function"==typeof i.module.deactivate&&(t=Promise.resolve(i.module.deactivate()).then(void 0,e=>Promise.resolve(void 0)))}catch(e){}try{c.dispose(i.subscriptions)}catch(e){}return t}_activateExtension(e,t){return this._mainThreadExtensionsProxy.$onWillActivateExtension(e.identifier),this._doActivateExtension(e,t).then(i=>{const n=i.activationTimes
;return this._mainThreadExtensionsProxy.$onDidActivateExtension(e.identifier,n.codeLoadingTime,n.activateCallTime,n.activateResolvedTime,t),this._logExtensionActivationTimes(e,t,"success",n),i},i=>{throw this._logExtensionActivationTimes(e,t,"failure"),i})}_logExtensionActivationTimes(e,t,i,n){const r=O(e,t);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},r),n||{}),{outcome:i}))}_doActivateExtension(t,i){const n=O(t,i);if(this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",n),!t.main)return Promise.resolve(new f.EmptyExtension(f.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${t.identifier.value} ${JSON.stringify(i)}`),this._logService.flush();const r=new f.ExtensionActivationTimesBuilder(i.startup);return Promise.all([this._loadCommonJSModule(o.joinPath(t.extensionLocation,t.main),r),this._loadExtensionContext(t)]).then(i=>e._callActivate(this._logService,t.identifier,i[0],i[1],r))}
_loadExtensionContext(e){const t=new E.ExtensionMemento(e.identifier.value,!0,this._storage),i=new E.ExtensionMemento(e.identifier.value,!1,this._storage);return this._logService.trace(`ExtensionService#loadExtensionContext ${e.identifier.value}`),Promise.all([t.whenReady,i.whenReady,this._storagePath.whenReady]).then(()=>{const n=this;return Object.freeze({globalState:t,workspaceState:i,subscriptions:[],get extensionPath(){return e.extensionLocation.fsPath},get storagePath(){return n._storagePath.workspaceValue(e)},get globalStoragePath(){return n._storagePath.globalValue(e)},asAbsolutePath:t=>s.join(e.extensionLocation.fsPath,t),asExtensionUri:t=>o.joinPath(e.extensionLocation,t),get logPath(){return s.join(n._initData.logsLocation.fsPath,e.identifier.value)}})})}static _callActivate(e,t,i,n,r){return i=i||{activate:void 0,deactivate:void 0},this._callActivateOptional(e,t,i,n,r).then(e=>new f.ActivatedExtension(!1,null,r.build(),i,e,n.subscriptions))}static _callActivateOptional(e,t,i,n,r){
if("function"!=typeof i.activate)return Promise.resolve(i);try{r.activateCallStart(),e.trace(`ExtensionService#_callActivateOptional ${t.value}`);const s="object"==typeof global?global:self,o=i.activate.apply(s,[n]);return r.activateCallStop(),r.activateResolveStart(),Promise.resolve(o).then(e=>(r.activateResolveStop(),e))}catch(e){return Promise.reject(e)}}_handleEagerExtensions(){this._activateByEvent("*",!0).then(void 0,e=>{this._logService.error(e)}),this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(e=>this._handleWorkspaceContainsEagerExtensions(e.added)));const e=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[];return this._handleWorkspaceContainsEagerExtensions(e)}_handleWorkspaceContainsEagerExtensions(e){return 0===e.length?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(t=>this._handleWorkspaceContainsEagerExtension(e,t))).then(()=>{})}_handleWorkspaceContainsEagerExtension(e,t){const i=t.activationEvents
;if(!i)return Promise.resolve(void 0);if(this.isActivated(t.identifier))return Promise.resolve(void 0);const n=[],r=[];for(const e of i)if(/^workspaceContains:/.test(e)){const t=e.substr("workspaceContains:".length);t.indexOf("*")>=0||t.indexOf("?")>=0?r.push(t):n.push(t)}if(0===n.length&&0===r.length)return Promise.resolve(void 0);const s=Promise.all(n.map(i=>this._activateIfFileName(e,t.identifier,i))).then(()=>{}),o=this._activateIfGlobPatterns(e,t.identifier,r);return Promise.all([s,o]).then(()=>{})}async _activateIfFileName(e,t,i){for(const{uri:n}of e)if(await this._hostUtils.exists(s.join(u.URI.revive(n).fsPath,i)))return this._activateById(t,{startup:!0,extensionId:t,activationEvent:`workspaceContains:${i}`}).then(void 0,e=>this._logService.error(e))}async _activateIfGlobPatterns(t,i,n){if(this._logService.trace(`extensionHostMain#activateIfGlobPatterns: fileSearch, extension: ${i.value}, entryPoint: workspaceContains`),0===n.length)return Promise.resolve(void 0)
;const r=new _.CancellationTokenSource,s=this._mainThreadWorkspaceProxy.$checkExists(t.map(e=>e.uri),n,r.token),o=setTimeout(async()=>{r.cancel(),this._activateById(i,{startup:!0,extensionId:i,activationEvent:`workspaceContainsTimeout:${n.join(",")}`}).then(void 0,e=>this._logService.error(e))},e.WORKSPACE_CONTAINS_TIMEOUT);let a=!1;try{a=await s}catch(e){y.isPromiseCanceledError(e)||this._logService.error(e)}return r.dispose(),clearTimeout(o),a?this._activateById(i,{startup:!0,extensionId:i,activationEvent:`workspaceContains:${n.join(",")}`}).then(void 0,e=>this._logService.error(e)):Promise.resolve(void 0)}_handleExtensionTests(){return this._doHandleExtensionTests().then(void 0,e=>(console.error(e),Promise.reject(e)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:e,extensionTestsLocationURI:t}=this._initData.environment;if(!e||!t||t.scheme!==x.Schemas.file)return Promise.resolve(void 0);const n=o.originalFSPath(t);let r,s;try{
r=await this._loadCommonJSModule(u.URI.file(n),new f.ExtensionActivationTimesBuilder(!1))}catch(e){s=e}return r&&"function"==typeof r.run?new Promise((e,t)=>{const i=r.run(n,(i,n)=>{i?t(i.toString()):e(void 0),this._gracefulExit(i||"number"==typeof n&&n>0?1:0)});i&&i.then&&i.then(()=>{e(),this._gracefulExit(0)}).catch(e=>{t(e.toString()),this._gracefulExit(1)})}):(this._gracefulExit(1),Promise.reject(new Error(s?s.toString():i.localize(0,null,n))))}_gracefulExit(e){setTimeout(()=>{this._initData.remote.isRemote&&this._initData.environment.extensionTestsLocationURI?this._mainThreadExtensionsProxy.$onExtensionHostExit(e):this._hostUtils.exit(e)},500)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>this._handleExtensionTests()).then(()=>{this._logService.info("eager extensions activated")})}
registerRemoteAuthorityResolver(e,t){return this._resolvers[e]=t,c.toDisposable(()=>{delete this._resolvers[e]})}async $resolveAuthority(e,t){const i=e.indexOf("+");if(-1===i)throw new Error("Not an authority that can be resolved!");const n=e.substr(0,i);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${n}`,!1);const r=this._resolvers[n];if(!r)return{type:"error",error:{code:C.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${n}.`,detail:void 0}};try{const i=await r.resolve(e,{resolveAttempt:t});return this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(r)),{type:"ok",value:{authority:{authority:e,host:i.host,port:i.port},options:{extensionHostEnv:i.extensionHostEnv},tunnelInformation:{environmentTunnels:i.environmentTunnels}}}}catch(e){if(e instanceof S.RemoteAuthorityResolverError)return{type:"error",error:{code:e._code,message:e._message,detail:e._detail}};throw e}}
$startExtensionHost(e){return this._registry.keepOnly(e),this._startExtensionHost()}$activateByEvent(e){return this._readyToRunExtensions.wait().then(t=>this._activateByEvent(e,!1))}async $activate(e,t){return await this._readyToRunExtensions.wait(),!!this._registry.getExtensionDescription(e)&&(await this._activateById(e,t),!0)}async $deltaExtensions(e,t){e.forEach(e=>e.extensionLocation=u.URI.revive(e.extensionLocation));const i=await this.getExtensionPathIndex();return await Promise.all(t.map(async e=>{const t=this._registry.getExtensionDescription(e);if(!t)return;const n=await this._hostUtils.realpath(t.extensionLocation.fsPath);i.delete(u.URI.file(n).fsPath)})),await Promise.all(e.map(async e=>{const t=await this._hostUtils.realpath(e.extensionLocation.fsPath);i.set(u.URI.file(t).fsPath,e)})),this._registry.deltaExtensions(e,t),Promise.resolve(void 0)}async $test_latency(e){return e}async $test_up(e){return e.byteLength}async $test_down(e){let t=b.VSBuffer.alloc(e),i=Math.random()%256
;for(let n=0;n<e;n++)t.writeUInt8(i,n);return t}};function O(e,t){return{id:e.identifier.value,name:e.name,extensionVersion:e.version,publisherDisplayName:e.publisher,activationEvents:e.activationEvents?e.activationEvents.join(","):null,isBuiltin:e.isBuiltin,reason:t.activationEvent,reasonId:t.extensionId.value}}A.WORKSPACE_CONTAINS_TIMEOUT=7e3,A=n([r(0,P.IInstantiationService),r(1,t.IHostUtils),r(2,I.IExtHostRpcService),r(3,g.IExtHostWorkspace),r(4,p.IExtHostConfiguration),r(5,h.ILogService),r(6,D.IExtHostInitDataService),r(7,T.IExtensionStoragePaths),r(8,R.IExtHostTunnelService)],A),t.AbstractExtHostExtensionService=A,t.IExtHostExtensionService=P.createDecorator("IExtHostExtensionService")})),define(t[47],i([0,1,7,2,3,14,5,11,103,30,37,36,185,31,176,22,40,15,4,13]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v,_,y,w,x){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtHostDebugService=w.createDecorator("IExtHostDebugService");let b=class{constructor(e,t,i,n,r,s){this._workspaceService=t,
this._extensionService=i,this._editorsService=n,this._configurationService=r,this._commandService=s,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._aexCommands=new Map,this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new o.Emitter,this._onDidTerminateDebugSession=new o.Emitter,this._onDidChangeActiveDebugSession=new o.Emitter,this._onDidReceiveDebugSessionCustomEvent=new o.Emitter,this._debugServiceProxy=e.getProxy(c.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new o.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new S(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(e=>{e.onDidChange(t=>{this.registerAllDebugTypes(e)}),this.registerAllDebugTypes(e)})}
get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole}asDebugSourceUri(e,t){const i=e;if("number"==typeof i.sourceReference){let e=`debug:${encodeURIComponent(i.path||"")}`,n="?";return t&&(e+=`${n}session=${encodeURIComponent(t.id)}`,n="&"),e+=`${n}ref=${i.sourceReference}`,s.URI.parse(e)}if(i.path)return s.URI.file(i.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}registerAllDebugTypes(e){const t=[];this._aexCommands.clear();for(const i of e.getAllExtensionDescriptions())if(i.contributes){const e=i.contributes.debuggers
;if(e&&e.length>0)for(const i of e)g.isDebuggerMainContribution(i)&&(t.push(i.type),i.adapterExecutableCommand&&this._aexCommands.set(i.type,i.adapterExecutableCommand))}this._debugServiceProxy.$registerDebugTypes(t)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const e=[];return this._breakpoints.forEach(t=>e.push(t)),e}addBreakpoints(e){this.startBreakpoints();const t=e.filter(e=>{const t=e.id;return!this._breakpoints.has(t)&&(this._breakpoints.set(t,e),!0)});this.fireBreakpointChanges(t,[],[]);const i=[],n=new Map;for(const e of t)if(e instanceof l.SourceBreakpoint){let t=n.get(e.location.uri.toString());t||(t={type:"sourceMulti",uri:e.location.uri,lines:[]},n.set(e.location.uri.toString(),t),i.push(t)),t.lines.push({id:e.id,enabled:e.enabled,condition:e.condition,hitCondition:e.hitCondition,logMessage:e.logMessage,line:e.location.range.start.line,character:e.location.range.start.character})}else e instanceof l.FunctionBreakpoint&&i.push({
type:"function",id:e.id,enabled:e.enabled,hitCondition:e.hitCondition,logMessage:e.logMessage,condition:e.condition,functionName:e.functionName});return this._debugServiceProxy.$registerBreakpoints(i)}removeBreakpoints(e){this.startBreakpoints();const t=e.filter(e=>this._breakpoints.delete(e.id));this.fireBreakpointChanges([],t,[]);const i=t.filter(e=>e instanceof l.SourceBreakpoint).map(e=>e.id),n=t.filter(e=>e instanceof l.FunctionBreakpoint).map(e=>e.id),r=t.filter(e=>e instanceof l.DataBreakpoint).map(e=>e.id);return this._debugServiceProxy.$unregisterBreakpoints(i,n,r)}startDebugging(e,t,i){return this._debugServiceProxy.$startDebugging(e?e.uri:void 0,t,{parentSessionID:i.parentSession?i.parentSession.id:void 0,repl:i.consoleMode===l.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate"})}registerDebugConfigurationProvider(e,t){if(!t)return new l.Disposable(()=>{})
;t.debugAdapterExecutable&&console.error("DebugConfigurationProvider.debugAdapterExecutable is deprecated and will be removed soon; please use DebugAdapterDescriptorFactory.createDebugAdapterDescriptor instead.");const i=this._configProviderHandleCounter++;return this._configProviders.push({type:e,handle:i,provider:t}),this._debugServiceProxy.$registerDebugConfigurationProvider(e,!!t.provideDebugConfigurations,!!t.resolveDebugConfiguration,!!t.resolveDebugConfigurationWithSubstitutedVariables,!!t.debugAdapterExecutable,i),new l.Disposable(()=>{this._configProviders=this._configProviders.filter(e=>e.provider!==t),this._debugServiceProxy.$unregisterDebugConfigurationProvider(i)})}registerDebugAdapterDescriptorFactory(e,t,i){if(!i)return new l.Disposable(()=>{});if(!this.definesDebugType(e,t))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${t}' debugger.`)
;if(this.getAdapterDescriptorFactoryByType(t))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const n=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:t,handle:n,factory:i}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(t,n),new l.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(e=>e.factory!==i),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(n)})}registerDebugAdapterTrackerFactory(e,t){if(!t)return new l.Disposable(()=>{});const i=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:e,handle:i,factory:t}),new l.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(e=>e.factory!==t)})}async $runInTerminal(e){return Promise.resolve(void 0)}createVariableResolver(e,t,i){return new C(e,t,i)}async $substituteVariables(e,t){if(!this._variableResolver){
const[e,t]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(e||[],this._editorsService,t)}let i;const n=await this.getFolder(e);return n&&(i={uri:n.uri,name:n.name,index:n.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(i,t)}createDebugAdapter(e,t){if("implementation"===e.type)return new D(e.implementation)}createSignService(){}async $startDASession(e,t){const i=this,n=await this.getSession(t);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(n.type),n).then(t=>{if(!t)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${n.type}' (extension might have failed to activate)`);const r=this.convertToDto(t),s=this.createDebugAdapter(r,n);if(!s)throw new Error(`Couldn't create a debug adapter for type '${n.type}'.`);const o=s;return this._debugAdapters.set(e,o),
this.getDebugAdapterTrackers(n).then(t=>(t&&this._debugAdaptersTrackers.set(e,t),o.onMessage(async n=>{if("request"===n.type&&"handshake"===n.command){const e=n,t={type:"response",seq:0,command:e.command,request_seq:e.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(!this._signService)throw new Error("no signer");{const i=await this._signService.sign(e.arguments.value);t.body={signature:i},o.sendResponse(t)}}catch(e){t.success=!1,t.message=e.message,o.sendResponse(t)}}else t&&t.onDidSendMessage&&t.onDidSendMessage(n),n=g.convertToVSCPaths(n,!0),i._debugServiceProxy.$acceptDAMessage(e,n)}),o.onError(i=>{t&&t.onError&&t.onError(i),this._debugServiceProxy.$acceptDAError(e,i.name,i.message,i.stack)}),o.onExit(i=>{t&&t.onExit&&t.onExit(x.withNullAsUndefined(i),void 0),this._debugServiceProxy.$acceptDAExit(e,x.withNullAsUndefined(i),void 0)}),t&&t.onWillStartSession&&t.onWillStartSession(),o.startSession()))})}$sendDAMessage(e,t){t=g.convertToDAPaths(t,!1)
;const i=this._debugAdaptersTrackers.get(e);i&&i.onWillReceiveMessage&&i.onWillReceiveMessage(t);const n=this._debugAdapters.get(e);n&&n.sendMessage(t)}$stopDASession(e){const t=this._debugAdaptersTrackers.get(e);this._debugAdaptersTrackers.delete(e),t&&t.onWillStopSession&&t.onWillStopSession();const i=this._debugAdapters.get(e);return this._debugAdapters.delete(e),i?i.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(e){const t=[],i=[],n=[];if(e.added)for(const i of e.added){const e=i.id;if(e&&!this._breakpoints.has(e)){let n;if("function"===i.type)n=new l.FunctionBreakpoint(i.functionName,i.enabled,i.condition,i.hitCondition,i.logMessage);else if("data"===i.type)n=new l.DataBreakpoint(i.label,i.dataId,i.canPersist,i.enabled,i.hitCondition,i.condition,i.logMessage);else{const e=s.URI.revive(i.uri);n=new l.SourceBreakpoint(new l.Location(e,new l.Position(i.line,i.character)),i.enabled,i.condition,i.hitCondition,i.logMessage)}n._id=e,this._breakpoints.set(e,n),t.push(n)}}
if(e.removed)for(const t of e.removed){const e=this._breakpoints.get(t);e&&(this._breakpoints.delete(t),i.push(e))}if(e.changed)for(const t of e.changed)if(t.id){const e=this._breakpoints.get(t.id);if(e){if(e instanceof l.FunctionBreakpoint&&"function"===t.type){const i=e;i.enabled=t.enabled,i.condition=t.condition,i.hitCondition=t.hitCondition,i.logMessage=t.logMessage,i.functionName=t.functionName}else if(e instanceof l.SourceBreakpoint&&"source"===t.type){const i=e;i.enabled=t.enabled,i.condition=t.condition,i.hitCondition=t.hitCondition,i.logMessage=t.logMessage,i.location=new l.Location(s.URI.revive(t.uri),new l.Position(t.line,t.character))}n.push(e)}}this.fireBreakpointChanges(t,i,n)}$provideDebugConfigurations(e,t,i){return a.asPromise(async()=>{const n=this.getConfigProviderByHandle(e);if(!n)throw new Error("no DebugConfigurationProvider found");if(!n.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const r=await this.getFolder(t)
;return n.provideDebugConfigurations(r,i)}).then(e=>{if(!e)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return e})}$resolveDebugConfiguration(e,t,i,n){return a.asPromise(async()=>{const r=this.getConfigProviderByHandle(e);if(!r)throw new Error("no DebugConfigurationProvider found");if(!r.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const s=await this.getFolder(t);return r.resolveDebugConfiguration(s,i,n)})}$resolveDebugConfigurationWithSubstitutedVariables(e,t,i,n){return a.asPromise(async()=>{const r=this.getConfigProviderByHandle(e);if(!r)throw new Error("no DebugConfigurationProvider found");if(!r.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const s=await this.getFolder(t);return r.resolveDebugConfigurationWithSubstitutedVariables(s,i,n)})}$legacyDebugAdapterExecutable(e,t){
return a.asPromise(async()=>{const i=this.getConfigProviderByHandle(e);if(!i)throw new Error("no DebugConfigurationProvider found");if(!i.debugAdapterExecutable)throw new Error("DebugConfigurationProvider has no method debugAdapterExecutable");const n=await this.getFolder(t);return i.debugAdapterExecutable(n,v.CancellationToken.None)}).then(e=>{if(!e)throw new Error("nothing returned from DebugConfigurationProvider.debugAdapterExecutable");return this.convertToDto(e)})}async $provideDebugAdapter(e,t){const i=this.getAdapterDescriptorFactoryByHandle(e);if(!i)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const n=await this.getSession(t);return this.getAdapterDescriptor(i,n).then(e=>{if(!e)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${n.type}'`);return this.convertToDto(e)})}async $acceptDebugSessionStarted(e){const t=await this.getSession(e);this._onDidStartDebugSession.fire(t)}async $acceptDebugSessionTerminated(e){
const t=await this.getSession(e);t&&(this._onDidTerminateDebugSession.fire(t),this._debugSessions.delete(t.id))}async $acceptDebugSessionActiveChanged(e){this._activeDebugSession=e?await this.getSession(e):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(e,t){const i=await this.getSession(e);i&&i._acceptNameChanged(t)}async $acceptDebugSessionCustomEvent(e,t){const i={session:await this.getSession(e),event:t.event,body:t.body};this._onDidReceiveDebugSessionCustomEvent.fire(i)}convertToDto(e){if(e instanceof l.DebugAdapterExecutable)return{type:"executable",command:e.command,args:e.args,options:e.options};if(e instanceof l.DebugAdapterServer)return{type:"server",port:e.port,host:e.host};if(e instanceof l.DebugAdapterInlineImplementation)return{type:"implementation",implementation:e.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(e){const t=this._adapterFactories.filter(t=>t.type===e)
;if(t.length>0)return t[0].factory}getAdapterDescriptorFactoryByHandle(e){const t=this._adapterFactories.filter(t=>t.handle===e);if(t.length>0)return t[0].factory}getConfigProviderByHandle(e){const t=this._configProviders.filter(t=>t.handle===e);if(t.length>0)return t[0].provider}definesDebugType(e,t){if(e.contributes){const i=e.contributes.debuggers;if(i&&i.length>0)for(const e of i)if(e.label&&e.type&&e.type===t)return!0}return!1}getDebugAdapterTrackers(e){const t=e.configuration.type,i=this._trackerFactories.filter(e=>e.type===t||"*"===e.type).map(t=>a.asPromise(()=>t.factory.createDebugAdapterTracker(e)).then(e=>e,e=>null));return Promise.race([Promise.all(i).then(e=>{const t=e.filter(e=>!!e);if(t.length>0)return new P(t)}),new Promise((e,t)=>{const i=setTimeout(()=>{clearTimeout(i),t(new Error("timeout"))},1e3)})]).catch(e=>{})}async getAdapterDescriptor(e,t){const i=t.configuration.debugServer;if("number"==typeof i)return Promise.resolve(new l.DebugAdapterServer(i))
;const n=this._configProviders.filter(e=>e.type===t.type).pop();if(n&&n.provider.debugAdapterExecutable){const e=n.provider.debugAdapterExecutable;return a.asPromise(()=>e(t.workspaceFolder,v.CancellationToken.None)).then(e=>{if(e)return e})}if(e){const i=await this._extensionService.getExtensionRegistry();return a.asPromise(()=>e.createDebugAdapterDescriptor(t,this.daExecutableFromPackage(t,i))).then(e=>{if(e)return e})}const r=this._aexCommands.get(t.type);if(r){const e=t.workspaceFolder,i=e?e.uri.toString():void 0;return this._commandService.executeCommand(r,i).then(e=>new l.DebugAdapterExecutable(e.command,e.args||[]))}const s=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(t,s))}daExecutableFromPackage(e,t){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(e,t,i){
(e.length>0||t.length>0||i.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:e,removed:t,changed:i}))}async getSession(e){if(e){if("string"!=typeof e){let t=this._debugSessions.get(e.id);if(!t){const i=await this.getFolder(e.folderUri);t=new E(this._debugServiceProxy,e.id,e.type,e.name,i,e.configuration),this._debugSessions.set(t.id,t),this._debugServiceProxy.$sessionCached(t.id)}return t}{const t=this._debugSessions.get(e);if(t)return t}}throw new Error("cannot find session")}getFolder(e){if(e){const t=s.URI.revive(e);return this._workspaceService.resolveWorkspaceFolder(t)}return Promise.resolve(void 0)}};b=n([r(0,y.IExtHostRpcService),r(1,h.IExtHostWorkspace),r(2,d.IExtHostExtensionService),r(3,p.IExtHostDocumentsAndEditors),r(4,m.IExtHostConfiguration),r(5,_.IExtHostCommands)],b),t.ExtHostDebugServiceBase=b;class E{constructor(e,t,i,n,r,s){this._debugServiceProxy=e,this._id=t,this._type=i,this._name=n,this._workspaceFolder=r,this._configuration=s}get id(){return this._id}get type(){
return this._type}get name(){return this._name}set name(e){this._name=e,this._debugServiceProxy.$setDebugSessionName(this._id,e)}_acceptNameChanged(e){this._name=e}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(e,t){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,e,t)}}t.ExtHostDebugSession=E;class S{constructor(e){this._debugServiceProxy=e}append(e){this._debugServiceProxy.$appendDebugConsole(e)}appendLine(e){this.append(e+"\n")}}t.ExtHostDebugConsole=S;class C extends f.AbstractVariableResolverService{constructor(e,t,n,r){super({getFolderUri:t=>{const i=e.filter(e=>e.name===t);if(i&&i.length>0)return i[0].uri},getWorkspaceFolderCount:()=>e.length,getConfigurationValue:(e,t)=>n.getConfiguration(void 0,e).get(t),getExecPath:()=>r?r.VSCODE_EXEC_PATH:void 0,getFilePath:()=>{const e=t.activeEditor();if(e)return i.normalize(e.document.uri.fsPath)},getSelectedText:()=>{const e=t.activeEditor()
;if(e&&!e.selection.isEmpty)return e.document.getText(e.selection)},getLineNumber:()=>{const e=t.activeEditor();if(e)return String(e.selection.end.line+1)}},r)}}t.ExtHostVariableResolverService=C;class P{constructor(e){this.trackers=e}onWillStartSession(){this.trackers.forEach(e=>e.onWillStartSession?e.onWillStartSession():void 0)}onWillReceiveMessage(e){this.trackers.forEach(t=>t.onWillReceiveMessage?t.onWillReceiveMessage(e):void 0)}onDidSendMessage(e){this.trackers.forEach(t=>t.onDidSendMessage?t.onDidSendMessage(e):void 0)}onWillStopSession(){this.trackers.forEach(e=>e.onWillStopSession?e.onWillStopSession():void 0)}onError(e){this.trackers.forEach(t=>t.onError?t.onError(e):void 0)}onExit(e,t){this.trackers.forEach(i=>i.onExit?i.onExit(e,t):void 0)}}class D extends u.AbstractDebugAdapter{constructor(e){super(),this.implementation=e,this.implementation.onDidSendMessage&&e.onDidSendMessage(e=>{this.acceptMessage(e)})}startSession(){return Promise.resolve(void 0)}sendMessage(e){
this.implementation.handleMessage&&this.implementation.handleMessage(e)}stopSession(){return this.implementation.dispose&&this.implementation.dispose(),Promise.resolve(void 0)}}let T=class extends b{constructor(e,t,i,n,r,s){super(e,t,i,n,r,s)}};T=n([r(0,y.IExtHostRpcService),r(1,h.IExtHostWorkspace),r(2,d.IExtHostExtensionService),r(3,p.IExtHostDocumentsAndEditors),r(4,m.IExtHostConfiguration),r(5,_.IExtHostCommands)],T),t.WorkerExtHostDebugService=T})),define(t[225],i([0,1,2,5,31,46,28,8,15,26,4,37,35,9]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let g=class{constructor(e,t,i,n,r,s,o){this._apiFactory=e,this._extensionRegistry=t,this._instaService=i,this._extHostConfiguration=n,this._extHostExtensionService=r,this._initData=s,this._logService=o,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor()
;const e=await this._extHostConfiguration.getConfigProvider(),t=await this._extHostExtensionService.getExtensionPathIndex();this.register(new v(this._apiFactory,t,this._extensionRegistry,e,this._logService)),this.register(this._instaService.createInstance(_)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(y,t,this._initData.environment.appUriScheme))}register(e){if(Array.isArray(e.nodeModuleName))for(let t of e.nodeModuleName)this._factories.set(t,e);else this._factories.set(e.nodeModuleName,e);"function"==typeof e.alternativeModuleName&&this._alternatives.push(t=>e.alternativeModuleName(t))}};g=n([r(2,d.IInstantiationService),r(3,o.IExtHostConfiguration),r(4,p.IExtHostExtensionService),r(5,h.IExtHostInitDataService),r(6,m.ILogService)],g),t.RequireInterceptor=g;class v{constructor(e,t,i,n,r){this._apiFactory=e,this._extensionPaths=t,this._extensionRegistry=i,this._configProvider=n,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(e,t){
const i=this._extensionPaths.findSubstr(t.fsPath);if(i){let e=this._extApiImpl.get(c.ExtensionIdentifier.toKey(i.identifier));return e||(e=this._apiFactory(i,this._extensionRegistry,this._configProvider),this._extApiImpl.set(c.ExtensionIdentifier.toKey(i.identifier),e)),e}if(!this._defaultApiImpl){let e="";this._extensionPaths.forEach((t,i)=>e+=`\t${i} -> ${t.identifier.value}\n`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${t.fsPath}. These are the extension path mappings: \n${e}`),this._defaultApiImpl=this._apiFactory(a.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let _=class{constructor(e,t){this.nodeModuleName="keytar";const{environment:i}=t,n=e.getProxy(s.MainContext.MainThreadKeytar);if(i.appRoot){let e=i.appRoot.fsPath;"win32"===f.platform&&(e=e.replace(/\\/g,"/")),"/"===e[e.length-1]&&(e=e.substr(0,e.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${e}/node_modules.asar/keytar`),
this.alternativeNames.add(`${e}/node_modules/keytar`)}this._impl={getPassword:(e,t)=>n.$getPassword(e,t),setPassword:(e,t,i)=>n.$setPassword(e,t,i),deletePassword:(e,t)=>n.$deletePassword(e,t),findPassword:e=>n.$findPassword(e),findCredentials:e=>n.$findCredentials(e)}}load(e,t){return this._impl}alternativeModuleName(e){const t=e.length;if(t<=7||!this.alternativeNames)return;const i=t-7;return("/"===e.charAt(i)||"\\"===e.charAt(i))&&l.endsWith(e,"keytar")&&(e=e.replace(/\\/g,"/"),this.alternativeNames.has(e))?"keytar":void 0}};_=n([r(0,u.IExtHostRpcService),r(1,h.IExtHostInitDataService)],_);let y=class{constructor(e,t,n){this._extensionPaths=e,this._appUriScheme=t,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=n.getProxy(s.MainContext.MainThreadTelemetry);const r=n.getProxy(s.MainContext.MainThreadWindow);this._impl=(e,t)=>{const n=i.URI.parse(e);return t?this.callOriginal(e,t):"http"===n.scheme||"https"===n.scheme?r.$openUri(n,e,{allowTunneling:!0
}):"mailto"===n.scheme||n.scheme===this._appUriScheme?r.$openUri(n,e,{}):this.callOriginal(e,t)}}load(e,t,i){const n=this._extensionPaths.findSubstr(t.fsPath);return n&&(this._extensionId=n.identifier.value,this.sendShimmingTelemetry()),this._original=i(e),this._impl}callOriginal(e,t){return this.sendNoForwardTelemetry(),this._original(e,t)}sendShimmingTelemetry(){this._extensionId&&this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){this._extensionId&&this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};y=n([r(2,u.IExtHostRpcService)],y)})),define(t[71],i([0,1,2,18,14,3,5,11,30,36,31,22,41,15,26,4,20,10,9,54,181]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v,_,y,w,x,b){"use strict";var E,S,C,P,D,T,I,k,R;Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.from=function(e){if(null!=e)return e},e.to=function(e){if(null!=e)return e}}(E=t.TaskDefinitionDTO||(t.TaskDefinitionDTO={})),function(e){
e.from=function(e){if(null!=e)return e},e.to=function(e){if(null!=e)return e}}(S=t.TaskPresentationOptionsDTO||(t.TaskPresentationOptionsDTO={})),function(e){e.from=function(e){if(null!=e)return e},e.to=function(e){if(null!=e)return e}}(C=t.ProcessExecutionOptionsDTO||(t.ProcessExecutionOptionsDTO={})),function(e){e.is=function(e){if(e){const t=e;return t&&!!t.process}return!1},e.from=function(e){if(null==e)return;const t={process:e.process,args:e.args};return e.options&&(t.options=C.from(e.options)),t},e.to=function(e){if(null!=e)return new l.ProcessExecution(e.process,e.args,e.options)}}(P=t.ProcessExecutionDTO||(t.ProcessExecutionDTO={})),function(e){e.from=function(e){if(null!=e)return e},e.to=function(e){if(null!=e)return e}}(D=t.ShellExecutionOptionsDTO||(t.ShellExecutionOptionsDTO={})),function(e){e.is=function(e){if(e){const t=e;return t&&(!!t.commandLine||!!t.command)}return!1},e.from=function(e){if(null==e)return;const t={}
;return void 0!==e.commandLine?t.commandLine=e.commandLine:(t.command=e.command,t.args=e.args),e.options&&(t.options=D.from(e.options)),t},e.to=function(e){if(null!=e&&(void 0!==e.command||void 0!==e.commandLine))return e.commandLine?new l.ShellExecution(e.commandLine,e.options):new l.ShellExecution(e.command,e.args?e.args:[],e.options)}}(T=t.ShellExecutionDTO||(t.ShellExecutionDTO={})),function(e){e.is=function(e){if(e){let t=e;return t&&"customExecution"===t.customExecution}return!1},e.from=function(e){return{customExecution:"customExecution"}}}(I=t.CustomExecutionDTO||(t.CustomExecutionDTO={})),function(e){e.from=function(e){let t;return void 0!==e.scope&&"number"!=typeof e.scope?t=e.scope.uri:void 0!==e.scope&&"number"==typeof e.scope&&(t=b.USER_TASKS_GROUP_KEY),{id:e._id,workspaceFolder:t}}}(t.TaskHandleDTO||(t.TaskHandleDTO={})),function(e){function t(e,t){if(null==e)return;let i
;e.execution instanceof l.ProcessExecution?i=P.from(e.execution):e.execution instanceof l.ShellExecution?i=T.from(e.execution):e.execution&&e.execution instanceof l.CustomExecution&&(i=I.from(e.execution));const n=E.from(e.definition);let r;if(r=e.scope?"number"==typeof e.scope?e.scope:e.scope.uri:l.TaskScope.Workspace,!n||!r)return;const s=e.group?e.group.id:void 0;return{_id:e._id,definition:n,name:e.name,source:{extensionId:t.identifier.value,label:e.source,scope:r},execution:i,isBackground:e.isBackground,group:s,presentationOptions:S.from(e.presentationOptions),problemMatchers:e.problemMatchers,hasDefinedMatchers:e.hasDefinedMatchers,runOptions:e.runOptions?e.runOptions:{reevaluateOnRerun:!0},detail:e.detail}}e.fromMany=function(e,i){if(null==e)return[];const n=[];for(let r of e){const e=t(r,i);e&&n.push(e)}return n},e.from=t,e.to=async function(e,t){if(null==e)return;let n;P.is(e.execution)?n=P.to(e.execution):T.is(e.execution)&&(n=T.to(e.execution));const r=E.to(e.definition);let s
;if(e.source&&(s=void 0!==e.source.scope?"number"==typeof e.source.scope?e.source.scope:await t.resolveWorkspaceFolder(i.URI.revive(e.source.scope)):l.TaskScope.Workspace),!r||!s)return;const o=new l.Task(r,s,e.name,e.source.label,n,e.problemMatchers);return void 0!==e.isBackground&&(o.isBackground=e.isBackground),void 0!==e.group&&(o.group=l.TaskGroup.from(e.group)),e.presentationOptions&&(o.presentationOptions=S.to(e.presentationOptions)),e._id&&(o._id=e._id),e.detail&&(o.detail=e.detail),o}}(k=t.TaskDTO||(t.TaskDTO={})),function(e){e.from=function(e){return e},e.to=function(e){if(e)return s.assign(Object.create(null),e)}}(R=t.TaskFilterDTO||(t.TaskFilterDTO={}));class A{constructor(e,t,i){this._tasks=e,this._id=t,this._task=i}get task(){return this._task}terminate(){this._tasks.terminateTask(this)}fireDidStartProcess(e){}fireDidEndProcess(e){}}!function(e){e.to=async function(e,t,i){const n=await k.to(e.task,i);if(!n)throw new Error("Unexpected: Task cannot be created.");return new A(t,e.id,n)},
e.from=function(e){return{id:e._id,task:void 0}}}(t.TaskExecutionDTO||(t.TaskExecutionDTO={}));let O=class{constructor(e,t,i,n,r,s,o,l){this._onDidExecuteTask=new a.Emitter,this._onDidTerminateTask=new a.Emitter,this._onDidTaskProcessStarted=new a.Emitter,this._onDidTaskProcessEnded=new a.Emitter,this._proxy=e.getProxy(c.MainContext.MainThreadTask),this._workspaceProvider=i,this._editorService=n,this._configurationService=r,this._terminalService=s,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=o,this._deprecationService=l}registerTaskProvider(e,t,i){if(!i)return new l.Disposable(()=>{});const n=this.nextHandle();return this._handlers.set(n,{type:t,provider:i,extension:e}),this._proxy.$registerTaskProvider(n,t),new l.Disposable(()=>{this._handlers.delete(n),this._proxy.$unregisterTaskProvider(n)})}registerTaskSystem(e,t){
this._proxy.$registerTaskSystem(e,t)}fetchTasks(e){return this._proxy.$fetchTasks(R.from(e)).then(async e=>{const t=[];for(let i of e){const e=await k.to(i,this._workspaceProvider);e&&t.push(e)}return t})}get taskExecutions(){const e=[];return this._taskExecutions.forEach(t=>e.push(t)),e}terminateTask(e){if(!(e instanceof A))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(e._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async resolveDefinition(e,t){return t}async $onDidStartTask(e,t){var i,n;const r=this._providedCustomExecutions2.get(e.id);if(r){if(void 0!==this._activeCustomExecutions2.get(e.id))throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(e.id,r),this._terminalService.attachPtyToTerminal(t,await r.callback(await this.resolveDefinition(null===(i=e.task)||void 0===i?void 0:i.source.scope,null===(n=e.task)||void 0===n?void 0:n.definition)))}this._lastStartedTask=e.id,
this._onDidExecuteTask.fire({execution:await this.getTaskExecution(e)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(e){const t=await this.getTaskExecution(e);this._taskExecutions.delete(e.id),this.customExecutionComplete(e),this._onDidTerminateTask.fire({execution:t})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(e){const t=await this.getTaskExecution(e.id);t&&this._onDidTaskProcessStarted.fire({execution:t,processId:e.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(e){const t=await this.getTaskExecution(e.id);t&&this._onDidTaskProcessEnded.fire({execution:t,exitCode:e.exitCode})}$provideTasks(e,t){const i=this._handlers.get(e);if(!i)return Promise.reject(new Error("no handler found"));const n=[],r=o.asPromise(()=>i.provider.provideTasks(p.CancellationToken.None)).then(e=>this.provideTasksInternal(t,n,i,e));return new Promise(e=>{r.then(t=>{Promise.all(n).then(()=>{
e(t)})})})}async $resolveTask(e,t){const i=this._handlers.get(e);if(!i)return Promise.reject(new Error("no handler found"));if(t.definition.type!==i.type)throw new Error(`Unexpected: Task of type [${t.definition.type}] cannot be resolved by provider of type [${i.type}].`);const n=await k.to(t,this._workspaceProvider);if(!n)throw new Error("Unexpected: Task cannot be resolved.");const r=await i.provider.resolveTask(n,p.CancellationToken.None);if(!r)return;this.checkDeprecation(r,i);const s=k.from(r,i.extension);if(!s)throw new Error("Unexpected: Task cannot be resolved.");if(r.definition!==n.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return I.is(s.execution)&&await this.addCustomExecution(s,r,!0),await this.resolveTaskInternal(s)}nextHandle(){return this._handleCounter++}async addCustomExecution(e,t,i){const n=await this._proxy.$createTaskId(e)
;i||this._providedCustomExecutions2.has(n)||this._notProvidedCustomExecutions.add(n),this._providedCustomExecutions2.set(n,t.execution)}async getTaskExecution(e,t){if("string"==typeof e){const t=this._taskExecutions.get(e);if(!t)throw new Error("Unexpected: The specified task is missing an execution");return t}let i=this._taskExecutions.get(e.id);if(i)return i;const n=t||await k.to(e.task,this._workspaceProvider);if(!n)throw new Error("Unexpected: Task does not exist.");const r=new A(this,e.id,n);return this._taskExecutions.set(e.id,r),r}checkDeprecation(e,t){e._deprecated&&this._deprecationService.report("Task.constructor",t.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(e){this._activeCustomExecutions2.get(e.id)&&this._activeCustomExecutions2.delete(e.id),this._notProvidedCustomExecutions.has(e.id)&&this._lastStartedTask!==e.id&&(this._providedCustomExecutions2.delete(e.id),this._notProvidedCustomExecutions.delete(e.id))
;let t=this._notProvidedCustomExecutions.values(),i=t.next();for(;!i.done;)this._activeCustomExecutions2.has(i.value)||this._lastStartedTask===i.value||(this._providedCustomExecutions2.delete(i.value),this._notProvidedCustomExecutions.delete(i.value)),i=t.next()}};O=n([r(0,m.IExtHostRpcService),r(1,g.IExtHostInitDataService),r(2,u.IExtHostWorkspace),r(3,h.IExtHostDocumentsAndEditors),r(4,d.IExtHostConfiguration),r(5,f.IExtHostTerminalService),r(6,w.ILogService),r(7,x.IExtHostApiDeprecationService)],O),t.ExtHostTaskBase=O;let L=class extends O{constructor(e,t,i,n,r,s,o,a){super(e,t,i,n,r,s,o,a),t.remote.isRemote&&t.remote.authority&&this.registerTaskSystem(_.Schemas.vscodeRemote,{scheme:_.Schemas.vscodeRemote,authority:t.remote.authority,platform:y.PlatformToString(0)})}async executeTask(e,t){const i=k.from(t,e);if(void 0===i)return Promise.reject(new Error("Task is not valid"));if(!I.is(i.execution))throw new Error("Not implemented");return await this.addCustomExecution(i,t,!1),
this._proxy.$executeTask(i).then(e=>this.getTaskExecution(e,t))}provideTasksInternal(e,t,i,n){const r=[];if(n)for(let s of n){this.checkDeprecation(s,i),s.definition&&e[s.definition.type]||this._logService.warn(`The task [${s.source}, ${s.name}] uses an undefined task type. The task will be ignored in the future.`);const n=k.from(s,i.extension);n&&I.is(n.execution)?(r.push(n),t.push(this.addCustomExecution(n,s,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:r,extension:i.extension}}async resolveTaskInternal(e){if(I.is(e.execution))return e;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(e,t){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}}
;L=n([r(0,m.IExtHostRpcService),r(1,g.IExtHostInitDataService),r(2,u.IExtHostWorkspace),r(3,h.IExtHostDocumentsAndEditors),r(4,d.IExtHostConfiguration),r(5,f.IExtHostTerminalService),r(6,w.ILogService),r(7,x.IExtHostApiDeprecationService)],L),t.WorkerExtHostTask=L,t.IExtHostTask=v.createDecorator("IExtHostTask")})),define(t[226],i([0,1,150,11,177,30,37,36,31,40,41,15,47,168,180]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let v=class extends f.ExtHostDebugServiceBase{constructor(e,t,i,n,r,s,o){super(e,t,i,n,r,o),this._terminalService=s}createDebugAdapter(e,t){switch(e.type){case"server":return new o.SocketDebugAdapter(e);case"executable":return new o.ExecutableDebugAdapter(e,t.type)}return super.createDebugAdapter(e,t)}daExecutableFromPackage(e,t){const i=o.ExecutableDebugAdapter.platformAdapterExecutable(t.getAllExtensionDescriptions(),e.type);if(i)return new s.DebugAdapterExecutable(i.command,i.args,i.options)}createSignService(){
return new m.SignService}async $runInTerminal(e){if("integrated"===e.kind){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(e=>{this._integratedTerminalInstance&&this._integratedTerminalInstance===e&&(this._integratedTerminalInstance=void 0)}));let t=!0;if(this._integratedTerminalInstance){const e=await this._integratedTerminalInstance.processId;t=await g.hasChildProcesses(e)}const n=await this._configurationService.getConfigProvider(),r=this._terminalService.getDefaultShell(!0,n);if(t||!this._integratedTerminalInstance){const t={shellPath:r,cwd:e.cwd,name:e.title||i.localize(0,null)};delete e.cwd,this._integratedTerminalInstance=this._terminalService.createTerminalFromOptions(t)}const s=this._integratedTerminalInstance;s.show();const o=await this._integratedTerminalInstance.processId,a=g.prepareCommand(e,r);return s.sendText(a,!0),o}return"external"===e.kind&&g.runInExternalTerminal(e,await this._configurationService.getConfigProvider()),
super.$runInTerminal(e)}createVariableResolver(e,t,i){return new f.ExtHostVariableResolverService(e,t,i,process.env)}};v=n([r(0,p.IExtHostRpcService),r(1,a.IExtHostWorkspace),r(2,c.IExtHostExtensionService),r(3,l.IExtHostDocumentsAndEditors),r(4,u.IExtHostConfiguration),r(5,d.IExtHostTerminalService),r(6,h.IExtHostCommands)],v),t.ExtHostDebugService=v})),define(t[227],i([0,1,7,2,64,30,18,47,36,31,41,15,26,71,20,9,54]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let y=class extends m.ExtHostTaskBase{constructor(e,t,i,n,r,s,o,a){super(e,t,i,n,r,s,o,a),t.remote.isRemote&&t.remote.authority&&this.registerTaskSystem(g.Schemas.vscodeRemote,{scheme:g.Schemas.vscodeRemote,authority:t.remote.authority,platform:process.platform})}async executeTask(e,t){const i=t;if(void 0!==i._id)return this._proxy.$executeTask(m.TaskHandleDTO.from(i)).then(e=>this.getTaskExecution(e,t));{const i=m.TaskDTO.from(t,e)
;return void 0===i?Promise.reject(new Error("Task is not valid")):(m.CustomExecutionDTO.is(i.execution)&&await this.addCustomExecution(i,t,!1),this._proxy.$executeTask(i).then(e=>this.getTaskExecution(e,t)))}}provideTasksInternal(e,t,i,n){const r=[];if(n)for(let s of n){this.checkDeprecation(s,i),s.definition&&e[s.definition.type]||this._logService.warn(`The task [${s.source}, ${s.name}] uses an undefined task type. The task will be ignored in the future.`);const n=m.TaskDTO.from(s,i.extension);n&&(r.push(n),m.CustomExecutionDTO.is(n.execution)&&t.push(this.addCustomExecution(n,s,!0)))}return{tasks:r,extension:i.extension}}async resolveTaskInternal(e){return e}async getVariableResolver(e){if(void 0===this._variableResolver){const t=await this._configurationService.getConfigProvider();this._variableResolver=new l.ExtHostVariableResolverService(e,this._editorService,t,process.env)}return this._variableResolver}async resolveDefinition(e,t){if(!e||"number"==typeof e||!t)return t
;const i=await this._workspaceProvider.resolveWorkspaceFolder(s.URI.revive(e)),n=await this._workspaceProvider.getWorkspaceFolders2();if(!n||!i)return t;const r=await this.getVariableResolver(n),o={uri:i.uri,name:i.name,index:i.index,toResource:()=>{throw new Error("Not implemented")}},a=c.deepClone(t);for(const e in a)a[e]=r.resolve(o,a[e]);return a}async $resolveVariables(e,t){const n=s.URI.revive(e),r={process:void 0,variables:Object.create(null)},a=await this._workspaceProvider.resolveWorkspaceFolder(n),c=await this._workspaceProvider.getWorkspaceFolders2();if(!c||!a)throw new Error("Unexpected: Tasks can only be run in a workspace folder");const l=await this.getVariableResolver(c),u={uri:a.uri,name:a.name,index:a.index,toResource:()=>{throw new Error("Not implemented")}};for(let e of t.variables)r.variables[e]=l.resolve(u,e);if(void 0!==t.process){let e=void 0;if(void 0!==t.process.path){e=t.process.path.split(i.delimiter);for(let t=0;t<e.length;t++)e[t]=l.resolve(u,e[t])}
r.process=await o.win32.findExecutable(l.resolve(u,t.process.name),void 0!==t.process.cwd?l.resolve(u,t.process.cwd):void 0,e)}return r}$getDefaultShellAndArgs(){return this._terminalService.$getDefaultShellAndArgs(!0)}async $jsonTasksSupported(){return!0}};y=n([r(0,p.IExtHostRpcService),r(1,f.IExtHostInitDataService),r(2,a.IExtHostWorkspace),r(3,u.IExtHostDocumentsAndEditors),r(4,h.IExtHostConfiguration),r(5,d.IExtHostTerminalService),r(6,v.ILogService),r(7,_.IExtHostApiDeprecationService)],y),t.ExtHostTask=y})),define(t[228],i([0,1,96,39,2,10,183,31,9,184,30,47,36,104,105,41,15]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let y=class extends v.BaseExtHostTerminalService{constructor(e,t,i,n,r){super(e),this._extHostConfiguration=t,this._extHostWorkspace=i,this._extHostDocumentsAndEditors=n,this._logService=r,this._isWorkspaceShellAllowed=!1,this._updateLastActiveWorkspace(),this._updateVariableResolver(),this._registerListeners()}
createTerminal(e,t,i){const n=new v.ExtHostTerminal(this._proxy,{name:e,shellPath:t,shellArgs:i},e);return this._terminals.push(n),n.create(t,i),n}createTerminalFromOptions(e){const t=new v.ExtHostTerminal(this._proxy,e,e.name);return this._terminals.push(t),t.create(e.shellPath,e.shellArgs,e.cwd,e.env,void 0,e.strictEnv,e.hideFromUser),t}getDefaultShell(e,t){return c.getDefaultShell(e=>{const i=t.getConfiguration(e.substr(0,e.lastIndexOf("."))).inspect(e.substr(e.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(i)},this._isWorkspaceShellAllowed,m.getSystemShell(a.platform),process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),process.env.windir,this._lastActiveWorkspace,this._variableResolver,this._logService,e)}getDefaultShellArgs(e,t){return c.getDefaultShellArgs(e=>{const i=t.getConfiguration(e.substr(0,e.lastIndexOf("."))).inspect(e.substr(e.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(i)
},this._isWorkspaceShellAllowed,e,this._lastActiveWorkspace,this._variableResolver,this._logService)}_apiInspectConfigToPlain(e){return{userValue:e?e.globalValue:void 0,value:e?e.workspaceValue:void 0,defaultValue:e?e.defaultValue:void 0}}async _getNonInheritedEnv(){const e=await g.getMainProcessParentEnv();return e.VSCODE_IPC_HOOK_CLI=process.env.VSCODE_IPC_HOOK_CLI,e}_registerListeners(){this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(()=>this._updateLastActiveWorkspace()),this._extHostWorkspace.onDidChangeWorkspace(()=>this._updateVariableResolver())}_updateLastActiveWorkspace(){const e=this._extHostDocumentsAndEditors.activeEditor();e&&(this._lastActiveWorkspace=this._extHostWorkspace.getWorkspaceFolder(e.document.uri))}async _updateVariableResolver(){const e=await this._extHostConfiguration.getConfigProvider(),t=await this._extHostWorkspace.getWorkspaceFolders2();this._variableResolver=new p.ExtHostVariableResolverService(t||[],this._extHostDocumentsAndEditors,e,process.env)}
async $spawnExtHostProcess(e,t,n,r,l,u){const d={name:t.name,executable:t.executable,args:t.args,cwd:"string"==typeof t.cwd?t.cwd:o.URI.revive(t.cwd),env:t.env},p=a.isWindows?"windows":a.isMacintosh?"osx":"linux",f=await this._extHostConfiguration.getConfigProvider();if(d.executable){if(this._variableResolver&&(d.executable=this._variableResolver.resolve(this._lastActiveWorkspace,d.executable),d.args))if(Array.isArray(d.args)){const e=[];for(const t of d.args)e.push(this._variableResolver.resolve(this._lastActiveWorkspace,t));d.args=e}else d.args=this._variableResolver.resolve(this._lastActiveWorkspace,d.args)}else d.executable=this.getDefaultShell(!1,f),d.args=this.getDefaultShellArgs(!1,f);const m=o.URI.revive(n);let g;if(n&&m){const e=await this._extHostWorkspace.getWorkspaceFolder(m);e&&(g={uri:e.uri,name:e.name,index:e.index,toResource:()=>{throw new Error("Not implemented")}})}const v=f.getConfiguration("terminal.integrated"),_=c.getCwd(d,s.homedir(),g,this._variableResolver,m,v.cwd,this._logService)
;d.cwd=_;const y=this._apiInspectConfigToPlain(f.getConfiguration("terminal.integrated").inspect(`env.${p}`)),w=v.get("inheritEnv",!0)?process.env:await this._getNonInheritedEnv(),x=c.createTerminalEnvironment(d,g,y,this._variableResolver,u,i.default.version,v.get("detectLocale","auto"),w);this._proxy.$sendResolvedLaunchConfig(e,d),this._logService.debug("Terminal process launching on ext host",d,_,r,l,x);this._setupExtHostProcessListeners(e,new h.TerminalProcess(d,_,r,l,x,!1,this._logService))}$getAvailableShells(){return m.detectAvailableShells()}async $getDefaultShellAndArgs(e){const t=await this._extHostConfiguration.getConfigProvider();return{shell:this.getDefaultShell(e,t),args:this.getDefaultShellArgs(e,t)}}$acceptWorkspacePermissionsChanged(e){this._isWorkspaceShellAllowed=e}};y=n([r(0,_.IExtHostRpcService),r(1,l.IExtHostConfiguration),r(2,d.IExtHostWorkspace),r(3,f.IExtHostDocumentsAndEditors),r(4,u.ILogService)],y),t.ExtHostTerminalService=y})),
define(t[229],i([0,1,14,19,6,2,5,222,9,65,66,26,163,15,53,37]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class g{constructor(e,t,i,s){this._disposables=new r.DisposableStore,this._isTerminating=!1,this._hostUtils=i;const v=new a.RPCProtocol(e,null,s);t=g._transform(t,v);const _=new u.ServiceCollection(...l.getSingletonServiceDescriptors());_.set(h.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},t)),_.set(p.IExtHostRpcService,new p.ExtHostRpcService(v)),_.set(f.IURITransformerService,new f.URITransformerService(s)),_.set(m.IHostUtils,i);const y=new d.InstantiationService(_,!0),w=y.invokeFunction(e=>e.get(c.ILogService));this._disposables.add(w),w.info("extension host started"),w.trace("initData",t),this._extensionService=y.invokeFunction(e=>e.get(m.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const x=new WeakMap;this._extensionService.getExtensionPathIndex().then(e=>{
Error.prepareStackTrace=(t,i)=>{let n,r,s="";for(const t of i)s+=`\n\tat ${t.toString()}`,r=t.getFileName(),!n&&r&&(n=e.findSubstr(r));return x.set(t,n),`${t.name||"Error"}: ${t.message||""}${s}`}});const b=v.getProxy(o.MainContext.MainThreadExtensionService),E=v.getProxy(o.MainContext.MainThreadErrors);n.setUnexpectedErrorHandler(e=>{const t=n.transformErrorForSerialization(e),i=x.get(e);i?b.$onExtensionRuntimeError(i.identifier,t):E.$onUnexpectedError(t)})}terminate(){if(this._isTerminating)return;this._isTerminating=!0,this._disposables.dispose(),n.setUnexpectedErrorHandler(e=>{});const e=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([i.timeout(4e3),e]).finally(()=>this._hostUtils.exit())},1e3)}static _transform(e,t){e.extensions.forEach(e=>e.extensionLocation=s.URI.revive(t.transformIncomingURIs(e.extensionLocation))),e.environment.appRoot=s.URI.revive(t.transformIncomingURIs(e.environment.appRoot)),
e.environment.appSettingsHome=s.URI.revive(t.transformIncomingURIs(e.environment.appSettingsHome));const i=e.environment.extensionDevelopmentLocationURI;return i&&(e.environment.extensionDevelopmentLocationURI=i.map(e=>s.URI.revive(t.transformIncomingURIs(e)))),e.environment.extensionTestsLocationURI=s.URI.revive(t.transformIncomingURIs(e.environment.extensionTestsLocationURI)),e.environment.globalStorageHome=s.URI.revive(t.transformIncomingURIs(e.environment.globalStorageHome)),e.environment.userHome=s.URI.revive(t.transformIncomingURIs(e.environment.userHome)),e.logsLocation=s.URI.revive(t.transformIncomingURIs(e.logsLocation)),e.logFile=s.URI.revive(t.transformIncomingURIs(e.logFile)),e.workspace=t.transformIncomingURIs(e.workspace),e}}t.ExtensionHostMain=g})),define(t[230],i([0,1,7,22,44,33,25,58,42,35]),(function(e,t,i,n,r,s,o,a,c,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class u{constructor(e,t,i){this.config=e,this.provider=t,this.sessionToken=i,this.isLimitHit=!1,
this.resultCount=0,this.isCanceled=!1,this.filePattern=e.filePattern,this.includePattern=e.includePattern&&s.parse(e.includePattern),this.maxResults=e.maxResults||void 0,this.exists=e.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=e.excludePattern&&s.parse(e.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(e=>e.cancel()),this.activeCancellationTokens=new Set}search(e){const t=this.config.folderQueries||[];return new Promise((n,s)=>{const o=t=>{this.resultCount++,e(t)};if(this.isCanceled)return n({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(e=>{const t=e.toString(),n=i.basename(t);this.globalExcludePattern&&this.globalExcludePattern(t,n)||this.matchFile(o,{base:e,basename:n})}),Promise.all(t.map(e=>this.searchInFolder(e,o))).then(e=>{n({limitHit:this.isLimitHit,stats:e[0]||void 0})},e=>{s(new Error(r.toErrorMessage(e)))})})}searchInFolder(e,t){const r=new n.CancellationTokenSource
;return new Promise((n,s)=>{const o=this.getSearchOptionsForFolder(e),u=this.initDirectoryTree(),h=new c.QueryGlobTester(this.config,e),d=!h.hasSiblingExcludeClauses();let p;new Promise(e=>l.nextTick(e)).then(()=>(this.activeCancellationTokens.add(r),p=a.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},o,r.token))).then(n=>{const s=p.elapsed(),o=a.StopWatch.create();return this.isCanceled&&!this.isLimitHit?null:(n&&n.forEach(n=>{const r=i.posix.relative(e.folder.path,n.path);if(d){const s=i.basename(n.path);this.matchFile(t,{base:e.folder,relativePath:r,basename:s})}else this.addDirectoryEntries(u,e.folder,r,t)}),this.activeCancellationTokens.delete(r),this.isCanceled&&!this.isLimitHit?null:(this.matchDirectoryTree(u,h,t),{providerTime:s,postProcessTime:o.elapsed()}))}).then(e=>{r.dispose(),n(e)},e=>{r.dispose(),s(e)})})}getSearchOptionsForFolder(e){
const t=c.resolvePatternsForProvider(this.config.includePattern,e.includePattern),i=c.resolvePatternsForProvider(this.config.excludePattern,e.excludePattern);return{folder:e.folder,excludes:i,includes:t,useIgnoreFiles:!e.disregardIgnoreFiles,useGlobalIgnoreFiles:!e.disregardGlobalIgnoreFiles,followSymlinks:!e.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const e={rootEntries:[],pathToEntries:Object.create(null)};return e.pathToEntries["."]=e.rootEntries,e}addDirectoryEntries({pathToEntries:e},t,n,r){if(n===this.filePattern){const e=i.basename(this.filePattern);this.matchFile(r,{base:t,relativePath:this.filePattern,basename:e})}!function n(r){const s=i.basename(r),o=i.dirname(r);let a=e[o];a||(a=e[o]=[],n(o)),a.push({base:t,relativePath:r,basename:s})}(n)}matchDirectoryTree({rootEntries:e,pathToEntries:t},i,n){const r=this,o=this.filePattern;!function e(a){const c=s.hasSiblingFn(()=>a.map(e=>e.basename));for(let s=0,l=a.length;s<l;s++){
const l=a[s],{relativePath:u,basename:h}=l;if(!i.includedInQuerySync(u,h,o!==h?c:void 0))continue;const d=t[u];if(d)e(d);else{if(u===o)continue;r.matchFile(n,l)}if(r.isLimitHit)break}}(e)}matchFile(e,t){(!this.includePattern||t.relativePath&&this.includePattern(t.relativePath,t.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||e(t))}}class h{constructor(){this.sessions=new Map}fileSearch(e,t,i,n){const r=this.getSessionTokenSource(e.cacheKey),s=new u(e,t,r&&r.token);let o=0;return this.doSearch(s,h.BATCH_SIZE,e=>{o+=e.length,i(e.map(e=>this.rawMatchToSearchItem(e)))},n).then(e=>({limitHit:e.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:o,detailStats:e.stats}}))}clearCache(e){const t=this.getSessionTokenSource(e);t&&t.cancel()}getSessionTokenSource(e){if(e)return this.sessions.has(e)||this.sessions.set(e,new n.CancellationTokenSource),this.sessions.get(e)}rawMatchToSearchItem(e){return e.relativePath?{
resource:o.joinPath(e.base,e.relativePath)}:{resource:e.base}}doSearch(e,t,i,n){n.onCancellationRequested(()=>{e.cancel()});let r=[];return e.search(e=>{e&&(r.push(e),t>0&&r.length>=t&&(i(r),r=[]))}).then(e=>(r.length&&i(r),e),e=>(r.length&&i(r),Promise.reject(e)))}}t.FileSearchManager=h,h.BATCH_SIZE=512})),define(t[109],i([0,1]),(function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class i{constructor(e,t){this.line=e,this.character=t}isBefore(e){return!1}isBeforeOrEqual(e){return!1}isAfter(e){return!1}isAfterOrEqual(e){return!1}isEqual(e){return!1}compareTo(e){return 0}translate(e,t){return new i(0,0)}with(e){return new i(0,0)}}t.Position=i;class n{constructor(e,t,n,r){this.isEmpty=!1,this.isSingleLine=!1,this.start=new i(e,t),this.end=new i(n,r)}contains(e){return!1}isEqual(e){return!1}intersection(e){}union(e){return new n(0,0,0,0)}with(e){return new n(0,0,0,0)}}t.Range=n})),define(t[110],i([0,1,7,12,22,44,25,33,2,42,35]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});t.TextSearchManager=class{constructor(e,t,i){this.query=e,this.provider=t,this.fileUtils=i,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(e,t){const i=this.query.folderQueries||[],n=new r.CancellationTokenSource;return t.onCancellationRequested(()=>n.cancel()),new Promise((t,r)=>{this.collector=new h(e);let o=!1;const a=(e,t)=>{if(!o&&!this.isLimitHit){const i=this.resultSize(e);d(e)&&"number"==typeof this.query.maxResults&&this.resultCount+i>this.query.maxResults&&(this.isLimitHit=!0,o=!0,n.cancel(),e=this.trimResultToSize(e,this.query.maxResults-this.resultCount));const r=this.resultSize(e);this.resultCount+=r,r>0&&this.collector.add(e,t)}};Promise.all(i.map((e,t)=>this.searchInFolder(e,e=>a(e,t),n.token))).then(e=>{n.dispose(),this.collector.flush();const i=e.some(e=>!!e&&!!e.limitHit);t({limitHit:this.isLimitHit||i,stats:{type:"textSearchProvider"}})},e=>{n.dispose();const t=s.toErrorMessage(e);r(new Error(t))})})}resultSize(e){const t=e
;return Array.isArray(t.ranges)?t.ranges.length:1}trimResultToSize(e,t){const i=Array.isArray(e.ranges)?e.ranges:[e.ranges],n=Array.isArray(e.preview.matches)?e.preview.matches:[e.preview.matches];return{ranges:i.slice(0,t),preview:{matches:n.slice(0,t),text:e.preview.text},uri:e.uri}}searchInFolder(e,t,n){const r=new l.QueryGlobTester(this.query,e),s=[],c={report:n=>{if(!this.validateProviderResult(n))return;const c="file"===e.folder.scheme?a.hasSiblingPromiseFn(()=>this.fileUtils.readdir(o.dirname(n.uri))):void 0,l=o.relativePath(e.folder,n.uri);l&&s.push(r.includedInQuery(l,i.basename(l),c).then(e=>{e&&t(n)}))}},h=this.getSearchOptionsForFolder(e);return new Promise(e=>u.nextTick(e)).then(()=>this.provider.provideTextSearchResults(function(e){return{isCaseSensitive:e.isCaseSensitive||!1,isRegExp:e.isRegExp||!1,isWordMatch:e.isWordMatch||!1,isMultiline:e.isMultiline||!1,pattern:e.pattern}}(this.query.contentPattern),h,c,n)).then(e=>Promise.all(s).then(()=>e))}validateProviderResult(e){
if(d(e))if(Array.isArray(e.ranges)){if(!Array.isArray(e.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(e.preview.matches.length!==e.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(e.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1;return!0}getSearchOptionsForFolder(e){const t=l.resolvePatternsForProvider(this.query.includePattern,e.includePattern),i=l.resolvePatternsForProvider(this.query.excludePattern,e.excludePattern),n={folder:c.URI.from(e.folder),excludes:i,includes:t,useIgnoreFiles:!e.disregardIgnoreFiles,useGlobalIgnoreFiles:!e.disregardGlobalIgnoreFiles,followSymlinks:!e.ignoreSymlinks,encoding:e.fileEncoding&&this.fileUtils.toCanonicalName(e.fileEncoding),maxFileSize:this.query.maxFileSize,
maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return n.usePCRE2=this.query.usePCRE2,n}};class h{constructor(e){this._onResult=e,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new p(512,e=>this.sendItems(e))}add(e,t){!this._currentFileMatch||this._currentFolderIdx===t&&o.isEqual(this._currentUri,e.uri)||(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=t,this._currentFileMatch={resource:e.uri,results:[]}),this._currentFileMatch.results.push(function(e){return d(e)?{preview:{matches:n.mapArrayOrNot(e.preview.matches,e=>({startLineNumber:e.start.line,startColumn:e.start.character,endLineNumber:e.end.line,endColumn:e.end.character})),text:e.preview.text},ranges:n.mapArrayOrNot(e.ranges,e=>({startLineNumber:e.start.line,startColumn:e.start.character,endLineNumber:e.end.line,endColumn:e.end.character}))}:{text:e.text,
lineNumber:e.lineNumber}}(e))}pushToCollector(){const e=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,e)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(e){this._onResult(e)}}function d(e){return!!e.preview}t.TextSearchResultsCollector=h,t.extensionResultIsMatch=d;class p{constructor(e,t){this.maxBatchSize=e,this.cb=t,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(e,t){e&&this.addItemToBatch(e,t)}addItems(e,t){e&&this.addItemsToBatch(e,t)}addItemToBatch(e,t){this.batch.push(e),this.batchSize+=t,this.onUpdate()}addItemsToBatch(e,t){this.batch=this.batch.concat(e),this.batchSize+=t,this.onUpdate()}onUpdate(){this.totalNumberCompleted<p.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},p.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,
this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}t.BatchedCollector=p,p.TIMEOUT=4e3,p.START_BATCH_AFTER_COUNT=50})),define(t[72],i([0,1,6,5,4,230,15,53,9,2,110]),(function(e,t,i,s,o,a,c,l,u,h,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtHostSearch=o.createDecorator("IExtHostSearch");let p=class{constructor(e,t,i){this.extHostRpc=e,this._uriTransformer=t,this._logService=i,this._proxy=this.extHostRpc.getProxy(s.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new a.FileSearchManager}_transformScheme(e){return this._uriTransformer.transformOutgoingScheme(e)}registerTextSearchProvider(e,t){if(this._textSearchUsedSchemes.has(e))throw new Error(`a text search provider for the scheme '${e}' is already registered`);this._textSearchUsedSchemes.add(e)
;const n=this._handlePool++;return this._textSearchProvider.set(n,t),this._proxy.$registerTextSearchProvider(n,this._transformScheme(e)),i.toDisposable(()=>{this._textSearchUsedSchemes.delete(e),this._textSearchProvider.delete(n),this._proxy.$unregisterProvider(n)})}registerFileSearchProvider(e,t){if(this._fileSearchUsedSchemes.has(e))throw new Error(`a file search provider for the scheme '${e}' is already registered`);this._fileSearchUsedSchemes.add(e);const n=this._handlePool++;return this._fileSearchProvider.set(n,t),this._proxy.$registerFileSearchProvider(n,this._transformScheme(e)),i.toDisposable(()=>{this._fileSearchUsedSchemes.delete(e),this._fileSearchProvider.delete(n),this._proxy.$unregisterProvider(n)})}$provideFileSearchResults(e,t,i,n){const r=f(i),s=this._fileSearchProvider.get(e);if(s)return this._fileSearchManager.fileSearch(r,s,i=>{this._proxy.$handleFileMatch(e,t,i.map(e=>e.resource))},n);throw new Error("unknown provider: "+e)}$clearCache(e){return this._fileSearchManager.clearCache(e),
Promise.resolve(void 0)}$provideTextSearchResults(e,t,i,n){const r=this._textSearchProvider.get(e);if(!r||!r.provideTextSearchResults)throw new Error(`Unknown provider ${e}`);const s=f(i);return this.createTextSearchManager(s,r).search(i=>this._proxy.$handleTextMatch(e,t,i),n)}createTextSearchManager(e,t){return new d.TextSearchManager(e,t,{readdir:e=>Promise.resolve([]),toCanonicalName:e=>e})}};function f(e){return Object.assign(Object.assign({},e),{folderQueries:e.folderQueries&&e.folderQueries.map(m),extraFileResources:e.extraFileResources&&e.extraFileResources.map(e=>h.URI.revive(e))})}function m(e){return Object.assign(Object.assign({},e),{folder:h.URI.revive(e.folder)})}p=n([r(0,c.IExtHostRpcService),r(1,l.IURITransformerService),r(2,u.ILogService)],p),t.ExtHostSearch=p,t.reviveQuery=f})),
define(t[231],i([0,1,142,22,19,3,7,63,2,136,124,125,90,93,5,188,198,40,199,31,200,201,202,189,203,36,37,204,205,207,208,209,69,190,210,211,212,70,41,213,194,21,11,215,216,217,30,46,25,55,174,206,99,108,71,47,72,9,53,15,26,172,52,54,197,214]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f,m,g,v,_,y,w,x,b,E,S,C,P,D,T,I,k,R,A,O,L,M,N,F,H,U,$,W,z,B,j,V,K,q,G,Q,X,J,Y,Z,ee,te,ie,ne,re,se,oe,ae,ce,le,ue,he){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createApiFactoryAndRegisterActors=function(e){const t=e.get(oe.IExtHostInitDataService),o=e.get(P.IExtHostExtensionService),G=e.get(K.IExtHostWorkspace),pe=e.get(y.IExtHostConfiguration),fe=e.get(re.IURITransformerService),me=e.get(se.IExtHostRpcService),ge=e.get(F.IExtHostStorage),ve=e.get(ne.ILogService),_e=e.get(ce.IExtHostTunnelService),ye=e.get(le.IExtHostApiDeprecationService);me.set(f.ExtHostContext.ExtHostLogService,ve),me.set(f.ExtHostContext.ExtHostWorkspace,G),me.set(f.ExtHostContext.ExtHostConfiguration,pe),
me.set(f.ExtHostContext.ExtHostExtensionService,o),me.set(f.ExtHostContext.ExtHostStorage,ge),me.set(f.ExtHostContext.ExtHostTunnelService,_e)
;const we=me.set(f.ExtHostContext.ExtHostDecorations,e.get(Z.IExtHostDecorations)),xe=me.set(f.ExtHostContext.ExtHostDocumentsAndEditors,e.get(C.IExtHostDocumentsAndEditors)),be=me.set(f.ExtHostContext.ExtHostCommands,e.get(v.IExtHostCommands)),Ee=me.set(f.ExtHostContext.ExtHostTerminalService,e.get(H.IExtHostTerminalService)),Se=me.set(f.ExtHostContext.ExtHostDebugService,e.get(te.IExtHostDebugService)),Ce=me.set(f.ExtHostContext.ExtHostSearch,e.get(ie.IExtHostSearch)),Pe=me.set(f.ExtHostContext.ExtHostTask,e.get(ee.IExtHostTask)),De=me.set(f.ExtHostContext.ExtHostOutputService,e.get(A.IExtHostOutputService)),Te=me.set(f.ExtHostContext.ExtHostUrls,new B.ExtHostUrls(me)),Ie=me.set(f.ExtHostContext.ExtHostDocuments,new S.ExtHostDocuments(me,xe)),ke=me.set(f.ExtHostContext.ExtHostDocumentContentProviders,new b.ExtHostDocumentContentProvider(me,xe,ve)),Re=me.set(f.ExtHostContext.ExtHostDocumentSaveParticipant,new E.ExtHostDocumentSaveParticipant(ve,Ie,me.getProxy(f.MainContext.MainThreadTextEditors))),Ae=me.set(f.ExtHostContext.ExtHostEditors,new U.ExtHostEditors(me,xe)),Oe=me.set(f.ExtHostContext.ExtHostTreeViews,new $.ExtHostTreeViews(me.getProxy(f.MainContext.MainThreadTreeViews),be,ve)),Le=me.set(f.ExtHostContext.ExtHostEditorInsets,new X.ExtHostEditorInsets(me.getProxy(f.MainContext.MainThreadEditorInsets),Ae,t.environment)),Me=me.set(f.ExtHostContext.ExtHostDiagnostics,new w.ExtHostDiagnostics(me,ve)),Ne=me.set(f.ExtHostContext.ExtHostLanguageFeatures,new I.ExtHostLanguageFeatures(me,fe,Ie,be,Me,ve,ye)),Fe=me.set(f.ExtHostContext.ExtHostFileSystem,new D.ExtHostFileSystem(me,Ne)),He=me.set(f.ExtHostContext.ExtHostFileSystemEventService,new T.ExtHostFileSystemEventService(me,ve,xe)),Ue=me.set(f.ExtHostContext.ExtHostQuickOpen,new L.ExtHostQuickOpen(me,G,be)),$e=me.set(f.ExtHostContext.ExtHostSCM,new M.ExtHostSCM(me,be,ve)),We=me.set(f.ExtHostContext.ExtHostComments,new _.ExtHostComments(me,be,Ie)),ze=me.set(f.ExtHostContext.ExtHostWindow,new V.ExtHostWindow(me)),Be=me.set(f.ExtHostContext.ExtHostProgress,new O.ExtHostProgress(me.getProxy(f.MainContext.MainThreadProgress))),je=me.set(f.ExtHostContext.ExtHostLabelService,new J.ExtHostLabelService(me)),Ve=me.set(f.ExtHostContext.ExtHostTheming,new ae.ExtHostTheming(me)),Ke=me.set(f.ExtHostContext.ExtHostAuthentication,new ue.ExtHostAuthentication(me)),qe=me.set(f.ExtHostContext.ExtHostTimeline,new he.ExtHostTimeline(me,be)),Ge=me.set(f.ExtHostContext.ExtHostWebviews,new j.ExtHostWebviews(me,t.environment,G,ve,ye,Ie)),Qe=Q.values(f.ExtHostContext)
;me.assertRegistered(Qe);const Xe=new g.ExtHostClipboard(me),Je=new R.ExtHostMessageService(me,ve),Ye=new x.ExtHostDialogs(me),Ze=new N.ExtHostStatusBar(me),et=new k.ExtHostLanguages(me,Ie);return m.ExtHostApiCommands.register(be),function(e,m,g){const v=function(){let t=!e.isUnderDevelopment;function i(i){t||(ve.info(`Extension '${e.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),t=!0)}return function t(n){return Array.isArray(n)?n.forEach(t):"string"==typeof n?i():(void 0===n.scheme&&i(),e.enableProposedApi||"boolean"!=typeof n.exclusive||q.throwProposedApiError(e)),n}}(),_={registerAuthenticationProvider:e=>Ke.registerAuthenticationProvider(e),get providers(){return Ke.providers(e)},get onDidChangeAuthenticationProviders(){return Ke.onDidChangeAuthenticationProviders}},y={registerCommand:(e,t,i)=>be.registerCommand(!0,e,t,i),registerTextEditorCommand:(e,t,i)=>be.registerCommand(!0,e,(...n)=>{const r=Ae.getActiveTextEditor()
;if(r)return r.edit(e=>{t.apply(i,[r,e,...n])}).then(t=>{t||ve.warn("Edits from command "+e+" were not applied.")},t=>{ve.warn("An error occurred while running command "+e,t)});ve.warn("Cannot execute "+e+" because there is no active text editor.")}),registerDiffInformationCommand:(t,i,n)=>(q.checkProposedApiEnabled(e),be.registerCommand(!0,t,async(...e)=>{const r=Ae.getActiveTextEditor();if(!r)return void ve.warn("Cannot execute "+t+" because there is no active text editor.");const s=await Ae.getDiffInformation(r.id);i.apply(n,[s,...e])})),executeCommand:(e,...t)=>be.executeCommand(e,...t),getCommands:(e=!1)=>be.getCommands(e)},w={get machineId(){return t.telemetryInfo.machineId},get sessionId(){return t.telemetryInfo.sessionId},get language(){return t.environment.appLanguage},get appName(){return t.environment.appName},get appRoot(){return t.environment.appRoot.fsPath},get uriScheme(){return t.environment.appUriScheme},get logLevel(){return q.checkProposedApiEnabled(e),W.LogLevel.to(ve.getLevel())},
get onDidChangeLogLevel(){return q.checkProposedApiEnabled(e),s.Event.map(ve.onDidChangeLogLevel,e=>W.LogLevel.to(e))},get clipboard(){return Xe},get shell(){return Ee.getDefaultShell(!1,g)},openExternal:e=>ze.openUri(e,{allowTunneling:!!t.remote.authority}),asExternalUri:e=>e.scheme===t.environment.appUriScheme?Te.createAppUri(e):ze.asExternalUri(e,{allowTunneling:!!t.remote.authority}),get remoteName(){return Y.getRemoteName(t.remote.authority)},get uiKind(){return t.uiKind}};t.environment.extensionTestsLocationURI||Object.freeze(w);const x=t.remote.isRemote?z.ExtensionKind.Workspace:z.ExtensionKind.UI,b={getExtension(t){const i=m.getExtensionDescription(t);if(i)return new de(o,e.identifier,i,x)},get all(){return m.getAllExtensionDescriptions().map(t=>new de(o,e.identifier,t,x))},get onDidChange(){return m.onDidChange}},E={createDiagnosticCollection:e=>Me.createDiagnosticCollection(e),get onDidChangeDiagnostics(){return Me.onDidChangeDiagnostics},getDiagnostics:e=>Me.getDiagnostics(e),
getLanguages:()=>et.getLanguages(),setTextDocumentLanguage:(e,t)=>et.changeLanguage(e.uri,t),match:(e,t)=>d.score(W.LanguageSelector.from(e),t.uri,t.languageId,!0),registerCodeActionsProvider:(t,i,n)=>Ne.registerCodeActionProvider(e,v(t),i,n),registerCodeLensProvider:(t,i)=>Ne.registerCodeLensProvider(e,v(t),i),registerDefinitionProvider:(t,i)=>Ne.registerDefinitionProvider(e,v(t),i),registerDeclarationProvider:(t,i)=>Ne.registerDeclarationProvider(e,v(t),i),registerImplementationProvider:(t,i)=>Ne.registerImplementationProvider(e,v(t),i),registerTypeDefinitionProvider:(t,i)=>Ne.registerTypeDefinitionProvider(e,v(t),i),registerHoverProvider:(t,i)=>Ne.registerHoverProvider(e,v(t),i,e.identifier),registerEvaluatableExpressionProvider:(t,i)=>Ne.registerEvaluatableExpressionProvider(e,v(t),i,e.identifier),registerDocumentHighlightProvider:(t,i)=>Ne.registerDocumentHighlightProvider(e,v(t),i),registerReferenceProvider:(t,i)=>Ne.registerReferenceProvider(e,v(t),i),
registerRenameProvider:(t,i)=>Ne.registerRenameProvider(e,v(t),i),registerDocumentSymbolProvider:(t,i,n)=>Ne.registerDocumentSymbolProvider(e,v(t),i,n),registerWorkspaceSymbolProvider:t=>Ne.registerWorkspaceSymbolProvider(e,t),registerDocumentFormattingEditProvider:(t,i)=>Ne.registerDocumentFormattingEditProvider(e,v(t),i),registerDocumentRangeFormattingEditProvider:(t,i)=>Ne.registerDocumentRangeFormattingEditProvider(e,v(t),i),registerOnTypeFormattingEditProvider:(t,i,n,...r)=>Ne.registerOnTypeFormattingEditProvider(e,v(t),i,[n].concat(r)),registerDocumentSemanticTokensProvider:(t,i,n)=>(q.checkProposedApiEnabled(e),Ne.registerDocumentSemanticTokensProvider(e,v(t),i,n)),registerDocumentRangeSemanticTokensProvider:(t,i,n)=>(q.checkProposedApiEnabled(e),Ne.registerDocumentRangeSemanticTokensProvider(e,v(t),i,n)),registerSignatureHelpProvider:(t,i,n,...r)=>"object"==typeof n?Ne.registerSignatureHelpProvider(e,v(t),i,n):Ne.registerSignatureHelpProvider(e,v(t),i,void 0===n?[]:[n,...r]),
registerCompletionItemProvider:(t,i,...n)=>Ne.registerCompletionItemProvider(e,v(t),i,n),registerDocumentLinkProvider:(t,i)=>Ne.registerDocumentLinkProvider(e,v(t),i),registerColorProvider:(t,i)=>Ne.registerColorProvider(e,v(t),i),registerFoldingRangeProvider:(t,i)=>Ne.registerFoldingRangeProvider(e,v(t),i),registerSelectionRangeProvider:(t,i)=>Ne.registerSelectionRangeProvider(e,t,i),registerCallHierarchyProvider:(t,i)=>Ne.registerCallHierarchyProvider(e,t,i),setLanguageConfiguration:(t,i)=>Ne.setLanguageConfiguration(e,t,i)},S={get activeTextEditor(){return Ae.getActiveTextEditor()},get visibleTextEditors(){return Ae.getVisibleTextEditors()},get activeTerminal(){return Ee.activeTerminal},get terminals(){return Ee.terminals},showTextDocument(e,t,i){let n;return(n=c.URI.isUri(e)?Promise.resolve(C.openTextDocument(e)):Promise.resolve(e)).then(e=>Ae.showTextDocument(e,t,i))},createTextEditorDecorationType:e=>Ae.createTextEditorDecorationType(e),
onDidChangeActiveTextEditor:(e,t,i)=>Ae.onDidChangeActiveTextEditor(e,t,i),onDidChangeVisibleTextEditors:(e,t,i)=>Ae.onDidChangeVisibleTextEditors(e,t,i),onDidChangeTextEditorSelection:(e,t,i)=>Ae.onDidChangeTextEditorSelection(e,t,i),onDidChangeTextEditorOptions:(e,t,i)=>Ae.onDidChangeTextEditorOptions(e,t,i),onDidChangeTextEditorVisibleRanges:(e,t,i)=>Ae.onDidChangeTextEditorVisibleRanges(e,t,i),onDidChangeTextEditorViewColumn:(e,t,i)=>Ae.onDidChangeTextEditorViewColumn(e,t,i),onDidCloseTerminal:(e,t,i)=>Ee.onDidCloseTerminal(e,t,i),onDidOpenTerminal:(e,t,i)=>Ee.onDidOpenTerminal(e,t,i),onDidChangeActiveTerminal:(e,t,i)=>Ee.onDidChangeActiveTerminal(e,t,i),onDidChangeTerminalDimensions:(t,i,n)=>(q.checkProposedApiEnabled(e),Ee.onDidChangeTerminalDimensions(t,i,n)),onDidWriteTerminalData:(t,i,n)=>(q.checkProposedApiEnabled(e),Ee.onDidWriteTerminalData(t,i,n)),get state(){return ze.state},onDidChangeWindowState:(e,t,i)=>ze.onDidChangeWindowState(e,t,i),
showInformationMessage:(t,...i)=>Je.showMessage(e,a.default.Info,t,i[0],i.slice(1)),showWarningMessage:(t,...i)=>Je.showMessage(e,a.default.Warning,t,i[0],i.slice(1)),showErrorMessage:(t,...i)=>Je.showMessage(e,a.default.Error,t,i[0],i.slice(1)),showQuickPick:(t,i,n)=>Ue.showQuickPick(t,!!e.enableProposedApi,i,n),showWorkspaceFolderPick:e=>Ue.showWorkspaceFolderPick(e),showInputBox:(e,t)=>Ue.showInput(e,t),showOpenDialog:e=>Ye.showOpenDialog(e),showSaveDialog:e=>Ye.showSaveDialog(e),createStatusBarItem(t,n){let r,s,o;return t&&"number"!=typeof t?(r=t.id,s=t.name,o=t.alignment,n=t.priority):(r=e.identifier.value,s=i.localize(0,null,e.displayName||e.name),o=t,n=n),Ze.createStatusBarEntry(r,s,o,n)},setStatusBarMessage:(e,t)=>Ze.setStatusBarMessage(e,t),withScmProgress:t=>(ye.report("window.withScmProgress",e,"Use 'withProgress' instead."),Be.withProgress(e,{location:z.ProgressLocation.SourceControl},(e,i)=>t({report(e){}}))),withProgress:(t,i)=>Be.withProgress(e,t,i),
createOutputChannel:e=>De.createOutputChannel(e),createWebviewPanel:(t,i,n,r)=>Ge.createWebviewPanel(e,t,i,n,r),createWebviewTextEditorInset:(t,i,n,r)=>(q.checkProposedApiEnabled(e),Le.createWebviewEditorInset(t,i,n,r,e)),createTerminal:(e,t,i)=>"object"==typeof e?"pty"in e?Ee.createExtensionTerminal(e):Ee.createTerminalFromOptions(e):Ee.createTerminal(e,t,i),registerTreeDataProvider:(t,i)=>Oe.registerTreeDataProvider(t,i,e),createTreeView:(t,i)=>Oe.createTreeView(t,i,e),registerWebviewPanelSerializer:(t,i)=>Ge.registerWebviewPanelSerializer(e,t,i),registerCustomEditorProvider:(t,i,n)=>(q.checkProposedApiEnabled(e),Ge.registerCustomEditorProvider(e,t,i,n)),registerDecorationProvider:t=>(q.checkProposedApiEnabled(e),we.registerDecorationProvider(t,e.identifier)),registerUriHandler:t=>Te.registerUriHandler(e.identifier,t),createQuickPick:()=>Ue.createQuickPick(e.identifier,!!e.enableProposedApi),createInputBox:()=>Ue.createInputBox(e.identifier),get activeColorTheme(){return q.checkProposedApiEnabled(e),
Ve.activeColorTheme},onDidChangeActiveColorTheme:(t,i,n)=>(q.checkProposedApiEnabled(e),Ve.onDidChangeActiveColorTheme(t,i,n))},C={get rootPath(){return ye.report("workspace.rootPath",e,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),G.getPath()},set rootPath(e){throw r.readonly()},getWorkspaceFolder:e=>G.getWorkspaceFolder(e),get workspaceFolders(){return G.getWorkspaceFolders()},get name(){return G.name},set name(e){throw r.readonly()},get workspaceFile(){return G.workspaceFile},set workspaceFile(e){throw r.readonly()},updateWorkspaceFolders:(t,i,...n)=>G.updateWorkspaceFolders(e,t,i||0,...n),onDidChangeWorkspaceFolders:function(e,t,i){return G.onDidChangeWorkspace(e,t,i)},asRelativePath:(e,t)=>G.getRelativePath(e,t),findFiles:(t,i,n,r)=>G.findFiles(W.GlobPattern.from(t),W.GlobPattern.from(i),n,e.identifier,r),findTextInFiles:(t,i,n,r)=>{let s,o;return"object"==typeof i?(s=i,o=n):(s={},o=i,r=n),G.findTextInFiles(t,s||{},o,e.identifier,r)},
saveAll:e=>G.saveAll(e),applyEdit:e=>Ae.applyWorkspaceEdit(e),createFileSystemWatcher:(e,t,i,n)=>He.createFileSystemWatcher(W.GlobPattern.from(e),t,i,n),get textDocuments(){return Ie.getAllDocumentData().map(e=>e.document)},set textDocuments(e){throw r.readonly()},openTextDocument(e){let t;const i=e;if("string"==typeof e)t=Promise.resolve(c.URI.file(e));else if(c.URI.isUri(e))t=Promise.resolve(e);else{if(i&&"object"!=typeof i)throw new Error("illegal argument - uriOrFileNameOrOptions");t=Ie.createDocumentData(i)}return t.then(e=>Ie.ensureDocumentData(e).then(()=>Ie.getDocument(e)))},onDidOpenTextDocument:(e,t,i)=>Ie.onDidAddDocument(e,t,i),onDidCloseTextDocument:(e,t,i)=>Ie.onDidRemoveDocument(e,t,i),onDidChangeTextDocument:(e,t,i)=>Ie.onDidChangeDocument(e,t,i),onDidSaveTextDocument:(e,t,i)=>Ie.onDidSaveDocument(e,t,i),onWillSaveTextDocument:(t,i,n)=>Re.getOnWillSaveTextDocumentEvent(e)(t,i,n),onDidChangeConfiguration:(e,t,i)=>g.onDidChangeConfiguration(e,t,i),getConfiguration(t,i){
return i=1===arguments.length?void 0:i,g.getConfiguration(t,i,e)},registerTextDocumentContentProvider:(e,t)=>ke.registerTextDocumentContentProvider(e,t),registerTaskProvider:(t,i)=>(ye.report("window.registerTaskProvider",e,"Use the corresponding function on the 'tasks' namespace instead"),Pe.registerTaskProvider(e,t,i)),registerFileSystemProvider:(e,t,i)=>Fe.registerFileSystemProvider(e,t,i),get fs(){return Fe.fileSystem},registerFileSearchProvider:(t,i)=>(q.checkProposedApiEnabled(e),Ce.registerFileSearchProvider(t,i)),registerTextSearchProvider:(t,i)=>(q.checkProposedApiEnabled(e),Ce.registerTextSearchProvider(t,i)),registerRemoteAuthorityResolver:(t,i)=>(q.checkProposedApiEnabled(e),o.registerRemoteAuthorityResolver(t,i)),registerResourceLabelFormatter:t=>(q.checkProposedApiEnabled(e),je.$registerResourceLabelFormatter(t)),onDidCreateFiles:(e,t,i)=>He.onDidCreateFile(e,t,i),onDidDeleteFiles:(e,t,i)=>He.onDidDeleteFile(e,t,i),onDidRenameFiles:(e,t,i)=>He.onDidRenameFile(e,t,i),
onWillCreateFiles:(t,i,n)=>He.getOnWillCreateFileEvent(e)(t,i,n),onWillDeleteFiles:(t,i,n)=>He.getOnWillDeleteFileEvent(e)(t,i,n),onWillRenameFiles:(t,i,n)=>He.getOnWillRenameFileEvent(e)(t,i,n),openTunnel:t=>(q.checkProposedApiEnabled(e),_e.openTunnel(t).then(e=>{if(!e)throw new Error("cannot open tunnel");return e})),get tunnels(){return q.checkProposedApiEnabled(e),_e.getTunnels()},onDidChangeTunnels:(t,i,n)=>(q.checkProposedApiEnabled(e),_e.onDidChangeTunnels(t,i,n)),onDidTunnelsChange:(t,i,n)=>(q.checkProposedApiEnabled(e),_e.onDidChangeTunnels(t,i,n)),registerTimelineProvider:(t,i)=>(q.checkProposedApiEnabled(e),qe.registerTimelineProvider(t,i,e.identifier,be.converter))},P={get inputBox(){return ye.report("scm.inputBox",e,"Use 'SourceControl.inputBox' instead"),$e.getLastInputBox(e)},createSourceControl:(t,i,n)=>$e.createSourceControl(e,t,i,n)},D={createCommentController:(t,i)=>We.createCommentController(e,t,i)},T=D,I={get activeDebugSession(){return Se.activeDebugSession},get activeDebugConsole(){
return Se.activeDebugConsole},get breakpoints(){return Se.breakpoints},onDidStartDebugSession:(e,t,i)=>Se.onDidStartDebugSession(e,t,i),onDidTerminateDebugSession:(e,t,i)=>Se.onDidTerminateDebugSession(e,t,i),onDidChangeActiveDebugSession:(e,t,i)=>Se.onDidChangeActiveDebugSession(e,t,i),onDidReceiveDebugSessionCustomEvent:(e,t,i)=>Se.onDidReceiveDebugSessionCustomEvent(e,t,i),onDidChangeBreakpoints:(e,t,i)=>Se.onDidChangeBreakpoints(e,t,i),registerDebugConfigurationProvider:(e,t)=>Se.registerDebugConfigurationProvider(e,t),registerDebugAdapterDescriptorFactory:(t,i)=>Se.registerDebugAdapterDescriptorFactory(e,t,i),registerDebugAdapterTrackerFactory:(e,t)=>Se.registerDebugAdapterTrackerFactory(e,t),startDebugging:(e,t,i)=>!i||"object"==typeof i&&"configuration"in i?Se.startDebugging(e,t,{parentSession:i}):Se.startDebugging(e,t,i||{}),addBreakpoints:e=>Se.addBreakpoints(e),removeBreakpoints:e=>Se.removeBreakpoints(e),asDebugSourceUri:(e,t)=>Se.asDebugSourceUri(e,t)},k={
registerTaskProvider:(t,i)=>Pe.registerTaskProvider(e,t,i),fetchTasks:e=>Pe.fetchTasks(e),executeTask:t=>Pe.executeTask(e,t),get taskExecutions(){return Pe.taskExecutions},onDidStartTask:(e,t,i)=>Pe.onDidStartTask(e,t,i),onDidEndTask:(e,t,i)=>Pe.onDidEndTask(e,t,i),onDidStartTaskProcess:(e,t,i)=>Pe.onDidStartTaskProcess(e,t,i),onDidEndTaskProcess:(e,t,i)=>Pe.onDidEndTaskProcess(e,t,i)};return{version:t.version,authentication:_,commands:y,debug:I,env:w,extensions:b,languages:E,scm:P,comment:D,comments:T,tasks:k,window:S,workspace:C,Breakpoint:z.Breakpoint,CancellationTokenSource:n.CancellationTokenSource,CodeAction:z.CodeAction,CodeActionKind:z.CodeActionKind,CodeActionTrigger:z.CodeActionTrigger,CodeLens:z.CodeLens,CodeInset:z.CodeInset,Color:z.Color,ColorInformation:z.ColorInformation,ColorPresentation:z.ColorPresentation,CommentThreadCollapsibleState:z.CommentThreadCollapsibleState,CommentMode:z.CommentMode,CompletionItem:z.CompletionItem,CompletionItemKind:z.CompletionItemKind,
CompletionItemTag:z.CompletionItemTag,CompletionList:z.CompletionList,CompletionTriggerKind:z.CompletionTriggerKind,ConfigurationTarget:z.ConfigurationTarget,DebugAdapterExecutable:z.DebugAdapterExecutable,DebugAdapterServer:z.DebugAdapterServer,DebugAdapterInlineImplementation:z.DebugAdapterInlineImplementation,DecorationRangeBehavior:z.DecorationRangeBehavior,Diagnostic:z.Diagnostic,DiagnosticRelatedInformation:z.DiagnosticRelatedInformation,DiagnosticSeverity:z.DiagnosticSeverity,DiagnosticTag:z.DiagnosticTag,Disposable:z.Disposable,DocumentHighlight:z.DocumentHighlight,DocumentHighlightKind:z.DocumentHighlightKind,DocumentLink:z.DocumentLink,DocumentSymbol:z.DocumentSymbol,EndOfLine:z.EndOfLine,EvaluatableExpression:z.EvaluatableExpression,EventEmitter:s.Emitter,ExtensionKind:z.ExtensionKind,CustomExecution:z.CustomExecution,CustomExecution2:z.CustomExecution,FileChangeType:z.FileChangeType,FileSystemError:z.FileSystemError,FileType:p.FileType,FoldingRange:z.FoldingRange,
FoldingRangeKind:z.FoldingRangeKind,FunctionBreakpoint:z.FunctionBreakpoint,Hover:z.Hover,IndentAction:h.IndentAction,Location:z.Location,LogLevel:z.LogLevel,MarkdownString:z.MarkdownString,OverviewRulerLane:u.OverviewRulerLane,ParameterInformation:z.ParameterInformation,Position:z.Position,ProcessExecution:z.ProcessExecution,ProgressLocation:z.ProgressLocation,QuickInputButtons:z.QuickInputButtons,Range:z.Range,RelativePattern:z.RelativePattern,ResolvedAuthority:z.ResolvedAuthority,RemoteAuthorityResolverError:z.RemoteAuthorityResolverError,SemanticTokensLegend:z.SemanticTokensLegend,SemanticTokensBuilder:z.SemanticTokensBuilder,SemanticTokens:z.SemanticTokens,SemanticTokensEdits:z.SemanticTokensEdits,SemanticTokensEdit:z.SemanticTokensEdit,Selection:z.Selection,SelectionRange:z.SelectionRange,ShellExecution:z.ShellExecution,ShellQuoting:z.ShellQuoting,SignatureHelpTriggerKind:z.SignatureHelpTriggerKind,SignatureHelp:z.SignatureHelp,SignatureInformation:z.SignatureInformation,SnippetString:z.SnippetString,
SourceBreakpoint:z.SourceBreakpoint,SourceControlInputBoxValidationType:z.SourceControlInputBoxValidationType,StatusBarAlignment:z.StatusBarAlignment,SymbolInformation:z.SymbolInformation,SymbolKind:z.SymbolKind,SymbolTag:z.SymbolTag,Task:z.Task,Task2:z.Task,TaskGroup:z.TaskGroup,TaskPanelKind:z.TaskPanelKind,TaskRevealKind:z.TaskRevealKind,TaskScope:z.TaskScope,TextDocumentSaveReason:z.TextDocumentSaveReason,TextEdit:z.TextEdit,TextEditorCursorStyle:l.TextEditorCursorStyle,TextEditorLineNumbersStyle:z.TextEditorLineNumbersStyle,TextEditorRevealType:z.TextEditorRevealType,TextEditorSelectionChangeKind:z.TextEditorSelectionChangeKind,ThemeColor:z.ThemeColor,ThemeIcon:z.ThemeIcon,TreeItem:z.TreeItem,TreeItem2:z.TreeItem,TreeItemCollapsibleState:z.TreeItemCollapsibleState,Uri:c.URI,ViewColumn:z.ViewColumn,WorkspaceEdit:z.WorkspaceEdit,CallHierarchyOutgoingCall:z.CallHierarchyOutgoingCall,CallHierarchyIncomingCall:z.CallHierarchyIncomingCall,CallHierarchyItem:z.CallHierarchyItem,
DebugConsoleMode:z.DebugConsoleMode,Decoration:z.Decoration,WebviewContentState:z.WebviewContentState,UIKind:f.UIKind,ColorThemeKind:z.ColorThemeKind,TimelineItem:z.TimelineItem}}};class de{constructor(e,t,i,n){this._extensionService=e,this._originExtensionId=t,this._identifier=i.identifier,this.id=i.identifier.value,this.extensionPath=o.normalize(G.originalFSPath(i.extensionLocation)),this.packageJSON=i,this.extensionKind=n}asExtensionUri(e){return q.checkProposedApiEnabled(this.packageJSON),G.joinPath(this.packageJSON.extensionLocation,e)}get isActive(){return this._extensionService.isActivated(this._identifier)}get exports(){if("none"!==this.packageJSON.api)return this._extensionService.getExtensionExports(this._identifier)}activate(){return this._extensionService.activateByIdWithErrors(this._identifier,{startup:!1,extensionId:this._originExtensionId,activationEvent:"api"}).then(()=>this.exports)}}})),define(t[73],i([0,1,8,9,42,12,109]),(function(e,t,i,s,o,a,c){"use strict";function l(e){
return new o.SearchRange(e.start.line,e.start.character,e.end.line,e.end.character)}function u(e){return new c.Range(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn)}Object.defineProperty(t,"__esModule",{value:!0}),t.anchorGlob=function(e){return i.startsWith(e,"**")||i.startsWith(e,"/")?e:`/${e}`},t.createTextSearchResult=function(e,t,i,n){const r=a.mapArrayOrNot(i,l),s=new o.TextSearchMatch(t,r,n),c=s.preview.matches;return{ranges:a.mapArrayOrNot(r,u),uri:e,preview:{text:s.preview.text,matches:a.mapArrayOrNot(c,u)}}};let h=class{constructor(e){this.logService=e}appendLine(e){this.logService.debug("RipgrepSearchEH#search",e)}};h=n([r(0,s.ILogService)],h),t.OutputChannel=h})),define(t[111],i([0,1,120,23,110]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class s extends r.TextSearchManager{constructor(e,t,r=n){super(e,t,{readdir:e=>r.readdir(e.fsPath),toCanonicalName:e=>i.toCanonicalName(e)})}}t.NativeTextSearchManager=s})),
define(t[232],i([0,1,219,247,248,249,39,34,29,18,8,250,44,2,62]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.connectProxyResolver=function(t,o,h,v,S){const C=function(t,i,n,r){const o=process.env;let l=_(i.getConfiguration("http").get("proxy"));i.onDidChangeConfiguration(e=>{l=_(i.getConfiguration("http").get("proxy"))});let h,p=_(o.https_proxy||o.HTTPS_PROXY||o.http_proxy||o.HTTP_PROXY),v=function(e){const t=(e||"").trim().toLowerCase();if("*"===t)return()=>!0;const i=t.split(",").map(e=>e.trim().split(":",2)).map(([e,t])=>({name:e,port:t})).filter(e=>!!e.name).map(({name:e,port:t})=>{return{domain:"."===e[0]?e:`.${e}`,port:t}});if(!i.length)return()=>!1;return(e,t)=>i.some(({domain:i,port:n})=>u.endsWith(`.${e.toLowerCase()}`,i)&&(!n||t===n))}(o.no_proxy||o.NO_PROXY),y=0,w=new Map,S=new Map;function C(e,t){S.set(e,t),S.size>=m&&(w=S,S=new Map,y++,n.trace("ProxyResolver#cacheProxy cacheRolls",y))}let P=0,D=0,T=0,I=0,k=0,R=0,A=0,O=0,L=[]
;function M(){h=void 0,r.$publicLog2("resolveProxy",{count:P,duration:D,errorCount:T,cacheCount:I,cacheSize:S.size,cacheRolls:y,envCount:k,settingsCount:R,localhostCount:A,envNoProxyCount:O,results:L}),P=D=T=I=k=R=A=O=0,L=[]}return function(i,r,o,u,m){h||(h=setTimeout(M,6e5)),function(t,i,n,r){i?async function(t){x||(x=async function(){if("win32"===process.platform)return async function(){const t=await new Promise((t,i)=>{e(["vscode-windows-ca-certs"],t,i)});let i=[];const n=t();try{let e;for(;e=n.next();)i.push(e)}finally{n.done()}const r=new Set(i.map(E));return{certs:Array.from(r),append:!0}}();if("darwin"===process.platform)return async function(){const e=await new Promise((e,t)=>{const i=c.spawn("/usr/bin/security",["find-certificate","-a","-p"]),n=[];i.stdout.setEncoding("utf8"),i.stdout.on("data",e=>n.push(e)),i.on("error",t),i.on("exit",i=>i?t(i):e(n.join("")))}),t=new Set(e.split(/(?=-----BEGIN CERTIFICATE-----)/g).filter(e=>!!e.length));return{certs:Array.from(t),append:!0}}()
;if("linux"===process.platform)return async function(){for(const e of b)try{const t=await f.promisify(a.readFile)(e,{encoding:"utf8"}),i=new Set(t.split(/(?=-----BEGIN CERTIFICATE-----)/g).filter(e=>!!e.length));return{certs:Array.from(i),append:!1}}catch(e){if("ENOENT"!==e.code)throw e}return}();return}().then(e=>e&&e.certs.length?e:void 0).catch(e=>{t.error("ProxyResolver#getCertificates",d.toErrorMessage(e))}));return x}(t).then(e=>{e&&(e.append?n._vscodeAdditionalCaCerts=e.certs:n.ca=e.certs),r()}).catch(e=>{t.error("ProxyResolver#useSystemCertificates",d.toErrorMessage(e))}):r()}(n,i.useSystemCertificates,o,()=>{!function(e,i,r,o,a){if(!e)return void a("DIRECT");const c=s.parse(o),u=c.hostname;if("localhost"===u||"127.0.0.1"===u||"::1"===u||"::ffff:127.0.0.1"===u)return A++,a("DIRECT"),void n.trace("ProxyResolver#resolveProxy localhost",o,"DIRECT");if("string"==typeof u&&v(u,String(c.port||r.agent.defaultPort)))return O++,a("DIRECT"),void n.trace("ProxyResolver#resolveProxy envNoProxy",o,"DIRECT")
;if(l)return R++,a(l),void n.trace("ProxyResolver#resolveProxy settings",o,l);if(p)return k++,a(p),void n.trace("ProxyResolver#resolveProxy env",o,p);const h=function(e){return s.format(Object.assign(Object.assign({},e),{pathname:void 0,search:void 0,hash:void 0}))}(c),f=function(e){let t=S.get(e);return t||((t=w.get(e))&&(w.delete(e),C(e,t)),t)}(h);if(f)return I++,g(L,f,"https:"===c.protocol?"HTTPS":"HTTP",i),a(f),void n.trace("ProxyResolver#resolveProxy cached",o,f);const m=Date.now();t.resolveProxy(o).then(e=>{e&&(C(h,e),g(L,e,"https:"===c.protocol?"HTTPS":"HTTP",i)),a(e),n.debug("ProxyResolver#resolveProxy",o,e)}).then(()=>{P++,D=Date.now()-m+D},e=>{T++,a(),n.error("ProxyResolver#resolveProxy",d.toErrorMessage(e))})}(i.useProxySettings,r,o,u,m)})}}(t,o,v,S);return function(t,i){return t.getExtensionPathIndex().then(t=>{const n=e.__$__nodeRequire("module"),r=n._load;n._load=function(e,n,s){if("tls"===e)return i.tls;if("http"!==e&&"https"!==e)return r.apply(this,arguments)
;const o=i[e],a=t.findSubstr(p.URI.file(n.filename).fsPath);return a&&a.enableProposedApi?o[a.proxySupport]||o.onRequest:o.default}})}(h,function(e,t){const s={config:e.getConfiguration("http").get("proxySupport")||"off"};e.onDidChangeConfiguration(t=>{s.config=e.getConfiguration("http").get("proxySupport")||"off"});const o={config:!!e.getConfiguration("http").get("systemCertificates")};return e.onDidChangeConfiguration(t=>{o.config=!!e.getConfiguration("http").get("systemCertificates")}),{http:{off:l.assign({},i,y(i,t,{config:"off"},o,!0)),on:l.assign({},i,y(i,t,{config:"on"},o,!0)),override:l.assign({},i,y(i,t,{config:"override"},o,!0)),onRequest:l.assign({},i,y(i,t,s,o,!0)),default:l.assign(i,y(i,t,s,o,!1))},https:{off:l.assign({},n,y(n,t,{config:"off"},o,!0)),on:l.assign({},n,y(n,t,{config:"on"},o,!0)),override:l.assign({},n,y(n,t,{config:"override"},o,!0)),onRequest:l.assign({},n,y(n,t,s,o,!0)),default:l.assign(n,y(n,t,s,o,!1))},tls:l.assign(r,w(r))}}(o,C))};const m=5e3;function g(e,t,i,n){
const r=t?String(t).trim().split(/\s+/,1)[0]:"EMPTY";n.on("response",t=>{const n=`HTTP_${t.statusCode}`;v(e,r,i,n).count++}),n.on("error",t=>{const n=t&&"string"==typeof t.code&&t.code||"UNKNOWN_ERROR";v(e,r,i,n).count++})}function v(e,t,i,n){for(const r of e)if(r.proxy===t&&r.connection===i&&r.code===n)return r;const r={proxy:t,connection:i,code:n,count:0};return e.push(r),r}function _(e){const t=(e||"").trim(),i=t.indexOf("://");if(-1===i)return;const n=t.substr(0,i).toLowerCase(),r=t.substr(i+3);return"http"===n?"PROXY "+r:"https"===n?"HTTPS "+r:"socks"===n?"SOCKS "+r:void 0}function y(e,t,i,r,o){return{get:a(e.get),request:a(e.request)};function a(a){return function(c,l,u){if("string"==typeof c||c&&c.searchParams||(u=l,l=c,c=null),"function"==typeof l&&(u=l,l=null),(l=l||{}).socketPath)return a.apply(null,arguments);const d=l.agent;if(!0===d)throw new Error("Unexpected agent option: true")
;const p=d instanceof h.ProxyAgent,f=o&&(l._vscodeProxySupport||l._vscodeSystemProxy)||i.config,m=!p&&("override"===f||"on"===f&&void 0===d),g=!p&&r.config&&e===n&&!l.ca;if(m||g){if(c){const e="string"==typeof c?new s.URL(c):c,t={protocol:e.protocol,hostname:0===e.hostname.lastIndexOf("[",0)?e.hostname.slice(1,-1):e.hostname,port:e.port,path:`${e.pathname}${e.search}`};(e.username||e.password)&&(l.auth=`${e.username}:${e.password}`),l=Object.assign(Object.assign({},t),l)}else l=Object.assign({},l);return l.agent=new h.ProxyAgent({resolveProxy:t.bind(void 0,{useProxySettings:m,useSystemCertificates:g}),defaultPort:e===n?443:80,originalAgent:d}),a(l,u)}return a.apply(null,arguments)}}}function w(e){return{createSecureContext:(t=e.createSecureContext,function(e){const i=t.apply(null,arguments),n=e._vscodeAdditionalCaCerts;if(n)for(const e of n)i.context.addCACert(e);return i})};var t}let x;const b=["/etc/ssl/certs/ca-certificates.crt","/etc/ssl/certs/ca-bundle.crt"];function E(e){
const t=["-----BEGIN CERTIFICATE-----"],i=e.toString("base64");for(let e=0;e<i.length;e+=64)t.push(i.substr(e,64));return t.push("-----END CERTIFICATE-----",""),t.join(o.EOL)}})),define(t[233],i([0,1,231,225,5,232,37,220,218,2,20]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class h extends n.RequireInterceptor{_installInterceptor(){const t=this,i=e.__$__nodeRequire("module"),n=i._load;i._load=function(e,i,r){for(let i of t._alternatives){let t=i(e);if(t){e=t;break}}return t._factories.has(e)?t._factories.get(e).load(e,l.URI.file(i.filename),e=>n.apply(this,[e,i,r])):n.apply(this,arguments)}}}class d extends o.AbstractExtHostExtensionService{async _beforeAlmostReadyToRunExtensions(){const e=this._instaService.invokeFunction(i.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(a.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const e=this._instaService.createInstance(c.CLIServer)
;process.env.VSCODE_IPC_HOOK_CLI=e.ipcHandlePath}const t=this._instaService.createInstance(h,e,this._registry);await t.install();const n=await this._extHostConfiguration.getConfigProvider();await s.connectProxyResolver(this._extHostWorkspace,n,this,this._logService,this._mainThreadTelemetryProxy);const o=process.send,l=this._extHostContext.getProxy(r.MainContext.MainThreadConsole);process.send=(...e)=>0!==e.length&&e[0]&&"__$console"===e[0].type?(l.$logExtensionHostMessage(e[0]),!1):o.apply(process,e)}_loadCommonJSModule(t,i){if(t.scheme!==u.Schemas.file)throw new Error(`Cannot load URI: '${t}', must be of file-scheme`);let n=null;i.codeLoadingStart(),this._logService.info(`ExtensionService#loadCommonJSModule ${t.toString(!0)}`),this._logService.flush();try{n=e.__$__nodeRequire(t.fsPath)}catch(e){return Promise.reject(e)}finally{i.codeLoadingStop()}return Promise.resolve(n)}async $setRemoteEnvironment(e){if(this._initData.remote.isRemote)for(const t in e){const i=e[t]
;null===i?delete process.env[t]:process.env[t]=i}}}t.ExtHostExtensionService=d})),define(t[234],i([0,1,29,7,61,18,32,10,8,73,235]),(function(e,t,i,n,r,s,o,a,c,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const h=u.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function d(e,t,i,n=!0){const r=[];let o={};return e.forEach(e=>{const a=f(s.assign({},e.excludePattern||{},t||{}),n?e.folder.fsPath:void 0,i);r.push(...a.globArgs),a.siblingClauses&&(o=s.assign(o,a.siblingClauses))}),{globArgs:r,siblingClauses:o}}function p(e,t,i=!0){const n=[];return e.forEach(e=>{const r=f(s.assign({},t||{},e.includePattern||{}),i?e.folder.fsPath:void 0);n.push(...r.globArgs)}),n}function f(e,t,i){const n=[],r={};return Object.keys(e).forEach(s=>{if(i&&i.has(s))return;if(!s)return;const o=e[s];s=function(e){return e=c.rtrim(e,"\\"),c.rtrim(e,"/")}(t?m(t,s):s),s=c.startsWith(s,"\\\\")?"\\\\"+s.substr(2).replace(/\\/g,"/"):s.replace(/\\/g,"/"),
"boolean"==typeof o&&o?(c.startsWith(s,"\\\\")&&(s+="**"),n.push(g(s))):o&&o.when&&(r[s]=o)}),{globArgs:n,siblingClauses:r}}function m(e,t){return n.isAbsolute(t)?t:n.join(e,t)}function g(e){return"c:/"===o.getRoot(e).toLowerCase()?e.replace(/^c:[/\\]/i,"/"):e}t.spawnRipgrepCmd=function(e,t,n,s){const o=function(e,t,i,n){const s=["--files","--hidden","--case-sensitive"];p([t],i,!1).forEach(e=>{const t=l.anchorGlob(e);if(s.push("-g",t),a.isMacintosh){const e=r.normalizeNFD(t);e!==t&&s.push("-g",e)}});const o=d([t],n,void 0,!1);o.globArgs.forEach(e=>{const t=`!${l.anchorGlob(e)}`;if(s.push("-g",t),a.isMacintosh){const e=r.normalizeNFD(t);e!==t&&s.push("-g",e)}}),!1!==t.disregardIgnoreFiles?s.push("--no-ignore"):s.push("--no-ignore-parent");t.ignoreSymlinks||s.push("--follow");e.exists&&s.push("--quiet");s.push("--no-config"),t.disregardGlobalIgnoreFiles&&s.push("--no-ignore-global");return{args:s,siblingClauses:o.siblingClauses}}(e,t,n,s),c=t.folder.fsPath;return{cmd:i.spawn(h,o.args,{cwd:c}),
siblingClauses:o.siblingClauses,rgArgs:o,cwd:c}},t.foldersToRgExcludeGlobs=d,t.foldersToIncludeGlobs=p,t.getAbsoluteGlob=m,t.fixDriveC=g})),define(t[236],i([0,1,29,34,7,83,12,44,33,61,18,32,10,58,8,13,23,234,88]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f,m,g,v,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const y=new Set;process.on("exit",()=>{y.forEach(e=>e())});class w{constructor(e){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=e,this.filePattern=e.filePattern||"",this.includePattern=e.includePattern&&c.parse(e.includePattern),this.maxResults=e.maxResults||null,this.exists=!!e.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=_.prepareQuery(this.filePattern).lowercase),this.globalExcludePattern=e.excludePattern&&c.parse(e.excludePattern),
this.folderExcludePatterns=new Map,e.folderQueries.forEach(t=>{const i=u.assign({},t.excludePattern||{},this.config.excludePattern||{}),n=t.folder.fsPath;e.folderQueries.map(e=>e.folder.fsPath).filter(e=>e!==n).forEach(e=>{h.isEqualOrParent(e,n)&&(i[r.relative(n,e)]=!0)}),this.folderExcludePatterns.set(n,new x(i,n))})}cancel(){this.isCanceled=!0}walk(e,t,i,n,s){if(this.fileWalkSW=p.StopWatch.create(!1),this.isCanceled)return s(null,this.isLimitHit);t.forEach(e=>{const t=r.basename(e.fsPath);this.globalExcludePattern&&this.globalExcludePattern(e.fsPath,t)||this.matchFile(i,{relativePath:e.fsPath,basename:t})}),this.cmdSW=p.StopWatch.create(!1),this.parallel(e,(e,t)=>{this.call(this.cmdTraversal,this,e,i,n,e=>{if(e){const i=a.toErrorMessage(e);console.error(i),this.errors.push(i),t(e,void 0)}else t(null,void 0)})},(e,t)=>{this.fileWalkSW.stop();const i=e?o.coalesce(e)[0]:null;s(i,this.isLimitHit)})}parallel(e,t,i){const n=new Array(e.length),r=new Array(e.length);let s=!1,o=0;if(0===e.length)return i(null,[])
;e.forEach((a,c)=>{t(a,(t,a)=>{if(t?(s=!0,n[c]=null,r[c]=t):(n[c]=a,r[c]=null),++o===e.length)return i(s?r:null,n)})})}call(e,t,...i){try{e.apply(t,i)}catch(e){i[i.length-1](e)}}cmdTraversal(e,t,i,n){const s=e.folder.fsPath,o=d.isMacintosh;let a;const c=()=>a&&a.kill();y.add(c);let u=e=>{y.delete(c),u=()=>{},n(e)},h="";const p=this.initDirectoryTree();let f;const m=v.spawnRipgrepCmd(this.config,e,this.config.includePattern,this.folderExcludePatterns.get(e.folder.fsPath).expression);a=m.cmd,f=!Object.keys(m.siblingClauses).length;let g=`rg ${m.rgArgs.args.map(e=>e.match(/^-/)?e:`'${e}'`).join(" ")}\n - cwd: ${m.cwd}`;m.rgArgs.siblingClauses&&(g+=`\n - Sibling clauses: ${JSON.stringify(m.rgArgs.siblingClauses)}`),i({message:g}),this.cmdResultCount=0,this.collectStdout(a,"utf8",i,(e,i,n)=>{if(e)return void u(e);if(this.isLimitHit)return void u();const a=(h+(o?l.normalizeNFC(i||""):i)).split("\n");if(n){const e=a.length;a[e-1]=a[e-1].trim(),a[e-1]||a.pop()}else h=a.pop()||""
;if(a.length&&-1!==a[0].indexOf("\n"))u(new Error("Splitting up files failed"));else if(this.cmdResultCount+=a.length,f){for(const e of a){const i=r.basename(e);if(this.matchFile(t,{base:s,relativePath:e,basename:i}),this.isLimitHit){c();break}}(n||this.isLimitHit)&&u()}else this.addDirectoryEntries(p,s,a,t),n&&(this.matchDirectoryTree(p,s,t),u())})}spawnFindCmd(e){const t=this.folderExcludePatterns.get(e.folder.fsPath),n=t.getBasenameTerms(),r=t.getPathTerms(),s=["-L","."];if(n.length||r.length){s.push("-not","(","(");for(const e of n)s.push("-name",e),s.push("-o");for(const e of r)s.push("-path",e),s.push("-o");s.pop(),s.push(")","-prune",")")}return s.push("-type","f"),i.spawn("find",s,{cwd:e.folder.fsPath})}readStdout(e,t,i){let n="";this.collectStdout(e,t,()=>{},(e,t,r)=>{e?i(e):(n+=t,r&&i(null,n))})}collectStdout(e,t,i,n){let r,s=(e,t,i)=>{(e||i)&&(s=()=>{},this.cmdSW&&this.cmdSW.stop()),n(e,t,i)},o=!1;e.stdout?(this.forwardData(e.stdout,t,s),e.stdout.once("data",()=>o=!0)):i({message:"stdout is null"
}),e.stderr?r=this.collectData(e.stderr):i({message:"stderr is null"}),e.on("error",e=>{s(e)}),e.on("close",e=>{let i;!o&&(i=this.decodeData(r,t))&&b(i)?s(new Error(`command failed with error code ${e}: ${this.decodeData(r,t)}`)):(this.exists&&0===e&&(this.isLimitHit=!0),s(null,"",!0))})}forwardData(e,t,i){const n=new s.StringDecoder(t);return e.on("data",e=>{i(null,n.write(e))}),n}collectData(e){const t=[];return e.on("data",e=>{t.push(e)}),t}decodeData(e,t){const i=new s.StringDecoder(t);return e.map(e=>i.write(e)).join("")}initDirectoryTree(){const e={rootEntries:[],pathToEntries:Object.create(null)};return e.pathToEntries["."]=e.rootEntries,e}addDirectoryEntries({pathToEntries:e},t,i,n){if(-1!==i.indexOf(this.filePattern)){const e=r.basename(this.filePattern);this.matchFile(n,{base:t,relativePath:this.filePattern,basename:e})}i.forEach((function i(n){const s=r.basename(n),o=r.dirname(n);let a=e[o];a||(a=e[o]=[],i(o)),a.push({base:t,relativePath:n,basename:s})}))}
matchDirectoryTree({rootEntries:e,pathToEntries:t},i,n){const r=this,s=this.folderExcludePatterns.get(i),o=this.filePattern;!function e(i){r.directoriesWalked++;const a=c.hasSiblingFn(()=>i.map(e=>e.basename));for(let c=0,l=i.length;c<l;c++){const l=i[c],{relativePath:u,basename:h}=l;if(s.test(u,h,o!==h?a:void 0))continue;const d=t[u];if(d)e(d);else{if(r.filesWalked++,u===o)continue;r.matchFile(n,l)}if(r.isLimitHit)break}}(e)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(e,t,i,s,a){const l=e.folder,u=c.hasSiblingFn(()=>i);this.parallel(i,(i,o)=>{if(this.isCanceled||this.isLimitHit)return o(null);const a=t?[t,i].join(r.sep):i;if(this.folderExcludePatterns.get(e.folder.fsPath).test(a,i,this.config.filePattern!==i?u:void 0))return o(null);const c=[l.fsPath,a].join(r.sep);n.lstat(c,(t,n)=>{if(t||this.isCanceled||this.isLimitHit)return o(null)
;this.statLinkIfNeeded(c,n,(t,r)=>t||this.isCanceled||this.isLimitHit?o(null):r.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(c,n,(t,i)=>t||this.isCanceled||this.isLimitHit?o(null):(i=i||"",this.walkedPaths[i]?o(null):(this.walkedPaths[i]=!0,g.readdir(c).then(t=>{if(this.isCanceled||this.isLimitHit)return o(null);this.doWalk(e,a,t,s,e=>o(e||null))},e=>{o(null)}))))):(this.filesWalked++,a===this.filePattern?o(null,void 0):this.maxFilesize&&m.isNumber(r.size)&&r.size>this.maxFilesize?o(null,void 0):(this.matchFile(s,{base:l.fsPath,relativePath:a,basename:i,size:r.size}),o(null,void 0))))})},e=>{const t=e?o.coalesce(e):e;return a(t&&t.length>0?t[0]:void 0)})}matchFile(e,t){!this.isFilePatternMatch(t.relativePath)||this.includePattern&&!this.includePattern(t.relativePath,t.basename)||(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||e(t))}isFilePatternMatch(e){if(this.filePattern){if("*"===this.filePattern)return!0
;if(this.normalizedFilePatternLowercase)return f.fuzzyContains(e,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(e,t,i){return t.isSymbolicLink()?n.stat(e,i):i(null,t)}realPathIfNeeded(e,t,i){return t.isSymbolicLink()?n.realpath(e,(e,t)=>e?i(e):i(null,t)):i(null,e)}}t.FileWalker=w;t.Engine=class{constructor(e){this.folderQueries=e.folderQueries,this.extraFiles=e.extraFileResources||[],this.walker=new w(e)}search(e,t,i){this.walker.walk(this.folderQueries,this.extraFiles,e,t,(e,t)=>{i(e,{limitHit:t,stats:this.walker.getStats()})})}cancel(){this.walker.cancel()}};class x{constructor(e,t){this.expression=e,this.root=t,this.init(e)}init(e){let t,i;Object.keys(e).filter(t=>e[t]).forEach(n=>{r.isAbsolute(n)?(t=t||c.getEmptyExpression())[n]=e[n]:(i=i||c.getEmptyExpression())[n]=e[n]}),this.absoluteParsedExpr=t&&c.parse(t,{trimForExclusions:!0}),this.relativeParsedExpr=i&&c.parse(i,{trimForExclusions:!0})}test(e,t,i){
return this.relativeParsedExpr&&this.relativeParsedExpr(e,t,i)||this.absoluteParsedExpr&&this.absoluteParsedExpr(r.join(this.root,e),t,i)}getBasenameTerms(){const e=[];return this.absoluteParsedExpr&&e.push(...c.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&e.push(...c.getBasenameTerms(this.relativeParsedExpr)),e}getPathTerms(){const e=[];return this.absoluteParsedExpr&&e.push(...c.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&e.push(...c.getPathTerms(this.relativeParsedExpr)),e}}function b(e){const t=e.trim().split("\n"),i=t[0].trim();return f.startsWith(i,"Error parsing regex")?i:f.startsWith(i,"regex parse error")?f.uppercaseFirstLetter(t[t.length-1].trim()):f.startsWith(i,"error parsing glob")||f.startsWith(i,"unsupported encoding")?i.charAt(0).toUpperCase()+i.substr(1):"Literal '\\n' not allowed."===i?"Literal '\\n' currently not supported":f.startsWith(i,"Literal ")?i:void 0}t.rgErrorMsgForDisplay=b})),
define(t[112],i([0,1,29,251,7,83,8,2,42,235,73,12,33,55,109]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const m=l.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function g(e){const t=e.split("\n"),i=t[0].trim();if(t.some(e=>o.startsWith(e,"regex parse error")))return new c.SearchError(v(t),c.SearchErrorCode.regexParseError);const n=i.match(/grep config error: unknown encoding: (.*)/);return n?new c.SearchError(`Unknown encoding: ${n[1]}`,c.SearchErrorCode.unknownEncoding):o.startsWith(i,"error parsing glob")?new c.SearchError(i.charAt(0).toUpperCase()+i.substr(1),c.SearchErrorCode.globParseError):o.startsWith(i,"the literal")?new c.SearchError(i.charAt(0).toUpperCase()+i.substr(1),c.SearchErrorCode.invalidLiteral):o.startsWith(i,"PCRE2: error compiling pattern")?new c.SearchError(i,c.SearchErrorCode.regexParseError):void 0}function v(e){let t=["Regex parse error"],i=e.filter(e=>o.startsWith(e,"PCRE2:"));if(i.length>=1){
let e=i[0].replace("PCRE2:","");if(-1!==e.indexOf(":")&&e.split(":").length>=2){let i=e.split(":")[1];t.push(":"+i)}}return t.join("")}t.RipgrepTextSearchEngine=class{constructor(e){this.outputChannel=e}provideTextSearchResults(e,t,n,r){return this.outputChannel.appendLine(`provideTextSearchResults ${e.pattern}, ${JSON.stringify(Object.assign(Object.assign({},t),{folder:t.folder.toString()}))}`),new Promise((s,a)=>{r.onCancellationRequested(()=>C());const l=function(e,t){const i=["--hidden"];i.push(e.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:n,otherIncludes:r}=p.groupBy(t.includes,e=>o.startsWith(e,"**")?"doubleStarIncludes":"otherIncludes");if(r&&r.length){const e=new Set;r.forEach(t=>{o.endsWith(t,"/**")||(t+="/**"),e.add(t)}),i.push("-g","!*"),e.forEach(e=>{w(e).map(u.anchorGlob).forEach(e=>{i.push("-g",e)})})}n&&n.length&&n.forEach(e=>{i.push("-g",e)});t.excludes.map(u.anchorGlob).forEach(e=>i.push("-g",`!${e}`)),t.maxFileSize&&i.push("--max-filesize",t.maxFileSize+"")
;t.useIgnoreFiles?i.push("--no-ignore-parent"):i.push("--no-ignore");t.followSymlinks&&i.push("--follow");t.encoding&&"utf8"!==t.encoding&&i.push("--encoding",t.encoding);"--"===e.pattern&&(e.isRegExp=!0,e.pattern="\\-\\-");e.isMultiline&&!e.isRegExp&&(e.pattern=o.escapeRegExpCharacters(e.pattern),e.isRegExp=!0);t.usePCRE2&&i.push("--pcre2");i.push("--crlf"),e.isRegExp&&(e.pattern=x(e.pattern),i.push("--auto-hybrid-regex"));let s;if(e.isWordMatch){const t=o.createRegExp(e.pattern,!!e.isRegExp,{wholeWord:e.isWordMatch}).source.replace(/\\\//g,"/");i.push("--regexp",t)}else if(e.isRegExp){let t=b(e.pattern);t=E(t),i.push("--regexp",t)}else s=e.pattern,i.push("--fixed-strings");i.push("--no-config"),t.useGlobalIgnoreFiles||i.push("--no-ignore-global");i.push("--json"),e.isMultiline&&i.push("--multiline");t.beforeContext&&i.push("--before-context",t.beforeContext+"");t.afterContext&&i.push("--after-context",t.afterContext+"");i.push("--"),s&&i.push(s);return i.push("."),i
}(e,t),h=t.folder.fsPath,d=l.map(e=>e.match(/^-/)?e:`'${e}'`).join(" ");this.outputChannel.appendLine(`rg ${d}\n - cwd: ${h}`);let f=i.spawn(m,l,{cwd:h});f.on("error",e=>{console.error(e),this.outputChannel.appendLine("Error: "+(e&&e.message)),a(c.serializeSearchError(new c.SearchError(e&&e.message,c.SearchErrorCode.rgProcessError)))});let v=!1;const y=new _(t.maxResults,h,t.previewOptions);y.on("result",e=>{v=!0,n.report(e)});let S=!1;const C=()=>{S=!0,f&&f.kill(),y&&y.cancel()};let P=!1;y.on("hitLimit",()=>{P=!0,C()}),f.stdout.on("data",e=>{y.handleData(e)});let D=!1;f.stdout.once("data",()=>D=!0);let T="";f.stderr.on("data",e=>{const t=e.toString();this.outputChannel.appendLine(t),T+=t}),f.on("close",()=>{if(this.outputChannel.appendLine(D?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(v?"Got result from parser":"No result from parser"),this.outputChannel.appendLine(""),S)s({limitHit:P});else{let e;y.flush(),f=null,
T&&!D&&(e=g(T))?a(c.serializeSearchError(new c.SearchError(e.message,e.code))):s({limitHit:P})}})})}},t.rgErrorMsgForDisplay=g,t.buildRegexParseError=v;class _ extends n.EventEmitter{constructor(e,t,i){super(),this.maxResults=e,this.rootFolder=t,this.previewOptions=i,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new s.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(e,t){return super.on(e,t),this}handleData(e){if(this.isDone)return;const t="string"==typeof e?e:this.stringDecoder.write(e);this.handleDecodedData(t)}handleDecodedData(e){let t=e.indexOf("\n");const i=this.remainder+e;if(!(t>=0))return void(this.remainder=i);t+=this.remainder.length;let n=0;for(;t>=0;)this.handleLine(i.substring(n,t).trim()),n=t+1,t=i.indexOf("\n",n);this.remainder=i.substring(n)}handleLine(e){if(this.isDone||!e)return;let t;try{t=JSON.parse(e)}catch(t){throw new Error(`malformed line from rg: ${e}`)}if("match"===t.type){
const e=y(t.data.path),i=a.URI.file(r.join(this.rootFolder,e)),n=this.createTextSearchMatch(t.data,i);this.onResult(n),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if("context"===t.type){const e=y(t.data.path),i=a.URI.file(r.join(this.rootFolder,e));this.createTextSearchContext(t.data,i).forEach(e=>this.onResult(e))}}createTextSearchMatch(e,t){const i=e.line_number-1;let n=!1,r=y(e.lines);0===i&&o.startsWithUTF8BOM(r)&&(n=!0,r=o.stripUTF8BOM(r));const s=Buffer.from(r);let a=0,c=0,l=i;const d=h.coalesce(e.submatches.map((e,t)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);let r=y(e.match);0===i&&0===t&&n&&(r=o.stripUTF8BOM(r),e.start=e.start<=3?0:e.start-3,e.end=e.end<=3?0:e.end-3);const u=s.slice(a,e.start).toString().length;let h=c+u;const d=function(e){const t=/\n/g;let i,n=0,r=-1;for(;i=t.exec(e);)n++,r=i.index;const s=r>=0?e.length-r-1:e.length;return{numLines:n,lastLineLength:s}}(r),p=l,m=d.numLines+p
;let g=d.numLines>0?d.lastLineLength:d.lastLineLength+h;return a=e.end,c=g,l=m,new f.Range(p,h,m,g)}));return u.createTextSearchResult(t,r,d,this.previewOptions)}createTextSearchContext(e,t){const i=y(e.lines),n=e.line_number;return i.replace(/\r?\n$/,"").split("\n").map((e,i)=>({text:e,uri:t,lineNumber:n+i}))}onResult(e){this.emit("result",e)}}function y(e){return e.bytes?Buffer.from(e.bytes,"base64").toString():e.text}function w(e){const t=d.splitGlobAware(e,"/");return"**"!==t[t.length-1]&&t.push("**"),t.map((e,i)=>t.slice(0,i+1).join("/"))}function x(e){const t=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/g;for(;e.match(t);)e=e.replace(t,"$1\\x{$2}");const i=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/g;for(;e.match(i);)e=e.replace(i,"$1\\x{$2}");return e}function b(e){return e.replace(/(?<=[^\\]|^)(\\\\)*\\n/g,"$1\\r?\\n")}function E(e){return e.replace(/\n/g,"\\r?\\n")}t.RipgrepParser=_,t.spreadGlobComponents=w,t.unicodeEscapesToPCRE2=x,t.fixRegexNewline=b,t.fixNewline=E})),
define(t[237],i([0,1,22,112]),(function(e,t,i,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.RipgrepSearchProvider=class{constructor(e){this.outputChannel=e,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(e,t,i,r){const s=new n.RipgrepTextSearchEngine(this.outputChannel);return this.withToken(r,n=>s.provideTextSearchResults(e,t,i,n))}async withToken(e,t){const n=function(e){const t=new i.CancellationTokenSource;return e.onCancellationRequested(()=>t.cancel()),t}(e);this.inProgress.add(n);const r=await t(n.token);return this.inProgress.delete(n),r}dispose(){this.inProgress.forEach(e=>e.cancel())}}})),define(t[238],i([0,1,23,112,111]),(function(e,t,i,n,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});function s(e){return{path:e.resource&&e.resource.fsPath,results:e.results,numMatches:(e.results||[]).reduce((e,t)=>{if(t.ranges){const i=t;return e+(Array.isArray(i.ranges)?i.ranges.length:1)}return e+1},0)}}
t.TextSearchEngineAdapter=class{constructor(e){this.query=e}search(e,t,o){if(!(this.query.folderQueries&&this.query.folderQueries.length||this.query.extraFileResources&&this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const a={appendLine(e){o({message:e})}},c=new r.NativeTextSearchManager(this.query,new n.RipgrepTextSearchEngine(a),i);return new Promise((i,n)=>c.search(e=>{t(e.map(s))},e).then(e=>i({limitHit:e.limitHit,type:"success"}),n))}}})),define(t[239],i([0,1,34,252,7,12,14,19,3,18,58,8,2,88,23,236,238]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f,m,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),n.gracefulify(i);class v{constructor(){this.caches=Object.create(null)}fileSearch(e){let t;const i=w(e),n=new c.Emitter({onFirstListenerDidAdd:()=>{(t=o.createCancelablePromise(e=>this.doFileSearchWithEngine(m.Engine,i,e=>n.fire(e),e))).then(e=>n.fire(e),e=>n.fire({type:"error",error:{message:e.message,stack:e.stack}}))},
onLastListenerRemove:()=>{t.cancel()}});return n.event}textSearch(e){let t;const i=w(e),n=new c.Emitter({onFirstListenerDidAdd:()=>{(t=o.createCancelablePromise(e=>this.ripgrepTextSearch(i,e=>n.fire(e),e))).then(e=>n.fire(e),e=>n.fire({type:"error",error:{message:e.message,stack:e.stack}}))},onLastListenerRemove:()=>{t.cancel()}});return n.event}ripgrepTextSearch(e,t,i){return e.maxFileSize=f.MAX_FILE_SIZE,new g.TextSearchEngineAdapter(e).search(i,t,t)}doFileSearch(e,t,i){return this.doFileSearchWithEngine(m.Engine,e,t,i)}doFileSearchWithEngine(e,t,i,n,r=v.BATCH_SIZE){let s=0;const o=e=>{Array.isArray(e)?(s+=e.length,i(e.map(e=>this.rawMatchToSearchItem(e)))):e.relativePath?(s++,i(this.rawMatchToSearchItem(e))):i(e)};if(t.sortByScore){let s=this.trySortedSearchFromCache(t,o,n);if(!s){const r=new e(t.maxResults?l.assign({},t,{maxResults:null}):t);s=this.doSortedSearch(r,t,i,o,n)}return new Promise((e,t)=>{s.then(([t,n])=>{const s=n.map(e=>this.rawMatchToSearchItem(e));this.sendProgress(s,i,r),e(t)},t)})}
const a=new e(t);return this.doSearch(a,o,r,n).then(e=>({limitHit:e.limitHit,type:"success",stats:{detailStats:e.stats,type:"searchProcess",fromCache:!1,resultCount:s,sortingTime:void 0}}))}rawMatchToSearchItem(e){return{path:e.base?r.join(e.base,e.relativePath):e.relativePath}}doSortedSearch(e,t,i,n,r){const s=new c.Emitter;let a,l=o.createCancelablePromise(t=>{let i=[];return this.doSearch(e,e=>{Array.isArray(e)?i=e:(n(e),s.fire(e))},-1,t).then(e=>[e,i])});if(t.cacheKey){a=this.getOrCreateCache(t.cacheKey);const e={promise:l,event:s.event,resolved:!1};a.resultsToSearchCache[t.filePattern||""]=e,l.then(()=>{e.resolved=!0},e=>{delete a.resultsToSearchCache[t.filePattern||""]}),l=this.preventCancellation(l)}return l.then(([e,i])=>{const n=a?a.scorerCache:Object.create(null),s=("number"!=typeof t.maxResults||t.maxResults>0)&&u.StopWatch.create(!1);return this.sortResults(t,i,n,r).then(n=>{const r=s?s.elapsed():-1;return[{type:"success",stats:{detailStats:e.stats,sortingTime:r,fromCache:!1,type:"searchProcess",
workspaceFolderCount:t.folderQueries.length,resultCount:n.length},limitHit:e.limitHit||"number"==typeof t.maxResults&&i.length>t.maxResults},n]})})}getOrCreateCache(e){const t=this.caches[e];return t||(this.caches[e]=new _)}trySortedSearchFromCache(e,t,i){const n=e.cacheKey&&this.caches[e.cacheKey];if(!n)return;const r=this.getResultsFromCache(n,e.filePattern||"",t,i);return r?r.then(([t,r,s])=>{const o=u.StopWatch.create(!1);return this.sortResults(e,r,n.scorerCache,i).then(i=>{const n=o.elapsed(),a={fromCache:!0,detailStats:s,type:"searchProcess",resultCount:r.length,sortingTime:n};return[{type:"success",limitHit:t.limitHit||"number"==typeof e.maxResults&&r.length>e.maxResults,stats:a},i]})}):void 0}sortResults(e,t,i,n){const r=p.prepareQuery(e.filePattern||""),o="number"==typeof e.maxResults?e.maxResults:Number.MAX_VALUE;return s.topAsync(t,(e,t)=>p.compareItemsByScore(e,t,r,!0,y,i),o,1e4,n)}sendProgress(e,t,i){if(i&&i>0)for(let n=0;n<e.length;n+=i)t(e.slice(n,n+i));else t(e)}getResultsFromCache(e,t,i,n){
const s=u.StopWatch.create(!1),o=t.indexOf(r.sep)>=0;let c;for(const i in e.resultsToSearchCache)if(h.startsWith(t,i)){if(o&&i.indexOf(r.sep)<0&&""!==i)continue;const t=e.resultsToSearchCache[i];c={promise:this.preventCancellation(t.promise),event:t.event,resolved:t.resolved};break}if(!c)return null;const l=s.elapsed(),d=u.StopWatch.create(!1),f=c.event(i);return n&&n.onCancellationRequested(()=>{f.dispose()}),c.promise.then(([e,i])=>{if(n&&n.isCancellationRequested)throw a.canceled();const r=[],s=p.prepareQuery(t).lowercase;for(const e of i)h.fuzzyContains(e.relativePath,s)&&r.push(e);return[e,r,{cacheWasResolved:c.resolved,cacheLookupTime:l,cacheFilterTime:d.elapsed(),cacheEntryCount:i.length}]})}doSearch(e,t,i,n){return new Promise((r,s)=>{let o=[];n&&n.onCancellationRequested(()=>e.cancel()),e.search(e=>{e&&(i?(o.push(e),i>0&&o.length>=i&&(t(o),o=[])):t(e))},e=>{t(e)},(e,i)=>{o.length&&t(o),e?s(e):r(i)})})}clearCache(e){return delete this.caches[e],Promise.resolve(void 0)}preventCancellation(e){
return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(t,i){return e.then(t,i)}catch(e){return this.then(void 0,e)}finally(t){return e.finally(t)}}}}t.SearchService=v,v.BATCH_SIZE=512;class _{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const y=new class{getItemLabel(e){return e.basename}getItemDescription(e){return e.relativePath.substr(0,e.relativePath.length-e.basename.length-1)}getItemPath(e){return e.relativePath}};function w(e){return Object.assign(Object.assign({},e),{folderQueries:e.folderQueries&&e.folderQueries.map(x),extraFileResources:e.extraFileResources&&e.extraFileResources.map(e=>d.URI.revive(e))})}function x(e){return Object.assign(Object.assign({},e),{folder:d.URI.revive(e.folder)})}})),define(t[240],i([0,1,6,2,23,9,42,239,237,73,15,53,26,72,20,111]),(function(e,t,i,s,o,a,c,l,u,h,d,p,f,m,g,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0});let _=class extends m.ExtHostSearch{constructor(e,t,i,n){
super(e,i,n),this._pfs=o,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null,t.remote.isRemote&&t.remote.authority&&this._registerEHSearchProviders()}_registerEHSearchProviders(){const e=new h.OutputChannel(this._logService);this.registerTextSearchProvider(g.Schemas.file,new u.RipgrepSearchProvider(e)),this.registerInternalFileSearchProvider(g.Schemas.file,new l.SearchService)}registerInternalFileSearchProvider(e,t){const n=this._handlePool++;return this._internalFileSearchProvider=t,this._internalFileSearchHandle=n,this._proxy.$registerFileSearchProvider(n,this._transformScheme(e)),i.toDisposable(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(n)})}$provideFileSearchResults(e,t,i,n){const r=m.reviveQuery(i);return e===this._internalFileSearchHandle?this.doInternalFileSearch(e,t,r,n):super.$provideFileSearchResults(e,t,i,n)}doInternalFileSearch(e,t,i,n){if(!this._internalFileSearchProvider)throw new Error("No internal file search handler")
;return this._internalFileSearchProvider.doFileSearch(i,i=>{c.isSerializedFileMatch(i)&&(i=[i]),Array.isArray(i)?this._proxy.$handleFileMatch(e,t,i.map(e=>s.URI.file(e.path))):i.message&&this._logService.debug("ExtHostSearch",i.message)},n)}$clearCache(e){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(e),super.$clearCache(e)}createTextSearchManager(e,t){return new v.NativeTextSearchManager(e,t)}};_=n([r(0,d.IExtHostRpcService),r(1,f.IExtHostInitDataService),r(2,p.IURITransformerService),r(3,a.ILogService)],_),t.NativeExtHostSearch=_})),define(t[241],i([0,1,65,69,224,30,108,31,40,36,228,41,71,227,226,47,72,240,175,100,37,233,70,9,195,52,221,54]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f,m,g,v,_,y,w,x,b,E,S,C,P,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),i.registerSingleton(E.ILogService,S.ExtHostLogService),i.registerSingleton(D.IExtHostApiDeprecationService,D.ExtHostApiDeprecationService),
i.registerSingleton(n.IExtHostOutputService,r.ExtHostOutputService2),i.registerSingleton(s.IExtHostWorkspace,s.ExtHostWorkspace),i.registerSingleton(o.IExtHostDecorations,o.ExtHostDecorations),i.registerSingleton(a.IExtHostConfiguration,a.ExtHostConfiguration),i.registerSingleton(c.IExtHostCommands,c.ExtHostCommands),i.registerSingleton(l.IExtHostDocumentsAndEditors,l.ExtHostDocumentsAndEditors),i.registerSingleton(h.IExtHostTerminalService,u.ExtHostTerminalService),i.registerSingleton(d.IExtHostTask,p.ExtHostTask),i.registerSingleton(m.IExtHostDebugService,f.ExtHostDebugService),i.registerSingleton(g.IExtHostSearch,v.NativeExtHostSearch),i.registerSingleton(y.IExtensionStoragePaths,_.ExtensionStoragePaths),i.registerSingleton(w.IExtHostExtensionService,x.ExtHostExtensionService),i.registerSingleton(b.IExtHostStorage,b.ExtHostStorage),i.registerSingleton(C.IExtHostTunnelService,P.ExtHostTunnelService)})),
define(t[242],i([0,1,87,253,19,85,86,96,192,229,27,82,23,121,14,241]),(function(e,t,i,n,r,s,o,a,c,l,u,h,d,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(){for(let e=0;e<process.execArgv.length;e++)"--inspect-port=0"===process.execArgv[e]&&(process.execArgv.splice(e,1),e--)}();const m=n(process.argv.slice(2),{string:["uriTransformerPath"]});!function(){const t=e.__$__nodeRequire("module"),i=t._load;t._load=function(e){if("natives"===e)throw new Error('Either the extension or a NPM dependency is using the "natives" node module which is unsupported as it can cause a crash of the extension host. Click [here](https://go.microsoft.com/fwlink/?linkid=871887) to find out more');return i.apply(this,arguments)}}();const g=process.exit.bind(process);let v=function(){g()};async function _(){const e=await function(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((e,t)=>{let i=null,n=setTimeout(()=>{t(new Error("VSCODE_EXTHOST_IPC_SOCKET timeout"))},6e4)
;const r=new f.RunOnceScheduler(()=>v(),108e5),a=new f.RunOnceScheduler(()=>v(),3e5);process.on("message",(t,c)=>{if(t&&"VSCODE_EXTHOST_IPC_SOCKET"===t.type){const l=u.VSBuffer.wrap(Buffer.from(t.initialDataChunk,"base64"));let h;h=t.skipWebSocketFrames?new o.NodeSocket(c):new o.WebSocketNodeSocket(new o.NodeSocket(c)),i?(r.cancel(),a.cancel(),i.beginAcceptReconnection(h,l),i.endAcceptReconnection()):(clearTimeout(n),(i=new s.PersistentProtocol(h,l)).onClose(()=>v()),e(i),i.onSocketClose(()=>{r.schedule()}))}if(t&&"VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"===t.type){if(a.isScheduled())return;r.isScheduled()&&a.schedule()}});const c={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(c)});{const e=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((t,n)=>{const r=i.createConnection(e,()=>{r.removeListener("error",n),t(new s.PersistentProtocol(new o.NodeSocket(r)))});r.once("error",n)})}}();return new class{constructor(){this._onMessage=new s.BufferedEmitter,this.onMessage=this._onMessage.event,
this._terminating=!1,e.onMessage(e=>{c.isMessageOfType(e,2)?(this._terminating=!0,v()):this._onMessage.fire(e)})}send(t){this._terminating||e.send(t)}}}t.startExtensionHostProcess=async function(){const t=await _(),i=await function(t){return new Promise(i=>{const n=t.onMessage(s=>{n.dispose();const o=JSON.parse(s.toString()),l=o.commit,u=a.default.commit;l&&u&&l!==u&&g(55);const h=[];let d;process.on("unhandledRejection",(e,t)=>{h.push(t),setTimeout(()=>{const i=h.indexOf(t);i>=0&&t.catch(t=>{h.splice(i,1),console.warn(`rejected promise not handled within 1 second: ${t}`),t&&t.stack&&console.warn(`stack trace: ${t.stack}`),r.onUnexpectedError(e)})},1e3)}),process.on("rejectionHandled",e=>{const t=h.indexOf(e);t>=0&&h.splice(t,1)}),process.on("uncaughtException",(function(e){r.onUnexpectedError(e)})),setInterval((function(){try{process.kill(o.parentPid,0)}catch(e){v()}}),1e3);try{(d=e.__$__nodeRequire("native-watchdog")).start(o.parentPid)}catch(e){r.onUnexpectedError(e)}t.send(c.createMessageOfType(0)),i({
protocol:t,initData:o})});t.send(c.createMessageOfType(1))})}(t),{initData:n}=i;var s;s=!!n.environment.extensionTestsLocationURI,process.exit=function(e){if(s)g(e);else{const e=new Error("An extension called process.exit() and this was prevented.");console.warn(e.stack)}},process.crash=function(){const e=new Error("An extension called process.crash() and this was prevented.");console.warn(e.stack)};const o=new class{exit(e){g(e)}exists(e){return d.exists(e)}realpath(e){return p.realpath(e)}};let u=null;if(n.remote.authority&&m.uriTransformerPath)try{const t=e.__$__nodeRequire(m.uriTransformerPath)(n.remote.authority);u=new h.URITransformer(t)}catch(e){console.error(e)}const f=new l.ExtensionHostMain(i.protocol,n,o,u);v=()=>f.terminate()}})),define(t[254],i([0,1,242]),(function(e,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),i.startExtensionHostProcess().catch(e=>console.log(e))}))}).call(this);
//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/78a4c91400152c0f27ba4d363eb56d2835f9903a/core/vs/workbench/services/extensions/node/extensionHostProcess.js.map
